!******************************************************************************!
!                                                                              !
!    class_ctparameters.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_ctparameters.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_ctparameters
  use constants_mdl, only: dp
  implicit none
  logical :: complex_mass_scheme=.true.
  complex(dp) :: dtHh_MS_BSM_QED1
  integer :: dtHh_MS_BSM_QED1_scheme = 0
  complex(dp) :: dZnu_eL_QED2
  integer :: dZnu_eL_QED2_scheme = 0
  complex(dp) :: dMB_QCD2
  integer :: dMB_QCD2_scheme = 0
  complex(dp) :: OS2_Hvv_db_QED3
  integer :: OS2_Hvv_db_QED3_scheme = 0
  complex(dp) :: dZeMinusL_QED2
  integer :: dZeMinusL_QED2_scheme = 0
  complex(dp) :: dZcR_QCD2
  integer :: dZcR_QCD2_scheme = 0
  complex(dp) :: dMD_QCD2
  integer :: dMD_QCD2_scheme = 0
  complex(dp) :: dZZA_MS_BSM_QED2
  integer :: dZZA_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZHa_QED2
  integer :: dZHa_QED2_scheme = 0
  complex(dp) :: dZcL_QCD2
  integer :: dZcL_QCD2_scheme = 0
  complex(dp) :: dZdL_QCD2
  integer :: dZdL_QCD2_scheme = 0
  complex(dp) :: dZZ_QED2
  integer :: dZZ_QED2_scheme = 0
  complex(dp) :: dMU_QCD2
  integer :: dMU_QCD2_scheme = 0
  complex(dp) :: dZtL_QCD2
  integer :: dZtL_QCD2_scheme = 0
  complex(dp) :: dZsR_QED2
  integer :: dZsR_QED2_scheme = 0
  complex(dp) :: dtHl_MS_BSM_QED1
  integer :: dtHl_MS_BSM_QED1_scheme = 0
  complex(dp) :: dZmuMinusL_QED2
  integer :: dZmuMinusL_QED2_scheme = 0
  complex(dp) :: dZtL_QED2
  integer :: dZtL_QED2_scheme = 0
  complex(dp) :: dMW2_MS_BSM_QED2
  integer :: dMW2_MS_BSM_QED2_scheme = 0
  complex(dp) :: D12_BFM_QED2
  integer :: D12_BFM_QED2_scheme = 0
  complex(dp) :: dZdR_QCD2
  integer :: dZdR_QCD2_scheme = 0
  complex(dp) :: dMS_QCD2
  integer :: dMS_QCD2_scheme = 0
  complex(dp) :: dZsL_QED2
  integer :: dZsL_QED2_scheme = 0
  complex(dp) :: dMHA2_MS_BSM_QED2
  integer :: dMHA2_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZHaG0_MS_BSM_QED2
  integer :: dZHaG0_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZbR_QED2
  integer :: dZbR_QED2_scheme = 0
  complex(dp) :: dZbL_QED2
  integer :: dZbL_QED2_scheme = 0
  complex(dp) :: dZtauMinusR_QED2
  integer :: dZtauMinusR_QED2_scheme = 0
  complex(dp) :: dZuR_QCD2
  integer :: dZuR_QCD2_scheme = 0
  complex(dp) :: dZgs_QCD2
  integer :: dZgs_QCD2_scheme = 1
  complex(dp) :: dZG0Ha_MS_BSM_QED2
  integer :: dZG0Ha_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZcL_QED2
  integer :: dZcL_QED2_scheme = 0
  complex(dp) :: dMT_QCD2
  integer :: dMT_QCD2_scheme = 0
  complex(dp) :: dZuL_QED2
  integer :: dZuL_QED2_scheme = 0
  complex(dp) :: OS12_Hvv_db_QED2
  integer :: OS12_Hvv_db_QED2_scheme = 0
  complex(dp) :: OD12_BFM_QED2
  integer :: OD12_BFM_QED2_scheme = 0
  complex(dp) :: OS1_Hvv_db_QED3
  integer :: OS1_Hvv_db_QED3_scheme = 0
  complex(dp) :: dalZ_QED2
  integer :: dalZ_QED2_scheme = 0
  complex(dp) :: dtHh_QED1
  integer :: dtHh_QED1_scheme = 0
  complex(dp) :: dZA_MS_BSM_QED2
  integer :: dZA_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZWMinus_QED2
  integer :: dZWMinus_QED2_scheme = 0
  complex(dp) :: dtHl_QED1
  integer :: dtHl_QED1_scheme = 0
  complex(dp) :: dMHL2_MS_BSM_QED2
  integer :: dMHL2_MS_BSM_QED2_scheme = 0
  complex(dp) :: dMC_QED2
  integer :: dMC_QED2_scheme = 0
  complex(dp) :: dZg_QCD2
  integer :: dZg_QCD2_scheme = 0
  complex(dp) :: dZHh_MS_BSM_QED2
  integer :: dZHh_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZtR_QED2
  integer :: dZtR_QED2_scheme = 0
  complex(dp) :: dZHMinusGMinus_QED2
  integer :: dZHMinusGMinus_QED2_scheme = 0
  complex(dp) :: dMZ2_MS_BSM_QED2
  integer :: dMZ2_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZtR_QCD2
  integer :: dZtR_QCD2_scheme = 0
  complex(dp) :: dMU_QED2
  integer :: dMU_QED2_scheme = 0
  complex(dp) :: dZbL_QCD2
  integer :: dZbL_QCD2_scheme = 0
  complex(dp) :: dMW2_QED2
  integer :: dMW2_QED2_scheme = 0
  complex(dp) :: dZuR_QED2
  integer :: dZuR_QED2_scheme = 0
  complex(dp) :: dZHl_QED2
  integer :: dZHl_QED2_scheme = 0
  complex(dp) :: dMHC2_MS_BSM_QED2
  integer :: dMHC2_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZHMinus_MS_BSM_QED2
  integer :: dZHMinus_MS_BSM_QED2_scheme = 0
  complex(dp) :: dMB_QED2
  integer :: dMB_QED2_scheme = 0
  complex(dp) :: OS2_Hvv_da_QED3
  integer :: OS2_Hvv_da_QED3_scheme = 0
  complex(dp) :: dZuL_QCD2
  integer :: dZuL_QCD2_scheme = 0
  complex(dp) :: dZHh_QED2
  integer :: dZHh_QED2_scheme = 0
  complex(dp) :: dZcR_QED2
  integer :: dZcR_QED2_scheme = 0
  complex(dp) :: dMT_QED2
  integer :: dMT_QED2_scheme = 0
  complex(dp) :: dZHlHh_MS_BSM_QED2
  integer :: dZHlHh_MS_BSM_QED2_scheme = 0
  complex(dp) :: dMHC2_QED2
  integer :: dMHC2_QED2_scheme = 0
  complex(dp) :: dZeMinusR_QED2
  integer :: dZeMinusR_QED2_scheme = 0
  complex(dp) :: dZsL_QCD2
  integer :: dZsL_QCD2_scheme = 0
  complex(dp) :: dZnu_tauL_QED2
  integer :: dZnu_tauL_QED2_scheme = 0
  complex(dp) :: dMC_QCD2
  integer :: dMC_QCD2_scheme = 0
  complex(dp) :: dZsR_QCD2
  integer :: dZsR_QCD2_scheme = 0
  complex(dp) :: dZeeZM_MS_BSM_QED2
  integer :: dZeeZM_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZdL_QED2
  integer :: dZdL_QED2_scheme = 0
  complex(dp) :: dZAZ_QED2
  integer :: dZAZ_QED2_scheme = 0
  complex(dp) :: dZZA_QED2
  integer :: dZZA_QED2_scheme = 0
  complex(dp) :: OS1_Hvv_da_QED3
  integer :: OS1_Hvv_da_QED3_scheme = 0
  complex(dp) :: dZnu_muL_QED2
  integer :: dZnu_muL_QED2_scheme = 0
  complex(dp) :: dZHl_MS_BSM_QED2
  integer :: dZHl_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZHMinus_QED2
  integer :: dZHMinus_QED2_scheme = 0
  complex(dp) :: dZA_QED2
  integer :: dZA_QED2_scheme = 0
  complex(dp) :: dZHhHl_MS_BSM_QED2
  integer :: dZHhHl_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZmuMinusR_QED2
  integer :: dZmuMinusR_QED2_scheme = 0
  complex(dp) :: dZtauMinusL_QED2
  integer :: dZtauMinusL_QED2_scheme = 0
  complex(dp) :: dZeeZM_QED2
  integer :: dZeeZM_QED2_scheme = 0
  complex(dp) :: dZdR_QED2
  integer :: dZdR_QED2_scheme = 0
  complex(dp) :: dZbR_QCD2
  integer :: dZbR_QCD2_scheme = 0
  complex(dp) :: dMHL2_QED2
  integer :: dMHL2_QED2_scheme = 0
  complex(dp) :: da_MS_MS_BSM_QED2
  integer :: da_MS_MS_BSM_QED2_scheme = 0
  complex(dp) :: dMS_QED2
  integer :: dMS_QED2_scheme = 0
  complex(dp) :: dZGMinusHMinus_MS_BSM_QED2
  integer :: dZGMinusHMinus_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZGMinusHMinus_QED2
  integer :: dZGMinusHMinus_QED2_scheme = 0
  complex(dp) :: dZHhHl_QED2
  integer :: dZHhHl_QED2_scheme = 0
  complex(dp) :: da_MS_BSM_QED2
  integer :: da_MS_BSM_QED2_scheme = 0
  complex(dp) :: da_MS_QED2
  integer :: da_MS_QED2_scheme = 0
  complex(dp) :: dMD_QED2
  integer :: dMD_QED2_scheme = 0
  complex(dp) :: dMZ2_QED2
  integer :: dMZ2_QED2_scheme = 0
  complex(dp) :: dMTA_QED2
  integer :: dMTA_QED2_scheme = 0
  complex(dp) :: dMM_QED2
  integer :: dMM_QED2_scheme = 0
  complex(dp) :: dtHhHl_PRTS_fin_QED2
  integer :: dtHhHl_PRTS_fin_QED2_scheme = 0
  complex(dp) :: dME_QED2
  integer :: dME_QED2_scheme = 0
  complex(dp) :: dZG0Ha_QED2
  integer :: dZG0Ha_QED2_scheme = 0
  complex(dp) :: db_MS_QED2
  integer :: db_MS_QED2_scheme = 0
  complex(dp) :: dMHH2_MS_BSM_QED2
  integer :: dMHH2_MS_BSM_QED2_scheme = 0
  complex(dp) :: dMHH2_QED2
  integer :: dMHH2_QED2_scheme = 0
  complex(dp) :: dMHA2_QED2
  integer :: dMHA2_QED2_scheme = 0
  complex(dp) :: dZee_MS_BSM_QED2
  integer :: dZee_MS_BSM_QED2_scheme = 0
  complex(dp) :: dZHaG0_QED2
  integer :: dZHaG0_QED2_scheme = 0
  complex(dp) :: dZHlHh_QED2
  integer :: dZHlHh_QED2_scheme = 0
  complex(dp) :: db_MS_BSM_QED2
  integer :: db_MS_BSM_QED2_scheme = 0
  complex(dp) :: dl5_MS_BSM_QED4
  integer :: dl5_MS_BSM_QED4_scheme = 0
  complex(dp) :: dr_QED2
  integer :: dr_QED2_scheme = 0
  complex(dp) :: da_QED2
  integer :: da_QED2_scheme = 4
  complex(dp) :: db_QED2
  integer :: db_QED2_scheme = 6
  complex(dp) :: dl5_QED4
  integer :: dl5_QED4_scheme = 0
  complex(dp) :: dZee_QED2
  integer :: dZee_QED2_scheme = 2
  complex(dp) :: dZGMinus
  complex(dp) :: dZG0
! Derived counterterm parameters
  complex(dp) :: dcab_QED2
  complex(dp) :: dydo2_QED1_QCD2
  complex(dp) :: dydo2_QED3
  complex(dp) :: dydo1_QED3
  complex(dp) :: dydo1_QED1_QCD2
  complex(dp) :: dvev1_QED1
  complex(dp) :: dvev2_QED1
  complex(dp) :: dg1_QED3
  complex(dp) :: dyt1_QED3
  complex(dp) :: dyt1_QED1_QCD2
  complex(dp) :: dyt2_QED3
  complex(dp) :: dyt2_QED1_QCD2
  complex(dp) :: dMPA_QED2
  complex(dp) :: dMPC_QED2
  complex(dp) :: dm12_QED2
  complex(dp) :: dyc1_QED1_QCD2
  complex(dp) :: dyc1_QED3
  complex(dp) :: dyc2_QED3
  complex(dp) :: dyc2_QED1_QCD2
  complex(dp) :: dsw_QED2
  complex(dp) :: dye2_QED3
  complex(dp) :: dye1_QED3
  complex(dp) :: dyup2_QED1_QCD2
  complex(dp) :: dyup2_QED3
  complex(dp) :: dyup1_QED3
  complex(dp) :: dyup1_QED1_QCD2
  complex(dp) :: dym2_QED3
  complex(dp) :: dMSB2_QED2
  complex(dp) :: dym1_QED3
  complex(dp) :: dsw2_QED2
  complex(dp) :: dl4_QED4
  complex(dp) :: dsab_QED2
  complex(dp) :: dgw_QED3
  complex(dp) :: dcw_QED2
  complex(dp) :: dyd12x2_QED3
  complex(dp) :: dyd12x2_QED1_QCD2
  complex(dp) :: dyb2_QED1_QCD2
  complex(dp) :: dyb2_QED3
  complex(dp) :: dytau1_QED3
  complex(dp) :: dtb_QED2
  complex(dp) :: dMPS_QED2
  complex(dp) :: dytau2_QED3
  complex(dp) :: dys2_QED3
  complex(dp) :: dys2_QED1_QCD2
  complex(dp) :: dl3_QED4
  complex(dp) :: dl2_QED4
  complex(dp) :: dl1_QED4
  complex(dp) :: dvev_QED1
  complex(dp) :: dyd13x3_QED3
  complex(dp) :: dyd13x3_QED1_QCD2
  contains
  subroutine set_complex_mass_scheme_mdl

    ! This subroutine (re-)enables the complex mass scheme (hep-ph/0505042)

    complex_mass_scheme = .true.

  end subroutine set_complex_mass_scheme_mdl

  subroutine set_on_shell_scheme_mdl

    ! This subroutine disables the complex mass scheme

    complex_mass_scheme = .false.

  end subroutine set_on_shell_scheme_mdl
end module class_ctparameters
