!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_8228) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_8229) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_8222) = cima*cw*ee/sw
      coupl(nGC_8223) = -cb*cima
      coupl(nGC_8220) = -cima*cw*ee/sw**2d0
      coupl(nGC_8221) = cima*ee/sw
      coupl(nGC_8226) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_8227) = 2d0*cima*ee**2d0/sw
      coupl(nGC_8224) = cima*(cb*ydo1 + sb*ydo2)
      coupl(nGC_8225) = cima*sb
      coupl(nGC_7907) = -cima*(cb*yb2 - sb*yd13x3)
      coupl(nGC_8316) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw&
                        *sw)
      coupl(nGC_8317) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0* &
                        cw*sw)
      coupl(nGC_8314) = -cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0* &
                        cw**2d0*sw)
      coupl(nGC_8315) = cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw&
                        *sw)
      coupl(nGC_8312) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(4d0*cMZ* &
                        cw*sw)
      coupl(nGC_8313) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_8310) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0* &
                        cw*sw)
      coupl(nGC_8311) = -cMZ*cima*ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0* &
                        cw*sw)
      coupl(nGC_8318) = -cima*ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(4d0*cMZ* &
                        cw*sw)
      coupl(nGC_8319) = cMZ*cima*ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw&
                        *sw**2d0)
      coupl(nGC_8488) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_8002) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8118) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8000) = -3d0*cb**3d0*cima*sb
      coupl(nGC_8001) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_8006) = -cb**2d0*cima*sa**2d0
      coupl(nGC_8007) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_8004) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_8557) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_8559) = -3d0*ca*cima*sa**3d0
      coupl(nGC_8008) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_8009) = -ca**2d0*cima*sb**2d0
      coupl(nGC_96) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0*cw&
                      ) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(2d0&
                      *cw)
      coupl(nGC_8112) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8114) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8115) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_91) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee* &
                      sa/(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_8178) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8179) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_8176) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_8177) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_8173) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_8170) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8171) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_8388) = -ca*cima*sb**2d0*vev2
      coupl(nGC_7909) = -cima*sb
      coupl(nGC_8527) = cima*(cb*ye1 + sb*ye2)
      coupl(nGC_349) = cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_347) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_345) = -ca*cb**2d0*cima*vev2
      coupl(nGC_343) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_168) = sqrt(2d0)*cb*ym1/2d0 + sqrt(2d0)*sb*ym2/2d0
      coupl(nGC_169) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
      coupl(nGC_162) = -cb*cima*ym2 + cima*sb*ym1
      coupl(nGC_163) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_160) = sqrt(2d0)*cb*ye1/2d0 + sqrt(2d0)*sb*ye2/2d0
      coupl(nGC_161) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
      coupl(nGC_166) = -cb*cima*ym1 - cima*sb*ym2
      coupl(nGC_164) = sqrt(2d0)*cb*ym2/2d0 - sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_165) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
      coupl(nGC_8608) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8609) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
      coupl(nGC_8704) = -ca**2d0*cb**2d0*cima
      coupl(nGC_7973) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_7972) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_7971) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_7970) = -2d0*cb**3d0*cima*sb
      coupl(nGC_7977) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_7976) = sqrt(2d0)*sb/2d0
      coupl(nGC_7979) = -ca*cb*cima*sa*sb
      coupl(nGC_7978) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb&
                        **2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4*&
                        sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa&
                        *sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 &
                         - 2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
      coupl(nGC_8363) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_8362) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*&
                        l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*  &
                        vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 &
                         - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 +   &
                        2d0*ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa&
                        **3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
      coupl(nGC_8361) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2&
                        *sa**2d0)
      coupl(nGC_8360) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_8367) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_8366) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_8365) = -3d0*ca**2d0*cima*sa*vev2
      coupl(nGC_8364) = -3d0*ca*cima*sa**2d0*vev1
      coupl(nGC_8369) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0&
                        *l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa &
                        **2d0)
      coupl(nGC_8368) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_MHA) = -cMHA**2d0*cima
      coupl(nGC_MHC) = -cMHC**2d0*cima
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_8569) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_8568) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4  &
                         - ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + &
                        l5*sa**2d0)
      coupl(nGC_8564) = -3d0*ca**4d0*cima
      coupl(nGC_8566) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8561) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_8560) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_8563) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8562) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**  &
                        4d0*l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**  &
                        2d0 + 6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0  &
                         + 6d0*ca**2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 -  &
                        l4*sa**4d0 - l5*sa**4d0)
      coupl(nGC_8586) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_8585) = sqrt(2d0)*sb/2d0
      coupl(nGC_8584) = sqrt(2d0)*cb/2d0
      coupl(nGC_8582) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8581) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8580) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_8589) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_8489) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_8109) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8108) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_8487) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_8102) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_8100) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_8105) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_8483) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8480) = -ca*cima*sb**2d0*vev1
      coupl(nGC_8481) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_8617) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_8616) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8615) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8614) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
      coupl(nGC_8613) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_8611) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_8610) = sqrt(2d0)*sb/2d0
      coupl(nGC_8618) = sqrt(2d0)*cb/2d0
      coupl(nGC_8550) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca** &
                        4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**  &
                        2d0 - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0  &
                         - 6d0*ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 +  &
                        l4*sa**4d0 + l5*sa**4d0)
      coupl(nGC_8003) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_8552) = cb*cima
      coupl(nGC_8553) = cima*sb
      coupl(nGC_8555) = sqrt(2d0)*sb/2d0
      coupl(nGC_8556) = sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
      coupl(nGC_8005) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**  &
                        2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa &
                         + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**&
                        2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_8558) = 3d0*ca**3d0*cima*sa
      coupl(nGC_8461) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb - cb&
                        *l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_593) = cima/(2d0*cMW)
      coupl(nGC_597) = -cima/(2d0*cMW)
      coupl(nGC_359) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5* &
                       sb*vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb* &
                       l4*sa*sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
      coupl(nGC_355) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*&
                       sb**2d0)
      coupl(nGC_357) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_351) = cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_353) = cima*sa*sb**2d0*vev1
      coupl(nGC_8484) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_179) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
      coupl(nGC_178) = cb*cima*yt2 - cima*sb*yt1
      coupl(nGC_171) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_170) = -cb*cima*ys2 + cima*sb*yd12x2
      coupl(nGC_173) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
      coupl(nGC_172) = sqrt(2d0)*cb*ys2/2d0 - sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_175) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_174) = -cb*cima*yd12x2 - cima*sb*ys2
      coupl(nGC_177) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
      coupl(nGC_176) = sqrt(2d0)*cb*yd12x2/2d0 + sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_7966) = -cb**2d0*cima*sa**2d0
      coupl(nGC_7967) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb&
                        **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*&
                        l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_7969) = 2d0*cb*cima*sb**3d0
      coupl(nGC_8370) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0*&
                        ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1*&
                        sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*  &
                        vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2 &
                         + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 +   &
                        7d0*ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3* &
                        sa**3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*   &
                        vev1)
      coupl(nGC_8371) = sqrt(2d0)*sb/2d0
      coupl(nGC_8372) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8373) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_8374) = -sqrt(2d0)*sb/2d0
      coupl(nGC_8375) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
      coupl(nGC_8376) = -sqrt(2d0)*cb/2d0
      coupl(nGC_8377) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_8378) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca&
                        *cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0* &
                        vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**  &
                        2d0*l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb&
                        *vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_8379) = -ca*cima*sb**2d0*vev2
      coupl(nGC_8578) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8579) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4&
                         + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 - &
                        l5*sa**2d0)
      coupl(nGC_8573) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_8570) = -sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
      coupl(nGC_8577) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8574) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_27) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**  &
                      2d0*cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb&
                      **2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_8594) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_8595) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_8596) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_8597) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_8590) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_8591) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_8592) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_8593) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_8598) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_8599) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_97) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw &
                       - cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/ &
                      cw
      coupl(nGC_95) = -cMZ*ca*cb*cima*cw*ee/(2d0*sw) - cMZ*ca*cb*cima*ee*sw/(  &
                      2d0*cw) - cMZ*cima*cw*ee*sa*sb/(2d0*sw) - cMZ*cima*ee*sa*&
                      sb*sw/(2d0*cw)
      coupl(nGC_94) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa* &
                      sb/(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_93) = -cMZ*ca*cima*cw*ee*sb/(2d0*sw) - cMZ*ca*cima*ee*sb*sw/(  &
                      2d0*cw) + cMZ*cb*cima*cw*ee*sa/(2d0*sw) + cMZ*cb*cima*ee*&
                      sa*sw/(2d0*cw)
      coupl(nGC_92) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee*sa&
                      /(2d0*sw) - cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_90) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_75) = -cMW*cb**2d0*ee/(2d0*sw) - cMW*ee*sb**2d0/(2d0*sw)
      coupl(nGC_74) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_77) = cMZ*cb**2d0*cima*ee/(2d0*sw) + cMZ*cima*ee*sb**2d0/(2d0* &
                      sw)
      coupl(nGC_76) = cMW*cb**2d0*ee/(2d0*sw) + cMW*ee*sb**2d0/(2d0*sw)
      coupl(nGC_71) = -cMW*ca*cb*cima*ee/(2d0*sw) - cMW*cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_70) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0*sw)
      coupl(nGC_73) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_72) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
      coupl(nGC_79) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_78) = -cima*ee**2d0/sw**2d0
      coupl(nGC_8606) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_8607) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_8600) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_8601) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8602) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_8603) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_8174) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_8175) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
