!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_9420) = coupl(nGC_8223)*dydo2_QED3 + coupl(nGC_8224)*db_QED2 + &
                        coupl(nGC_8225)*dydo1_QED3
      coupl(nGC_13275) = coupl(nGC_169)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_13276) = coupl(nGC_169)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_9361) = coupl(nGC_8569)*dZee_QED2
      coupl(nGC_9479) = coupl(nGC_8614)*da_QED2 + coupl(nGC_8615)*dye1_QED3 +  &
                        coupl(nGC_8616)*dye2_QED3
      coupl(nGC_14125) = coupl(nGC_179)*dZHaG0_QED2/2d0
      coupl(nGC_9513) = coupl(nGC_8611)*dyt1_QED1_QCD2 + coupl(nGC_8613)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_9355) = coupl(nGC_343)*db_QED2 + coupl(nGC_345)*dl2_QED4 +     &
                        coupl(nGC_347)*dl3_QED4 + coupl(nGC_349)*dl5_QED4 +    &
                        coupl(nGC_351)*dl4_QED4 + coupl(nGC_353)*dl1_QED4 +    &
                        coupl(nGC_355)*dvev1_QED1 + coupl(nGC_357)*dvev2_QED1  &
                         + coupl(nGC_359)*da_QED2
      coupl(nGC_9647) = -cima*dMC_QCD2
      coupl(nGC_9646) = -cima*dMC_QED2
      coupl(nGC_9645) = -cima*dMU_QCD2
      coupl(nGC_9644) = -cima*dMU_QED2
      coupl(nGC_9643) = -cima*dMTA_QED2
      coupl(nGC_9642) = -cima*dMM_QED2
      coupl(nGC_9641) = -cima*dME_QED2
      coupl(nGC_9649) = -cima*dMT_QCD2
      coupl(nGC_9648) = -cima*dMT_QED2
      coupl(nGC_TS_GC_165_Hh) = -coupl(nGC_165)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13504) = coupl(nGC_97)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_13673) = coupl(nGC_94)*dZG0/2d0
      coupl(nGC_13678) = -coupl(nGC_13673)
      coupl(nGC_13892) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_28019) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_13322) = coupl(nGC_179)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_13321) = coupl(nGC_179)*(dZtL_QED2 + dZtR_QED2)/2d0
      coupl(nGC_9432) = coupl(nGC_8374)*dydo2_QED3 + coupl(nGC_8375)*db_QED2 + &
                        coupl(nGC_8376)*dydo1_QED3
      coupl(nGC_TS_GC_27_Hh) = -coupl(nGC_27)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_15894) = coupl(nGC_96)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_141_Hl) = -coupl(nGC_141)*dtHl_QED1/cMHL**2d0
      coupl(nGC_15895) = -coupl(nGC_15894)
      coupl(nGC_9654) = -cima*dMB_QED2
      coupl(nGC_9655) = -cima*dMB_QCD2
      coupl(nGC_9656) = cima*dMZ2_QED2
      coupl(nGC_9657) = cima*dMW2_QED2
      coupl(nGC_9650) = -cima*dMD_QED2
      coupl(nGC_9651) = -cima*dMD_QCD2
      coupl(nGC_9652) = -cima*dMS_QED2
      coupl(nGC_9653) = -cima*dMS_QCD2
      coupl(nGC_9658) = coupl(nGC_593)*dMW2_QED2
      coupl(nGC_9659) = coupl(nGC_597)*dMW2_QED2
      coupl(nGC_19539) = coupl(nGC_149)*(dZdL_QED2 + dZdR_QED2)/2d0
      coupl(nGC_13663) = coupl(nGC_146)*dZHMinus_QED2/2d0 + coupl(nGC_146)*    &
                         dZdR_QED2/2d0 + coupl(nGC_146)*dZuL_QED2/2d0 + coupl( &
                         nGC_150)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9420)
      coupl(nGC_15367) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_13409) = coupl(nGC_96)*dZGMinus
      coupl(nGC_13064) = coupl(nGC_27)*dZGMinus/2d0
      coupl(nGC_14568) = coupl(nGC_77)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_9530) = coupl(nGC_8310)*db_QED2 + coupl(nGC_8311)*dZee_QED2 +  &
                        coupl(nGC_8312)*dMZ2_QED2 + coupl(nGC_8313)*dsw_QED2 + &
                        coupl(nGC_8314)*dcw_QED2 + coupl(nGC_8315)*da_QED2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
