!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_13464) = coupl(nGC_90)*dZZA_QED2/2d0
      coupl(nGC_13469) = coupl(nGC_64)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_13049) = coupl(nGC_83)*dZZA_QED2
      coupl(nGC_9512) = coupl(nGC_8117)*dyc1_QED3 + coupl(nGC_8118)*dyc2_QED3  &
                         + coupl(nGC_8119)*da_QED2
      coupl(nGC_9511) = coupl(nGC_8117)*dyc1_QED1_QCD2 + coupl(nGC_8118)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9510) = coupl(nGC_8189)*dyup2_QED3 + coupl(nGC_8190)*dyup1_QED3&
                         + coupl(nGC_8191)*da_QED2
      coupl(nGC_9516) = coupl(nGC_8540)*dyup1_QED1_QCD2 + coupl(nGC_8541)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_9515) = coupl(nGC_8539)*db_QED2 + coupl(nGC_8540)*dyup1_QED3 + &
                        coupl(nGC_8541)*dyup2_QED3
      coupl(nGC_9514) = coupl(nGC_8611)*dyt1_QED3 + coupl(nGC_8612)*da_QED2 +  &
                        coupl(nGC_8613)*dyt2_QED3
      coupl(nGC_9519) = coupl(nGC_431)*dyt2_QED1_QCD2 + coupl(nGC_435)*        &
                        dyt1_QED1_QCD2
      coupl(nGC_9518) = coupl(nGC_8454)*dyc1_QED1_QCD2 + coupl(nGC_8455)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_12797) = coupl(nGC_43)*(dZG0 + 2d0*dZGMinus)/2d0
      coupl(nGC_12793) = coupl(nGC_101)*dZG0
      coupl(nGC_8808) = (coupl(nGC_1)*coupl(nGC_146)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_150)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_1191)*coupl(nGC_194)*coupl(nGC_2) + coupl(   &
                        nGC_192)**2d0*coupl(nGC_2) + coupl(nGC_195)**2d0*coupl(&
                        nGC_2) + coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_8809) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_196)**2d0 + coupl(nGC_1191)*coupl(nGC_194)*coupl(  &
                        nGC_2) + coupl(nGC_192)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_195)**2d0*coupl(nGC_2) + coupl(nGC_197)*coupl(     &
                        nGC_198)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8803) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) +     &
                        coupl(nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_170)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_174)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_8800) = (coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_166)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8801) = (coupl(nGC_185)**2d0*coupl(nGC_4) + coupl(nGC_189)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8806) = coupl(nGC_4)*(coupl(nGC_184)**2d0 + coupl(nGC_186)*    &
                        coupl(nGC_187) + coupl(nGC_188)**2d0 + coupl(nGC_190)* &
                        coupl(nGC_191) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8807) = (coupl(nGC_184)**2d0*coupl(nGC_4) + coupl(nGC_186)*    &
                        coupl(nGC_187)*coupl(nGC_4) + coupl(nGC_188)**2d0*coupl&
                        (nGC_4) + coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_TS_GC_68_Hh) = -coupl(nGC_68)*dtHh_QED1/cMHH**2d0
      coupl(nGC_17167) = coupl(nGC_153)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
      coupl(nGC_9359) = coupl(nGC_8424)*dl4_QED4 + coupl(nGC_8425)*dl5_QED4 +  &
                        coupl(nGC_8426)*db_QED2 + coupl(nGC_8427)*dvev1_QED1 + &
                        coupl(nGC_8428)*dvev2_QED1
      coupl(nGC_9358) = coupl(nGC_8410)*dl4_QED4 + coupl(nGC_8411)*dl5_QED4 +  &
                        coupl(nGC_8412)*db_QED2 + coupl(nGC_8413)*dvev1_QED1 + &
                        coupl(nGC_8414)*dvev2_QED1
      coupl(nGC_9429) = coupl(nGC_8093)*db_QED2 + coupl(nGC_8094)*dyd13x3_QED3 &
                         + coupl(nGC_8095)*dyb2_QED3
      coupl(nGC_9428) = coupl(nGC_8624)*dyt1_QED1_QCD2 + coupl(nGC_8625)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_9427) = coupl(nGC_8623)*db_QED2 + coupl(nGC_8624)*dyt1_QED3 +  &
                        coupl(nGC_8625)*dyt2_QED3
      coupl(nGC_9426) = coupl(nGC_8302)*dyd12x2_QED3 + coupl(nGC_8303)*        &
                        dys2_QED3 + coupl(nGC_8304)*db_QED2
      coupl(nGC_9425) = coupl(nGC_8302)*dyd12x2_QED1_QCD2 + coupl(nGC_8303)*   &
                        dys2_QED1_QCD2
      coupl(nGC_9424) = coupl(nGC_8451)*dyc1_QED1_QCD2 + coupl(nGC_8452)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9423) = coupl(nGC_8450)*db_QED2 + coupl(nGC_8451)*dyc1_QED3 +  &
                        coupl(nGC_8452)*dyc2_QED3
      coupl(nGC_9422) = coupl(nGC_8396)*dyup1_QED1_QCD2 + coupl(nGC_8397)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_9421) = coupl(nGC_8395)*db_QED2 + coupl(nGC_8396)*dyup1_QED3 + &
                        coupl(nGC_8397)*dyup2_QED3
      coupl(nGC_9352) = coupl(nGC_8347)*dl3_QED4 + coupl(nGC_8348)*dl1_QED4 +  &
                        coupl(nGC_8349)*dl2_QED4 + coupl(nGC_8350)*dl5_QED4 +  &
                        coupl(nGC_8351)*dl4_QED4 + coupl(nGC_8352)*dvev1_QED1  &
                         + coupl(nGC_8353)*dvev2_QED1 + coupl(nGC_8354)*da_QED2
      coupl(nGC_8976) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_1243 &
                        )*coupl(nGC_150)*coupl(nGC_80) - coupl(nGC_1331)*coupl(&
                        nGC_148)*coupl(nGC_87) - coupl(nGC_145)**2d0*coupl(    &
                        nGC_149) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_195 &
                        ) - coupl(nGC_146)*coupl(nGC_64)*coupl(nGC_80) - coupl(&
                        nGC_148)**2d0*coupl(nGC_149) - coupl(nGC_148)*coupl(   &
                        nGC_84)*coupl(nGC_92) - coupl(nGC_149)**3d0 - coupl(   &
                        nGC_149)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_149)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(nGC_195)*&
                        coupl(nGC_196) - coupl(nGC_152)*coupl(nGC_817)*coupl(  &
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8977) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_149) - coupl(nGC_1331 &
                        )*coupl(nGC_147)*coupl(nGC_84) - coupl(nGC_145)**2d0*  &
                        coupl(nGC_149) - coupl(nGC_146)*coupl(nGC_193)*coupl(  &
                        nGC_195) - coupl(nGC_146)*coupl(nGC_3011)*coupl(nGC_80 &
                        ) - coupl(nGC_147)**2d0*coupl(nGC_149) - coupl(nGC_147 &
                        )*coupl(nGC_87)*coupl(nGC_92) - coupl(nGC_149)**3d0 -  &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 + 8d0*coupl(nGC_149 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_150)*coupl(  &
                        nGC_195)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_68)*&
                        coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_817)*coupl(   &
                        nGC_84) - coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8975) = coupl(nGC_133)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8972) = coupl(nGC_137)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8973) = (-coupl(nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)* &
                        coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_131)*coupl(  &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_133)**3d0 - coupl(   &
                        nGC_133)*coupl(nGC_135)**2d0 + 8d0*coupl(nGC_133)*coupl&
                        (nGC_2)**2d0 - coupl(nGC_133)*coupl(nGC_695)**2d0 + 8d0&
                        *coupl(nGC_133)*coupl(nGC_85)*coupl(nGC_88) - coupl(   &
                        nGC_1331)*coupl(nGC_695)*coupl(nGC_88) - coupl(nGC_134 &
                        )*coupl(nGC_1485)*coupl(nGC_80) - coupl(nGC_134)*coupl(&
                        nGC_173)*coupl(nGC_174) - coupl(nGC_135)*coupl(nGC_817 &
                        )*coupl(nGC_88) - coupl(nGC_135)*coupl(nGC_85)*coupl(  &
                        nGC_94) - coupl(nGC_695)*coupl(nGC_85)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_28028) = coupl(nGC_9648) + coupl(nGC_TS_GC_177_Hl) + coupl(    &
                         nGC_TS_GC_180_Hh)
      coupl(nGC_28027) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_28026) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_8978) = coupl(nGC_149)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8979) = (coupl(nGC_1331)*coupl(nGC_155)*coupl(nGC_89) + coupl( &
                        nGC_1485)*coupl(nGC_158)*coupl(nGC_80) - coupl(nGC_153 &
                        )**2d0*coupl(nGC_157) + coupl(nGC_154)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_155)**2d0*coupl(nGC_157) +   &
                        coupl(nGC_155)*coupl(nGC_86)*coupl(nGC_92) - coupl(    &
                        nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_159)**2d0 +   &
                        8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_159)* &
                        coupl(nGC_817)*coupl(nGC_89) + coupl(nGC_159)*coupl(   &
                        nGC_86)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_40_Hh) = -coupl(nGC_40)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_40_Hl) = -coupl(nGC_40)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_157_Hh) = -coupl(nGC_157)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9220) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1191)*coupl(&
                        nGC_198) + coupl(nGC_132)*coupl(nGC_135) + coupl(      &
                        nGC_136)*coupl(nGC_695) + coupl(nGC_139)*coupl(nGC_143 &
                        ) + coupl(nGC_140)*coupl(nGC_144) + coupl(nGC_147)*    &
                        coupl(nGC_152) + coupl(nGC_148)*coupl(nGC_151) + coupl(&
                        nGC_171)*coupl(nGC_176) + coupl(nGC_172)*coupl(nGC_175 &
                        ) + coupl(nGC_179)*coupl(nGC_182) + coupl(nGC_183)*    &
                        coupl(nGC_2019) + coupl(nGC_194)*coupl(nGC_197))/(32d0*&
                        pi**2d0*Nc)
      coupl(nGC_9225) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 + &
                        coupl(nGC_142)**2d0 + coupl(nGC_146)**2d0 + coupl(     &
                        nGC_170)**2d0 + coupl(nGC_178)**2d0 + coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9226) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)**2d0  &
                         - coupl(nGC_142)**2d0 - coupl(nGC_146)**2d0 - coupl(  &
                        nGC_170)**2d0 - coupl(nGC_178)**2d0 - coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
