!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_29519) = -coupl(nGC_8820)
      coupl(nGC_16143) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_16142) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_16145) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_16144) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_16147) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_16146) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_15046) = coupl(nGC_25)*dZG0
      coupl(nGC_9508) = coupl(nGC_7919)*dyt1_QED3 + coupl(nGC_7920)*da_QED2 +  &
                        coupl(nGC_7921)*dyt2_QED3
      coupl(nGC_15225) = coupl(nGC_170)*dZHMinus_QED2/2d0 + coupl(nGC_170)*    &
                         dZcL_QED2/2d0 + coupl(nGC_170)*dZsR_QED2/2d0 + coupl( &
                         nGC_174)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9426)
      coupl(nGC_15224) = coupl(nGC_131)*dZcR_QCD2/2d0 + coupl(nGC_131)*        &
                         dZsL_QCD2/2d0 + coupl(nGC_9424)
      coupl(nGC_15226) = coupl(nGC_131)*dZHMinus_QED2/2d0 + coupl(nGC_131)*    &
                         dZcR_QED2/2d0 + coupl(nGC_131)*dZsL_QED2/2d0 + coupl( &
                         nGC_134)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9423)
      coupl(nGC_15223) = coupl(nGC_170)*dZcL_QCD2/2d0 + coupl(nGC_170)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9425)
      coupl(nGC_13676) = coupl(nGC_91)*dZHlHh_QED2/2d0 + coupl(nGC_92)*        &
                         dZHaG0_QED2/2d0 + coupl(nGC_9379) + coupl(nGC_94)*    &
                         dZHh_QED2/2d0 + coupl(nGC_94)*dZZ_QED2/2d0
      coupl(nGC_13677) = -coupl(nGC_13676)
      coupl(nGC_TS_GC_61_Hh) = -coupl(nGC_61)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_61_Hl) = -coupl(nGC_61)*dtHl_QED1/cMHL**2d0
      coupl(nGC_18311) = coupl(nGC_63)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_18315) = coupl(nGC_63)*dZHhHl_QED2/2d0 + coupl(nGC_69)*        &
                         dZHMinus_QED2/2d0 + coupl(nGC_69)*dZHl_QED2/2d0 +     &
                         coupl(nGC_69)*dZWMinus_QED2/2d0 + coupl(nGC_9369)
      coupl(nGC_21204) = dZHMinusGMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/&
                         2d0
      coupl(nGC_14159) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_82)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9292)
      coupl(nGC_14155) = coupl(nGC_98)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_14798) = coupl(nGC_17)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_14799) = -coupl(nGC_14798)
      coupl(nGC_13411) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_9381) + coupl(&
                         nGC_96)*dZZ_QED2/2d0
      coupl(nGC_13412) = -coupl(nGC_13411)
      coupl(nGC_TS_GC_31_Hl) = -coupl(nGC_31)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13898) = coupl(nGC_134)*dZGMinus/2d0
      coupl(nGC_13528) = coupl(nGC_198)*dZuL_QED2/2d0 + coupl(nGC_198)*        &
                         dZuR_QED2/2d0 + coupl(nGC_9491)
      coupl(nGC_TS_GC_48_Hh) = -coupl(nGC_48)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_48_Hl) = -coupl(nGC_48)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13252) = coupl(nGC_44)*dZGMinus/2d0
      coupl(nGC_13524) = coupl(nGC_198)*dZG0/2d0
      coupl(nGC_14205) = coupl(nGC_130)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_14206) = coupl(nGC_130)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_9500) = coupl(nGC_415)*dyt2_QED3 + coupl(nGC_417)*db_QED2 +    &
                        coupl(nGC_419)*dyt1_QED3
      coupl(nGC_9501) = coupl(nGC_423)*dyt2_QED1_QCD2 + coupl(nGC_427)*        &
                        dyt1_QED1_QCD2
      coupl(nGC_9502) = coupl(nGC_423)*dyt2_QED3 + coupl(nGC_425)*db_QED2 +    &
                        coupl(nGC_427)*dyt1_QED3
      coupl(nGC_9503) = coupl(nGC_8509)*dyup2_QED1_QCD2 + coupl(nGC_8510)*     &
                        dyup1_QED1_QCD2
      coupl(nGC_9504) = coupl(nGC_8509)*dyup2_QED3 + coupl(nGC_8510)*dyup1_QED3&
                         + coupl(nGC_8511)*da_QED2
      coupl(nGC_9505) = coupl(nGC_8620)*dyc1_QED1_QCD2 + coupl(nGC_8621)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9506) = coupl(nGC_8620)*dyc1_QED3 + coupl(nGC_8621)*dyc2_QED3  &
                         + coupl(nGC_8622)*da_QED2
      coupl(nGC_9507) = coupl(nGC_7919)*dyt1_QED1_QCD2 + coupl(nGC_7921)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_13090) = coupl(nGC_138)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_142&
                         )*dZHMinus_QED2/2d0 + coupl(nGC_142)*dZbR_QED2/2d0 +  &
                         coupl(nGC_142)*dZtL_QED2/2d0 + coupl(nGC_9429)
      coupl(nGC_9509) = coupl(nGC_8189)*dyup2_QED1_QCD2 + coupl(nGC_8190)*     &
                        dyup1_QED1_QCD2
      coupl(nGC_13092) = coupl(nGC_142)*dZbR_QCD2/2d0 + coupl(nGC_142)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9430)
      coupl(nGC_12786) = coupl(nGC_132)*dZHa_QED2/2d0 + coupl(nGC_9517)
      coupl(nGC_12785) = coupl(nGC_132)*dZcL_QED2/2d0 + coupl(nGC_132)*        &
                         dZcR_QED2/2d0 + coupl(nGC_136)*dZG0Ha_QED2/2d0
      coupl(nGC_12783) = coupl(nGC_132)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
