!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_13068) = coupl(nGC_27)*dZHMinus_QED2/2d0 + coupl(nGC_27)*      &
                         dZHh_QED2 + coupl(nGC_32)*dZGMinusHMinus_QED2/2d0 +   &
                         coupl(nGC_34)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_36)*&
                         dZHlHh_QED2 + coupl(nGC_9329)
      coupl(nGC_13532) = coupl(nGC_198)*dZuL_QCD2/2d0 + coupl(nGC_198)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9492)
      coupl(nGC_13531) = coupl(nGC_197)*dZuL_QCD2/2d0 + coupl(nGC_197)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9494)
      coupl(nGC_13537) = coupl(nGC_108)*dZGMinus
      coupl(nGC_13089) = coupl(nGC_178)*dZHMinus_QED2/2d0 + coupl(nGC_178)*    &
                         dZbL_QED2/2d0 + coupl(nGC_178)*dZtR_QED2/2d0 + coupl( &
                         nGC_181)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9427)
      coupl(nGC_8756) = -Nc*cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_8757) = cima*coupl(nGC_7)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                        cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**  &
                        2d0)
      coupl(nGC_8754) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0 + coupl(  &
                        nGC_89)**2d0)/(16d0*pi**2d0)
      coupl(nGC_8755) = cima*sq2**2d0*(Nc*coupl(nGC_6)**2d0 - 4d0*coupl(nGC_7  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_8752) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_8753) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_86)**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_8750) = cMD*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8751) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_8758) = cima*sq2**2d0*(-Nc*coupl(nGC_6)**2d0 + 4d0*coupl(nGC_7 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_8759) = cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_12935) = coupl(nGC_41)*dZGMinus/2d0
      coupl(nGC_12938) = coupl(nGC_41)*dZHMinus_QED2/2d0 + coupl(nGC_41)*      &
                         dZHa_QED2/2d0 + coupl(nGC_41)*dZHl_QED2/2d0 + coupl(  &
                         nGC_48)*dZG0Ha_QED2/2d0 + coupl(nGC_49)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_9328)
      coupl(nGC_12939) = coupl(nGC_128)*dZZA_QED2/2d0
      coupl(nGC_12753) = 3d0*coupl(nGC_45)*dZGMinus/2d0
      coupl(nGC_13334) = coupl(nGC_19)*dZHMinus_QED2/2d0 + coupl(nGC_19)*      &
                         dZHa_QED2/2d0 + coupl(nGC_19)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_19)*dZZ_QED2/2d0 + coupl(nGC_73)*dZAZ_QED2/ &
                         2d0 + coupl(nGC_9389)
      coupl(nGC_13339) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_73)*dZA_QED2/ &
                         2d0 + coupl(nGC_73)*dZWMinus_QED2/2d0 + coupl(nGC_9372&
                         )
      coupl(nGC_9409) = coupl(nGC_8331)*dydo2_QED1_QCD2 + coupl(nGC_8333)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_9408) = coupl(nGC_8534)*dyup1_QED1_QCD2 + coupl(nGC_8535)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_9401) = coupl(nGC_8229)*dsw_QED2 + coupl(nGC_8230)*dcw_QED2 +  &
                        coupl(nGC_8231)*dZee_QED2
      coupl(nGC_9400) = coupl(nGC_8247)*dsw_QED2 + coupl(nGC_8248)*dcw_QED2 +  &
                        coupl(nGC_8249)*dZee_QED2
      coupl(nGC_9403) = coupl(nGC_8232)*dsw_QED2 + coupl(nGC_8233)*dcw_QED2 +  &
                        coupl(nGC_8234)*dZee_QED2
      coupl(nGC_9402) = coupl(nGC_8244)*dsw_QED2 + coupl(nGC_8245)*dcw_QED2 +  &
                        coupl(nGC_8246)*dZee_QED2
      coupl(nGC_9405) = coupl(nGC_8250)*dsw_QED2 + coupl(nGC_8251)*dcw_QED2 +  &
                        coupl(nGC_8252)*dZee_QED2
      coupl(nGC_9404) = coupl(nGC_8253)*dsw_QED2 + coupl(nGC_8254)*dcw_QED2 +  &
                        coupl(nGC_8255)*dZee_QED2
      coupl(nGC_9407) = coupl(nGC_8533)*db_QED2 + coupl(nGC_8534)*dyup1_QED3 + &
                        coupl(nGC_8535)*dyup2_QED3
      coupl(nGC_9406) = coupl(nGC_8238)*dsw_QED2 + coupl(nGC_8239)*dcw_QED2 +  &
                        coupl(nGC_8240)*dZee_QED2
      coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8912) = coupl(nGC_146)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8913) = (8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_193)*coupl(nGC_793) - coupl(nGC_145)* &
                        coupl(nGC_146)*coupl(nGC_192) - coupl(nGC_146)*coupl(  &
                        nGC_147)*coupl(nGC_194) - coupl(nGC_146)*coupl(nGC_149 &
                        )*coupl(nGC_195) - coupl(nGC_146)*coupl(nGC_151)*coupl(&
                        nGC_198) - coupl(nGC_17)*coupl(nGC_193)*coupl(nGC_2) - &
                        coupl(nGC_192)*coupl(nGC_69)*coupl(nGC_80) + 8d0*coupl(&
                        nGC_193)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_193)* &
                        coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_193)*coupl(    &
                        nGC_87)*coupl(nGC_975) - coupl(nGC_194)*coupl(nGC_72)* &
                        coupl(nGC_80) - coupl(nGC_195)*coupl(nGC_63)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8914) = coupl(nGC_193)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8915) = (-coupl(nGC_1243)*coupl(nGC_153)*coupl(nGC_80) - coupl(&
                        nGC_154)*coupl(nGC_4)*coupl(nGC_793) + 8d0*coupl(      &
                        nGC_154)*coupl(nGC_86)*coupl(nGC_90) - coupl(nGC_154)* &
                        coupl(nGC_86)*coupl(nGC_975) - coupl(nGC_154)*coupl(   &
                        nGC_90)*coupl(nGC_96) - coupl(nGC_156)*coupl(nGC_80)*  &
                        coupl(nGC_867) - coupl(nGC_157)*coupl(nGC_3011)*coupl( &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8917) = (coupl(nGC_17)*coupl(nGC_185)*coupl(nGC_4) + coupl(    &
                        nGC_184)*coupl(nGC_69)*coupl(nGC_80) + 8d0*coupl(      &
                        nGC_185)*coupl(nGC_86)*coupl(nGC_90) + coupl(nGC_185)* &
                        coupl(nGC_86)*coupl(nGC_96) + coupl(nGC_185)*coupl(    &
                        nGC_90)*coupl(nGC_975) + coupl(nGC_187)*coupl(nGC_72)* &
                        coupl(nGC_80) + coupl(nGC_188)*coupl(nGC_63)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_9391) = coupl(nGC_8322)*dsw_QED2 + coupl(nGC_8323)*dcw_QED2 +  &
                        coupl(nGC_8324)*dZee_QED2
      coupl(nGC_9390) = coupl(nGC_8328)*dsw_QED2 + coupl(nGC_8329)*dcw_QED2 +  &
                        coupl(nGC_8330)*dZee_QED2
      coupl(nGC_9393) = coupl(nGC_383)*dZee_QED2 + coupl(nGC_385)*dvev1_QED1 + &
                        coupl(nGC_387)*da_QED2 + coupl(nGC_389)*dcw_QED2 +     &
                        coupl(nGC_391)*dvev2_QED1 + coupl(nGC_393)*dsw_QED2
      coupl(nGC_9392) = coupl(nGC_8325)*dsw_QED2 + coupl(nGC_8326)*dcw_QED2 +  &
                        coupl(nGC_8327)*dZee_QED2
      coupl(nGC_9395) = coupl(nGC_8526)*dZee_QED2
      coupl(nGC_9394) = coupl(nGC_397)*dZee_QED2 + coupl(nGC_399)*dvev1_QED1 + &
                        coupl(nGC_401)*da_QED2 + coupl(nGC_403)*dcw_QED2 +     &
                        coupl(nGC_405)*dvev2_QED1 + coupl(nGC_407)*dsw_QED2
      coupl(nGC_9397) = coupl(nGC_8264)*dZee_QED2
      coupl(nGC_9396) = coupl(nGC_8277)*dZee_QED2
      coupl(nGC_9399) = coupl(nGC_8209)*dsw_QED2 + coupl(nGC_8210)*dZee_QED2
      coupl(nGC_9398) = coupl(nGC_411)*dZgs_QCD2
      coupl(nGC_15812) = coupl(nGC_110)*dZHlHh_QED2/2d0 + coupl(nGC_111)*      &
                         dZGMinusHMinus_QED2 + coupl(nGC_118)*dZHMinus_QED2 +  &
                         coupl(nGC_118)*dZHh_QED2/2d0 + coupl(nGC_9345) + coupl&
                         (nGC_TS_GC_22_Hl) + coupl(nGC_TS_GC_34_Hh)
      coupl(nGC_9241) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1191)*coupl(&
                        nGC_194) + coupl(nGC_132)*coupl(nGC_695) + coupl(      &
                        nGC_143)*coupl(nGC_144) + coupl(nGC_147)*coupl(nGC_148 &
                        ) + coupl(nGC_171)*coupl(nGC_172) + coupl(nGC_179)*    &
                        coupl(nGC_2019))/(16d0*pi**2d0*Nc)
      coupl(nGC_9240) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1191)*coupl&
                        (nGC_194) - coupl(nGC_132)*coupl(nGC_695) - coupl(     &
                        nGC_143)*coupl(nGC_144) - coupl(nGC_147)*coupl(nGC_148 &
                        ) - coupl(nGC_171)*coupl(nGC_172) - coupl(nGC_179)*    &
                        coupl(nGC_2019))/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
