!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl16()
      coupl(nGC_12745) = coupl(nGC_16)*dZGMinus/2d0
      coupl(nGC_9416) = coupl(nGC_7911)*dyt1_QED1_QCD2 + coupl(nGC_7912)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_13345) = coupl(nGC_46)*dZHaG0_QED2 + coupl(nGC_47)*dZG0Ha_QED2 &
                          + coupl(nGC_59)*dZHa_QED2 + coupl(nGC_9308)
      coupl(nGC_9414) = coupl(nGC_8522)*dyd12x2_QED3 + coupl(nGC_8523)*        &
                        dys2_QED3 + coupl(nGC_8524)*db_QED2
      coupl(nGC_9415) = coupl(nGC_7910)*db_QED2 + coupl(nGC_7911)*dyt1_QED3 +  &
                        coupl(nGC_7912)*dyt2_QED3
      coupl(nGC_9413) = coupl(nGC_8522)*dyd12x2_QED1_QCD2 + coupl(nGC_8523)*   &
                        dys2_QED1_QCD2
      coupl(nGC_9410) = coupl(nGC_8331)*dydo2_QED3 + coupl(nGC_8332)*db_QED2 + &
                        coupl(nGC_8333)*dydo1_QED3
      coupl(nGC_9411) = coupl(nGC_8551)*db_QED2 + coupl(nGC_8552)*dyc1_QED3 +  &
                        coupl(nGC_8553)*dyc2_QED3
      coupl(nGC_9418) = coupl(nGC_7908)*dyd13x3_QED1_QCD2 + coupl(nGC_7909)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_12698) = coupl(nGC_19)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_12692) = coupl(nGC_15)*dZZA_QED2/2d0 + coupl(nGC_66)*dZA_QED2/ &
                         2d0 + coupl(nGC_66)*dZHMinus_QED2/2d0 + coupl(nGC_66)*&
                         dZHh_QED2/2d0 + coupl(nGC_66)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_70)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)*&
                         dZHlHh_QED2/2d0 + coupl(nGC_9365)
      coupl(nGC_12695) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZeMinusL_QED2/2d0 + coupl(nGC_80)*dZnu_eL_QED2/2d0 + &
                         coupl(nGC_9399)
      coupl(nGC_8925) = (8d0*coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_170)*coupl(nGC_793) - coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_169) - coupl(nGC_131)*coupl(  &
                        nGC_132)*coupl(nGC_171) - coupl(nGC_131)*coupl(nGC_133 &
                        )*coupl(nGC_173) - coupl(nGC_131)*coupl(nGC_136)*coupl(&
                        nGC_175) - coupl(nGC_169)*coupl(nGC_68)*coupl(nGC_80   &
                        ) - coupl(nGC_17)*coupl(nGC_170)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_170)*coupl(nGC_84)*coupl(nGC_88) - coupl(    &
                        nGC_170)*coupl(nGC_84)*coupl(nGC_975) - coupl(nGC_170)*&
                        coupl(nGC_88)*coupl(nGC_96) - coupl(nGC_171)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_173)*coupl(nGC_64)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8927) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_193) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_193)*coupl(nGC_2) - coupl(nGC_1191)*  &
                        coupl(nGC_146)*coupl(nGC_148) + coupl(nGC_1191)*coupl( &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_145)*coupl(nGC_146)* &
                        coupl(nGC_192) - coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_195) - coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_197 &
                        ) + coupl(nGC_192)*coupl(nGC_68)*coupl(nGC_80) + coupl(&
                        nGC_193)*coupl(nGC_2)*coupl(nGC_793) + 8d0*coupl(      &
                        nGC_193)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_193)* &
                        coupl(nGC_85)*coupl(nGC_975) + coupl(nGC_193)*coupl(   &
                        nGC_87)*coupl(nGC_96) + coupl(nGC_195)*coupl(nGC_64)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8923) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_178) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_178)*coupl(nGC_2) - coupl(nGC_137)*   &
                        coupl(nGC_142)*coupl(nGC_180) - coupl(nGC_140)*coupl(  &
                        nGC_142)*coupl(nGC_182) - coupl(nGC_141)*coupl(nGC_142 &
                        )*coupl(nGC_177) - coupl(nGC_142)*coupl(nGC_143)*coupl(&
                        nGC_2019) + coupl(nGC_177)*coupl(nGC_68)*coupl(nGC_80  &
                        ) + coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_793) + 8d0*  &
                        coupl(nGC_178)*coupl(nGC_85)*coupl(nGC_87) + coupl(    &
                        nGC_178)*coupl(nGC_85)*coupl(nGC_975) + coupl(nGC_178)*&
                        coupl(nGC_87)*coupl(nGC_96) + coupl(nGC_180)*coupl(    &
                        nGC_64)*coupl(nGC_80) + coupl(nGC_2019)*coupl(nGC_72)* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_9388) = coupl(nGC_8305)*dvev2_QED1 + coupl(nGC_8306)*dcw_QED2  &
                         + coupl(nGC_8307)*db_QED2 + coupl(nGC_8308)*dvev1_QED1&
                         + coupl(nGC_8309)*dZee_QED2
      coupl(nGC_9387) = coupl(nGC_8334)*dvev2_QED1 + coupl(nGC_8335)*dcw_QED2  &
                         + coupl(nGC_8336)*db_QED2 + coupl(nGC_8337)*dvev1_QED1&
                         + coupl(nGC_8338)*dZee_QED2
      coupl(nGC_9384) = coupl(nGC_8586)*dcw_QED2 + coupl(nGC_8587)*db_QED2 +   &
                        coupl(nGC_8588)*dZee_QED2 + coupl(nGC_8589)*da_QED2
      coupl(nGC_9382) = coupl(nGC_8281)*dcw_QED2 + coupl(nGC_8282)*db_QED2 +   &
                        coupl(nGC_8283)*dsw_QED2 + coupl(nGC_8284)*dZee_QED2 + &
                        coupl(nGC_8285)*da_QED2
      coupl(nGC_9380) = coupl(nGC_8294)*dcw_QED2 + coupl(nGC_8295)*db_QED2 +   &
                        coupl(nGC_8296)*dsw_QED2 + coupl(nGC_8297)*dZee_QED2 + &
                        coupl(nGC_8298)*da_QED2
      coupl(nGC_16330) = coupl(nGC_92)*dZHa_QED2/2d0 + coupl(nGC_92)*dZHh_QED2/&
                         2d0 + coupl(nGC_92)*dZZ_QED2/2d0 + coupl(nGC_9382) +  &
                         coupl(nGC_94)*dZG0Ha_QED2/2d0 + coupl(nGC_94)*        &
                         dZHlHh_QED2/2d0
      coupl(nGC_16331) = -coupl(nGC_16330)
      coupl(nGC_15802) = coupl(nGC_62)*dZHa_QED2 + coupl(nGC_62)*dZWMinus_QED2 &
                          + coupl(nGC_9374)
      coupl(nGC_17558) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_9381) + coupl(&
                         nGC_96)*dZHMinus_QED2 + coupl(nGC_96)*dZZ_QED2/2d0
      coupl(nGC_9252) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_133)**2d0 + &
                        coupl(nGC_137)**2d0 + coupl(nGC_149)**2d0 + coupl(     &
                        nGC_173)**2d0 + coupl(nGC_180)**2d0 + coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9253) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl(&
                        nGC_133) - coupl(nGC_137)*coupl(nGC_141) - coupl(      &
                        nGC_145)*coupl(nGC_149) - coupl(nGC_169)*coupl(nGC_173 &
                        ) - coupl(nGC_177)*coupl(nGC_180) - coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_9254) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)*coupl( &
                        nGC_133) + coupl(nGC_137)*coupl(nGC_141) + coupl(      &
                        nGC_145)*coupl(nGC_149) + coupl(nGC_169)*coupl(nGC_173 &
                        ) + coupl(nGC_177)*coupl(nGC_180) + coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0*Nc)
      coupl(nGC_9256) = -cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(  &
                        32d0*pi**2d0*Nc)
      coupl(nGC_9257) = cima*coupl(nGC_7)**2d0*coupl(nGC_80)**2d0*sq2**2d0/(   &
                        32d0*pi**2d0)
      coupl(nGC_9090) = cima*(-Nc*coupl(nGC_1)**2d0*coupl(nGC_139)*coupl(      &
                        nGC_143) - Nc*coupl(nGC_1)**2d0*coupl(nGC_140)*coupl(  &
                        nGC_144) - Nc*coupl(nGC_1)**2d0*coupl(nGC_147)*coupl(  &
                        nGC_152) - Nc*coupl(nGC_1)**2d0*coupl(nGC_148)*coupl(  &
                        nGC_151) - Nc*coupl(nGC_1)**2d0*coupl(nGC_171)*coupl(  &
                        nGC_176) - Nc*coupl(nGC_1)**2d0*coupl(nGC_172)*coupl(  &
                        nGC_175) - Nc*coupl(nGC_1191)*coupl(nGC_198)*coupl(    &
                        nGC_2)**2d0 - Nc*coupl(nGC_132)*coupl(nGC_135)*coupl(  &
                        nGC_2)**2d0 - Nc*coupl(nGC_136)*coupl(nGC_2)**2d0*coupl&
                        (nGC_695) - Nc*coupl(nGC_179)*coupl(nGC_182)*coupl(    &
                        nGC_2)**2d0 - Nc*coupl(nGC_183)*coupl(nGC_2)**2d0*coupl&
                        (nGC_2019) - Nc*coupl(nGC_194)*coupl(nGC_197)*coupl(   &
                        nGC_2)**2d0 - coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_4&
                        )**2d0 - coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_4)**  &
                        2d0 - coupl(nGC_163)*coupl(nGC_168)*coupl(nGC_4)**2d0  &
                         - coupl(nGC_164)*coupl(nGC_167)*coupl(nGC_4)**2d0 -   &
                        coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_4)**2d0 - coupl&
                        (nGC_187)*coupl(nGC_190)*coupl(nGC_4)**2d0)/(8d0*pi**  &
                        2d0)
      coupl(nGC_TS_GC_11_Hl) = -coupl(nGC_11)*dtHl_QED1/cMHL**2d0
      coupl(nGC_17882) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_86)*        &
                         dZZA_QED2/2d0
      coupl(nGC_17881) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_89)*        &
                         dZZA_QED2/2d0
      coupl(nGC_13904) = coupl(nGC_131)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_134&
                         )*dZcR_QED2/2d0 + coupl(nGC_134)*dZsL_QED2/2d0 + coupl&
                         (nGC_9411)
      coupl(nGC_16445) = coupl(nGC_64)*dZHlHh_QED2/2d0 + coupl(nGC_69)*        &
                         dZHh_QED2/2d0 + coupl(nGC_69)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9369)
      coupl(nGC_16446) = coupl(nGC_16444) - coupl(nGC_16445)
      coupl(nGC_16447) = -coupl(nGC_16442)
      coupl(nGC_16931) = coupl(nGC_16924) + coupl(nGC_9513)
      coupl(nGC_14160) = -coupl(nGC_14159)
      coupl(nGC_14180) = coupl(nGC_14173) + coupl(nGC_9445)
      coupl(nGC_15437) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZtL_QED2  &
                          + coupl(nGC_9400)
      coupl(nGC_9435) = coupl(nGC_8554)*dyd12x2_QED1_QCD2 + coupl(nGC_8555)*   &
                        dys2_QED1_QCD2
      coupl(nGC_TS_GC_13_Hh) = -coupl(nGC_13)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9436) = coupl(nGC_8554)*dyd12x2_QED3 + coupl(nGC_8555)*        &
                        dys2_QED3 + coupl(nGC_8556)*db_QED2
      coupl(nGC_TS_GC_13_Hl) = -coupl(nGC_13)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13511) = coupl(nGC_137)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_13512) = coupl(nGC_137)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_13519) = coupl(nGC_197)*dZG0/2d0
      coupl(nGC_9433) = coupl(nGC_8429)*dydo2_QED1_QCD2 + coupl(nGC_8431)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_8738) = cima*(-2d0*Nc*coupl(nGC_84)**2d0 - 2d0*Nc*coupl(nGC_85 &
                        )**2d0 - 2d0*Nc*coupl(nGC_87)**2d0 - 2d0*Nc*coupl(     &
                        nGC_88)**2d0 - coupl(nGC_82)**2d0 - coupl(nGC_833)**2d0&
                         - 2d0*coupl(nGC_86)**2d0 - 2d0*coupl(nGC_89)**2d0 -   &
                        2d0*coupl(nGC_90)**2d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
