!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl17()
      coupl(nGC_8739) = cima*(coupl(nGC_82)**2d0 + coupl(nGC_833)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_14438) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_9397)
      coupl(nGC_12910) = coupl(nGC_29)*dZG0/2d0
      coupl(nGC_14344) = coupl(nGC_127)*dZGMinus/2d0
      coupl(nGC_14347) = coupl(nGC_107)*dZZA_QED2/2d0 + coupl(nGC_126)*        &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_127)*dZA_QED2/2d0 &
                          + coupl(nGC_127)*dZWMinus_QED2/2d0 + coupl(nGC_9366  &
                         ) + coupl(nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_70_Hh)
      coupl(nGC_14430) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_14437) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
      coupl(nGC_22294) = -coupl(nGC_16760)
      coupl(nGC_20342) = coupl(nGC_7)*dZuL_QED2
      coupl(nGC_20343) = coupl(nGC_7)*dZuL_QCD2
      coupl(nGC_20340) = coupl(nGC_7)*dZuR_QED2
      coupl(nGC_20341) = coupl(nGC_7)*dZuR_QCD2
      coupl(nGC_12776) = coupl(nGC_135)*dZG0Ha_QED2/2d0
      coupl(nGC_12775) = coupl(nGC_100)*dZZA_QED2/2d0 + coupl(nGC_18)*dZAZ_QED2&
                         /2d0 + coupl(nGC_9378) + coupl(nGC_97)*dZA_QED2/2d0 + &
                         coupl(nGC_97)*dZZ_QED2/2d0
      coupl(nGC_9467) = coupl(nGC_8626)*db_QED2 + coupl(nGC_8627)*dye2_QED3 +  &
                        coupl(nGC_8628)*dye1_QED3
      coupl(nGC_13351) = coupl(nGC_91)*dZHl_QED2/2d0 + coupl(nGC_91)*dZZ_QED2/ &
                         2d0 + coupl(nGC_9380) + coupl(nGC_94)*dZHaG0_QED2/2d0 &
                          + coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_9469) = coupl(nGC_8256)*db_QED2 + coupl(nGC_8257)*dytau1_QED3  &
                         + coupl(nGC_8258)*dytau2_QED3
      coupl(nGC_9468) = coupl(nGC_8217)*db_QED2 + coupl(nGC_8218)*dym1_QED3 +  &
                        coupl(nGC_8219)*dym2_QED3
      coupl(nGC_13359) = coupl(nGC_7)*dZtL_QED2
      coupl(nGC_8938) = coupl(nGC_144)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8939) = (-coupl(nGC_130)**2d0*coupl(nGC_132) - coupl(nGC_130)* &
                        coupl(nGC_817)*coupl(nGC_85) - coupl(nGC_130)*coupl(   &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_171) - coupl(nGC_131)*coupl(nGC_72)*coupl(   &
                        nGC_80) - coupl(nGC_132)*coupl(nGC_133)**2d0 - coupl(  &
                        nGC_132)*coupl(nGC_135)**2d0 - coupl(nGC_132)*coupl(   &
                        nGC_695)**2d0 - coupl(nGC_133)*coupl(nGC_1331)*coupl(  &
                        nGC_85) - coupl(nGC_133)*coupl(nGC_88)*coupl(nGC_92) - &
                        coupl(nGC_134)*coupl(nGC_171)*coupl(nGC_174) + 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_695) + 8d0*coupl(nGC_695)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_8930) = (-coupl(nGC_184)*coupl(nGC_68)*coupl(nGC_80) - coupl(  &
                        nGC_185)*coupl(nGC_4)*coupl(nGC_793) + 8d0*coupl(      &
                        nGC_185)*coupl(nGC_86)*coupl(nGC_90) - coupl(nGC_185)* &
                        coupl(nGC_86)*coupl(nGC_975) - coupl(nGC_185)*coupl(   &
                        nGC_90)*coupl(nGC_96) - coupl(nGC_186)*coupl(nGC_72)*  &
                        coupl(nGC_80) - coupl(nGC_188)*coupl(nGC_64)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8931) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_143)**2d0 + 16d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_144) +  &
                        4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_144)**2d0 + 4d0*Nc*&
                        cMC*coupl(nGC_132)**2d0*coupl(nGC_133) + 16d0*Nc*cMC*  &
                        coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_695) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_695)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_147)**2d0*coupl(nGC_149) + 16d0*Nc*cMD*coupl(&
                        nGC_147)*coupl(nGC_148)*coupl(nGC_149) + 4d0*Nc*cMD*   &
                        coupl(nGC_148)**2d0*coupl(nGC_149) + 4d0*Nc*cMS*coupl( &
                        nGC_171)**2d0*coupl(nGC_173) + 16d0*Nc*cMS*coupl(      &
                        nGC_171)*coupl(nGC_172)*coupl(nGC_173) + 4d0*Nc*cMS*   &
                        coupl(nGC_172)**2d0*coupl(nGC_173) + 4d0*Nc*cMT*coupl( &
                        nGC_179)**2d0*coupl(nGC_180) + 16d0*Nc*cMT*coupl(      &
                        nGC_179)*coupl(nGC_180)*coupl(nGC_2019) + 4d0*Nc*cMT*  &
                        coupl(nGC_180)*coupl(nGC_2019)**2d0 + 4d0*Nc*cMU*coupl(&
                        nGC_1191)**2d0*coupl(nGC_195) + 16d0*Nc*cMU*coupl(     &
                        nGC_1191)*coupl(nGC_194)*coupl(nGC_195) + 4d0*Nc*cMU*  &
                        coupl(nGC_194)**2d0*coupl(nGC_195) + 4d0*cME*coupl(    &
                        nGC_155)**2d0*coupl(nGC_157) + 16d0*cME*coupl(nGC_155)*&
                        coupl(nGC_156)*coupl(nGC_157) + 4d0*cME*coupl(nGC_156  &
                        )**2d0*coupl(nGC_157) + 4d0*cMM*coupl(nGC_163)**2d0*   &
                        coupl(nGC_165) + 16d0*cMM*coupl(nGC_163)*coupl(nGC_164 &
                        )*coupl(nGC_165) + 4d0*cMM*coupl(nGC_164)**2d0*coupl(  &
                        nGC_165) + 4d0*cMTA*coupl(nGC_186)**2d0*coupl(nGC_188  &
                        ) + 16d0*cMTA*coupl(nGC_186)*coupl(nGC_187)*coupl(     &
                        nGC_188) + 4d0*cMTA*coupl(nGC_187)**2d0*coupl(nGC_188  &
                        ) + 2d0*cima*coupl(nGC_101)*coupl(nGC_129) + 4d0*cima* &
                        coupl(nGC_125)*coupl(nGC_62) + coupl(nGC_103)*coupl(   &
                        nGC_1331)*coupl(nGC_94) + coupl(nGC_103)*coupl(nGC_817 &
                        )*coupl(nGC_92) + coupl(nGC_105)*coupl(nGC_1331)*coupl(&
                        nGC_92) + coupl(nGC_106)*coupl(nGC_817)*coupl(nGC_94   &
                        ) + coupl(nGC_112)*coupl(nGC_1331)*coupl(nGC_817) +    &
                        coupl(nGC_112)*coupl(nGC_92)*coupl(nGC_94) + coupl(    &
                        nGC_113)*coupl(nGC_1331)*coupl(nGC_817) + coupl(nGC_113&
                        )*coupl(nGC_92)*coupl(nGC_94) + 2d0*coupl(nGC_118)*    &
                        coupl(nGC_72)*coupl(nGC_867) + coupl(nGC_120)*coupl(   &
                        nGC_817)**2d0 + coupl(nGC_120)*coupl(nGC_94)**2d0 +    &
                        coupl(nGC_121)*coupl(nGC_1331)**2d0 + coupl(nGC_121)*  &
                        coupl(nGC_92)**2d0 + coupl(nGC_122)*coupl(nGC_1243)*   &
                        coupl(nGC_867) + coupl(nGC_122)*coupl(nGC_69)*coupl(   &
                        nGC_72) + coupl(nGC_123)*coupl(nGC_1485)*coupl(nGC_867 &
                        ) + coupl(nGC_123)*coupl(nGC_68)*coupl(nGC_72) - 2d0*  &
                        coupl(nGC_125)*coupl(nGC_72)*coupl(nGC_867) - coupl(   &
                        nGC_129)*coupl(nGC_1331)*coupl(nGC_92) - coupl(nGC_129 &
                        )*coupl(nGC_817)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_22072) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_8937) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_144) - coupl(nGC_1331 &
                        )*coupl(nGC_137)*coupl(nGC_87) - coupl(nGC_137)**2d0*  &
                        coupl(nGC_143) - coupl(nGC_137)*coupl(nGC_84)*coupl(   &
                        nGC_92) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_2019 &
                        ) - coupl(nGC_139)**2d0*coupl(nGC_143) - coupl(nGC_141 &
                        )**2d0*coupl(nGC_143) - coupl(nGC_141)*coupl(nGC_817)* &
                        coupl(nGC_87) - coupl(nGC_141)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_2019 &
                        ) - coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_867) - coupl&
                        (nGC_143)*coupl(nGC_144)**2d0 + 8d0*coupl(nGC_144)*    &
                        coupl(nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8934) = (4d0*Nc*coupl(nGC_1191)*coupl(nGC_192)*coupl(nGC_85) - &
                        4d0*Nc*coupl(nGC_1191)*coupl(nGC_192)*coupl(nGC_88) -  &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_695)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_695)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_144)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_144)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_171)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_2019)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_2019)*coupl(nGC_88) -  &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_88) -   &
                        6d0*coupl(nGC_1243)*coupl(nGC_72)*coupl(nGC_833) +     &
                        coupl(nGC_1331)**2d0*coupl(nGC_817) + coupl(nGC_1331)* &
                        coupl(nGC_665)*coupl(nGC_817) - 6d0*coupl(nGC_1485)*   &
                        coupl(nGC_72)*coupl(nGC_82) - 4d0*coupl(nGC_153)*coupl(&
                        nGC_155)*coupl(nGC_86) + 4d0*coupl(nGC_153)*coupl(     &
                        nGC_155)*coupl(nGC_89) + 4d0*coupl(nGC_153)*coupl(     &
                        nGC_156)*coupl(nGC_86) - 4d0*coupl(nGC_153)*coupl(     &
                        nGC_156)*coupl(nGC_89) - 4d0*coupl(nGC_161)*coupl(     &
                        nGC_163)*coupl(nGC_86) + 4d0*coupl(nGC_161)*coupl(     &
                        nGC_163)*coupl(nGC_89) + 4d0*coupl(nGC_161)*coupl(     &
                        nGC_164)*coupl(nGC_86) - 4d0*coupl(nGC_161)*coupl(     &
                        nGC_164)*coupl(nGC_89) - 4d0*coupl(nGC_184)*coupl(     &
                        nGC_186)*coupl(nGC_86) + 4d0*coupl(nGC_184)*coupl(     &
                        nGC_186)*coupl(nGC_89) + 4d0*coupl(nGC_184)*coupl(     &
                        nGC_187)*coupl(nGC_86) - 4d0*coupl(nGC_184)*coupl(     &
                        nGC_187)*coupl(nGC_89) + coupl(nGC_665)**2d0*coupl(    &
                        nGC_817) + coupl(nGC_68)*coupl(nGC_867)*coupl(nGC_975  &
                        ) + coupl(nGC_69)*coupl(nGC_867)*coupl(nGC_96) + coupl(&
                        nGC_817)**3d0)/(96d0*pi**2d0)
      coupl(nGC_8935) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_143) - coupl(nGC_1331 &
                        )*coupl(nGC_137)*coupl(nGC_84) - coupl(nGC_137)**2d0*  &
                        coupl(nGC_144) - coupl(nGC_137)*coupl(nGC_87)*coupl(   &
                        nGC_92) - coupl(nGC_138)*coupl(nGC_179)*coupl(nGC_181  &
                        ) - coupl(nGC_140)**2d0*coupl(nGC_144) - coupl(nGC_141 &
                        )**2d0*coupl(nGC_144) - coupl(nGC_141)*coupl(nGC_817)* &
                        coupl(nGC_84) - coupl(nGC_141)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_179  &
                        ) - coupl(nGC_142)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_143)**2d0*coupl(nGC_144) + 8d0*coupl(nGC_143)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_16325) = coupl(nGC_TS_GC_92_Hh) + coupl(nGC_TS_GC_94_Hl)
      coupl(nGC_16324) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0
      coupl(nGC_19324) = coupl(nGC_26)*dZHhHl_QED2 + coupl(nGC_28)*dZG0Ha_QED2 &
                          + coupl(nGC_31)*dZHa_QED2 + coupl(nGC_31)*dZHl_QED2  &
                          + coupl(nGC_9303)
      coupl(nGC_9269) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_84) - coupl&
                        (nGC_85) - coupl(nGC_87) - coupl(nGC_88))/(64d0*pi**2d0&
                        *Nc)
      coupl(nGC_9268) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(128d0*pi**2d0&
                        )
      coupl(nGC_9265) = (3d0*Nc*cima*coupl(nGC_84)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_85)**4d0 + 3d0*Nc*cima*coupl(nGC_87)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_88)**4d0 + 3d0*cima*coupl(nGC_1047)**2d0&
                         - 10d0*cima*coupl(nGC_82)**4d0 - 10d0*cima*coupl(     &
                        nGC_833)**4d0 + 3d0*cima*coupl(nGC_86)**4d0 + 3d0*cima*&
                        coupl(nGC_89)**4d0 + 3d0*cima*coupl(nGC_90)**4d0 + 9d0*&
                        coupl(nGC_1047)*coupl(nGC_82)**2d0 + 9d0*coupl(nGC_1047&
                        )*coupl(nGC_833)**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_82 &
                        )**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_833)**2d0)/(24d0* &
                        pi**2d0)
      coupl(nGC_9264) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)**2d0 + &
                        coupl(nGC_141)**2d0 + coupl(nGC_145)**2d0 + coupl(     &
                        nGC_169)**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_192)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9267) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_84)**2d0 - &
                        coupl(nGC_85)**2d0 - coupl(nGC_87)**2d0 - coupl(nGC_88 &
                        )**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9266) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_84)**2d0 +  &
                        coupl(nGC_85)**2d0 + coupl(nGC_87)**2d0 + coupl(nGC_88 &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_9263) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)**2d0  &
                         - coupl(nGC_141)**2d0 - coupl(nGC_145)**2d0 - coupl(  &
                        nGC_169)**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_192)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_9069) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_145)**2d0 - coupl(nGC_146)**2d0 - coupl(nGC_147)*  &
                        coupl(nGC_148) - coupl(nGC_149)**2d0 - coupl(nGC_150)**&
                        2d0 - coupl(nGC_151)*coupl(nGC_152) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9068) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_145)**2d0 - coupl(nGC_147)*coupl(nGC_148) - coupl( &
                        nGC_149)**2d0 - coupl(nGC_151)*coupl(nGC_152) - coupl( &
                        nGC_193)**2d0 - coupl(nGC_196)**2d0 - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9067) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_145)**2d0 + coupl(nGC_146)**2d0 + coupl(nGC_147)*  &
                        coupl(nGC_148) + coupl(nGC_149)**2d0 + coupl(nGC_150)**&
                        2d0 + coupl(nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9066) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_145)**2d0 + coupl(nGC_147)*coupl(nGC_148) + coupl( &
                        nGC_149)**2d0 + coupl(nGC_151)*coupl(nGC_152) + coupl( &
                        nGC_193)**2d0 + coupl(nGC_196)**2d0 + 4d0*coupl(nGC_80 &
                        )**2d0 + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9065) = -coupl(nGC_7)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_131&
                        )**2d0 - coupl(nGC_132)*coupl(nGC_695) - coupl(nGC_133 &
                        )**2d0 - coupl(nGC_134)**2d0 - coupl(nGC_135)*coupl(   &
                        nGC_136) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_9064) = -coupl(nGC_7)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_132&
                        )*coupl(nGC_695) - coupl(nGC_133)**2d0 - coupl(nGC_135 &
                        )*coupl(nGC_136) - coupl(nGC_170)**2d0 - coupl(nGC_174 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)**2d0&
                         - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9063) = -coupl(nGC_7)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_131 &
                        )**2d0 + coupl(nGC_132)*coupl(nGC_695) + coupl(nGC_133 &
                        )**2d0 + coupl(nGC_134)**2d0 + coupl(nGC_135)*coupl(   &
                        nGC_136) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9062) = -coupl(nGC_7)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_132 &
                        )*coupl(nGC_695) + coupl(nGC_133)**2d0 + coupl(nGC_135 &
                        )*coupl(nGC_136) + coupl(nGC_170)**2d0 + coupl(nGC_174 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)**2d0&
                         + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9061) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_137)**2d0 - coupl(nGC_138)**2d0 - coupl(nGC_139)*  &
                        coupl(nGC_140) - coupl(nGC_141)**2d0 - coupl(nGC_142)**&
                        2d0 - coupl(nGC_143)*coupl(nGC_144) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_9060) = -coupl(nGC_7)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_6  &
                        ) + coupl(nGC_7))/(64d0*pi**2d0*Nc)
      coupl(nGC_9287) = -3d0*cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**&
                        3d0)
      coupl(nGC_9286) = cima*coupl(nGC_7)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_9289) = coupl(nGC_8532)*dZgs_QCD2
    end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
