!******************************************************************************!
!                                                                              !
!    fill_ctcouplings23.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings23.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings23
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl23()
      coupl(nGC_13157) = coupl(nGC_191)*dZG0/2d0
      coupl(nGC_13809) = coupl(nGC_163)*dZHa_QED2/2d0 + coupl(nGC_163)*        &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_163)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_167)*dZG0Ha_QED2/2d0 + coupl(nGC_9487)
      coupl(nGC_22748) = coupl(nGC_9657) + coupl(nGC_MW)*dZWMinus_QED2 + coupl(&
                         nGC_TS_GC_124_Hl) + coupl(nGC_TS_GC_125_Hh)
      coupl(nGC_8990) = coupl(nGC_180)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8991) = (coupl(nGC_1331)*coupl(nGC_186)*coupl(nGC_89) + coupl( &
                        nGC_1485)*coupl(nGC_189)*coupl(nGC_80) - coupl(nGC_184 &
                        )**2d0*coupl(nGC_188) + coupl(nGC_185)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_186)**2d0*coupl(nGC_188) +   &
                        coupl(nGC_186)*coupl(nGC_86)*coupl(nGC_92) - coupl(    &
                        nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_190)**2d0 +   &
                        8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_190)* &
                        coupl(nGC_817)*coupl(nGC_89) + coupl(nGC_190)*coupl(   &
                        nGC_86)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8993) = (-coupl(nGC_1191)**2d0*coupl(nGC_195) - coupl(nGC_1191 &
                        )*coupl(nGC_1331)*coupl(nGC_88) - coupl(nGC_1191)*coupl&
                        (nGC_85)*coupl(nGC_92) - coupl(nGC_146)*coupl(nGC_149)*&
                        coupl(nGC_193) - coupl(nGC_1485)*coupl(nGC_196)*coupl( &
                        nGC_80) - coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_196  &
                        ) - coupl(nGC_192)**2d0*coupl(nGC_195) - coupl(nGC_193 &
                        )*coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_195)**3d0 -  &
                        coupl(nGC_195)*coupl(nGC_197)**2d0 + 8d0*coupl(nGC_195 &
                        )*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_195)*coupl(nGC_85)*&
                        coupl(nGC_88) - coupl(nGC_197)*coupl(nGC_817)*coupl(   &
                        nGC_88) - coupl(nGC_197)*coupl(nGC_85)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8995) = coupl(nGC_195)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8997) = (-4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_80)**2d0 - 4d0*Nc&
                        *cMC*coupl(nGC_130)*coupl(nGC_80)**2d0 - 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_80)**2d0 - 4d0*Nc*cMS*coupl(  &
                        nGC_169)*coupl(nGC_80)**2d0 - 4d0*Nc*cMT*coupl(nGC_177 &
                        )*coupl(nGC_80)**2d0 - 4d0*Nc*cMU*coupl(nGC_192)*coupl(&
                        nGC_80)**2d0 - 4d0*cME*coupl(nGC_153)*coupl(nGC_80)**  &
                        2d0 - 4d0*cMM*coupl(nGC_161)*coupl(nGC_80)**2d0 - 4d0* &
                        cMTA*coupl(nGC_184)*coupl(nGC_80)**2d0 + 2d0*cima*coupl&
                        (nGC_1047)*coupl(nGC_128) + 4d0*cima*coupl(nGC_124)*   &
                        coupl(nGC_78) - coupl(nGC_102)*coupl(nGC_1485)*coupl(  &
                        nGC_833) - coupl(nGC_102)*coupl(nGC_69)*coupl(nGC_833  &
                        ) - coupl(nGC_107)*coupl(nGC_3011)*coupl(nGC_833) -    &
                        coupl(nGC_107)*coupl(nGC_64)*coupl(nGC_833) + 6d0*coupl&
                        (nGC_1103)**2d0*coupl(nGC_124) - coupl(nGC_1103)*coupl(&
                        nGC_126)*coupl(nGC_1485) - coupl(nGC_1103)*coupl(      &
                        nGC_126)*coupl(nGC_69) - coupl(nGC_1103)*coupl(nGC_127 &
                        )*coupl(nGC_3011) - coupl(nGC_1103)*coupl(nGC_127)*    &
                        coupl(nGC_64) + 6d0*coupl(nGC_124)*coupl(nGC_833)**2d0 &
                         + 6d0*coupl(nGC_128)*coupl(nGC_82)**2d0)/(32d0*pi**2d0&
                        )
      coupl(nGC_9023) = (-coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) - coupl(&
                        nGC_145)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_1485&
                        )*coupl(nGC_193)*coupl(nGC_80) - coupl(nGC_192)**3d0 - &
                        coupl(nGC_192)*coupl(nGC_194)**2d0 - coupl(nGC_192)*   &
                        coupl(nGC_195)**2d0 - coupl(nGC_192)*coupl(nGC_198)**  &
                        2d0 + 8d0*coupl(nGC_192)*coupl(nGC_2)**2d0 + 8d0*coupl(&
                        nGC_192)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_194)* &
                        coupl(nGC_817)*coupl(nGC_85) - coupl(nGC_194)*coupl(   &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_64)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_665)*coupl(   &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_9022) = (-coupl(nGC_1191)**2d0*coupl(nGC_192) - coupl(nGC_1191 &
                        )*coupl(nGC_817)*coupl(nGC_88) - coupl(nGC_1191)*coupl(&
                        nGC_85)*coupl(nGC_94) - coupl(nGC_145)*coupl(nGC_146)* &
                        coupl(nGC_193) - coupl(nGC_145)*coupl(nGC_150)*coupl(  &
                        nGC_196) - coupl(nGC_192)**3d0 - coupl(nGC_192)*coupl( &
                        nGC_195)**2d0 - coupl(nGC_192)*coupl(nGC_197)**2d0 +   &
                        8d0*coupl(nGC_192)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_192)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_193)* &
                        coupl(nGC_69)*coupl(nGC_80) - coupl(nGC_196)*coupl(    &
                        nGC_3011)*coupl(nGC_80) - coupl(nGC_197)*coupl(nGC_665 &
                        )*coupl(nGC_88) - coupl(nGC_197)*coupl(nGC_85)*coupl(  &
                        nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9021) = (coupl(nGC_1485)*coupl(nGC_185)*coupl(nGC_80) - coupl( &
                        nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_187)**2d0 -   &
                        coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(nGC_184)*   &
                        coupl(nGC_191)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_187)*coupl(nGC_817)*coupl(nGC_86) + coupl(   &
                        nGC_187)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)* &
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_191)*coupl(    &
                        nGC_665)*coupl(nGC_86) + coupl(nGC_191)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9020) = (-coupl(nGC_184)**3d0 - coupl(nGC_184)*coupl(nGC_186)**&
                        2d0 - coupl(nGC_184)*coupl(nGC_188)**2d0 - coupl(      &
                        nGC_184)*coupl(nGC_190)**2d0 + 8d0*coupl(nGC_184)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_184)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_185)*coupl(nGC_69)*coupl(nGC_80) + &
                        coupl(nGC_186)*coupl(nGC_817)*coupl(nGC_89) + coupl(   &
                        nGC_186)*coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)* &
                        coupl(nGC_3011)*coupl(nGC_80) + coupl(nGC_190)*coupl(  &
                        nGC_665)*coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9027) = coupl(nGC_7)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_14048) = coupl(nGC_185)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_189&
                         )*dZnu_tauL_QED2/2d0 + coupl(nGC_189)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_9469)
      coupl(nGC_9025) = (12d0*Nc*coupl(nGC_80)**2d0*coupl(nGC_87) - 12d0*Nc*   &
                        coupl(nGC_80)**2d0*coupl(nGC_88) - 11d0*coupl(nGC_1103 &
                        )**2d0*coupl(nGC_82) + 12d0*coupl(nGC_80)**2d0*coupl(  &
                        nGC_89) - 12d0*coupl(nGC_80)**2d0*coupl(nGC_90) - 11d0*&
                        coupl(nGC_82)*coupl(nGC_833)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9024) = coupl(nGC_192)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9029) = coupl(nGC_80)*(coupl(nGC_1103)*coupl(nGC_4) + coupl(   &
                        nGC_82)*coupl(nGC_90) + coupl(nGC_833)*coupl(nGC_89) + &
                        coupl(nGC_89)*coupl(nGC_90))/(8d0*pi**2d0)
      coupl(nGC_9028) = coupl(nGC_80)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1 &
                        )*coupl(nGC_3) - coupl(nGC_1103)*coupl(nGC_2) - coupl( &
                        nGC_82)*coupl(nGC_87) - coupl(nGC_833)*coupl(nGC_88) + &
                        coupl(nGC_87)*coupl(nGC_88))/(8d0*pi**2d0)
      coupl(nGC_12731) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                 &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_12734) = coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_12735) = -coupl(nGC_12734)
      coupl(nGC_TS_GC_103_Hl) = -coupl(nGC_103)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_103_Hh) = -coupl(nGC_103)*dtHh_QED1/cMHH**2d0
      coupl(nGC_17384) = 2d0*coupl(nGC_8)*dZg_QCD2 + coupl(nGC_9289)
      coupl(nGC_17385) = -2d0*coupl(nGC_17384)
      coupl(nGC_9301) = coupl(nGC_8563)*dl3_QED4 + coupl(nGC_8564)*dl1_QED4 +  &
                        coupl(nGC_8565)*dl2_QED4 + coupl(nGC_8566)*dl5_QED4 +  &
                        coupl(nGC_8567)*dl4_QED4 + coupl(nGC_8568)*da_QED2
      coupl(nGC_9481) = coupl(nGC_8235)*dytau1_QED3 + coupl(nGC_8236)*         &
                        dytau2_QED3 + coupl(nGC_8237)*da_QED2
      coupl(nGC_9480) = coupl(nGC_8186)*dym1_QED3 + coupl(nGC_8187)*dym2_QED3  &
                         + coupl(nGC_8188)*da_QED2
      coupl(nGC_9483) = coupl(nGC_8271)*dym1_QED3 + coupl(nGC_8272)*dym2_QED3  &
                         + coupl(nGC_8273)*da_QED2
      coupl(nGC_9482) = coupl(nGC_8496)*da_QED2 + coupl(nGC_8497)*dye1_QED3 +  &
                        coupl(nGC_8498)*dye2_QED3
      coupl(nGC_9484) = coupl(nGC_8114)*dytau1_QED3 + coupl(nGC_8115)*         &
                        dytau2_QED3 + coupl(nGC_8116)*da_QED2
      coupl(nGC_9339) = coupl(nGC_7968)*dl3_QED4 + coupl(nGC_7969)*dl1_QED4 +  &
                        coupl(nGC_7970)*dl2_QED4 + coupl(nGC_7971)*dl5_QED4 +  &
                        coupl(nGC_7972)*dl4_QED4 + coupl(nGC_7973)*db_QED2
      coupl(nGC_9486) = coupl(nGC_8570)*db_QED2 + coupl(nGC_8571)*dye2_QED3 +  &
                        coupl(nGC_8572)*dye1_QED3
      coupl(nGC_9489) = coupl(nGC_8211)*db_QED2 + coupl(nGC_8212)*dytau1_QED3  &
                         + coupl(nGC_8213)*dytau2_QED3
      coupl(nGC_9488) = coupl(nGC_8162)*db_QED2 + coupl(nGC_8163)*dym1_QED3 +  &
                        coupl(nGC_8164)*dym2_QED3
      coupl(nGC_9335) = coupl(nGC_7934)*dl3_QED4 + coupl(nGC_7935)*dl1_QED4 +  &
                        coupl(nGC_7936)*dl2_QED4 + coupl(nGC_7937)*dl5_QED4 +  &
                        coupl(nGC_7938)*dl4_QED4 + coupl(nGC_7939)*db_QED2
      coupl(nGC_9334) = coupl(nGC_8018)*dl3_QED4 + coupl(nGC_8019)*dl1_QED4 +  &
                        coupl(nGC_8020)*dl2_QED4 + coupl(nGC_8021)*dl5_QED4 +  &
                        coupl(nGC_8022)*dl4_QED4 + coupl(nGC_8023)*db_QED2
      coupl(nGC_9332) = coupl(nGC_8695)*dl3_QED4 + coupl(nGC_8696)*db_QED2 +   &
                        coupl(nGC_8697)*dl2_QED4 + coupl(nGC_8698)*dl5_QED4 +  &
                        coupl(nGC_8699)*dl4_QED4 + coupl(nGC_8700)*dl1_QED4 +  &
                        coupl(nGC_8701)*da_QED2
      coupl(nGC_9331) = coupl(nGC_7951)*db_QED2 + coupl(nGC_7952)*dl5_QED4 +   &
                        coupl(nGC_7953)*dl4_QED4 + coupl(nGC_7954)*da_QED2
      coupl(nGC_9330) = coupl(nGC_8643)*dl3_QED4 + coupl(nGC_8644)*db_QED2 +   &
                        coupl(nGC_8645)*dl2_QED4 + coupl(nGC_8646)*dl5_QED4 +  &
                        coupl(nGC_8647)*dl4_QED4 + coupl(nGC_8648)*dl1_QED4 +  &
                        coupl(nGC_8649)*da_QED2
      coupl(nGC_17495) = coupl(nGC_148)*dZdL_QCD2/2d0 + coupl(nGC_148)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9455)
      coupl(nGC_17497) = coupl(nGC_148)*dZHa_QED2/2d0 + coupl(nGC_148)*        &
                         dZdL_QED2/2d0 + coupl(nGC_148)*dZdR_QED2/2d0 + coupl( &
                         nGC_152)*dZG0Ha_QED2/2d0 + coupl(nGC_9456)
      coupl(nGC_17498) = coupl(nGC_147)*dZHa_QED2/2d0 + coupl(nGC_147)*        &
                         dZdL_QED2/2d0 + coupl(nGC_147)*dZdR_QED2/2d0 + coupl( &
                         nGC_151)*dZG0Ha_QED2/2d0 + coupl(nGC_9458)
      coupl(nGC_9159) = cima*coupl(nGC_7)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                        nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_9158) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_9153) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_134)**2d0  &
                         - coupl(nGC_138)**2d0 - coupl(nGC_150)**2d0 - coupl(  &
                        nGC_174)**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_9152) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_134)**2d0 + &
                        coupl(nGC_138)**2d0 + coupl(nGC_150)**2d0 + coupl(     &
                        nGC_174)**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9156) = (20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_134)*   &
                        coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_134)*coupl(nGC_135)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_139)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_150)*coupl(   &
                        nGC_151)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_174)*coupl(nGC_175)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_175)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_174)*coupl(   &
                        nGC_175)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_182)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_181)*coupl(nGC_182)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_196)*coupl(   &
                        nGC_197)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_72)* &
                        coupl(nGC_975) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_72 &
                        )**2d0*coupl(nGC_817) + 4d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_72)**2d0*coupl(nGC_94) + 20d0*cima*coupl(nGC_158)* &
                        coupl(nGC_159)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*&
                        coupl(nGC_158)*coupl(nGC_159)*coupl(nGC_80)*coupl(     &
                        nGC_89) - 16d0*cima*coupl(nGC_158)*coupl(nGC_159)*coupl&
                        (nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_166)*coupl&
                        (nGC_167)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl&
                        (nGC_166)*coupl(nGC_167)*coupl(nGC_80)*coupl(nGC_89) - &
                        16d0*cima*coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_80)* &
                        coupl(nGC_90) + 9d0*cima*coupl(nGC_17)*coupl(nGC_3)*   &
                        coupl(nGC_833)*coupl(nGC_867) + 20d0*cima*coupl(nGC_189&
                        )*coupl(nGC_190)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_189)*coupl(nGC_190)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_189)*coupl(nGC_190)*coupl&
                        (nGC_80)*coupl(nGC_90) + 24d0*cima*coupl(nGC_19)*coupl(&
                        nGC_79) + 4d0*cima*coupl(nGC_3011)**2d0*coupl(nGC_72)* &
                        coupl(nGC_975) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_665&
                        )*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_3011)*coupl( &
                        nGC_72)**2d0*coupl(nGC_91) + 24d0*cima*coupl(nGC_607)* &
                        coupl(nGC_73) + 9d0*cima*coupl(nGC_63)*coupl(nGC_665)* &
                        coupl(nGC_82)*coupl(nGC_833) + 4d0*cima*coupl(nGC_63)* &
                        coupl(nGC_91)*coupl(nGC_96)*coupl(nGC_975) + 9d0*cima* &
                        coupl(nGC_68)*coupl(nGC_817)*coupl(nGC_82)*coupl(      &
                        nGC_833) + 4d0*cima*coupl(nGC_68)*coupl(nGC_94)*coupl( &
                        nGC_96)*coupl(nGC_975) + 4d0*cima*coupl(nGC_72)**3d0*  &
                        coupl(nGC_975) + 9d0*cima*coupl(nGC_82)*coupl(nGC_833)*&
                        coupl(nGC_867)*coupl(nGC_96) + 4d0*cima*coupl(nGC_867)*&
                        coupl(nGC_91)**2d0*coupl(nGC_975) + 4d0*cima*coupl(    &
                        nGC_867)*coupl(nGC_94)**2d0*coupl(nGC_975) - 6d0*coupl(&
                        nGC_100)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl(     &
                        nGC_101)*coupl(nGC_833)*coupl(nGC_867) + 36d0*coupl(   &
                        nGC_1103)*coupl(nGC_73)*coupl(nGC_82) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_3011)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_665)*coupl(nGC_833) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_91)*coupl(nGC_975) + 6d0*coupl(      &
                        nGC_1485)*coupl(nGC_16)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_817)*coupl(nGC_833) + 6d0*coupl(     &
                        nGC_16)*coupl(nGC_94)*coupl(nGC_975) - 6d0*coupl(nGC_17&
                        )*coupl(nGC_19)*coupl(nGC_3) - 6d0*coupl(nGC_17)*coupl(&
                        nGC_607)*coupl(nGC_867) + 6d0*coupl(nGC_19)*coupl(     &
                        nGC_72)**2d0 + 36d0*coupl(nGC_19)*coupl(nGC_82)*coupl( &
                        nGC_833) - 6d0*coupl(nGC_19)*coupl(nGC_82)*coupl(nGC_96&
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_867)*coupl(nGC_97) - 6d0&
                        *coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl&
                        (nGC_62)*coupl(nGC_833)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_63)*coupl(nGC_665)*coupl(nGC_79) - 6d0*coupl(nGC_68&
                        )*coupl(nGC_79)*coupl(nGC_817) - 6d0*coupl(nGC_79)*    &
                        coupl(nGC_867)*coupl(nGC_96))/(192d0*pi**2d0)
      coupl(nGC_TS_GC_130_Hl) = -coupl(nGC_130)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_112_Hh) = -coupl(nGC_112)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl23
end module fill_ctcouplings23
