!******************************************************************************!
!                                                                              !
!    fill_ctcouplings25.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings25.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings25
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl25()
      coupl(nGC_12728) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_74)*dZA_QED2/ &
                         2d0 + coupl(nGC_74)*dZWMinus_QED2/2d0 + coupl(nGC_9362&
                         )
      coupl(nGC_12723) = coupl(nGC_43)*dZHMinus_QED2/2d0 + coupl(nGC_53)*      &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_56)*              &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_58)*dZHaG0_QED2 + &
                         coupl(nGC_9335)
      coupl(nGC_17662) = coupl(nGC_9636) + coupl(nGC_MHC)*dZHMinus_QED2 + coupl&
                         (nGC_TS_GC_110_Hl) + coupl(nGC_TS_GC_118_Hh)
      coupl(nGC_9498) = coupl(nGC_8031)*dyc1_QED1_QCD2 + coupl(nGC_8032)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_9499) = coupl(nGC_415)*dyt2_QED1_QCD2 + coupl(nGC_419)*        &
                        dyt1_QED1_QCD2
      coupl(nGC_9497) = coupl(nGC_8030)*db_QED2 + coupl(nGC_8031)*dyc1_QED3 +  &
                        coupl(nGC_8032)*dyc2_QED3
      coupl(nGC_9326) = coupl(nGC_8545)*dl3_QED4 + coupl(nGC_8546)*dl1_QED4 +  &
                        coupl(nGC_8547)*dl2_QED4 + coupl(nGC_8548)*dl5_QED4 +  &
                        coupl(nGC_8549)*dl4_QED4 + coupl(nGC_8550)*da_QED2
      coupl(nGC_9327) = coupl(nGC_8629)*dl3_QED4 + coupl(nGC_8630)*db_QED2 +   &
                        coupl(nGC_8631)*dl2_QED4 + coupl(nGC_8632)*dl5_QED4 +  &
                        coupl(nGC_8633)*dl4_QED4 + coupl(nGC_8634)*dl1_QED4 +  &
                        coupl(nGC_8635)*da_QED2
      coupl(nGC_9493) = coupl(nGC_8268)*db_QED2 + coupl(nGC_8269)*dyup1_QED3 + &
                        coupl(nGC_8270)*dyup2_QED3
      coupl(nGC_9490) = coupl(nGC_8168)*db_QED2 + coupl(nGC_8169)*dytau1_QED3  &
                         + coupl(nGC_8170)*dytau2_QED3
      coupl(nGC_9323) = coupl(nGC_8636)*dl3_QED4 + coupl(nGC_8637)*db_QED2 +   &
                        coupl(nGC_8638)*dl2_QED4 + coupl(nGC_8639)*dl5_QED4 +  &
                        coupl(nGC_8640)*dl4_QED4 + coupl(nGC_8641)*dl1_QED4 +  &
                        coupl(nGC_8642)*da_QED2
      coupl(nGC_28692) = 3d0*coupl(nGC_6)*dZg_QCD2/2d0 + coupl(nGC_9288)
      coupl(nGC_30135) = -coupl(nGC_8783)
      coupl(nGC_14705) = coupl(nGC_112)*dZHa_QED2/2d0 + coupl(nGC_112)*        &
                         dZHh_QED2/2d0 + coupl(nGC_117)*dZG0Ha_QED2/2d0 + coupl&
                         (nGC_120)*dZHlHh_QED2/2d0 + coupl(nGC_121)*dZHaG0_QED2&
                         /2d0 + coupl(nGC_9357) + coupl(nGC_TS_GC_29_Hh) +     &
                         coupl(nGC_TS_GC_37_Hl)
      coupl(nGC_14701) = coupl(nGC_112)*dZG0/2d0
      coupl(nGC_14879) = coupl(nGC_139)*dZbL_QCD2/2d0 + coupl(nGC_139)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9442)
      coupl(nGC_15653) = coupl(nGC_61)*dZHl_QED2 + coupl(nGC_61)*dZWMinus_QED2 &
                          + coupl(nGC_9375)
      coupl(nGC_15093) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
      coupl(nGC_15096) = coupl(nGC_14438) + coupl(nGC_15093)
      coupl(nGC_15095) = coupl(nGC_14438) + coupl(nGC_15094)
      coupl(nGC_19088) = -coupl(nGC_16873)
      coupl(nGC_14671) = coupl(nGC_14667) + coupl(nGC_14669)
      coupl(nGC_14673) = coupl(nGC_136)*dZcL_QCD2/2d0 + coupl(nGC_136)*        &
                         dZcR_QCD2/2d0 + coupl(nGC_9496)
      coupl(nGC_14672) = coupl(nGC_135)*dZcL_QCD2/2d0 + coupl(nGC_135)*        &
                         dZcR_QCD2/2d0 + coupl(nGC_9498)
      coupl(nGC_13957) = coupl(nGC_23)*dZHlHh_QED2 + coupl(nGC_27)*            &
                         dZHMinusGMinus_QED2 + coupl(nGC_32)*dZHh_QED2 + coupl(&
                         nGC_9300)
      coupl(nGC_13003) = coupl(nGC_63)*dZHlHh_QED2/2d0 + coupl(nGC_68)*        &
                         dZHh_QED2/2d0 + coupl(nGC_68)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9371)
      coupl(nGC_13004) = coupl(nGC_12998) - coupl(nGC_13003)
      coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8911) = (8d0*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_146)*coupl(nGC_793) - coupl(nGC_1191)*&
                        coupl(nGC_148)*coupl(nGC_193) - coupl(nGC_1243)*coupl( &
                        nGC_145)*coupl(nGC_80) - coupl(nGC_145)*coupl(nGC_192)*&
                        coupl(nGC_193) - coupl(nGC_146)*coupl(nGC_17)*coupl(   &
                        nGC_2) + 8d0*coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_88 &
                        ) - coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_975) - coupl&
                        (nGC_146)*coupl(nGC_88)*coupl(nGC_96) - coupl(nGC_148)*&
                        coupl(nGC_80)*coupl(nGC_867) - coupl(nGC_149)*coupl(   &
                        nGC_193)*coupl(nGC_195) - coupl(nGC_149)*coupl(nGC_3011&
                        )*coupl(nGC_80) - coupl(nGC_152)*coupl(nGC_193)*coupl( &
                        nGC_197))/(32d0*pi**2d0)
      coupl(nGC_13487) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
      coupl(nGC_18361) = coupl(nGC_195)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_13480) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_13717) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_18)*dZHMinus_QED2  &
                          + coupl(nGC_9360) + coupl(nGC_97)*dZZA_QED2
      coupl(nGC_19371) = coupl(nGC_137)*dZHhHl_QED2/2d0 + coupl(nGC_141)*      &
                         dZHl_QED2/2d0 + coupl(nGC_9454)
      coupl(nGC_19370) = coupl(nGC_19369) + coupl(nGC_9453)
      coupl(nGC_8916) = (-coupl(nGC_1243)*coupl(nGC_161)*coupl(nGC_80) - coupl(&
                        nGC_162)*coupl(nGC_4)*coupl(nGC_793) + 8d0*coupl(      &
                        nGC_162)*coupl(nGC_86)*coupl(nGC_90) - coupl(nGC_162)* &
                        coupl(nGC_86)*coupl(nGC_975) - coupl(nGC_162)*coupl(   &
                        nGC_90)*coupl(nGC_96) - coupl(nGC_164)*coupl(nGC_80)*  &
                        coupl(nGC_867) - coupl(nGC_165)*coupl(nGC_3011)*coupl( &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_13131) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*           &
                         dZnu_tauL_QED2 + coupl(nGC_9404)
      coupl(nGC_13139) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_17)*           &
                         dZHMinus_QED2 + coupl(nGC_9361) + coupl(nGC_96)*      &
                         dZZA_QED2/2d0
      coupl(nGC_27065) = -coupl(nGC_14720)
      coupl(nGC_12844) = coupl(nGC_62)*dZHMinus_QED2 + coupl(nGC_62)*          &
                         dZWMinus_QED2 + coupl(nGC_9374)
      coupl(nGC_14295) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_13828) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZdL_QED2/2d0 + coupl(nGC_80)*dZuL_QED2/2d0 + coupl(  &
                         nGC_9399)
      coupl(nGC_14298) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_15891) = coupl(nGC_9392) + coupl(nGC_99)*dZHh_QED2 + coupl(    &
                         nGC_99)*dZZ_QED2
      coupl(nGC_13229) = coupl(nGC_111)*dZGMinus/2d0
      coupl(nGC_TS_GC_133_Hh) = -coupl(nGC_133)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9009) = (coupl(nGC_1485)*coupl(nGC_154)*coupl(nGC_80) - coupl( &
                        nGC_153)**3d0 - coupl(nGC_153)*coupl(nGC_156)**2d0 -   &
                        coupl(nGC_153)*coupl(nGC_157)**2d0 - coupl(nGC_153)*   &
                        coupl(nGC_160)**2d0 + 8d0*coupl(nGC_153)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_153)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_156)*coupl(nGC_817)*coupl(nGC_86) + coupl(   &
                        nGC_156)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_158)* &
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_160)*coupl(    &
                        nGC_665)*coupl(nGC_86) + coupl(nGC_160)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9008) = (-coupl(nGC_153)**3d0 - coupl(nGC_153)*coupl(nGC_155)**&
                        2d0 - coupl(nGC_153)*coupl(nGC_157)**2d0 - coupl(      &
                        nGC_153)*coupl(nGC_159)**2d0 + 8d0*coupl(nGC_153)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_153)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_154)*coupl(nGC_69)*coupl(nGC_80) + &
                        coupl(nGC_155)*coupl(nGC_817)*coupl(nGC_89) + coupl(   &
                        nGC_155)*coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_158)* &
                        coupl(nGC_3011)*coupl(nGC_80) + coupl(nGC_159)*coupl(  &
                        nGC_665)*coupl(nGC_89) + coupl(nGC_159)*coupl(nGC_86)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9006) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_1243 &
                        )*coupl(nGC_146)*coupl(nGC_80) - coupl(nGC_145)**3d0 - &
                        coupl(nGC_145)*coupl(nGC_147)**2d0 - coupl(nGC_145)*   &
                        coupl(nGC_149)**2d0 - coupl(nGC_145)*coupl(nGC_151)**  &
                        2d0 + 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(nGC_87) - &
                        coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193) - coupl(  &
                        nGC_147)*coupl(nGC_817)*coupl(nGC_84) - coupl(nGC_147)*&
                        coupl(nGC_87)*coupl(nGC_94) - coupl(nGC_150)*coupl(    &
                        nGC_192)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_63)*&
                        coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_665)*coupl(   &
                        nGC_84) - coupl(nGC_151)*coupl(nGC_87)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_9000) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_1243 &
                        )*coupl(nGC_142)*coupl(nGC_80) - coupl(nGC_137)**2d0*  &
                        coupl(nGC_141) - coupl(nGC_138)*coupl(nGC_177)*coupl(  &
                        nGC_181) - coupl(nGC_138)*coupl(nGC_63)*coupl(nGC_80   &
                        ) - coupl(nGC_139)**2d0*coupl(nGC_141) - coupl(nGC_139 &
                        )*coupl(nGC_665)*coupl(nGC_84) - coupl(nGC_139)*coupl( &
                        nGC_87)*coupl(nGC_91) - coupl(nGC_141)**3d0 - coupl(   &
                        nGC_141)*coupl(nGC_144)**2d0 + 8d0*coupl(nGC_141)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_142)*coupl(nGC_177)*&
                        coupl(nGC_178) - coupl(nGC_144)*coupl(nGC_817)*coupl(  &
                        nGC_84) - coupl(nGC_144)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl25
end module fill_ctcouplings25
