!******************************************************************************!
!                                                                              !
!    fill_ctcouplings26.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings26.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings26
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl26()
      coupl(nGC_9003) = (-coupl(nGC_130)**3d0 - coupl(nGC_130)*coupl(nGC_132)**&
                        2d0 - coupl(nGC_130)*coupl(nGC_133)**2d0 - coupl(      &
                        nGC_130)*coupl(nGC_136)**2d0 + 8d0*coupl(nGC_130)*coupl&
                        (nGC_2)**2d0 + 8d0*coupl(nGC_130)*coupl(nGC_85)*coupl( &
                        nGC_88) - coupl(nGC_131)*coupl(nGC_1485)*coupl(nGC_80  &
                        ) - coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_170) -     &
                        coupl(nGC_132)*coupl(nGC_817)*coupl(nGC_85) - coupl(   &
                        nGC_132)*coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_134)* &
                        coupl(nGC_169)*coupl(nGC_174) - coupl(nGC_134)*coupl(  &
                        nGC_64)*coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_665)* &
                        coupl(nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(    &
                        nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9002) = (-coupl(nGC_130)**3d0 - coupl(nGC_130)*coupl(nGC_133)**&
                        2d0 - coupl(nGC_130)*coupl(nGC_135)**2d0 + 8d0*coupl(  &
                        nGC_130)*coupl(nGC_2)**2d0 - coupl(nGC_130)*coupl(     &
                        nGC_695)**2d0 + 8d0*coupl(nGC_130)*coupl(nGC_85)*coupl(&
                        nGC_88) - coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_170  &
                        ) - coupl(nGC_131)*coupl(nGC_69)*coupl(nGC_80) - coupl(&
                        nGC_134)*coupl(nGC_169)*coupl(nGC_174) - coupl(nGC_134 &
                        )*coupl(nGC_3011)*coupl(nGC_80) - coupl(nGC_135)*coupl(&
                        nGC_665)*coupl(nGC_88) - coupl(nGC_135)*coupl(nGC_85)* &
                        coupl(nGC_91) - coupl(nGC_695)*coupl(nGC_817)*coupl(   &
                        nGC_88) - coupl(nGC_695)*coupl(nGC_85)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_TS_GC_113_Hl) = -coupl(nGC_113)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8848) = (coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_138)*coupl(nGC_2) - coupl(nGC_137)*   &
                        coupl(nGC_180)*coupl(nGC_181) + coupl(nGC_137)*coupl(  &
                        nGC_69)*coupl(nGC_80) + coupl(nGC_138)*coupl(nGC_2)*   &
                        coupl(nGC_793) + 8d0*coupl(nGC_138)*coupl(nGC_84)*coupl&
                        (nGC_88) + coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_96   &
                        ) + coupl(nGC_138)*coupl(nGC_88)*coupl(nGC_975) - coupl&
                        (nGC_139)*coupl(nGC_181)*coupl(nGC_183) + coupl(nGC_139&
                        )*coupl(nGC_80)*coupl(nGC_867) - coupl(nGC_141)*coupl( &
                        nGC_177)*coupl(nGC_181) + coupl(nGC_141)*coupl(nGC_64)*&
                        coupl(nGC_80) - coupl(nGC_144)*coupl(nGC_179)*coupl(   &
                        nGC_181))/(32d0*pi**2d0)
      coupl(nGC_29823) = -coupl(nGC_8900)
      coupl(nGC_9319) = coupl(nGC_8011)*dl3_QED4 + coupl(nGC_8012)*db_QED2 +   &
                        coupl(nGC_8013)*dl2_QED4 + coupl(nGC_8014)*dl5_QED4 +  &
                        coupl(nGC_8015)*dl4_QED4 + coupl(nGC_8016)*dl1_QED4 +  &
                        coupl(nGC_8017)*da_QED2
      coupl(nGC_9318) = coupl(nGC_8037)*db_QED2 + coupl(nGC_8038)*dl5_QED4 +   &
                        coupl(nGC_8039)*dl4_QED4 + coupl(nGC_8040)*da_QED2
      coupl(nGC_9310) = coupl(nGC_8004)*dl3_QED4 + coupl(nGC_8005)*db_QED2 +   &
                        coupl(nGC_8006)*dl2_QED4 + coupl(nGC_8007)*dl5_QED4 +  &
                        coupl(nGC_8008)*dl4_QED4 + coupl(nGC_8009)*dl1_QED4 +  &
                        coupl(nGC_8010)*da_QED2
      coupl(nGC_9313) = coupl(nGC_8600)*dl3_QED4 + coupl(nGC_8601)*dl1_QED4 +  &
                        coupl(nGC_8602)*dl2_QED4 + coupl(nGC_8603)*dl5_QED4 +  &
                        coupl(nGC_8604)*dl4_QED4 + coupl(nGC_8605)*da_QED2
      coupl(nGC_9312) = coupl(nGC_7961)*dl3_QED4 + coupl(nGC_7962)*db_QED2 +   &
                        coupl(nGC_7963)*dl2_QED4 + coupl(nGC_7964)*dl5_QED4 +  &
                        coupl(nGC_7965)*dl4_QED4 + coupl(nGC_7966)*dl1_QED4 +  &
                        coupl(nGC_7967)*da_QED2
      coupl(nGC_9315) = coupl(nGC_7940)*dl3_QED4 + coupl(nGC_7941)*db_QED2 +   &
                        coupl(nGC_7942)*dl2_QED4 + coupl(nGC_7943)*dl5_QED4 +  &
                        coupl(nGC_7944)*dl4_QED4 + coupl(nGC_7945)*dl1_QED4 +  &
                        coupl(nGC_7946)*da_QED2
      coupl(nGC_9314) = coupl(nGC_8087)*dl3_QED4 + coupl(nGC_8088)*dl1_QED4 +  &
                        coupl(nGC_8089)*dl2_QED4 + coupl(nGC_8090)*dl5_QED4 +  &
                        coupl(nGC_8091)*dl4_QED4 + coupl(nGC_8092)*db_QED2
      coupl(nGC_28336) = 2d0*coupl(nGC_46)*dZG0Ha_QED2 + 2d0*coupl(nGC_52)*    &
                         dZHa_QED2 + coupl(nGC_9302)
      coupl(nGC_9172) = (20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_133)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_137)*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_149)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_173)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_173)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_180)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_195)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1485)**2d0&
                        *coupl(nGC_975) + 4d0*cima*coupl(nGC_1243)*coupl(      &
                        nGC_1485)*coupl(nGC_72)*coupl(nGC_817) + 4d0*cima*coupl&
                        (nGC_1243)*coupl(nGC_1485)*coupl(nGC_72)*coupl(nGC_94  &
                        ) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_3011)**2d0*coupl&
                        (nGC_975) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_3011)*  &
                        coupl(nGC_665)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_3011)*coupl(nGC_72)*coupl(nGC_91) + 4d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_72)**2d0*coupl(nGC_975  &
                        ) + 4d0*cima*coupl(nGC_1331)**2d0*coupl(nGC_68)*coupl( &
                        nGC_975) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_1485)*   &
                        coupl(nGC_64)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1331)*&
                        coupl(nGC_63)*coupl(nGC_817)*coupl(nGC_975) + 4d0*cima*&
                        coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_64)*coupl(     &
                        nGC_975) + 20d0*cima*coupl(nGC_157)*coupl(nGC_158)*    &
                        coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_157)*&
                        coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*&
                        coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80)*coupl(     &
                        nGC_90) + 24d0*cima*coupl(nGC_16)*coupl(nGC_79) + 20d0*&
                        cima*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_165)*coupl(nGC_166)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_165)*coupl&
                        (nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 9d0*cima*coupl(&
                        nGC_17)*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_833) +    &
                        20d0*cima*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_188)*coupl(nGC_189 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_188&
                        )*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima&
                        *coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_69)*coupl(    &
                        nGC_975) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl&
                        (nGC_72)*coupl(nGC_817) + 24d0*cima*coupl(nGC_607)*    &
                        coupl(nGC_70) + 4d0*cima*coupl(nGC_63)*coupl(nGC_64)*  &
                        coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_63)*  &
                        coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_975) + 4d0*cima&
                        *coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_91&
                        ) + 4d0*cima*coupl(nGC_68)*coupl(nGC_817)**2d0*coupl(  &
                        nGC_975) + 9d0*cima*coupl(nGC_68)*coupl(nGC_82)*coupl( &
                        nGC_833)*coupl(nGC_96) + 4d0*cima*coupl(nGC_817)*coupl(&
                        nGC_867)*coupl(nGC_96)*coupl(nGC_975) + 9d0*cima*coupl(&
                        nGC_82)*coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_94) -  &
                        6d0*coupl(nGC_100)*coupl(nGC_68)*coupl(nGC_82) + 36d0* &
                        coupl(nGC_1103)*coupl(nGC_70)*coupl(nGC_82) + 6d0*coupl&
                        (nGC_1243)*coupl(nGC_14)*coupl(nGC_3011) + 6d0*coupl(  &
                        nGC_1243)*coupl(nGC_1485)*coupl(nGC_16) + 6d0*coupl(   &
                        nGC_1243)*coupl(nGC_19)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_15)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_16)*&
                        coupl(nGC_3011)*coupl(nGC_64) + 36d0*coupl(nGC_16)*    &
                        coupl(nGC_82)*coupl(nGC_833) - 6d0*coupl(nGC_16)*coupl(&
                        nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_17)*coupl(nGC_607&
                        )*coupl(nGC_68) + 6d0*coupl(nGC_19)*coupl(nGC_817)*    &
                        coupl(nGC_975) - 6d0*coupl(nGC_19)*coupl(nGC_833)*coupl&
                        (nGC_94) - 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_97 &
                        ) - 6d0*coupl(nGC_61)*coupl(nGC_68)*coupl(nGC_82) - 6d0&
                        *coupl(nGC_62)*coupl(nGC_68)*coupl(nGC_833) - 6d0*coupl&
                        (nGC_68)*coupl(nGC_79)*coupl(nGC_96) - 6d0*coupl(nGC_68&
                        )*coupl(nGC_833)*coupl(nGC_99) - 6d0*coupl(nGC_79)*    &
                        coupl(nGC_867)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_19774) = coupl(nGC_114)*dZHMinus_QED2/2d0 + coupl(nGC_123)*    &
                         dZHaG0_QED2/2d0 + coupl(nGC_9358) + coupl(            &
                         nGC_TS_GC_41_Hh) + coupl(nGC_TS_GC_48_Hl)
      coupl(nGC_19772) = coupl(nGC_114)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_16290) = -coupl(nGC_12864)
      coupl(nGC_14901) = coupl(nGC_162)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_166&
                         )*dZmuMinusR_QED2/2d0 + coupl(nGC_166)*dZnu_muL_QED2/ &
                         2d0 + coupl(nGC_9468)
      coupl(nGC_9341) = coupl(nGC_8432)*dl3_QED4 + coupl(nGC_8433)*db_QED2 +   &
                        coupl(nGC_8434)*dl2_QED4 + coupl(nGC_8435)*dl5_QED4 +  &
                        coupl(nGC_8436)*dvev2_QED1 + coupl(nGC_8437)*dvev1_QED1&
                         + coupl(nGC_8438)*dl1_QED4 + coupl(nGC_8439)*dl4_QED4 &
                         + coupl(nGC_8440)*da_QED2
      coupl(nGC_8880) = (-coupl(nGC_161)**2d0*coupl(nGC_168) + coupl(nGC_161)* &
                        coupl(nGC_665)*coupl(nGC_86) + coupl(nGC_161)*coupl(   &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_163)**2d0*coupl(     &
                        nGC_168) - coupl(nGC_165)**2d0*coupl(nGC_168) + coupl( &
                        nGC_165)*coupl(nGC_817)*coupl(nGC_86) + coupl(nGC_165)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_167)**2d0*coupl(     &
                        nGC_168) + 8d0*coupl(nGC_167)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_167)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_30589) = -coupl(nGC_8770)
      coupl(nGC_14598) = coupl(nGC_107)*dZGMinus/2d0
      coupl(nGC_14601) = coupl(nGC_102)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_107&
                         )*dZWMinus_QED2/2d0 + coupl(nGC_107)*dZZ_QED2/2d0 +   &
                         coupl(nGC_127)*dZAZ_QED2/2d0 + coupl(nGC_9387) + coupl&
                         (nGC_TS_GC_14_Hl) + coupl(nGC_TS_GC_16_Hh)
      coupl(nGC_15265) = coupl(nGC_63)*dZHMinus_QED2/2d0 + coupl(nGC_63)*      &
                         dZHh_QED2/2d0 + coupl(nGC_63)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_69)*dZHlHh_QED2/2d0 + coupl(nGC_9373)
      coupl(nGC_15266) = coupl(nGC_15264) - coupl(nGC_15265)
      coupl(nGC_13033) = 3d0*coupl(nGC_103)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_105&
                         )*dZHh_QED2/2d0 + coupl(nGC_9342) + coupl(            &
                         nGC_TS_GC_10_Hl) + coupl(nGC_TS_GC_12_Hh)
      coupl(nGC_17452) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_9360) + coupl(     &
                         nGC_97)*dZZA_QED2
      coupl(nGC_14542) = coupl(nGC_193)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_196&
                         )*dZdL_QED2/2d0 + coupl(nGC_196)*dZuR_QED2/2d0 + coupl&
                         (nGC_9407)
      coupl(nGC_12981) = coupl(nGC_12976) + coupl(nGC_12979)
      coupl(nGC_12980) = coupl(nGC_12974) + coupl(nGC_12979)
      coupl(nGC_13454) = coupl(nGC_6)*dZg_QCD2/2d0 + coupl(nGC_9288)
      coupl(nGC_13455) = -coupl(nGC_13454)
      coupl(nGC_14336) = coupl(nGC_40)*dZG0Ha_QED2/2d0 + coupl(nGC_40)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_48)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_48)*dZHa_QED2/2d0 + coupl(nGC_48)*dZHh_QED2/&
                         2d0 + coupl(nGC_9318)
      coupl(nGC_13386) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZcR_QED2  &
                          + coupl(nGC_9401)
      coupl(nGC_12856) = coupl(nGC_67)*dZHlHh_QED2/2d0 + coupl(nGC_71)*        &
                         dZHh_QED2/2d0 + coupl(nGC_9523)
      coupl(nGC_13387) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZcL_QED2  &
                          + coupl(nGC_9400)
      coupl(nGC_12852) = coupl(nGC_22)*dZHhHl_QED2 + coupl(nGC_24)*            &
                         dZGMinusHMinus_QED2 + coupl(nGC_30)*dZHMinus_QED2 +   &
                         coupl(nGC_30)*dZHl_QED2 + coupl(nGC_9306)
      coupl(nGC_13855) = coupl(nGC_197)*dZG0Ha_QED2/2d0
      coupl(nGC_8949) = (coupl(nGC_1331)*coupl(nGC_165)*coupl(nGC_86) - coupl( &
                        nGC_161)**2d0*coupl(nGC_164) + coupl(nGC_161)*coupl(   &
                        nGC_817)*coupl(nGC_86) + coupl(nGC_161)*coupl(nGC_89)* &
                        coupl(nGC_94) + coupl(nGC_162)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_163)**2d0*coupl(nGC_164) + 8d0*    &
                        coupl(nGC_163)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_163)* &
                        coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_164)*coupl(    &
                        nGC_165)**2d0 - coupl(nGC_164)*coupl(nGC_167)**2d0 +   &
                        coupl(nGC_165)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_8948) = (coupl(nGC_1331)*coupl(nGC_157)*coupl(nGC_89) - coupl( &
                        nGC_153)**2d0*coupl(nGC_155) + coupl(nGC_153)*coupl(   &
                        nGC_817)*coupl(nGC_89) + coupl(nGC_153)*coupl(nGC_86)* &
                        coupl(nGC_94) + coupl(nGC_154)*coupl(nGC_80)*coupl(    &
                        nGC_867) - coupl(nGC_155)*coupl(nGC_156)**2d0 - coupl( &
                        nGC_155)*coupl(nGC_157)**2d0 - coupl(nGC_155)*coupl(   &
                        nGC_160)**2d0 + 8d0*coupl(nGC_156)*coupl(nGC_4)**2d0 + &
                        8d0*coupl(nGC_156)*coupl(nGC_86)*coupl(nGC_89) + coupl(&
                        nGC_157)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8947) = (coupl(nGC_1331)*coupl(nGC_157)*coupl(nGC_86) - coupl( &
                        nGC_153)**2d0*coupl(nGC_156) + coupl(nGC_153)*coupl(   &
                        nGC_817)*coupl(nGC_86) + coupl(nGC_153)*coupl(nGC_89)* &
                        coupl(nGC_94) + coupl(nGC_154)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_155)**2d0*coupl(nGC_156) + 8d0*    &
                        coupl(nGC_155)*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_155)* &
                        coupl(nGC_86)*coupl(nGC_89) - coupl(nGC_156)*coupl(    &
                        nGC_157)**2d0 - coupl(nGC_156)*coupl(nGC_159)**2d0 +   &
                        coupl(nGC_157)*coupl(nGC_89)*coupl(nGC_92))/(32d0*pi** &
                        2d0)
      coupl(nGC_8946) = coupl(nGC_147)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8941) = (-coupl(nGC_130)**2d0*coupl(nGC_695) - coupl(nGC_130)* &
                        coupl(nGC_817)*coupl(nGC_88) - coupl(nGC_130)*coupl(   &
                        nGC_85)*coupl(nGC_94) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_172) - coupl(nGC_131)*coupl(nGC_80)*coupl(   &
                        nGC_867) - coupl(nGC_132)**2d0*coupl(nGC_695) + 8d0*   &
                        coupl(nGC_132)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_132)* &
                        coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_133)**2d0*coupl&
                        (nGC_695) - coupl(nGC_133)*coupl(nGC_1331)*coupl(nGC_88&
                        ) - coupl(nGC_133)*coupl(nGC_85)*coupl(nGC_92) - coupl(&
                        nGC_134)*coupl(nGC_172)*coupl(nGC_174) - coupl(nGC_136 &
                        )**2d0*coupl(nGC_695))/(32d0*pi**2d0)
      coupl(nGC_8940) = coupl(nGC_695)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13218) = coupl(nGC_128)*dZHl_QED2/2d0 + coupl(nGC_128)*dZZ_QED2&
                          + coupl(nGC_129)*dZHhHl_QED2/2d0 + coupl(nGC_9394) + &
                         coupl(nGC_TS_GC_99_Hl)
      coupl(nGC_17001) = coupl(nGC_9641) + coupl(nGC_TS_GC_153_Hl) + coupl(    &
                         nGC_TS_GC_157_Hh)
      coupl(nGC_9018) = (-coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) - coupl(&
                        nGC_141)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_1485&
                        )*coupl(nGC_178)*coupl(nGC_80) - coupl(nGC_177)**3d0 - &
                        coupl(nGC_177)*coupl(nGC_179)**2d0 - coupl(nGC_177)*   &
                        coupl(nGC_180)**2d0 - coupl(nGC_177)*coupl(nGC_183)**  &
                        2d0 + 8d0*coupl(nGC_177)*coupl(nGC_2)**2d0 + 8d0*coupl(&
                        nGC_177)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_179)* &
                        coupl(nGC_817)*coupl(nGC_85) - coupl(nGC_179)*coupl(   &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_181)*coupl(nGC_64)*  &
                        coupl(nGC_80) - coupl(nGC_183)*coupl(nGC_665)*coupl(   &
                        nGC_85) - coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_9012) = (-coupl(nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_163)**&
                        2d0 - coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(      &
                        nGC_161)*coupl(nGC_167)**2d0 + 8d0*coupl(nGC_161)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_162)*coupl(nGC_69)*coupl(nGC_80) + &
                        coupl(nGC_163)*coupl(nGC_817)*coupl(nGC_89) + coupl(   &
                        nGC_163)*coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_166)* &
                        coupl(nGC_3011)*coupl(nGC_80) + coupl(nGC_167)*coupl(  &
                        nGC_665)*coupl(nGC_89) + coupl(nGC_167)*coupl(nGC_86)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9010) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_141) - cMC* &
                        coupl(nGC_130) - cMD*coupl(nGC_145) - cMS*coupl(nGC_169&
                        ) - cMT*coupl(nGC_177) - cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0)
      coupl(nGC_9011) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_141) + cMC*  &
                        coupl(nGC_130) + cMD*coupl(nGC_145) + cMS*coupl(nGC_169&
                        ) + cMT*coupl(nGC_177) + cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0*Nc)
    end subroutine fill_CTcouplings_mdl26
end module fill_ctcouplings26
