!******************************************************************************!
!                                                                              !
!    fill_ctcouplings29.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings29.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings29
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl29()
      coupl(nGC_9196) = (40d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_195)*coupl(    &
                        nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_1191)*&
                        coupl(nGC_195)*coupl(nGC_198)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_132)*coupl(nGC_133)*coupl(nGC_135)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_135)*coupl&
                        (nGC_136) + 40d0*Nc*cima*coupl(nGC_133)*coupl(nGC_135)*&
                        coupl(nGC_136)*coupl(nGC_695) + 20d0*Nc*cima*coupl(    &
                        nGC_133)*coupl(nGC_136)**2d0*coupl(nGC_695) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_139)**2d0*coupl(nGC_143  &
                        ) + 40d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)*coupl(  &
                        nGC_140)*coupl(nGC_143) + 40d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_144) + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_140)**2d0*coupl(nGC_144  &
                        ) + 40d0*Nc*cima*coupl(nGC_147)*coupl(nGC_149)*coupl(  &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_148)*coupl(nGC_149)*coupl(nGC_151)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_151)*coupl&
                        (nGC_152) + 40d0*Nc*cima*coupl(nGC_171)*coupl(nGC_173)*&
                        coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_171)*coupl(nGC_173)*coupl(nGC_176)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_175)**2d0 &
                         + 40d0*Nc*cima*coupl(nGC_172)*coupl(nGC_173)*coupl(   &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_179)* &
                        coupl(nGC_180)*coupl(nGC_182)**2d0 + 40d0*Nc*cima*coupl&
                        (nGC_179)*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_183  &
                        ) + 40d0*Nc*cima*coupl(nGC_180)*coupl(nGC_182)*coupl(  &
                        nGC_183)*coupl(nGC_2019) + 20d0*Nc*cima*coupl(nGC_180)*&
                        coupl(nGC_183)**2d0*coupl(nGC_2019) + 20d0*Nc*cima*    &
                        coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_197)**2d0 +    &
                        40d0*Nc*cima*coupl(nGC_194)*coupl(nGC_195)*coupl(      &
                        nGC_197)*coupl(nGC_198) + 40d0*cima*coupl(nGC_155)*    &
                        coupl(nGC_157)*coupl(nGC_159)*coupl(nGC_160) + 20d0*   &
                        cima*coupl(nGC_155)*coupl(nGC_157)*coupl(nGC_160)**2d0 &
                         + 20d0*cima*coupl(nGC_156)*coupl(nGC_157)*coupl(      &
                        nGC_159)**2d0 + 40d0*cima*coupl(nGC_156)*coupl(nGC_157 &
                        )*coupl(nGC_159)*coupl(nGC_160) + 40d0*cima*coupl(     &
                        nGC_163)*coupl(nGC_165)*coupl(nGC_167)*coupl(nGC_168   &
                        ) + 20d0*cima*coupl(nGC_163)*coupl(nGC_165)*coupl(     &
                        nGC_168)**2d0 + 20d0*cima*coupl(nGC_164)*coupl(nGC_165 &
                        )*coupl(nGC_167)**2d0 + 40d0*cima*coupl(nGC_164)*coupl(&
                        nGC_165)*coupl(nGC_167)*coupl(nGC_168) + 40d0*cima*    &
                        coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_190)*coupl(    &
                        nGC_191) + 20d0*cima*coupl(nGC_186)*coupl(nGC_188)*    &
                        coupl(nGC_191)**2d0 + 20d0*cima*coupl(nGC_187)*coupl(  &
                        nGC_188)*coupl(nGC_190)**2d0 + 40d0*cima*coupl(nGC_187 &
                        )*coupl(nGC_188)*coupl(nGC_190)*coupl(nGC_191) - 5d0*  &
                        cima*coupl(nGC_2391)*coupl(nGC_72)**2d0*coupl(nGC_867  &
                        ) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_72)**2d0*coupl( &
                        nGC_867) - 5d0*cima*coupl(nGC_63)*coupl(nGC_72)*coupl( &
                        nGC_867)**2d0 - 5d0*cima*coupl(nGC_64)*coupl(nGC_72)*  &
                        coupl(nGC_867)**2d0 + 6d0*coupl(nGC_1243)*coupl(nGC_43 &
                        )*coupl(nGC_867) + 6d0*coupl(nGC_1485)*coupl(nGC_43)*  &
                        coupl(nGC_867) + 3d0*coupl(nGC_2391)*coupl(nGC_58)*    &
                        coupl(nGC_72) - 3d0*coupl(nGC_2391)*coupl(nGC_62)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_3011)*coupl(nGC_58)*coupl(    &
                        nGC_72) - 3d0*coupl(nGC_3011)*coupl(nGC_62)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_40)*coupl(nGC_72)*coupl(nGC_867&
                        ) + 6d0*coupl(nGC_41)*coupl(nGC_72)*coupl(nGC_867) +   &
                        3d0*coupl(nGC_43)*coupl(nGC_68)*coupl(nGC_72) + 3d0*   &
                        coupl(nGC_43)*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl( &
                        nGC_56)*coupl(nGC_63)*coupl(nGC_867) + 3d0*coupl(nGC_56&
                        )*coupl(nGC_64)*coupl(nGC_867) + 3d0*coupl(nGC_58)*    &
                        coupl(nGC_63)*coupl(nGC_867) + 3d0*coupl(nGC_58)*coupl(&
                        nGC_64)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9195) = (20d0*Nc*cima*coupl(nGC_1191)**2d0*coupl(nGC_198)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_194)*coupl(  &
                        nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_132)**&
                        2d0*coupl(nGC_135)**2d0 + 80d0*Nc*cima*coupl(nGC_132)* &
                        coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_695) + 20d0*Nc*&
                        cima*coupl(nGC_136)**2d0*coupl(nGC_695)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_139)**2d0*coupl(nGC_143)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_143)*coupl&
                        (nGC_144) + 20d0*Nc*cima*coupl(nGC_140)**2d0*coupl(    &
                        nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_147)**2d0*coupl(&
                        nGC_152)**2d0 + 80d0*Nc*cima*coupl(nGC_147)*coupl(     &
                        nGC_148)*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc*cima* &
                        coupl(nGC_148)**2d0*coupl(nGC_151)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_171)**2d0*coupl(nGC_176)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_175)*coupl(    &
                        nGC_176) + 20d0*Nc*cima*coupl(nGC_172)**2d0*coupl(     &
                        nGC_175)**2d0 + 20d0*Nc*cima*coupl(nGC_179)**2d0*coupl(&
                        nGC_182)**2d0 + 80d0*Nc*cima*coupl(nGC_179)*coupl(     &
                        nGC_182)*coupl(nGC_183)*coupl(nGC_2019) + 20d0*Nc*cima*&
                        coupl(nGC_183)**2d0*coupl(nGC_2019)**2d0 + 20d0*Nc*cima&
                        *coupl(nGC_194)**2d0*coupl(nGC_197)**2d0 + 6d0*cima*   &
                        coupl(nGC_101)**2d0 - 5d0*cima*coupl(nGC_1331)**2d0*   &
                        coupl(nGC_94)**2d0 - 10d0*cima*coupl(nGC_1331)*coupl(  &
                        nGC_665)*coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl(&
                        nGC_1331)*coupl(nGC_665)*coupl(nGC_94)**2d0 - 10d0*cima&
                        *coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_91)*coupl(   &
                        nGC_94) - 20d0*cima*coupl(nGC_1331)*coupl(nGC_817)*    &
                        coupl(nGC_92)*coupl(nGC_94) + 20d0*cima*coupl(nGC_155  &
                        )**2d0*coupl(nGC_160)**2d0 + 80d0*cima*coupl(nGC_155)* &
                        coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_160) + 20d0*   &
                        cima*coupl(nGC_156)**2d0*coupl(nGC_159)**2d0 + 20d0*   &
                        cima*coupl(nGC_163)**2d0*coupl(nGC_168)**2d0 + 80d0*   &
                        cima*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_167)*coupl&
                        (nGC_168) + 20d0*cima*coupl(nGC_164)**2d0*coupl(nGC_167&
                        )**2d0 + 20d0*cima*coupl(nGC_186)**2d0*coupl(nGC_191)**&
                        2d0 + 80d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl(   &
                        nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(nGC_187)**2d0&
                        *coupl(nGC_190)**2d0 + 12d0*cima*coupl(nGC_62)**2d0 -  &
                        5d0*cima*coupl(nGC_665)**2d0*coupl(nGC_94)**2d0 - 20d0*&
                        cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_91)*coupl(&
                        nGC_94) - 10d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl&
                        (nGC_92)*coupl(nGC_94) - 20d0*cima*coupl(nGC_72)**2d0* &
                        coupl(nGC_867)**2d0 - 5d0*cima*coupl(nGC_817)**2d0*    &
                        coupl(nGC_91)**2d0 - 10d0*cima*coupl(nGC_817)**2d0*    &
                        coupl(nGC_91)*coupl(nGC_92) - 5d0*cima*coupl(nGC_817)**&
                        2d0*coupl(nGC_92)**2d0 - 10d0*cima*coupl(nGC_817)**2d0*&
                        coupl(nGC_94)**2d0 - 3d0*coupl(nGC_101)*coupl(nGC_1331 &
                        )*coupl(nGC_92) - 3d0*coupl(nGC_101)*coupl(nGC_665)*   &
                        coupl(nGC_91) - 6d0*coupl(nGC_101)*coupl(nGC_817)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_1331)*coupl(nGC_25)*coupl(    &
                        nGC_94) + 6d0*coupl(nGC_1331)*coupl(nGC_29)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_1331)*coupl(nGC_33)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_1331)*coupl(nGC_37)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_25)*coupl(nGC_817)*coupl(nGC_92&
                        ) + 3d0*coupl(nGC_26)*coupl(nGC_665)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_26)*coupl(nGC_817)*coupl(nGC_91) + 6d0*  &
                        coupl(nGC_28)*coupl(nGC_665)*coupl(nGC_94) + 6d0*coupl(&
                        nGC_28)*coupl(nGC_817)*coupl(nGC_91) + 6d0*coupl(nGC_29&
                        )*coupl(nGC_817)*coupl(nGC_92) + 3d0*coupl(nGC_31)*    &
                        coupl(nGC_665)*coupl(nGC_91) + 6d0*coupl(nGC_37)*coupl(&
                        nGC_665)*coupl(nGC_92) + 12d0*coupl(nGC_37)*coupl(     &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_38)*coupl(      &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_39)*coupl(      &
                        nGC_817)*coupl(nGC_94) + 12d0*coupl(nGC_56)*coupl(     &
                        nGC_72)*coupl(nGC_867) + 24d0*coupl(nGC_58)*coupl(     &
                        nGC_72)*coupl(nGC_867) - 12d0*coupl(nGC_62)*coupl(     &
                        nGC_72)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9194) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_135)*coupl(&
                        nGC_136) + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(     &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_170)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*&
                        coupl(nGC_170)**2d0 + 20d0*Nc*cima*coupl(nGC_139)*coupl&
                        (nGC_140)*coupl(nGC_142)**2d0 + 20d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_140)*coupl(nGC_178)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_178)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*&
                        coupl(nGC_178)*coupl(nGC_182) + 20d0*Nc*cima*coupl(    &
                        nGC_142)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_146)**2d0*coupl(nGC_151)*coupl(nGC_152  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_197)*   &
                        coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_146)*coupl(    &
                        nGC_151)*coupl(nGC_193)*coupl(nGC_198) + 20d0*Nc*cima* &
                        coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_193)*coupl(    &
                        nGC_197) + 20d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)* &
                        coupl(nGC_193)**2d0 + 20d0*Nc*cima*coupl(nGC_170)**2d0*&
                        coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_178)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_193)**2d0*coupl(nGC_197)*coupl(nGC_198  &
                        ) + 6d0*cima*coupl(nGC_100)*coupl(nGC_101) - 5d0*cima* &
                        coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_665)*coupl(    &
                        nGC_94) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_665)*coupl&
                        (nGC_68)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1243)*coupl&
                        (nGC_68)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(&
                        nGC_1485)*coupl(nGC_63)*coupl(nGC_665)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_1485)*coupl(nGC_665)*coupl(nGC_69)* &
                        coupl(nGC_91) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_69)*&
                        coupl(nGC_72)*coupl(nGC_867) + 20d0*cima*coupl(nGC_154 &
                        )**2d0*coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(&
                        nGC_162)**2d0*coupl(nGC_167)*coupl(nGC_168) + 20d0*cima&
                        *coupl(nGC_185)**2d0*coupl(nGC_190)*coupl(nGC_191) -   &
                        5d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72)*  &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63 &
                        )*coupl(nGC_817)*coupl(nGC_94) - 5d0*cima*coupl(       &
                        nGC_2391)*coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_91) - &
                        5d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_72)*  &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_64 &
                        )*coupl(nGC_817)*coupl(nGC_94) - 5d0*cima*coupl(       &
                        nGC_3011)*coupl(nGC_68)*coupl(nGC_817)*coupl(nGC_91) + &
                        12d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_665)*&
                        coupl(nGC_91)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(     &
                        nGC_665)*coupl(nGC_91)*coupl(nGC_975)**2d0 - 10d0*cima*&
                        coupl(nGC_72)**2d0*coupl(nGC_867)**2d0 - 5d0*cima*coupl&
                        (nGC_817)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0*cima* &
                        coupl(nGC_817)*coupl(nGC_94)*coupl(nGC_975)**2d0 - 3d0*&
                        coupl(nGC_100)*coupl(nGC_665)*coupl(nGC_91) - 3d0*coupl&
                        (nGC_100)*coupl(nGC_817)*coupl(nGC_94) - 3d0*coupl(    &
                        nGC_101)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_1243)*coupl&
                        (nGC_49)*coupl(nGC_867) - 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_62)*coupl(nGC_68) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_25)*coupl(nGC_63) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_39)*coupl(nGC_69) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_48)*coupl(nGC_867) + 3d0*coupl(nGC_22)*coupl(      &
                        nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_22)*coupl(      &
                        nGC_817)*coupl(nGC_91) + 3d0*coupl(nGC_2391)*coupl(    &
                        nGC_25)*coupl(nGC_69) + 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_33)*coupl(nGC_63) + 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_41)*coupl(nGC_867) + 3d0*coupl(nGC_30)*coupl(      &
                        nGC_665)*coupl(nGC_91) + 3d0*coupl(nGC_3011)*coupl(    &
                        nGC_40)*coupl(nGC_867) - 3d0*coupl(nGC_3011)*coupl(    &
                        nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_34)*coupl(nGC_817&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_40)*coupl(nGC_63)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_64)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_72) + 3d0&
                        *coupl(nGC_49)*coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(&
                        nGC_56)*coupl(nGC_793)**2d0 + 3d0*coupl(nGC_56)*coupl( &
                        nGC_975)**2d0 + 6d0*coupl(nGC_57)*coupl(nGC_72)*coupl( &
                        nGC_867) + 6d0*coupl(nGC_58)*coupl(nGC_72)**2d0 + 6d0* &
                        coupl(nGC_58)*coupl(nGC_867)**2d0 + 3d0*coupl(nGC_59)* &
                        coupl(nGC_72)*coupl(nGC_867) - 9d0*coupl(nGC_62)*coupl(&
                        nGC_72)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9193) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_197)*coupl(    &
                        nGC_198)**2d0 + 20d0*Nc*cima*coupl(nGC_132)*coupl(     &
                        nGC_135)**2d0*coupl(nGC_136) + 20d0*Nc*cima*coupl(     &
                        nGC_135)*coupl(nGC_136)**2d0*coupl(nGC_695) + 20d0*Nc* &
                        cima*coupl(nGC_139)**2d0*coupl(nGC_140)*coupl(nGC_143  &
                        ) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)**2d0*   &
                        coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_147)*coupl(    &
                        nGC_151)*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_148)*coupl(nGC_151)**2d0*coupl(nGC_152) + 20d0*Nc* &
                        cima*coupl(nGC_171)*coupl(nGC_175)*coupl(nGC_176)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_172)*coupl(nGC_175)**2d0*    &
                        coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_179)*coupl(    &
                        nGC_182)**2d0*coupl(nGC_183) + 20d0*Nc*cima*coupl(     &
                        nGC_182)*coupl(nGC_183)**2d0*coupl(nGC_2019) + 20d0*Nc*&
                        cima*coupl(nGC_194)*coupl(nGC_197)**2d0*coupl(nGC_198  &
                        ) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_665)*coupl(     &
                        nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1331)*coupl(&
                        nGC_817)*coupl(nGC_94)**2d0 + 20d0*cima*coupl(nGC_155)*&
                        coupl(nGC_159)*coupl(nGC_160)**2d0 + 20d0*cima*coupl(  &
                        nGC_156)*coupl(nGC_159)**2d0*coupl(nGC_160) + 20d0*cima&
                        *coupl(nGC_163)*coupl(nGC_167)*coupl(nGC_168)**2d0 +   &
                        20d0*cima*coupl(nGC_164)*coupl(nGC_167)**2d0*coupl(    &
                        nGC_168) + 20d0*cima*coupl(nGC_186)*coupl(nGC_190)*    &
                        coupl(nGC_191)**2d0 + 20d0*cima*coupl(nGC_187)*coupl(  &
                        nGC_190)**2d0*coupl(nGC_191) - 5d0*cima*coupl(nGC_665  &
                        )**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(   &
                        nGC_665)*coupl(nGC_817)*coupl(nGC_91)**2d0 - 5d0*cima* &
                        coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_91)*coupl(     &
                        nGC_92) - 5d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl(&
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_817)**2d0*coupl(     &
                        nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_817)**2d0*  &
                        coupl(nGC_92)*coupl(nGC_94) - 2d0*coupl(nGC_101)*coupl(&
                        nGC_1331)*coupl(nGC_94) - coupl(nGC_101)*coupl(nGC_665 &
                        )*coupl(nGC_94) - 2d0*coupl(nGC_101)*coupl(nGC_817)*   &
                        coupl(nGC_91) - coupl(nGC_101)*coupl(nGC_817)*coupl(   &
                        nGC_92) + coupl(nGC_1331)*coupl(nGC_25)*coupl(nGC_91   &
                        ) + coupl(nGC_1331)*coupl(nGC_33)*coupl(nGC_94) + 2d0* &
                        coupl(nGC_25)*coupl(nGC_665)*coupl(nGC_92) + 3d0*coupl(&
                        nGC_25)*coupl(nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_28&
                        )*coupl(nGC_665)*coupl(nGC_91) + 3d0*coupl(nGC_29)*    &
                        coupl(nGC_817)*coupl(nGC_94) + 2d0*coupl(nGC_33)*coupl(&
                        nGC_817)*coupl(nGC_92) + 3d0*coupl(nGC_37)*coupl(      &
                        nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl(      &
                        nGC_817)*coupl(nGC_91) + 2d0*coupl(nGC_39)*coupl(      &
                        nGC_665)*coupl(nGC_94) + coupl(nGC_39)*coupl(nGC_817)* &
                        coupl(nGC_91) + 12d0*coupl(nGC_43)*coupl(nGC_72)*coupl(&
                        nGC_867))/(32d0*pi**2d0)
      coupl(nGC_14141) = coupl(nGC_182)*dZtL_QCD2/2d0 + coupl(nGC_182)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9499)
      coupl(nGC_9190) = (20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_133)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_137)*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_149)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_173)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_173)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_180)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_180)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_195)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_69)*coupl(&
                        nGC_793)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1243)**2d0*&
                        coupl(nGC_1485)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_1331)*coupl(nGC_63)*coupl(nGC_72) + 4d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_72)*    &
                        coupl(nGC_817) + 4d0*cima*coupl(nGC_1243)*coupl(       &
                        nGC_1485)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_96) +  &
                        4d0*cima*coupl(nGC_1331)**2d0*coupl(nGC_69)*coupl(     &
                        nGC_96) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_64)*coupl(&
                        nGC_817)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_2391)**2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_2391)*coupl(nGC_665)*coupl(nGC_72) + 4d0*  &
                        cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_72)*    &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_72  &
                        )**2d0*coupl(nGC_96) + 20d0*cima*coupl(nGC_157)*coupl( &
                        nGC_158)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(&
                        nGC_157)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89) -  &
                        16d0*cima*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80)* &
                        coupl(nGC_90) + 24d0*cima*coupl(nGC_16)*coupl(nGC_79   &
                        ) + 20d0*cima*coupl(nGC_165)*coupl(nGC_166)*coupl(     &
                        nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_165)*coupl(&
                        nGC_166)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(&
                        nGC_165)*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) +  &
                        20d0*cima*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_188)*coupl(nGC_189 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_188&
                        )*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima&
                        *coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_68)*coupl(    &
                        nGC_96) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(&
                        nGC_72)*coupl(nGC_817) + 24d0*cima*coupl(nGC_607)*coupl&
                        (nGC_70) + 4d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl( &
                        nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_63)*coupl(  &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(  &
                        nGC_64)*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_96) +  &
                        4d0*cima*coupl(nGC_69)*coupl(nGC_817)**2d0*coupl(nGC_96&
                        ) + 9d0*cima*coupl(nGC_69)*coupl(nGC_82)*coupl(nGC_833 &
                        )*coupl(nGC_975) + 4d0*cima*coupl(nGC_817)*coupl(      &
                        nGC_867)*coupl(nGC_96)*coupl(nGC_975) + 9d0*cima*coupl(&
                        nGC_82)*coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_94) -  &
                        6d0*coupl(nGC_100)*coupl(nGC_69)*coupl(nGC_833) - 6d0* &
                        coupl(nGC_1103)*coupl(nGC_16)*coupl(nGC_793) - 6d0*    &
                        coupl(nGC_1103)*coupl(nGC_69)*coupl(nGC_97) + 6d0*coupl&
                        (nGC_1243)*coupl(nGC_1485)*coupl(nGC_16) + 6d0*coupl(  &
                        nGC_1243)*coupl(nGC_15)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_1485)*coupl(nGC_2391) + 6d0*coupl(   &
                        nGC_1485)*coupl(nGC_20)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_16)*coupl(nGC_2391)*coupl(nGC_63) + 36d0*coupl(    &
                        nGC_16)*coupl(nGC_82)*coupl(nGC_833) - 6d0*coupl(nGC_16&
                        )*coupl(nGC_833)*coupl(nGC_975) + 6d0*coupl(nGC_20)*   &
                        coupl(nGC_817)*coupl(nGC_96) - 6d0*coupl(nGC_20)*coupl(&
                        nGC_82)*coupl(nGC_94) + 36d0*coupl(nGC_3)*coupl(nGC_70 &
                        )*coupl(nGC_833) - 6d0*coupl(nGC_607)*coupl(nGC_69)*   &
                        coupl(nGC_793) - 6d0*coupl(nGC_61)*coupl(nGC_69)*coupl(&
                        nGC_833) - 6d0*coupl(nGC_62)*coupl(nGC_69)*coupl(nGC_82&
                        ) - 6d0*coupl(nGC_69)*coupl(nGC_79)*coupl(nGC_975) -   &
                        6d0*coupl(nGC_69)*coupl(nGC_82)*coupl(nGC_99) - 6d0*   &
                        coupl(nGC_79)*coupl(nGC_867)*coupl(nGC_94))/(192d0*pi**&
                        2d0)
      coupl(nGC_15365) = coupl(nGC_3)*dZWMinus_QED2/2d0 + coupl(nGC_9290)
      coupl(nGC_15366) = -coupl(nGC_15365)
      coupl(nGC_15248) = coupl(nGC_15242) - coupl(nGC_15247)
      coupl(nGC_9207) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_195)**2d0*coupl&
                        (nGC_197) + 40d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_195 &
                        )**2d0*coupl(nGC_198) + 40d0*Nc*cima*coupl(nGC_132)*   &
                        coupl(nGC_133)**2d0*coupl(nGC_135) + 20d0*Nc*cima*coupl&
                        (nGC_132)*coupl(nGC_133)**2d0*coupl(nGC_136) + 20d0*Nc*&
                        cima*coupl(nGC_133)**2d0*coupl(nGC_135)*coupl(nGC_695  &
                        ) + 40d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_136)*   &
                        coupl(nGC_695) + 40d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)*coupl(nGC_143) + 20d0*Nc*cima*coupl(nGC_137  &
                        )**2d0*coupl(nGC_139)*coupl(nGC_144) + 20d0*Nc*cima*   &
                        coupl(nGC_137)**2d0*coupl(nGC_140)*coupl(nGC_143) +    &
                        40d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_140)*coupl( &
                        nGC_144) + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_149)**&
                        2d0*coupl(nGC_151) + 40d0*Nc*cima*coupl(nGC_147)*coupl(&
                        nGC_149)**2d0*coupl(nGC_152) + 40d0*Nc*cima*coupl(     &
                        nGC_148)*coupl(nGC_149)**2d0*coupl(nGC_151) + 20d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_149)**2d0*coupl(nGC_152  &
                        ) + 20d0*Nc*cima*coupl(nGC_171)*coupl(nGC_173)**2d0*   &
                        coupl(nGC_175) + 40d0*Nc*cima*coupl(nGC_171)*coupl(    &
                        nGC_173)**2d0*coupl(nGC_176) + 40d0*Nc*cima*coupl(     &
                        nGC_172)*coupl(nGC_173)**2d0*coupl(nGC_175) + 20d0*Nc* &
                        cima*coupl(nGC_172)*coupl(nGC_173)**2d0*coupl(nGC_176  &
                        ) + 40d0*Nc*cima*coupl(nGC_179)*coupl(nGC_180)**2d0*   &
                        coupl(nGC_182) + 20d0*Nc*cima*coupl(nGC_179)*coupl(    &
                        nGC_180)**2d0*coupl(nGC_183) + 20d0*Nc*cima*coupl(     &
                        nGC_180)**2d0*coupl(nGC_182)*coupl(nGC_2019) + 40d0*Nc*&
                        cima*coupl(nGC_180)**2d0*coupl(nGC_183)*coupl(nGC_2019 &
                        ) + 40d0*Nc*cima*coupl(nGC_194)*coupl(nGC_195)**2d0*   &
                        coupl(nGC_197) + 20d0*Nc*cima*coupl(nGC_194)*coupl(    &
                        nGC_195)**2d0*coupl(nGC_198) - 10d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_3011)*coupl(nGC_72)*coupl(nGC_867) - 5d0*  &
                        cima*coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_867)**2d0 &
                         - 10d0*cima*coupl(nGC_1331)**2d0*coupl(nGC_92)*coupl( &
                        nGC_94) - 10d0*cima*coupl(nGC_1331)*coupl(nGC_817)*    &
                        coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*coupl(nGC_1331 &
                        )*coupl(nGC_817)*coupl(nGC_94)**2d0 - 10d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_72)*coupl(nGC_867  &
                        ) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl(      &
                        nGC_867)**2d0 + 20d0*cima*coupl(nGC_155)*coupl(nGC_157 &
                        )**2d0*coupl(nGC_159) + 40d0*cima*coupl(nGC_155)*coupl(&
                        nGC_157)**2d0*coupl(nGC_160) + 40d0*cima*coupl(nGC_156 &
                        )*coupl(nGC_157)**2d0*coupl(nGC_159) + 20d0*cima*coupl(&
                        nGC_156)*coupl(nGC_157)**2d0*coupl(nGC_160) + 20d0*cima&
                        *coupl(nGC_163)*coupl(nGC_165)**2d0*coupl(nGC_167) +   &
                        40d0*cima*coupl(nGC_163)*coupl(nGC_165)**2d0*coupl(    &
                        nGC_168) + 40d0*cima*coupl(nGC_164)*coupl(nGC_165)**2d0&
                        *coupl(nGC_167) + 20d0*cima*coupl(nGC_164)*coupl(      &
                        nGC_165)**2d0*coupl(nGC_168) + 20d0*cima*coupl(nGC_186 &
                        )*coupl(nGC_188)**2d0*coupl(nGC_190) + 40d0*cima*coupl(&
                        nGC_186)*coupl(nGC_188)**2d0*coupl(nGC_191) + 40d0*cima&
                        *coupl(nGC_187)*coupl(nGC_188)**2d0*coupl(nGC_190) +   &
                        20d0*cima*coupl(nGC_187)*coupl(nGC_188)**2d0*coupl(    &
                        nGC_191) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_69)*coupl&
                        (nGC_72)**2d0 - 5d0*cima*coupl(nGC_3011)*coupl(nGC_68)*&
                        coupl(nGC_72)**2d0 - 10d0*cima*coupl(nGC_817)**2d0*    &
                        coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_10)*coupl( &
                        nGC_665)*coupl(nGC_92) + 3d0*coupl(nGC_10)*coupl(      &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_12)*coupl(      &
                        nGC_817)*coupl(nGC_92) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_3011)*coupl(nGC_58) + 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_40)*coupl(nGC_867) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_43)*coupl(nGC_68) + 3d0*coupl(nGC_13)*coupl(nGC_665&
                        )*coupl(nGC_94) + 6d0*coupl(nGC_1331)**2d0*coupl(nGC_29&
                        ) + 6d0*coupl(nGC_1331)*coupl(nGC_33)*coupl(nGC_817) + &
                        6d0*coupl(nGC_1331)*coupl(nGC_37)*coupl(nGC_817) + 3d0*&
                        coupl(nGC_1331)*coupl(nGC_46)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_1331)*coupl(nGC_59)*coupl(nGC_94) - 3d0*coupl(    &
                        nGC_1331)*coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_58) + 6d0*coupl(   &
                        nGC_1485)*coupl(nGC_41)*coupl(nGC_867) + 3d0*coupl(    &
                        nGC_1485)*coupl(nGC_43)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_2391)*coupl(nGC_42)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_2391)*coupl(nGC_49)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_25)*coupl(nGC_817)**2d0 + 6d0*coupl(nGC_26)*coupl( &
                        nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_27)*coupl(nGC_72 &
                        )*coupl(nGC_867) + 6d0*coupl(nGC_29)*coupl(nGC_94)**2d0&
                         + 3d0*coupl(nGC_3011)*coupl(nGC_42)*coupl(nGC_64) +   &
                        6d0*coupl(nGC_3011)*coupl(nGC_48)*coupl(nGC_72) + 6d0* &
                        coupl(nGC_37)*coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl( &
                        nGC_38)*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_47 &
                        )*coupl(nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_58)*    &
                        coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_58)*coupl( &
                        nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_59)*coupl(nGC_817&
                        )*coupl(nGC_92) - 3d0*coupl(nGC_817)*coupl(nGC_91)*    &
                        coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9206) = (20d0*Nc*cima*coupl(nGC_1191)**2d0*coupl(nGC_194)*coupl&
                        (nGC_198) + 20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_194 &
                        )**2d0*coupl(nGC_197) + 20d0*Nc*cima*coupl(nGC_132)**  &
                        2d0*coupl(nGC_135)*coupl(nGC_695) + 20d0*Nc*cima*coupl(&
                        nGC_132)*coupl(nGC_136)*coupl(nGC_695)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_139)*coupl(nGC_143)**2d0*coupl(nGC_144  &
                        ) + 20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_143)*coupl(  &
                        nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_147)**2d0*coupl(&
                        nGC_148)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_148)**2d0*coupl(nGC_151) + 20d0*Nc*cima*coupl&
                        (nGC_171)**2d0*coupl(nGC_172)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_171)*coupl(nGC_172)**2d0*coupl(nGC_175  &
                        ) + 20d0*Nc*cima*coupl(nGC_179)**2d0*coupl(nGC_182)*   &
                        coupl(nGC_2019) + 20d0*Nc*cima*coupl(nGC_179)*coupl(   &
                        nGC_183)*coupl(nGC_2019)**2d0 - 5d0*cima*coupl(nGC_1331&
                        )**2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(   &
                        nGC_1331)*coupl(nGC_665)*coupl(nGC_92)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_91)* &
                        coupl(nGC_92) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_817 &
                        )*coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_1331)*coupl( &
                        nGC_817)*coupl(nGC_94)**2d0 + 20d0*cima*coupl(nGC_155  &
                        )**2d0*coupl(nGC_156)*coupl(nGC_160) + 20d0*cima*coupl(&
                        nGC_155)*coupl(nGC_156)**2d0*coupl(nGC_159) + 20d0*cima&
                        *coupl(nGC_163)**2d0*coupl(nGC_164)*coupl(nGC_168) +   &
                        20d0*cima*coupl(nGC_163)*coupl(nGC_164)**2d0*coupl(    &
                        nGC_167) + 20d0*cima*coupl(nGC_186)**2d0*coupl(nGC_187 &
                        )*coupl(nGC_191) + 20d0*cima*coupl(nGC_186)*coupl(     &
                        nGC_187)**2d0*coupl(nGC_190) - 5d0*cima*coupl(nGC_665)*&
                        coupl(nGC_817)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(    &
                        nGC_817)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*  &
                        coupl(nGC_817)**2d0*coupl(nGC_92)*coupl(nGC_94) - coupl&
                        (nGC_101)*coupl(nGC_1331)*coupl(nGC_94) - 2d0*coupl(   &
                        nGC_101)*coupl(nGC_665)*coupl(nGC_94) - coupl(nGC_101)*&
                        coupl(nGC_817)*coupl(nGC_91) - 2d0*coupl(nGC_101)*coupl&
                        (nGC_817)*coupl(nGC_92) + 2d0*coupl(nGC_1331)*coupl(   &
                        nGC_26)*coupl(nGC_91) + 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_29)*coupl(nGC_92) + 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_37)*coupl(nGC_94) + 2d0*coupl(nGC_1331)*coupl(     &
                        nGC_38)*coupl(nGC_94) + coupl(nGC_26)*coupl(nGC_665)*  &
                        coupl(nGC_92) + 3d0*coupl(nGC_26)*coupl(nGC_817)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_28)*coupl(nGC_817)*coupl(nGC_94&
                        ) + coupl(nGC_31)*coupl(nGC_665)*coupl(nGC_94) + 2d0*  &
                        coupl(nGC_31)*coupl(nGC_817)*coupl(nGC_91) + 3d0*coupl(&
                        nGC_37)*coupl(nGC_817)*coupl(nGC_92) + coupl(nGC_38)*  &
                        coupl(nGC_817)*coupl(nGC_92) + 12d0*coupl(nGC_42)*coupl&
                        (nGC_72)*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_9205) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_152)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_176)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_183)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_198)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_69)*coupl(&
                        nGC_867)**2d0 + 4d0*cima*coupl(nGC_1331)*coupl(nGC_72)*&
                        coupl(nGC_817)*coupl(nGC_975) + 4d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_64)*coupl(nGC_867)*coupl(nGC_975) + 4d0*   &
                        cima*coupl(nGC_1485)*coupl(nGC_867)**2d0*coupl(nGC_91  &
                        ) + 20d0*cima*coupl(nGC_154)*coupl(nGC_160)*coupl(     &
                        nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl(&
                        nGC_160)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(&
                        nGC_154)*coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_90) +  &
                        20d0*cima*coupl(nGC_162)*coupl(nGC_168)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl(nGC_168 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_162&
                        )*coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_191)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_185)*coupl(nGC_191)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl&
                        (nGC_191)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_2391)*coupl(nGC_69)*coupl(nGC_867)*coupl(nGC_975   &
                        ) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_867)**2d0*coupl(&
                        nGC_94) + 4d0*cima*coupl(nGC_64)*coupl(nGC_817)*coupl( &
                        nGC_867)**2d0 + 4d0*cima*coupl(nGC_64)*coupl(nGC_817)* &
                        coupl(nGC_96)*coupl(nGC_975) + 9d0*cima*coupl(nGC_64)* &
                        coupl(nGC_82)*coupl(nGC_833)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_665)*coupl(nGC_68)*coupl(nGC_96)*coupl(      &
                        nGC_975) + 4d0*cima*coupl(nGC_665)*coupl(nGC_72)*coupl(&
                        nGC_817)*coupl(nGC_975) + 9d0*cima*coupl(nGC_68)*coupl(&
                        nGC_82)*coupl(nGC_833)*coupl(nGC_91) + 6d0*coupl(nGC_14&
                        )*coupl(nGC_1485)*coupl(nGC_867) + 6d0*coupl(nGC_15)*  &
                        coupl(nGC_817)*coupl(nGC_975) - 6d0*coupl(nGC_15)*coupl&
                        (nGC_833)*coupl(nGC_94) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_2391)*coupl(nGC_867) + 6d0*coupl(nGC_16)*coupl(    &
                        nGC_665)*coupl(nGC_975) - 6d0*coupl(nGC_16)*coupl(     &
                        nGC_833)*coupl(nGC_91) - 6d0*coupl(nGC_64)*coupl(nGC_79&
                        )*coupl(nGC_94) - 6d0*coupl(nGC_68)*coupl(nGC_79)*coupl&
                        (nGC_91))/(192d0*pi**2d0)
      coupl(nGC_9204) = (-32d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*coupl(    &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_135)*coupl(      &
                        nGC_136)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_84)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(&
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_139)*   &
                        coupl(nGC_140)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_151)*coupl(nGC_152)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_175)*coupl(&
                        nGC_176)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_175)*coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_87) -  &
                        32d0*Nc*cima*coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_87&
                        )**2d0 - 32d0*Nc*cima*coupl(nGC_182)*coupl(nGC_183)*   &
                        coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_182)*coupl(&
                        nGC_183)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_85)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(&
                        nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_197)*   &
                        coupl(nGC_198)*coupl(nGC_88)**2d0 + 12d0*cima*coupl(   &
                        nGC_1047)*coupl(nGC_62) + 4d0*cima*coupl(nGC_1331)*    &
                        coupl(nGC_817)*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_92)*coupl(    &
                        nGC_94) - 32d0*cima*coupl(nGC_159)*coupl(nGC_160)*coupl&
                        (nGC_86)**2d0 + 40d0*cima*coupl(nGC_159)*coupl(nGC_160 &
                        )*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_159&
                        )*coupl(nGC_160)*coupl(nGC_89)**2d0 - 32d0*cima*coupl( &
                        nGC_167)*coupl(nGC_168)*coupl(nGC_86)**2d0 + 40d0*cima*&
                        coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_86)*coupl(     &
                        nGC_89) - 32d0*cima*coupl(nGC_167)*coupl(nGC_168)*coupl&
                        (nGC_89)**2d0 - 32d0*cima*coupl(nGC_190)*coupl(nGC_191 &
                        )*coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_190)*coupl( &
                        nGC_191)*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(&
                        nGC_190)*coupl(nGC_191)*coupl(nGC_89)**2d0 + 4d0*cima* &
                        coupl(nGC_665)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*coupl&
                        (nGC_665)**2d0*coupl(nGC_94)**2d0 + 4d0*cima*coupl(    &
                        nGC_665)*coupl(nGC_817)*coupl(nGC_91)*coupl(nGC_94) +  &
                        4d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_92)*  &
                        coupl(nGC_94) + 9d0*cima*coupl(nGC_72)*coupl(nGC_82)** &
                        2d0*coupl(nGC_867) + 9d0*cima*coupl(nGC_72)*coupl(     &
                        nGC_833)**2d0*coupl(nGC_867) + 4d0*cima*coupl(nGC_72)* &
                        coupl(nGC_867)*coupl(nGC_96)**2d0 + 4d0*cima*coupl(    &
                        nGC_72)*coupl(nGC_867)*coupl(nGC_975)**2d0 + 4d0*cima* &
                        coupl(nGC_817)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*coupl&
                        (nGC_817)**2d0*coupl(nGC_94)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_72)*coupl(nGC_867) - 6d0*coupl(nGC_1047)*    &
                        coupl(nGC_72)*coupl(nGC_867) - 6d0*coupl(nGC_19)*coupl(&
                        nGC_72)*coupl(nGC_833) - 6d0*coupl(nGC_19)*coupl(nGC_82&
                        )*coupl(nGC_867) - 6d0*coupl(nGC_20)*coupl(nGC_72)*    &
                        coupl(nGC_82) - 6d0*coupl(nGC_20)*coupl(nGC_833)*coupl(&
                        nGC_867) + 18d0*coupl(nGC_62)*coupl(nGC_82)**2d0 + 18d0&
                        *coupl(nGC_62)*coupl(nGC_833)**2d0 + 3d0*coupl(nGC_665 &
                        )*coupl(nGC_91)*coupl(nGC_99) + 3d0*coupl(nGC_817)*    &
                        coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9203) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_139)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_151)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_175)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_175)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_175)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_182)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_182)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_197)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_63)*coupl(&
                        nGC_867)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1243)*coupl&
                        (nGC_867)**2d0*coupl(nGC_91) + 4d0*cima*coupl(nGC_1331 &
                        )*coupl(nGC_68)*coupl(nGC_867)**2d0 + 4d0*cima*coupl(  &
                        nGC_1331)*coupl(nGC_72)*coupl(nGC_817)*coupl(nGC_96) + &
                        20d0*cima*coupl(nGC_154)*coupl(nGC_159)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_154)*coupl(nGC_159 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_154&
                        )*coupl(nGC_159)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_162)*coupl(nGC_167)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_162)*coupl(nGC_167)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_162)*coupl&
                        (nGC_167)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl&
                        (nGC_185)*coupl(nGC_190)*coupl(nGC_80)*coupl(nGC_86) - &
                        16d0*cima*coupl(nGC_185)*coupl(nGC_190)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl(nGC_190 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_68)*coupl(nGC_867)*coupl(nGC_96) + 4d0*cima&
                        *coupl(nGC_3011)*coupl(nGC_867)**2d0*coupl(nGC_94) +   &
                        4d0*cima*coupl(nGC_63)*coupl(nGC_817)*coupl(nGC_867)** &
                        2d0 + 4d0*cima*coupl(nGC_63)*coupl(nGC_817)*coupl(     &
                        nGC_96)*coupl(nGC_975) + 9d0*cima*coupl(nGC_63)*coupl( &
                        nGC_82)*coupl(nGC_833)*coupl(nGC_94) + 4d0*cima*coupl( &
                        nGC_665)*coupl(nGC_69)*coupl(nGC_96)*coupl(nGC_975) +  &
                        4d0*cima*coupl(nGC_665)*coupl(nGC_72)*coupl(nGC_817)*  &
                        coupl(nGC_96) + 9d0*cima*coupl(nGC_69)*coupl(nGC_82)*  &
                        coupl(nGC_833)*coupl(nGC_91) + 6d0*coupl(nGC_1243)*    &
                        coupl(nGC_14)*coupl(nGC_867) + 6d0*coupl(nGC_15)*coupl(&
                        nGC_817)*coupl(nGC_96) - 6d0*coupl(nGC_15)*coupl(nGC_82&
                        )*coupl(nGC_94) + 6d0*coupl(nGC_16)*coupl(nGC_3011)*   &
                        coupl(nGC_867) + 6d0*coupl(nGC_16)*coupl(nGC_665)*coupl&
                        (nGC_96) - 6d0*coupl(nGC_16)*coupl(nGC_82)*coupl(nGC_91&
                        ) - 6d0*coupl(nGC_63)*coupl(nGC_79)*coupl(nGC_94) - 6d0&
                        *coupl(nGC_69)*coupl(nGC_79)*coupl(nGC_91))/(192d0*pi**&
                        2d0)
      coupl(nGC_9202) = (10d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_146)**2d0*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_146 &
                        )*coupl(nGC_152)*coupl(nGC_193) + 10d0*Nc*cima*coupl(  &
                        nGC_1191)*coupl(nGC_193)**2d0*coupl(nGC_198) + 10d0*Nc*&
                        cima*coupl(nGC_131)**2d0*coupl(nGC_132)*coupl(nGC_135  &
                        ) + 10d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_136)*   &
                        coupl(nGC_695) + 10d0*Nc*cima*coupl(nGC_131)**2d0*coupl&
                        (nGC_171)*coupl(nGC_176) + 10d0*Nc*cima*coupl(nGC_131  &
                        )**2d0*coupl(nGC_172)*coupl(nGC_175) + 10d0*Nc*cima*   &
                        coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_170)*coupl(    &
                        nGC_175) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)* &
                        coupl(nGC_170)*coupl(nGC_172) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_171   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_170)*coupl(  &
                        nGC_176)*coupl(nGC_695) + 10d0*Nc*cima*coupl(nGC_132)* &
                        coupl(nGC_135)*coupl(nGC_170)**2d0 + 10d0*Nc*cima*coupl&
                        (nGC_136)*coupl(nGC_170)**2d0*coupl(nGC_695) + 10d0*Nc*&
                        cima*coupl(nGC_139)*coupl(nGC_142)**2d0*coupl(nGC_143  &
                        ) + 10d0*Nc*cima*coupl(nGC_139)*coupl(nGC_142)*coupl(  &
                        nGC_178)*coupl(nGC_179) + 10d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_143)*coupl(nGC_178)**2d0 + 10d0*Nc*cima*coupl&
                        (nGC_140)*coupl(nGC_142)**2d0*coupl(nGC_144) + 10d0*Nc*&
                        cima*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_178)*coupl&
                        (nGC_2019) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144 &
                        )*coupl(nGC_178)**2d0 + 10d0*Nc*cima*coupl(nGC_142)**  &
                        2d0*coupl(nGC_179)*coupl(nGC_182) + 10d0*Nc*cima*coupl(&
                        nGC_142)**2d0*coupl(nGC_183)*coupl(nGC_2019) + 10d0*Nc*&
                        cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_178)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*&
                        coupl(nGC_178)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_146)**2d0*coupl(nGC_147)*coupl(nGC_152) + 10d0*Nc* &
                        cima*coupl(nGC_146)**2d0*coupl(nGC_148)*coupl(nGC_151  &
                        ) + 10d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_194)*   &
                        coupl(nGC_197) + 10d0*Nc*cima*coupl(nGC_146)*coupl(    &
                        nGC_147)*coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*cima* &
                        coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_193)*coupl(    &
                        nGC_197) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_151)* &
                        coupl(nGC_193)*coupl(nGC_194) + 10d0*Nc*cima*coupl(    &
                        nGC_147)*coupl(nGC_152)*coupl(nGC_193)**2d0 + 10d0*Nc* &
                        cima*coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_193)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_171)*    &
                        coupl(nGC_176) + 10d0*Nc*cima*coupl(nGC_170)**2d0*coupl&
                        (nGC_172)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_178  &
                        )**2d0*coupl(nGC_179)*coupl(nGC_182) + 10d0*Nc*cima*   &
                        coupl(nGC_178)**2d0*coupl(nGC_183)*coupl(nGC_2019) +   &
                        10d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_194)*coupl( &
                        nGC_197) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_2391)*   &
                        coupl(nGC_63)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1331)*&
                        coupl(nGC_2391)*coupl(nGC_69)*coupl(nGC_91) - 5d0*cima*&
                        coupl(nGC_1331)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0*&
                        cima*coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_665)*coupl&
                        (nGC_92) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl&
                        (nGC_817)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1485)*    &
                        coupl(nGC_665)*coupl(nGC_69)*coupl(nGC_94) - 5d0*cima* &
                        coupl(nGC_1485)*coupl(nGC_665)*coupl(nGC_867)*coupl(   &
                        nGC_96) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(&
                        nGC_817)*coupl(nGC_91) + 10d0*cima*coupl(nGC_154)**2d0*&
                        coupl(nGC_155)*coupl(nGC_160) + 10d0*cima*coupl(nGC_154&
                        )**2d0*coupl(nGC_156)*coupl(nGC_159) + 10d0*cima*coupl(&
                        nGC_162)**2d0*coupl(nGC_163)*coupl(nGC_168) + 10d0*cima&
                        *coupl(nGC_162)**2d0*coupl(nGC_164)*coupl(nGC_167) +   &
                        10d0*cima*coupl(nGC_185)**2d0*coupl(nGC_186)*coupl(    &
                        nGC_191) + 10d0*cima*coupl(nGC_185)**2d0*coupl(nGC_187 &
                        )*coupl(nGC_190) - 5d0*cima*coupl(nGC_2391)*coupl(     &
                        nGC_63)*coupl(nGC_817)*coupl(nGC_92) - 5d0*cima*coupl( &
                        nGC_2391)*coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_2391)*coupl(nGC_817)*coupl(nGC_867)*&
                        coupl(nGC_96) - 5d0*cima*coupl(nGC_63)*coupl(nGC_72)*  &
                        coupl(nGC_94)*coupl(nGC_96) - 5d0*cima*coupl(nGC_665)* &
                        coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(     &
                        nGC_69)*coupl(nGC_72)*coupl(nGC_91)*coupl(nGC_96) - 5d0&
                        *cima*coupl(nGC_817)*coupl(nGC_91)*coupl(nGC_96)**2d0  &
                         - 5d0*cima*coupl(nGC_817)*coupl(nGC_92)*coupl(nGC_96  &
                        )**2d0 - 3d0*coupl(nGC_100)*coupl(nGC_665)*coupl(nGC_94&
                        ) - 3d0*coupl(nGC_100)*coupl(nGC_817)*coupl(nGC_92) +  &
                        3d0*coupl(nGC_1243)*coupl(nGC_40)*coupl(nGC_867) + 3d0*&
                        coupl(nGC_1331)*coupl(nGC_22)*coupl(nGC_91) + 3d0*coupl&
                        (nGC_1331)*coupl(nGC_34)*coupl(nGC_94) - 3d0*coupl(    &
                        nGC_1485)*coupl(nGC_19)*coupl(nGC_665) + 3d0*coupl(    &
                        nGC_1485)*coupl(nGC_28)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_37)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_19)*coupl(nGC_2391)*coupl(nGC_817) - 3d0*coupl(    &
                        nGC_20)*coupl(nGC_63)*coupl(nGC_94) - 3d0*coupl(nGC_20 &
                        )*coupl(nGC_69)*coupl(nGC_91) + 3d0*coupl(nGC_22)*coupl&
                        (nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_2391)*coupl(   &
                        nGC_29)*coupl(nGC_63) + 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_37)*coupl(nGC_69) + 3d0*coupl(nGC_30)*coupl(nGC_817&
                        )*coupl(nGC_91) + 3d0*coupl(nGC_3011)*coupl(nGC_48)*   &
                        coupl(nGC_867) + 3d0*coupl(nGC_41)*coupl(nGC_68)*coupl(&
                        nGC_72) + 9d0*coupl(nGC_42)*coupl(nGC_72)**2d0 + 3d0*  &
                        coupl(nGC_42)*coupl(nGC_793)**2d0 + 3d0*coupl(nGC_42)* &
                        coupl(nGC_867)**2d0 + 3d0*coupl(nGC_42)*coupl(nGC_975  &
                        )**2d0 + 6d0*coupl(nGC_44)*coupl(nGC_72)*coupl(nGC_867 &
                        ) + 3d0*coupl(nGC_46)*coupl(nGC_72)*coupl(nGC_867) +   &
                        3d0*coupl(nGC_49)*coupl(nGC_64)*coupl(nGC_72))/(96d0*pi&
                        **2d0)
      coupl(nGC_9201) = (-32d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*coupl(    &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_139)*coupl(      &
                        nGC_140)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_80)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_182)*coupl(nGC_183)*coupl(   &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_197)*coupl(      &
                        nGC_198)*coupl(nGC_80)**2d0 + 12d0*cima*coupl(nGC_101)*&
                        coupl(nGC_1047) + 9d0*cima*coupl(nGC_1103)**2d0*coupl( &
                        nGC_72)*coupl(nGC_867) + 4d0*cima*coupl(nGC_1243)*coupl&
                        (nGC_63)*coupl(nGC_817)*coupl(nGC_91) + 4d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_64)*coupl(nGC_817)*coupl(nGC_91) + &
                        4d0*cima*coupl(nGC_1243)*coupl(nGC_665)*coupl(nGC_68)* &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_68)*&
                        coupl(nGC_72)*coupl(nGC_867) + 4d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_68)*coupl(nGC_817)*coupl(nGC_94) + 4d0*cima&
                        *coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_817)*coupl(   &
                        nGC_91) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_64)*coupl(&
                        nGC_817)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_665)*coupl(nGC_69)*coupl(nGC_91) + 4d0*cima*coupl(&
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) + &
                        4d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_817)* &
                        coupl(nGC_94) - 32d0*cima*coupl(nGC_159)*coupl(nGC_160 &
                        )*coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_167)*coupl( &
                        nGC_168)*coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_190)*&
                        coupl(nGC_191)*coupl(nGC_80)**2d0 + 4d0*cima*coupl(    &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_665)*coupl(nGC_91) + &
                        4d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72)*  &
                        coupl(nGC_867) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_63 &
                        )*coupl(nGC_817)*coupl(nGC_94) + 4d0*cima*coupl(       &
                        nGC_2391)*coupl(nGC_665)*coupl(nGC_68)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_2391)*coupl(nGC_665)*coupl(nGC_69)* &
                        coupl(nGC_94) + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_72&
                        )*coupl(nGC_867) + 4d0*cima*coupl(nGC_3011)*coupl(     &
                        nGC_64)*coupl(nGC_665)*coupl(nGC_91) + 4d0*cima*coupl( &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867) + &
                        4d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_817)* &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_665 &
                        )*coupl(nGC_68)*coupl(nGC_94) + 4d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_665)*coupl(nGC_69)*coupl(nGC_94) + 24d0*   &
                        cima*coupl(nGC_62)*coupl(nGC_78) + 9d0*cima*coupl(     &
                        nGC_665)*coupl(nGC_82)**2d0*coupl(nGC_91) + 9d0*cima*  &
                        coupl(nGC_665)*coupl(nGC_833)**2d0*coupl(nGC_91) + 8d0*&
                        cima*coupl(nGC_72)**2d0*coupl(nGC_867)**2d0 + 9d0*cima*&
                        coupl(nGC_72)*coupl(nGC_82)**2d0*coupl(nGC_867) + 9d0* &
                        cima*coupl(nGC_72)*coupl(nGC_833)**2d0*coupl(nGC_867   &
                        ) + 9d0*cima*coupl(nGC_817)*coupl(nGC_82)**2d0*coupl(  &
                        nGC_94) + 9d0*cima*coupl(nGC_817)*coupl(nGC_833)**2d0* &
                        coupl(nGC_94) + 36d0*coupl(nGC_101)*coupl(nGC_82)**2d0 &
                         - 6d0*coupl(nGC_1047)*coupl(nGC_665)*coupl(nGC_91) -  &
                        6d0*coupl(nGC_1047)*coupl(nGC_817)*coupl(nGC_94) + 36d0&
                        *coupl(nGC_1103)**2d0*coupl(nGC_62) - 6d0*coupl(       &
                        nGC_1103)*coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_73)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_19)*coupl(nGC_72)*coupl(nGC_82) - 6d0*coupl(nGC_19 &
                        )*coupl(nGC_833)*coupl(nGC_867) - 6d0*coupl(nGC_20)*   &
                        coupl(nGC_72)*coupl(nGC_833) - 6d0*coupl(nGC_20)*coupl(&
                        nGC_82)*coupl(nGC_867) - 6d0*coupl(nGC_3)*coupl(nGC_72 &
                        )*coupl(nGC_73) - 6d0*coupl(nGC_3)*coupl(nGC_74)*coupl(&
                        nGC_867) + 6d0*coupl(nGC_61)*coupl(nGC_665)*coupl(     &
                        nGC_91) + 6d0*coupl(nGC_61)*coupl(nGC_817)*coupl(nGC_94&
                        ) + 12d0*coupl(nGC_62)*coupl(nGC_72)*coupl(nGC_867) +  &
                        36d0*coupl(nGC_62)*coupl(nGC_833)**2d0 - 12d0*coupl(   &
                        nGC_72)*coupl(nGC_78)*coupl(nGC_867))/(192d0*pi**2d0)
      coupl(nGC_9200) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(     &
                        nGC_135)**2d0 + 80d0*Nc*cima*coupl(nGC_130)*coupl(     &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 20d0*Nc*cima* &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_136)**2d0 +    &
                        20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)**2d0*coupl( &
                        nGC_141) + 80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)* &
                        coupl(nGC_140)*coupl(nGC_141) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)**2d0*coupl(nGC_141) + 20d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_151)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*coupl(   &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_169)*coupl(nGC_173)*coupl(nGC_175)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_175)*coupl&
                        (nGC_176) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*&
                        coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(nGC_177)*coupl&
                        (nGC_180)*coupl(nGC_182)**2d0 + 80d0*Nc*cima*coupl(    &
                        nGC_177)*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_183   &
                        ) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(  &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(     &
                        nGC_195)*coupl(nGC_197)**2d0 + 80d0*Nc*cima*coupl(     &
                        nGC_192)*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_198   &
                        ) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(  &
                        nGC_198)**2d0 - 5d0*cima*coupl(nGC_1243)*coupl(nGC_2391&
                        )*coupl(nGC_867)**2d0 - 10d0*cima*coupl(nGC_1243)*coupl&
                        (nGC_63)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867) - &
                        5d0*cima*coupl(nGC_1331)*coupl(nGC_665)*coupl(nGC_91)* &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_817 &
                        )*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_3011)*coupl(nGC_867)**2d0 - 5d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_867) - 10d0*   &
                        cima*coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_72)*coupl(&
                        nGC_867) + 20d0*cima*coupl(nGC_153)*coupl(nGC_157)*    &
                        coupl(nGC_159)**2d0 + 80d0*cima*coupl(nGC_153)*coupl(  &
                        nGC_157)*coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*    &
                        coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_160)**2d0 +    &
                        20d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_167  &
                        )**2d0 + 80d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(&
                        nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_161)*    &
                        coupl(nGC_165)*coupl(nGC_168)**2d0 + 20d0*cima*coupl(  &
                        nGC_184)*coupl(nGC_188)*coupl(nGC_190)**2d0 + 80d0*cima&
                        *coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_190)*coupl(   &
                        nGC_191) + 20d0*cima*coupl(nGC_184)*coupl(nGC_188)*    &
                        coupl(nGC_191)**2d0 - 10d0*cima*coupl(nGC_2391)*coupl( &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl( &
                        nGC_2391)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) - &
                        5d0*cima*coupl(nGC_3011)*coupl(nGC_68)*coupl(nGC_72)*  &
                        coupl(nGC_867) - 10d0*cima*coupl(nGC_3011)*coupl(nGC_69&
                        )*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_63 &
                        )*coupl(nGC_68)*coupl(nGC_72)**2d0 - 5d0*cima*coupl(   &
                        nGC_64)*coupl(nGC_69)*coupl(nGC_72)**2d0 - 5d0*cima*   &
                        coupl(nGC_665)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0* &
                        cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_91)**2d0  &
                         - 5d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_91 &
                        )*coupl(nGC_92) - 5d0*cima*coupl(nGC_665)*coupl(nGC_817&
                        )*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_817)**2d0*   &
                        coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_817)**&
                        2d0*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_10)*   &
                        coupl(nGC_817)*coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl&
                        (nGC_1331)*coupl(nGC_94) - 3d0*coupl(nGC_101)*coupl(   &
                        nGC_817)*coupl(nGC_91) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_40)*coupl(nGC_72) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_13)*coupl(nGC_665&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_13)*coupl(nGC_817)*    &
                        coupl(nGC_91) + 3d0*coupl(nGC_1331)*coupl(nGC_28)*coupl&
                        (nGC_665) + 3d0*coupl(nGC_1331)*coupl(nGC_37)*coupl(   &
                        nGC_817) + 3d0*coupl(nGC_1485)*coupl(nGC_41)*coupl(    &
                        nGC_72) - 3d0*coupl(nGC_1485)*coupl(nGC_62)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_1485)*coupl(nGC_62)*coupl(     &
                        nGC_64) + 6d0*coupl(nGC_23)*coupl(nGC_72)*coupl(nGC_867&
                        ) + 6d0*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_43   &
                        ) + 3d0*coupl(nGC_2391)*coupl(nGC_48)*coupl(nGC_72) +  &
                        3d0*coupl(nGC_2391)*coupl(nGC_53)*coupl(nGC_68) + 3d0* &
                        coupl(nGC_2391)*coupl(nGC_56)*coupl(nGC_69) + 3d0*coupl&
                        (nGC_25)*coupl(nGC_665)**2d0 + 3d0*coupl(nGC_25)*coupl(&
                        nGC_817)**2d0 + 3d0*coupl(nGC_25)*coupl(nGC_91)**2d0 + &
                        3d0*coupl(nGC_25)*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_28&
                        )*coupl(nGC_91)*coupl(nGC_92) + 3d0*coupl(nGC_29)*coupl&
                        (nGC_817)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_94)**2d0  &
                         + 3d0*coupl(nGC_3011)*coupl(nGC_49)*coupl(nGC_72) +   &
                        3d0*coupl(nGC_3011)*coupl(nGC_53)*coupl(nGC_69) + 3d0* &
                        coupl(nGC_3011)*coupl(nGC_56)*coupl(nGC_68) + 3d0*coupl&
                        (nGC_33)*coupl(nGC_665)*coupl(nGC_817) + 3d0*coupl(    &
                        nGC_33)*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37 &
                        )*coupl(nGC_665)*coupl(nGC_817) + 3d0*coupl(nGC_37)*   &
                        coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl( &
                        nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_39)*coupl(nGC_665&
                        )*coupl(nGC_817) + 3d0*coupl(nGC_39)*coupl(nGC_91)*    &
                        coupl(nGC_94) + 3d0*coupl(nGC_40)*coupl(nGC_69)*coupl( &
                        nGC_867) + 3d0*coupl(nGC_41)*coupl(nGC_68)*coupl(      &
                        nGC_867) + 3d0*coupl(nGC_43)*coupl(nGC_68)**2d0 + 3d0* &
                        coupl(nGC_43)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_47)*  &
                        coupl(nGC_665)*coupl(nGC_92) + 3d0*coupl(nGC_47)*coupl(&
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_48)*coupl(nGC_64&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_49)*coupl(nGC_63)*    &
                        coupl(nGC_867) + 3d0*coupl(nGC_55)*coupl(nGC_665)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_59)*coupl(nGC_817)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_665)*coupl(nGC_9)*coupl(nGC_91 &
                        ))/(96d0*pi**2d0)
      coupl(nGC_14364) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*           &
                         dZeMinusL_QED2 + coupl(nGC_9405)
      coupl(nGC_14363) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZeMinusR_QED2 + coupl(nGC_9406)
      coupl(nGC_9106) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_141)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_177 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_63) + 9d0*cima*coupl(nGC_1103)*coupl( &
                        nGC_63)*coupl(nGC_82)*coupl(nGC_96) + 24d0*cima*coupl( &
                        nGC_14)*coupl(nGC_607) + 4d0*cima*coupl(nGC_1485)**2d0*&
                        coupl(nGC_2391)*coupl(nGC_793) + 4d0*cima*coupl(       &
                        nGC_1485)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_793) + &
                        4d0*cima*coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_4)*   &
                        coupl(nGC_80) + 4d0*cima*coupl(nGC_161)*coupl(nGC_166)*&
                        coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_665)*coupl(nGC_867)*coupl(nGC_975) + 4d0*cima&
                        *coupl(nGC_184)*coupl(nGC_189)*coupl(nGC_4)*coupl(     &
                        nGC_80) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)**2d0&
                        *coupl(nGC_793) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_72&
                        )**2d0*coupl(nGC_793) + 9d0*cima*coupl(nGC_3)*coupl(   &
                        nGC_833)*coupl(nGC_867)*coupl(nGC_91) + 4d0*cima*coupl(&
                        nGC_3011)*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_793) + &
                        24d0*cima*coupl(nGC_5)*coupl(nGC_65) + 36d0*coupl(     &
                        nGC_1103)*coupl(nGC_3)*coupl(nGC_65) - 6d0*coupl(      &
                        nGC_1103)*coupl(nGC_62)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_65)*coupl(nGC_793) + 36d0*coupl(   &
                        nGC_14)*coupl(nGC_3)*coupl(nGC_833) + 6d0*coupl(       &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_70) + 6d0*coupl(   &
                        nGC_1485)*coupl(nGC_66)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_17)*coupl(nGC_5)*coupl(nGC_63) - 6d0*coupl(nGC_18)*&
                        coupl(nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_2391)*coupl(&
                        nGC_3011)*coupl(nGC_65) + 6d0*coupl(nGC_2391)*coupl(   &
                        nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_3)*coupl(nGC_61)*&
                        coupl(nGC_63) + 6d0*coupl(nGC_3011)*coupl(nGC_68)*coupl&
                        (nGC_70) - 6d0*coupl(nGC_607)*coupl(nGC_63)*coupl(     &
                        nGC_96) - 6d0*coupl(nGC_607)*coupl(nGC_867)*coupl(     &
                        nGC_91) - 6d0*coupl(nGC_63)*coupl(nGC_82)*coupl(nGC_97 &
                        ) - 6d0*coupl(nGC_65)*coupl(nGC_833)*coupl(nGC_975) +  &
                        6d0*coupl(nGC_665)*coupl(nGC_73)*coupl(nGC_975) - 6d0* &
                        coupl(nGC_73)*coupl(nGC_833)*coupl(nGC_91))/(192d0*pi**&
                        2d0)
      coupl(nGC_9107) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)*coupl(      &
                        nGC_136)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_140)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)*coupl(     &
                        nGC_176)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_198)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_140)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_176)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_181 &
                        )*coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_3)*coupl( &
                        nGC_793)*coupl(nGC_867) + 9d0*cima*coupl(nGC_1103)*    &
                        coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_82) + 9d0*cima* &
                        coupl(nGC_1103)*coupl(nGC_69)*coupl(nGC_817)*coupl(    &
                        nGC_82) + 4d0*cima*coupl(nGC_1243)**2d0*coupl(nGC_17)* &
                        coupl(nGC_72) + 4d0*cima*coupl(nGC_158)*coupl(nGC_160)*&
                        coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_166)*  &
                        coupl(nGC_168)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*  &
                        coupl(nGC_17)*coupl(nGC_2391)**2d0*coupl(nGC_72) + 4d0*&
                        cima*coupl(nGC_17)*coupl(nGC_72)**3d0 + 4d0*cima*coupl(&
                        nGC_189)*coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_80) +   &
                        24d0*cima*coupl(nGC_20)*coupl(nGC_607) + 9d0*cima*coupl&
                        (nGC_3)*coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_975) + &
                        24d0*cima*coupl(nGC_5)*coupl(nGC_74) + 4d0*cima*coupl( &
                        nGC_64)*coupl(nGC_793)*coupl(nGC_91)*coupl(nGC_96) +   &
                        4d0*cima*coupl(nGC_69)*coupl(nGC_793)*coupl(nGC_94)*   &
                        coupl(nGC_96) - 6d0*coupl(nGC_1103)*coupl(nGC_18)*coupl&
                        (nGC_867) + 36d0*coupl(nGC_1103)*coupl(nGC_20)*coupl(  &
                        nGC_82) + 36d0*coupl(nGC_1103)*coupl(nGC_3)*coupl(     &
                        nGC_74) - 6d0*coupl(nGC_1103)*coupl(nGC_62)*coupl(     &
                        nGC_867) + 6d0*coupl(nGC_1243)*coupl(nGC_70)*coupl(    &
                        nGC_72) - 6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_74  &
                        ) + 6d0*coupl(nGC_2391)*coupl(nGC_65)*coupl(nGC_72) -  &
                        6d0*coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_867) - 6d0*   &
                        coupl(nGC_5)*coupl(nGC_793)*coupl(nGC_867) - 6d0*coupl(&
                        nGC_607)*coupl(nGC_64)*coupl(nGC_665) - 6d0*coupl(     &
                        nGC_607)*coupl(nGC_69)*coupl(nGC_817) - 6d0*coupl(     &
                        nGC_607)*coupl(nGC_867)*coupl(nGC_975) - 6d0*coupl(    &
                        nGC_65)*coupl(nGC_665)*coupl(nGC_82) + 6d0*coupl(nGC_65&
                        )*coupl(nGC_91)*coupl(nGC_96) - 6d0*coupl(nGC_70)*coupl&
                        (nGC_817)*coupl(nGC_82) + 6d0*coupl(nGC_70)*coupl(     &
                        nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_72)**2d0*coupl(  &
                        nGC_74) - 6d0*coupl(nGC_74)*coupl(nGC_82)*coupl(nGC_96 &
                        ) - 6d0*coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_97))/( &
                        192d0*pi**2d0)
      coupl(nGC_9100) = (-24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_141)**2d0 - &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_145)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_169)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_2)**2d0 -   &
                        24d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_2)**2d0 +   &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1243)*coupl(   &
                        nGC_68) + 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_2391 &
                        )*coupl(nGC_63) + 12d0*cima*coupl(nGC_1207)*coupl(     &
                        nGC_61) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(&
                        nGC_793)**2d0 + 4d0*cima*coupl(nGC_1485)*coupl(nGC_17  &
                        )**2d0*coupl(nGC_69) + 9d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_3)**2d0*coupl(nGC_69) - 24d0*cima*coupl(nGC_153)** &
                        2d0*coupl(nGC_4)**2d0 - 24d0*cima*coupl(nGC_161)**2d0* &
                        coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_17)**2d0*coupl( &
                        nGC_3011)*coupl(nGC_64) - 24d0*cima*coupl(nGC_184)**2d0&
                        *coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_2391)*coupl(   &
                        nGC_63)*coupl(nGC_793)**2d0 + 9d0*cima*coupl(nGC_3)**  &
                        2d0*coupl(nGC_3011)*coupl(nGC_64) + 18d0*coupl(nGC_1103&
                        )**2d0*coupl(nGC_61) - 6d0*coupl(nGC_1103)*coupl(      &
                        nGC_1243)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(   &
                        nGC_2391)*coupl(nGC_65) - 6d0*coupl(nGC_1103)*coupl(   &
                        nGC_63)*coupl(nGC_65) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_68)*coupl(nGC_70) - 3d0*coupl(nGC_1207)*coupl(     &
                        nGC_1243)*coupl(nGC_68) - 3d0*coupl(nGC_1207)*coupl(   &
                        nGC_1485)*coupl(nGC_69) - 3d0*coupl(nGC_1207)*coupl(   &
                        nGC_2391)*coupl(nGC_63) - 3d0*coupl(nGC_1207)*coupl(   &
                        nGC_3011)*coupl(nGC_64) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_18)*coupl(nGC_68) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_18)*coupl(nGC_69) - 6d0*coupl(nGC_1485)*coupl(nGC_3&
                        )*coupl(nGC_70) + 3d0*coupl(nGC_18)*coupl(nGC_2391)*   &
                        coupl(nGC_63) + 3d0*coupl(nGC_18)*coupl(nGC_3011)*coupl&
                        (nGC_64) + 18d0*coupl(nGC_3)**2d0*coupl(nGC_61) - 6d0* &
                        coupl(nGC_3)*coupl(nGC_3011)*coupl(nGC_65) - 6d0*coupl(&
                        nGC_3)*coupl(nGC_64)*coupl(nGC_65) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_69)*coupl(nGC_70))/(96d0*pi**2d0)
      coupl(nGC_9101) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)**2d0*coupl(  &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)**2d0&
                        *coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_138)**2d0*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_138)**2d0*coupl(nGC_88) - 16d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_150)**2d0*coupl(nGC_84) + 10d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_150)**2d0*coupl(nGC_88  &
                        ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)**2d0*coupl&
                        (nGC_84) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)**  &
                        2d0*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_1)*coupl(   &
                        nGC_181)**2d0*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_181)**2d0*coupl(nGC_87) + 10d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_196)**2d0*coupl(nGC_85) - 16d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_196)**2d0*coupl(nGC_87  &
                        ) - 16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_2)*coupl&
                        (nGC_85) + 10d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_2&
                        )*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_138)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_138&
                        )**2d0*coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(&
                        nGC_150)**2d0*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima&
                        *coupl(nGC_150)**2d0*coupl(nGC_2)*coupl(nGC_88) + 10d0*&
                        Nc*cima*coupl(nGC_174)**2d0*coupl(nGC_2)*coupl(nGC_84  &
                        ) - 16d0*Nc*cima*coupl(nGC_174)**2d0*coupl(nGC_2)*coupl&
                        (nGC_88) - 16d0*Nc*cima*coupl(nGC_181)**2d0*coupl(nGC_2&
                        )*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_181)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_196&
                        )**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(&
                        nGC_196)**2d0*coupl(nGC_2)*coupl(nGC_87) + 9d0*cima*   &
                        coupl(nGC_1243)*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_82&
                        ) - 16d0*cima*coupl(nGC_158)**2d0*coupl(nGC_4)*coupl(  &
                        nGC_86) + 10d0*cima*coupl(nGC_158)**2d0*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_166)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_166)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_90) + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_793)**2d0*coupl(nGC_96) + 4d0*cima*coupl(    &
                        nGC_17)*coupl(nGC_96)*coupl(nGC_975)**2d0 - 16d0*cima* &
                        coupl(nGC_189)**2d0*coupl(nGC_4)*coupl(nGC_86) + 10d0* &
                        cima*coupl(nGC_189)**2d0*coupl(nGC_4)*coupl(nGC_90) +  &
                        9d0*cima*coupl(nGC_2391)*coupl(nGC_3)*coupl(nGC_63)*   &
                        coupl(nGC_82) + 9d0*cima*coupl(nGC_3)*coupl(nGC_72)*   &
                        coupl(nGC_82)*coupl(nGC_867) + 12d0*cima*coupl(nGC_62)*&
                        coupl(nGC_83) + 18d0*coupl(nGC_1103)*coupl(nGC_62)*    &
                        coupl(nGC_833) - 3d0*coupl(nGC_1243)*coupl(nGC_16)*    &
                        coupl(nGC_3) - 3d0*coupl(nGC_1243)*coupl(nGC_68)*coupl(&
                        nGC_83) - 3d0*coupl(nGC_1243)*coupl(nGC_70)*coupl(     &
                        nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_2391)*coupl(nGC_3&
                        ) - 3d0*coupl(nGC_14)*coupl(nGC_3)*coupl(nGC_63) - 3d0*&
                        coupl(nGC_1485)*coupl(nGC_70)*coupl(nGC_833) - 3d0*    &
                        coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_68) - 3d0*coupl(  &
                        nGC_19)*coupl(nGC_3)*coupl(nGC_72) - 3d0*coupl(nGC_20)*&
                        coupl(nGC_3)*coupl(nGC_867) - 3d0*coupl(nGC_2391)*coupl&
                        (nGC_63)*coupl(nGC_83) - 3d0*coupl(nGC_2391)*coupl(    &
                        nGC_65)*coupl(nGC_82) + 18d0*coupl(nGC_3)*coupl(nGC_62 &
                        )*coupl(nGC_82) - 3d0*coupl(nGC_3011)*coupl(nGC_65)*   &
                        coupl(nGC_833) - 3d0*coupl(nGC_72)*coupl(nGC_73)*coupl(&
                        nGC_82) - 3d0*coupl(nGC_72)*coupl(nGC_74)*coupl(nGC_833&
                        ) - 3d0*coupl(nGC_72)*coupl(nGC_83)*coupl(nGC_867) +   &
                        3d0*coupl(nGC_793)**2d0*coupl(nGC_97) + 3d0*coupl(     &
                        nGC_97)*coupl(nGC_975)**2d0)/(96d0*pi**2d0)
      coupl(nGC_14567) = coupl(nGC_9638) + coupl(nGC_MHH)*dZHh_QED2 + coupl(   &
                         nGC_TS_GC_103_Hl) + coupl(nGC_TS_GC_105_Hh)
      coupl(nGC_8849) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_181) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_181)*coupl(nGC_2) + coupl(nGC_1243)*  &
                        coupl(nGC_180)*coupl(nGC_80) - coupl(nGC_137)*coupl(   &
                        nGC_138)*coupl(nGC_180) - coupl(nGC_138)*coupl(nGC_140 &
                        )*coupl(nGC_182) - coupl(nGC_138)*coupl(nGC_141)*coupl(&
                        nGC_177) - coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_2019&
                        ) + coupl(nGC_177)*coupl(nGC_2391)*coupl(nGC_80) +     &
                        coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_793) + 8d0*coupl(&
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_181)* &
                        coupl(nGC_85)*coupl(nGC_975) + coupl(nGC_181)*coupl(   &
                        nGC_87)*coupl(nGC_96) + coupl(nGC_182)*coupl(nGC_72)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8858) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)**2d0 + 16d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_140) +  &
                        4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_140)**2d0 + 4d0*Nc*&
                        cMC*coupl(nGC_133)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_149)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_173)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_173)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_173)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_180)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_180)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_180)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_195)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_195)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_195)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_157)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_157)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_157)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_165)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_165)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_165)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_188)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_188)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_129) + 4d0*cima*coupl(   &
                        nGC_125)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_665)*&
                        coupl(nGC_94) + coupl(nGC_103)*coupl(nGC_817)*coupl(   &
                        nGC_91) + coupl(nGC_105)*coupl(nGC_817)*coupl(nGC_94   &
                        ) + coupl(nGC_106)*coupl(nGC_665)*coupl(nGC_91) + coupl&
                        (nGC_109)*coupl(nGC_665)*coupl(nGC_817) + coupl(nGC_109&
                        )*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_112)*coupl(  &
                        nGC_1331)*coupl(nGC_817) + coupl(nGC_112)*coupl(nGC_92 &
                        )*coupl(nGC_94) + coupl(nGC_114)*coupl(nGC_2391)*coupl(&
                        nGC_72) + coupl(nGC_114)*coupl(nGC_64)*coupl(nGC_867   &
                        ) + coupl(nGC_115)*coupl(nGC_3011)*coupl(nGC_72) +     &
                        coupl(nGC_115)*coupl(nGC_63)*coupl(nGC_867) + 2d0*coupl&
                        (nGC_116)*coupl(nGC_72)*coupl(nGC_867) + coupl(nGC_117 &
                        )*coupl(nGC_817)**2d0 + coupl(nGC_117)*coupl(nGC_94)** &
                        2d0 + coupl(nGC_120)*coupl(nGC_1331)*coupl(nGC_665) +  &
                        coupl(nGC_120)*coupl(nGC_91)*coupl(nGC_92) - 2d0*coupl(&
                        nGC_125)*coupl(nGC_72)*coupl(nGC_867) - coupl(nGC_129)*&
                        coupl(nGC_665)*coupl(nGC_91) - coupl(nGC_129)*coupl(   &
                        nGC_817)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_14213) = coupl(nGC_14205) + coupl(nGC_14212)
      coupl(nGC_8853) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_196) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_196)*coupl(nGC_2) - coupl(nGC_1191)*  &
                        coupl(nGC_148)*coupl(nGC_150) + coupl(nGC_1243)*coupl( &
                        nGC_195)*coupl(nGC_80) - coupl(nGC_145)*coupl(nGC_150)*&
                        coupl(nGC_192) - coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_195) - coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_197 &
                        ) + coupl(nGC_192)*coupl(nGC_2391)*coupl(nGC_80) +     &
                        coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_793) + 8d0*coupl(&
                        nGC_196)*coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_196)* &
                        coupl(nGC_85)*coupl(nGC_975) + coupl(nGC_196)*coupl(   &
                        nGC_87)*coupl(nGC_96) + coupl(nGC_197)*coupl(nGC_72)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_13530) = coupl(nGC_13526) + coupl(nGC_13528)
      coupl(nGC_13240) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*dZZ_QED2&
                          + coupl(nGC_9391) + coupl(nGC_97)*dZAZ_QED2
      coupl(nGC_8856) = (-coupl(nGC_1243)*coupl(nGC_188)*coupl(nGC_80) - coupl(&
                        nGC_184)*coupl(nGC_2391)*coupl(nGC_80) - coupl(nGC_189 &
                        )*coupl(nGC_4)*coupl(nGC_793) + 8d0*coupl(nGC_189)*    &
                        coupl(nGC_86)*coupl(nGC_90) - coupl(nGC_189)*coupl(    &
                        nGC_86)*coupl(nGC_975) - coupl(nGC_189)*coupl(nGC_90)* &
                        coupl(nGC_96) - coupl(nGC_190)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_12838) = coupl(nGC_22)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_23)*&
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_24)*dZHlHh_QED2/  &
                         2d0 + coupl(nGC_27)*dZHhHl_QED2/2d0 + coupl(nGC_36)*  &
                         dZHMinus_QED2/2d0 + coupl(nGC_36)*dZHh_QED2/2d0 +     &
                         coupl(nGC_36)*dZHl_QED2/2d0 + coupl(nGC_9319)
      coupl(nGC_12932) = coupl(nGC_162)*dZHMinus_QED2/2d0 + coupl(nGC_162)*    &
                         dZmuMinusR_QED2/2d0 + coupl(nGC_162)*dZnu_muL_QED2/2d0&
                          + coupl(nGC_166)*dZGMinusHMinus_QED2/2d0 + coupl(    &
                         nGC_9471)
      coupl(nGC_12757) = coupl(nGC_45)*dZHMinus_QED2/2d0 + coupl(nGC_54)*      &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_57)*              &
                         dZHMinusGMinus_QED2 + coupl(nGC_60)*                  &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_9336)
      coupl(nGC_17061) = -coupl(nGC_17060)
      coupl(nGC_15663) = coupl(nGC_164)*dZHaG0_QED2/2d0 + coupl(nGC_168)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_168)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_9475)
      coupl(nGC_15662) = coupl(nGC_163)*dZHaG0_QED2/2d0 + coupl(nGC_167)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_167)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_9476)
      coupl(nGC_13285) = coupl(nGC_42)*dZHMinusGMinus_QED2 + coupl(nGC_43)*    &
                         dZG0Ha_QED2 + coupl(nGC_56)*dZHa_QED2 + coupl(nGC_9309&
                         )
      coupl(nGC_12686) = coupl(nGC_22)*dZHMinus_QED2 + coupl(nGC_22)*dZHh_QED2/&
                         2d0 + coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_30)*    &
                         dZHlHh_QED2/2d0 + coupl(nGC_34)*dZHhHl_QED2/2d0 +     &
                         coupl(nGC_36)*dZGMinusHMinus_QED2 + coupl(nGC_9327)
      coupl(nGC_12680) = coupl(nGC_185)*dZHMinus_QED2/2d0 + coupl(nGC_185)*    &
                         dZnu_tauL_QED2/2d0 + coupl(nGC_185)*dZtauMinusR_QED2/ &
                         2d0 + coupl(nGC_189)*dZGMinusHMinus_QED2/2d0 + coupl( &
                         nGC_9472)
      coupl(nGC_8918) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1103)*coupl(nGC_793)*coupl(nGC_867) - 6d0&
                        *coupl(nGC_1331)*coupl(nGC_2391)*coupl(nGC_82) - 6d0*  &
                        coupl(nGC_1485)*coupl(nGC_817)*coupl(nGC_82) + coupl(  &
                        nGC_1485)*coupl(nGC_94)*coupl(nGC_96) + 4d0*coupl(     &
                        nGC_154)*coupl(nGC_156)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_162)*coupl(nGC_164)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_185)*coupl(nGC_187)*coupl(nGC_80) + coupl(nGC_2391 &
                        )*coupl(nGC_92)*coupl(nGC_96) + coupl(nGC_64)**2d0*    &
                        coupl(nGC_72) + coupl(nGC_68)**2d0*coupl(nGC_72) +     &
                        coupl(nGC_72)**3d0 - 6d0*coupl(nGC_833)*coupl(nGC_867)*&
                        coupl(nGC_975))/(96d0*pi**2d0)
      coupl(nGC_8919) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1103)*coupl(nGC_2391)*coupl(nGC_793) +   &
                        coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_64) + coupl( &
                        nGC_1331)*coupl(nGC_867)*coupl(nGC_96) + coupl(nGC_1485&
                        )*coupl(nGC_2391)*coupl(nGC_68) + 4d0*coupl(nGC_154)*  &
                        coupl(nGC_157)*coupl(nGC_80) + 4d0*coupl(nGC_162)*coupl&
                        (nGC_165)*coupl(nGC_80) + 4d0*coupl(nGC_185)*coupl(    &
                        nGC_188)*coupl(nGC_80) - 6d0*coupl(nGC_2391)*coupl(    &
                        nGC_833)*coupl(nGC_975) + coupl(nGC_63)*coupl(nGC_64)**&
                        2d0 + coupl(nGC_63)*coupl(nGC_68)**2d0 + coupl(nGC_63)*&
                        coupl(nGC_72)**2d0 - 6d0*coupl(nGC_82)*coupl(nGC_867)* &
                        coupl(nGC_92))/(96d0*pi**2d0)
      coupl(nGC_9243) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_80)**2d0 &
                         + 12d0*cima*coupl(nGC_1047)*coupl(nGC_99) + 9d0*cima* &
                        coupl(nGC_1103)**2d0*coupl(nGC_1485)*coupl(nGC_69) +   &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_2391)*coupl(   &
                        nGC_63) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*    &
                        coupl(nGC_2391)**2d0 + 8d0*cima*coupl(nGC_1243)*coupl( &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_3011) + 4d0*cima*  &
                        coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_3011)**2d0 + &
                        8d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_68)*&
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_2391&
                        )*coupl(nGC_63)*coupl(nGC_68) + 9d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_3)**2d0*coupl(nGC_68) + 4d0*cima*coupl(    &
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_68   &
                        ) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_72&
                        )*coupl(nGC_867) + 9d0*cima*coupl(nGC_1243)*coupl(     &
                        nGC_68)*coupl(nGC_82)**2d0 + 8d0*cima*coupl(nGC_1331)* &
                        coupl(nGC_72)*coupl(nGC_867)*coupl(nGC_92) + 9d0*cima* &
                        coupl(nGC_1331)*coupl(nGC_82)**2d0*coupl(nGC_92) + 9d0*&
                        cima*coupl(nGC_1331)*coupl(nGC_833)**2d0*coupl(nGC_92  &
                        ) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(    &
                        nGC_63)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_69) + 4d0*cima*coupl(&
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) + &
                        9d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_833)**&
                        2d0 - 32d0*cima*coupl(nGC_157)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*cima*coupl(nGC_165)**2d0*coupl(nGC_80)**2d0 -  &
                        32d0*cima*coupl(nGC_188)**2d0*coupl(nGC_80)**2d0 + 8d0*&
                        cima*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_63)*    &
                        coupl(nGC_64) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_63)*&
                        coupl(nGC_72)*coupl(nGC_867) + 9d0*cima*coupl(nGC_2391 &
                        )*coupl(nGC_63)*coupl(nGC_833)**2d0 + 9d0*cima*coupl(  &
                        nGC_3)**2d0*coupl(nGC_3011)*coupl(nGC_64) + 4d0*cima*  &
                        coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_72)*coupl(     &
                        nGC_867) + 9d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl&
                        (nGC_82)**2d0 + 24d0*cima*coupl(nGC_61)*coupl(nGC_78   &
                        ) + 4d0*cima*coupl(nGC_63)**2d0*coupl(nGC_68)*coupl(   &
                        nGC_69) + 8d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(  &
                        nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_64)**2d0*   &
                        coupl(nGC_68)*coupl(nGC_69) + 8d0*cima*coupl(nGC_72)*  &
                        coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_94) + 9d0*cima*&
                        coupl(nGC_817)*coupl(nGC_82)**2d0*coupl(nGC_94) + 9d0* &
                        cima*coupl(nGC_817)*coupl(nGC_833)**2d0*coupl(nGC_94   &
                        ) - 6d0*coupl(nGC_1047)*coupl(nGC_1331)*coupl(nGC_92   &
                        ) - 6d0*coupl(nGC_1047)*coupl(nGC_817)*coupl(nGC_94) + &
                        36d0*coupl(nGC_1103)**2d0*coupl(nGC_61) - 6d0*coupl(   &
                        nGC_1103)*coupl(nGC_1485)*coupl(nGC_70) - 6d0*coupl(   &
                        nGC_1103)*coupl(nGC_2391)*coupl(nGC_66) - 6d0*coupl(   &
                        nGC_1103)*coupl(nGC_63)*coupl(nGC_66) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_69)*coupl(nGC_70) - 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_16)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_3)*coupl(nGC_70) + 6d0*coupl(      &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_78) + 6d0*coupl(     &
                        nGC_1331)*coupl(nGC_62)*coupl(nGC_92) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_16)*coupl(nGC_833) + 6d0*coupl(    &
                        nGC_1485)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_78) - 6d0*coupl(     &
                        nGC_15)*coupl(nGC_2391)*coupl(nGC_833) - 6d0*coupl(    &
                        nGC_15)*coupl(nGC_3011)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_15)*coupl(nGC_63)*coupl(nGC_833) - 6d0*coupl(nGC_15&
                        )*coupl(nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl&
                        (nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_69&
                        )*coupl(nGC_833) + 6d0*coupl(nGC_2391)*coupl(nGC_62)*  &
                        coupl(nGC_63) - 6d0*coupl(nGC_2391)*coupl(nGC_63)*coupl&
                        (nGC_78) - 6d0*coupl(nGC_3)*coupl(nGC_3011)*coupl(     &
                        nGC_66) - 6d0*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_66  &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_70) + 6d0*&
                        coupl(nGC_3011)*coupl(nGC_62)*coupl(nGC_64) - 6d0*coupl&
                        (nGC_3011)*coupl(nGC_64)*coupl(nGC_78) + 36d0*coupl(   &
                        nGC_61)*coupl(nGC_833)**2d0 + 6d0*coupl(nGC_62)*coupl( &
                        nGC_817)*coupl(nGC_94) + 36d0*coupl(nGC_82)**2d0*coupl(&
                        nGC_99))/(192d0*pi**2d0)
      coupl(nGC_13903) = coupl(nGC_170)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_174&
                         )*dZcL_QED2/2d0 + coupl(nGC_174)*dZsR_QED2/2d0 + coupl&
                         (nGC_9414)
      coupl(nGC_13901) = coupl(nGC_174)*dZcL_QCD2/2d0 + coupl(nGC_174)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9413)
      coupl(nGC_9247) = (40d0*Nc*cima*coupl(nGC_130)**3d0*coupl(nGC_133) + 40d0&
                        *Nc*cima*coupl(nGC_137)*coupl(nGC_141)**3d0 + 40d0*Nc* &
                        cima*coupl(nGC_145)**3d0*coupl(nGC_149) + 40d0*Nc*cima*&
                        coupl(nGC_169)**3d0*coupl(nGC_173) + 40d0*Nc*cima*coupl&
                        (nGC_177)**3d0*coupl(nGC_180) + 40d0*Nc*cima*coupl(    &
                        nGC_192)**3d0*coupl(nGC_195) - 5d0*cima*coupl(nGC_1243 &
                        )**2d0*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(   &
                        nGC_1243)**2d0*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima* &
                        coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_63)**2d0 -   &
                        5d0*cima*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_63)*&
                        coupl(nGC_64) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_2391&
                        )*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_1243)*coupl( &
                        nGC_3011)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_1331 &
                        )*coupl(nGC_665)*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima&
                        *coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_94)**2d0 -   &
                        5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_63)*coupl(     &
                        nGC_69) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_64)* &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_2391&
                        )*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_3011)*coupl(nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(&
                        nGC_1485)*coupl(nGC_3011)*coupl(nGC_64)**2d0 - 5d0*cima&
                        *coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_69)**2d0 +  &
                        40d0*cima*coupl(nGC_153)**3d0*coupl(nGC_157) + 40d0*   &
                        cima*coupl(nGC_161)**3d0*coupl(nGC_165) + 40d0*cima*   &
                        coupl(nGC_184)**3d0*coupl(nGC_188) - 5d0*cima*coupl(   &
                        nGC_2391)**2d0*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima* &
                        coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_63)*coupl(   &
                        nGC_68) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*    &
                        coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_3011  &
                        )**2d0*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(   &
                        nGC_665)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*  &
                        coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_91)**2d0 - 5d0*&
                        cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_91)*coupl(&
                        nGC_92) - 5d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl(&
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_817)**2d0*coupl(     &
                        nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_817)**2d0*  &
                        coupl(nGC_92)*coupl(nGC_94) + 2d0*coupl(nGC_1243)**2d0*&
                        coupl(nGC_24) + 3d0*coupl(nGC_1243)*coupl(nGC_22)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_1243)*coupl(nGC_2391)*coupl(  &
                        nGC_36) + 2d0*coupl(nGC_1243)*coupl(nGC_30)*coupl(     &
                        nGC_64) + 2d0*coupl(nGC_1243)*coupl(nGC_35)*coupl(     &
                        nGC_63) - coupl(nGC_1243)*coupl(nGC_61)*coupl(nGC_63   &
                        ) - coupl(nGC_1243)*coupl(nGC_61)*coupl(nGC_64) + 2d0* &
                        coupl(nGC_1331)*coupl(nGC_28)*coupl(nGC_91) + 2d0*coupl&
                        (nGC_1331)*coupl(nGC_31)*coupl(nGC_94) - coupl(nGC_1331&
                        )*coupl(nGC_94)*coupl(nGC_99) + 2d0*coupl(nGC_1485)**  &
                        2d0*coupl(nGC_24) + 3d0*coupl(nGC_1485)*coupl(nGC_22)* &
                        coupl(nGC_69) + 2d0*coupl(nGC_1485)*coupl(nGC_30)*coupl&
                        (nGC_63) + 3d0*coupl(nGC_1485)*coupl(nGC_3011)*coupl(  &
                        nGC_36) + 2d0*coupl(nGC_1485)*coupl(nGC_35)*coupl(     &
                        nGC_64) - coupl(nGC_1485)*coupl(nGC_61)*coupl(nGC_63   &
                        ) - coupl(nGC_1485)*coupl(nGC_61)*coupl(nGC_64) + 3d0* &
                        coupl(nGC_23)*coupl(nGC_2391)*coupl(nGC_63) + 3d0*coupl&
                        (nGC_23)*coupl(nGC_3011)*coupl(nGC_64) + 2d0*coupl(    &
                        nGC_2391)*coupl(nGC_24)*coupl(nGC_3011) + coupl(       &
                        nGC_2391)*coupl(nGC_30)*coupl(nGC_69) + coupl(nGC_2391 &
                        )*coupl(nGC_35)*coupl(nGC_68) - 2d0*coupl(nGC_2391)*   &
                        coupl(nGC_61)*coupl(nGC_68) - 2d0*coupl(nGC_2391)*coupl&
                        (nGC_61)*coupl(nGC_69) + 4d0*coupl(nGC_24)*coupl(nGC_63&
                        )*coupl(nGC_64) + coupl(nGC_24)*coupl(nGC_68)**2d0 +   &
                        coupl(nGC_24)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_25)*  &
                        coupl(nGC_665)*coupl(nGC_91) + 3d0*coupl(nGC_26)*coupl(&
                        nGC_817)*coupl(nGC_94) + coupl(nGC_28)*coupl(nGC_665)* &
                        coupl(nGC_92) + 3d0*coupl(nGC_28)*coupl(nGC_817)*coupl(&
                        nGC_94) + coupl(nGC_30)*coupl(nGC_3011)*coupl(nGC_68   &
                        ) + coupl(nGC_3011)*coupl(nGC_35)*coupl(nGC_69) - 2d0* &
                        coupl(nGC_3011)*coupl(nGC_61)*coupl(nGC_68) - 2d0*coupl&
                        (nGC_3011)*coupl(nGC_61)*coupl(nGC_69) + coupl(nGC_31)*&
                        coupl(nGC_817)*coupl(nGC_92) + 3d0*coupl(nGC_36)*coupl(&
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_36)*coupl(nGC_64 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_37)*coupl(nGC_665)*    &
                        coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl(nGC_817)*coupl(&
                        nGC_91) + coupl(nGC_39)*coupl(nGC_665)*coupl(nGC_94) + &
                        2d0*coupl(nGC_39)*coupl(nGC_817)*coupl(nGC_91) - 2d0*  &
                        coupl(nGC_665)*coupl(nGC_94)*coupl(nGC_99) - coupl(    &
                        nGC_817)*coupl(nGC_91)*coupl(nGC_99) - 2d0*coupl(      &
                        nGC_817)*coupl(nGC_92)*coupl(nGC_99))/(32d0*pi**2d0)
      coupl(nGC_9246) = (-32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_85)*coupl&
                        (nGC_88) - 32d0*Nc*cima*coupl(nGC_133)**2d0*coupl(     &
                        nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                        nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_137)**2d0*coupl( &
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_137)**  &
                        2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_149)** &
                        2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_149)** &
                        2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(  &
                        nGC_149)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_173)**2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl( &
                        nGC_173)**2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*   &
                        cima*coupl(nGC_173)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc* &
                        cima*coupl(nGC_180)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_180)**2d0*coupl(nGC_85)*coupl(nGC_88) - &
                        32d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_88)**2d0 -  &
                        32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_85)**2d0 +  &
                        40d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_88) - 32d0*Nc*cima*coupl(nGC_195)**2d0*coupl(nGC_88&
                        )**2d0 + 12d0*cima*coupl(nGC_1047)*coupl(nGC_61) + 9d0*&
                        cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_833)**2d0 &
                         + 4d0*cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_975&
                        )**2d0 + 4d0*cima*coupl(nGC_1331)**2d0*coupl(nGC_92)** &
                        2d0 + 4d0*cima*coupl(nGC_1331)**2d0*coupl(nGC_94)**2d0 &
                         + 4d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_91&
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1331)*coupl(      &
                        nGC_817)*coupl(nGC_92)*coupl(nGC_94) + 9d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima* &
                        coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_96)**2d0 - 32d0&
                        *cima*coupl(nGC_157)**2d0*coupl(nGC_86)**2d0 + 40d0*   &
                        cima*coupl(nGC_157)**2d0*coupl(nGC_86)*coupl(nGC_89) - &
                        32d0*cima*coupl(nGC_157)**2d0*coupl(nGC_89)**2d0 - 32d0&
                        *cima*coupl(nGC_165)**2d0*coupl(nGC_86)**2d0 + 40d0*   &
                        cima*coupl(nGC_165)**2d0*coupl(nGC_86)*coupl(nGC_89) - &
                        32d0*cima*coupl(nGC_165)**2d0*coupl(nGC_89)**2d0 - 32d0&
                        *cima*coupl(nGC_188)**2d0*coupl(nGC_86)**2d0 + 40d0*   &
                        cima*coupl(nGC_188)**2d0*coupl(nGC_86)*coupl(nGC_89) - &
                        32d0*cima*coupl(nGC_188)**2d0*coupl(nGC_89)**2d0 + 9d0*&
                        cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_82)**2d0  &
                         + 4d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_96 &
                        )**2d0 + 9d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl( &
                        nGC_833)**2d0 + 4d0*cima*coupl(nGC_3011)*coupl(nGC_64)*&
                        coupl(nGC_975)**2d0 + 4d0*cima*coupl(nGC_665)*coupl(   &
                        nGC_817)*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl( &
                        nGC_665)*coupl(nGC_817)*coupl(nGC_92)*coupl(nGC_94) +  &
                        4d0*cima*coupl(nGC_817)**2d0*coupl(nGC_92)**2d0 + 4d0* &
                        cima*coupl(nGC_817)**2d0*coupl(nGC_94)**2d0 + 3d0*coupl&
                        (nGC_100)*coupl(nGC_1243)*coupl(nGC_68) + 3d0*coupl(   &
                        nGC_100)*coupl(nGC_1485)*coupl(nGC_69) + 3d0*coupl(    &
                        nGC_100)*coupl(nGC_2391)*coupl(nGC_63) + 3d0*coupl(    &
                        nGC_100)*coupl(nGC_3011)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_101)*coupl(nGC_1331)*coupl(nGC_92) + 3d0*coupl(    &
                        nGC_101)*coupl(nGC_817)*coupl(nGC_94) - 3d0*coupl(     &
                        nGC_1047)*coupl(nGC_1243)*coupl(nGC_68) - 3d0*coupl(   &
                        nGC_1047)*coupl(nGC_1485)*coupl(nGC_69) - 3d0*coupl(   &
                        nGC_1047)*coupl(nGC_2391)*coupl(nGC_63) - 3d0*coupl(   &
                        nGC_1047)*coupl(nGC_3011)*coupl(nGC_64) - 6d0*coupl(   &
                        nGC_1243)*coupl(nGC_16)*coupl(nGC_833) - 6d0*coupl(    &
                        nGC_1485)*coupl(nGC_16)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_15)*coupl(nGC_2391)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_15)*coupl(nGC_3011)*coupl(nGC_833) - 6d0*coupl(    &
                        nGC_15)*coupl(nGC_63)*coupl(nGC_82) - 6d0*coupl(nGC_15 &
                        )*coupl(nGC_64)*coupl(nGC_833) - 6d0*coupl(nGC_16)*    &
                        coupl(nGC_68)*coupl(nGC_833) - 6d0*coupl(nGC_16)*coupl(&
                        nGC_69)*coupl(nGC_82) + 18d0*coupl(nGC_61)*coupl(nGC_82&
                        )**2d0 + 18d0*coupl(nGC_61)*coupl(nGC_833)**2d0)/(96d0*&
                        pi**2d0)
      coupl(nGC_14624) = coupl(nGC_81)*dZWMinus_QED2/2d0 + coupl(nGC_9526)
      coupl(nGC_14625) = -coupl(nGC_14624)
      coupl(nGC_21095) = coupl(nGC_12979) + coupl(nGC_21092)
    end subroutine fill_CTcouplings_mdl29
end module fill_ctcouplings29
