!******************************************************************************!
!                                                                              !
!    fill_ctcouplings32.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings32.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings32
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl32()
      coupl(nGC_9211) = (-16d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_198)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_132)*coupl(      &
                        nGC_135)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_136)*coupl(nGC_695)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_139)*coupl(nGC_143)*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_147)*coupl(      &
                        nGC_152)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_148)*coupl(nGC_151)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_171)*coupl(nGC_176)*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_175)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_179)*coupl(      &
                        nGC_182)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_183)*coupl(nGC_2019)*coupl(nGC_80)**2d0 - 16d0*Nc* &
                        cima*coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_80)**2d0  &
                         + 4d0*cima*coupl(nGC_1243)*coupl(nGC_63)*coupl(nGC_817&
                        )*coupl(nGC_94) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_64&
                        )*coupl(nGC_817)*coupl(nGC_94) + 4d0*cima*coupl(       &
                        nGC_1243)*coupl(nGC_665)*coupl(nGC_68)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_817)* &
                        coupl(nGC_92) + 9d0*cima*coupl(nGC_1331)*coupl(nGC_82  &
                        )**2d0*coupl(nGC_94) + 9d0*cima*coupl(nGC_1331)*coupl( &
                        nGC_833)**2d0*coupl(nGC_94) + 4d0*cima*coupl(nGC_1485)*&
                        coupl(nGC_63)*coupl(nGC_817)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_817)*coupl(    &
                        nGC_94) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_665)*coupl&
                        (nGC_69)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_69)*coupl(nGC_817)*coupl(nGC_92) - 16d0*cima*coupl&
                        (nGC_155)*coupl(nGC_160)*coupl(nGC_80)**2d0 - 16d0*cima&
                        *coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_80)**2d0 -    &
                        16d0*cima*coupl(nGC_163)*coupl(nGC_168)*coupl(nGC_80)**&
                        2d0 - 16d0*cima*coupl(nGC_164)*coupl(nGC_167)*coupl(   &
                        nGC_80)**2d0 - 16d0*cima*coupl(nGC_186)*coupl(nGC_191)*&
                        coupl(nGC_80)**2d0 - 16d0*cima*coupl(nGC_187)*coupl(   &
                        nGC_190)*coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_2391)*&
                        coupl(nGC_63)*coupl(nGC_665)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_817)*coupl(    &
                        nGC_92) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_665)*coupl&
                        (nGC_68)*coupl(nGC_92) + 4d0*cima*coupl(nGC_2391)*coupl&
                        (nGC_665)*coupl(nGC_69)*coupl(nGC_92) + 4d0*cima*coupl(&
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_817)* &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_665 &
                        )*coupl(nGC_68)*coupl(nGC_92) + 4d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_665)*coupl(nGC_69)*coupl(nGC_92) + 4d0*cima&
                        *coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(      &
                        nGC_867) + 4d0*cima*coupl(nGC_63)*coupl(nGC_69)*coupl( &
                        nGC_72)*coupl(nGC_867) + 4d0*cima*coupl(nGC_64)*coupl( &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_867) + 4d0*cima*coupl( &
                        nGC_64)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) +   &
                        9d0*cima*coupl(nGC_817)*coupl(nGC_82)**2d0*coupl(nGC_91&
                        ) + 9d0*cima*coupl(nGC_817)*coupl(nGC_833)**2d0*coupl( &
                        nGC_91) - 6d0*coupl(nGC_1047)*coupl(nGC_1331)*coupl(   &
                        nGC_94) - 6d0*coupl(nGC_1047)*coupl(nGC_817)*coupl(    &
                        nGC_91) + 6d0*coupl(nGC_61)*coupl(nGC_665)*coupl(nGC_94&
                        ) + 6d0*coupl(nGC_61)*coupl(nGC_817)*coupl(nGC_92))/(  &
                        192d0*pi**2d0)
      coupl(nGC_9212) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_192)**2d0*coupl&
                        (nGC_197) + 40d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_192 &
                        )**2d0*coupl(nGC_198) + 40d0*Nc*cima*coupl(nGC_130)**  &
                        2d0*coupl(nGC_132)*coupl(nGC_135) + 20d0*Nc*cima*coupl(&
                        nGC_130)**2d0*coupl(nGC_132)*coupl(nGC_136) + 20d0*Nc* &
                        cima*coupl(nGC_130)**2d0*coupl(nGC_135)*coupl(nGC_695  &
                        ) + 40d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_136)*   &
                        coupl(nGC_695) + 40d0*Nc*cima*coupl(nGC_139)*coupl(    &
                        nGC_141)**2d0*coupl(nGC_143) + 20d0*Nc*cima*coupl(     &
                        nGC_139)*coupl(nGC_141)**2d0*coupl(nGC_144) + 20d0*Nc* &
                        cima*coupl(nGC_140)*coupl(nGC_141)**2d0*coupl(nGC_143  &
                        ) + 40d0*Nc*cima*coupl(nGC_140)*coupl(nGC_141)**2d0*   &
                        coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl&
                        (nGC_147)*coupl(nGC_151) + 40d0*Nc*cima*coupl(nGC_145  &
                        )**2d0*coupl(nGC_147)*coupl(nGC_152) + 40d0*Nc*cima*   &
                        coupl(nGC_145)**2d0*coupl(nGC_148)*coupl(nGC_151) +    &
                        20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_148)*coupl( &
                        nGC_152) + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(     &
                        nGC_171)*coupl(nGC_175) + 40d0*Nc*cima*coupl(nGC_169)**&
                        2d0*coupl(nGC_171)*coupl(nGC_176) + 40d0*Nc*cima*coupl(&
                        nGC_169)**2d0*coupl(nGC_172)*coupl(nGC_175) + 20d0*Nc* &
                        cima*coupl(nGC_169)**2d0*coupl(nGC_172)*coupl(nGC_176  &
                        ) + 40d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_179)*   &
                        coupl(nGC_182) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl&
                        (nGC_179)*coupl(nGC_183) + 20d0*Nc*cima*coupl(nGC_177  &
                        )**2d0*coupl(nGC_182)*coupl(nGC_2019) + 40d0*Nc*cima*  &
                        coupl(nGC_177)**2d0*coupl(nGC_183)*coupl(nGC_2019) +   &
                        40d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_194)*coupl( &
                        nGC_197) + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(     &
                        nGC_194)*coupl(nGC_198) - 10d0*cima*coupl(nGC_1243)*   &
                        coupl(nGC_2391)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_63)*coupl(nGC_72)**2d0 -    &
                        10d0*cima*coupl(nGC_1331)*coupl(nGC_665)*coupl(nGC_91)*&
                        coupl(nGC_94) - 10d0*cima*coupl(nGC_1331)*coupl(nGC_817&
                        )*coupl(nGC_94)**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_3011)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl&
                        (nGC_1485)*coupl(nGC_64)*coupl(nGC_72)**2d0 + 20d0*cima&
                        *coupl(nGC_153)**2d0*coupl(nGC_155)*coupl(nGC_159) +   &
                        40d0*cima*coupl(nGC_153)**2d0*coupl(nGC_155)*coupl(    &
                        nGC_160) + 40d0*cima*coupl(nGC_153)**2d0*coupl(nGC_156 &
                        )*coupl(nGC_159) + 20d0*cima*coupl(nGC_153)**2d0*coupl(&
                        nGC_156)*coupl(nGC_160) + 20d0*cima*coupl(nGC_161)**2d0&
                        *coupl(nGC_163)*coupl(nGC_167) + 40d0*cima*coupl(      &
                        nGC_161)**2d0*coupl(nGC_163)*coupl(nGC_168) + 40d0*cima&
                        *coupl(nGC_161)**2d0*coupl(nGC_164)*coupl(nGC_167) +   &
                        20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_164)*coupl(    &
                        nGC_168) + 20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_186 &
                        )*coupl(nGC_190) + 40d0*cima*coupl(nGC_184)**2d0*coupl(&
                        nGC_186)*coupl(nGC_191) + 40d0*cima*coupl(nGC_184)**2d0&
                        *coupl(nGC_187)*coupl(nGC_190) + 20d0*cima*coupl(      &
                        nGC_184)**2d0*coupl(nGC_187)*coupl(nGC_191) - 5d0*cima*&
                        coupl(nGC_2391)*coupl(nGC_68)*coupl(nGC_867)**2d0 - 5d0&
                        *cima*coupl(nGC_3011)*coupl(nGC_69)*coupl(nGC_867)**2d0&
                         - 10d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_91&
                        )**2d0 - 10d0*cima*coupl(nGC_817)**2d0*coupl(nGC_91)*  &
                        coupl(nGC_94) + 3d0*coupl(nGC_11)*coupl(nGC_665)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_1243)*coupl(nGC_2391)*coupl(   &
                        nGC_58) + 6d0*coupl(nGC_1243)*coupl(nGC_40)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1243)*coupl(nGC_42)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_13)*coupl(nGC_817)*coupl(nGC_92&
                        ) + 6d0*coupl(nGC_1331)*coupl(nGC_25)*coupl(nGC_665) + &
                        6d0*coupl(nGC_1331)*coupl(nGC_37)*coupl(nGC_817) - 3d0*&
                        coupl(nGC_1331)*coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl&
                        (nGC_1485)*coupl(nGC_3011)*coupl(nGC_58) + 6d0*coupl(  &
                        nGC_1485)*coupl(nGC_41)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_42)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_2391)*coupl(nGC_43)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_2391)*coupl(nGC_49)*coupl(nGC_867) + 6d0*coupl(    &
                        nGC_24)*coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_26&
                        )*coupl(nGC_94)**2d0 + 6d0*coupl(nGC_28)*coupl(nGC_817 &
                        )**2d0 + 6d0*coupl(nGC_28)*coupl(nGC_91)**2d0 + 3d0*   &
                        coupl(nGC_3011)*coupl(nGC_43)*coupl(nGC_64) + 6d0*coupl&
                        (nGC_3011)*coupl(nGC_48)*coupl(nGC_867) + 6d0*coupl(   &
                        nGC_31)*coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_37 &
                        )*coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_39)*coupl&
                        (nGC_665)*coupl(nGC_817) + 3d0*coupl(nGC_46)*coupl(    &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_47)*coupl(      &
                        nGC_665)*coupl(nGC_91) + 3d0*coupl(nGC_58)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_58)*coupl(nGC_64)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_59)*coupl(nGC_665)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_59)*coupl(nGC_817)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_665)*coupl(nGC_9)*coupl(nGC_92) + 3d0&
                        *coupl(nGC_817)*coupl(nGC_9)*coupl(nGC_94) - 3d0*coupl(&
                        nGC_817)*coupl(nGC_91)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9213) = (20d0*Nc*cima*coupl(nGC_131)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_142)**4d0 + 20d0*Nc*cima*coupl(nGC_146)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_170)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_178)**4d0 + 20d0*Nc*cima*coupl(nGC_193)**4d0 + 12d0&
                        *cima*coupl(nGC_100)**2d0 - 5d0*cima*coupl(nGC_1243)** &
                        2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_1485)*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_64)*coupl(  &
                        nGC_69) - 10d0*cima*coupl(nGC_1243)*coupl(nGC_3011)*   &
                        coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) - 10d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_69)*coupl(nGC_72)*coupl(&
                        nGC_867) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_69  &
                        )**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*    &
                        coupl(nGC_63)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1485 &
                        )*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_68) - 10d0*  &
                        cima*coupl(nGC_1485)*coupl(nGC_68)*coupl(nGC_72)*coupl(&
                        nGC_867) - 10d0*cima*coupl(nGC_1485)*coupl(nGC_69)*    &
                        coupl(nGC_72)*coupl(nGC_867) + 20d0*cima*coupl(nGC_154 &
                        )**4d0 + 20d0*cima*coupl(nGC_162)**4d0 - 5d0*cima*coupl&
                        (nGC_17)**4d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(    &
                        nGC_793)**2d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(    &
                        nGC_96)**2d0 - 20d0*cima*coupl(nGC_17)*coupl(nGC_793)* &
                        coupl(nGC_96)*coupl(nGC_975) + 12d0*cima*coupl(nGC_18  &
                        )**2d0 + 20d0*cima*coupl(nGC_185)**4d0 - 5d0*cima*coupl&
                        (nGC_2391)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_64   &
                        ) - 10d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(     &
                        nGC_72)*coupl(nGC_867) - 10d0*cima*coupl(nGC_2391)*    &
                        coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima* &
                        coupl(nGC_3011)**2d0*coupl(nGC_64)**2d0 - 10d0*cima*   &
                        coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_72)*coupl(     &
                        nGC_867) - 10d0*cima*coupl(nGC_3011)*coupl(nGC_64)*    &
                        coupl(nGC_72)*coupl(nGC_867) + 24d0*cima*coupl(nGC_62  &
                        )**2d0 - 20d0*cima*coupl(nGC_72)**2d0*coupl(nGC_867)** &
                        2d0 - 5d0*cima*coupl(nGC_793)**4d0 - 10d0*cima*coupl(  &
                        nGC_793)**2d0*coupl(nGC_975)**2d0 - 5d0*cima*coupl(    &
                        nGC_96)**4d0 - 10d0*cima*coupl(nGC_96)**2d0*coupl(     &
                        nGC_975)**2d0 + 24d0*cima*coupl(nGC_97)**2d0 - 5d0*cima&
                        *coupl(nGC_975)**4d0 - 6d0*coupl(nGC_100)*coupl(nGC_96 &
                        )**2d0 - 6d0*coupl(nGC_100)*coupl(nGC_975)**2d0 + 6d0* &
                        coupl(nGC_1243)*coupl(nGC_22)*coupl(nGC_64) + 6d0*coupl&
                        (nGC_1243)*coupl(nGC_30)*coupl(nGC_68) - 6d0*coupl(    &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_22)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_30)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_17)**2d0*coupl(nGC_18) + 6d0*coupl(nGC_17)**2d0*   &
                        coupl(nGC_51) + 6d0*coupl(nGC_17)*coupl(nGC_51)*coupl( &
                        nGC_793) - 12d0*coupl(nGC_17)*coupl(nGC_96)*coupl(     &
                        nGC_97) - 6d0*coupl(nGC_18)*coupl(nGC_793)**2d0 + 6d0* &
                        coupl(nGC_22)*coupl(nGC_2391)*coupl(nGC_69) + 6d0*coupl&
                        (nGC_22)*coupl(nGC_3011)*coupl(nGC_68) + 6d0*coupl(    &
                        nGC_2391)*coupl(nGC_34)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_2391)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_3011)*coupl(nGC_34)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_3011)*coupl(nGC_62)*coupl(nGC_64) + 12d0*coupl(    &
                        nGC_50)*coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_51&
                        )*coupl(nGC_793)**2d0 + 6d0*coupl(nGC_51)*coupl(nGC_96 &
                        )**2d0 + 6d0*coupl(nGC_51)*coupl(nGC_96)*coupl(nGC_975 &
                        ) + 6d0*coupl(nGC_51)*coupl(nGC_975)**2d0 - 12d0*coupl(&
                        nGC_62)*coupl(nGC_72)*coupl(nGC_867) - 12d0*coupl(     &
                        nGC_793)*coupl(nGC_97)*coupl(nGC_975))/(96d0*pi**2d0)
      coupl(nGC_33070) = -coupl(nGC_8786)
      coupl(nGC_13488) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_9396)
      coupl(nGC_18363) = coupl(nGC_18362) + coupl(nGC_9503)
      coupl(nGC_18364) = coupl(nGC_192)*dZHlHh_QED2/2d0 + coupl(nGC_195)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9504)
      coupl(nGC_9133) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0&
                        *coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_145)**2d0*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_145)**2d0*coupl(nGC_87) - 12d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_169)**2d0*coupl(nGC_84) - 12d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_169)**2d0*coupl(nGC_87  &
                        ) - 12d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl&
                        (nGC_85) - 12d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_2&
                        )*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_177)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_177&
                        )**2d0*coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(&
                        nGC_192)**2d0*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima&
                        *coupl(nGC_192)**2d0*coupl(nGC_2)*coupl(nGC_88) + 9d0* &
                        cima*coupl(nGC_1103)*coupl(nGC_1243)*coupl(nGC_68)*    &
                        coupl(nGC_833) + 9d0*cima*coupl(nGC_1103)*coupl(       &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_833) + 4d0*cima*coupl&
                        (nGC_1243)*coupl(nGC_68)*coupl(nGC_793)*coupl(nGC_975  &
                        ) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_17)*coupl(nGC_69&
                        )*coupl(nGC_96) + 9d0*cima*coupl(nGC_1485)*coupl(nGC_3 &
                        )*coupl(nGC_69)*coupl(nGC_82) - 12d0*cima*coupl(nGC_153&
                        )**2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(   &
                        nGC_153)**2d0*coupl(nGC_4)*coupl(nGC_89) - 12d0*cima*  &
                        coupl(nGC_161)**2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0* &
                        cima*coupl(nGC_161)**2d0*coupl(nGC_4)*coupl(nGC_89) +  &
                        4d0*cima*coupl(nGC_17)*coupl(nGC_3011)*coupl(nGC_64)*  &
                        coupl(nGC_96) - 12d0*cima*coupl(nGC_184)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_184)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(nGC_2391)* &
                        coupl(nGC_63)*coupl(nGC_793)*coupl(nGC_975) + 9d0*cima*&
                        coupl(nGC_3)*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_82&
                        ) + 12d0*cima*coupl(nGC_61)*coupl(nGC_83) - 3d0*coupl( &
                        nGC_1103)*coupl(nGC_1243)*coupl(nGC_16) - 3d0*coupl(   &
                        nGC_1103)*coupl(nGC_14)*coupl(nGC_2391) - 3d0*coupl(   &
                        nGC_1103)*coupl(nGC_14)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1103)*coupl(nGC_16)*coupl(nGC_68) + 18d0*coupl(    &
                        nGC_1103)*coupl(nGC_61)*coupl(nGC_833) - 3d0*coupl(    &
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_83) + 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_97) - 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_70)*coupl(nGC_833) - 3d0*coupl(    &
                        nGC_14)*coupl(nGC_3)*coupl(nGC_3011) - 3d0*coupl(nGC_14&
                        )*coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(nGC_1485)*    &
                        coupl(nGC_16)*coupl(nGC_3) - 3d0*coupl(nGC_1485)*coupl(&
                        nGC_69)*coupl(nGC_83) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_69)*coupl(nGC_97) - 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_16)*coupl(nGC_3)*&
                        coupl(nGC_69) - 3d0*coupl(nGC_2391)*coupl(nGC_63)*coupl&
                        (nGC_83) + 3d0*coupl(nGC_2391)*coupl(nGC_63)*coupl(    &
                        nGC_97) + 18d0*coupl(nGC_3)*coupl(nGC_61)*coupl(nGC_82 &
                        ) - 3d0*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_83) +  &
                        3d0*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_97) - 6d0* &
                        coupl(nGC_63)*coupl(nGC_65)*coupl(nGC_833) - 6d0*coupl(&
                        nGC_64)*coupl(nGC_65)*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_17372) = coupl(nGC_115)*dZHMinus_QED2/2d0 + coupl(nGC_122)*    &
                         dZHaG0_QED2/2d0 + coupl(nGC_9359) + coupl(            &
                         nGC_TS_GC_40_Hh) + coupl(nGC_TS_GC_49_Hl)
      coupl(nGC_9135) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)**3d0 + 20d0&
                        *Nc*cima*coupl(nGC_138)**3d0*coupl(nGC_142) + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)**3d0 + 20d0*Nc*cima*&
                        coupl(nGC_170)*coupl(nGC_174)**3d0 + 20d0*Nc*cima*coupl&
                        (nGC_178)*coupl(nGC_181)**3d0 + 20d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_196)**3d0 - 5d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_68) - 5d0* &
                        cima*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_3011)*  &
                        coupl(nGC_63) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_2391&
                        )*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(       &
                        nGC_1243)*coupl(nGC_63)*coupl(nGC_68)**2d0 - 5d0*cima* &
                        coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_68)**2d0 - 5d0*&
                        cima*coupl(nGC_1485)**2d0*coupl(nGC_2391)*coupl(nGC_68 &
                        ) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_2391)*coupl&
                        (nGC_69) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_3011&
                        )*coupl(nGC_69) - 5d0*cima*coupl(nGC_1485)*coupl(      &
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_63) - 5d0*cima*    &
                        coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_3011)*coupl( &
                        nGC_64) - 10d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*   &
                        coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_1485 &
                        )*coupl(nGC_3011)**2d0*coupl(nGC_64) - 5d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_3011)*coupl(nGC_72)*coupl(nGC_867  &
                        ) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_68&
                        )**2d0 - 5d0*cima*coupl(nGC_1485)*coupl(nGC_64)*coupl( &
                        nGC_68)*coupl(nGC_69) + 20d0*cima*coupl(nGC_154)*coupl(&
                        nGC_158)**3d0 + 20d0*cima*coupl(nGC_162)*coupl(nGC_166 &
                        )**3d0 + 20d0*cima*coupl(nGC_185)*coupl(nGC_189)**3d0  &
                         - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63)**2d0*coupl(  &
                        nGC_68) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(&
                        nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_3011)*coupl(&
                        nGC_63)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(  &
                        nGC_3011)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_69) -  &
                        5d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*    &
                        coupl(nGC_867) - 10d0*cima*coupl(nGC_64)*coupl(nGC_68)*&
                        coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_64)* &
                        coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) + 3d0*coupl(&
                        nGC_1243)*coupl(nGC_27)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_36)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_40)*coupl(nGC_867) + 3d0*coupl(    &
                        nGC_1485)**2d0*coupl(nGC_23) + 3d0*coupl(nGC_1485)*    &
                        coupl(nGC_2391)*coupl(nGC_32) - 3d0*coupl(nGC_1485)*   &
                        coupl(nGC_2391)*coupl(nGC_62) + 3d0*coupl(nGC_1485)*   &
                        coupl(nGC_27)*coupl(nGC_69) + 3d0*coupl(nGC_1485)*coupl&
                        (nGC_3011)*coupl(nGC_35) - 3d0*coupl(nGC_1485)*coupl(  &
                        nGC_3011)*coupl(nGC_62) + 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_36)*coupl(nGC_64) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_40)*coupl(nGC_867) + 6d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_45) + 6d0*coupl(nGC_17)*coupl(nGC_45)*coupl(nGC_793&
                        ) + 3d0*coupl(nGC_23)*coupl(nGC_2391)*coupl(nGC_3011   &
                        ) + 3d0*coupl(nGC_23)*coupl(nGC_63)*coupl(nGC_64) + 3d0&
                        *coupl(nGC_23)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_2391 &
                        )*coupl(nGC_24)*coupl(nGC_63) + 3d0*coupl(nGC_2391)*   &
                        coupl(nGC_36)*coupl(nGC_68) + 3d0*coupl(nGC_2391)*coupl&
                        (nGC_49)*coupl(nGC_867) + 3d0*coupl(nGC_24)*coupl(     &
                        nGC_3011)*coupl(nGC_64) + 3d0*coupl(nGC_3011)*coupl(   &
                        nGC_36)*coupl(nGC_69) + 3d0*coupl(nGC_3011)*coupl(     &
                        nGC_49)*coupl(nGC_867) + 3d0*coupl(nGC_32)*coupl(nGC_64&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_35)*coupl(nGC_63)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_40)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_72) +    &
                        12d0*coupl(nGC_43)*coupl(nGC_72)*coupl(nGC_867) + 6d0* &
                        coupl(nGC_45)*coupl(nGC_793)**2d0 + 6d0*coupl(nGC_45)* &
                        coupl(nGC_96)**2d0 + 6d0*coupl(nGC_45)*coupl(nGC_96)*  &
                        coupl(nGC_975) + 6d0*coupl(nGC_45)*coupl(nGC_975)**2d0 &
                         + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_72) + 3d0*&
                        coupl(nGC_49)*coupl(nGC_64)*coupl(nGC_72) - 3d0*coupl( &
                        nGC_62)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_62 &
                        )*coupl(nGC_64)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_9134) = (20d0*Nc*cima*coupl(nGC_134)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_138)**4d0 + 20d0*Nc*cima*coupl(nGC_150)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_174)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_181)**4d0 + 20d0*Nc*cima*coupl(nGC_196)**4d0 + 12d0&
                        *cima*coupl(nGC_100)**2d0 - 5d0*cima*coupl(nGC_1243)** &
                        2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_1485)*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_63)*coupl(  &
                        nGC_68) - 10d0*cima*coupl(nGC_1243)*coupl(nGC_3011)*   &
                        coupl(nGC_63)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) - 10d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_69)*coupl(nGC_72)*coupl(&
                        nGC_867) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_69  &
                        )**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*    &
                        coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl(nGC_1485 &
                        )*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_69) - 10d0*  &
                        cima*coupl(nGC_1485)*coupl(nGC_68)*coupl(nGC_72)*coupl(&
                        nGC_867) - 10d0*cima*coupl(nGC_1485)*coupl(nGC_69)*    &
                        coupl(nGC_72)*coupl(nGC_867) + 20d0*cima*coupl(nGC_158 &
                        )**4d0 + 20d0*cima*coupl(nGC_166)**4d0 - 5d0*cima*coupl&
                        (nGC_17)**4d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(    &
                        nGC_793)**2d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(    &
                        nGC_96)**2d0 - 20d0*cima*coupl(nGC_17)*coupl(nGC_793)* &
                        coupl(nGC_96)*coupl(nGC_975) + 12d0*cima*coupl(nGC_18  &
                        )**2d0 + 20d0*cima*coupl(nGC_189)**4d0 - 5d0*cima*coupl&
                        (nGC_2391)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_64   &
                        ) - 10d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(     &
                        nGC_72)*coupl(nGC_867) - 10d0*cima*coupl(nGC_2391)*    &
                        coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima* &
                        coupl(nGC_3011)**2d0*coupl(nGC_64)**2d0 - 10d0*cima*   &
                        coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_72)*coupl(     &
                        nGC_867) - 10d0*cima*coupl(nGC_3011)*coupl(nGC_64)*    &
                        coupl(nGC_72)*coupl(nGC_867) + 24d0*cima*coupl(nGC_62  &
                        )**2d0 - 20d0*cima*coupl(nGC_72)**2d0*coupl(nGC_867)** &
                        2d0 - 5d0*cima*coupl(nGC_793)**4d0 - 10d0*cima*coupl(  &
                        nGC_793)**2d0*coupl(nGC_975)**2d0 - 5d0*cima*coupl(    &
                        nGC_96)**4d0 - 10d0*cima*coupl(nGC_96)**2d0*coupl(     &
                        nGC_975)**2d0 + 24d0*cima*coupl(nGC_97)**2d0 - 5d0*cima&
                        *coupl(nGC_975)**4d0 - 6d0*coupl(nGC_100)*coupl(nGC_96 &
                        )**2d0 - 6d0*coupl(nGC_100)*coupl(nGC_975)**2d0 + 6d0* &
                        coupl(nGC_1243)*coupl(nGC_23)*coupl(nGC_63) + 6d0*coupl&
                        (nGC_1243)*coupl(nGC_32)*coupl(nGC_68) - 6d0*coupl(    &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_68) + 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_23)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_32)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_17)**2d0*coupl(nGC_18) + 6d0*coupl(nGC_17)**2d0*   &
                        coupl(nGC_54) + 6d0*coupl(nGC_17)*coupl(nGC_54)*coupl( &
                        nGC_793) - 12d0*coupl(nGC_17)*coupl(nGC_96)*coupl(     &
                        nGC_97) - 6d0*coupl(nGC_18)*coupl(nGC_793)**2d0 + 6d0* &
                        coupl(nGC_23)*coupl(nGC_2391)*coupl(nGC_68) + 6d0*coupl&
                        (nGC_23)*coupl(nGC_3011)*coupl(nGC_69) + 6d0*coupl(    &
                        nGC_2391)*coupl(nGC_35)*coupl(nGC_63) - 6d0*coupl(     &
                        nGC_2391)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_3011)*coupl(nGC_35)*coupl(nGC_64) - 6d0*coupl(     &
                        nGC_3011)*coupl(nGC_62)*coupl(nGC_64) + 12d0*coupl(    &
                        nGC_53)*coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_54&
                        )*coupl(nGC_793)**2d0 + 6d0*coupl(nGC_54)*coupl(nGC_96 &
                        )**2d0 + 6d0*coupl(nGC_54)*coupl(nGC_96)*coupl(nGC_975 &
                        ) + 6d0*coupl(nGC_54)*coupl(nGC_975)**2d0 - 12d0*coupl(&
                        nGC_62)*coupl(nGC_72)*coupl(nGC_867) - 12d0*coupl(     &
                        nGC_793)*coupl(nGC_97)*coupl(nGC_975))/(96d0*pi**2d0)
      coupl(nGC_9136) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_2391)**2d0  &
                         - 10d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_2391)*coupl&
                        (nGC_3011) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(      &
                        nGC_3011)**2d0 - 10d0*cima*coupl(nGC_1485)**2d0*coupl( &
                        nGC_68)**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(nGC_2391&
                        )*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima*coupl(       &
                        nGC_1485)*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_68   &
                        ) - 20d0*cima*coupl(nGC_1485)*coupl(nGC_68)*coupl(     &
                        nGC_72)*coupl(nGC_867) + 20d0*cima*coupl(nGC_154)**2d0*&
                        coupl(nGC_158)**2d0 + 20d0*cima*coupl(nGC_162)**2d0*   &
                        coupl(nGC_166)**2d0 + 20d0*cima*coupl(nGC_185)**2d0*   &
                        coupl(nGC_189)**2d0 - 10d0*cima*coupl(nGC_2391)*coupl( &
                        nGC_3011)*coupl(nGC_63)*coupl(nGC_64) - 10d0*cima*coupl&
                        (nGC_2391)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867   &
                        ) - 10d0*cima*coupl(nGC_3011)*coupl(nGC_63)*coupl(     &
                        nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_63)**2d0*  &
                        coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_63)*coupl(    &
                        nGC_64)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_64)**  &
                        2d0*coupl(nGC_68)**2d0 - 10d0*cima*coupl(nGC_72)**2d0* &
                        coupl(nGC_867)**2d0 + 6d0*coupl(nGC_1485)**2d0*coupl(  &
                        nGC_36) + 6d0*coupl(nGC_1485)*coupl(nGC_2391)*coupl(   &
                        nGC_27) + 6d0*coupl(nGC_1485)*coupl(nGC_24)*coupl(     &
                        nGC_3011) + 6d0*coupl(nGC_1485)*coupl(nGC_48)*coupl(   &
                        nGC_867) + 6d0*coupl(nGC_1485)*coupl(nGC_49)*coupl(    &
                        nGC_72) + 6d0*coupl(nGC_17)**2d0*coupl(nGC_60) + 6d0*  &
                        coupl(nGC_17)*coupl(nGC_60)*coupl(nGC_793) + 6d0*coupl(&
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_36) + 6d0*coupl(   &
                        nGC_2391)*coupl(nGC_40)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_24)*coupl(nGC_63)*coupl(nGC_68) + 6d0*coupl(nGC_27 &
                        )*coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_3011)*   &
                        coupl(nGC_40)*coupl(nGC_867) + 6d0*coupl(nGC_36)*coupl(&
                        nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl(nGC_68 &
                        )**2d0 + 6d0*coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_72  &
                        ) + 6d0*coupl(nGC_40)*coupl(nGC_64)*coupl(nGC_867) +   &
                        6d0*coupl(nGC_48)*coupl(nGC_68)*coupl(nGC_72) + 6d0*   &
                        coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_867) + 12d0*coupl&
                        (nGC_58)*coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(     &
                        nGC_60)*coupl(nGC_793)**2d0 + 6d0*coupl(nGC_60)*coupl( &
                        nGC_96)**2d0 + 6d0*coupl(nGC_60)*coupl(nGC_96)*coupl(  &
                        nGC_975) + 6d0*coupl(nGC_60)*coupl(nGC_975)**2d0)/(96d0&
                        *pi**2d0)
      coupl(nGC_9139) = (20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_135)*coupl(&
                        nGC_136) + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(     &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_134)* &
                        coupl(nGC_135)*coupl(nGC_174)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_174)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*&
                        coupl(nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*&
                        coupl(nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(    &
                        nGC_138)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*&
                        coupl(nGC_181)*coupl(nGC_182) + 20d0*Nc*cima*coupl(    &
                        nGC_139)*coupl(nGC_140)*coupl(nGC_181)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_150)**2d0*coupl(nGC_151)*coupl(nGC_152  &
                        ) + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_197)*   &
                        coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_150)*coupl(    &
                        nGC_151)*coupl(nGC_196)*coupl(nGC_198) + 20d0*Nc*cima* &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_196)*coupl(    &
                        nGC_197) + 20d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)* &
                        coupl(nGC_196)**2d0 + 20d0*Nc*cima*coupl(nGC_174)**2d0*&
                        coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_181)**2d0*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc* &
                        cima*coupl(nGC_196)**2d0*coupl(nGC_197)*coupl(nGC_198  &
                        ) + 6d0*cima*coupl(nGC_100)*coupl(nGC_101) - 10d0*cima*&
                        coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_72)*coupl(     &
                        nGC_867) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_72)*coupl&
                        (nGC_94)*coupl(nGC_975) - 10d0*cima*coupl(nGC_1485)*   &
                        coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_94) - 10d0*cima*&
                        coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_817)*coupl(    &
                        nGC_94) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_72)*coupl(&
                        nGC_94)*coupl(nGC_96) + 20d0*cima*coupl(nGC_158)**2d0* &
                        coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_166&
                        )**2d0*coupl(nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(&
                        nGC_189)**2d0*coupl(nGC_190)*coupl(nGC_191) + 24d0*cima&
                        *coupl(nGC_19)*coupl(nGC_20) - 10d0*cima*coupl(nGC_2391&
                        )*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima&
                        *coupl(nGC_2391)*coupl(nGC_72)*coupl(nGC_91)*coupl(    &
                        nGC_975) - 10d0*cima*coupl(nGC_3011)*coupl(nGC_64)*    &
                        coupl(nGC_665)*coupl(nGC_91) - 10d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_91) - 5d0*cima&
                        *coupl(nGC_3011)*coupl(nGC_72)*coupl(nGC_91)*coupl(    &
                        nGC_96) + 12d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl&
                        (nGC_63)*coupl(nGC_665)*coupl(nGC_867)*coupl(nGC_975   &
                        ) - 5d0*cima*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_867&
                        )*coupl(nGC_96) - 10d0*cima*coupl(nGC_665)*coupl(nGC_91&
                        )*coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_68)*coupl(   &
                        nGC_817)*coupl(nGC_867)*coupl(nGC_975) - 5d0*cima*coupl&
                        (nGC_69)*coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_96) - &
                        10d0*cima*coupl(nGC_72)**2d0*coupl(nGC_867)**2d0 - 10d0&
                        *cima*coupl(nGC_72)*coupl(nGC_793)**2d0*coupl(nGC_867  &
                        ) - 10d0*cima*coupl(nGC_72)*coupl(nGC_867)*coupl(      &
                        nGC_975)**2d0 + 24d0*cima*coupl(nGC_73)*coupl(nGC_74   &
                        ) - 10d0*cima*coupl(nGC_817)*coupl(nGC_94)*coupl(nGC_96&
                        )**2d0 - 3d0*coupl(nGC_100)*coupl(nGC_665)*coupl(nGC_91&
                        ) - 3d0*coupl(nGC_100)*coupl(nGC_817)*coupl(nGC_94) -  &
                        3d0*coupl(nGC_101)*coupl(nGC_96)**2d0 - 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_20)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_25)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_33)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_19)*coupl(nGC_64)*coupl(nGC_665) - 6d0*coupl(nGC_19&
                        )*coupl(nGC_69)*coupl(nGC_817) - 6d0*coupl(nGC_19)*    &
                        coupl(nGC_867)*coupl(nGC_975) - 6d0*coupl(nGC_20)*coupl&
                        (nGC_3011)*coupl(nGC_91) - 6d0*coupl(nGC_20)*coupl(    &
                        nGC_72)*coupl(nGC_975) + 3d0*coupl(nGC_23)*coupl(      &
                        nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_23)*coupl(      &
                        nGC_817)*coupl(nGC_91) - 3d0*coupl(nGC_2391)*coupl(    &
                        nGC_62)*coupl(nGC_63) + 3d0*coupl(nGC_25)*coupl(       &
                        nGC_3011)*coupl(nGC_69) + 3d0*coupl(nGC_3011)*coupl(   &
                        nGC_39)*coupl(nGC_64) + 3d0*coupl(nGC_32)*coupl(nGC_817&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_35)*coupl(nGC_665)*    &
                        coupl(nGC_91) + 6d0*coupl(nGC_53)*coupl(nGC_72)**2d0 + &
                        3d0*coupl(nGC_53)*coupl(nGC_793)**2d0 + 6d0*coupl(     &
                        nGC_53)*coupl(nGC_867)**2d0 + 3d0*coupl(nGC_53)*coupl( &
                        nGC_975)**2d0 + 6d0*coupl(nGC_54)*coupl(nGC_72)*coupl( &
                        nGC_867) + 3d0*coupl(nGC_55)*coupl(nGC_72)*coupl(      &
                        nGC_867) - 9d0*coupl(nGC_62)*coupl(nGC_72)*coupl(      &
                        nGC_867) - 6d0*coupl(nGC_72)*coupl(nGC_74)*coupl(      &
                        nGC_793) - 6d0*coupl(nGC_73)*coupl(nGC_793)*coupl(     &
                        nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9138) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)**3d0 + 20d0&
                        *Nc*cima*coupl(nGC_138)**3d0*coupl(nGC_142) + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)**3d0 + 20d0*Nc*cima*&
                        coupl(nGC_170)*coupl(nGC_174)**3d0 + 20d0*Nc*cima*coupl&
                        (nGC_178)*coupl(nGC_181)**3d0 + 20d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_196)**3d0 - 5d0*cima*coupl(nGC_1243 &
                        )**2d0*coupl(nGC_2391)*coupl(nGC_68) - 5d0*cima*coupl( &
                        nGC_1243)**2d0*coupl(nGC_3011)*coupl(nGC_68) - 5d0*cima&
                        *coupl(nGC_1243)**2d0*coupl(nGC_3011)*coupl(nGC_69) -  &
                        5d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_3011&
                        )*coupl(nGC_69) - 5d0*cima*coupl(nGC_1243)*coupl(      &
                        nGC_2391)**2d0*coupl(nGC_63) - 5d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_63) - 5d0* &
                        cima*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_3011)*  &
                        coupl(nGC_64) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_2391&
                        )*coupl(nGC_72)*coupl(nGC_867) - 10d0*cima*coupl(      &
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_72)*coupl(nGC_867  &
                        ) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_63)*coupl(nGC_68&
                        )*coupl(nGC_69) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_63&
                        )*coupl(nGC_69)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_64) - 5d0*cima*    &
                        coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_72)*coupl(   &
                        nGC_867) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl&
                        (nGC_69)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl(nGC_64)*&
                        coupl(nGC_69)**2d0 + 20d0*cima*coupl(nGC_154)*coupl(   &
                        nGC_158)**3d0 + 20d0*cima*coupl(nGC_162)*coupl(nGC_166 &
                        )**3d0 + 20d0*cima*coupl(nGC_185)*coupl(nGC_189)**3d0  &
                         - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_64 &
                        )*coupl(nGC_68) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63&
                        )*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*&
                        coupl(nGC_3011)*coupl(nGC_64)**2d0*coupl(nGC_69) - 5d0*&
                        cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(  &
                        nGC_867) - 10d0*cima*coupl(nGC_63)*coupl(nGC_69)*coupl(&
                        nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_64)*coupl( &
                        nGC_69)*coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(      &
                        nGC_1243)**2d0*coupl(nGC_23) + 6d0*coupl(nGC_1243)*    &
                        coupl(nGC_2391)*coupl(nGC_35) + 3d0*coupl(nGC_1243)*   &
                        coupl(nGC_27)*coupl(nGC_68) + 6d0*coupl(nGC_1243)*coupl&
                        (nGC_3011)*coupl(nGC_32) + 3d0*coupl(nGC_1243)*coupl(  &
                        nGC_36)*coupl(nGC_63) + 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_41)*coupl(nGC_867) + 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_27)*coupl(nGC_69) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_36)*coupl(nGC_64) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_41)*coupl(nGC_867) + 9d0*coupl(nGC_17)**2d0*coupl( &
                        nGC_45) + 6d0*coupl(nGC_17)*coupl(nGC_45)*coupl(nGC_793&
                        ) + 6d0*coupl(nGC_23)*coupl(nGC_2391)*coupl(nGC_3011   &
                        ) + 3d0*coupl(nGC_2391)*coupl(nGC_24)*coupl(nGC_63) +  &
                        3d0*coupl(nGC_2391)*coupl(nGC_36)*coupl(nGC_68) + 3d0* &
                        coupl(nGC_2391)*coupl(nGC_48)*coupl(nGC_867) + 3d0*    &
                        coupl(nGC_24)*coupl(nGC_3011)*coupl(nGC_64) + 3d0*coupl&
                        (nGC_3011)*coupl(nGC_36)*coupl(nGC_69) + 3d0*coupl(    &
                        nGC_3011)*coupl(nGC_48)*coupl(nGC_867) + 3d0*coupl(    &
                        nGC_41)*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_41 &
                        )*coupl(nGC_69)*coupl(nGC_72) + 12d0*coupl(nGC_43)*    &
                        coupl(nGC_72)*coupl(nGC_867) + 3d0*coupl(nGC_45)*coupl(&
                        nGC_793)**2d0 + 9d0*coupl(nGC_45)*coupl(nGC_96)**2d0 + &
                        6d0*coupl(nGC_45)*coupl(nGC_96)*coupl(nGC_975) + 3d0*  &
                        coupl(nGC_45)*coupl(nGC_975)**2d0 + 3d0*coupl(nGC_48)* &
                        coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_48)*coupl( &
                        nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_62)*coupl(nGC_63 &
                        )*coupl(nGC_69) - 6d0*coupl(nGC_62)*coupl(nGC_64)*coupl&
                        (nGC_69))/(96d0*pi**2d0)
      coupl(nGC_16679) = -coupl(nGC_16676)/2d0 + coupl(nGC_16677)
      coupl(nGC_16678) = coupl(nGC_16676) - 2d0*coupl(nGC_16677)
      coupl(nGC_15571) = coupl(nGC_102)*dZZA_QED2/2d0 + coupl(nGC_126)*dZA_QED2&
                         /2d0 + coupl(nGC_126)*dZHMinus_QED2/2d0 + coupl(      &
                         nGC_126)*dZWMinus_QED2/2d0 + coupl(nGC_127)*          &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_9367) + coupl(    &
                         nGC_TS_GC_66_Hh) + coupl(nGC_TS_GC_70_Hl)
      coupl(nGC_13810) = coupl(nGC_164)*dZHa_QED2/2d0 + coupl(nGC_164)*        &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_164)*dZmuMinusR_QED2/ &
                         2d0 + coupl(nGC_168)*dZG0Ha_QED2/2d0 + coupl(nGC_9488)
      coupl(nGC_8861) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_80) +   &
                        coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_867) - 4d0*    &
                        coupl(nGC_154)*coupl(nGC_160)*coupl(nGC_80) - 4d0*coupl&
                        (nGC_162)*coupl(nGC_168)*coupl(nGC_80) - 4d0*coupl(    &
                        nGC_185)*coupl(nGC_191)*coupl(nGC_80) + coupl(nGC_2391 &
                        )*coupl(nGC_69)*coupl(nGC_867) + coupl(nGC_64)*coupl(  &
                        nGC_817)*coupl(nGC_975) - 6d0*coupl(nGC_64)*coupl(     &
                        nGC_833)*coupl(nGC_94) + coupl(nGC_665)*coupl(nGC_68)* &
                        coupl(nGC_975) - 6d0*coupl(nGC_68)*coupl(nGC_833)*coupl&
                        (nGC_91))/(96d0*pi**2d0)
      coupl(nGC_8863) = (8d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_143&
                        ) + 4d0*Nc*cMB*coupl(nGC_139)*coupl(nGC_141)*coupl(    &
                        nGC_144) + 4d0*Nc*cMB*coupl(nGC_140)*coupl(nGC_141)*   &
                        coupl(nGC_143) + 8d0*Nc*cMB*coupl(nGC_140)*coupl(      &
                        nGC_141)*coupl(nGC_144) + 8d0*Nc*cMC*coupl(nGC_130)*   &
                        coupl(nGC_132)*coupl(nGC_135) + 4d0*Nc*cMC*coupl(      &
                        nGC_130)*coupl(nGC_132)*coupl(nGC_136) + 4d0*Nc*cMC*   &
                        coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_695) + 8d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_695) + 4d0*&
                        Nc*cMD*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_151) +  &
                        8d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_152 &
                        ) + 8d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_148)*coupl(    &
                        nGC_151) + 4d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_148)*   &
                        coupl(nGC_152) + 4d0*Nc*cMS*coupl(nGC_169)*coupl(      &
                        nGC_171)*coupl(nGC_175) + 8d0*Nc*cMS*coupl(nGC_169)*   &
                        coupl(nGC_171)*coupl(nGC_176) + 8d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_172)*coupl(nGC_175) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_176) + 8d0*Nc* &
                        cMT*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_182) + 4d0*&
                        Nc*cMT*coupl(nGC_177)*coupl(nGC_179)*coupl(nGC_183) +  &
                        4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_2019&
                        ) + 8d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_183)*coupl(    &
                        nGC_2019) + 4d0*Nc*cMU*coupl(nGC_1191)*coupl(nGC_192)* &
                        coupl(nGC_197) + 8d0*Nc*cMU*coupl(nGC_1191)*coupl(     &
                        nGC_192)*coupl(nGC_198) + 8d0*Nc*cMU*coupl(nGC_192)*   &
                        coupl(nGC_194)*coupl(nGC_197) + 4d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_194)*coupl(nGC_198) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_155)*coupl(nGC_159) + 8d0*cME*coupl(&
                        nGC_153)*coupl(nGC_155)*coupl(nGC_160) + 8d0*cME*coupl(&
                        nGC_153)*coupl(nGC_156)*coupl(nGC_159) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_156)*coupl(nGC_160) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_163)*coupl(nGC_167) + 8d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_163)*coupl(nGC_168) + 8d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_164)*coupl(nGC_167) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_164)*coupl(nGC_168) + 4d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_186)*coupl(nGC_190) + 8d0*cMTA*    &
                        coupl(nGC_184)*coupl(nGC_186)*coupl(nGC_191) + 8d0*cMTA&
                        *coupl(nGC_184)*coupl(nGC_187)*coupl(nGC_190) + 4d0*   &
                        cMTA*coupl(nGC_184)*coupl(nGC_187)*coupl(nGC_191) +    &
                        coupl(nGC_103)*coupl(nGC_817)*coupl(nGC_92) + coupl(   &
                        nGC_104)*coupl(nGC_665)*coupl(nGC_94) + coupl(nGC_106)*&
                        coupl(nGC_665)*coupl(nGC_92) + coupl(nGC_106)*coupl(   &
                        nGC_817)*coupl(nGC_94) + coupl(nGC_109)*coupl(nGC_665)*&
                        coupl(nGC_817) + coupl(nGC_112)*coupl(nGC_1331)*coupl( &
                        nGC_817) + coupl(nGC_112)*coupl(nGC_91)*coupl(nGC_94   &
                        ) + coupl(nGC_113)*coupl(nGC_91)*coupl(nGC_94) + coupl(&
                        nGC_114)*coupl(nGC_3011)*coupl(nGC_867) + coupl(nGC_115&
                        )*coupl(nGC_2391)*coupl(nGC_867) + coupl(nGC_117)*coupl&
                        (nGC_1331)*coupl(nGC_665) + 2d0*coupl(nGC_119)*coupl(  &
                        nGC_72)*coupl(nGC_867) + coupl(nGC_120)*coupl(nGC_817  &
                        )**2d0 + coupl(nGC_120)*coupl(nGC_91)**2d0 + coupl(    &
                        nGC_121)*coupl(nGC_94)**2d0 + coupl(nGC_122)*coupl(    &
                        nGC_1243)*coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_1485&
                        )*coupl(nGC_72) - coupl(nGC_128)*coupl(nGC_1331)*coupl(&
                        nGC_94) - coupl(nGC_128)*coupl(nGC_817)*coupl(nGC_91   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8721) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_138)**2d0 - 4d0*Nc*cMB&
                        **2d0*cima*coupl(nGC_181)**2d0 - 4d0*Nc*cMC**2d0*cima* &
                        coupl(nGC_134)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(      &
                        nGC_174)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_150)**  &
                        2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc&
                        *cMS**2d0*cima*coupl(nGC_134)**2d0 - 4d0*Nc*cMS**2d0*  &
                        cima*coupl(nGC_174)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl( &
                        nGC_138)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_181)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_150)**2d0 - 4d0*Nc&
                        *cMU**2d0*cima*coupl(nGC_196)**2d0 - 4d0*cME**2d0*cima*&
                        coupl(nGC_158)**2d0 - cMHH**2d0*cima*coupl(nGC_1243)*  &
                        coupl(nGC_68) - cMHH**2d0*cima*coupl(nGC_1485)*coupl(  &
                        nGC_69) - cMHL**2d0*cima*coupl(nGC_2391)*coupl(nGC_63  &
                        ) - cMHL**2d0*cima*coupl(nGC_3011)*coupl(nGC_64) - 4d0*&
                        cMM**2d0*cima*coupl(nGC_166)**2d0 - 4d0*cMTA**2d0*cima*&
                        coupl(nGC_189)**2d0 - cMW**2d0*cima*coupl(nGC_1243)*   &
                        coupl(nGC_68) - cMW**2d0*cima*coupl(nGC_1485)*coupl(   &
                        nGC_69) - cMW**2d0*cima*coupl(nGC_17)**2d0 - cMW**2d0* &
                        cima*coupl(nGC_2391)*coupl(nGC_63) - cMW**2d0*cima*    &
                        coupl(nGC_3011)*coupl(nGC_64) - 2d0*cMW**2d0*cima*coupl&
                        (nGC_72)*coupl(nGC_867) - cMW**2d0*cima*coupl(nGC_793  &
                        )**2d0 - cMW**2d0*cima*coupl(nGC_96)**2d0 - cMW**2d0*  &
                        cima*coupl(nGC_975)**2d0 - 8d0*cMW**2d0*coupl(nGC_62   &
                        ) - 2d0*cMZ**2d0*cima*coupl(nGC_72)*coupl(nGC_867) -   &
                        cMZ**2d0*cima*coupl(nGC_96)**2d0 - cMZ**2d0*cima*coupl(&
                        nGC_975)**2d0 - 4d0*cMZ**2d0*coupl(nGC_100) + 8d0*cima*&
                        coupl(nGC_107)**2d0 + 8d0*cima*coupl(nGC_127)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_8720) = cima*(4d0*Nc*coupl(nGC_134)**2d0 + 4d0*Nc*coupl(nGC_138&
                        )**2d0 + 4d0*Nc*coupl(nGC_150)**2d0 + 4d0*Nc*coupl(    &
                        nGC_174)**2d0 + 4d0*Nc*coupl(nGC_181)**2d0 + 4d0*Nc*   &
                        coupl(nGC_196)**2d0 + coupl(nGC_1243)*coupl(nGC_68) +  &
                        coupl(nGC_1485)*coupl(nGC_69) + 4d0*coupl(nGC_158)**2d0&
                         + 4d0*coupl(nGC_166)**2d0 + coupl(nGC_17)**2d0 + 4d0* &
                        coupl(nGC_189)**2d0 + coupl(nGC_2391)*coupl(nGC_63) +  &
                        coupl(nGC_3011)*coupl(nGC_64) + 2d0*coupl(nGC_72)*coupl&
                        (nGC_867) + coupl(nGC_793)**2d0 + coupl(nGC_96)**2d0 + &
                        coupl(nGC_975)**2d0)/(192d0*pi**2d0)
      coupl(nGC_8726) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC** &
                        2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl&
                        (nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0  &
                         + 4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU &
                        **2d0*cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(&
                        nGC_4)**2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0&
                        *cMTA**2d0*cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima* &
                        coupl(nGC_1103)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**&
                        2d0 - 2d0*cMW**2d0*coupl(nGC_1207))/(16d0*pi**2d0)
      coupl(nGC_8725) = cima*(coupl(nGC_1103)**2d0 + coupl(nGC_3)**2d0)/(48d0* &
                        pi**2d0)
      coupl(nGC_8724) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_1103)**2d0 - coupl(nGC_3)**2d0 - 4d0*  &
                        coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8729) = cima*(4d0*Nc*coupl(nGC_133)**2d0 + 4d0*Nc*coupl(nGC_137&
                        )**2d0 + 4d0*Nc*coupl(nGC_149)**2d0 + 4d0*Nc*coupl(    &
                        nGC_173)**2d0 + 4d0*Nc*coupl(nGC_180)**2d0 + 4d0*Nc*   &
                        coupl(nGC_195)**2d0 + coupl(nGC_1243)*coupl(nGC_68) +  &
                        coupl(nGC_1331)*coupl(nGC_92) + coupl(nGC_1485)*coupl( &
                        nGC_69) + 4d0*coupl(nGC_157)**2d0 + 4d0*coupl(nGC_165  &
                        )**2d0 + 4d0*coupl(nGC_188)**2d0 + coupl(nGC_2391)*    &
                        coupl(nGC_63) + coupl(nGC_3011)*coupl(nGC_64) + coupl( &
                        nGC_817)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_32106) = -coupl(nGC_8934)
      coupl(nGC_16150) = coupl(nGC_16145) + coupl(nGC_9655)
      coupl(nGC_12749) = coupl(nGC_14)*dZHlHh_QED2/2d0 + coupl(nGC_15)*        &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*dZHh_QED2/2d0 &
                          + coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*   &
                         dZZ_QED2/2d0 + coupl(nGC_70)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9384)
      coupl(nGC_12663) = coupl(nGC_42)*dZHaG0_QED2 + coupl(nGC_43)*            &
                         dZGMinusHMinus_QED2 + coupl(nGC_56)*dZHMinus_QED2 +   &
                         coupl(nGC_9309)
      coupl(nGC_9179) = (20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_136)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_134)*   &
                        coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_140)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_150)*coupl(   &
                        nGC_152)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_150)*coupl(nGC_152)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_174)*coupl(nGC_176)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_174)*coupl(   &
                        nGC_176)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_183)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_181)*coupl(nGC_183)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_196)*coupl(   &
                        nGC_198)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_793)*coupl&
                        (nGC_82)*coupl(nGC_867) + 4d0*cima*coupl(nGC_1243)**2d0&
                        *coupl(nGC_72)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_72)**2d0*coupl(nGC_817) + 4d0*cima*coupl(  &
                        nGC_1243)*coupl(nGC_72)**2d0*coupl(nGC_94) + 20d0*cima*&
                        coupl(nGC_158)*coupl(nGC_160)*coupl(nGC_80)*coupl(     &
                        nGC_86) - 16d0*cima*coupl(nGC_158)*coupl(nGC_160)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_158)*coupl&
                        (nGC_160)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl&
                        (nGC_166)*coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_86) - &
                        16d0*cima*coupl(nGC_166)*coupl(nGC_168)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_166)*coupl(nGC_168 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_189&
                        )*coupl(nGC_191)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_189)*coupl(nGC_191)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_189)*coupl(nGC_191)*coupl&
                        (nGC_80)*coupl(nGC_90) + 24d0*cima*coupl(nGC_20)*coupl(&
                        nGC_79) + 4d0*cima*coupl(nGC_2391)**2d0*coupl(nGC_72)* &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_665 &
                        )*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_2391)*coupl( &
                        nGC_72)**2d0*coupl(nGC_91) + 24d0*cima*coupl(nGC_607)* &
                        coupl(nGC_74) + 9d0*cima*coupl(nGC_64)*coupl(nGC_665)* &
                        coupl(nGC_82)*coupl(nGC_833) + 4d0*cima*coupl(nGC_64)* &
                        coupl(nGC_91)*coupl(nGC_96)*coupl(nGC_975) + 9d0*cima* &
                        coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_82)*coupl(      &
                        nGC_833) + 4d0*cima*coupl(nGC_69)*coupl(nGC_94)*coupl( &
                        nGC_96)*coupl(nGC_975) + 4d0*cima*coupl(nGC_72)**3d0*  &
                        coupl(nGC_96) + 9d0*cima*coupl(nGC_82)*coupl(nGC_833)* &
                        coupl(nGC_867)*coupl(nGC_975) + 4d0*cima*coupl(nGC_867 &
                        )*coupl(nGC_91)**2d0*coupl(nGC_96) + 4d0*cima*coupl(   &
                        nGC_867)*coupl(nGC_94)**2d0*coupl(nGC_96) - 6d0*coupl( &
                        nGC_100)*coupl(nGC_833)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_101)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_20)*coupl(nGC_793) - 6d0*coupl(    &
                        nGC_1103)*coupl(nGC_867)*coupl(nGC_97) + 6d0*coupl(    &
                        nGC_1243)*coupl(nGC_16)*coupl(nGC_72) + 6d0*coupl(     &
                        nGC_14)*coupl(nGC_2391)*coupl(nGC_72) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_665)*coupl(nGC_82) + 6d0*coupl(nGC_14&
                        )*coupl(nGC_91)*coupl(nGC_96) - 6d0*coupl(nGC_16)*coupl&
                        (nGC_817)*coupl(nGC_82) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_20)*coupl(nGC_72 &
                        )**2d0 + 36d0*coupl(nGC_20)*coupl(nGC_82)*coupl(nGC_833&
                        ) - 6d0*coupl(nGC_20)*coupl(nGC_833)*coupl(nGC_975) +  &
                        36d0*coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_833) - 6d0*  &
                        coupl(nGC_607)*coupl(nGC_793)*coupl(nGC_867) - 6d0*    &
                        coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl(&
                        nGC_62)*coupl(nGC_833)*coupl(nGC_867) - 6d0*coupl(     &
                        nGC_64)*coupl(nGC_665)*coupl(nGC_79) - 6d0*coupl(nGC_69&
                        )*coupl(nGC_79)*coupl(nGC_817) - 6d0*coupl(nGC_79)*    &
                        coupl(nGC_867)*coupl(nGC_975))/(192d0*pi**2d0)
      coupl(nGC_8793) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) +     &
                        coupl(nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_87&
                        )**2d0 + 4d0*coupl(nGC_1103)*coupl(nGC_80)**2d0 + coupl&
                        (nGC_193)**2d0*coupl(nGC_2) + coupl(nGC_196)**2d0*coupl&
                        (nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_9005) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_145  &
                        )**3d0 - coupl(nGC_145)*coupl(nGC_148)**2d0 - coupl(   &
                        nGC_145)*coupl(nGC_149)**2d0 - coupl(nGC_145)*coupl(   &
                        nGC_152)**2d0 + 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(&
                        nGC_87) - coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193  &
                        ) - coupl(nGC_146)*coupl(nGC_68)*coupl(nGC_80) - coupl(&
                        nGC_148)*coupl(nGC_817)*coupl(nGC_87) - coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_94) - coupl(nGC_150)*coupl(    &
                        nGC_192)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_2391&
                        )*coupl(nGC_80) - coupl(nGC_152)*coupl(nGC_665)*coupl( &
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_16723) = coupl(nGC_16721) + coupl(nGC_16722)
      coupl(nGC_8846) = (-4d0*Nc*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1103)*coupl(nGC_64)*coupl(nGC_793) +     &
                        coupl(nGC_1243)**2d0*coupl(nGC_3011) + coupl(nGC_1243)*&
                        coupl(nGC_64)*coupl(nGC_69) + 4d0*coupl(nGC_153)*coupl(&
                        nGC_158)*coupl(nGC_80) + 4d0*coupl(nGC_161)*coupl(     &
                        nGC_166)*coupl(nGC_80) + 4d0*coupl(nGC_184)*coupl(     &
                        nGC_189)*coupl(nGC_80) + coupl(nGC_2391)**2d0*coupl(   &
                        nGC_3011) + coupl(nGC_2391)*coupl(nGC_68)*coupl(nGC_69 &
                        ) + coupl(nGC_3011)*coupl(nGC_72)**2d0 - 6d0*coupl(    &
                        nGC_64)*coupl(nGC_833)*coupl(nGC_975) + coupl(nGC_665)*&
                        coupl(nGC_867)*coupl(nGC_96) - 6d0*coupl(nGC_82)*coupl(&
                        nGC_867)*coupl(nGC_91))/(96d0*pi**2d0)
      coupl(nGC_8847) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_150)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_150)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_150 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_174)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_127)*coupl(nGC_607) - coupl(nGC_107)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_107)*coupl(nGC_82 &
                        )*coupl(nGC_833) - coupl(nGC_107)*coupl(nGC_82)*coupl( &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_64)*coupl(nGC_833   &
                        ) - coupl(nGC_1243)*coupl(nGC_129)*coupl(nGC_833) -    &
                        coupl(nGC_125)*coupl(nGC_69)*coupl(nGC_833) + 6d0*coupl&
                        (nGC_127)*coupl(nGC_3)*coupl(nGC_833) - coupl(nGC_128)*&
                        coupl(nGC_2391)*coupl(nGC_833))/(32d0*pi**2d0)
      coupl(nGC_8844) = (-4d0*Nc*coupl(nGC_132)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_196)*coupl(nGC_80) +   &
                        coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_72) - 6d0*coupl&
                        (nGC_1331)*coupl(nGC_69)*coupl(nGC_82) + 4d0*coupl(    &
                        nGC_156)*coupl(nGC_158)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_164)*coupl(nGC_166)*coupl(nGC_80) + 4d0*coupl(     &
                        nGC_187)*coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_2391 &
                        )*coupl(nGC_68)*coupl(nGC_72) - 6d0*coupl(nGC_64)*coupl&
                        (nGC_817)*coupl(nGC_82) + coupl(nGC_64)*coupl(nGC_94)* &
                        coupl(nGC_96) + coupl(nGC_69)*coupl(nGC_92)*coupl(     &
                        nGC_96))/(96d0*pi**2d0)
      coupl(nGC_8845) = (-4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1103)*coupl(nGC_69)*coupl(nGC_793) +     &
                        coupl(nGC_1243)**2d0*coupl(nGC_1485) + coupl(nGC_1243)*&
                        coupl(nGC_63)*coupl(nGC_64) + coupl(nGC_1485)*coupl(   &
                        nGC_2391)**2d0 + coupl(nGC_1485)*coupl(nGC_72)**2d0 +  &
                        4d0*coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80) + 4d0* &
                        coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_188)*coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_2391&
                        )*coupl(nGC_63)*coupl(nGC_68) - 6d0*coupl(nGC_69)*coupl&
                        (nGC_833)*coupl(nGC_975) + coupl(nGC_817)*coupl(nGC_867&
                        )*coupl(nGC_96) - 6d0*coupl(nGC_82)*coupl(nGC_867)*    &
                        coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8929) = (coupl(nGC_1485)*coupl(nGC_161)*coupl(nGC_80) + coupl( &
                        nGC_162)*coupl(nGC_17)*coupl(nGC_4) + 8d0*coupl(nGC_162&
                        )*coupl(nGC_86)*coupl(nGC_90) + coupl(nGC_162)*coupl(  &
                        nGC_86)*coupl(nGC_96) + coupl(nGC_162)*coupl(nGC_90)*  &
                        coupl(nGC_975) + coupl(nGC_163)*coupl(nGC_80)*coupl(   &
                        nGC_867) + coupl(nGC_165)*coupl(nGC_2391)*coupl(nGC_80 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8928) = (coupl(nGC_1485)*coupl(nGC_153)*coupl(nGC_80) + coupl( &
                        nGC_154)*coupl(nGC_17)*coupl(nGC_4) + 8d0*coupl(nGC_154&
                        )*coupl(nGC_86)*coupl(nGC_90) + coupl(nGC_154)*coupl(  &
                        nGC_86)*coupl(nGC_96) + coupl(nGC_154)*coupl(nGC_90)*  &
                        coupl(nGC_975) + coupl(nGC_155)*coupl(nGC_80)*coupl(   &
                        nGC_867) + coupl(nGC_157)*coupl(nGC_2391)*coupl(nGC_80 &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8840) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_143&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_142)*coupl(    &
                        nGC_144) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_2019) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(     &
                        nGC_179)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_143)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_134) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_695) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_172)*coupl(nGC_174) +  &
                        2d0*Nc*cMC*coupl(nGC_132)*coupl(nGC_170)*coupl(nGC_174 &
                        ) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(    &
                        nGC_171) + 2d0*Nc*cMC*coupl(nGC_170)*coupl(nGC_174)*   &
                        coupl(nGC_695) + 2d0*Nc*cMD*coupl(nGC_1191)*coupl(     &
                        nGC_150)*coupl(nGC_193) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_147)*coupl(nGC_150) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_148)*coupl(nGC_150) + 2d0*Nc*cMD*   &
                        coupl(nGC_146)*coupl(nGC_194)*coupl(nGC_196) + 2d0*Nc* &
                        cMD*coupl(nGC_147)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_171 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_172) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_174)*   &
                        coupl(nGC_695) + 2d0*Nc*cMS*coupl(nGC_132)*coupl(      &
                        nGC_134)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_171)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_172)*coupl(nGC_174) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_179) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2019) + 2d0&
                        *Nc*cMT*coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_178) + &
                        2d0*Nc*cMT*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_179)*coupl(    &
                        nGC_181) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_2019) + 2d0*Nc*cMU*coupl(nGC_1191)*coupl(    &
                        nGC_146)*coupl(nGC_150) + 2d0*Nc*cMU*coupl(nGC_1191)*  &
                        coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_147)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_194) + 2d0*Nc* &
                        cMU*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_193) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_196) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_158) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_158) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_166) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_166) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_189   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_187)*coupl(      &
                        nGC_189) + 4d0*cima*coupl(nGC_107)*coupl(nGC_19) + 4d0*&
                        cima*coupl(nGC_127)*coupl(nGC_73) - coupl(nGC_102)*    &
                        coupl(nGC_1243)*coupl(nGC_92) - coupl(nGC_102)*coupl(  &
                        nGC_2391)*coupl(nGC_94) - coupl(nGC_107)*coupl(nGC_1243&
                        )*coupl(nGC_817) - coupl(nGC_107)*coupl(nGC_1331)*coupl&
                        (nGC_3011) - coupl(nGC_107)*coupl(nGC_867)*coupl(nGC_96&
                        ) + coupl(nGC_110)*coupl(nGC_64)*coupl(nGC_867) + coupl&
                        (nGC_111)*coupl(nGC_1331)*coupl(nGC_975) + coupl(      &
                        nGC_111)*coupl(nGC_63)*coupl(nGC_72) + coupl(nGC_111)* &
                        coupl(nGC_92)*coupl(nGC_975) + coupl(nGC_112)*coupl(   &
                        nGC_3011)*coupl(nGC_72) + coupl(nGC_113)*coupl(nGC_2391&
                        )*coupl(nGC_867) + coupl(nGC_118)*coupl(nGC_69)*coupl( &
                        nGC_867) + coupl(nGC_119)*coupl(nGC_69)*coupl(nGC_72   &
                        ) + coupl(nGC_119)*coupl(nGC_817)*coupl(nGC_975) +     &
                        coupl(nGC_119)*coupl(nGC_94)*coupl(nGC_975) + coupl(   &
                        nGC_120)*coupl(nGC_1243)*coupl(nGC_72) + coupl(nGC_121 &
                        )*coupl(nGC_1243)*coupl(nGC_867) + coupl(nGC_123)*coupl&
                        (nGC_17)**2d0 + coupl(nGC_123)*coupl(nGC_72)**2d0 +    &
                        coupl(nGC_123)*coupl(nGC_96)**2d0 - coupl(nGC_127)*    &
                        coupl(nGC_17)*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_8841) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142&
                        ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_180) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_180)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_134) + 2d0*Nc*cMC*coupl(      &
                        nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 4d0*Nc*cMC*   &
                        coupl(nGC_133)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_173) + 4d0*&
                        Nc*cMD*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150) +  &
                        2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_195)*coupl(nGC_196 &
                        ) + 4d0*Nc*cMD*coupl(nGC_149)*coupl(nGC_193)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_193)*   &
                        coupl(nGC_195) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_174) + 4d0*Nc*cMS*coupl(nGC_131)*   &
                        coupl(nGC_134)*coupl(nGC_173) + 2d0*Nc*cMS*coupl(      &
                        nGC_133)*coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*   &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178) + 2d0*&
                        Nc*cMT*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_181) +  &
                        4d0*Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180 &
                        ) + 4d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_180)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(nGC_149)*   &
                        coupl(nGC_196) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_195) + 2d0*Nc*cMU*coupl(nGC_149)*   &
                        coupl(nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(      &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_154)*coupl(nGC_157)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_185)*coupl(nGC_188)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_16) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_15) + 4d0*cima*coupl(nGC_126)*coupl(nGC_70   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_66) - coupl(     &
                        nGC_102)*coupl(nGC_1243)*coupl(nGC_96) - coupl(nGC_102 &
                        )*coupl(nGC_72)*coupl(nGC_817) + coupl(nGC_103)*coupl( &
                        nGC_1243)**2d0 + coupl(nGC_103)*coupl(nGC_2391)*coupl( &
                        nGC_3011) + coupl(nGC_105)*coupl(nGC_1243)*coupl(      &
                        nGC_3011) + coupl(nGC_106)*coupl(nGC_1243)*coupl(      &
                        nGC_2391) - coupl(nGC_107)*coupl(nGC_3011)*coupl(nGC_96&
                        ) - coupl(nGC_107)*coupl(nGC_867)*coupl(nGC_92) + coupl&
                        (nGC_108)*coupl(nGC_1243)*coupl(nGC_69) + coupl(nGC_110&
                        )*coupl(nGC_3011)*coupl(nGC_64) + coupl(nGC_111)*coupl(&
                        nGC_17)**2d0 + coupl(nGC_111)*coupl(nGC_63)*coupl(     &
                        nGC_64) + coupl(nGC_111)*coupl(nGC_68)*coupl(nGC_69) + &
                        coupl(nGC_111)*coupl(nGC_96)**2d0 + coupl(nGC_112)*    &
                        coupl(nGC_72)*coupl(nGC_867) + coupl(nGC_114)*coupl(   &
                        nGC_68)*coupl(nGC_867) + coupl(nGC_114)*coupl(nGC_817)*&
                        coupl(nGC_975) + coupl(nGC_114)*coupl(nGC_94)*coupl(   &
                        nGC_975) + coupl(nGC_116)*coupl(nGC_1243)*coupl(nGC_63 &
                        ) + coupl(nGC_118)*coupl(nGC_3011)*coupl(nGC_69) +     &
                        coupl(nGC_119)*coupl(nGC_64)*coupl(nGC_68) + coupl(    &
                        nGC_119)*coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_123)* &
                        coupl(nGC_1331)*coupl(nGC_975) + coupl(nGC_123)*coupl( &
                        nGC_64)*coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_92)*  &
                        coupl(nGC_975) - coupl(nGC_1243)*coupl(nGC_126)*coupl( &
                        nGC_17) - coupl(nGC_125)*coupl(nGC_63)*coupl(nGC_69) - &
                        coupl(nGC_125)*coupl(nGC_64)*coupl(nGC_69) - coupl(    &
                        nGC_127)*coupl(nGC_17)*coupl(nGC_3011))/(32d0*pi**2d0)
      coupl(nGC_8924) = (8d0*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_131)*coupl(nGC_793) - coupl(nGC_130)* &
                        coupl(nGC_1485)*coupl(nGC_80) - coupl(nGC_130)*coupl(  &
                        nGC_169)*coupl(nGC_170) - coupl(nGC_131)*coupl(nGC_17)*&
                        coupl(nGC_2) + 8d0*coupl(nGC_131)*coupl(nGC_85)*coupl( &
                        nGC_87) - coupl(nGC_131)*coupl(nGC_85)*coupl(nGC_96) - &
                        coupl(nGC_131)*coupl(nGC_87)*coupl(nGC_975) - coupl(   &
                        nGC_133)*coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_133 &
                        )*coupl(nGC_2391)*coupl(nGC_80) - coupl(nGC_135)*coupl(&
                        nGC_170)*coupl(nGC_176) - coupl(nGC_170)*coupl(nGC_172 &
                        )*coupl(nGC_695) - coupl(nGC_695)*coupl(nGC_80)*coupl( &
                        nGC_867))/(32d0*pi**2d0)
      coupl(nGC_8926) = (coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_146)*coupl(nGC_2) + coupl(nGC_145)*   &
                        coupl(nGC_1485)*coupl(nGC_80) - coupl(nGC_145)*coupl(  &
                        nGC_192)*coupl(nGC_193) + coupl(nGC_146)*coupl(nGC_2)* &
                        coupl(nGC_793) + 8d0*coupl(nGC_146)*coupl(nGC_84)*coupl&
                        (nGC_88) + coupl(nGC_146)*coupl(nGC_84)*coupl(nGC_96   &
                        ) + coupl(nGC_146)*coupl(nGC_88)*coupl(nGC_975) - coupl&
                        (nGC_147)*coupl(nGC_193)*coupl(nGC_194) + coupl(nGC_147&
                        )*coupl(nGC_80)*coupl(nGC_867) - coupl(nGC_149)*coupl( &
                        nGC_193)*coupl(nGC_195) + coupl(nGC_149)*coupl(nGC_2391&
                        )*coupl(nGC_80) - coupl(nGC_151)*coupl(nGC_193)*coupl( &
                        nGC_198))/(32d0*pi**2d0)
      coupl(nGC_8921) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_146)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_146)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_146 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_170)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_607) - coupl(nGC_102)*coupl(  &
                        nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_102)*coupl(nGC_82 &
                        )*coupl(nGC_833) - coupl(nGC_102)*coupl(nGC_82)*coupl( &
                        nGC_96) - coupl(nGC_124)*coupl(nGC_1485)*coupl(nGC_833 &
                        ) - coupl(nGC_125)*coupl(nGC_2391)*coupl(nGC_833) + 6d0&
                        *coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_833) - coupl(   &
                        nGC_128)*coupl(nGC_68)*coupl(nGC_833) - coupl(nGC_129)*&
                        coupl(nGC_64)*coupl(nGC_833))/(32d0*pi**2d0)
      coupl(nGC_8920) = (-4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1103)*coupl(nGC_1485)*coupl(nGC_793) +   &
                        coupl(nGC_1243)*coupl(nGC_3011)*coupl(nGC_64) - 6d0*   &
                        coupl(nGC_1485)*coupl(nGC_833)*coupl(nGC_975) + 4d0*   &
                        coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_161)*coupl(nGC_162)*coupl(nGC_80) + 4d0*coupl(    &
                        nGC_184)*coupl(nGC_185)*coupl(nGC_80) + coupl(nGC_2391 &
                        )*coupl(nGC_3011)*coupl(nGC_68) + coupl(nGC_64)**2d0*  &
                        coupl(nGC_69) + coupl(nGC_68)**2d0*coupl(nGC_69) +     &
                        coupl(nGC_69)*coupl(nGC_72)**2d0 + coupl(nGC_817)*coupl&
                        (nGC_867)*coupl(nGC_96) - 6d0*coupl(nGC_82)*coupl(     &
                        nGC_867)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8922) = (coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(nGC_137)*   &
                        coupl(nGC_178)*coupl(nGC_180) + coupl(nGC_137)*coupl(  &
                        nGC_2391)*coupl(nGC_80) - coupl(nGC_139)*coupl(nGC_178 &
                        )*coupl(nGC_183) + coupl(nGC_141)*coupl(nGC_1485)*coupl&
                        (nGC_80) - coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178 &
                        ) + coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_793) + 8d0*  &
                        coupl(nGC_142)*coupl(nGC_84)*coupl(nGC_88) + coupl(    &
                        nGC_142)*coupl(nGC_84)*coupl(nGC_96) + coupl(nGC_142)* &
                        coupl(nGC_88)*coupl(nGC_975) - coupl(nGC_144)*coupl(   &
                        nGC_178)*coupl(nGC_179) + coupl(nGC_144)*coupl(nGC_80)*&
                        coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_18034) = 3d0*coupl(nGC_104)*dZHl_QED2/2d0 + 3d0*coupl(nGC_106)*&
                         dZHhHl_QED2/2d0 + coupl(nGC_9354) + coupl(            &
                         nGC_TS_GC_11_Hl) + coupl(nGC_TS_GC_9_Hh)
      coupl(nGC_33132) = -coupl(nGC_8843)
      coupl(nGC_9250) = (-32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_80)**2d0 &
                         - 32d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_80)**2d0 &
                         + 12d0*cima*coupl(nGC_1047)*coupl(nGC_99) + 9d0*cima* &
                        coupl(nGC_1103)**2d0*coupl(nGC_1485)*coupl(nGC_69) +   &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_3011)*coupl(   &
                        nGC_64) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*    &
                        coupl(nGC_2391)**2d0 + 8d0*cima*coupl(nGC_1243)*coupl( &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_3011) + 4d0*cima*  &
                        coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_3011)**2d0 + &
                        8d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_68)*&
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_2391&
                        )*coupl(nGC_63)*coupl(nGC_68) + 9d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_3)**2d0*coupl(nGC_68) + 4d0*cima*coupl(    &
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_68   &
                        ) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_72&
                        )*coupl(nGC_867) + 9d0*cima*coupl(nGC_1243)*coupl(     &
                        nGC_68)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_1485)* &
                        coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_69) + 4d0*cima*&
                        coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_64)*coupl(   &
                        nGC_69) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(&
                        nGC_72)*coupl(nGC_867) + 9d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_69)*coupl(nGC_833)**2d0 - 32d0*cima*coupl(nGC_153 &
                        )**2d0*coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_161)** &
                        2d0*coupl(nGC_80)**2d0 - 32d0*cima*coupl(nGC_184)**2d0*&
                        coupl(nGC_80)**2d0 + 9d0*cima*coupl(nGC_2391)*coupl(   &
                        nGC_3)**2d0*coupl(nGC_63) + 8d0*cima*coupl(nGC_2391)*  &
                        coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_64) + 4d0*cima*&
                        coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72)*coupl(     &
                        nGC_867) + 9d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl&
                        (nGC_82)**2d0 + 4d0*cima*coupl(nGC_3011)*coupl(nGC_64)*&
                        coupl(nGC_72)*coupl(nGC_867) + 9d0*cima*coupl(nGC_3011 &
                        )*coupl(nGC_64)*coupl(nGC_833)**2d0 + 24d0*cima*coupl( &
                        nGC_61)*coupl(nGC_78) + 4d0*cima*coupl(nGC_63)**2d0*   &
                        coupl(nGC_68)*coupl(nGC_69) + 8d0*cima*coupl(nGC_63)*  &
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*  &
                        coupl(nGC_64)**2d0*coupl(nGC_68)*coupl(nGC_69) + 8d0*  &
                        cima*coupl(nGC_665)*coupl(nGC_72)*coupl(nGC_867)*coupl(&
                        nGC_91) + 9d0*cima*coupl(nGC_665)*coupl(nGC_82)**2d0*  &
                        coupl(nGC_91) + 9d0*cima*coupl(nGC_665)*coupl(nGC_833  &
                        )**2d0*coupl(nGC_91) + 8d0*cima*coupl(nGC_72)*coupl(   &
                        nGC_817)*coupl(nGC_867)*coupl(nGC_94) + 9d0*cima*coupl(&
                        nGC_817)*coupl(nGC_82)**2d0*coupl(nGC_94) + 9d0*cima*  &
                        coupl(nGC_817)*coupl(nGC_833)**2d0*coupl(nGC_94) - 6d0*&
                        coupl(nGC_1047)*coupl(nGC_665)*coupl(nGC_91) - 6d0*    &
                        coupl(nGC_1047)*coupl(nGC_817)*coupl(nGC_94) + 36d0*   &
                        coupl(nGC_1103)**2d0*coupl(nGC_61) - 6d0*coupl(nGC_1103&
                        )*coupl(nGC_1485)*coupl(nGC_70) - 6d0*coupl(nGC_1103)* &
                        coupl(nGC_3011)*coupl(nGC_65) - 6d0*coupl(nGC_1103)*   &
                        coupl(nGC_64)*coupl(nGC_65) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_69)*coupl(nGC_70) - 6d0*coupl(nGC_1243)*coupl(    &
                        nGC_16)*coupl(nGC_82) - 6d0*coupl(nGC_1243)*coupl(nGC_3&
                        )*coupl(nGC_70) + 6d0*coupl(nGC_1243)*coupl(nGC_62)*   &
                        coupl(nGC_68) - 6d0*coupl(nGC_1243)*coupl(nGC_68)*coupl&
                        (nGC_78) - 6d0*coupl(nGC_14)*coupl(nGC_2391)*coupl(    &
                        nGC_82) - 6d0*coupl(nGC_14)*coupl(nGC_3011)*coupl(     &
                        nGC_833) - 6d0*coupl(nGC_14)*coupl(nGC_63)*coupl(nGC_82&
                        ) - 6d0*coupl(nGC_14)*coupl(nGC_64)*coupl(nGC_833) -   &
                        6d0*coupl(nGC_1485)*coupl(nGC_16)*coupl(nGC_833) + 6d0*&
                        coupl(nGC_1485)*coupl(nGC_62)*coupl(nGC_69) - 6d0*coupl&
                        (nGC_1485)*coupl(nGC_69)*coupl(nGC_78) - 6d0*coupl(    &
                        nGC_16)*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_69)*coupl(nGC_833) - 6d0*coupl(nGC_2391)*  &
                        coupl(nGC_3)*coupl(nGC_65) + 6d0*coupl(nGC_2391)*coupl(&
                        nGC_62)*coupl(nGC_63) - 6d0*coupl(nGC_2391)*coupl(     &
                        nGC_63)*coupl(nGC_78) - 6d0*coupl(nGC_3)*coupl(nGC_63)*&
                        coupl(nGC_65) - 6d0*coupl(nGC_3)*coupl(nGC_68)*coupl(  &
                        nGC_70) + 6d0*coupl(nGC_3011)*coupl(nGC_62)*coupl(     &
                        nGC_64) - 6d0*coupl(nGC_3011)*coupl(nGC_64)*coupl(     &
                        nGC_78) + 36d0*coupl(nGC_61)*coupl(nGC_833)**2d0 + 6d0*&
                        coupl(nGC_62)*coupl(nGC_665)*coupl(nGC_91) + 6d0*coupl(&
                        nGC_62)*coupl(nGC_817)*coupl(nGC_94) + 36d0*coupl(     &
                        nGC_82)**2d0*coupl(nGC_99))/(192d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl32
end module fill_ctcouplings32
