!******************************************************************************!
!                                                                              !
!    fill_ctcouplings34.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings34.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings34
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl34()
      coupl(nGC_13263) = coupl(nGC_113)*dZHa_QED2 + coupl(nGC_113)*dZHl_QED2/  &
                         2d0 + coupl(nGC_120)*dZG0Ha_QED2 + coupl(nGC_121)*    &
                         dZHhHl_QED2/2d0 + coupl(nGC_9353) + coupl(            &
                         nGC_TS_GC_26_Hh) + coupl(nGC_TS_GC_31_Hl)
      coupl(nGC_12794) = coupl(nGC_101)*dZZ_QED2 + coupl(nGC_9390)
      coupl(nGC_12790) = coupl(nGC_12783) + coupl(nGC_9518)
      coupl(nGC_8778) = (-6d0*coupl(nGC_1103)*coupl(nGC_63)*coupl(nGC_72) +    &
                        coupl(nGC_17)*coupl(nGC_3011)*coupl(nGC_867) + coupl(  &
                        nGC_2391)*coupl(nGC_793)*coupl(nGC_867) - 6d0*coupl(   &
                        nGC_3)*coupl(nGC_64)*coupl(nGC_72))/(96d0*pi**2d0)
      coupl(nGC_8779) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_131)**2d0 + 4d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_142)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl&
                        (nGC_146)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_170)**  &
                        2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_178)**2d0 + 4d0*Nc*&
                        coupl(nGC_1)*coupl(nGC_193)**2d0 - 4d0*Nc*coupl(nGC_131&
                        )**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_142)**2d0*coupl(&
                        nGC_2) - 4d0*Nc*coupl(nGC_146)**2d0*coupl(nGC_2) - 4d0*&
                        Nc*coupl(nGC_170)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(    &
                        nGC_178)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_193)**2d0&
                        *coupl(nGC_2) - 6d0*coupl(nGC_1243)*coupl(nGC_3)*coupl(&
                        nGC_68) + 4d0*coupl(nGC_154)**2d0*coupl(nGC_4) + 4d0*  &
                        coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_17)*coupl(&
                        nGC_793)**2d0 + coupl(nGC_17)*coupl(nGC_975)**2d0 + 4d0&
                        *coupl(nGC_185)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_3)*  &
                        coupl(nGC_3011)*coupl(nGC_64) - 6d0*coupl(nGC_3)*coupl(&
                        nGC_72)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_8802) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) +     &
                        coupl(nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_87&
                        )**2d0 + 4d0*coupl(nGC_1103)*coupl(nGC_80)**2d0 + coupl&
                        (nGC_131)**2d0*coupl(nGC_2) + coupl(nGC_134)**2d0*coupl&
                        (nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_8772) = (-2d0*Nc*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134) -  &
                        2d0*Nc*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142) - 2d0&
                        *Nc*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150) - 2d0*Nc&
                        *coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_174) - 2d0*Nc*  &
                        coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181) - 2d0*Nc*   &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196) + 2d0*Nc*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2) + 2d0*Nc*   &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2) - 3d0*coupl(&
                        nGC_1103)*coupl(nGC_63)*coupl(nGC_69) - 3d0*coupl(     &
                        nGC_1103)*coupl(nGC_64)*coupl(nGC_69) - 2d0*coupl(     &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_4) - 2d0*coupl(      &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4) - 2d0*coupl(      &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_4))/(48d0*pi**2d0)
      coupl(nGC_8773) = (-2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80  &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_80&
                        ) - 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_80&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_607) + 4d0*cima* &
                        coupl(nGC_127)*coupl(nGC_5) + 6d0*coupl(nGC_107)*coupl(&
                        nGC_1103)*coupl(nGC_82) - coupl(nGC_1103)*coupl(nGC_124&
                        )*coupl(nGC_64) - coupl(nGC_1103)*coupl(nGC_125)*coupl(&
                        nGC_69) + 6d0*coupl(nGC_1103)*coupl(nGC_127)*coupl(    &
                        nGC_3) - coupl(nGC_127)*coupl(nGC_17)*coupl(nGC_3) -   &
                        coupl(nGC_127)*coupl(nGC_82)*coupl(nGC_96))/(32d0*pi** &
                        2d0)
      coupl(nGC_9184) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)* &
                        coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_180) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)**2d0*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_149)**2d0*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173  &
                        )**2d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178)*   &
                        coupl(nGC_180)**2d0*coupl(nGC_181) + 20d0*Nc*cima*coupl&
                        (nGC_193)*coupl(nGC_195)**2d0*coupl(nGC_196) - 5d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_1331)*coupl(nGC_72)*coupl(  &
                        nGC_96) - 10d0*cima*coupl(nGC_1243)*coupl(nGC_17)**2d0*&
                        coupl(nGC_3011) - 10d0*cima*coupl(nGC_1243)*coupl(     &
                        nGC_3011)*coupl(nGC_96)**2d0 - 10d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69) - 10d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_68)*coupl(    &
                        nGC_69) + 24d0*cima*coupl(nGC_15)*coupl(nGC_16) + 20d0*&
                        cima*coupl(nGC_154)*coupl(nGC_157)**2d0*coupl(nGC_158  &
                        ) + 20d0*cima*coupl(nGC_162)*coupl(nGC_165)**2d0*coupl(&
                        nGC_166) + 20d0*cima*coupl(nGC_185)*coupl(nGC_188)**2d0&
                        *coupl(nGC_189) - 10d0*cima*coupl(nGC_3011)*coupl(     &
                        nGC_63)*coupl(nGC_64)*coupl(nGC_69) - 10d0*cima*coupl( &
                        nGC_3011)*coupl(nGC_64)**2d0*coupl(nGC_69) - 5d0*cima* &
                        coupl(nGC_3011)*coupl(nGC_867)*coupl(nGC_94)*coupl(    &
                        nGC_96) - 5d0*cima*coupl(nGC_63)*coupl(nGC_72)*coupl(  &
                        nGC_817)*coupl(nGC_975) + 24d0*cima*coupl(nGC_66)*coupl&
                        (nGC_70) - 5d0*cima*coupl(nGC_69)*coupl(nGC_867)*coupl(&
                        nGC_92)*coupl(nGC_975) - 10d0*cima*coupl(nGC_72)*coupl(&
                        nGC_817)*coupl(nGC_867)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_10)*coupl(nGC_1243)**2d0 + 3d0*coupl(nGC_10)*coupl(&
                        nGC_2391)*coupl(nGC_3011) + 3d0*coupl(nGC_12)*coupl(   &
                        nGC_1243)*coupl(nGC_3011) + 3d0*coupl(nGC_1243)*coupl( &
                        nGC_13)*coupl(nGC_2391) - 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_15)*coupl(nGC_96) - 6d0*coupl(nGC_1243)*coupl(     &
                        nGC_17)*coupl(nGC_66) + 6d0*coupl(nGC_1243)*coupl(     &
                        nGC_23)*coupl(nGC_69) + 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_3011)*coupl(nGC_57) + 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_32)*coupl(nGC_63) + 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_45)*coupl(nGC_68) + 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_42)*coupl(nGC_92) + 6d0*coupl(nGC_1331)*coupl(     &
                        nGC_49)*coupl(nGC_975) + 3d0*coupl(nGC_1331)*coupl(    &
                        nGC_58)*coupl(nGC_94) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_2391)*coupl(nGC_60) + 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_45)*coupl(nGC_69) - 6d0*coupl(nGC_15)*coupl(nGC_72 &
                        )*coupl(nGC_817) - 6d0*coupl(nGC_16)*coupl(nGC_3011)*  &
                        coupl(nGC_96) - 6d0*coupl(nGC_16)*coupl(nGC_867)*coupl(&
                        nGC_92) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_27) - 6d0*  &
                        coupl(nGC_17)*coupl(nGC_3011)*coupl(nGC_70) + 6d0*coupl&
                        (nGC_22)*coupl(nGC_3011)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_2391)*coupl(nGC_44)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_27)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_27 &
                        )*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl&
                        (nGC_96)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_72)*coupl( &
                        nGC_867) + 6d0*coupl(nGC_3011)*coupl(nGC_34)*coupl(    &
                        nGC_69) + 3d0*coupl(nGC_3011)*coupl(nGC_44)*coupl(     &
                        nGC_64) + 6d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_68 &
                        ) + 6d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_69) + 6d0&
                        *coupl(nGC_41)*coupl(nGC_68)*coupl(nGC_867) + 6d0*coupl&
                        (nGC_41)*coupl(nGC_817)*coupl(nGC_975) + 6d0*coupl(    &
                        nGC_41)*coupl(nGC_94)*coupl(nGC_975) + 3d0*coupl(nGC_43&
                        )*coupl(nGC_817)*coupl(nGC_94) + 6d0*coupl(nGC_49)*    &
                        coupl(nGC_64)*coupl(nGC_72) + 6d0*coupl(nGC_49)*coupl( &
                        nGC_92)*coupl(nGC_975) + 3d0*coupl(nGC_57)*coupl(nGC_63&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_58)*coupl(nGC_817)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_60)*coupl(nGC_64)*coupl( &
                        nGC_68) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_69 &
                        ) - 3d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_69))/(   &
                        96d0*pi**2d0)
      coupl(nGC_8989) = (-coupl(nGC_1331)*coupl(nGC_179)*coupl(nGC_85) - coupl(&
                        nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(nGC_137 &
                        )*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177)**2d0* &
                        coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_2391)*coupl( &
                        nGC_80) - coupl(nGC_179)**2d0*coupl(nGC_180) - coupl(  &
                        nGC_179)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_180)**&
                        3d0 - coupl(nGC_180)*coupl(nGC_183)**2d0 + 8d0*coupl(  &
                        nGC_180)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_180)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_181)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_183)*coupl(nGC_817)*coupl(   &
                        nGC_85) - coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_15781) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_82)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9290)
      coupl(nGC_17168) = coupl(nGC_153)*dZHl_QED2/2d0 + coupl(nGC_157)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9482)
      coupl(nGC_17169) = coupl(nGC_17167) + coupl(nGC_17168)
      coupl(nGC_8980) = (coupl(nGC_1331)*coupl(nGC_156)*coupl(nGC_86) - coupl( &
                        nGC_153)**2d0*coupl(nGC_157) + coupl(nGC_154)*coupl(   &
                        nGC_2391)*coupl(nGC_80) - coupl(nGC_156)**2d0*coupl(   &
                        nGC_157) + coupl(nGC_156)*coupl(nGC_89)*coupl(nGC_92   &
                        ) - coupl(nGC_157)**3d0 - coupl(nGC_157)*coupl(nGC_160 &
                        )**2d0 + 8d0*coupl(nGC_157)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_157)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_158)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_160)* &
                        coupl(nGC_817)*coupl(nGC_86) + coupl(nGC_160)*coupl(   &
                        nGC_89)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8984) = (coupl(nGC_1331)*coupl(nGC_164)*coupl(nGC_86) - coupl( &
                        nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)*coupl(   &
                        nGC_2391)*coupl(nGC_80) - coupl(nGC_164)**2d0*coupl(   &
                        nGC_165) + coupl(nGC_164)*coupl(nGC_89)*coupl(nGC_92   &
                        ) - coupl(nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_168 &
                        )**2d0 + 8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_166)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_168)* &
                        coupl(nGC_817)*coupl(nGC_86) + coupl(nGC_168)*coupl(   &
                        nGC_89)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8974) = (-coupl(nGC_130)**2d0*coupl(nGC_133) - coupl(nGC_131)* &
                        coupl(nGC_170)*coupl(nGC_173) - coupl(nGC_131)*coupl(  &
                        nGC_2391)*coupl(nGC_80) - coupl(nGC_132)**2d0*coupl(   &
                        nGC_133) - coupl(nGC_132)*coupl(nGC_1331)*coupl(nGC_85 &
                        ) - coupl(nGC_132)*coupl(nGC_88)*coupl(nGC_92) - coupl(&
                        nGC_133)**3d0 - coupl(nGC_133)*coupl(nGC_136)**2d0 +   &
                        8d0*coupl(nGC_133)*coupl(nGC_2)**2d0 + 8d0*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_134)* &
                        coupl(nGC_173)*coupl(nGC_174) - coupl(nGC_134)*coupl(  &
                        nGC_69)*coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_817)* &
                        coupl(nGC_85) - coupl(nGC_136)*coupl(nGC_88)*coupl(    &
                        nGC_94))/(32d0*pi**2d0)
      coupl(nGC_28029) = coupl(nGC_28020) + coupl(nGC_28028)
      coupl(nGC_8971) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_137) - coupl(nGC_1331 &
                        )*coupl(nGC_144)*coupl(nGC_84) - coupl(nGC_137)**3d0 - &
                        coupl(nGC_137)*coupl(nGC_139)**2d0 - coupl(nGC_137)*   &
                        coupl(nGC_141)**2d0 - coupl(nGC_137)*coupl(nGC_144)**  &
                        2d0 + 8d0*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - &
                        coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) - coupl(  &
                        nGC_138)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_139)* &
                        coupl(nGC_817)*coupl(nGC_84) - coupl(nGC_139)*coupl(   &
                        nGC_87)*coupl(nGC_94) - coupl(nGC_142)*coupl(nGC_178)* &
                        coupl(nGC_180) - coupl(nGC_142)*coupl(nGC_3011)*coupl( &
                        nGC_80) - coupl(nGC_144)*coupl(nGC_87)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_13491) = coupl(nGC_13487) + coupl(nGC_13488)
      coupl(nGC_20925) = coupl(nGC_20920) + coupl(nGC_20924)
      coupl(nGC_15343) = coupl(nGC_11)*dZHlHh_QED2/2d0 + 3d0*coupl(nGC_13)*    &
                         dZHhHl_QED2/2d0 + coupl(nGC_9)*dZHh_QED2/2d0 + 3d0*   &
                         coupl(nGC_9)*dZHl_QED2/2d0 + coupl(nGC_9326)
      coupl(nGC_9229) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_137)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_149)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_173)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_173)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_195)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_2391)*    &
                        coupl(nGC_793)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_96) + 4d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_72)*    &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_1331)**2d0*coupl(   &
                        nGC_2391)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1331)*    &
                        coupl(nGC_1485)*coupl(nGC_817)*coupl(nGC_96) + 4d0*cima&
                        *coupl(nGC_1331)*coupl(nGC_63)*coupl(nGC_64)*coupl(    &
                        nGC_72) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_867)*coupl&
                        (nGC_96)*coupl(nGC_975) + 4d0*cima*coupl(nGC_1485)*    &
                        coupl(nGC_2391)*coupl(nGC_68)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_72)*coupl(   &
                        nGC_94) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_64)*coupl(&
                        nGC_72)*coupl(nGC_817) + 4d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_665)*coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*coupl(&
                        nGC_1485)*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_96   &
                        ) + 24d0*cima*coupl(nGC_15)*coupl(nGC_79) + 20d0*cima* &
                        coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_80)*coupl(     &
                        nGC_86) - 16d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*coupl&
                        (nGC_157)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl&
                        (nGC_162)*coupl(nGC_165)*coupl(nGC_80)*coupl(nGC_86) - &
                        16d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_162)*coupl(nGC_165 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_185&
                        )*coupl(nGC_188)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl&
                        (nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_2391)*coupl&
                        (nGC_817)**2d0*coupl(nGC_96) + 9d0*cima*coupl(nGC_2391 &
                        )*coupl(nGC_82)*coupl(nGC_833)*coupl(nGC_975) + 24d0*  &
                        cima*coupl(nGC_607)*coupl(nGC_66) + 4d0*cima*coupl(    &
                        nGC_63)*coupl(nGC_64)**2d0*coupl(nGC_96) + 4d0*cima*   &
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_92 &
                        ) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)**2d0*coupl(   &
                        nGC_96) + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(  &
                        nGC_72)*coupl(nGC_817) + 4d0*cima*coupl(nGC_63)*coupl( &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(  &
                        nGC_63)*coupl(nGC_72)**2d0*coupl(nGC_96) + 9d0*cima*   &
                        coupl(nGC_82)*coupl(nGC_833)*coupl(nGC_867)*coupl(     &
                        nGC_92) - 6d0*coupl(nGC_100)*coupl(nGC_2391)*coupl(    &
                        nGC_833) - 6d0*coupl(nGC_1103)*coupl(nGC_15)*coupl(    &
                        nGC_793) - 6d0*coupl(nGC_1103)*coupl(nGC_2391)*coupl(  &
                        nGC_97) + 6d0*coupl(nGC_1331)*coupl(nGC_20)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_14)*coupl(nGC_1485)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_1485)*coupl(nGC_16)*coupl(     &
                        nGC_64) + 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl(nGC_64 &
                        ) + 36d0*coupl(nGC_15)*coupl(nGC_82)*coupl(nGC_833) -  &
                        6d0*coupl(nGC_15)*coupl(nGC_833)*coupl(nGC_975) + 6d0* &
                        coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_68) + 6d0*coupl( &
                        nGC_20)*coupl(nGC_63)*coupl(nGC_72) - 6d0*coupl(nGC_20 &
                        )*coupl(nGC_82)*coupl(nGC_92) - 6d0*coupl(nGC_2391)*   &
                        coupl(nGC_607)*coupl(nGC_793) - 6d0*coupl(nGC_2391)*   &
                        coupl(nGC_61)*coupl(nGC_833) - 6d0*coupl(nGC_2391)*    &
                        coupl(nGC_62)*coupl(nGC_82) - 6d0*coupl(nGC_2391)*coupl&
                        (nGC_79)*coupl(nGC_975) - 6d0*coupl(nGC_2391)*coupl(   &
                        nGC_82)*coupl(nGC_99) + 36d0*coupl(nGC_3)*coupl(nGC_66 &
                        )*coupl(nGC_833) - 6d0*coupl(nGC_79)*coupl(nGC_867)*   &
                        coupl(nGC_92))/(192d0*pi**2d0)
      coupl(nGC_9228) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_132)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_142)*coupl(nGC_143)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_148)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_172)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_172)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_179)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_194)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_793)*coupl&
                        (nGC_82)*coupl(nGC_867) + 9d0*cima*coupl(nGC_1331)*    &
                        coupl(nGC_2391)*coupl(nGC_82)*coupl(nGC_833) + 4d0*cima&
                        *coupl(nGC_1331)*coupl(nGC_64)*coupl(nGC_72)**2d0 + 9d0&
                        *cima*coupl(nGC_1485)*coupl(nGC_817)*coupl(nGC_82)*    &
                        coupl(nGC_833) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_94 &
                        )*coupl(nGC_96)*coupl(nGC_975) + 20d0*cima*coupl(      &
                        nGC_154)*coupl(nGC_156)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_154)*coupl(nGC_156 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_162&
                        )*coupl(nGC_164)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_162)*coupl(nGC_164)*coupl&
                        (nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_185)*coupl&
                        (nGC_187)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl&
                        (nGC_185)*coupl(nGC_187)*coupl(nGC_80)*coupl(nGC_89) - &
                        16d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_80)* &
                        coupl(nGC_90) + 24d0*cima*coupl(nGC_20)*coupl(nGC_79   &
                        ) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_92)*coupl(nGC_96&
                        )*coupl(nGC_975) + 24d0*cima*coupl(nGC_607)*coupl(     &
                        nGC_74) + 4d0*cima*coupl(nGC_64)**2d0*coupl(nGC_72)*   &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_72)** &
                        2d0*coupl(nGC_92) + 4d0*cima*coupl(nGC_68)**2d0*coupl( &
                        nGC_72)*coupl(nGC_96) + 4d0*cima*coupl(nGC_68)*coupl(  &
                        nGC_72)**2d0*coupl(nGC_817) + 4d0*cima*coupl(nGC_68)*  &
                        coupl(nGC_72)**2d0*coupl(nGC_94) + 4d0*cima*coupl(     &
                        nGC_72)**3d0*coupl(nGC_96) + 9d0*cima*coupl(nGC_82)*   &
                        coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_975) + 4d0*cima&
                        *coupl(nGC_867)*coupl(nGC_92)**2d0*coupl(nGC_96) + 4d0*&
                        cima*coupl(nGC_867)*coupl(nGC_94)**2d0*coupl(nGC_96) - &
                        6d0*coupl(nGC_100)*coupl(nGC_833)*coupl(nGC_867) - 6d0*&
                        coupl(nGC_101)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl&
                        (nGC_1103)*coupl(nGC_20)*coupl(nGC_793) - 6d0*coupl(   &
                        nGC_1103)*coupl(nGC_867)*coupl(nGC_97) - 6d0*coupl(    &
                        nGC_1331)*coupl(nGC_15)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1331)*coupl(nGC_2391)*coupl(nGC_79) - 6d0*coupl(   &
                        nGC_1485)*coupl(nGC_79)*coupl(nGC_817) + 6d0*coupl(    &
                        nGC_15)*coupl(nGC_64)*coupl(nGC_72) + 6d0*coupl(nGC_15 &
                        )*coupl(nGC_92)*coupl(nGC_96) + 6d0*coupl(nGC_16)*coupl&
                        (nGC_68)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_817)*coupl(nGC_82) + 6d0*coupl(nGC_16)*coupl(nGC_94&
                        )*coupl(nGC_96) + 6d0*coupl(nGC_20)*coupl(nGC_72)**2d0 &
                         + 36d0*coupl(nGC_20)*coupl(nGC_82)*coupl(nGC_833) -   &
                        6d0*coupl(nGC_20)*coupl(nGC_833)*coupl(nGC_975) + 36d0*&
                        coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_833) - 6d0*coupl( &
                        nGC_607)*coupl(nGC_793)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_62)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl(nGC_62&
                        )*coupl(nGC_833)*coupl(nGC_867) - 6d0*coupl(nGC_79)*   &
                        coupl(nGC_867)*coupl(nGC_975))/(192d0*pi**2d0)
      coupl(nGC_9221) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_80)**2d0 &
                         + 12d0*cima*coupl(nGC_100)*coupl(nGC_1047) + 9d0*cima*&
                        coupl(nGC_1103)**2d0*coupl(nGC_1243)*coupl(nGC_68) +   &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_17)**2d0 + 9d0*&
                        cima*coupl(nGC_1103)**2d0*coupl(nGC_3011)*coupl(nGC_64 &
                        ) + 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_72)*coupl( &
                        nGC_867) + 18d0*cima*coupl(nGC_1103)*coupl(nGC_17)*    &
                        coupl(nGC_833)*coupl(nGC_96) + 12d0*cima*coupl(nGC_1207&
                        )*coupl(nGC_18) + 4d0*cima*coupl(nGC_1243)*coupl(      &
                        nGC_1485)*coupl(nGC_63)**2d0 + 4d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_64) + 4d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_68)*    &
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1485&
                        )*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1243)*coupl( &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_68) + 4d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_793)**2d0 + 9d0*cima*&
                        coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_833)**2d0 + 4d0&
                        *cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_975)**2d0&
                         + 4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_63)**2d0 +  &
                        4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_63)*coupl(     &
                        nGC_64) + 4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_69)**&
                        2d0 + 4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_72)**2d0 &
                         + 8d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(     &
                        nGC_63)*coupl(nGC_69) + 4d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_69) - 16d0*cima*coupl&
                        (nGC_154)**2d0*coupl(nGC_80)**2d0 - 16d0*cima*coupl(   &
                        nGC_162)**2d0*coupl(nGC_80)**2d0 + 9d0*cima*coupl(     &
                        nGC_17)**2d0*coupl(nGC_3)**2d0 + 18d0*cima*coupl(nGC_17&
                        )*coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_96) - 16d0*cima*&
                        coupl(nGC_185)**2d0*coupl(nGC_80)**2d0 + 4d0*cima*coupl&
                        (nGC_2391)**2d0*coupl(nGC_63)**2d0 + 4d0*cima*coupl(   &
                        nGC_2391)**2d0*coupl(nGC_68)*coupl(nGC_69) + 4d0*cima* &
                        coupl(nGC_2391)**2d0*coupl(nGC_69)**2d0 + 4d0*cima*    &
                        coupl(nGC_2391)**2d0*coupl(nGC_72)**2d0 + 4d0*cima*    &
                        coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_63)*coupl(   &
                        nGC_64) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*    &
                        coupl(nGC_68)*coupl(nGC_69) + 4d0*cima*coupl(nGC_2391)*&
                        coupl(nGC_3011)*coupl(nGC_69)**2d0 + 4d0*cima*coupl(   &
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_72)**2d0 + 4d0*cima&
                        *coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_793)**2d0 +   &
                        9d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_833)**&
                        2d0 + 4d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(    &
                        nGC_975)**2d0 + 24d0*cima*coupl(nGC_62)*coupl(nGC_78   &
                        ) + 4d0*cima*coupl(nGC_63)**2d0*coupl(nGC_867)**2d0 +  &
                        4d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_867)**  &
                        2d0 + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*coupl(      &
                        nGC_867)**2d0 + 4d0*cima*coupl(nGC_69)**2d0*coupl(     &
                        nGC_867)**2d0 + 8d0*cima*coupl(nGC_72)**2d0*coupl(     &
                        nGC_867)**2d0 + 4d0*cima*coupl(nGC_72)*coupl(nGC_793)**&
                        2d0*coupl(nGC_867) + 9d0*cima*coupl(nGC_72)*coupl(     &
                        nGC_833)**2d0*coupl(nGC_867) + 4d0*cima*coupl(nGC_72)* &
                        coupl(nGC_867)*coupl(nGC_975)**2d0 + 9d0*cima*coupl(   &
                        nGC_82)**2d0*coupl(nGC_96)**2d0 + 24d0*cima*coupl(     &
                        nGC_83)*coupl(nGC_97) + 9d0*cima*coupl(nGC_833)**2d0*  &
                        coupl(nGC_96)**2d0 + 36d0*coupl(nGC_100)*coupl(nGC_82  &
                        )**2d0 - 6d0*coupl(nGC_1047)*coupl(nGC_96)**2d0 + 36d0*&
                        coupl(nGC_1103)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_1103&
                        )*coupl(nGC_1243)*coupl(nGC_70) - 12d0*coupl(nGC_1103)*&
                        coupl(nGC_17)*coupl(nGC_62) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_3011)*coupl(nGC_66) - 6d0*coupl(nGC_1103)*coupl(  &
                        nGC_64)*coupl(nGC_66) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_68)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_74)*coupl(nGC_867) - 6d0*coupl(nGC_1207)*coupl(    &
                        nGC_17)**2d0 - 6d0*coupl(nGC_1243)*coupl(nGC_16)*coupl(&
                        nGC_833) - 6d0*coupl(nGC_1243)*coupl(nGC_68)*coupl(    &
                        nGC_78) + 6d0*coupl(nGC_1485)*coupl(nGC_61)*coupl(     &
                        nGC_69) - 6d0*coupl(nGC_15)*coupl(nGC_3011)*coupl(     &
                        nGC_833) - 6d0*coupl(nGC_15)*coupl(nGC_64)*coupl(      &
                        nGC_833) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl(      &
                        nGC_833) - 12d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_62&
                        ) - 12d0*coupl(nGC_17)*coupl(nGC_83)*coupl(nGC_96) +   &
                        36d0*coupl(nGC_18)*coupl(nGC_3)**2d0 - 6d0*coupl(nGC_19&
                        )*coupl(nGC_72)*coupl(nGC_833) - 6d0*coupl(nGC_20)*    &
                        coupl(nGC_833)*coupl(nGC_867) + 6d0*coupl(nGC_2391)*   &
                        coupl(nGC_61)*coupl(nGC_63) + 72d0*coupl(nGC_3)*coupl( &
                        nGC_82)*coupl(nGC_97) - 6d0*coupl(nGC_3011)*coupl(     &
                        nGC_64)*coupl(nGC_78) + 6d0*coupl(nGC_62)*coupl(nGC_72 &
                        )*coupl(nGC_867) + 6d0*coupl(nGC_62)*coupl(nGC_793)**  &
                        2d0 - 12d0*coupl(nGC_62)*coupl(nGC_82)*coupl(nGC_96) + &
                        36d0*coupl(nGC_62)*coupl(nGC_833)**2d0 - 12d0*coupl(   &
                        nGC_62)*coupl(nGC_833)*coupl(nGC_96) + 6d0*coupl(nGC_62&
                        )*coupl(nGC_975)**2d0 - 6d0*coupl(nGC_72)*coupl(nGC_78 &
                        )*coupl(nGC_867))/(192d0*pi**2d0)
      coupl(nGC_9223) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_193)*coupl(    &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1191)*  &
                        coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_1191)*coupl(nGC_193)*coupl(nGC_80)*coupl&
                        (nGC_88) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_695)* &
                        coupl(nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(      &
                        nGC_131)*coupl(nGC_695)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_695)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_142)*coupl(   &
                        nGC_144)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_146)*coupl(nGC_147)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_147)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_80)*coupl(     &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_171)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_171)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_2019)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*   &
                        coupl(nGC_2019)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc* &
                        cima*coupl(nGC_178)*coupl(nGC_2019)*coupl(nGC_80)*coupl&
                        (nGC_88) + 9d0*cima*coupl(nGC_1243)*coupl(nGC_817)*    &
                        coupl(nGC_82)*coupl(nGC_833) + 4d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_94)*coupl(nGC_96)*coupl(nGC_975) + 9d0*cima&
                        *coupl(nGC_1331)*coupl(nGC_3011)*coupl(nGC_82)*coupl(  &
                        nGC_833) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_63)*coupl&
                        (nGC_72)**2d0 + 20d0*cima*coupl(nGC_154)*coupl(nGC_155 &
                        )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_154&
                        )*coupl(nGC_155)*coupl(nGC_80)*coupl(nGC_89) - 16d0*   &
                        cima*coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_80)*coupl(&
                        nGC_90) + 20d0*cima*coupl(nGC_162)*coupl(nGC_163)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_162)*coupl&
                        (nGC_163)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_162)*coupl(nGC_163)*coupl(nGC_80)*coupl(nGC_90) + &
                        9d0*cima*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_833)*    &
                        coupl(nGC_867) + 20d0*cima*coupl(nGC_185)*coupl(nGC_186&
                        )*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_185&
                        )*coupl(nGC_186)*coupl(nGC_80)*coupl(nGC_89) - 16d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_186)*coupl(nGC_80)*coupl(&
                        nGC_90) + 24d0*cima*coupl(nGC_19)*coupl(nGC_79) + 4d0* &
                        cima*coupl(nGC_3011)*coupl(nGC_92)*coupl(nGC_96)*coupl(&
                        nGC_975) + 24d0*cima*coupl(nGC_607)*coupl(nGC_73) + 4d0&
                        *cima*coupl(nGC_63)**2d0*coupl(nGC_72)*coupl(nGC_975   &
                        ) + 4d0*cima*coupl(nGC_63)*coupl(nGC_72)**2d0*coupl(   &
                        nGC_92) + 4d0*cima*coupl(nGC_69)**2d0*coupl(nGC_72)*   &
                        coupl(nGC_975) + 4d0*cima*coupl(nGC_69)*coupl(nGC_72)**&
                        2d0*coupl(nGC_817) + 4d0*cima*coupl(nGC_69)*coupl(     &
                        nGC_72)**2d0*coupl(nGC_94) + 4d0*cima*coupl(nGC_72)**  &
                        3d0*coupl(nGC_975) + 9d0*cima*coupl(nGC_82)*coupl(     &
                        nGC_833)*coupl(nGC_867)*coupl(nGC_96) + 4d0*cima*coupl(&
                        nGC_867)*coupl(nGC_92)**2d0*coupl(nGC_975) + 4d0*cima* &
                        coupl(nGC_867)*coupl(nGC_94)**2d0*coupl(nGC_975) - 6d0*&
                        coupl(nGC_100)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl&
                        (nGC_101)*coupl(nGC_833)*coupl(nGC_867) + 36d0*coupl(  &
                        nGC_1103)*coupl(nGC_73)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_79)*coupl(nGC_817) - 6d0*coupl(    &
                        nGC_1331)*coupl(nGC_15)*coupl(nGC_833) - 6d0*coupl(    &
                        nGC_1331)*coupl(nGC_3011)*coupl(nGC_79) + 6d0*coupl(   &
                        nGC_15)*coupl(nGC_63)*coupl(nGC_72) + 6d0*coupl(nGC_15 &
                        )*coupl(nGC_92)*coupl(nGC_975) + 6d0*coupl(nGC_16)*    &
                        coupl(nGC_69)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl( &
                        nGC_817)*coupl(nGC_833) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_94)*coupl(nGC_975) - 6d0*coupl(nGC_17)*coupl(nGC_19&
                        )*coupl(nGC_3) - 6d0*coupl(nGC_17)*coupl(nGC_607)*coupl&
                        (nGC_867) + 6d0*coupl(nGC_19)*coupl(nGC_72)**2d0 + 36d0&
                        *coupl(nGC_19)*coupl(nGC_82)*coupl(nGC_833) - 6d0*coupl&
                        (nGC_19)*coupl(nGC_82)*coupl(nGC_96) - 6d0*coupl(nGC_3 &
                        )*coupl(nGC_867)*coupl(nGC_97) - 6d0*coupl(nGC_62)*    &
                        coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl(nGC_62)*coupl(&
                        nGC_833)*coupl(nGC_867) - 6d0*coupl(nGC_79)*coupl(     &
                        nGC_867)*coupl(nGC_96))/(192d0*pi**2d0)
      coupl(nGC_9222) = (-16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_85)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_85)*coupl&
                        (nGC_87) - 16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(     &
                        nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_142)**2d0*coupl( &
                        nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_142)**2d0*coupl( &
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_142)**  &
                        2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_146)** &
                        2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_146)** &
                        2d0*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(  &
                        nGC_146)**2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl( &
                        nGC_170)**2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl( &
                        nGC_170)**2d0*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*   &
                        cima*coupl(nGC_170)**2d0*coupl(nGC_88)**2d0 - 16d0*Nc* &
                        cima*coupl(nGC_178)**2d0*coupl(nGC_85)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_178)**2d0*coupl(nGC_85)*coupl(nGC_87) - &
                        16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_87)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_85)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_87&
                        )**2d0 + 12d0*cima*coupl(nGC_1047)*coupl(nGC_62) + 9d0*&
                        cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_82)**2d0  &
                         + 4d0*cima*coupl(nGC_1331)*coupl(nGC_1485)*coupl(     &
                        nGC_63)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1331)*coupl(&
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_92) + 4d0*cima*coupl(&
                        nGC_1331)*coupl(nGC_72)*coupl(nGC_867)*coupl(nGC_92) + &
                        4d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_817)* &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_665 &
                        )*coupl(nGC_69)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_94) - 16d0*   &
                        cima*coupl(nGC_154)**2d0*coupl(nGC_86)**2d0 + 20d0*cima&
                        *coupl(nGC_154)**2d0*coupl(nGC_86)*coupl(nGC_90) - 16d0&
                        *cima*coupl(nGC_154)**2d0*coupl(nGC_90)**2d0 - 16d0*   &
                        cima*coupl(nGC_162)**2d0*coupl(nGC_86)**2d0 + 20d0*cima&
                        *coupl(nGC_162)**2d0*coupl(nGC_86)*coupl(nGC_90) - 16d0&
                        *cima*coupl(nGC_162)**2d0*coupl(nGC_90)**2d0 - 16d0*   &
                        cima*coupl(nGC_185)**2d0*coupl(nGC_86)**2d0 + 20d0*cima&
                        *coupl(nGC_185)**2d0*coupl(nGC_86)*coupl(nGC_90) - 16d0&
                        *cima*coupl(nGC_185)**2d0*coupl(nGC_90)**2d0 + 4d0*cima&
                        *coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_817)*coupl(   &
                        nGC_94) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_665)*coupl&
                        (nGC_69)*coupl(nGC_94) + 4d0*cima*coupl(nGC_2391)*coupl&
                        (nGC_69)*coupl(nGC_817)*coupl(nGC_92) + 9d0*cima*coupl(&
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_82)**2d0 + 4d0*cima* &
                        coupl(nGC_72)*coupl(nGC_817)*coupl(nGC_867)*coupl(     &
                        nGC_94) + 9d0*cima*coupl(nGC_72)*coupl(nGC_82)**2d0*   &
                        coupl(nGC_867) + 4d0*cima*coupl(nGC_793)**2d0*coupl(   &
                        nGC_96)**2d0 + 4d0*cima*coupl(nGC_96)**2d0*coupl(      &
                        nGC_975)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_793)**2d0 &
                         + 3d0*coupl(nGC_100)*coupl(nGC_975)**2d0 + 3d0*coupl( &
                        nGC_101)*coupl(nGC_72)*coupl(nGC_867) - 3d0*coupl(     &
                        nGC_1047)*coupl(nGC_1243)*coupl(nGC_68) - 3d0*coupl(   &
                        nGC_1047)*coupl(nGC_3011)*coupl(nGC_64) - 3d0*coupl(   &
                        nGC_1047)*coupl(nGC_72)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_1243)*coupl(nGC_16)*coupl(nGC_82) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_99) - 6d0*coupl(     &
                        nGC_15)*coupl(nGC_3011)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_15)*coupl(nGC_64)*coupl(nGC_82) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_19)*coupl&
                        (nGC_72)*coupl(nGC_82) - 6d0*coupl(nGC_20)*coupl(nGC_82&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_2391)*coupl(nGC_63)*  &
                        coupl(nGC_99) + 18d0*coupl(nGC_62)*coupl(nGC_82)**2d0  &
                         + 18d0*coupl(nGC_62)*coupl(nGC_833)**2d0)/(96d0*pi**  &
                        2d0)
      coupl(nGC_9224) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_131)*   &
                        coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_137)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_146)*coupl(   &
                        nGC_149)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_173)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_170)*coupl(   &
                        nGC_173)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_178)*coupl(nGC_180)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_193)*coupl(   &
                        nGC_195)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1331)*    &
                        coupl(nGC_817)*coupl(nGC_975) + 4d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_975) + 4d0*  &
                        cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_72)*    &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_3011&
                        )*coupl(nGC_69)*coupl(nGC_975) + 4d0*cima*coupl(       &
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_72)*coupl(nGC_94   &
                        ) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_63)*coupl(nGC_72&
                        )*coupl(nGC_817) + 4d0*cima*coupl(nGC_1243)*coupl(     &
                        nGC_665)*coupl(nGC_69)*coupl(nGC_72) + 4d0*cima*coupl( &
                        nGC_1243)*coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_975  &
                        ) + 4d0*cima*coupl(nGC_1331)**2d0*coupl(nGC_3011)*coupl&
                        (nGC_975) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_63)*    &
                        coupl(nGC_64)*coupl(nGC_72) + 4d0*cima*coupl(nGC_1331)*&
                        coupl(nGC_867)*coupl(nGC_96)*coupl(nGC_975) + 24d0*cima&
                        *coupl(nGC_15)*coupl(nGC_79) + 20d0*cima*coupl(nGC_154 &
                        )*coupl(nGC_157)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_154)*coupl(nGC_157)*coupl&
                        (nGC_80)*coupl(nGC_90) + 20d0*cima*coupl(nGC_162)*coupl&
                        (nGC_165)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl&
                        (nGC_162)*coupl(nGC_165)*coupl(nGC_80)*coupl(nGC_89) - &
                        16d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_80)* &
                        coupl(nGC_90) + 9d0*cima*coupl(nGC_17)*coupl(nGC_3)*   &
                        coupl(nGC_3011)*coupl(nGC_833) + 20d0*cima*coupl(      &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_80)*coupl(nGC_86) -  &
                        16d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_185)*coupl(nGC_188 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_817)**2d0*coupl(nGC_975) + 9d0*cima*coupl( &
                        nGC_3011)*coupl(nGC_82)*coupl(nGC_833)*coupl(nGC_96) + &
                        24d0*cima*coupl(nGC_607)*coupl(nGC_66) + 4d0*cima*coupl&
                        (nGC_63)**2d0*coupl(nGC_64)*coupl(nGC_975) + 4d0*cima* &
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_92 &
                        ) + 4d0*cima*coupl(nGC_64)*coupl(nGC_69)**2d0*coupl(   &
                        nGC_975) + 4d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl( &
                        nGC_72)*coupl(nGC_817) + 4d0*cima*coupl(nGC_64)*coupl( &
                        nGC_69)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(  &
                        nGC_64)*coupl(nGC_72)**2d0*coupl(nGC_975) + 9d0*cima*  &
                        coupl(nGC_82)*coupl(nGC_833)*coupl(nGC_867)*coupl(     &
                        nGC_92) - 6d0*coupl(nGC_100)*coupl(nGC_3011)*coupl(    &
                        nGC_82) + 36d0*coupl(nGC_1103)*coupl(nGC_66)*coupl(    &
                        nGC_82) + 6d0*coupl(nGC_1243)*coupl(nGC_14)*coupl(     &
                        nGC_69) + 6d0*coupl(nGC_1243)*coupl(nGC_16)*coupl(     &
                        nGC_63) + 6d0*coupl(nGC_1331)*coupl(nGC_19)*coupl(     &
                        nGC_975) - 6d0*coupl(nGC_15)*coupl(nGC_17)*coupl(nGC_3 &
                        ) + 6d0*coupl(nGC_15)*coupl(nGC_63)*coupl(nGC_64) +    &
                        36d0*coupl(nGC_15)*coupl(nGC_82)*coupl(nGC_833) - 6d0* &
                        coupl(nGC_15)*coupl(nGC_82)*coupl(nGC_96) + 6d0*coupl( &
                        nGC_16)*coupl(nGC_64)*coupl(nGC_69) - 6d0*coupl(nGC_17 &
                        )*coupl(nGC_3011)*coupl(nGC_607) + 6d0*coupl(nGC_19)*  &
                        coupl(nGC_64)*coupl(nGC_72) - 6d0*coupl(nGC_19)*coupl( &
                        nGC_833)*coupl(nGC_92) - 6d0*coupl(nGC_3)*coupl(       &
                        nGC_3011)*coupl(nGC_97) - 6d0*coupl(nGC_3011)*coupl(   &
                        nGC_61)*coupl(nGC_82) - 6d0*coupl(nGC_3011)*coupl(     &
                        nGC_62)*coupl(nGC_833) - 6d0*coupl(nGC_3011)*coupl(    &
                        nGC_79)*coupl(nGC_96) - 6d0*coupl(nGC_3011)*coupl(     &
                        nGC_833)*coupl(nGC_99) - 6d0*coupl(nGC_79)*coupl(      &
                        nGC_867)*coupl(nGC_92))/(192d0*pi**2d0)
      coupl(nGC_9227) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_145)*coupl(   &
                        nGC_146)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_169)*coupl(   &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_193)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1243)*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_833) + 4d0*cima*coupl(nGC_1243)*coupl(&
                        nGC_665)**2d0*coupl(nGC_975) + 4d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_817)**2d0*coupl(nGC_975) + 9d0*cima*coupl( &
                        nGC_1243)*coupl(nGC_82)*coupl(nGC_833)*coupl(nGC_96) + &
                        4d0*cima*coupl(nGC_1331)*coupl(nGC_3011)*coupl(nGC_817 &
                        )*coupl(nGC_975) + 4d0*cima*coupl(nGC_1331)*coupl(     &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_72) + 4d0*cima*coupl(  &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_975  &
                        ) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(    &
                        nGC_72)*coupl(nGC_92) + 20d0*cima*coupl(nGC_153)*coupl(&
                        nGC_154)*coupl(nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(&
                        nGC_153)*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89) -  &
                        16d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80)* &
                        coupl(nGC_90) + 24d0*cima*coupl(nGC_16)*coupl(nGC_79   &
                        ) + 20d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(     &
                        nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_161)*coupl(&
                        nGC_162)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(&
                        nGC_161)*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90) +  &
                        20d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_184)*coupl(nGC_185 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_184&
                        )*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima&
                        *coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_69)*coupl(  &
                        nGC_975) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*   &
                        coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_2391)*&
                        coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_817) + 4d0*cima* &
                        coupl(nGC_2391)*coupl(nGC_665)*coupl(nGC_69)*coupl(    &
                        nGC_72) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_665)*coupl&
                        (nGC_817)*coupl(nGC_975) + 24d0*cima*coupl(nGC_607)*   &
                        coupl(nGC_70) + 4d0*cima*coupl(nGC_63)**2d0*coupl(     &
                        nGC_68)*coupl(nGC_975) + 4d0*cima*coupl(nGC_63)*coupl( &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(  &
                        nGC_68)*coupl(nGC_69)**2d0*coupl(nGC_975) + 4d0*cima*  &
                        coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_817&
                        ) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72)*&
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_68)*coupl(nGC_72)** &
                        2d0*coupl(nGC_975) + 4d0*cima*coupl(nGC_817)*coupl(    &
                        nGC_867)*coupl(nGC_96)*coupl(nGC_975) + 9d0*cima*coupl(&
                        nGC_82)*coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_94) -  &
                        6d0*coupl(nGC_100)*coupl(nGC_1243)*coupl(nGC_82) + 36d0&
                        *coupl(nGC_1103)*coupl(nGC_70)*coupl(nGC_82) - 6d0*    &
                        coupl(nGC_1243)*coupl(nGC_17)*coupl(nGC_607) - 6d0*    &
                        coupl(nGC_1243)*coupl(nGC_3)*coupl(nGC_97) - 6d0*coupl(&
                        nGC_1243)*coupl(nGC_61)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_833) - 6d0*coupl(    &
                        nGC_1243)*coupl(nGC_79)*coupl(nGC_96) - 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_833)*coupl(nGC_99) + 6d0*coupl(    &
                        nGC_14)*coupl(nGC_2391)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_15)*coupl(nGC_63)*coupl(nGC_68) - 6d0*coupl(nGC_16 &
                        )*coupl(nGC_17)*coupl(nGC_3) + 6d0*coupl(nGC_16)*coupl(&
                        nGC_2391)*coupl(nGC_63) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_68)*coupl(nGC_69) + 36d0*coupl(nGC_16)*coupl(nGC_82&
                        )*coupl(nGC_833) - 6d0*coupl(nGC_16)*coupl(nGC_82)*    &
                        coupl(nGC_96) + 6d0*coupl(nGC_19)*coupl(nGC_68)*coupl( &
                        nGC_72) + 6d0*coupl(nGC_19)*coupl(nGC_817)*coupl(      &
                        nGC_975) - 6d0*coupl(nGC_19)*coupl(nGC_833)*coupl(     &
                        nGC_94) - 6d0*coupl(nGC_79)*coupl(nGC_867)*coupl(nGC_94&
                        ))/(192d0*pi**2d0)
      coupl(nGC_22866) = -coupl(nGC_13770) + coupl(nGC_13771)
      coupl(nGC_20640) = coupl(nGC_10)*dZHhHl_QED2 + coupl(nGC_13)*dZHh_QED2 + &
                         coupl(nGC_13)*dZHl_QED2 + coupl(nGC_9)*dZHlHh_QED2 +  &
                         coupl(nGC_9313)
      coupl(nGC_17836) = coupl(nGC_13488) + coupl(nGC_17834)
      coupl(nGC_9128) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)**2d0*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)**2d0&
                        *coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_149)**2d0*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_149)**2d0*coupl(nGC_87) - 12d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_173)**2d0*coupl(nGC_84) - 12d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_173)**2d0*coupl(nGC_87  &
                        ) - 12d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_2)*coupl&
                        (nGC_85) - 12d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_2&
                        )*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_180)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_180&
                        )**2d0*coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(&
                        nGC_195)**2d0*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima&
                        *coupl(nGC_195)**2d0*coupl(nGC_2)*coupl(nGC_88) + 9d0* &
                        cima*coupl(nGC_1103)*coupl(nGC_1243)*coupl(nGC_68)*    &
                        coupl(nGC_833) + 9d0*cima*coupl(nGC_1103)*coupl(       &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_833) + 4d0*cima*coupl&
                        (nGC_1243)*coupl(nGC_68)*coupl(nGC_793)*coupl(nGC_975  &
                        ) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_17)*coupl(nGC_69&
                        )*coupl(nGC_96) + 9d0*cima*coupl(nGC_1485)*coupl(nGC_3 &
                        )*coupl(nGC_69)*coupl(nGC_82) - 12d0*cima*coupl(nGC_157&
                        )**2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(   &
                        nGC_157)**2d0*coupl(nGC_4)*coupl(nGC_89) - 12d0*cima*  &
                        coupl(nGC_165)**2d0*coupl(nGC_4)*coupl(nGC_86) - 12d0* &
                        cima*coupl(nGC_165)**2d0*coupl(nGC_4)*coupl(nGC_89) +  &
                        4d0*cima*coupl(nGC_17)*coupl(nGC_2391)*coupl(nGC_63)*  &
                        coupl(nGC_96) - 12d0*cima*coupl(nGC_188)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_188)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_89) + 9d0*cima*coupl(nGC_2391)* &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_82) + 4d0*cima*   &
                        coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_793)*coupl(    &
                        nGC_975) + 12d0*cima*coupl(nGC_61)*coupl(nGC_83) - 3d0*&
                        coupl(nGC_1103)*coupl(nGC_1243)*coupl(nGC_16) - 3d0*   &
                        coupl(nGC_1103)*coupl(nGC_15)*coupl(nGC_3011) - 3d0*   &
                        coupl(nGC_1103)*coupl(nGC_15)*coupl(nGC_64) - 3d0*coupl&
                        (nGC_1103)*coupl(nGC_16)*coupl(nGC_68) + 18d0*coupl(   &
                        nGC_1103)*coupl(nGC_61)*coupl(nGC_833) - 3d0*coupl(    &
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_83) + 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_97) - 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_16)*coupl(nGC_3) - 3d0*coupl(      &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_83) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_97) - 3d0*coupl(     &
                        nGC_15)*coupl(nGC_2391)*coupl(nGC_3) - 3d0*coupl(nGC_15&
                        )*coupl(nGC_3)*coupl(nGC_63) - 3d0*coupl(nGC_16)*coupl(&
                        nGC_3)*coupl(nGC_69) - 3d0*coupl(nGC_2391)*coupl(nGC_63&
                        )*coupl(nGC_83) + 3d0*coupl(nGC_2391)*coupl(nGC_63)*   &
                        coupl(nGC_97) - 6d0*coupl(nGC_2391)*coupl(nGC_66)*coupl&
                        (nGC_82) + 18d0*coupl(nGC_3)*coupl(nGC_61)*coupl(nGC_82&
                        ) - 3d0*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_83) +  &
                        3d0*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_97) - 6d0* &
                        coupl(nGC_3011)*coupl(nGC_66)*coupl(nGC_833) - 6d0*    &
                        coupl(nGC_68)*coupl(nGC_70)*coupl(nGC_833) - 6d0*coupl(&
                        nGC_69)*coupl(nGC_70)*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_9129) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_137)*coupl(      &
                        nGC_141)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_87) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_149)*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_145)*    &
                        coupl(nGC_149)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_84) - 12d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_173)*coupl(&
                        nGC_87) - 12d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*  &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_130&
                        )*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc* &
                        cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_2)*coupl( &
                        nGC_85) - 12d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*  &
                        coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_192&
                        )*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc* &
                        cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_2)*coupl( &
                        nGC_88) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_1243)*    &
                        coupl(nGC_63)*coupl(nGC_833) + 9d0*cima*coupl(nGC_1103 &
                        )*coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_833) + 9d0*  &
                        cima*coupl(nGC_1485)*coupl(nGC_3)*coupl(nGC_63)*coupl( &
                        nGC_82) + 9d0*cima*coupl(nGC_1485)*coupl(nGC_3)*coupl( &
                        nGC_64)*coupl(nGC_82) - 12d0*cima*coupl(nGC_153)*coupl(&
                        nGC_157)*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl( &
                        nGC_153)*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_89) -   &
                        12d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_4)*  &
                        coupl(nGC_86) - 12d0*cima*coupl(nGC_161)*coupl(nGC_165 &
                        )*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(nGC_17)* &
                        coupl(nGC_2391)*coupl(nGC_69)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_17)*coupl(nGC_3011)*coupl(nGC_69)*coupl(     &
                        nGC_96) - 12d0*cima*coupl(nGC_184)*coupl(nGC_188)*coupl&
                        (nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_184)*coupl(&
                        nGC_188)*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_68)*coupl(nGC_793)*coupl(nGC_975   &
                        ) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_68)*coupl(      &
                        nGC_793)*coupl(nGC_975) - 3d0*coupl(nGC_1103)*coupl(   &
                        nGC_1243)*coupl(nGC_14) - 3d0*coupl(nGC_1103)*coupl(   &
                        nGC_1243)*coupl(nGC_15) - 3d0*coupl(nGC_1103)*coupl(   &
                        nGC_16)*coupl(nGC_63) - 3d0*coupl(nGC_1103)*coupl(     &
                        nGC_16)*coupl(nGC_64) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_63)*coupl(nGC_83) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_64)*coupl(nGC_83) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_66)*coupl(nGC_833) - 3d0*coupl(nGC_14)*coupl(      &
                        nGC_1485)*coupl(nGC_3) - 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_15)*coupl(nGC_3) - 3d0*coupl(nGC_1485)*coupl(nGC_63&
                        )*coupl(nGC_83) - 3d0*coupl(nGC_1485)*coupl(nGC_64)*   &
                        coupl(nGC_83) - 3d0*coupl(nGC_1485)*coupl(nGC_66)*coupl&
                        (nGC_82) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_63 &
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_64) + 3d0*&
                        coupl(nGC_2391)*coupl(nGC_68)*coupl(nGC_97) + 3d0*coupl&
                        (nGC_2391)*coupl(nGC_69)*coupl(nGC_97) - 3d0*coupl(    &
                        nGC_2391)*coupl(nGC_70)*coupl(nGC_82) + 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_68)*coupl(nGC_97) + 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_69)*coupl(nGC_97) - 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_70)*coupl(nGC_833) - 3d0*coupl(    &
                        nGC_63)*coupl(nGC_70)*coupl(nGC_833) - 3d0*coupl(nGC_64&
                        )*coupl(nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_65)*coupl&
                        (nGC_68)*coupl(nGC_833) - 3d0*coupl(nGC_65)*coupl(     &
                        nGC_69)*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_9126) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_137)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_173)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_2391)*    &
                        coupl(nGC_3)*coupl(nGC_793) + 9d0*cima*coupl(nGC_1103)*&
                        coupl(nGC_82)*coupl(nGC_867)*coupl(nGC_92) + 4d0*cima* &
                        coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_17)*coupl(   &
                        nGC_64) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_793)*coupl&
                        (nGC_867)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1485)*    &
                        coupl(nGC_17)*coupl(nGC_2391)*coupl(nGC_68) + 24d0*cima&
                        *coupl(nGC_15)*coupl(nGC_607) + 4d0*cima*coupl(nGC_154 &
                        )*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*&
                        coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_17)*coupl(nGC_63)*coupl(nGC_64  &
                        )**2d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_63)*coupl(   &
                        nGC_68)**2d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_63)*   &
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_185)*coupl(    &
                        nGC_188)*coupl(nGC_4)*coupl(nGC_80) + 9d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_3)*coupl(nGC_833)*coupl(nGC_975) + &
                        24d0*cima*coupl(nGC_5)*coupl(nGC_66) + 36d0*coupl(     &
                        nGC_1103)*coupl(nGC_15)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_18)*coupl(nGC_2391) - 6d0*coupl(   &
                        nGC_1103)*coupl(nGC_2391)*coupl(nGC_61) + 36d0*coupl(  &
                        nGC_1103)*coupl(nGC_3)*coupl(nGC_66) + 6d0*coupl(      &
                        nGC_1331)*coupl(nGC_74)*coupl(nGC_96) + 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_64)*coupl(nGC_70) + 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_65)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_17)*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(nGC_2391&
                        )*coupl(nGC_3)*coupl(nGC_62) - 6d0*coupl(nGC_2391)*    &
                        coupl(nGC_5)*coupl(nGC_793) - 6d0*coupl(nGC_2391)*coupl&
                        (nGC_607)*coupl(nGC_975) - 6d0*coupl(nGC_2391)*coupl(  &
                        nGC_833)*coupl(nGC_97) - 6d0*coupl(nGC_607)*coupl(     &
                        nGC_867)*coupl(nGC_92) + 6d0*coupl(nGC_63)*coupl(nGC_64&
                        )*coupl(nGC_66) + 6d0*coupl(nGC_63)*coupl(nGC_68)*coupl&
                        (nGC_70) + 6d0*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_74&
                        ) - 6d0*coupl(nGC_66)*coupl(nGC_82)*coupl(nGC_96) - 6d0&
                        *coupl(nGC_74)*coupl(nGC_82)*coupl(nGC_92))/(192d0*pi**&
                        2d0)
      coupl(nGC_9124) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_132)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_142)*coupl(nGC_143)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_172)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_194)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_132)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_142&
                        )*coupl(nGC_143)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_1331)*    &
                        coupl(nGC_2391)*coupl(nGC_82) + 9d0*cima*coupl(nGC_1103&
                        )*coupl(nGC_1485)*coupl(nGC_817)*coupl(nGC_82) + 9d0*  &
                        cima*coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_793)*coupl(&
                        nGC_867) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_793)*    &
                        coupl(nGC_94)*coupl(nGC_96) + 4d0*cima*coupl(nGC_154)* &
                        coupl(nGC_156)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*  &
                        coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_17)*coupl(nGC_64)**2d0*coupl(   &
                        nGC_72) + 4d0*cima*coupl(nGC_17)*coupl(nGC_68)**2d0*   &
                        coupl(nGC_72) + 4d0*cima*coupl(nGC_17)*coupl(nGC_72)** &
                        3d0 + 4d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(    &
                        nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(nGC_20)*coupl(  &
                        nGC_607) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_793)*    &
                        coupl(nGC_92)*coupl(nGC_96) + 9d0*cima*coupl(nGC_3)*   &
                        coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_975) + 24d0*   &
                        cima*coupl(nGC_5)*coupl(nGC_74) - 6d0*coupl(nGC_1103)* &
                        coupl(nGC_18)*coupl(nGC_867) + 36d0*coupl(nGC_1103)*   &
                        coupl(nGC_20)*coupl(nGC_82) + 36d0*coupl(nGC_1103)*    &
                        coupl(nGC_3)*coupl(nGC_74) - 6d0*coupl(nGC_1103)*coupl(&
                        nGC_62)*coupl(nGC_867) - 6d0*coupl(nGC_1331)*coupl(    &
                        nGC_2391)*coupl(nGC_607) - 6d0*coupl(nGC_1331)*coupl(  &
                        nGC_66)*coupl(nGC_82) - 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_607)*coupl(nGC_817) - 6d0*coupl(nGC_17)*coupl(nGC_3&
                        )*coupl(nGC_74) - 6d0*coupl(nGC_3)*coupl(nGC_62)*coupl(&
                        nGC_867) - 6d0*coupl(nGC_5)*coupl(nGC_793)*coupl(      &
                        nGC_867) - 6d0*coupl(nGC_607)*coupl(nGC_867)*coupl(    &
                        nGC_975) + 6d0*coupl(nGC_64)*coupl(nGC_66)*coupl(nGC_72&
                        ) + 6d0*coupl(nGC_66)*coupl(nGC_92)*coupl(nGC_96) + 6d0&
                        *coupl(nGC_68)*coupl(nGC_70)*coupl(nGC_72) - 6d0*coupl(&
                        nGC_70)*coupl(nGC_817)*coupl(nGC_82) + 6d0*coupl(nGC_70&
                        )*coupl(nGC_94)*coupl(nGC_96) + 6d0*coupl(nGC_72)**2d0*&
                        coupl(nGC_74) - 6d0*coupl(nGC_74)*coupl(nGC_82)*coupl( &
                        nGC_96) - 6d0*coupl(nGC_833)*coupl(nGC_867)*coupl(     &
                        nGC_97))/(192d0*pi**2d0)
      coupl(nGC_9125) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_141)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(     &
                        nGC_170)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_193)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_141&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_177 &
                        )*coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_1485)*    &
                        coupl(nGC_3)*coupl(nGC_793) + 9d0*cima*coupl(nGC_1103)*&
                        coupl(nGC_82)*coupl(nGC_867)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_1243)*coupl(nGC_17)*coupl(nGC_3011)*coupl(   &
                        nGC_64) + 9d0*cima*coupl(nGC_1485)*coupl(nGC_3)*coupl( &
                        nGC_833)*coupl(nGC_975) + 4d0*cima*coupl(nGC_153)*coupl&
                        (nGC_154)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(&
                        nGC_16)*coupl(nGC_607) + 4d0*cima*coupl(nGC_161)*coupl(&
                        nGC_162)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(  &
                        nGC_17)*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_68   &
                        ) + 4d0*cima*coupl(nGC_17)*coupl(nGC_64)**2d0*coupl(   &
                        nGC_69) + 4d0*cima*coupl(nGC_17)*coupl(nGC_68)**2d0*   &
                        coupl(nGC_69) + 4d0*cima*coupl(nGC_17)*coupl(nGC_69)*  &
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_184)*coupl(    &
                        nGC_185)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl( &
                        nGC_5)*coupl(nGC_70) + 4d0*cima*coupl(nGC_793)*coupl(  &
                        nGC_817)*coupl(nGC_867)*coupl(nGC_96) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_1485)*coupl(nGC_18) - 6d0*coupl(   &
                        nGC_1103)*coupl(nGC_1485)*coupl(nGC_61) + 36d0*coupl(  &
                        nGC_1103)*coupl(nGC_16)*coupl(nGC_82) + 36d0*coupl(    &
                        nGC_1103)*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(      &
                        nGC_1485)*coupl(nGC_3)*coupl(nGC_62) - 6d0*coupl(      &
                        nGC_1485)*coupl(nGC_5)*coupl(nGC_793) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_607)*coupl(nGC_975) - 6d0*coupl(   &
                        nGC_1485)*coupl(nGC_833)*coupl(nGC_97) - 6d0*coupl(    &
                        nGC_17)*coupl(nGC_3)*coupl(nGC_70) + 6d0*coupl(nGC_3011&
                        )*coupl(nGC_64)*coupl(nGC_70) + 6d0*coupl(nGC_3011)*   &
                        coupl(nGC_65)*coupl(nGC_68) - 6d0*coupl(nGC_607)*coupl(&
                        nGC_867)*coupl(nGC_94) + 6d0*coupl(nGC_64)*coupl(nGC_66&
                        )*coupl(nGC_69) + 6d0*coupl(nGC_68)*coupl(nGC_69)*coupl&
                        (nGC_70) + 6d0*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_74&
                        ) - 6d0*coupl(nGC_70)*coupl(nGC_82)*coupl(nGC_96) + 6d0&
                        *coupl(nGC_74)*coupl(nGC_817)*coupl(nGC_96) - 6d0*coupl&
                        (nGC_74)*coupl(nGC_82)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_9123) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_141)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(     &
                        nGC_170)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_193)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_141&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_177 &
                        )*coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_1243)*    &
                        coupl(nGC_17)*coupl(nGC_3) + 9d0*cima*coupl(nGC_1103)* &
                        coupl(nGC_1243)*coupl(nGC_82)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_63)*coupl(   &
                        nGC_793) + 4d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl&
                        (nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(nGC_16)*coupl( &
                        nGC_607) + 4d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl&
                        (nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(  &
                        nGC_817)*coupl(nGC_867)*coupl(nGC_975) + 4d0*cima*coupl&
                        (nGC_184)*coupl(nGC_185)*coupl(nGC_4)*coupl(nGC_80) +  &
                        4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_69)*&
                        coupl(nGC_793) + 9d0*cima*coupl(nGC_3)*coupl(nGC_833)* &
                        coupl(nGC_867)*coupl(nGC_94) + 24d0*cima*coupl(nGC_5)* &
                        coupl(nGC_70) + 4d0*cima*coupl(nGC_63)**2d0*coupl(     &
                        nGC_68)*coupl(nGC_793) + 4d0*cima*coupl(nGC_68)*coupl( &
                        nGC_69)**2d0*coupl(nGC_793) + 4d0*cima*coupl(nGC_68)*  &
                        coupl(nGC_72)**2d0*coupl(nGC_793) - 6d0*coupl(nGC_1103 &
                        )*coupl(nGC_1243)*coupl(nGC_62) + 36d0*coupl(nGC_1103)*&
                        coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(&
                        nGC_70)*coupl(nGC_793) - 6d0*coupl(nGC_1243)*coupl(    &
                        nGC_17)*coupl(nGC_5) - 6d0*coupl(nGC_1243)*coupl(nGC_18&
                        )*coupl(nGC_3) - 6d0*coupl(nGC_1243)*coupl(nGC_3)*coupl&
                        (nGC_61) - 6d0*coupl(nGC_1243)*coupl(nGC_607)*coupl(   &
                        nGC_96) - 6d0*coupl(nGC_1243)*coupl(nGC_82)*coupl(     &
                        nGC_97) + 36d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_833&
                        ) + 6d0*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_70) +  &
                        6d0*coupl(nGC_2391)*coupl(nGC_65)*coupl(nGC_69) - 6d0* &
                        coupl(nGC_607)*coupl(nGC_867)*coupl(nGC_94) + 6d0*coupl&
                        (nGC_63)*coupl(nGC_66)*coupl(nGC_68) + 6d0*coupl(nGC_68&
                        )*coupl(nGC_69)*coupl(nGC_70) + 6d0*coupl(nGC_68)*coupl&
                        (nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_70)*coupl(      &
                        nGC_833)*coupl(nGC_975) + 6d0*coupl(nGC_73)*coupl(     &
                        nGC_817)*coupl(nGC_975) - 6d0*coupl(nGC_73)*coupl(     &
                        nGC_833)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_13513) = coupl(nGC_13512) + coupl(nGC_9447)
      coupl(nGC_13514) = coupl(nGC_137)*dZHh_QED2/2d0 + coupl(nGC_141)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_9448)
      coupl(nGC_14237) = 2d0*coupl(nGC_45)*dZHMinusGMinus_QED2 + coupl(nGC_9298)
      coupl(nGC_8730) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_137)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_133)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_149)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_173)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_180)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_195)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_157)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_1331)*coupl(nGC_92) - cMHC**2d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_63) - cMHC**2d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_64) - 8d0*cMM**2d0*cima*coupl(nGC_165)**2d0&
                         - 8d0*cMTA**2d0*cima*coupl(nGC_188)**2d0 - 2d0*cMW**  &
                        2d0*cima*coupl(nGC_1243)*coupl(nGC_68) - 2d0*cMW**2d0* &
                        cima*coupl(nGC_1485)*coupl(nGC_69) - cMW**2d0*cima*    &
                        coupl(nGC_2391)*coupl(nGC_63) - cMW**2d0*cima*coupl(   &
                        nGC_3011)*coupl(nGC_64) - 4d0*cMW**2d0*coupl(nGC_61) - &
                        cMZ**2d0*cima*coupl(nGC_1331)*coupl(nGC_92) - 2d0*cMZ**&
                        2d0*cima*coupl(nGC_817)*coupl(nGC_94) - 2d0*cMZ**2d0*  &
                        coupl(nGC_99) + 4d0*cima*coupl(nGC_125)**2d0 + 2d0*cima&
                        *coupl(nGC_129)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8731) = cima*(8d0*Nc*coupl(nGC_130)*coupl(nGC_133) + 8d0*Nc*   &
                        coupl(nGC_137)*coupl(nGC_141) + 8d0*Nc*coupl(nGC_145)* &
                        coupl(nGC_149) + 8d0*Nc*coupl(nGC_169)*coupl(nGC_173   &
                        ) + 8d0*Nc*coupl(nGC_177)*coupl(nGC_180) + 8d0*Nc*coupl&
                        (nGC_192)*coupl(nGC_195) + coupl(nGC_1243)*coupl(nGC_63&
                        ) + coupl(nGC_1243)*coupl(nGC_64) + coupl(nGC_1331)*   &
                        coupl(nGC_94) + coupl(nGC_1485)*coupl(nGC_63) + coupl( &
                        nGC_1485)*coupl(nGC_64) + 8d0*coupl(nGC_153)*coupl(    &
                        nGC_157) + 8d0*coupl(nGC_161)*coupl(nGC_165) + 8d0*    &
                        coupl(nGC_184)*coupl(nGC_188) + coupl(nGC_2391)*coupl( &
                        nGC_68) + coupl(nGC_2391)*coupl(nGC_69) + coupl(       &
                        nGC_3011)*coupl(nGC_68) + coupl(nGC_3011)*coupl(nGC_69 &
                        ) + coupl(nGC_665)*coupl(nGC_94) + coupl(nGC_817)*coupl&
                        (nGC_91) + coupl(nGC_817)*coupl(nGC_92))/(192d0*pi**2d0&
                        )
      coupl(nGC_8732) = cima*(-16d0*Nc*cMB**2d0*coupl(nGC_137)*coupl(nGC_141   &
                        ) - 16d0*Nc*cMC**2d0*coupl(nGC_130)*coupl(nGC_133) -   &
                        16d0*Nc*cMD**2d0*coupl(nGC_145)*coupl(nGC_149) - 16d0* &
                        Nc*cMS**2d0*coupl(nGC_169)*coupl(nGC_173) - 16d0*Nc*cMT&
                        **2d0*coupl(nGC_177)*coupl(nGC_180) - 16d0*Nc*cMU**2d0*&
                        coupl(nGC_192)*coupl(nGC_195) - 16d0*cME**2d0*coupl(   &
                        nGC_153)*coupl(nGC_157) - cMHA**2d0*coupl(nGC_1331)*   &
                        coupl(nGC_94) - cMHA**2d0*coupl(nGC_817)*coupl(nGC_92  &
                        ) - cMHC**2d0*coupl(nGC_1243)*coupl(nGC_64) - cMHC**2d0&
                        *coupl(nGC_1485)*coupl(nGC_63) - cMHC**2d0*coupl(      &
                        nGC_2391)*coupl(nGC_69) - cMHC**2d0*coupl(nGC_3011)*   &
                        coupl(nGC_68) - 16d0*cMM**2d0*coupl(nGC_161)*coupl(    &
                        nGC_165) - 16d0*cMTA**2d0*coupl(nGC_184)*coupl(nGC_188 &
                        ) - 2d0*cMW**2d0*coupl(nGC_1243)*coupl(nGC_63) - cMW** &
                        2d0*coupl(nGC_1243)*coupl(nGC_64) - cMW**2d0*coupl(    &
                        nGC_1485)*coupl(nGC_63) - 2d0*cMW**2d0*coupl(nGC_1485)*&
                        coupl(nGC_64) - 2d0*cMW**2d0*coupl(nGC_2391)*coupl(    &
                        nGC_68) - cMW**2d0*coupl(nGC_2391)*coupl(nGC_69) - cMW &
                        **2d0*coupl(nGC_3011)*coupl(nGC_68) - 2d0*cMW**2d0*    &
                        coupl(nGC_3011)*coupl(nGC_69) - cMZ**2d0*coupl(nGC_1331&
                        )*coupl(nGC_94) - 2d0*cMZ**2d0*coupl(nGC_665)*coupl(   &
                        nGC_94) - 2d0*cMZ**2d0*coupl(nGC_817)*coupl(nGC_91) -  &
                        cMZ**2d0*coupl(nGC_817)*coupl(nGC_92) + 8d0*coupl(     &
                        nGC_124)*coupl(nGC_125) + 4d0*coupl(nGC_128)*coupl(    &
                        nGC_129))/(64d0*pi**2d0)
      coupl(nGC_8733) = cima*(4d0*Nc*coupl(nGC_130)**2d0 + 4d0*Nc*coupl(nGC_141&
                        )**2d0 + 4d0*Nc*coupl(nGC_145)**2d0 + 4d0*Nc*coupl(    &
                        nGC_169)**2d0 + 4d0*Nc*coupl(nGC_177)**2d0 + 4d0*Nc*   &
                        coupl(nGC_192)**2d0 + coupl(nGC_1243)*coupl(nGC_68) +  &
                        coupl(nGC_1485)*coupl(nGC_69) + 4d0*coupl(nGC_153)**2d0&
                         + 4d0*coupl(nGC_161)**2d0 + 4d0*coupl(nGC_184)**2d0 + &
                        coupl(nGC_2391)*coupl(nGC_63) + coupl(nGC_3011)*coupl( &
                        nGC_64) + coupl(nGC_665)*coupl(nGC_91) + coupl(nGC_817 &
                        )*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8734) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_141)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_130)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_145)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_169)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_177)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_192)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_153)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_817)*coupl(nGC_94) - cMHC**2d0*cima*coupl(   &
                        nGC_1243)*coupl(nGC_68) - cMHC**2d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_69) - 8d0*cMM**2d0*cima*coupl(nGC_161)**2d0&
                         - 8d0*cMTA**2d0*cima*coupl(nGC_184)**2d0 - cMW**2d0*  &
                        cima*coupl(nGC_1243)*coupl(nGC_68) - cMW**2d0*cima*    &
                        coupl(nGC_1485)*coupl(nGC_69) - 2d0*cMW**2d0*cima*coupl&
                        (nGC_2391)*coupl(nGC_63) - 2d0*cMW**2d0*cima*coupl(    &
                        nGC_3011)*coupl(nGC_64) - 4d0*cMW**2d0*coupl(nGC_61) - &
                        2d0*cMZ**2d0*cima*coupl(nGC_665)*coupl(nGC_91) - cMZ** &
                        2d0*cima*coupl(nGC_817)*coupl(nGC_94) - 2d0*cMZ**2d0*  &
                        coupl(nGC_99) + 4d0*cima*coupl(nGC_124)**2d0 + 2d0*cima&
                        *coupl(nGC_128)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8735) = cima*(-2d0*Nc*coupl(nGC_80)**2d0 - coupl(nGC_1103)**2d0&
                         - coupl(nGC_3)**2d0 - 2d0*coupl(nGC_80)**2d0 - coupl( &
                        nGC_82)**2d0 - coupl(nGC_833)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8736) = cima*(coupl(nGC_1103)**2d0 + coupl(nGC_3)**2d0 + coupl(&
                        nGC_82)**2d0 + coupl(nGC_833)**2d0)/(48d0*pi**2d0)
      coupl(nGC_8737) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_80)**2d0 + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_80)**2d0 + 2d0*Nc*cMD**2d0*cima*    &
                        coupl(nGC_80)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_80 &
                        )**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_80)**2d0 + 2d0*&
                        Nc*cMU**2d0*cima*coupl(nGC_80)**2d0 + 2d0*cME**2d0*cima&
                        *coupl(nGC_80)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_80)**&
                        2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_80)**2d0 + 3d0*cMW**&
                        2d0*cima*coupl(nGC_1103)**2d0 + 3d0*cMW**2d0*cima*coupl&
                        (nGC_3)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_82)**2d0 +  &
                        3d0*cMW**2d0*cima*coupl(nGC_833)**2d0 - 4d0*cMW**2d0*  &
                        coupl(nGC_78) + 3d0*cMZ**2d0*cima*coupl(nGC_82)**2d0 + &
                        3d0*cMZ**2d0*cima*coupl(nGC_833)**2d0 - 2d0*cMZ**2d0*  &
                        coupl(nGC_1047))/(32d0*pi**2d0)
      coupl(nGC_16027) = coupl(nGC_47)*dZHa_QED2/2d0 + coupl(nGC_55)*          &
                         dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_59)*dZHaG0_QED2/2d0 + &
                         coupl(nGC_9334)
      coupl(nGC_14949) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2&
                          + coupl(nGC_82)*dZZA_QED2/2d0 + coupl(nGC_9290)
    end subroutine fill_CTcouplings_mdl34
end module fill_ctcouplings34
