!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_12726) = coupl(nGC_74)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_16106) = coupl(nGC_80)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_25750) = 2d0*coupl(nGC_47)*dZHaG0_QED2 + coupl(nGC_9296)
      coupl(nGC_14874) = coupl(nGC_140)*dZG0/2d0
      coupl(nGC_15656) = coupl(nGC_167)*dZG0/2d0
      coupl(nGC_14878) = coupl(nGC_140)*dZbL_QED2/2d0 + coupl(nGC_140)*        &
                         dZbR_QED2/2d0 + coupl(nGC_143)*dZHaG0_QED2/2d0 + coupl&
                         (nGC_9439)
      coupl(nGC_17450) = coupl(nGC_18)*dZGMinus
      coupl(nGC_15091) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_15094) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_13768) = coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_9034) = coupl(nGC_7)**2d0*coupl(nGC_84)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_14678) = coupl(nGC_85)*dZuR_QCD2
      coupl(nGC_9036) = coupl(nGC_7)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_13956) = coupl(nGC_32)*dZGMinus
      coupl(nGC_15271) = dZGMinusHMinus_QED2*(coupl(nGC_122) + coupl(nGC_123))/&
                         2d0
      coupl(nGC_13001) = coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_13005) = -coupl(nGC_13001)
      coupl(nGC_13008) = coupl(nGC_40)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_8910) = coupl(nGC_170)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13489) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_18362) = coupl(nGC_195)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_13485) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_12998) = coupl(nGC_63)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_13135) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_13134) = coupl(nGC_73)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_13827) = coupl(nGC_80)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_12666) = dZGMinusHMinus_QED2*(coupl(nGC_48) + coupl(nGC_49))/2d0
      coupl(nGC_12662) = coupl(nGC_56)*dZG0
      coupl(nGC_9004) = coupl(nGC_130)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9007) = coupl(nGC_145)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9001) = coupl(nGC_141)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13969) = coupl(nGC_7)*dZcL_QCD2
      coupl(nGC_15086) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_17652) = coupl(nGC_171)*dZHa_QED2/2d0 + coupl(nGC_171)*        &
                         dZsL_QED2/2d0 + coupl(nGC_171)*dZsR_QED2/2d0 + coupl( &
                         nGC_175)*dZG0Ha_QED2/2d0 + coupl(nGC_9462)
      coupl(nGC_17650) = coupl(nGC_171)*dZsL_QCD2/2d0 + coupl(nGC_171)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9461)
      coupl(nGC_17651) = coupl(nGC_172)*dZHa_QED2/2d0 + coupl(nGC_172)*        &
                         dZsL_QED2/2d0 + coupl(nGC_172)*dZsR_QED2/2d0 + coupl( &
                         nGC_176)*dZG0Ha_QED2/2d0 + coupl(nGC_9460)
      coupl(nGC_17657) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_9311) = coupl(nGC_7984)*dl3_QED4 + coupl(nGC_7985)*db_QED2 +   &
                        coupl(nGC_7986)*dl2_QED4 + coupl(nGC_7987)*dl5_QED4 +  &
                        coupl(nGC_7988)*dl4_QED4 + coupl(nGC_7989)*dl1_QED4 +  &
                        coupl(nGC_7990)*da_QED2
      coupl(nGC_9317) = coupl(nGC_8033)*db_QED2 + coupl(nGC_8034)*dl5_QED4 +   &
                        coupl(nGC_8035)*dl4_QED4 + coupl(nGC_8036)*da_QED2
      coupl(nGC_9316) = coupl(nGC_8096)*dl3_QED4 + coupl(nGC_8097)*dl1_QED4 +  &
                        coupl(nGC_8098)*dl2_QED4 + coupl(nGC_8099)*dl5_QED4 +  &
                        coupl(nGC_8100)*dl4_QED4 + coupl(nGC_8101)*db_QED2
      coupl(nGC_9171) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)*coupl(&
                        nGC_134) - coupl(nGC_138)*coupl(nGC_142) - coupl(      &
                        nGC_146)*coupl(nGC_150) - coupl(nGC_170)*coupl(nGC_174 &
                        ) - coupl(nGC_178)*coupl(nGC_181) - coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_9170) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)*coupl( &
                        nGC_134) + coupl(nGC_138)*coupl(nGC_142) + coupl(      &
                        nGC_146)*coupl(nGC_150) + coupl(nGC_170)*coupl(nGC_174 &
                        ) + coupl(nGC_178)*coupl(nGC_181) + coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_14061) = coupl(nGC_87)*dZdL_QCD2
      coupl(nGC_TS_GC_153_Hl) = -coupl(nGC_153)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_145_Hl) = -coupl(nGC_145)*dtHl_QED1/cMHL**2d0
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
