!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_17832) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_17834) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_17835) = coupl(nGC_2)*dZcL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
      coupl(nGC_12767) = coupl(nGC_17)*dZA_QED2/2d0 + coupl(nGC_9361) + coupl( &
                         nGC_96)*dZZA_QED2/2d0
      coupl(nGC_9496) = coupl(nGC_8618)*dyc1_QED1_QCD2 + coupl(nGC_8619)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_18174) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_18172) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_9325) = coupl(nGC_8660)*dl3_QED4 + coupl(nGC_8661)*db_QED2 +   &
                        coupl(nGC_8662)*dl2_QED4 + coupl(nGC_8663)*dl5_QED4 +  &
                        coupl(nGC_8664)*dl4_QED4 + coupl(nGC_8665)*dl1_QED4 +  &
                        coupl(nGC_8666)*da_QED2
      coupl(nGC_9494) = coupl(nGC_8269)*dyup1_QED1_QCD2 + coupl(nGC_8270)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_18179) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_14847) = coupl(nGC_77)*dZGMinus/2d0
      coupl(nGC_9495) = coupl(nGC_8617)*db_QED2 + coupl(nGC_8618)*dyc1_QED3 +  &
                        coupl(nGC_8619)*dyc2_QED3
      coupl(nGC_25749) = 2d0*coupl(nGC_55)*dZG0
      coupl(nGC_9322) = coupl(nGC_8653)*dl3_QED4 + coupl(nGC_8654)*db_QED2 +   &
                        coupl(nGC_8655)*dl2_QED4 + coupl(nGC_8656)*dl5_QED4 +  &
                        coupl(nGC_8657)*dl4_QED4 + coupl(nGC_8658)*dl1_QED4 +  &
                        coupl(nGC_8659)*da_QED2
      coupl(nGC_9491) = coupl(nGC_8583)*db_QED2 + coupl(nGC_8584)*dyup1_QED3 + &
                        coupl(nGC_8585)*dyup2_QED3
      coupl(nGC_18287) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_9019) = coupl(nGC_177)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12768) = -coupl(nGC_12767)
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14593) = coupl(nGC_21)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_14024) = coupl(nGC_37)*dZG0/2d0
      coupl(nGC_14029) = coupl(nGC_25)*dZG0Ha_QED2/2d0 + coupl(nGC_26)*        &
                         dZHaG0_QED2/2d0 + coupl(nGC_28)*dZHlHh_QED2/2d0 +     &
                         coupl(nGC_29)*dZHhHl_QED2/2d0 + coupl(nGC_37)*        &
                         dZHa_QED2/2d0 + coupl(nGC_37)*dZHh_QED2/2d0 + coupl(  &
                         nGC_37)*dZHl_QED2/2d0 + coupl(nGC_9320)
      coupl(nGC_13101) = coupl(nGC_58)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_13106) = coupl(nGC_42)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_42)*&
                         dZHaG0_QED2/2d0 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +     &
                         coupl(nGC_43)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_58)*&
                         dZHMinus_QED2/2d0 + coupl(nGC_58)*dZHa_QED2/2d0 +     &
                         coupl(nGC_9316)
      coupl(nGC_12859) = coupl(nGC_42)*dZGMinus/2d0
      coupl(nGC_8877) = coupl(nGC_151)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13856) = coupl(nGC_194)*(dZuL_QED2 + dZuR_QED2)/2d0
      coupl(nGC_13857) = coupl(nGC_194)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_13582) = coupl(nGC_101)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_8876) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_151) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_152) - coupl(nGC_145)*coupl(nGC_665)* &
                        coupl(nGC_87) - coupl(nGC_145)*coupl(nGC_84)*coupl(    &
                        nGC_91) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_197  &
                        ) - coupl(nGC_147)**2d0*coupl(nGC_152) - coupl(nGC_149 &
                        )**2d0*coupl(nGC_152) - coupl(nGC_149)*coupl(nGC_817)* &
                        coupl(nGC_87) - coupl(nGC_149)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_150)*coupl(nGC_196)*coupl(nGC_197  &
                        ) - coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_867) - coupl&
                        (nGC_151)**2d0*coupl(nGC_152) + 8d0*coupl(nGC_151)*    &
                        coupl(nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_13859) = coupl(nGC_194)*dZuL_QED2/2d0 + coupl(nGC_194)*        &
                         dZuR_QED2/2d0 + coupl(nGC_198)*dZG0Ha_QED2/2d0
      coupl(nGC_13588) = coupl(nGC_153)*dZHlHh_QED2/2d0 + coupl(nGC_157)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9479)
      coupl(nGC_13589) = coupl(nGC_13584) + coupl(nGC_13588)
      coupl(nGC_8945) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_147) - coupl(nGC_1191 &
                        )*coupl(nGC_146)*coupl(nGC_193) - coupl(nGC_1191)*coupl&
                        (nGC_150)*coupl(nGC_196) - coupl(nGC_1331)*coupl(      &
                        nGC_149)*coupl(nGC_87) - coupl(nGC_145)**2d0*coupl(    &
                        nGC_148) - coupl(nGC_145)*coupl(nGC_817)*coupl(nGC_87  &
                        ) - coupl(nGC_145)*coupl(nGC_84)*coupl(nGC_94) - coupl(&
                        nGC_146)*coupl(nGC_80)*coupl(nGC_867) - coupl(nGC_147  &
                        )**2d0*coupl(nGC_148) + 8d0*coupl(nGC_147)*coupl(nGC_84&
                        )*coupl(nGC_87) - coupl(nGC_148)*coupl(nGC_149)**2d0 - &
                        coupl(nGC_148)*coupl(nGC_151)**2d0 - coupl(nGC_149)*   &
                        coupl(nGC_84)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8944) = coupl(nGC_148)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8943) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_148) - coupl(nGC_1331 &
                        )*coupl(nGC_149)*coupl(nGC_84) - coupl(nGC_145)**2d0*  &
                        coupl(nGC_147) - coupl(nGC_145)*coupl(nGC_817)*coupl(  &
                        nGC_84) - coupl(nGC_145)*coupl(nGC_87)*coupl(nGC_94) - &
                        coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_194) - coupl(  &
                        nGC_146)*coupl(nGC_72)*coupl(nGC_80) - coupl(nGC_147)* &
                        coupl(nGC_148)**2d0 - coupl(nGC_147)*coupl(nGC_149)**  &
                        2d0 - coupl(nGC_147)*coupl(nGC_152)**2d0 + 8d0*coupl(  &
                        nGC_148)*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_149)* &
                        coupl(nGC_87)*coupl(nGC_92) - coupl(nGC_150)*coupl(    &
                        nGC_194)*coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_8942) = coupl(nGC_132)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_17000) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_9013) = (coupl(nGC_1485)*coupl(nGC_162)*coupl(nGC_80) - coupl( &
                        nGC_161)**3d0 - coupl(nGC_161)*coupl(nGC_164)**2d0 -   &
                        coupl(nGC_161)*coupl(nGC_165)**2d0 - coupl(nGC_161)*   &
                        coupl(nGC_168)**2d0 + 8d0*coupl(nGC_161)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_161)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_164)*coupl(nGC_817)*coupl(nGC_86) + coupl(   &
                        nGC_164)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_166)* &
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_168)*coupl(    &
                        nGC_665)*coupl(nGC_86) + coupl(nGC_168)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_9517) = coupl(nGC_8453)*db_QED2 + coupl(nGC_8454)*dyc1_QED3 +  &
                        coupl(nGC_8455)*dyc2_QED3
      coupl(nGC_8789) = coupl(nGC_1)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_8788) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) +     &
                        coupl(nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_138)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_142)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_9306) = coupl(nGC_8674)*dl3_QED4 + coupl(nGC_8675)*db_QED2 +   &
                        coupl(nGC_8676)*dl2_QED4 + coupl(nGC_8677)*dl5_QED4 +  &
                        coupl(nGC_8678)*dl4_QED4 + coupl(nGC_8679)*dl1_QED4 +  &
                        coupl(nGC_8680)*da_QED2
      coupl(nGC_9307) = coupl(nGC_8041)*dl3_QED4 + coupl(nGC_8042)*dl1_QED4 +  &
                        coupl(nGC_8043)*dl2_QED4 + coupl(nGC_8044)*dl5_QED4 +  &
                        coupl(nGC_8045)*dl4_QED4 + coupl(nGC_8046)*db_QED2
      coupl(nGC_9302) = coupl(nGC_8047)*dl3_QED4 + coupl(nGC_8048)*dl1_QED4 +  &
                        coupl(nGC_8049)*dl2_QED4 + coupl(nGC_8050)*dl5_QED4 +  &
                        coupl(nGC_8051)*dl4_QED4 + coupl(nGC_8052)*db_QED2
      coupl(nGC_9303) = coupl(nGC_8702)*dl3_QED4 + coupl(nGC_8703)*db_QED2 +   &
                        coupl(nGC_8704)*dl2_QED4 + coupl(nGC_8705)*dl5_QED4 +  &
                        coupl(nGC_8706)*dl4_QED4 + coupl(nGC_8707)*dl1_QED4 +  &
                        coupl(nGC_8708)*da_QED2
      coupl(nGC_9300) = coupl(nGC_8688)*dl3_QED4 + coupl(nGC_8689)*db_QED2 +   &
                        coupl(nGC_8690)*dl2_QED4 + coupl(nGC_8691)*dl5_QED4 +  &
                        coupl(nGC_8692)*dl4_QED4 + coupl(nGC_8693)*dl1_QED4 +  &
                        coupl(nGC_8694)*da_QED2
      coupl(nGC_9308) = coupl(nGC_8102)*dl3_QED4 + coupl(nGC_8103)*dl1_QED4 +  &
                        coupl(nGC_8104)*dl2_QED4 + coupl(nGC_8105)*dl5_QED4 +  &
                        coupl(nGC_8106)*dl4_QED4 + coupl(nGC_8107)*db_QED2
      coupl(nGC_13143) = coupl(nGC_19)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_16196) = coupl(nGC_160)*dZG0/2d0
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
