!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2626)%branchR2(0:0))
      call avR2(2626, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2200)%branchR2(0:1))
      call avR2(2200, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8909, nGC_8907])

      call avR2(2200, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8910, nGC_8908])

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(2821)%branchR2(0:0))
      call avR2(2821, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2990)%branchR2(0:0))
      call avR2(2990, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(2688)%branchR2(0:1))
      call avR2(2688, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(2688, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8923, nGC_8922])

      allocate(vertices(2672)%branchR2(0:0))
      call avR2(2672, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2841)%branchR2(0:0))
      call avR2(2841, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(3657)%branchR2(0:0))
      call avR2(3657, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8857])

      allocate(vertices(2059)%branchR2(0:0))
      call avR2(2059, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3658)%branchR2(0:1))
      call avR2(3658, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9171])

      call avR2(3658, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(2055)%branchR2(0:0))
      call avR2(2055, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3167)%branchR2(0:0))
      call avR2(3167, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30540])

      allocate(vertices(1847)%branchR2(0:0))
      call avR2(1847, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(226)%branchR2(0:0))
      call avR2(226, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1585)%branchR2(0:0))
      call avR2(1585, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2119)%branchR2(0:0))
      call avR2(2119, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(1589)%branchR2(0:0))
      call avR2(1589, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3187)%branchR2(0:0))
      call avR2(3187, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1306)%branchR2(0:0))
      call avR2(1306, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(3277)%branchR2(0:0))
      call avR2(3277, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29977])

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8835])

      allocate(vertices(1410)%branchR2(0:0))
      call avR2(1410, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(489)%branchR2(0:0))
      call avR2(489, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

      allocate(vertices(1482)%branchR2(0:0))
      call avR2(1482, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2373)%branchR2(0:1))
      call avR2(2373, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8909, nGC_8907])

      call avR2(2373, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8910, nGC_8908])

      allocate(vertices(2236)%branchR2(0:0))
      call avR2(2236, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1995)%branchR2(0:0))
      call avR2(1995, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8929])

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1684)%branchR2(0:0))
      call avR2(1684, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

      allocate(vertices(3659)%branchR2(0:0))
      call avR2(3659, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(3122)%branchR2(0:0))
      call avR2(3122, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9133])

      allocate(vertices(611)%branchR2(0:0))
      call avR2(611, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8933])

      allocate(vertices(676)%branchR2(0:1))
      call avR2(676, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_9026])

      call avR2(676, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

      allocate(vertices(3138)%branchR2(0:0))
      call avR2(3138, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(3660)%branchR2(0:0))
      call avR2(3660, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(3661)%branchR2(0:0))
      call avR2(3661, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2603)%branchR2(0:1))
      call avR2(2603, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8829, nGC_8827])

      call avR2(2603, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8830, nGC_8828])

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1419)%branchR2(0:1))
      call avR2(1419, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(1419, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1300)%branchR2(0:0))
      call avR2(1300, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

      allocate(vertices(2286)%branchR2(0:0))
      call avR2(2286, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(1736)%branchR2(0:0))
      call avR2(1736, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3081)%branchR2(0:0))
      call avR2(3081, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(2639)%branchR2(0:0))
      call avR2(2639, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(426)%branchR2(0:1))
      call avR2(426, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(426, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_8805, nGC_8804])

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8773])

      allocate(vertices(1693)%branchR2(0:0))
      call avR2(1693, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8928])

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3662)%branchR2(0:1))
      call avR2(3662, 0, 48, 1, 0, VSV0, 0, [2, 1], [nGC_9011])

      call avR2(3662, 1, 47, 1, 0, VSV0, 0, [2, 1], [nGC_9010])

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(3333)%branchR2(0:0))
      call avR2(3333, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(3382)%branchR2(0:0))
      call avR2(3382, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9087])

      allocate(vertices(3663)%branchR2(0:1))
      call avR2(3663, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9220])

      call avR2(3663, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9219])

      allocate(vertices(601)%branchR2(0:1))
      call avR2(601, 0, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(601, 1, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_9049, nGC_9048])

      allocate(vertices(661)%branchR2(0:0))
      call avR2(661, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9246])

      allocate(vertices(2674)%branchR2(0:0))
      call avR2(2674, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(3664)%branchR2(0:1))
      call avR2(3664, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9263])

      call avR2(3664, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9264])

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9259, nGC_9258,        &
      nGC_9260])

      allocate(vertices(2284)%branchR2(0:0))
      call avR2(2284, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(721)%branchR2(0:0))
      call avR2(721, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1620)%branchR2(0:1))
      call avR2(1620, 0, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_9037, nGC_9035])

      call avR2(1620, 1, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_9038, nGC_9036])

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2401)%branchR2(0:0))
      call avR2(2401, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(1756)%branchR2(0:0))
      call avR2(1756, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1849)%branchR2(0:0))
      call avR2(1849, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(2352)%branchR2(0:0))
      call avR2(2352, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(2335)%branchR2(0:1))
      call avR2(2335, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8975, nGC_8975])

      call avR2(2335, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8973, nGC_8974])

      allocate(vertices(3665)%branchR2(0:0))
      call avR2(3665, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9109, nGC_9108,       &
      nGC_9109])

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(2050)%branchR2(0:1))
      call avR2(2050, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_9002, nGC_9003])

      call avR2(2050, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_9004, nGC_9004])

      allocate(vertices(3666)%branchR2(0:1))
      call avR2(3666, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9254])

      call avR2(3666, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9253])

      allocate(vertices(2614)%branchR2(0:0))
      call avR2(2614, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(375)%branchR2(0:0))
      call avR2(375, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8773])

      allocate(vertices(1382)%branchR2(0:0))
      call avR2(1382, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(825)%branchR2(0:0))
      call avR2(825, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(1781)%branchR2(0:0))
      call avR2(1781, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(187)%branchR2(0:1))
      call avR2(187, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8892, nGC_8894])

      call avR2(187, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8893, nGC_8895])

      allocate(vertices(3667)%branchR2(0:1))
      call avR2(3667, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      call avR2(3667, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      allocate(vertices(3668)%branchR2(0:0))
      call avR2(3668, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(1815)%branchR2(0:1))
      call avR2(1815, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9004, nGC_9004])

      call avR2(1815, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_9002, nGC_9003])

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(3669)%branchR2(0:1))
      call avR2(3669, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3669, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(1834)%branchR2(0:0))
      call avR2(1834, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8950, nGC_8949])

      allocate(vertices(597)%branchR2(0:0))
      call avR2(597, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(2569)%branchR2(0:0))
      call avR2(2569, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(35)%branchR2(0:0))
      call avR2(35, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2566)%branchR2(0:0))
      call avR2(2566, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(3670)%branchR2(0:0))
      call avR2(3670, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9090])

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8992, nGC_8991])

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(2961)%branchR2(0:0))
      call avR2(2961, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29977])

      allocate(vertices(1704)%branchR2(0:0))
      call avR2(1704, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9247])

      allocate(vertices(1448)%branchR2(0:1))
      call avR2(1448, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8882, nGC_8884])

      call avR2(1448, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8883, nGC_8885])

      allocate(vertices(1942)%branchR2(0:0))
      call avR2(1942, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

      allocate(vertices(1865)%branchR2(0:0))
      call avR2(1865, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(1907)%branchR2(0:0))
      call avR2(1907, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8806, nGC_8807])

      allocate(vertices(1420)%branchR2(0:0))
      call avR2(1420, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(443)%branchR2(0:1))
      call avR2(443, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8961, nGC_8963])

      call avR2(443, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8962, nGC_8964])

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(286)%branchR2(0:0))
      call avR2(286, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1807)%branchR2(0:0))
      call avR2(1807, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(705)%branchR2(0:0))
      call avR2(705, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(3473)%branchR2(0:0))
      call avR2(3473, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3671)%branchR2(0:0))
      call avR2(3671, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9097])

      allocate(vertices(89)%branchR2(0:0))
      call avR2(89, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(1726)%branchR2(0:0))
      call avR2(1726, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8997])

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1269)%branchR2(0:1))
      call avR2(1269, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(1269, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(1749)%branchR2(0:0))
      call avR2(1749, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

      allocate(vertices(255)%branchR2(0:0))
      call avR2(255, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(1338)%branchR2(0:0))
      call avR2(1338, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9030])

      allocate(vertices(3672)%branchR2(0:1))
      call avR2(3672, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3672, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(3673)%branchR2(0:0))
      call avR2(3673, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(1327)%branchR2(0:0))
      call avR2(1327, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

      allocate(vertices(2182)%branchR2(0:0))
      call avR2(2182, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(1086)%branchR2(0:0))
      call avR2(1086, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(914)%branchR2(0:0))
      call avR2(914, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9030])

      allocate(vertices(458)%branchR2(0:0))
      call avR2(458, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3033)%branchR2(0:0))
      call avR2(3033, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8784])

      allocate(vertices(1247)%branchR2(0:0))
      call avR2(1247, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9260, nGC_9258,       &
      nGC_9259])

      allocate(vertices(3418)%branchR2(0:0))
      call avR2(3418, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2378)%branchR2(0:1))
      call avR2(2378, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8829, nGC_8827])

      call avR2(2378, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8830, nGC_8828])

      allocate(vertices(3271)%branchR2(0:0))
      call avR2(3271, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1294)%branchR2(0:0))
      call avR2(1294, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8966])

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8891, nGC_8890])

      allocate(vertices(3105)%branchR2(0:0))
      call avR2(3105, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8843])

      allocate(vertices(2032)%branchR2(0:0))
      call avR2(2032, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2206)%branchR2(0:0))
      call avR2(2206, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(3251)%branchR2(0:0))
      call avR2(3251, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(294)%branchR2(0:1))
      call avR2(294, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8886, nGC_8888])

      call avR2(294, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8887, nGC_8889])

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2225)%branchR2(0:0))
      call avR2(2225, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8879, nGC_8878])

      allocate(vertices(2514)%branchR2(0:0))
      call avR2(2514, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(908)%branchR2(0:0))
      call avR2(908, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1)%branchR2(0:1))
      call avR2(1, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8882, nGC_8884])

      call avR2(1, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8883, nGC_8885])

      allocate(vertices(2526)%branchR2(0:0))
      call avR2(2526, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(3674)%branchR2(0:0))
      call avR2(3674, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9108, nGC_9109,       &
      nGC_9109])

      allocate(vertices(2997)%branchR2(0:0))
      call avR2(2997, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(2682)%branchR2(0:0))
      call avR2(2682, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2720)%branchR2(0:0))
      call avR2(2720, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3675)%branchR2(0:0))
      call avR2(3675, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(2557)%branchR2(0:1))
      call avR2(2557, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(2557, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(2871)%branchR2(0:0))
      call avR2(2871, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8843])

      allocate(vertices(728)%branchR2(0:0))
      call avR2(728, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2321)%branchR2(0:0))
      call avR2(2321, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(2481)%branchR2(0:0))
      call avR2(2481, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

      allocate(vertices(2376)%branchR2(0:0))
      call avR2(2376, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(707)%branchR2(0:0))
      call avR2(707, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30852])

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(3144)%branchR2(0:0))
      call avR2(3144, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8795, nGC_8796])

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1703)%branchR2(0:0))
      call avR2(1703, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3558)%branchR2(0:0))
      call avR2(3558, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(3676)%branchR2(0:1))
      call avR2(3676, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9171])

      call avR2(3676, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29705])

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2071)%branchR2(0:0))
      call avR2(2071, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3170)%branchR2(0:0))
      call avR2(3170, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8844])

      allocate(vertices(1381)%branchR2(0:0))
      call avR2(1381, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1433)%branchR2(0:0))
      call avR2(1433, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(3677)%branchR2(0:1))
      call avR2(3677, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      call avR2(3677, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      allocate(vertices(1867)%branchR2(0:0))
      call avR2(1867, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8919])

      allocate(vertices(1542)%branchR2(0:0))
      call avR2(1542, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(3199)%branchR2(0:0))
      call avR2(3199, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(2195)%branchR2(0:1))
      call avR2(2195, 0, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(2195, 1, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_9040, nGC_9039])

      allocate(vertices(868)%branchR2(0:1))
      call avR2(868, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9007, nGC_9007])

      call avR2(868, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_9005, nGC_9006])

      allocate(vertices(568)%branchR2(0:0))
      call avR2(568, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(1593)%branchR2(0:0))
      call avR2(1593, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

      allocate(vertices(2277)%branchR2(0:0))
      call avR2(2277, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8929])

      allocate(vertices(3678)%branchR2(0:1))
      call avR2(3678, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9153])

      call avR2(3678, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9152])

      allocate(vertices(608)%branchR2(0:0))
      call avR2(608, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(735)%branchR2(0:0))
      call avR2(735, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(2857)%branchR2(0:0))
      call avR2(2857, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30506])

      allocate(vertices(679)%branchR2(0:1))
      call avR2(679, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(679, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_9040, nGC_9039])

      allocate(vertices(2643)%branchR2(0:1))
      call avR2(2643, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8908, nGC_8910])

      call avR2(2643, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8924, nGC_8925])

      allocate(vertices(2727)%branchR2(0:0))
      call avR2(2727, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9248])

      allocate(vertices(3679)%branchR2(0:1))
      call avR2(3679, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9171])

      call avR2(3679, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(2022)%branchR2(0:1))
      call avR2(2022, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_9002, nGC_9003])

      call avR2(2022, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_9004, nGC_9004])

      allocate(vertices(798)%branchR2(0:1))
      call avR2(798, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_8805, nGC_8804])

      call avR2(798, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1897)%branchR2(0:0))
      call avR2(1897, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(652)%branchR2(0:1))
      call avR2(652, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_9017, nGC_9018])

      call avR2(652, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_9019, nGC_9019])

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1978)%branchR2(0:0))
      call avR2(1978, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(3417)%branchR2(0:0))
      call avR2(3417, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(3116)%branchR2(0:0))
      call avR2(3116, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(2779)%branchR2(0:0))
      call avR2(2779, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8783])

      allocate(vertices(3479)%branchR2(0:0))
      call avR2(3479, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8721, nGC_8720])

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9041, nGC_9042])

      allocate(vertices(2145)%branchR2(0:0))
      call avR2(2145, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8837])

      allocate(vertices(3086)%branchR2(0:0))
      call avR2(3086, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9248])

      allocate(vertices(3471)%branchR2(0:0))
      call avR2(3471, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(2074)%branchR2(0:0))
      call avR2(2074, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30146])

      allocate(vertices(2524)%branchR2(0:0))
      call avR2(2524, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1341)%branchR2(0:0))
      call avR2(1341, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1035)%branchR2(0:0))
      call avR2(1035, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3063)%branchR2(0:0))
      call avR2(3063, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29233])

      allocate(vertices(1824)%branchR2(0:0))
      call avR2(1824, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(1708)%branchR2(0:0))
      call avR2(1708, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(78)%branchR2(0:0))
      call avR2(78, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

      allocate(vertices(3001)%branchR2(0:0))
      call avR2(3001, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(3131)%branchR2(0:1))
      call avR2(3131, 0, 16, 1, 0, VV3, 0, [2, 0], [nGC_8759, nGC_8758,        &
      nGC_8760])

      call avR2(3131, 1, 15, 1, 0, VV3, 0, [2, 0], [nGC_8756, nGC_8755,        &
      nGC_8757])

      allocate(vertices(2900)%branchR2(0:0))
      call avR2(2900, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9128])

      allocate(vertices(1765)%branchR2(0:0))
      call avR2(1765, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(2734)%branchR2(0:0))
      call avR2(2734, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(2722)%branchR2(0:0))
      call avR2(2722, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8785])

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

      allocate(vertices(2365)%branchR2(0:0))
      call avR2(2365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(2223)%branchR2(0:0))
      call avR2(2223, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2927)%branchR2(0:0))
      call avR2(2927, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30956])

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(1656)%branchR2(0:0))
      call avR2(1656, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2767)%branchR2(0:0))
      call avR2(2767, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

      allocate(vertices(1463)%branchR2(0:0))
      call avR2(1463, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1062)%branchR2(0:1))
      call avR2(1062, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

      call avR2(1062, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9028])

      allocate(vertices(571)%branchR2(0:0))
      call avR2(571, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3415)%branchR2(0:0))
      call avR2(3415, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1683)%branchR2(0:1))
      call avR2(1683, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(1683, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_8794, nGC_8793])

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(3270)%branchR2(0:0))
      call avR2(3270, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9248])

      allocate(vertices(1415)%branchR2(0:3))
      call avR2(1415, 0, 35, 1, 0, FaVF1, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(1415, 1, 35, 1, 0, FaVF1, 0, [3, 0], [nGC_9072, nGC_9072])

      call avR2(1415, 2, 34, 1, 0, FaVF1, 0, [1, 2], [nGC_9079, nGC_9078])

      call avR2(1415, 3, 34, 1, 0, FaVF1, 0, [3, 0], [nGC_9075, nGC_9075])

      allocate(vertices(2736)%branchR2(0:0))
      call avR2(2736, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2858)%branchR2(0:0))
      call avR2(2858, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9087])

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2487)%branchR2(0:0))
      call avR2(2487, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1256)%branchR2(0:1))
      call avR2(1256, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(1256, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_9055, nGC_9054])

      allocate(vertices(710)%branchR2(0:0))
      call avR2(710, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(1777)%branchR2(0:0))
      call avR2(1777, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8845])

      allocate(vertices(3522)%branchR2(0:1))
      call avR2(3522, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8745, nGC_8743,       &
      nGC_8764, nGC_8764])

      call avR2(3522, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8763, nGC_8763])

      allocate(vertices(1569)%branchR2(0:0))
      call avR2(1569, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1159)%branchR2(0:0))
      call avR2(1159, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9030])

      allocate(vertices(2194)%branchR2(0:0))
      call avR2(2194, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9046])

      allocate(vertices(3680)%branchR2(0:0))
      call avR2(3680, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2709)%branchR2(0:0))
      call avR2(2709, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29836])

      allocate(vertices(2744)%branchR2(0:0))
      call avR2(2744, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(2314)%branchR2(0:0))
      call avR2(2314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2213)%branchR2(0:0))
      call avR2(2213, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(2506)%branchR2(0:0))
      call avR2(2506, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8781])

      allocate(vertices(923)%branchR2(0:0))
      call avR2(923, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1887)%branchR2(0:0))
      call avR2(1887, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(3263)%branchR2(0:0))
      call avR2(3263, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8861])

      allocate(vertices(823)%branchR2(0:0))
      call avR2(823, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1596)%branchR2(0:0))
      call avR2(1596, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8797, nGC_8798])

      allocate(vertices(2089)%branchR2(0:0))
      call avR2(2089, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(2692)%branchR2(0:0))
      call avR2(2692, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2864)%branchR2(0:0))
      call avR2(2864, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9127])

      allocate(vertices(3201)%branchR2(0:0))
      call avR2(3201, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2396)%branchR2(0:0))
      call avR2(2396, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1424)%branchR2(0:0))
      call avR2(1424, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9029])

      allocate(vertices(3682)%branchR2(0:0))
      call avR2(3682, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3511)%branchR2(0:0))
      call avR2(3511, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8778])

      allocate(vertices(3683)%branchR2(0:5))
      call avR2(3683, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3683, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3683, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9270, nGC_9270,      &
      nGC_9270])

      call avR2(3683, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,      &
      nGC_9268])

      call avR2(3683, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3683, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,      &
      nGC_9268])

      allocate(vertices(2134)%branchR2(0:0))
      call avR2(2134, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(3684)%branchR2(0:5))
      call avR2(3684, 0, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3684, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3684, 2, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_9160, nGC_9160,      &
      nGC_9160])

      call avR2(3684, 3, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_9158, nGC_9158,      &
      nGC_9158])

      call avR2(3684, 4, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3684, 5, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_9158, nGC_9158,      &
      nGC_9158])

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(3023)%branchR2(0:0))
      call avR2(3023, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(398)%branchR2(0:0))
      call avR2(398, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(2778)%branchR2(0:0))
      call avR2(2778, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9248])

      allocate(vertices(1988)%branchR2(0:0))
      call avR2(1988, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(796)%branchR2(0:1))
      call avR2(796, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(796, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_9049, nGC_9048])

      allocate(vertices(1864)%branchR2(0:1))
      call avR2(1864, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8972, nGC_8972])

      call avR2(1864, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8970, nGC_8971])

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(2199)%branchR2(0:0))
      call avR2(2199, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

      allocate(vertices(1910)%branchR2(0:1))
      call avR2(1910, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8951, nGC_8953])

      call avR2(1910, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8952, nGC_8954])

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3685)%branchR2(0:1))
      call avR2(3685, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9226])

      call avR2(3685, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9225])

      allocate(vertices(2274)%branchR2(0:0))
      call avR2(2274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(2243)%branchR2(0:0))
      call avR2(2243, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(897)%branchR2(0:0))
      call avR2(897, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2479)%branchR2(0:0))
      call avR2(2479, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1398)%branchR2(0:1))
      call avR2(1398, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8939, nGC_8941])

      call avR2(1398, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8940, nGC_8942])

      allocate(vertices(1112)%branchR2(0:0))
      call avR2(1112, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2275)%branchR2(0:1))
      call avR2(2275, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8886, nGC_8888])

      call avR2(2275, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8887, nGC_8889])

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2028)%branchR2(0:0))
      call avR2(2028, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(1989)%branchR2(0:1))
      call avR2(1989, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8831, nGC_8833])

      call avR2(1989, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8832, nGC_8834])

      allocate(vertices(3050)%branchR2(0:0))
      call avR2(3050, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(3060)%branchR2(0:1))
      call avR2(3060, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8743,       &
      nGC_8764, nGC_8764])

      call avR2(3060, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8763, nGC_8763])

      allocate(vertices(770)%branchR2(0:1))
      call avR2(770, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_9005, nGC_9006])

      call avR2(770, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_9007, nGC_9007])

      allocate(vertices(2136)%branchR2(0:0))
      call avR2(2136, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2588)%branchR2(0:1))
      call avR2(2588, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(2588, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(1675)%branchR2(0:0))
      call avR2(1675, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(3044)%branchR2(0:0))
      call avR2(3044, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(2689)%branchR2(0:0))
      call avR2(2689, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8879, nGC_8878])

      allocate(vertices(2653)%branchR2(0:0))
      call avR2(2653, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(3686)%branchR2(0:1))
      call avR2(3686, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      call avR2(3686, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      allocate(vertices(1713)%branchR2(0:0))
      call avR2(1713, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(2741)%branchR2(0:0))
      call avR2(2741, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8997])

      allocate(vertices(2947)%branchR2(0:0))
      call avR2(2947, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9127])

      allocate(vertices(1413)%branchR2(0:0))
      call avR2(1413, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(2977)%branchR2(0:0))
      call avR2(2977, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(876)%branchR2(0:0))
      call avR2(876, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30031])

      allocate(vertices(1750)%branchR2(0:0))
      call avR2(1750, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8948, nGC_8947])

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9047])

      allocate(vertices(603)%branchR2(0:0))
      call avR2(603, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2590)%branchR2(0:0))
      call avR2(2590, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2902)%branchR2(0:0))
      call avR2(2902, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(570)%branchR2(0:0))
      call avR2(570, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3188)%branchR2(0:0))
      call avR2(3188, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8762])

      allocate(vertices(2454)%branchR2(0:0))
      call avR2(2454, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3687)%branchR2(0:1))
      call avR2(3687, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9264])

      call avR2(3687, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9263])

      allocate(vertices(3190)%branchR2(0:0))
      call avR2(3190, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9243])

      allocate(vertices(1776)%branchR2(0:0))
      call avR2(1776, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8980, nGC_8979])

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_31129])

      allocate(vertices(3335)%branchR2(0:0))
      call avR2(3335, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1837)%branchR2(0:0))
      call avR2(1837, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1992)%branchR2(0:0))
      call avR2(1992, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8836])

      allocate(vertices(500)%branchR2(0:1))
      call avR2(500, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(500, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_8788, nGC_8787])

      allocate(vertices(2652)%branchR2(0:0))
      call avR2(2652, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(959)%branchR2(0:0))
      call avR2(959, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(773)%branchR2(0:1))
      call avR2(773, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8892, nGC_8894])

      call avR2(773, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8893, nGC_8895])

      allocate(vertices(3688)%branchR2(0:1))
      call avR2(3688, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3688, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(2471)%branchR2(0:0))
      call avR2(2471, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9096,       &
      nGC_9094])

      allocate(vertices(1090)%branchR2(0:1))
      call avR2(1090, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8978, nGC_8978])

      call avR2(1090, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8976, nGC_8977])

      allocate(vertices(3689)%branchR2(0:0))
      call avR2(3689, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9092])

      allocate(vertices(2217)%branchR2(0:1))
      call avR2(2217, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8985, nGC_8986])

      call avR2(2217, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8987, nGC_8987])

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(755)%branchR2(0:0))
      call avR2(755, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9045])

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1812)%branchR2(0:0))
      call avR2(1812, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(2324)%branchR2(0:0))
      call avR2(2324, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3381)%branchR2(0:0))
      call avR2(3381, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1282)%branchR2(0:0))
      call avR2(1282, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_31129])

      allocate(vertices(2374)%branchR2(0:0))
      call avR2(2374, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2658)%branchR2(0:0))
      call avR2(2658, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2968)%branchR2(0:0))
      call avR2(2968, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1566)%branchR2(0:0))
      call avR2(1566, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8967])

      allocate(vertices(3212)%branchR2(0:0))
      call avR2(3212, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(1201)%branchR2(0:0))
      call avR2(1201, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9052, nGC_9053])

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2796)%branchR2(0:0))
      call avR2(2796, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8799])

      allocate(vertices(2288)%branchR2(0:0))
      call avR2(2288, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(2291)%branchR2(0:0))
      call avR2(2291, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8918])

      allocate(vertices(3507)%branchR2(0:0))
      call avR2(3507, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(3267)%branchR2(0:0))
      call avR2(3267, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8762])

      allocate(vertices(1741)%branchR2(0:0))
      call avR2(1741, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(1893)%branchR2(0:0))
      call avR2(1893, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2826)%branchR2(0:0))
      call avR2(2826, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1959)%branchR2(0:0))
      call avR2(1959, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8992, nGC_8991])

      allocate(vertices(2315)%branchR2(0:0))
      call avR2(2315, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3054)%branchR2(0:0))
      call avR2(3054, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9087])

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1459)%branchR2(0:1))
      call avR2(1459, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8908, nGC_8910])

      call avR2(1459, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8924, nGC_8925])

      allocate(vertices(1525)%branchR2(0:0))
      call avR2(1525, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(828)%branchR2(0:0))
      call avR2(828, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(437)%branchR2(0:3))
      call avR2(437, 0, 32, 1, 0, FVFa0, 0, [1, 2], [nGC_9069, nGC_9068])

      call avR2(437, 1, 32, 1, 0, FVFa0, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(437, 2, 33, 1, 0, FVFa0, 0, [1, 2], [nGC_9067, nGC_9066])

      call avR2(437, 3, 33, 1, 0, FVFa0, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(1392)%branchR2(0:0))
      call avR2(1392, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(3690)%branchR2(0:0))
      call avR2(3690, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2938)%branchR2(0:0))
      call avR2(2938, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(1260)%branchR2(0:0))
      call avR2(1260, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8786])

      allocate(vertices(3691)%branchR2(0:1))
      call avR2(3691, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9219])

      call avR2(3691, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9220])

      allocate(vertices(3692)%branchR2(0:1))
      call avR2(3692, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9219])

      call avR2(3692, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9220])

      allocate(vertices(1882)%branchR2(0:0))
      call avR2(1882, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2080)%branchR2(0:0))
      call avR2(2080, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30031])

      allocate(vertices(2139)%branchR2(0:0))
      call avR2(2139, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2882)%branchR2(0:0))
      call avR2(2882, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8800])

      allocate(vertices(1277)%branchR2(0:0))
      call avR2(1277, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(2222)%branchR2(0:0))
      call avR2(2222, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2527)%branchR2(0:0))
      call avR2(2527, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2969)%branchR2(0:0))
      call avR2(2969, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(802)%branchR2(0:0))
      call avR2(802, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3385)%branchR2(0:0))
      call avR2(3385, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8801])

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1298)%branchR2(0:0))
      call avR2(1298, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2617)%branchR2(0:0))
      call avR2(2617, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(1747)%branchR2(0:0))
      call avR2(1747, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8891, nGC_8890])

      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(622)%branchR2(0:0))
      call avR2(622, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8968])

      allocate(vertices(1740)%branchR2(0:0))
      call avR2(1740, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(3498)%branchR2(0:0))
      call avR2(3498, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(3693)%branchR2(0:0))
      call avR2(3693, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(803)%branchR2(0:1))
      call avR2(803, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8972, nGC_8972])

      call avR2(803, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8970, nGC_8971])

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1455)%branchR2(0:0))
      call avR2(1455, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3694)%branchR2(0:1))
      call avR2(3694, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9240])

      call avR2(3694, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9241])

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9250])

      allocate(vertices(3580)%branchR2(0:0))
      call avR2(3580, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3563)%branchR2(0:0))
      call avR2(3563, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(350)%branchR2(0:1))
      call avR2(350, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8794, nGC_8793])

      call avR2(350, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(432)%branchR2(0:0))
      call avR2(432, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(1780)%branchR2(0:0))
      call avR2(1780, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1309)%branchR2(0:1))
      call avR2(1309, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9016, nGC_9016])

      call avR2(1309, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9014, nGC_9015])

      allocate(vertices(2650)%branchR2(0:0))
      call avR2(2650, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31257])

      allocate(vertices(1036)%branchR2(0:1))
      call avR2(1036, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8908, nGC_8910])

      call avR2(1036, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8924, nGC_8925])

      allocate(vertices(1743)%branchR2(0:0))
      call avR2(1743, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(3157)%branchR2(0:0))
      call avR2(3157, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(1825)%branchR2(0:0))
      call avR2(1825, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(3695)%branchR2(0:1))
      call avR2(3695, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9263])

      call avR2(3695, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9264])

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1968)%branchR2(0:0))
      call avR2(1968, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9030])

      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(2279)%branchR2(0:0))
      call avR2(2279, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1070)%branchR2(0:1))
      call avR2(1070, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8829, nGC_8827])

      call avR2(1070, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8830, nGC_8828])

      allocate(vertices(2492)%branchR2(0:0))
      call avR2(2492, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(3696)%branchR2(0:0))
      call avR2(3696, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9090])

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8916])

      allocate(vertices(1975)%branchR2(0:0))
      call avR2(1975, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(3562)%branchR2(0:0))
      call avR2(3562, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1555)%branchR2(0:0))
      call avR2(1555, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(3697)%branchR2(0:0))
      call avR2(3697, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9090])

      allocate(vertices(3185)%branchR2(0:0))
      call avR2(3185, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(2421)%branchR2(0:0))
      call avR2(2421, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9029])

      allocate(vertices(2702)%branchR2(0:0))
      call avR2(2702, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(2434)%branchR2(0:0))
      call avR2(2434, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8812])

      allocate(vertices(3495)%branchR2(0:0))
      call avR2(3495, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8799])

      allocate(vertices(1153)%branchR2(0:0))
      call avR2(1153, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8879, nGC_8878])

      allocate(vertices(3021)%branchR2(0:0))
      call avR2(3021, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

      allocate(vertices(2316)%branchR2(0:0))
      call avR2(2316, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(566)%branchR2(0:1))
      call avR2(566, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_9026])

      call avR2(566, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9027])

      allocate(vertices(1932)%branchR2(0:3))
      call avR2(1932, 0, 37, 1, 0, FaFV1, 0, [1, 2], [nGC_9067, nGC_9066])

      call avR2(1932, 1, 37, 1, 0, FaFV1, 0, [3, 0], [nGC_9057, nGC_9057])

      call avR2(1932, 2, 36, 1, 0, FaFV1, 0, [1, 2], [nGC_9069, nGC_9068])

      call avR2(1932, 3, 36, 1, 0, FaFV1, 0, [3, 0], [nGC_9060, nGC_9060])

      allocate(vertices(1407)%branchR2(0:1))
      call avR2(1407, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8828, nGC_8830])

      call avR2(1407, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8850, nGC_8851])

      allocate(vertices(975)%branchR2(0:0))
      call avR2(975, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(3298)%branchR2(0:0))
      call avR2(3298, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3698)%branchR2(0:0))
      call avR2(3698, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9090])

      allocate(vertices(2735)%branchR2(0:0))
      call avR2(2735, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(2993)%branchR2(0:0))
      call avR2(2993, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(2647)%branchR2(0:1))
      call avR2(2647, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_9004, nGC_9004])

      call avR2(2647, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_9002, nGC_9003])

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1799)%branchR2(0:0))
      call avR2(1799, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(3383)%branchR2(0:0))
      call avR2(3383, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8843])

      allocate(vertices(1366)%branchR2(0:0))
      call avR2(1366, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(560)%branchR2(0:0))
      call avR2(560, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9047])

      allocate(vertices(3699)%branchR2(0:0))
      call avR2(3699, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2392)%branchR2(0:0))
      call avR2(2392, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(1204)%branchR2(0:0))
      call avR2(1204, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(194)%branchR2(0:0))
      call avR2(194, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8774])

      allocate(vertices(3295)%branchR2(0:0))
      call avR2(3295, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8784])

      allocate(vertices(3005)%branchR2(0:0))
      call avR2(3005, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8753, nGC_8754,       &
      nGC_8761, nGC_8761])

      allocate(vertices(1545)%branchR2(0:0))
      call avR2(1545, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8915])

      allocate(vertices(3240)%branchR2(0:0))
      call avR2(3240, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2827)%branchR2(0:0))
      call avR2(2827, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3700)%branchR2(0:0))
      call avR2(3700, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9090])

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(348)%branchR2(0:0))
      call avR2(348, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3701)%branchR2(0:0))
      call avR2(3701, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(2837)%branchR2(0:0))
      call avR2(2837, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9128])

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2676)%branchR2(0:0))
      call avR2(2676, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8902])

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(88)%branchR2(0:0))
      call avR2(88, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8899])

      allocate(vertices(1899)%branchR2(0:0))
      call avR2(1899, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9131,       &
      nGC_9132])

      allocate(vertices(3702)%branchR2(0:0))
      call avR2(3702, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(2204)%branchR2(0:0))
      call avR2(2204, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(2888)%branchR2(0:0))
      call avR2(2888, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(1087)%branchR2(0:0))
      call avR2(1087, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(2185)%branchR2(0:0))
      call avR2(2185, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8837])

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1304)%branchR2(0:0))
      call avR2(1304, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(140)%branchR2(0:0))
      call avR2(140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8730, nGC_8729])

      allocate(vertices(3078)%branchR2(0:0))
      call avR2(3078, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2596)%branchR2(0:0))
      call avR2(2596, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(1436)%branchR2(0:1))
      call avR2(1436, 0, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(1436, 1, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8849, nGC_8848])

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1168)%branchR2(0:0))
      call avR2(1168, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(2746)%branchR2(0:0))
      call avR2(2746, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2978)%branchR2(0:0))
      call avR2(2978, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(64)%branchR2(0:0))
      call avR2(64, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(2255)%branchR2(0:0))
      call avR2(2255, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8846])

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(3703)%branchR2(0:0))
      call avR2(3703, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9097])

      allocate(vertices(2910)%branchR2(0:0))
      call avR2(2910, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1334)%branchR2(0:0))
      call avR2(1334, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(1162)%branchR2(0:0))
      call avR2(1162, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2690)%branchR2(0:0))
      call avR2(2690, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(2726)%branchR2(0:0))
      call avR2(2726, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8762])

      allocate(vertices(3202)%branchR2(0:0))
      call avR2(3202, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(3704)%branchR2(0:0))
      call avR2(3704, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8857])

      allocate(vertices(503)%branchR2(0:0))
      call avR2(503, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9243])

      allocate(vertices(2085)%branchR2(0:0))
      call avR2(2085, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8781])

      allocate(vertices(925)%branchR2(0:1))
      call avR2(925, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_8805, nGC_8804])

      call avR2(925, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(3475)%branchR2(0:0))
      call avR2(3475, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(936)%branchR2(0:0))
      call avR2(936, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8967])

      allocate(vertices(1253)%branchR2(0:0))
      call avR2(1253, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1416)%branchR2(0:1))
      call avR2(1416, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8939, nGC_8941])

      call avR2(1416, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8940, nGC_8942])

      allocate(vertices(490)%branchR2(0:0))
      call avR2(490, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(3291)%branchR2(0:0))
      call avR2(3291, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8775])

      allocate(vertices(1961)%branchR2(0:1))
      call avR2(1961, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_9014, nGC_9015])

      call avR2(1961, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_9016, nGC_9016])

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1582)%branchR2(0:0))
      call avR2(1582, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8968])

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(3056)%branchR2(0:0))
      call avR2(3056, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8719, nGC_8718])

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8917])

      allocate(vertices(3288)%branchR2(0:0))
      call avR2(3288, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(674)%branchR2(0:0))
      call avR2(674, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(3705)%branchR2(0:0))
      call avR2(3705, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9097])

      allocate(vertices(3706)%branchR2(0:1))
      call avR2(3706, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9220])

      call avR2(3706, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9219])

      allocate(vertices(2419)%branchR2(0:1))
      call avR2(2419, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8939, nGC_8941])

      call avR2(2419, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8940, nGC_8942])

      allocate(vertices(3707)%branchR2(0:0))
      call avR2(3707, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9109, nGC_9109,       &
      nGC_9108])

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1259)%branchR2(0:0))
      call avR2(1259, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2860)%branchR2(0:0))
      call avR2(2860, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1769)%branchR2(0:0))
      call avR2(1769, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9025])

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(112)%branchR2(0:1))
      call avR2(112, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8955, nGC_8957])

      call avR2(112, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8956, nGC_8958])

      allocate(vertices(1318)%branchR2(0:0))
      call avR2(1318, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(626)%branchR2(0:0))
      call avR2(626, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

      allocate(vertices(3153)%branchR2(0:0))
      call avR2(3153, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9133])

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

      allocate(vertices(2504)%branchR2(0:0))
      call avR2(2504, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1601)%branchR2(0:0))
      call avR2(1601, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2567)%branchR2(0:1))
      call avR2(2567, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8834, nGC_8832])

      call avR2(2567, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8853, nGC_8852])

      allocate(vertices(47)%branchR2(0:0))
      call avR2(47, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3708)%branchR2(0:1))
      call avR2(3708, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9170])

      call avR2(3708, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9171])

      allocate(vertices(1434)%branchR2(0:0))
      call avR2(1434, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(1803)%branchR2(0:1))
      call avR2(1803, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8892, nGC_8894])

      call avR2(1803, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8893, nGC_8895])

      allocate(vertices(1650)%branchR2(0:0))
      call avR2(1650, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9258, nGC_9259,       &
      nGC_9260])

      allocate(vertices(882)%branchR2(0:0))
      call avR2(882, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(1905)%branchR2(0:0))
      call avR2(1905, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(2922)%branchR2(0:0))
      call avR2(2922, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9133])

      allocate(vertices(2193)%branchR2(0:0))
      call avR2(2193, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(3709)%branchR2(0:1))
      call avR2(3709, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9152])

      call avR2(3709, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9153])

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9239])

      allocate(vertices(2593)%branchR2(0:0))
      call avR2(2593, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1065)%branchR2(0:1))
      call avR2(1065, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8999, nGC_9000])

      call avR2(1065, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_9001, nGC_9001])

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9131,        &
      nGC_9132])

      allocate(vertices(3710)%branchR2(0:0))
      call avR2(3710, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(3711)%branchR2(0:0))
      call avR2(3711, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2205)%branchR2(0:0))
      call avR2(2205, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29823])

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8753, nGC_8754,       &
      nGC_8767, nGC_8767])

      allocate(vertices(569)%branchR2(0:0))
      call avR2(569, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1921)%branchR2(0:0))
      call avR2(1921, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2623)%branchR2(0:0))
      call avR2(2623, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8780])

      allocate(vertices(1033)%branchR2(0:0))
      call avR2(1033, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9009, nGC_9008])

      allocate(vertices(2361)%branchR2(0:0))
      call avR2(2361, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1564)%branchR2(0:0))
      call avR2(1564, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2477)%branchR2(0:1))
      call avR2(2477, 0, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

      call avR2(2477, 1, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_9028])

      allocate(vertices(1916)%branchR2(0:0))
      call avR2(1916, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1636)%branchR2(0:0))
      call avR2(1636, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8918])

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8916])

      allocate(vertices(1841)%branchR2(0:0))
      call avR2(1841, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9046])

      allocate(vertices(2425)%branchR2(0:0))
      call avR2(2425, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(3712)%branchR2(0:0))
      call avR2(3712, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9137, nGC_9137,       &
      nGC_9137])

      allocate(vertices(3203)%branchR2(0:0))
      call avR2(3203, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(3124)%branchR2(0:0))
      call avR2(3124, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(2743)%branchR2(0:0))
      call avR2(2743, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(1654)%branchR2(0:0))
      call avR2(1654, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8820])

      allocate(vertices(1681)%branchR2(0:0))
      call avR2(1681, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8821])

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2035)%branchR2(0:0))
      call avR2(2035, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8847])

      allocate(vertices(3713)%branchR2(0:1))
      call avR2(3713, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      call avR2(3713, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      allocate(vertices(1224)%branchR2(0:3))
      call avR2(1224, 0, 35, 1, 0, FaVF1, 0, [1, 2], [nGC_9081, nGC_9080])

      call avR2(1224, 1, 35, 1, 0, FaVF1, 0, [3, 0], [nGC_9072, nGC_9072])

      call avR2(1224, 2, 34, 1, 0, FaVF1, 0, [1, 2], [nGC_9083, nGC_9082])

      call avR2(1224, 3, 34, 1, 0, FaVF1, 0, [3, 0], [nGC_9075, nGC_9075])

      allocate(vertices(1953)%branchR2(0:0))
      call avR2(1953, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31519])

      allocate(vertices(741)%branchR2(0:0))
      call avR2(741, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

      allocate(vertices(3714)%branchR2(0:1))
      call avR2(3714, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9264])

      call avR2(3714, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9263])

      allocate(vertices(1329)%branchR2(0:0))
      call avR2(1329, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(373)%branchR2(0:1))
      call avR2(373, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8955, nGC_8957])

      call avR2(373, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8956, nGC_8958])

      allocate(vertices(1957)%branchR2(0:0))
      call avR2(1957, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(1397)%branchR2(0:0))
      call avR2(1397, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(2482)%branchR2(0:0))
      call avR2(2482, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(3715)%branchR2(0:1))
      call avR2(3715, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9240])

      call avR2(3715, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9241])

      allocate(vertices(1819)%branchR2(0:0))
      call avR2(1819, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8960, nGC_8959])

      allocate(vertices(1668)%branchR2(0:1))
      call avR2(1668, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(1668, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8923, nGC_8922])

      allocate(vertices(2691)%branchR2(0:0))
      call avR2(2691, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1187)%branchR2(0:0))
      call avR2(1187, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8900])

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1133)%branchR2(0:0))
      call avR2(1133, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(3523)%branchR2(0:0))
      call avR2(3523, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(246)%branchR2(0:0))
      call avR2(246, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9041, nGC_9042])

      allocate(vertices(1906)%branchR2(0:0))
      call avR2(1906, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(37)%branchR2(0:0))
      call avR2(37, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9243])

      allocate(vertices(2287)%branchR2(0:0))
      call avR2(2287, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3391)%branchR2(0:0))
      call avR2(3391, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(3716)%branchR2(0:1))
      call avR2(3716, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9219])

      call avR2(3716, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9220])

      allocate(vertices(2130)%branchR2(0:0))
      call avR2(2130, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(2708)%branchR2(0:0))
      call avR2(2708, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9168])

      allocate(vertices(1040)%branchR2(0:3))
      call avR2(1040, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9065, nGC_9064])

      call avR2(1040, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(1040, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(1040, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(3503)%branchR2(0:0))
      call avR2(3503, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2073)%branchR2(0:0))
      call avR2(2073, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30146])

      allocate(vertices(2082)%branchR2(0:0))
      call avR2(2082, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1122)%branchR2(0:0))
      call avR2(1122, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8921])

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(3239)%branchR2(0:0))
      call avR2(3239, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(3717)%branchR2(0:1))
      call avR2(3717, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9226])

      call avR2(3717, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9225])

      allocate(vertices(230)%branchR2(0:0))
      call avR2(230, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(3283)%branchR2(0:0))
      call avR2(3283, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8801])

      allocate(vertices(2117)%branchR2(0:0))
      call avR2(2117, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(2108)%branchR2(0:0))
      call avR2(2108, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(1526)%branchR2(0:0))
      call avR2(1526, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(370)%branchR2(0:1))
      call avR2(370, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8909, nGC_8907])

      call avR2(370, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8910, nGC_8908])

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(861)%branchR2(0:0))
      call avR2(861, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(1979)%branchR2(0:0))
      call avR2(1979, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8847])

      allocate(vertices(2531)%branchR2(0:0))
      call avR2(2531, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1892)%branchR2(0:1))
      call avR2(1892, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8995, nGC_8995])

      call avR2(1892, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8993, nGC_8994])

      allocate(vertices(2410)%branchR2(0:0))
      call avR2(2410, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(1200)%branchR2(0:1))
      call avR2(1200, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8999, nGC_9000])

      call avR2(1200, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_9001, nGC_9001])

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(2635)%branchR2(0:1))
      call avR2(2635, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8955, nGC_8957])

      call avR2(2635, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8956, nGC_8958])

      allocate(vertices(565)%branchR2(0:0))
      call avR2(565, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2024)%branchR2(0:0))
      call avR2(2024, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9247])

      allocate(vertices(2855)%branchR2(0:0))
      call avR2(2855, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(990)%branchR2(0:1))
      call avR2(990, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_9026])

      call avR2(990, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9027])

      allocate(vertices(2056)%branchR2(0:1))
      call avR2(2056, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_9026])

      call avR2(2056, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

      allocate(vertices(2062)%branchR2(0:1))
      call avR2(2062, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_9033, nGC_9031])

      call avR2(2062, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9034, nGC_9032])

      allocate(vertices(913)%branchR2(0:1))
      call avR2(913, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8909, nGC_8907])

      call avR2(913, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8910, nGC_8908])

      allocate(vertices(2383)%branchR2(0:0))
      call avR2(2383, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2171)%branchR2(0:0))
      call avR2(2171, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3718)%branchR2(0:1))
      call avR2(3718, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9118, nGC_9118,      &
      nGC_9118])

      call avR2(3718, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9117, nGC_9117,      &
      nGC_9117])

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2290)%branchR2(0:0))
      call avR2(2290, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(995)%branchR2(0:0))
      call avR2(995, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8992, nGC_8991])

      allocate(vertices(1365)%branchR2(0:0))
      call avR2(1365, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(1213)%branchR2(0:0))
      call avR2(1213, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(2282)%branchR2(0:0))
      call avR2(2282, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1714)%branchR2(0:0))
      call avR2(1714, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1002)%branchR2(0:0))
      call avR2(1002, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9096, nGC_9095,       &
      nGC_9094])

      allocate(vertices(2757)%branchR2(0:0))
      call avR2(2757, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(940)%branchR2(0:1))
      call avR2(940, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8886, nGC_8888])

      call avR2(940, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8887, nGC_8889])

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

      allocate(vertices(777)%branchR2(0:0))
      call avR2(777, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(3472)%branchR2(0:0))
      call avR2(3472, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8772])

      allocate(vertices(1610)%branchR2(0:0))
      call avR2(1610, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3719)%branchR2(0:1))
      call avR2(3719, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9226])

      call avR2(3719, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9225])

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(2170)%branchR2(0:1))
      call avR2(2170, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8999, nGC_9000])

      call avR2(2170, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_9001, nGC_9001])

      allocate(vertices(970)%branchR2(0:0))
      call avR2(970, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(2053)%branchR2(0:0))
      call avR2(2053, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29966])

      allocate(vertices(45)%branchR2(0:0))
      call avR2(45, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3720)%branchR2(0:1))
      call avR2(3720, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3720, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(2854)%branchR2(0:0))
      call avR2(2854, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9133])

      allocate(vertices(2327)%branchR2(0:0))
      call avR2(2327, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

      allocate(vertices(2671)%branchR2(0:0))
      call avR2(2671, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2300)%branchR2(0:0))
      call avR2(2300, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3480)%branchR2(0:0))
      call avR2(3480, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9029])

      allocate(vertices(592)%branchR2(0:0))
      call avR2(592, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8966])

      allocate(vertices(1719)%branchR2(0:0))
      call avR2(1719, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9030])

      allocate(vertices(2232)%branchR2(0:1))
      call avR2(2232, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(2232, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_9051, nGC_9050])

      allocate(vertices(121)%branchR2(0:0))
      call avR2(121, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(1767)%branchR2(0:0))
      call avR2(1767, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(662)%branchR2(0:1))
      call avR2(662, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8990, nGC_8990])

      call avR2(662, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8988, nGC_8989])

      allocate(vertices(3403)%branchR2(0:0))
      call avR2(3403, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29705])

      allocate(vertices(3721)%branchR2(0:1))
      call avR2(3721, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9241])

      call avR2(3721, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9240])

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1155)%branchR2(0:1))
      call avR2(1155, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8911, nGC_8913])

      call avR2(1155, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8912, nGC_8914])

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(2337)%branchR2(0:1))
      call avR2(2337, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9027])

      call avR2(2337, 1, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_9028])

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(2156)%branchR2(0:0))
      call avR2(2156, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(3722)%branchR2(0:1))
      call avR2(3722, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9226])

      call avR2(3722, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9225])

      allocate(vertices(1484)%branchR2(0:1))
      call avR2(1484, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(1484, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(524)%branchR2(0:0))
      call avR2(524, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

      allocate(vertices(693)%branchR2(0:1))
      call avR2(693, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8870, nGC_8872])

      call avR2(693, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8871, nGC_8873])

      allocate(vertices(486)%branchR2(0:0))
      call avR2(486, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9246])

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9030])

      allocate(vertices(1808)%branchR2(0:0))
      call avR2(1808, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(305)%branchR2(0:0))
      call avR2(305, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8917])

      allocate(vertices(3723)%branchR2(0:0))
      call avR2(3723, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(1048)%branchR2(0:0))
      call avR2(1048, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2009)%branchR2(0:0))
      call avR2(2009, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(2051)%branchR2(0:0))
      call avR2(2051, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1678)%branchR2(0:0))
      call avR2(1678, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(2039)%branchR2(0:0))
      call avR2(2039, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9029])

      allocate(vertices(2901)%branchR2(0:0))
      call avR2(2901, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(1447)%branchR2(0:0))
      call avR2(1447, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2483)%branchR2(0:0))
      call avR2(2483, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1470)%branchR2(0:1))
      call avR2(1470, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8831, nGC_8833])

      call avR2(1470, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8832, nGC_8834])

      allocate(vertices(534)%branchR2(0:0))
      call avR2(534, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9045])

      allocate(vertices(2742)%branchR2(0:0))
      call avR2(2742, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(67)%branchR2(0:0))
      call avR2(67, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(2868)%branchR2(0:0))
      call avR2(2868, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3091)%branchR2(0:0))
      call avR2(3091, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(2413)%branchR2(0:0))
      call avR2(2413, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8820])

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

    end subroutine fill_vertices_mdl10
end module vertices_info10
