!******************************************************************************!
!                                                                              !
!    vertices_info11.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info11.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info11
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl11()
      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(956)%branchR2(0:0))
      call avR2(956, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(195)%branchR2(0:3))
      call avR2(195, 0, 32, 1, 0, FVFa0, 0, [1, 2], [nGC_9065, nGC_9064])

      call avR2(195, 1, 32, 1, 0, FVFa0, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(195, 2, 33, 1, 0, FVFa0, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(195, 3, 33, 1, 0, FVFa0, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(434)%branchR2(0:0))
      call avR2(434, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2296)%branchR2(0:0))
      call avR2(2296, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8855])

      allocate(vertices(948)%branchR2(0:1))
      call avR2(948, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(948, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9051, nGC_9050])

      allocate(vertices(2787)%branchR2(0:0))
      call avR2(2787, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_8732, nGC_8731])

      allocate(vertices(2541)%branchR2(0:0))
      call avR2(2541, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8997])

      allocate(vertices(72)%branchR2(0:0))
      call avR2(72, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8806, nGC_8807])

      allocate(vertices(1160)%branchR2(0:1))
      call avR2(1160, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_9017, nGC_9018])

      call avR2(1160, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_9019, nGC_9019])

      allocate(vertices(3724)%branchR2(0:1))
      call avR2(3724, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9152])

      call avR2(3724, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9153])

      allocate(vertices(2094)%branchR2(0:0))
      call avR2(2094, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8934])

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3725)%branchR2(0:0))
      call avR2(3725, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2266)%branchR2(0:0))
      call avR2(2266, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9029])

      allocate(vertices(1522)%branchR2(0:0))
      call avR2(1522, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3726)%branchR2(0:0))
      call avR2(3726, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9097])

      allocate(vertices(2592)%branchR2(0:0))
      call avR2(2592, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3247)%branchR2(0:0))
      call avR2(3247, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8785])

      allocate(vertices(2214)%branchR2(0:0))
      call avR2(2214, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8822])

      allocate(vertices(2484)%branchR2(0:0))
      call avR2(2484, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9089])

      allocate(vertices(3727)%branchR2(0:0))
      call avR2(3727, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

      allocate(vertices(2233)%branchR2(0:0))
      call avR2(2233, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(1180)%branchR2(0:0))
      call avR2(1180, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9043, nGC_9044])

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9089])

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(3467)%branchR2(0:0))
      call avR2(3467, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9250])

      allocate(vertices(2945)%branchR2(0:0))
      call avR2(2945, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8800])

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(3029)%branchR2(0:0))
      call avR2(3029, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(2988)%branchR2(0:0))
      call avR2(2988, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30589])

      allocate(vertices(3221)%branchR2(0:0))
      call avR2(3221, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(3016)%branchR2(0:0))
      call avR2(3016, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8799])

      allocate(vertices(708)%branchR2(0:1))
      call avR2(708, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8988, nGC_8989])

      call avR2(708, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8990, nGC_8990])

      allocate(vertices(2030)%branchR2(0:0))
      call avR2(2030, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8822])

      allocate(vertices(1137)%branchR2(0:0))
      call avR2(1137, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(598)%branchR2(0:0))
      call avR2(598, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3043)%branchR2(0:0))
      call avR2(3043, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8785])

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(1578)%branchR2(0:0))
      call avR2(1578, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1363)%branchR2(0:0))
      call avR2(1363, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8774])

      allocate(vertices(2330)%branchR2(0:0))
      call avR2(2330, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(3728)%branchR2(0:1))
      call avR2(3728, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9171])

      call avR2(3728, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(2201)%branchR2(0:0))
      call avR2(2201, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9255])

      allocate(vertices(483)%branchR2(0:1))
      call avR2(483, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8911, nGC_8913])

      call avR2(483, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8912, nGC_8914])

      allocate(vertices(1543)%branchR2(0:0))
      call avR2(1543, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9149])

      allocate(vertices(3328)%branchR2(0:0))
      call avR2(3328, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3031)%branchR2(0:0))
      call avR2(3031, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8818])

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1602)%branchR2(0:1))
      call avR2(1602, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_9026])

      call avR2(1602, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_9027])

      allocate(vertices(130)%branchR2(0:1))
      call avR2(130, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9024, nGC_9024])

      call avR2(130, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9022, nGC_9023])

      allocate(vertices(3729)%branchR2(0:5))
      call avR2(3729, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,      &
      nGC_9268])

      call avR2(3729, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_9270, nGC_9270,      &
      nGC_9270])

      call avR2(3729, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3729, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3729, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3729, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,      &
      nGC_9268])

      allocate(vertices(854)%branchR2(0:0))
      call avR2(854, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3428)%branchR2(0:0))
      call avR2(3428, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9248])

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3730)%branchR2(0:1))
      call avR2(3730, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9170])

      call avR2(3730, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9171])

      allocate(vertices(2037)%branchR2(0:0))
      call avR2(2037, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(3731)%branchR2(0:0))
      call avR2(3731, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2496)%branchR2(0:0))
      call avR2(2496, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29403])

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(3004)%branchR2(0:1))
      call avR2(3004, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8745, nGC_8743,       &
      nGC_8751, nGC_8751])

      call avR2(3004, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8750, nGC_8750])

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2040)%branchR2(0:0))
      call avR2(2040, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(270)%branchR2(0:1))
      call avR2(270, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8834, nGC_8832])

      call avR2(270, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8853, nGC_8852])

      allocate(vertices(3151)%branchR2(0:0))
      call avR2(3151, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1218)%branchR2(0:0))
      call avR2(1218, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(2152)%branchR2(0:0))
      call avR2(2152, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1093)%branchR2(0:1))
      call avR2(1093, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(1093, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_9040, nGC_9039])

      allocate(vertices(1403)%branchR2(0:0))
      call avR2(1403, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(173)%branchR2(0:0))
      call avR2(173, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8781])

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9030])

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29563])

      allocate(vertices(2789)%branchR2(0:0))
      call avR2(2789, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8734, nGC_8733])

      allocate(vertices(436)%branchR2(0:0))
      call avR2(436, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(1107)%branchR2(0:0))
      call avR2(1107, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2109)%branchR2(0:1))
      call avR2(2109, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(2109, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_8805, nGC_8804])

      allocate(vertices(2042)%branchR2(0:0))
      call avR2(2042, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_31519])

      allocate(vertices(969)%branchR2(0:1))
      call avR2(969, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(969, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(3732)%branchR2(0:0))
      call avR2(3732, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8777])

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9089])

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(1728)%branchR2(0:0))
      call avR2(1728, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2713)%branchR2(0:0))
      call avR2(2713, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9127])

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1519)%branchR2(0:0))
      call avR2(1519, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3733)%branchR2(0:1))
      call avR2(3733, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9226])

      call avR2(3733, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9225])

      allocate(vertices(3150)%branchR2(0:0))
      call avR2(3150, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(1173)%branchR2(0:1))
      call avR2(1173, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(1173, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_8809, nGC_8808])

      allocate(vertices(442)%branchR2(0:1))
      call avR2(442, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8914, nGC_8912])

      call avR2(442, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8927, nGC_8926])

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

      allocate(vertices(1483)%branchR2(0:0))
      call avR2(1483, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9259, nGC_9258,       &
      nGC_9260])

      allocate(vertices(931)%branchR2(0:0))
      call avR2(931, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(1405)%branchR2(0:0))
      call avR2(1405, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

      allocate(vertices(3734)%branchR2(0:0))
      call avR2(3734, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9099, nGC_9099,       &
      nGC_9099])

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

      allocate(vertices(3735)%branchR2(0:0))
      call avR2(3735, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9091])

      allocate(vertices(2203)%branchR2(0:0))
      call avR2(2203, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(2865)%branchR2(0:0))
      call avR2(2865, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(1170)%branchR2(0:3))
      call avR2(1170, 0, 35, 1, 0, FaVF1, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(1170, 1, 35, 1, 0, FaVF1, 0, [3, 0], [nGC_9057, nGC_9057])

      call avR2(1170, 2, 34, 1, 0, FaVF1, 0, [1, 2], [nGC_9065, nGC_9064])

      call avR2(1170, 3, 34, 1, 0, FaVF1, 0, [3, 0], [nGC_9060, nGC_9060])

      allocate(vertices(2149)%branchR2(0:0))
      call avR2(2149, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(2020)%branchR2(0:1))
      call avR2(2020, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(2020, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(2463)%branchR2(0:0))
      call avR2(2463, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(2426)%branchR2(0:0))
      call avR2(2426, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(3736)%branchR2(0:1))
      call avR2(3736, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9170])

      call avR2(3736, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9171])

      allocate(vertices(3737)%branchR2(0:1))
      call avR2(3737, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9171])

      call avR2(3737, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(405)%branchR2(0:1))
      call avR2(405, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(405, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_9051, nGC_9050])

      allocate(vertices(2356)%branchR2(0:0))
      call avR2(2356, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9250])

      allocate(vertices(3284)%branchR2(0:0))
      call avR2(3284, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9087])

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3307)%branchR2(0:0))
      call avR2(3307, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1755)%branchR2(0:1))
      call avR2(1755, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_9026])

      call avR2(1755, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_9027])

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9092])

      allocate(vertices(2293)%branchR2(0:0))
      call avR2(2293, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(2390)%branchR2(0:1))
      call avR2(2390, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8914, nGC_8912])

      call avR2(2390, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8927, nGC_8926])

      allocate(vertices(1770)%branchR2(0:0))
      call avR2(1770, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29403])

      allocate(vertices(2070)%branchR2(0:0))
      call avR2(2070, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3025)%branchR2(0:0))
      call avR2(3025, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(900)%branchR2(0:0))
      call avR2(900, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(2897)%branchR2(0:0))
      call avR2(2897, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(3739)%branchR2(0:1))
      call avR2(3739, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      call avR2(3739, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      allocate(vertices(2498)%branchR2(0:0))
      call avR2(2498, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

      allocate(vertices(1621)%branchR2(0:0))
      call avR2(1621, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(1642)%branchR2(0:1))
      call avR2(1642, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8990, nGC_8990])

      call avR2(1642, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8988, nGC_8989])

      allocate(vertices(637)%branchR2(0:0))
      call avR2(637, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(665)%branchR2(0:0))
      call avR2(665, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1562)%branchR2(0:0))
      call avR2(1562, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(3582)%branchR2(0:0))
      call avR2(3582, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1827)%branchR2(0:0))
      call avR2(1827, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8930])

      allocate(vertices(1929)%branchR2(0:0))
      call avR2(1929, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2852)%branchR2(0:0))
      call avR2(2852, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8775])

      allocate(vertices(2289)%branchR2(0:0))
      call avR2(2289, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(3740)%branchR2(0:0))
      call avR2(3740, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9090])

      allocate(vertices(2502)%branchR2(0:0))
      call avR2(2502, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2739)%branchR2(0:0))
      call avR2(2739, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8801])

      allocate(vertices(1147)%branchR2(0:0))
      call avR2(1147, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(292)%branchR2(0:0))
      call avR2(292, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8931])

      allocate(vertices(1501)%branchR2(0:0))
      call avR2(1501, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(3460)%branchR2(0:0))
      call avR2(3460, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9168])

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1679)%branchR2(0:0))
      call avR2(1679, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8898])

      allocate(vertices(2380)%branchR2(0:0))
      call avR2(2380, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8854])

      allocate(vertices(2579)%branchR2(0:0))
      call avR2(2579, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9250])

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1233)%branchR2(0:0))
      call avR2(1233, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8835])

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1856)%branchR2(0:0))
      call avR2(1856, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9131,        &
      nGC_9130])

      allocate(vertices(1314)%branchR2(0:0))
      call avR2(1314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(3101)%branchR2(0:0))
      call avR2(3101, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8844])

      allocate(vertices(1966)%branchR2(0:0))
      call avR2(1966, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(3741)%branchR2(0:1))
      call avR2(3741, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9254])

      call avR2(3741, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9253])

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(2198)%branchR2(0:0))
      call avR2(2198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2407)%branchR2(0:0))
      call avR2(2407, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29665])

      allocate(vertices(1246)%branchR2(0:0))
      call avR2(1246, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8898])

      allocate(vertices(2629)%branchR2(0:0))
      call avR2(2629, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2624)%branchR2(0:0))
      call avR2(2624, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8929])

      allocate(vertices(1604)%branchR2(0:0))
      call avR2(1604, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_31129])

      allocate(vertices(2465)%branchR2(0:0))
      call avR2(2465, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(2848)%branchR2(0:0))
      call avR2(2848, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1859)%branchR2(0:0))
      call avR2(1859, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(906)%branchR2(0:0))
      call avR2(906, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(1510)%branchR2(0:0))
      call avR2(1510, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2294)%branchR2(0:1))
      call avR2(2294, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8788, nGC_8787])

      call avR2(2294, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(1973)%branchR2(0:0))
      call avR2(1973, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2060)%branchR2(0:0))
      call avR2(2060, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(3183)%branchR2(0:0))
      call avR2(3183, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1515)%branchR2(0:0))
      call avR2(1515, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(841)%branchR2(0:1))
      call avR2(841, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(841, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_8809, nGC_8808])

      allocate(vertices(172)%branchR2(0:0))
      call avR2(172, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

      allocate(vertices(1951)%branchR2(0:0))
      call avR2(1951, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(801)%branchR2(0:0))
      call avR2(801, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(135)%branchR2(0:1))
      call avR2(135, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8809, nGC_8808])

      call avR2(135, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(629)%branchR2(0:0))
      call avR2(629, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(775)%branchR2(0:0))
      call avR2(775, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8969])

      allocate(vertices(3354)%branchR2(0:0))
      call avR2(3354, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(2369)%branchR2(0:0))
      call avR2(2369, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29519])

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

      allocate(vertices(1734)%branchR2(0:1))
      call avR2(1734, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8993, nGC_8994])

      call avR2(1734, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8995, nGC_8995])

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1762)%branchR2(0:0))
      call avR2(1762, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8968])

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

      allocate(vertices(3742)%branchR2(0:0))
      call avR2(3742, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2875)%branchR2(0:0))
      call avR2(2875, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8714, nGC_8713])

      allocate(vertices(505)%branchR2(0:0))
      call avR2(505, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(3743)%branchR2(0:0))
      call avR2(3743, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9091])

      allocate(vertices(1774)%branchR2(0:0))
      call avR2(1774, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2322)%branchR2(0:1))
      call avR2(2322, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8995, nGC_8995])

      call avR2(2322, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8993, nGC_8994])

      allocate(vertices(2137)%branchR2(0:0))
      call avR2(2137, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9188])

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2838)%branchR2(0:0))
      call avR2(2838, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30502])

      allocate(vertices(3254)%branchR2(0:0))
      call avR2(3254, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1923)%branchR2(0:0))
      call avR2(1923, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(256)%branchR2(0:0))
      call avR2(256, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8837])

      allocate(vertices(3744)%branchR2(0:0))
      call avR2(3744, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(1232)%branchR2(0:0))
      call avR2(1232, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(2061)%branchR2(0:0))
      call avR2(2061, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9130,       &
      nGC_9132])

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(1787)%branchR2(0:0))
      call avR2(1787, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(3745)%branchR2(0:0))
      call avR2(3745, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9092])

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(3229)%branchR2(0:0))
      call avR2(3229, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_8736, nGC_8735,        &
      nGC_8737])

      allocate(vertices(2048)%branchR2(0:0))
      call avR2(2048, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(1607)%branchR2(0:0))
      call avR2(1607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2615)%branchR2(0:0))
      call avR2(2615, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(3746)%branchR2(0:1))
      call avR2(3746, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9226])

      call avR2(3746, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9225])

      allocate(vertices(3476)%branchR2(0:0))
      call avR2(3476, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(946)%branchR2(0:0))
      call avR2(946, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9096, nGC_9095,        &
      nGC_9094])

      allocate(vertices(1816)%branchR2(0:0))
      call avR2(1816, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29966])

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

      allocate(vertices(1698)%branchR2(0:0))
      call avR2(1698, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(3747)%branchR2(0:0))
      call avR2(3747, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(3215)%branchR2(0:0))
      call avR2(3215, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8860])

      allocate(vertices(1898)%branchR2(0:0))
      call avR2(1898, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2438)%branchR2(0:0))
      call avR2(2438, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9047])

      allocate(vertices(184)%branchR2(0:1))
      call avR2(184, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(184, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(1389)%branchR2(0:0))
      call avR2(1389, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8771])

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8855])

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3748)%branchR2(0:0))
      call avR2(3748, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8776])

      allocate(vertices(1437)%branchR2(0:0))
      call avR2(1437, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9130,       &
      nGC_9132])

      allocate(vertices(3749)%branchR2(0:1))
      call avR2(3749, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9253])

      call avR2(3749, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9254])

      allocate(vertices(3007)%branchR2(0:0))
      call avR2(3007, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1391)%branchR2(0:1))
      call avR2(1391, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8870, nGC_8872])

      call avR2(1391, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8871, nGC_8873])

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(2045)%branchR2(0:0))
      call avR2(2045, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1705)%branchR2(0:0))
      call avR2(1705, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3036)%branchR2(0:0))
      call avR2(3036, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2507)%branchR2(0:0))
      call avR2(2507, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(3250)%branchR2(0:0))
      call avR2(3250, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1699)%branchR2(0:0))
      call avR2(1699, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(3750)%branchR2(0:1))
      call avR2(3750, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      call avR2(3750, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      allocate(vertices(1092)%branchR2(0:0))
      call avR2(1092, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3434)%branchR2(0:0))
      call avR2(3434, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(840)%branchR2(0:0))
      call avR2(840, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3296)%branchR2(0:0))
      call avR2(3296, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29233])

      allocate(vertices(3751)%branchR2(0:0))
      call avR2(3751, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9091])

      allocate(vertices(787)%branchR2(0:0))
      call avR2(787, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_32106])

      allocate(vertices(2889)%branchR2(0:0))
      call avR2(2889, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2360)%branchR2(0:0))
      call avR2(2360, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3108)%branchR2(0:0))
      call avR2(3108, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(499)%branchR2(0:0))
      call avR2(499, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9029])

      allocate(vertices(2298)%branchR2(0:0))
      call avR2(2298, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8950, nGC_8949])

      allocate(vertices(3470)%branchR2(0:0))
      call avR2(3470, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8778])

      allocate(vertices(1843)%branchR2(0:0))
      call avR2(1843, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3338)%branchR2(0:0))
      call avR2(3338, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(3427)%branchR2(0:0))
      call avR2(3427, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9131,       &
      nGC_9132])

      allocate(vertices(3102)%branchR2(0:0))
      call avR2(3102, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(3014)%branchR2(0:0))
      call avR2(3014, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(3276)%branchR2(0:0))
      call avR2(3276, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9087])

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9029])

      allocate(vertices(1063)%branchR2(0:0))
      call avR2(1063, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(2460)%branchR2(0:0))
      call avR2(2460, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8839])

      allocate(vertices(3752)%branchR2(0:0))
      call avR2(3752, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(3286)%branchR2(0:0))
      call avR2(3286, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8770])

      allocate(vertices(3010)%branchR2(0:0))
      call avR2(3010, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_8712, nGC_8711])

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8899])

      allocate(vertices(685)%branchR2(0:0))
      call avR2(685, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(116)%branchR2(0:0))
      call avR2(116, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(731)%branchR2(0:0))
      call avR2(731, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(396)%branchR2(0:0))
      call avR2(396, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8934])

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1613)%branchR2(0:1))
      call avR2(1613, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9001, nGC_9001])

      call avR2(1613, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8999, nGC_9000])

      allocate(vertices(1928)%branchR2(0:1))
      call avR2(1928, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(1928, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(337)%branchR2(0:0))
      call avR2(337, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9021, nGC_9020])

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(1800)%branchR2(0:0))
      call avR2(1800, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30852])

      allocate(vertices(3753)%branchR2(0:0))
      call avR2(3753, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(3509)%branchR2(0:0))
      call avR2(3509, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2218)%branchR2(0:0))
      call avR2(2218, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3754)%branchR2(0:0))
      call avR2(3754, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3755)%branchR2(0:0))
      call avR2(3755, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8969])

      allocate(vertices(3756)%branchR2(0:0))
      call avR2(3756, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9097])

      allocate(vertices(1559)%branchR2(0:0))
      call avR2(1559, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1697)%branchR2(0:0))
      call avR2(1697, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9043, nGC_9044])

      allocate(vertices(3546)%branchR2(0:0))
      call avR2(3546, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3057)%branchR2(0:0))
      call avR2(3057, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1091)%branchR2(0:1))
      call avR2(1091, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8870, nGC_8872])

      call avR2(1091, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8871, nGC_8873])

      allocate(vertices(2397)%branchR2(0:0))
      call avR2(2397, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2001)%branchR2(0:0))
      call avR2(2001, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2719)%branchR2(0:0))
      call avR2(2719, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(3757)%branchR2(0:0))
      call avR2(3757, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2384)%branchR2(0:0))
      call avR2(2384, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2555)%branchR2(0:0))
      call avR2(2555, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9089])

      allocate(vertices(3444)%branchR2(0:0))
      call avR2(3444, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(3377)%branchR2(0:0))
      call avR2(3377, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1553)%branchR2(0:0))
      call avR2(1553, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(630)%branchR2(0:0))
      call avR2(630, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9046])

      allocate(vertices(719)%branchR2(0:1))
      call avR2(719, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9004, nGC_9004])

      call avR2(719, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9002, nGC_9003])

      allocate(vertices(3758)%branchR2(0:0))
      call avR2(3758, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9097])

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3243)%branchR2(0:0))
      call avR2(3243, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1924)%branchR2(0:0))
      call avR2(1924, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2505)%branchR2(0:0))
      call avR2(2505, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(3262)%branchR2(0:0))
      call avR2(3262, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8856])

      allocate(vertices(1495)%branchR2(0:1))
      call avR2(1495, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(1495, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_9040, nGC_9039])

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3759)%branchR2(0:0))
      call avR2(3759, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9090])

      allocate(vertices(1766)%branchR2(0:0))
      call avR2(1766, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29395])

      allocate(vertices(3034)%branchR2(0:0))
      call avR2(3034, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(1094)%branchR2(0:0))
      call avR2(1094, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9046])

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9089])

      allocate(vertices(3098)%branchR2(0:0))
      call avR2(3098, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8783])

      allocate(vertices(2180)%branchR2(0:0))
      call avR2(2180, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(3760)%branchR2(0:1))
      call avR2(3760, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9253])

      call avR2(3760, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9254])

      allocate(vertices(2731)%branchR2(0:0))
      call avR2(2731, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9168])

      allocate(vertices(2115)%branchR2(0:0))
      call avR2(2115, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(153)%branchR2(0:1))
      call avR2(153, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8911, nGC_8913])

      call avR2(153, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8912, nGC_8914])

      allocate(vertices(3326)%branchR2(0:0))
      call avR2(3326, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9087])

      allocate(vertices(1021)%branchR2(0:1))
      call avR2(1021, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(1021, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_8809, nGC_8808])

      allocate(vertices(1631)%branchR2(0:0))
      call avR2(1631, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(2366)%branchR2(0:0))
      call avR2(2366, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9255])

      allocate(vertices(3311)%branchR2(0:0))
      call avR2(3311, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1527)%branchR2(0:3))
      call avR2(1527, 0, 40, 1, 0, VFaF0, 0, [1, 2], [nGC_9079, nGC_9078])

      call avR2(1527, 1, 40, 1, 0, VFaF0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(1527, 2, 41, 1, 0, VFaF0, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(1527, 3, 41, 1, 0, VFaF0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(1612)%branchR2(0:0))
      call avR2(1612, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(2135)%branchR2(0:0))
      call avR2(2135, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

      allocate(vertices(2980)%branchR2(0:0))
      call avR2(2980, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3020)%branchR2(0:0))
      call avR2(3020, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(2091)%branchR2(0:0))
      call avR2(2091, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1836)%branchR2(0:0))
      call avR2(1836, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(930)%branchR2(0:0))
      call avR2(930, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(1552)%branchR2(0:1))
      call avR2(1552, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8978, nGC_8978])

      call avR2(1552, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8976, nGC_8977])

      allocate(vertices(3761)%branchR2(0:0))
      call avR2(3761, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8857])

      allocate(vertices(3030)%branchR2(0:0))
      call avR2(3030, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9127])

      allocate(vertices(3337)%branchR2(0:0))
      call avR2(3337, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3762)%branchR2(0:1))
      call avR2(3762, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9266, nGC_9266,      &
      nGC_9266])

      call avR2(3762, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9267, nGC_9267,      &
      nGC_9267])

      allocate(vertices(848)%branchR2(0:0))
      call avR2(848, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9047])

      allocate(vertices(3763)%branchR2(0:1))
      call avR2(3763, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      call avR2(3763, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2333)%branchR2(0:0))
      call avR2(2333, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8865])

      allocate(vertices(1450)%branchR2(0:0))
      call avR2(1450, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9132,        &
      nGC_9130])

      allocate(vertices(2655)%branchR2(0:0))
      call avR2(2655, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8881, nGC_8880])

      allocate(vertices(3524)%branchR2(0:0))
      call avR2(3524, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9095,       &
      nGC_9096])

      allocate(vertices(1917)%branchR2(0:0))
      call avR2(1917, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2839)%branchR2(0:0))
      call avR2(2839, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9087])

      allocate(vertices(1081)%branchR2(0:1))
      call avR2(1081, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8990, nGC_8990])

      call avR2(1081, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8988, nGC_8989])

      allocate(vertices(2667)%branchR2(0:0))
      call avR2(2667, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(1772)%branchR2(0:0))
      call avR2(1772, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(336)%branchR2(0:0))
      call avR2(336, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8836])

      allocate(vertices(257)%branchR2(0:0))
      call avR2(257, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(1745)%branchR2(0:0))
      call avR2(1745, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8967])

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(3165)%branchR2(0:0))
      call avR2(3165, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9127])

      allocate(vertices(2161)%branchR2(0:1))
      call avR2(2161, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_9019, nGC_9019])

      call avR2(2161, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_9017, nGC_9018])

      allocate(vertices(1046)%branchR2(0:0))
      call avR2(1046, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2918)%branchR2(0:0))
      call avR2(2918, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(743)%branchR2(0:0))
      call avR2(743, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(1371)%branchR2(0:0))
      call avR2(1371, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1015)%branchR2(0:0))
      call avR2(1015, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9029])

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9260, nGC_9258,       &
      nGC_9259])

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9236])

      allocate(vertices(385)%branchR2(0:1))
      call avR2(385, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(385, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3764)%branchR2(0:0))
      call avR2(3764, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(2687)%branchR2(0:0))
      call avR2(2687, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(1113)%branchR2(0:0))
      call avR2(1113, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8837])

      allocate(vertices(1641)%branchR2(0:0))
      call avR2(1641, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2807)%branchR2(0:0))
      call avR2(2807, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30589])

      allocate(vertices(3765)%branchR2(0:1))
      call avR2(3765, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9171])

      call avR2(3765, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(1234)%branchR2(0:0))
      call avR2(1234, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(3282)%branchR2(0:0))
      call avR2(3282, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(3766)%branchR2(0:1))
      call avR2(3766, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9118, nGC_9118,      &
      nGC_9118])

      call avR2(3766, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9117, nGC_9117,      &
      nGC_9117])

      allocate(vertices(3114)%branchR2(0:0))
      call avR2(3114, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8782])

      allocate(vertices(2329)%branchR2(0:0))
      call avR2(2329, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9045])

      allocate(vertices(2154)%branchR2(0:0))
      call avR2(2154, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(3445)%branchR2(0:0))
      call avR2(3445, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2832)%branchR2(0:0))
      call avR2(2832, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(59)%branchR2(0:0))
      call avR2(59, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3389)%branchR2(0:0))
      call avR2(3389, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(715)%branchR2(0:0))
      call avR2(715, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2520)%branchR2(0:0))
      call avR2(2520, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(3323)%branchR2(0:0))
      call avR2(3323, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8800])

      allocate(vertices(3767)%branchR2(0:1))
      call avR2(3767, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      call avR2(3767, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      allocate(vertices(636)%branchR2(0:1))
      call avR2(636, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_8803, nGC_8802])

      call avR2(636, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2317)%branchR2(0:0))
      call avR2(2317, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8795, nGC_8796])

      allocate(vertices(342)%branchR2(0:0))
      call avR2(342, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(752)%branchR2(0:0))
      call avR2(752, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8891, nGC_8890])

      allocate(vertices(1344)%branchR2(0:0))
      call avR2(1344, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8864])

      allocate(vertices(2332)%branchR2(0:0))
      call avR2(2332, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(1115)%branchR2(0:1))
      call avR2(1115, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8961, nGC_8963])

      call avR2(1115, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8962, nGC_8964])

      allocate(vertices(2400)%branchR2(0:0))
      call avR2(2400, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

      allocate(vertices(2712)%branchR2(0:0))
      call avR2(2712, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(1379)%branchR2(0:0))
      call avR2(1379, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8917])

      allocate(vertices(353)%branchR2(0:3))
      call avR2(353, 0, 38, 1, 0, VFFa1, 0, [1, 2], [nGC_9069, nGC_9068])

      call avR2(353, 1, 38, 1, 0, VFFa1, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(353, 2, 39, 1, 0, VFFa1, 0, [1, 2], [nGC_9067, nGC_9066])

      call avR2(353, 3, 39, 1, 0, VFFa1, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(2519)%branchR2(0:0))
      call avR2(2519, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1466)%branchR2(0:0))
      call avR2(1466, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(2427)%branchR2(0:0))
      call avR2(2427, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(532)%branchR2(0:0))
      call avR2(532, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8773])

      allocate(vertices(2886)%branchR2(0:0))
      call avR2(2886, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(3079)%branchR2(0:0))
      call avR2(3079, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8799])

      allocate(vertices(2006)%branchR2(0:0))
      call avR2(2006, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(3136)%branchR2(0:0))
      call avR2(3136, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8861])

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2591)%branchR2(0:0))
      call avR2(2591, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(3547)%branchR2(0:1))
      call avR2(3547, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8749, nGC_8747,       &
      nGC_8748, nGC_8748])

      call avR2(3547, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8746, nGC_8746])

      allocate(vertices(1019)%branchR2(0:1))
      call avR2(1019, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(1019, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(2751)%branchR2(0:0))
      call avR2(2751, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(641)%branchR2(0:0))
      call avR2(641, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(3350)%branchR2(0:0))
      call avR2(3350, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2685)%branchR2(0:0))
      call avR2(2685, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8921])

      allocate(vertices(1660)%branchR2(0:0))
      call avR2(1660, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8915])

      allocate(vertices(1317)%branchR2(0:0))
      call avR2(1317, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(3115)%branchR2(0:0))
      call avR2(3115, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29961])

      allocate(vertices(2328)%branchR2(0:0))
      call avR2(2328, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(2799)%branchR2(0:0))
      call avR2(2799, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3042)%branchR2(0:0))
      call avR2(3042, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2820)%branchR2(0:0))
      call avR2(2820, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(824)%branchR2(0:1))
      call avR2(824, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8805, nGC_8804])

      call avR2(824, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(3768)%branchR2(0:0))
      call avR2(3768, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(952)%branchR2(0:0))
      call avR2(952, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8814])

      allocate(vertices(2696)%branchR2(0:0))
      call avR2(2696, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(572)%branchR2(0:0))
      call avR2(572, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9247])

      allocate(vertices(3490)%branchR2(0:0))
      call avR2(3490, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8818])

      allocate(vertices(3259)%branchR2(0:0))
      call avR2(3259, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9133])

      allocate(vertices(3125)%branchR2(0:0))
      call avR2(3125, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_8801])

      allocate(vertices(1342)%branchR2(0:0))
      call avR2(1342, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(3769)%branchR2(0:0))
      call avR2(3769, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9091])

      allocate(vertices(3176)%branchR2(0:0))
      call avR2(3176, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1748)%branchR2(0:0))
      call avR2(1748, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(677)%branchR2(0:1))
      call avR2(677, 0, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(677, 1, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8923, nGC_8922])

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(3155)%branchR2(0:0))
      call avR2(3155, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(407)%branchR2(0:0))
      call avR2(407, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

      allocate(vertices(2883)%branchR2(0:1))
      call avR2(2883, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8743,       &
      nGC_8744, nGC_8744])

      call avR2(2883, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8741, nGC_8741])

      allocate(vertices(2244)%branchR2(0:0))
      call avR2(2244, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1119)%branchR2(0:1))
      call avR2(1119, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

      call avR2(1119, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

      allocate(vertices(1193)%branchR2(0:0))
      call avR2(1193, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(3770)%branchR2(0:1))
      call avR2(3770, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9209])

      call avR2(3770, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9208])

      allocate(vertices(1635)%branchR2(0:0))
      call avR2(1635, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(610)%branchR2(0:1))
      call avR2(610, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8831, nGC_8833])

      call avR2(610, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8832, nGC_8834])

      allocate(vertices(2573)%branchR2(0:0))
      call avR2(2573, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1121)%branchR2(0:0))
      call avR2(1121, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3217)%branchR2(0:0))
      call avR2(3217, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(3487)%branchR2(0:0))
      call avR2(3487, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2077)%branchR2(0:1))
      call avR2(2077, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_9026])

      call avR2(2077, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31257])

      allocate(vertices(3771)%branchR2(0:1))
      call avR2(3771, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9171])

      call avR2(3771, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9043, nGC_9044])

      allocate(vertices(1536)%branchR2(0:0))
      call avR2(1536, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1617)%branchR2(0:0))
      call avR2(1617, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(2847)%branchR2(0:0))
      call avR2(2847, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3309)%branchR2(0:0))
      call avR2(3309, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3772)%branchR2(0:0))
      call avR2(3772, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8776])

      allocate(vertices(2147)%branchR2(0:0))
      call avR2(2147, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2112)%branchR2(0:0))
      call avR2(2112, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2052)%branchR2(0:0))
      call avR2(2052, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

      allocate(vertices(1857)%branchR2(0:0))
      call avR2(1857, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(3216)%branchR2(0:0))
      call avR2(3216, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3565)%branchR2(0:0))
      call avR2(3565, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3400)%branchR2(0:0))
      call avR2(3400, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(3285)%branchR2(0:0))
      call avR2(3285, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30209])

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3356)%branchR2(0:0))
      call avR2(3356, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(129)%branchR2(0:0))
      call avR2(129, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2344)%branchR2(0:0))
      call avR2(2344, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8998])

      allocate(vertices(2267)%branchR2(0:0))
      call avR2(2267, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8891, nGC_8890])

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3455)%branchR2(0:0))
      call avR2(3455, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1220)%branchR2(0:0))
      call avR2(1220, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(2304)%branchR2(0:0))
      call avR2(2304, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

      allocate(vertices(2472)%branchR2(0:0))
      call avR2(2472, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

      allocate(vertices(3773)%branchR2(0:0))
      call avR2(3773, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(614)%branchR2(0:1))
      call avR2(614, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

      call avR2(614, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9028])

      allocate(vertices(894)%branchR2(0:0))
      call avR2(894, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(1288)%branchR2(0:0))
      call avR2(1288, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8917])

      allocate(vertices(30)%branchR2(0:1))
      call avR2(30, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8791, nGC_8790])

      call avR2(30, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(1145)%branchR2(0:0))
      call avR2(1145, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8950, nGC_8949])

      allocate(vertices(477)%branchR2(0:0))
      call avR2(477, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_8797, nGC_8798])

      allocate(vertices(2402)%branchR2(0:0))
      call avR2(2402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1967)%branchR2(0:1))
      call avR2(1967, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8911, nGC_8913])

      call avR2(1967, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8912, nGC_8914])

      allocate(vertices(2949)%branchR2(0:0))
      call avR2(2949, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2295)%branchR2(0:0))
      call avR2(2295, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(612)%branchR2(0:0))
      call avR2(612, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(241)%branchR2(0:0))
      call avR2(241, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8771])

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(3774)%branchR2(0:5))
      call avR2(3774, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9158, nGC_9158,      &
      nGC_9158])

      call avR2(3774, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3774, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3774, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3774, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9160, nGC_9160,      &
      nGC_9160])

      call avR2(3774, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9158, nGC_9158,      &
      nGC_9158])

      allocate(vertices(638)%branchR2(0:1))
      call avR2(638, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8870, nGC_8872])

      call avR2(638, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8871, nGC_8873])

      allocate(vertices(1057)%branchR2(0:0))
      call avR2(1057, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(150)%branchR2(0:0))
      call avR2(150, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1588)%branchR2(0:0))
      call avR2(1588, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1577)%branchR2(0:0))
      call avR2(1577, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2167)%branchR2(0:0))
      call avR2(2167, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8881, nGC_8880])

      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3516)%branchR2(0:0))
      call avR2(3516, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(236)%branchR2(0:1))
      call avR2(236, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(236, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9049, nGC_9048])

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9262, nGC_9262,        &
      nGC_9261])

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(3775)%branchR2(0:1))
      call avR2(3775, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9266, nGC_9266,      &
      nGC_9266])

      call avR2(3775, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9267, nGC_9267,      &
      nGC_9267])

      allocate(vertices(3776)%branchR2(0:1))
      call avR2(3776, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9253])

      call avR2(3776, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9254])

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(3777)%branchR2(0:1))
      call avR2(3777, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9171])

      call avR2(3777, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9170])

      allocate(vertices(3361)%branchR2(0:0))
      call avR2(3361, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8782])

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(1307)%branchR2(0:3))
      call avR2(1307, 0, 32, 1, 0, FVFa0, 0, [1, 2], [nGC_9074, nGC_9073])

      call avR2(1307, 1, 32, 1, 0, FVFa0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(1307, 2, 33, 1, 0, FVFa0, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(1307, 3, 33, 1, 0, FVFa0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1557)%branchR2(0:0))
      call avR2(1557, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(3103)%branchR2(0:0))
      call avR2(3103, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8899])

      allocate(vertices(3301)%branchR2(0:0))
      call avR2(3301, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1255)%branchR2(0:1))
      call avR2(1255, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8973, nGC_8974])

      call avR2(1255, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8975, nGC_8975])

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(297)%branchR2(0:0))
      call avR2(297, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(2430)%branchR2(0:0))
      call avR2(2430, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8779])

      allocate(vertices(2911)%branchR2(0:1))
      call avR2(2911, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8745, nGC_8743,       &
      nGC_8744, nGC_8744])

      call avR2(2911, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8741, nGC_8741])

      allocate(vertices(1078)%branchR2(0:1))
      call avR2(1078, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8961, nGC_8963])

      call avR2(1078, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8962, nGC_8964])

      allocate(vertices(935)%branchR2(0:0))
      call avR2(935, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1861)%branchR2(0:0))
      call avR2(1861, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(1768)%branchR2(0:0))
      call avR2(1768, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1599)%branchR2(0:0))
      call avR2(1599, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(2262)%branchR2(0:1))
      call avR2(2262, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_9027])

      call avR2(2262, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_9028])

      allocate(vertices(2046)%branchR2(0:0))
      call avR2(2046, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(2668)%branchR2(0:0))
      call avR2(2668, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(1846)%branchR2(0:0))
      call avR2(1846, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9258, nGC_9259,       &
      nGC_9260])

      allocate(vertices(2500)%branchR2(0:3))
      call avR2(2500, 0, 38, 1, 0, VFFa1, 0, [1, 2], [nGC_9065, nGC_9064])

      call avR2(2500, 1, 38, 1, 0, VFFa1, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(2500, 2, 39, 1, 0, VFFa1, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(2500, 3, 39, 1, 0, VFFa1, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(1673)%branchR2(0:0))
      call avR2(1673, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9025])

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30566])

      allocate(vertices(2341)%branchR2(0:0))
      call avR2(2341, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(2651)%branchR2(0:0))
      call avR2(2651, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8780])

      allocate(vertices(1664)%branchR2(0:0))
      call avR2(1664, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3778)%branchR2(0:0))
      call avR2(3778, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2417)%branchR2(0:0))
      call avR2(2417, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(3779)%branchR2(0:0))
      call avR2(3779, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9097])

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8774])

      allocate(vertices(1132)%branchR2(0:0))
      call avR2(1132, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(3780)%branchR2(0:0))
      call avR2(3780, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2229)%branchR2(0:0))
      call avR2(2229, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2975)%branchR2(0:0))
      call avR2(2975, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(2822)%branchR2(0:0))
      call avR2(2822, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(185)%branchR2(0:1))
      call avR2(185, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8828, nGC_8830])

      call avR2(185, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8850, nGC_8851])

      allocate(vertices(1614)%branchR2(0:0))
      call avR2(1614, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3781)%branchR2(0:0))
      call avR2(3781, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9090])

      allocate(vertices(740)%branchR2(0:0))
      call avR2(740, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2414)%branchR2(0:0))
      call avR2(2414, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9258, nGC_9260,       &
      nGC_9259])

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8921])

      allocate(vertices(3782)%branchR2(0:0))
      call avR2(3782, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(945)%branchR2(0:0))
      call avR2(945, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1571)%branchR2(0:0))
      call avR2(1571, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(1511)%branchR2(0:0))
      call avR2(1511, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1346)%branchR2(0:1))
      call avR2(1346, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8886, nGC_8888])

      call avR2(1346, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8887, nGC_8889])

      allocate(vertices(1008)%branchR2(0:0))
      call avR2(1008, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(2336)%branchR2(0:0))
      call avR2(2336, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8997])

      allocate(vertices(2851)%branchR2(0:0))
      call avR2(2851, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1202)%branchR2(0:0))
      call avR2(1202, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8859])

      allocate(vertices(2138)%branchR2(0:0))
      call avR2(2138, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1946)%branchR2(0:0))
      call avR2(1946, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1795)%branchR2(0:1))
      call avR2(1795, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_9014, nGC_9015])

      call avR2(1795, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_9016, nGC_9016])

      allocate(vertices(1219)%branchR2(0:1))
      call avR2(1219, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(1219, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(3052)%branchR2(0:0))
      call avR2(3052, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2678)%branchR2(0:0))
      call avR2(2678, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(2191)%branchR2(0:0))
      call avR2(2191, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

      allocate(vertices(2437)%branchR2(0:0))
      call avR2(2437, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8864])

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(2455)%branchR2(0:1))
      call avR2(2455, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_9026])

      call avR2(2455, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_9027])

      allocate(vertices(1727)%branchR2(0:0))
      call avR2(1727, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2359)%branchR2(0:0))
      call avR2(2359, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(3783)%branchR2(0:1))
      call avR2(3783, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9225])

      call avR2(3783, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9226])

      allocate(vertices(875)%branchR2(0:0))
      call avR2(875, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8901])

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2599)%branchR2(0:0))
      call avR2(2599, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8781])

      allocate(vertices(3141)%branchR2(0:0))
      call avR2(3141, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8818])

      allocate(vertices(2529)%branchR2(0:0))
      call avR2(2529, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2867)%branchR2(0:0))
      call avR2(2867, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3358)%branchR2(0:0))
      call avR2(3358, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(3784)%branchR2(0:0))
      call avR2(3784, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(1686)%branchR2(0:0))
      call avR2(1686, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

      allocate(vertices(2451)%branchR2(0:0))
      call avR2(2451, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(141)%branchR2(0:1))
      call avR2(141, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(141, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(933)%branchR2(0:0))
      call avR2(933, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(2177)%branchR2(0:0))
      call avR2(2177, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8836])

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(577)%branchR2(0:0))
      call avR2(577, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(2863)%branchR2(0:0))
      call avR2(2863, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9087])

      allocate(vertices(1914)%branchR2(0:3))
      call avR2(1914, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9069, nGC_9068])

      call avR2(1914, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(1914, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9067, nGC_9066])

      call avR2(1914, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9246])

      allocate(vertices(1422)%branchR2(0:1))
      call avR2(1422, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8987, nGC_8987])

      call avR2(1422, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8985, nGC_8986])

      allocate(vertices(2530)%branchR2(0:0))
      call avR2(2530, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9131,       &
      nGC_9130])

      allocate(vertices(3152)%branchR2(0:0))
      call avR2(3152, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_8725, nGC_8724,        &
      nGC_8726])

      allocate(vertices(1826)%branchR2(0:1))
      call avR2(1826, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8870, nGC_8872])

      call avR2(1826, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8871, nGC_8873])

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

      allocate(vertices(2375)%branchR2(0:0))
      call avR2(2375, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9261, nGC_9262,       &
      nGC_9262])

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1262)%branchR2(0:0))
      call avR2(1262, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(1948)%branchR2(0:0))
      call avR2(1948, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9089])

      allocate(vertices(2023)%branchR2(0:0))
      call avR2(2023, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9247])

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9201])

      allocate(vertices(478)%branchR2(0:0))
      call avR2(478, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(3378)%branchR2(0:0))
      call avR2(3378, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(2585)%branchR2(0:1))
      call avR2(2585, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8985, nGC_8986])

      call avR2(2585, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8987, nGC_8987])

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(2007)%branchR2(0:0))
      call avR2(2007, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2986)%branchR2(0:0))
      call avR2(2986, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8723, nGC_8722])

      allocate(vertices(446)%branchR2(0:0))
      call avR2(446, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8881, nGC_8880])

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1446)%branchR2(0:0))
      call avR2(1446, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2027)%branchR2(0:0))
      call avR2(2027, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(2354)%branchR2(0:1))
      call avR2(2354, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_9005, nGC_9006])

      call avR2(2354, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_9007, nGC_9007])

      allocate(vertices(1820)%branchR2(0:0))
      call avR2(1820, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9243])

      allocate(vertices(1258)%branchR2(0:0))
      call avR2(1258, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1894)%branchR2(0:0))
      call avR2(1894, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(2933)%branchR2(0:0))
      call avR2(2933, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(2830)%branchR2(0:0))
      call avR2(2830, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2459)%branchR2(0:0))
      call avR2(2459, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9258, nGC_9260,       &
      nGC_9259])

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(160)%branchR2(0:0))
      call avR2(160, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8784])

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(788)%branchR2(0:0))
      call avR2(788, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2563)%branchR2(0:0))
      call avR2(2563, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(400)%branchR2(0:3))
      call avR2(400, 0, 38, 1, 0, VFFa1, 0, [1, 2], [nGC_9074, nGC_9073])

      call avR2(400, 1, 38, 1, 0, VFFa1, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(400, 2, 39, 1, 0, VFFa1, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(400, 3, 39, 1, 0, VFFa1, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(2057)%branchR2(0:0))
      call avR2(2057, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9250])

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8780])

      allocate(vertices(2745)%branchR2(0:0))
      call avR2(2745, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1182)%branchR2(0:0))
      call avR2(1182, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(2979)%branchR2(0:0))
      call avR2(2979, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1460)%branchR2(0:1))
      call avR2(1460, 0, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8914, nGC_8912])

      call avR2(1460, 1, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8927, nGC_8926])

      allocate(vertices(1618)%branchR2(0:0))
      call avR2(1618, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(2543)%branchR2(0:0))
      call avR2(2543, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8779])

      allocate(vertices(1715)%branchR2(0:0))
      call avR2(1715, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

      allocate(vertices(3785)%branchR2(0:0))
      call avR2(3785, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9097])

      allocate(vertices(3535)%branchR2(0:0))
      call avR2(3535, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(3316)%branchR2(0:0))
      call avR2(3316, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(1606)%branchR2(0:1))
      call avR2(1606, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8985, nGC_8986])

      call avR2(1606, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8987, nGC_8987])

      allocate(vertices(2815)%branchR2(0:0))
      call avR2(2815, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(3158)%branchR2(0:0))
      call avR2(3158, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8784])

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_9021, nGC_9020])

      allocate(vertices(1608)%branchR2(0:1))
      call avR2(1608, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8828, nGC_8830])

      call avR2(1608, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8850, nGC_8851])

      allocate(vertices(404)%branchR2(0:0))
      call avR2(404, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(3231)%branchR2(0:1))
      call avR2(3231, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8749, nGC_8747,       &
      nGC_8769, nGC_8769])

      call avR2(3231, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8768, nGC_8768])

      allocate(vertices(2271)%branchR2(0:0))
      call avR2(2271, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2132)%branchR2(0:0))
      call avR2(2132, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(3390)%branchR2(0:0))
      call avR2(3390, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9248])

      allocate(vertices(690)%branchR2(0:0))
      call avR2(690, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3786)%branchR2(0:0))
      call avR2(3786, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9092])

      allocate(vertices(3514)%branchR2(0:1))
      call avR2(3514, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8749, nGC_8747,       &
      nGC_8765, nGC_8765])

      call avR2(3514, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8766, nGC_8766])

      allocate(vertices(545)%branchR2(0:1))
      call avR2(545, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_9026])

      call avR2(545, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9027])

      allocate(vertices(2382)%branchR2(0:1))
      call avR2(2382, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8892, nGC_8894])

      call avR2(2382, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8893, nGC_8895])

      allocate(vertices(2219)%branchR2(0:0))
      call avR2(2219, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3518)%branchR2(0:0))
      call avR2(3518, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29878])

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(1320)%branchR2(0:1))
      call avR2(1320, 0, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_9026])

      call avR2(1320, 1, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

      allocate(vertices(2184)%branchR2(0:0))
      call avR2(2184, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9029])

      allocate(vertices(2347)%branchR2(0:3))
      call avR2(2347, 0, 40, 1, 0, VFaF0, 0, [1, 2], [nGC_9083, nGC_9082])

      call avR2(2347, 1, 40, 1, 0, VFaF0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(2347, 2, 41, 1, 0, VFaF0, 0, [1, 2], [nGC_9081, nGC_9080])

      call avR2(2347, 3, 41, 1, 0, VFaF0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(3788)%branchR2(0:0))
      call avR2(3788, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(3051)%branchR2(0:0))
      call avR2(3051, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1575)%branchR2(0:1))
      call avR2(1575, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_9026])

      call avR2(1575, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

      allocate(vertices(562)%branchR2(0:1))
      call avR2(562, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8939, nGC_8941])

      call avR2(562, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8940, nGC_8942])

      allocate(vertices(2158)%branchR2(0:0))
      call avR2(2158, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9250])

      allocate(vertices(2131)%branchR2(0:0))
      call avR2(2131, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29236])

      allocate(vertices(54)%branchR2(0:3))
      call avR2(54, 0, 40, 1, 0, VFaF0, 0, [1, 2], [nGC_9074, nGC_9073])

      call avR2(54, 1, 40, 1, 0, VFaF0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(54, 2, 41, 1, 0, VFaF0, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(54, 3, 41, 1, 0, VFaF0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8865])

      allocate(vertices(2963)%branchR2(0:0))
      call avR2(2963, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(145)%branchR2(0:1))
      call avR2(145, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

      call avR2(145, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9028])

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

      allocate(vertices(1361)%branchR2(0:0))
      call avR2(1361, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1852)%branchR2(0:0))
      call avR2(1852, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8773])

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9047])

      allocate(vertices(3244)%branchR2(0:0))
      call avR2(3244, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3440)%branchR2(0:0))
      call avR2(3440, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(3789)%branchR2(0:0))
      call avR2(3789, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(3790)%branchR2(0:0))
      call avR2(3790, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(3347)%branchR2(0:0))
      call avR2(3347, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9236])

      allocate(vertices(1876)%branchR2(0:1))
      call avR2(1876, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8911, nGC_8913])

      call avR2(1876, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8912, nGC_8914])

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(2662)%branchR2(0:0))
      call avR2(2662, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(3357)%branchR2(0:0))
      call avR2(3357, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(2309)%branchR2(0:0))
      call avR2(2309, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8846])

      allocate(vertices(3791)%branchR2(0:0))
      call avR2(3791, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(1199)%branchR2(0:0))
      call avR2(1199, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(449)%branchR2(0:0))
      call avR2(449, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8795, nGC_8796])

      allocate(vertices(2545)%branchR2(0:0))
      call avR2(2545, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(714)%branchR2(0:0))
      call avR2(714, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3222)%branchR2(0:0))
      call avR2(3222, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29575])

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(41)%branchR2(0:1))
      call avR2(41, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8882, nGC_8884])

      call avR2(41, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8883, nGC_8885])

      allocate(vertices(1468)%branchR2(0:0))
      call avR2(1468, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(182)%branchR2(0:1))
      call avR2(182, 0, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_9027])

      call avR2(182, 1, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_9028])

      allocate(vertices(2469)%branchR2(0:0))
      call avR2(2469, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(2102)%branchR2(0:0))
      call avR2(2102, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(756)%branchR2(0:0))
      call avR2(756, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9089])

    end subroutine fill_vertices_mdl11
end module vertices_info11
