!******************************************************************************!
!                                                                              !
!    vertices_info13.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info13.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info13
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl13()
      allocate(vertices(429)%branchR2(0:0))
      call avR2(429, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1426)%branchR2(0:0))
      call avR2(1426, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1688)%branchR2(0:0))
      call avR2(1688, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2331)%branchR2(0:0))
      call avR2(2331, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3194)%branchR2(0:0))
      call avR2(3194, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3870)%branchR2(0:1))
      call avR2(3870, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9251])

      call avR2(3870, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9252])

      allocate(vertices(1236)%branchR2(0:1))
      call avR2(1236, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_9024, nGC_9024])

      call avR2(1236, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_9022, nGC_9023])

      allocate(vertices(2473)%branchR2(0:0))
      call avR2(2473, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_9021, nGC_9020])

      allocate(vertices(2429)%branchR2(0:0))
      call avR2(2429, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(536)%branchR2(0:1))
      call avR2(536, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_9027])

      call avR2(536, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_9028])

      allocate(vertices(1866)%branchR2(0:1))
      call avR2(1866, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9019, nGC_9019])

      call avR2(1866, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_9017, nGC_9018])

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(3871)%branchR2(0:0))
      call avR2(3871, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8776])

      allocate(vertices(3872)%branchR2(0:1))
      call avR2(3872, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9226])

      call avR2(3872, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9225])

      allocate(vertices(2305)%branchR2(0:0))
      call avR2(2305, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8835])

      allocate(vertices(1761)%branchR2(0:0))
      call avR2(1761, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(2606)%branchR2(0:0))
      call avR2(2606, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2790)%branchR2(0:0))
      call avR2(2790, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1076)%branchR2(0:1))
      call avR2(1076, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8834, nGC_8832])

      call avR2(1076, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8853, nGC_8852])

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1250)%branchR2(0:0))
      call avR2(1250, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8920])

      allocate(vertices(3873)%branchR2(0:1))
      call avR2(3873, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      call avR2(3873, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      allocate(vertices(1151)%branchR2(0:1))
      call avR2(1151, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8951, nGC_8953])

      call avR2(1151, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8952, nGC_8954])

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1784)%branchR2(0:0))
      call avR2(1784, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8822])

      allocate(vertices(1783)%branchR2(0:0))
      call avR2(1783, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3874)%branchR2(0:0))
      call avR2(3874, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9090])

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9041, nGC_9042])

      allocate(vertices(2640)%branchR2(0:0))
      call avR2(2640, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(3272)%branchR2(0:0))
      call avR2(3272, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9128])

      allocate(vertices(2983)%branchR2(0:0))
      call avR2(2983, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9248])

      allocate(vertices(2063)%branchR2(0:0))
      call avR2(2063, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(393)%branchR2(0:0))
      call avR2(393, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2432)%branchR2(0:0))
      call avR2(2432, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(3875)%branchR2(0:1))
      call avR2(3875, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9209])

      call avR2(3875, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9208])

      allocate(vertices(3095)%branchR2(0:0))
      call avR2(3095, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3876)%branchR2(0:1))
      call avR2(3876, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9240])

      call avR2(3876, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9241])

      allocate(vertices(511)%branchR2(0:0))
      call avR2(511, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(1960)%branchR2(0:0))
      call avR2(1960, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1764)%branchR2(0:0))
      call avR2(1764, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(3877)%branchR2(0:0))
      call avR2(3877, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9137, nGC_9137,       &
      nGC_9137])

      allocate(vertices(1550)%branchR2(0:1))
      call avR2(1550, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9019, nGC_9019])

      call avR2(1550, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_9017, nGC_9018])

      allocate(vertices(2564)%branchR2(0:0))
      call avR2(2564, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1493)%branchR2(0:0))
      call avR2(1493, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(3878)%branchR2(0:0))
      call avR2(3878, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(1813)%branchR2(0:0))
      call avR2(1813, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(888)%branchR2(0:1))
      call avR2(888, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(888, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(183)%branchR2(0:0))
      call avR2(183, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(633)%branchR2(0:1))
      call avR2(633, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8909, nGC_8907])

      call avR2(633, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8910, nGC_8908])

      allocate(vertices(3019)%branchR2(0:0))
      call avR2(3019, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2342)%branchR2(0:0))
      call avR2(2342, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(377)%branchR2(0:0))
      call avR2(377, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8900])

      allocate(vertices(2991)%branchR2(0:0))
      call avR2(2991, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30540])

      allocate(vertices(3329)%branchR2(0:0))
      call avR2(3329, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8861])

      allocate(vertices(75)%branchR2(0:1))
      call avR2(75, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(75, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8923, nGC_8922])

      allocate(vertices(2313)%branchR2(0:0))
      call avR2(2313, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8845])

      allocate(vertices(131)%branchR2(0:0))
      call avR2(131, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(1544)%branchR2(0:0))
      call avR2(1544, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8786])

      allocate(vertices(1016)%branchR2(0:0))
      call avR2(1016, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9243])

      allocate(vertices(1690)%branchR2(0:0))
      call avR2(1690, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(60)%branchR2(0:0))
      call avR2(60, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29519])

      allocate(vertices(3396)%branchR2(0:0))
      call avR2(3396, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(2903)%branchR2(0:0))
      call avR2(2903, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2915)%branchR2(0:0))
      call avR2(2915, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(3454)%branchR2(0:0))
      call avR2(3454, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8797, nGC_8798])

      allocate(vertices(1296)%branchR2(0:0))
      call avR2(1296, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(1689)%branchR2(0:0))
      call avR2(1689, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9045])

      allocate(vertices(3879)%branchR2(0:0))
      call avR2(3879, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9097])

      allocate(vertices(3880)%branchR2(0:5))
      call avR2(3880, 0, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,      &
      nGC_9268])

      call avR2(3880, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3880, 2, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,      &
      nGC_9268])

      call avR2(3880, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3880, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9270, nGC_9270,      &
      nGC_9270])

      call avR2(3880, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      allocate(vertices(3881)%branchR2(0:0))
      call avR2(3881, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9246])

      allocate(vertices(3379)%branchR2(0:0))
      call avR2(3379, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9188])

      allocate(vertices(3424)%branchR2(0:0))
      call avR2(3424, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_8721, nGC_8720])

      allocate(vertices(1584)%branchR2(0:0))
      call avR2(1584, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

      allocate(vertices(117)%branchR2(0:0))
      call avR2(117, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_31519])

      allocate(vertices(3416)%branchR2(0:0))
      call avR2(3416, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9127])

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(3882)%branchR2(0:1))
      call avR2(3882, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3882, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(2248)%branchR2(0:0))
      call avR2(2248, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9094,       &
      nGC_9096])

      allocate(vertices(3111)%branchR2(0:0))
      call avR2(3111, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1730)%branchR2(0:0))
      call avR2(1730, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1647)%branchR2(0:0))
      call avR2(1647, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8822])

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1319)%branchR2(0:1))
      call avR2(1319, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8975, nGC_8975])

      call avR2(1319, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8973, nGC_8974])

      allocate(vertices(31)%branchR2(0:0))
      call avR2(31, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9041, nGC_9042])

      allocate(vertices(1331)%branchR2(0:0))
      call avR2(1331, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(3587)%branchR2(0:0))
      call avR2(3587, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(800)%branchR2(0:0))
      call avR2(800, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9030])

      allocate(vertices(3883)%branchR2(0:1))
      call avR2(3883, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9225])

      call avR2(3883, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9226])

      allocate(vertices(813)%branchR2(0:0))
      call avR2(813, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8854])

      allocate(vertices(1335)%branchR2(0:0))
      call avR2(1335, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(3884)%branchR2(0:0))
      call avR2(3884, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8777])

      allocate(vertices(21)%branchR2(0:0))
      call avR2(21, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3543)%branchR2(0:0))
      call avR2(3543, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(3364)%branchR2(0:0))
      call avR2(3364, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2937)%branchR2(0:0))
      call avR2(2937, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_33132])

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(1947)%branchR2(0:0))
      call avR2(1947, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(3885)%branchR2(0:1))
      call avR2(3885, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9263])

      call avR2(3885, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9264])

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(3886)%branchR2(0:0))
      call avR2(3886, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(359)%branchR2(0:0))
      call avR2(359, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2237)%branchR2(0:0))
      call avR2(2237, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(1817)%branchR2(0:0))
      call avR2(1817, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8814])

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8980, nGC_8979])

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(1449)%branchR2(0:0))
      call avR2(1449, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3303)%branchR2(0:0))
      call avR2(3303, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8732, nGC_8731])

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3887)%branchR2(0:0))
      call avR2(3887, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9093])

      allocate(vertices(2845)%branchR2(0:0))
      call avR2(2845, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(3552)%branchR2(0:0))
      call avR2(3552, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2227)%branchR2(0:1))
      call avR2(2227, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9016, nGC_9016])

      call avR2(2227, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_9014, nGC_9015])

      allocate(vertices(2595)%branchR2(0:0))
      call avR2(2595, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2974)%branchR2(0:0))
      call avR2(2974, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30135])

      allocate(vertices(2093)%branchR2(0:3))
      call avR2(2093, 0, 40, 1, 0, VFaF0, 0, [1, 2], [nGC_9061, nGC_9059])

      call avR2(2093, 1, 40, 1, 0, VFaF0, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(2093, 2, 41, 1, 0, VFaF0, 0, [1, 2], [nGC_9058, nGC_9056])

      call avR2(2093, 3, 41, 1, 0, VFaF0, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(1388)%branchR2(0:0))
      call avR2(1388, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1600)%branchR2(0:0))
      call avR2(1600, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

      allocate(vertices(1804)%branchR2(0:0))
      call avR2(1804, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(3248)%branchR2(0:0))
      call avR2(3248, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(2318)%branchR2(0:1))
      call avR2(2318, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(2318, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8923, nGC_8922])

      allocate(vertices(2717)%branchR2(0:0))
      call avR2(2717, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8784])

      allocate(vertices(1007)%branchR2(0:0))
      call avR2(1007, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2179)%branchR2(0:1))
      call avR2(2179, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8951, nGC_8953])

      call avR2(2179, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8952, nGC_8954])

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

    end subroutine fill_vertices_mdl13
end module vertices_info13
