!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl4()
      allocate(vertices(2400)%branch(0:0))
      call av(2400, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_112])

      allocate(vertices(2401)%branch(0:0))
      call av(2401, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(2402)%branch(0:0))
      call av(2402, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2403)%branch(0:0))
      call av(2403, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2404)%branch(0:0))
      call av(2404, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_185])

      allocate(vertices(2405)%branch(0:0))
      call av(2405, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2406)%branch(0:0))
      call av(2406, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_70])

      allocate(vertices(2407)%branch(0:0))
      call av(2407, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_68])

      allocate(vertices(2408)%branch(0:0))
      call av(2408, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_103])

      allocate(vertices(2409)%branch(0:0))
      call av(2409, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

      allocate(vertices(2410)%branch(0:0))
      call av(2410, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_34])

      allocate(vertices(2411)%branch(0:0))
      call av(2411, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_112])

      allocate(vertices(2412)%branch(0:0))
      call av(2412, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_158])

      allocate(vertices(2413)%branch(0:0))
      call av(2413, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_68])

      allocate(vertices(2414)%branch(0:0))
      call av(2414, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_79, nGC_79, nGC_1047])

      allocate(vertices(2415)%branch(0:0))
      call av(2415, 0, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_695, nGC_132])

      allocate(vertices(2416)%branch(0:0))
      call av(2416, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_70])

      allocate(vertices(2417)%branch(0:0))
      call av(2417, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2418)%branch(0:0))
      call av(2418, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2419)%branch(0:0))
      call av(2419, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_695, nGC_132])

      allocate(vertices(2420)%branch(0:0))
      call av(2420, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2421)%branch(0:0))
      call av(2421, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_80])

      allocate(vertices(2422)%branch(0:0))
      call av(2422, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2423)%branch(0:0))
      call av(2423, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_18])

      allocate(vertices(2424)%branch(0:0))
      call av(2424, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2425)%branch(0:0))
      call av(2425, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2426)%branch(0:0))
      call av(2426, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_97])

      allocate(vertices(2427)%branch(0:0))
      call av(2427, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2428)%branch(0:0))
      call av(2428, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_15])

      allocate(vertices(2429)%branch(0:0))
      call av(2429, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

      allocate(vertices(2430)%branch(0:0))
      call av(2430, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2431)%branch(0:0))
      call av(2431, 0, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_173, nGC_173])

      allocate(vertices(2432)%branch(0:0))
      call av(2432, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2433)%branch(0:0))
      call av(2433, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_90])

      allocate(vertices(2434)%branch(0:0))
      call av(2434, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_96])

      allocate(vertices(2435)%branch(0:0))
      call av(2435, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_35])

      allocate(vertices(2436)%branch(0:0))
      call av(2436, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_74])

      allocate(vertices(2437)%branch(0:0))
      call av(2437, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_94])

      allocate(vertices(2438)%branch(0:0))
      call av(2438, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_90])

      allocate(vertices(2439)%branch(0:0))
      call av(2439, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_66])

      allocate(vertices(2440)%branch(0:0))
      call av(2440, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_3011])

      allocate(vertices(2441)%branch(0:0))
      call av(2441, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_35])

      allocate(vertices(2442)%branch(0:0))
      call av(2442, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_15])

      allocate(vertices(2443)%branch(0:0))
      call av(2443, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_184, nGC_184])

      allocate(vertices(2444)%branch(0:0))
      call av(2444, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_70])

      allocate(vertices(2445)%branch(0:1))
      call av(2445, 0, 0, 4, 0, UaUV0, 0, [1, 0], [nGC_893])

      call av(2445, 1, 1, 5, 0, UaUV0, 0, [1, 0], [nGC_893])

      allocate(vertices(2446)%branch(0:0))
      call av(2446, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(2447)%branch(0:0))
      call av(2447, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2448)%branch(0:0))
      call av(2448, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_74])

      allocate(vertices(2449)%branch(0:0))
      call av(2449, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_19])

      allocate(vertices(2450)%branch(0:0))
      call av(2450, 0, 18, 1, 0, VFaF0, 0, [0, 1], [nGC_84, nGC_87])

      allocate(vertices(2451)%branch(0:0))
      call av(2451, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(2452)%branch(0:0))
      call av(2452, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_188, nGC_188])

      allocate(vertices(2453)%branch(0:0))
      call av(2453, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_96])

      allocate(vertices(2454)%branch(0:0))
      call av(2454, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

      allocate(vertices(2455)%branch(0:0))
      call av(2455, 0, 21, 1, 0, FaVF0, 0, [0, 1], [nGC_80])

      allocate(vertices(2456)%branch(0:0))
      call av(2456, 0, 19, 1, 0, VFFa1, 0, [0, 1], [nGC_85, nGC_88])

      allocate(vertices(2457)%branch(0:0))
      call av(2457, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2458)%branch(0:0))
      call av(2458, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_16])

      allocate(vertices(2459)%branch(0:0))
      call av(2459, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_79, nGC_79, nGC_1047])

      allocate(vertices(2460)%branch(0:0))
      call av(2460, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_867])

      allocate(vertices(2461)%branch(0:0))
      call av(2461, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(2462)%branch(0:0))
      call av(2462, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_67])

      allocate(vertices(2463)%branch(0:0))
      call av(2463, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_53])

      allocate(vertices(2464)%branch(0:0))
      call av(2464, 0, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_197, nGC_198])

      allocate(vertices(2465)%branch(0:0))
      call av(2465, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_20])

      allocate(vertices(2466)%branch(0:0))
      call av(2466, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_1143])

      allocate(vertices(2467)%branch(0:0))
      call av(2467, 0, 19, 1, 0, SFFa1, 0, [0, 1], [nGC_148, nGC_147])

      allocate(vertices(2468)%branch(0:0))
      call av(2468, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2469)%branch(0:0))
      call av(2469, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_38])

      allocate(vertices(2470)%branch(0:0))
      call av(2470, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2471)%branch(0:0))
      call av(2471, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_1207, nGC_5, nGC_5])

      allocate(vertices(2472)%branch(0:0))
      call av(2472, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2473)%branch(0:0))
      call av(2473, 0, 8, 1, 0, FFaS1, 0, [0, 1], [nGC_184, nGC_184])

      allocate(vertices(2474)%branch(0:0))
      call av(2474, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

      allocate(vertices(2475)%branch(0:0))
      call av(2475, 0, 20, 1, 0, FaFV0, 0, [0, 1], [nGC_80])

      allocate(vertices(2476)%branch(0:0))
      call av(2476, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

      allocate(vertices(2477)%branch(0:0))
      call av(2477, 0, 20, 1, 0, FaFV0, 0, [0, 1], [nGC_80])

      allocate(vertices(2478)%branch(0:0))
      call av(2478, 0, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_193, nGC_146])

      allocate(vertices(2479)%branch(0:0))
      call av(2479, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2480)%branch(0:0))
      call av(2480, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_110])

      allocate(vertices(2481)%branch(0:0))
      call av(2481, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_118])

      allocate(vertices(2482)%branch(0:0))
      call av(2482, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(2483)%branch(0:0))
      call av(2483, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_20])

      allocate(vertices(2484)%branch(0:0))
      call av(2484, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_18])

      allocate(vertices(2485)%branch(0:0))
      call av(2485, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_83, nGC_607, nGC_607])

      allocate(vertices(2486)%branch(0:0))
      call av(2486, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_1485])

      allocate(vertices(2487)%branch(0:0))
      call av(2487, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2488)%branch(0:0))
      call av(2488, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_181, nGC_138])

      allocate(vertices(2489)%branch(0:0))
      call av(2489, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2490)%branch(0:0))
      call av(2490, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_62])

      allocate(vertices(2491)%branch(0:0))
      call av(2491, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_59])

      allocate(vertices(2492)%branch(0:0))
      call av(2492, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_100])

      allocate(vertices(2493)%branch(0:1))
      call av(2493, 0, 36, 2, 0, FaFV1, 0, [1, 0], [nGC_7, nGC_7])

      call av(2493, 1, 37, 3, 0, FaFV1, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2494)%branch(0:0))
      call av(2494, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_92])

      allocate(vertices(2495)%branch(0:0))
      call av(2495, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_32])

      allocate(vertices(2496)%branch(0:0))
      call av(2496, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_1243])

      allocate(vertices(2497)%branch(0:0))
      call av(2497, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_86, nGC_89])

      allocate(vertices(2498)%branch(0:0))
      call av(2498, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_122])

      allocate(vertices(2499)%branch(0:0))
      call av(2499, 0, 18, 1, 0, VFaF1, 0, [0, 1], [nGC_80])

      allocate(vertices(2500)%branch(0:1))
      call av(2500, 0, 38, 2, 0, VFFa1, 0, [1, 0], [nGC_7, nGC_7])

      call av(2500, 1, 39, 3, 0, VFFa1, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2501)%branch(0:0))
      call av(2501, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_27])

      allocate(vertices(2502)%branch(0:0))
      call av(2502, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2503)%branch(0:0))
      call av(2503, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_71])

      allocate(vertices(2504)%branch(0:0))
      call av(2504, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_108])

      allocate(vertices(2505)%branch(0:0))
      call av(2505, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_60])

      allocate(vertices(2506)%branch(0:0))
      call av(2506, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_126])

      allocate(vertices(2507)%branch(0:0))
      call av(2507, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(2508)%branch(0:0))
      call av(2508, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_160, nGC_159])

      allocate(vertices(2509)%branch(0:0))
      call av(2509, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

      allocate(vertices(2510)%branch(0:0))
      call av(2510, 0, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_134, nGC_174])

      allocate(vertices(2511)%branch(0:0))
      call av(2511, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(2512)%branch(0:0))
      call av(2512, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_95])

      allocate(vertices(2513)%branch(0:0))
      call av(2513, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_14])

      allocate(vertices(2514)%branch(0:0))
      call av(2514, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(2515)%branch(0:0))
      call av(2515, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_1063])

      allocate(vertices(2516)%branch(0:0))
      call av(2516, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_65])

      allocate(vertices(2517)%branch(0:0))
      call av(2517, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(2518)%branch(0:0))
      call av(2518, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_77])

      allocate(vertices(2519)%branch(0:0))
      call av(2519, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_111])

      allocate(vertices(2520)%branch(0:0))
      call av(2520, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2521)%branch(0:0))
      call av(2521, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

      allocate(vertices(2522)%branch(0:0))
      call av(2522, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_15])

      allocate(vertices(2523)%branch(0:0))
      call av(2523, 0, 8, 1, 0, FaFS1, 0, [0, 1], [nGC_191, nGC_190])

      allocate(vertices(2524)%branch(0:0))
      call av(2524, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

      allocate(vertices(2525)%branch(0:0))
      call av(2525, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_93])

      allocate(vertices(2526)%branch(0:0))
      call av(2526, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_74])

      allocate(vertices(2527)%branch(0:0))
      call av(2527, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_65])

      allocate(vertices(2528)%branch(0:0))
      call av(2528, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_1103])

      allocate(vertices(2529)%branch(0:0))
      call av(2529, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2530)%branch(0:0))
      call av(2530, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_607, nGC_607, nGC_83])

      allocate(vertices(2531)%branch(0:0))
      call av(2531, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_70])

      allocate(vertices(2532)%branch(0:0))
      call av(2532, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_80])

      allocate(vertices(2533)%branch(0:0))
      call av(2533, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_74])

      allocate(vertices(2534)%branch(0:0))
      call av(2534, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_77])

      allocate(vertices(2535)%branch(0:0))
      call av(2535, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_65])

      allocate(vertices(2536)%branch(0:0))
      call av(2536, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2537)%branch(0:0))
      call av(2537, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_119])

      allocate(vertices(2538)%branch(0:0))
      call av(2538, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(2539)%branch(0:0))
      call av(2539, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_165, nGC_165])

      allocate(vertices(2540)%branch(0:0))
      call av(2540, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

      allocate(vertices(2541)%branch(0:0))
      call av(2541, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_124])

      allocate(vertices(2542)%branch(0:0))
      call av(2542, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_18])

      allocate(vertices(2543)%branch(0:0))
      call av(2543, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_17])

      allocate(vertices(2544)%branch(0:0))
      call av(2544, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2545)%branch(0:0))
      call av(2545, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_62])

      allocate(vertices(2546)%branch(0:0))
      call av(2546, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_74])

      allocate(vertices(2547)%branch(0:0))
      call av(2547, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_1063])

      allocate(vertices(2548)%branch(0:0))
      call av(2548, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2549)%branch(0:0))
      call av(2549, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(2550)%branch(0:0))
      call av(2550, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_62])

      allocate(vertices(2551)%branch(0:0))
      call av(2551, 0, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_143, nGC_144])

      allocate(vertices(2552)%branch(0:0))
      call av(2552, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2553)%branch(0:0))
      call av(2553, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_80])

      allocate(vertices(2554)%branch(0:0))
      call av(2554, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_80])

      allocate(vertices(2555)%branch(0:0))
      call av(2555, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_18])

      allocate(vertices(2556)%branch(0:0))
      call av(2556, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(2557)%branch(0:0))
      call av(2557, 0, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_148, nGC_147])

      allocate(vertices(2558)%branch(0:0))
      call av(2558, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_65])

      allocate(vertices(2559)%branch(0:0))
      call av(2559, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_74])

      allocate(vertices(2560)%branch(0:0))
      call av(2560, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_66])

      allocate(vertices(2561)%branch(0:0))
      call av(2561, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_74])

      allocate(vertices(2562)%branch(0:0))
      call av(2562, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_52])

      allocate(vertices(2563)%branch(0:0))
      call av(2563, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_31])

      allocate(vertices(2564)%branch(0:0))
      call av(2564, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2565)%branch(0:0))
      call av(2565, 0, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_195, nGC_195])

      allocate(vertices(2566)%branch(0:0))
      call av(2566, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2567)%branch(0:0))
      call av(2567, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_196, nGC_150])

      allocate(vertices(2568)%branch(0:0))
      call av(2568, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_86, nGC_89])

      allocate(vertices(2569)%branch(0:0))
      call av(2569, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(2570)%branch(0:0))
      call av(2570, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(2571)%branch(0:0))
      call av(2571, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

      allocate(vertices(2572)%branch(0:0))
      call av(2572, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_77])

      allocate(vertices(2573)%branch(0:0))
      call av(2573, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_66])

      allocate(vertices(2574)%branch(0:0))
      call av(2574, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_37])

      allocate(vertices(2575)%branch(0:0))
      call av(2575, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_56])

      allocate(vertices(2576)%branch(0:1))
      call av(2576, 0, 35, 3, 0, FaVF1, 0, [1, 0], [nGC_7, nGC_7])

      call av(2576, 1, 34, 2, 0, FaVF1, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2577)%branch(0:0))
      call av(2577, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_15])

      allocate(vertices(2578)%branch(0:0))
      call av(2578, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_154])

      allocate(vertices(2579)%branch(0:0))
      call av(2579, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_42])

      allocate(vertices(2580)%branch(0:0))
      call av(2580, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_20])

      allocate(vertices(2581)%branch(0:0))
      call av(2581, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_162])

      allocate(vertices(2582)%branch(0:0))
      call av(2582, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2583)%branch(0:0))
      call av(2583, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_161, nGC_161])

      allocate(vertices(2584)%branch(0:0))
      call av(2584, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_165, nGC_165])

      allocate(vertices(2585)%branch(0:0))
      call av(2585, 0, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_173, nGC_173])

      allocate(vertices(2586)%branch(0:0))
      call av(2586, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_607, nGC_83, nGC_607])

      allocate(vertices(2587)%branch(0:0))
      call av(2587, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_18])

      allocate(vertices(2588)%branch(0:0))
      call av(2588, 0, 19, 1, 0, SFFa1, 0, [0, 1], [nGC_138, nGC_181])

      allocate(vertices(2589)%branch(0:0))
      call av(2589, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(2590)%branch(0:0))
      call av(2590, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_65])

      allocate(vertices(2591)%branch(0:0))
      call av(2591, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(2592)%branch(0:0))
      call av(2592, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_50])

      allocate(vertices(2593)%branch(0:0))
      call av(2593, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_20])

      allocate(vertices(2594)%branch(0:0))
      call av(2594, 0, 18, 1, 0, VFaF0, 0, [0, 1], [nGC_85, nGC_88])

      allocate(vertices(2595)%branch(0:0))
      call av(2595, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_62])

      allocate(vertices(2596)%branch(0:0))
      call av(2596, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2597)%branch(0:1))
      call av(2597, 0, 24, 4, 0, UVUa0, 0, [1, 0], [nGC_893])

      call av(2597, 1, 25, 5, 0, UVUa0, 0, [1, 0], [nGC_893])

      allocate(vertices(2598)%branch(0:0))
      call av(2598, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_83, nGC_607, nGC_607])

      allocate(vertices(2599)%branch(0:0))
      call av(2599, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_126])

      allocate(vertices(2600)%branch(0:0))
      call av(2600, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_66])

      allocate(vertices(2601)%branch(0:0))
      call av(2601, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_20])

      allocate(vertices(2602)%branch(0:0))
      call av(2602, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_45])

      allocate(vertices(2603)%branch(0:0))
      call av(2603, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_174, nGC_134])

      allocate(vertices(2604)%branch(0:0))
      call av(2604, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_99])

      allocate(vertices(2605)%branch(0:0))
      call av(2605, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2606)%branch(0:0))
      call av(2606, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_73])

      allocate(vertices(2607)%branch(0:0))
      call av(2607, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2608)%branch(0:0))
      call av(2608, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_607, nGC_83, nGC_607])

      allocate(vertices(2609)%branch(0:1))
      call av(2609, 0, 32, 2, 0, FVFa0, 0, [1, 0], [nGC_7, nGC_7])

      call av(2609, 1, 33, 3, 0, FVFa0, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2610)%branch(0:0))
      call av(2610, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_19])

      allocate(vertices(2611)%branch(0:0))
      call av(2611, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_97])

      allocate(vertices(2612)%branch(0:1))
      call av(2612, 0, 30, 4, 0, VUUa0, 0, [1, 0], [nGC_893])

      call av(2612, 1, 31, 5, 0, VUUa0, 0, [1, 0], [nGC_893])

      allocate(vertices(2613)%branch(0:0))
      call av(2613, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_20])

      allocate(vertices(2614)%branch(0:0))
      call av(2614, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2615)%branch(0:0))
      call av(2615, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_39])

      allocate(vertices(2616)%branch(0:0))
      call av(2616, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_15])

      allocate(vertices(2617)%branch(0:0))
      call av(2617, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_15])

      allocate(vertices(2618)%branch(0:0))
      call av(2618, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_121])

      allocate(vertices(2619)%branch(0:0))
      call av(2619, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_97])

      allocate(vertices(2620)%branch(0:0))
      call av(2620, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_153, nGC_153])

      allocate(vertices(2621)%branch(0:0))
      call av(2621, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2622)%branch(0:0))
      call av(2622, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2623)%branch(0:0))
      call av(2623, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_126])

      allocate(vertices(2624)%branch(0:0))
      call av(2624, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_44])

      allocate(vertices(2625)%branch(0:0))
      call av(2625, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2626)%branch(0:0))
      call av(2626, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2627)%branch(0:0))
      call av(2627, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_83, nGC_607, nGC_607])

      allocate(vertices(2628)%branch(0:0))
      call av(2628, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2629)%branch(0:0))
      call av(2629, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(2630)%branch(0:0))
      call av(2630, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_62])

      allocate(vertices(2631)%branch(0:0))
      call av(2631, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_157, nGC_157])

      allocate(vertices(2632)%branch(0:0))
      call av(2632, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2633)%branch(0:0))
      call av(2633, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

      allocate(vertices(2634)%branch(0:0))
      call av(2634, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2635)%branch(0:0))
      call av(2635, 0, 21, 1, 0, FaSF0, 0, [0, 1], [nGC_2019, nGC_179])

      allocate(vertices(2636)%branch(0:0))
      call av(2636, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

      allocate(vertices(2637)%branch(0:0))
      call av(2637, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_111])

      allocate(vertices(2638)%branch(0:0))
      call av(2638, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2639)%branch(0:0))
      call av(2639, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(2640)%branch(0:0))
      call av(2640, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2641)%branch(0:0))
      call av(2641, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_71])

      allocate(vertices(2642)%branch(0:0))
      call av(2642, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2643)%branch(0:0))
      call av(2643, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_131, nGC_170])

      allocate(vertices(2644)%branch(0:0))
      call av(2644, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_127])

      allocate(vertices(2645)%branch(0:0))
      call av(2645, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2646)%branch(0:0))
      call av(2646, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2647)%branch(0:0))
      call av(2647, 0, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_130, nGC_130])

      allocate(vertices(2648)%branch(0:0))
      call av(2648, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_49])

      allocate(vertices(2649)%branch(0:0))
      call av(2649, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_4, nGC_4])

      allocate(vertices(2650)%branch(0:0))
      call av(2650, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

      allocate(vertices(2651)%branch(0:0))
      call av(2651, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_126])

      allocate(vertices(2652)%branch(0:0))
      call av(2652, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_41])

      allocate(vertices(2653)%branch(0:0))
      call av(2653, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(2654)%branch(0:0))
      call av(2654, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_28])

      allocate(vertices(2655)%branch(0:0))
      call av(2655, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_168, nGC_167])

      allocate(vertices(2656)%branch(0:0))
      call av(2656, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_40])

      allocate(vertices(2657)%branch(0:0))
      call av(2657, 0, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_162])

      allocate(vertices(2658)%branch(0:0))
      call av(2658, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_62])

      allocate(vertices(2659)%branch(0:0))
      call av(2659, 0, 17, 1, 0, FVFa0, 0, [0, 1], [nGC_1, nGC_1])

      allocate(vertices(2660)%branch(0:0))
      call av(2660, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_101])

      allocate(vertices(2661)%branch(0:0))
      call av(2661, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2662)%branch(0:0))
      call av(2662, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2663)%branch(0:0))
      call av(2663, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_80])

      allocate(vertices(2664)%branch(0:0))
      call av(2664, 0, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_142, nGC_178])

      allocate(vertices(2665)%branch(0:0))
      call av(2665, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2666)%branch(0:0))
      call av(2666, 0, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_169, nGC_169])

      allocate(vertices(2667)%branch(0:0))
      call av(2667, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

      allocate(vertices(2668)%branch(0:0))
      call av(2668, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_59])

      allocate(vertices(2669)%branch(0:0))
      call av(2669, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2670)%branch(0:0))
      call av(2670, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2671)%branch(0:0))
      call av(2671, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_57])

      allocate(vertices(2672)%branch(0:0))
      call av(2672, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_70])

      allocate(vertices(2673)%branch(0:0))
      call av(2673, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_95])

      allocate(vertices(2674)%branch(0:0))
      call av(2674, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_31])

      allocate(vertices(2675)%branch(0:0))
      call av(2675, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_58])

      allocate(vertices(2676)%branch(0:0))
      call av(2676, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_102])

      allocate(vertices(2677)%branch(0:0))
      call av(2677, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_21])

      allocate(vertices(2678)%branch(0:0))
      call av(2678, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_28])

      allocate(vertices(2679)%branch(0:0))
      call av(2679, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_73])

      allocate(vertices(2680)%branch(0:0))
      call av(2680, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2681)%branch(0:0))
      call av(2681, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_19])

      allocate(vertices(2682)%branch(0:0))
      call av(2682, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_47])

      allocate(vertices(2683)%branch(0:0))
      call av(2683, 0, 19, 1, 0, SFFa1, 0, [0, 1], [nGC_169, nGC_169])

      allocate(vertices(2684)%branch(0:0))
      call av(2684, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

      allocate(vertices(2685)%branch(0:0))
      call av(2685, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_102])

      allocate(vertices(2686)%branch(0:0))
      call av(2686, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_28])

      allocate(vertices(2687)%branch(0:0))
      call av(2687, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2688)%branch(0:0))
      call av(2688, 0, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_178, nGC_142])

      allocate(vertices(2689)%branch(0:0))
      call av(2689, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_160, nGC_159])

      allocate(vertices(2690)%branch(0:0))
      call av(2690, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

      allocate(vertices(2691)%branch(0:0))
      call av(2691, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_20])

      allocate(vertices(2692)%branch(0:0))
      call av(2692, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_36])

      allocate(vertices(2693)%branch(0:0))
      call av(2693, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_117])

      allocate(vertices(2694)%branch(0:0))
      call av(2694, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_1103])

      allocate(vertices(2695)%branch(0:0))
      call av(2695, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_15])

      allocate(vertices(2696)%branch(0:0))
      call av(2696, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_48])

      allocate(vertices(2697)%branch(0:0))
      call av(2697, 0, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_158])

      allocate(vertices(2698)%branch(0:1))
      call av(2698, 0, 35, 3, 0, FaVF1, 0, [1, 0], [nGC_7, nGC_7])

      call av(2698, 1, 34, 2, 0, FaVF1, 0, [1, 0], [nGC_7, nGC_7])

      allocate(vertices(2699)%branch(0:0))
      call av(2699, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_90])

      allocate(vertices(2700)%branch(0:0))
      call av(2700, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_193, nGC_146])

      allocate(vertices(2701)%branch(0:0))
      call av(2701, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_65])

      allocate(vertices(2702)%branch(0:0))
      call av(2702, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_24])

      allocate(vertices(2703)%branch(0:0))
      call av(2703, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_98])

      allocate(vertices(2704)%branch(0:0))
      call av(2704, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_43])

      allocate(vertices(2705)%branch(0:0))
      call av(2705, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_187, nGC_186])

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12636])

      allocate(vertices(1)%branchCT(0:2))
      call avCT(1, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_12650, nGC_12649])

      call avCT(1, 1, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_12646, nGC_12640])

      call avCT(1, 2, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_12652, nGC_12651])

      allocate(vertices(2)%branchCT(0:1))
      call avCT(2, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12657])

      call avCT(2, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12655])

      allocate(vertices(3)%branchCT(0:1))
      call avCT(3, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12663])

      call avCT(3, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12662])

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12671])

      allocate(vertices(35)%branchCT(0:0))
      call avCT(35, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12676])

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_12680])

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12686])

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12692])

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_12695])

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12698])

      allocate(vertices(67)%branchCT(0:0))
      call avCT(67, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12704])

      allocate(vertices(2522)%branchCT(0:0))
      call avCT(2522, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12704])

      allocate(vertices(2570)%branchCT(0:1))
      call avCT(2570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12716])

      call avCT(2570, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12712])

      allocate(vertices(13)%branchCT(0:1))
      call avCT(13, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12723])

      call avCT(13, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12719])

      allocate(vertices(14)%branchCT(0:1))
      call avCT(14, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12728])

      call avCT(14, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12726])

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12731])

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12735])

      allocate(vertices(2590)%branchCT(0:1))
      call avCT(2590, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12742])

      call avCT(2590, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12738])

      allocate(vertices(16)%branchCT(0:1))
      call avCT(16, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12749])

      call avCT(16, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12745])

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_12750])

      allocate(vertices(2203)%branchCT(0:1))
      call avCT(2203, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12757])

      call avCT(2203, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12753])

      allocate(vertices(17)%branchCT(0:0))
      call avCT(17, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12704])

      allocate(vertices(18)%branchCT(0:1))
      call avCT(18, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12768])

      call avCT(18, 1, 8, 1, 0, SSV0, 0, [0, 1], [nGC_12769])

      allocate(vertices(19)%branchCT(0:1))
      call avCT(19, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12775])

      call avCT(19, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12772])

      allocate(vertices(20)%branchCT(0:1))
      call avCT(20, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_12787, nGC_12788])

      call avCT(20, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_12789, nGC_12790])

      allocate(vertices(2231)%branchCT(0:1))
      call avCT(2231, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12794])

      call avCT(2231, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12793])

      allocate(vertices(21)%branchCT(0:1))
      call avCT(21, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12801])

      call avCT(21, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12797])

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12804])

      allocate(vertices(23)%branchCT(0:1))
      call avCT(23, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12811])

      call avCT(23, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12807])

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12698])

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 8, 1, 0, VUaU0, 0, [0, 3], [nGC_12817])

      allocate(vertices(2713)%branchCT(0:0))
      call avCT(2713, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12818])

      allocate(vertices(27)%branchCT(0:1))
      call avCT(27, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12801])

      call avCT(27, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12797])

      allocate(vertices(28)%branchCT(0:0))
      call avCT(28, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12830])

      allocate(vertices(850)%branchCT(0:1))
      call avCT(850, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(850, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(1994)%branchCT(0:0))
      call avCT(1994, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12844])

      allocate(vertices(2715)%branchCT(0:0))
      call avCT(2715, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12847])

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12852])

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_12856])

      allocate(vertices(34)%branchCT(0:1))
      call avCT(34, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12863])

      call avCT(34, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12859])

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12864])

      allocate(vertices(6)%branchCT(0:1))
      call avCT(6, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(6, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_12872])

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(852)%branchCT(0:1))
      call avCT(852, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12880])

      call avCT(852, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12879])

      allocate(vertices(37)%branchCT(0:0))
      call avCT(37, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12883])

      allocate(vertices(38)%branchCT(0:0))
      call avCT(38, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_12893, nGC_12894])

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12897])

      allocate(vertices(39)%branchCT(0:1))
      call avCT(39, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12904])

      call avCT(39, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12900])

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12907])

      allocate(vertices(239)%branchCT(0:1))
      call avCT(239, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12914])

      call avCT(239, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12910])

      allocate(vertices(41)%branchCT(0:2))
      call avCT(41, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_12650, nGC_12649])

      call avCT(41, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_12646, nGC_12640])

      call avCT(41, 2, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_12652, nGC_12651])

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_12932])

      allocate(vertices(45)%branchCT(0:1))
      call avCT(45, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12938])

      call avCT(45, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12935])

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_12939])

      allocate(vertices(46)%branchCT(0:0))
      call avCT(46, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_12946, nGC_12947,       &
      nGC_12947])

      allocate(vertices(48)%branchCT(0:1))
      call avCT(48, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_9521])

      call avCT(48, 1, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_12949])

      allocate(vertices(50)%branchCT(0:1))
      call avCT(50, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12742])

      call avCT(50, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12738])

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12958])

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12692])

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12968])

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12728])

      call avCT(53, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12726])

      allocate(vertices(54)%branchCT(0:3))
      call avCT(54, 0, 40, 2, 0, VFaF0, 0, [1, 2], [nGC_12973, nGC_12975])

      call avCT(54, 1, 40, 2, 0, VFaF0, 0, [3, 0], [nGC_12980, nGC_12981])

      call avCT(54, 2, 41, 3, 0, VFaF0, 0, [1, 2], [nGC_12973, nGC_12975])

      call avCT(54, 3, 41, 3, 0, VFaF0, 0, [3, 0], [nGC_12980, nGC_12981])

      allocate(vertices(55)%branchCT(0:1))
      call avCT(55, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12723])

      call avCT(55, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12719])

      allocate(vertices(58)%branchCT(0:1))
      call avCT(58, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_9521])

      call avCT(58, 1, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_12949])

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(60)%branchCT(0:1))
      call avCT(60, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13004])

      call avCT(60, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_13005])

      allocate(vertices(337)%branchCT(0:1))
      call avCT(337, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13011])

      call avCT(337, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13008])

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13017])

      allocate(vertices(2725)%branchCT(0:0))
      call avCT(2725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13020])

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_13021])

      allocate(vertices(355)%branchCT(0:1))
      call avCT(355, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12749])

      call avCT(355, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12745])

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13033])

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12704])

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12636])

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_13046])

      allocate(vertices(70)%branchCT(0:0))
      call avCT(70, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13051, nGC_13052,       &
      nGC_13051])

      allocate(vertices(72)%branchCT(0:1))
      call avCT(72, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13061])

      call avCT(72, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13057])

      allocate(vertices(2243)%branchCT(0:1))
      call avCT(2243, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13068])

      call avCT(2243, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13064])

      allocate(vertices(2448)%branchCT(0:1))
      call avCT(2448, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12728])

      call avCT(2448, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12726])

      allocate(vertices(74)%branchCT(0:1))
      call avCT(74, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12811])

      call avCT(74, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12807])

      allocate(vertices(75)%branchCT(0:1))
      call avCT(75, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_13089, nGC_13090])

      call avCT(75, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_13091, nGC_13092])

      allocate(vertices(1198)%branchCT(0:1))
      call avCT(1198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13068])

      call avCT(1198, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13064])

      allocate(vertices(425)%branchCT(0:1))
      call avCT(425, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13106])

      call avCT(425, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13101])

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12804])

      allocate(vertices(1782)%branchCT(0:1))
      call avCT(1782, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_9527])

      call avCT(1782, 1, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_13110])

      allocate(vertices(79)%branchCT(0:0))
      call avCT(79, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12704])

      allocate(vertices(2244)%branchCT(0:1))
      call avCT(2244, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13122])

      call avCT(2244, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13118])

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13126])

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12907])

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_13131])

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_13135])

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13140])

      allocate(vertices(85)%branchCT(0:1))
      call avCT(85, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13145])

      call avCT(85, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13143])

      allocate(vertices(1306)%branchCT(0:0))
      call avCT(1306, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12636])

      allocate(vertices(86)%branchCT(0:0))
      call avCT(86, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13154])

      allocate(vertices(821)%branchCT(0:1))
      call avCT(821, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_13163, nGC_13164])

      call avCT(821, 1, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_13157, nGC_13161])

      allocate(vertices(2054)%branchCT(0:1))
      call avCT(2054, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12801])

      call avCT(2054, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12797])

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12731])

      allocate(vertices(90)%branchCT(0:1))
      call avCT(90, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12728])

      call avCT(90, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12726])

      allocate(vertices(91)%branchCT(0:1))
      call avCT(91, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13181])

      call avCT(91, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_13182])

      allocate(vertices(481)%branchCT(0:1))
      call avCT(481, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12742])

      call avCT(481, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12738])

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13154])

      allocate(vertices(2394)%branchCT(0:0))
      call avCT(2394, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12636])

      allocate(vertices(94)%branchCT(0:0))
      call avCT(94, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_12947, nGC_12946,       &
      nGC_12947])

      allocate(vertices(1308)%branchCT(0:1))
      call avCT(1308, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12749])

      call avCT(1308, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12745])

      allocate(vertices(96)%branchCT(0:1))
      call avCT(96, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13106])

      call avCT(96, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13101])

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_13218])

      allocate(vertices(98)%branchCT(0:1))
      call avCT(98, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13068])

      call avCT(98, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13064])

      allocate(vertices(99)%branchCT(0:1))
      call avCT(99, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13233])

      call avCT(99, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13229])

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13236])

      allocate(vertices(100)%branchCT(0:0))
      call avCT(100, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13240])

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_12680])

      allocate(vertices(520)%branchCT(0:1))
      call avCT(520, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13068])

      call avCT(520, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13064])

      allocate(vertices(103)%branchCT(0:1))
      call avCT(103, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13256])

      call avCT(103, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13252])

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13263])

      allocate(vertices(105)%branchCT(0:1))
      call avCT(105, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12880])

      call avCT(105, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12879])

      allocate(vertices(1961)%branchCT(0:1))
      call avCT(1961, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_13277, nGC_13277])

      call avCT(1961, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_13279, nGC_13279])

      allocate(vertices(537)%branchCT(0:1))
      call avCT(537, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13285])

      call avCT(537, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13284])

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(107)%branchCT(0:1))
      call avCT(107, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13292])

      call avCT(107, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13290])

      allocate(vertices(108)%branchCT(0:0))
      call avCT(108, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12852])

      allocate(vertices(109)%branchCT(0:0))
      call avCT(109, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_13303])

      allocate(vertices(1785)%branchCT(0:1))
      call avCT(1785, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12663])

      call avCT(1785, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12662])

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12897])

      allocate(vertices(111)%branchCT(0:1))
      call avCT(111, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13011])

      call avCT(111, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13008])

      allocate(vertices(112)%branchCT(0:1))
      call avCT(112, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_13325, nGC_13326])

      call avCT(112, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_13329, nGC_13330])

      allocate(vertices(113)%branchCT(0:0))
      call avCT(113, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13334])

      allocate(vertices(114)%branchCT(0:1))
      call avCT(114, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13339])

      call avCT(114, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13337])

      allocate(vertices(116)%branchCT(0:1))
      call avCT(116, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13345])

      call avCT(116, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13344])

      allocate(vertices(117)%branchCT(0:1))
      call avCT(117, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13352])

      call avCT(117, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_13353])

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13354])

      allocate(vertices(119)%branchCT(0:0))
      call avCT(119, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12852])

      allocate(vertices(120)%branchCT(0:3))
      call avCT(120, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_13363, nGC_13359])

      call avCT(120, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_13365, nGC_13366])

      call avCT(120, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_13363, nGC_13359])

      call avCT(120, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_13365, nGC_13366])

      allocate(vertices(121)%branchCT(0:1))
      call avCT(121, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13068])

      call avCT(121, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13064])

      allocate(vertices(122)%branchCT(0:1))
      call avCT(122, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_13388, nGC_13389])

      call avCT(122, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_13382, nGC_13385])

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13020])

      allocate(vertices(2640)%branchCT(0:1))
      call avCT(2640, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13106])

      call avCT(2640, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13101])

      allocate(vertices(124)%branchCT(0:1))
      call avCT(124, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12863])

      call avCT(124, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12859])

      allocate(vertices(125)%branchCT(0:1))
      call avCT(125, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13412])

      call avCT(125, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_13413])

      allocate(vertices(126)%branchCT(0:0))
      call avCT(126, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12852])

      allocate(vertices(127)%branchCT(0:1))
      call avCT(127, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_13422])

      call avCT(127, 1, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_13420])

      allocate(vertices(2738)%branchCT(0:0))
      call avCT(2738, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13425])

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13430])

      allocate(vertices(1722)%branchCT(0:1))
      call avCT(1722, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13345])

      call avCT(1722, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13344])

      allocate(vertices(130)%branchCT(0:1))
      call avCT(130, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_13444, nGC_13444])

      call avCT(130, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_13446, nGC_13446])

      allocate(vertices(1315)%branchCT(0:1))
      call avCT(1315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13011])

      call avCT(1315, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13008])

      allocate(vertices(132)%branchCT(0:1))
      call avCT(132, 0, 28, 4, 0, VUaU0, 0, [3, 0], [nGC_13455])

      call avCT(132, 1, 29, 5, 0, VUaU0, 0, [3, 0], [nGC_13455])

      allocate(vertices(133)%branchCT(0:1))
      call avCT(133, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13256])

      call avCT(133, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13252])

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_13464])

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_13465])

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13471])

      allocate(vertices(134)%branchCT(0:1))
      call avCT(134, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(134, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(135)%branchCT(0:1))
      call avCT(135, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_13490, nGC_13491])

      call avCT(135, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_13485, nGC_13480])

      allocate(vertices(136)%branchCT(0:0))
      call avCT(136, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13495])

      allocate(vertices(137)%branchCT(0:1))
      call avCT(137, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12742])

      call avCT(137, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12738])

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13504])

      allocate(vertices(713)%branchCT(0:1))
      call avCT(713, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_13513, nGC_13513])

      call avCT(713, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_13515, nGC_13515])

      allocate(vertices(1316)%branchCT(0:2))
      call avCT(1316, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_13529, nGC_13530])

      call avCT(1316, 1, 19, 1, 0, SFFa1, 0, [0, 1], [nGC_13519, nGC_13524])

      call avCT(1316, 2, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_13531, nGC_13532])

      allocate(vertices(736)%branchCT(0:1))
      call avCT(736, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13540])

      call avCT(736, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13537])

      allocate(vertices(140)%branchCT(0:1))
      call avCT(140, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(140, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(141)%branchCT(0:2))
      call avCT(141, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_13561, nGC_13560])

      call avCT(141, 1, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_13557, nGC_13551])

      call avCT(141, 2, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_13563, nGC_13562])

      allocate(vertices(142)%branchCT(0:1))
      call avCT(142, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12938])

      call avCT(142, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12935])

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13574])

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13577])

      allocate(vertices(143)%branchCT(0:1))
      call avCT(143, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_9525])

      call avCT(143, 1, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_13579])

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13582])

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_13589, nGC_13589])

      allocate(vertices(2257)%branchCT(0:1))
      call avCT(2257, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_13599, nGC_13599])

      call avCT(2257, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_13600, nGC_13600])

      allocate(vertices(146)%branchCT(0:0))
      call avCT(146, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_13608, nGC_13609])

      allocate(vertices(147)%branchCT(0:1))
      call avCT(147, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12863])

      call avCT(147, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12859])

      allocate(vertices(148)%branchCT(0:1))
      call avCT(148, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_13388, nGC_13389])

      call avCT(148, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_13382, nGC_13385])

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12692])

      allocate(vertices(150)%branchCT(0:1))
      call avCT(150, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12801])

      call avCT(150, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12797])

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13504])

      allocate(vertices(151)%branchCT(0:2))
      call avCT(151, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_13561, nGC_13560])

      call avCT(151, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_13557, nGC_13551])

      call avCT(151, 2, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_13563, nGC_13562])

      allocate(vertices(152)%branchCT(0:1))
      call avCT(152, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13651])

      call avCT(152, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13650])

      allocate(vertices(153)%branchCT(0:1))
      call avCT(153, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_13663, nGC_13662])

      call avCT(153, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_13665, nGC_13664])

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12636])

      allocate(vertices(155)%branchCT(0:1))
      call avCT(155, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_13677])

      call avCT(155, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_13678])

      allocate(vertices(156)%branchCT(0:0))
      call avCT(156, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13683])

      allocate(vertices(157)%branchCT(0:1))
      call avCT(157, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_13692, nGC_13692])

      call avCT(157, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_13694, nGC_13694])

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13697])

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13700])

      allocate(vertices(158)%branchCT(0:1))
      call avCT(158, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_12768])

      call avCT(158, 1, 8, 1, 0, SVS0, 0, [0, 1], [nGC_12769])

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13707])

      allocate(vertices(159)%branchCT(0:1))
      call avCT(159, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12749])

      call avCT(159, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12745])

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13717])

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(161)%branchCT(0:1))
      call avCT(161, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12742])

      call avCT(161, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12738])

      allocate(vertices(937)%branchCT(0:0))
      call avCT(937, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12676])

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_13303])

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13334])

      allocate(vertices(441)%branchCT(0:1))
      call avCT(441, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13744])

      call avCT(441, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13741])

      allocate(vertices(955)%branchCT(0:0))
      call avCT(955, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13574])

      allocate(vertices(167)%branchCT(0:0))
      call avCT(167, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13756])

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13236])

      allocate(vertices(168)%branchCT(0:0))
      call avCT(168, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_13763])

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13577])

      allocate(vertices(169)%branchCT(0:1))
      call avCT(169, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13772])

      call avCT(169, 1, 8, 1, 0, VSS0, 0, [0, 1], [nGC_13773])

      allocate(vertices(866)%branchCT(0:1))
      call avCT(866, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13779])

      call avCT(866, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13776])

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13134])

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12676])

      allocate(vertices(172)%branchCT(0:1))
      call avCT(172, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13792])

      call avCT(172, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13790])

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13504])

      allocate(vertices(1020)%branchCT(0:1))
      call avCT(1020, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13744])

      call avCT(1020, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13741])

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13802])

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_13810, nGC_13809])

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_13465])

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12883])

      allocate(vertices(176)%branchCT(0:1))
      call avCT(176, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13744])

      call avCT(176, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13741])

      allocate(vertices(177)%branchCT(0:0))
      call avCT(177, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_12932])

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13495])

      allocate(vertices(179)%branchCT(0:1))
      call avCT(179, 0, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_13828])

      call avCT(179, 1, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_13827])

      allocate(vertices(1321)%branchCT(0:1))
      call avCT(1321, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13011])

      call avCT(1321, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13008])

      allocate(vertices(180)%branchCT(0:1))
      call avCT(180, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13840])

      call avCT(180, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13838])

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13574])

      allocate(vertices(181)%branchCT(0:1))
      call avCT(181, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13292])

      call avCT(181, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13290])

      allocate(vertices(1078)%branchCT(0:1))
      call avCT(1078, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_13861, nGC_13862])

      call avCT(1078, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_13863, nGC_13864])

      allocate(vertices(183)%branchCT(0:1))
      call avCT(183, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(183, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(2493)%branchCT(0:3))
      call avCT(2493, 0, 36, 2, 0, FaFV1, 0, [1, 2], [nGC_13363, nGC_13359])

      call avCT(2493, 1, 36, 2, 0, FaFV1, 0, [3, 0], [nGC_13365, nGC_13366])

      call avCT(2493, 2, 37, 3, 0, FaFV1, 0, [1, 2], [nGC_13363, nGC_13359])

      call avCT(2493, 3, 37, 3, 0, FaFV1, 0, [3, 0], [nGC_13365, nGC_13366])

      allocate(vertices(1092)%branchCT(0:1))
      call avCT(1092, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12775])

      call avCT(1092, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12772])

      allocate(vertices(185)%branchCT(0:2))
      call avCT(185, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_13902, nGC_13901])

      call avCT(185, 1, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_13898, nGC_13892])

      call avCT(185, 2, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_13904, nGC_13903])

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12671])

      allocate(vertices(1097)%branchCT(0:1))
      call avCT(1097, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12657])

      call avCT(1097, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12655])

      allocate(vertices(187)%branchCT(0:2))
      call avCT(187, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_13529, nGC_13530])

      call avCT(187, 1, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_13519, nGC_13524])

      call avCT(187, 2, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_13531, nGC_13532])

      allocate(vertices(188)%branchCT(0:0))
      call avCT(188, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13495])

      allocate(vertices(189)%branchCT(0:1))
      call avCT(189, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_13444, nGC_13444])

      call avCT(189, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_13446, nGC_13446])

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13425])

      allocate(vertices(190)%branchCT(0:1))
      call avCT(190, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_9521])

      call avCT(190, 1, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_12949])

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13941])

      allocate(vertices(872)%branchCT(0:1))
      call avCT(872, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12938])

      call avCT(872, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12935])

      allocate(vertices(191)%branchCT(0:0))
      call avCT(191, 0, 8, 1, 0, UUaS0, 0, [0, 3], [nGC_12856])

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12958])

      allocate(vertices(193)%branchCT(0:1))
      call avCT(193, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13957])

      call avCT(193, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13956])

      allocate(vertices(194)%branchCT(0:1))
      call avCT(194, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13256])

      call avCT(194, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13252])

      allocate(vertices(195)%branchCT(0:3))
      call avCT(195, 0, 32, 2, 0, FVFa0, 0, [1, 2], [nGC_13966, nGC_13968])

      call avCT(195, 1, 32, 2, 0, FVFa0, 0, [3, 0], [nGC_13970, nGC_13971])

      call avCT(195, 2, 33, 3, 0, FVFa0, 0, [1, 2], [nGC_13966, nGC_13968])

      call avCT(195, 3, 33, 3, 0, FVFa0, 0, [3, 0], [nGC_13970, nGC_13971])

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12731])

      allocate(vertices(196)%branchCT(0:1))
      call avCT(196, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12749])

      call avCT(196, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_12745])

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13425])

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13707])

      allocate(vertices(197)%branchCT(0:0))
      call avCT(197, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_13994])

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_12734])

      allocate(vertices(198)%branchCT(0:1))
      call avCT(198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14002])

      call avCT(198, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14001])

      allocate(vertices(2049)%branchCT(0:2))
      call avCT(2049, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_13901, nGC_13902])

      call avCT(2049, 1, 21, 1, 0, FaSF0, 0, [0, 1], [nGC_13892, nGC_13898])

      call avCT(2049, 2, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_13903, nGC_13904])

      allocate(vertices(199)%branchCT(0:1))
      call avCT(199, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12657])

      call avCT(199, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12655])

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14021])

      allocate(vertices(200)%branchCT(0:1))
      call avCT(200, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14029])

      call avCT(200, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14024])

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_14032])

      allocate(vertices(202)%branchCT(0:1))
      call avCT(202, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13256])

      call avCT(202, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13252])

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_13763])

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(204)%branchCT(0:1))
      call avCT(204, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_14048])

      call avCT(204, 1, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_14046])

      allocate(vertices(1802)%branchCT(0:1))
      call avCT(1802, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12657])

      call avCT(1802, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12655])

      allocate(vertices(206)%branchCT(0:1))
      call avCT(206, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12749])

      call avCT(206, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12745])

      allocate(vertices(207)%branchCT(0:1))
      call avCT(207, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14068, nGC_14069])

      call avCT(207, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14065, nGC_14061])

      allocate(vertices(1324)%branchCT(0:0))
      call avCT(1324, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13495])

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13425])

      allocate(vertices(1244)%branchCT(0:1))
      call avCT(1244, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13792])

      call avCT(1244, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13790])

      allocate(vertices(2615)%branchCT(0:1))
      call avCT(2615, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14086])

      call avCT(2615, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14085])

      allocate(vertices(1253)%branchCT(0:1))
      call avCT(1253, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13651])

      call avCT(1253, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13650])

      allocate(vertices(211)%branchCT(0:1))
      call avCT(211, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14094])

      call avCT(211, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14093])

      allocate(vertices(212)%branchCT(0:1))
      call avCT(212, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12914])

      call avCT(212, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12910])

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12907])

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(214)%branchCT(0:1))
      call avCT(214, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(214, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13504])

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13574])

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13020])

      allocate(vertices(215)%branchCT(0:1))
      call avCT(215, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12657])

      call avCT(215, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12655])

      allocate(vertices(216)%branchCT(0:2))
      call avCT(216, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_14138, nGC_14139])

      call avCT(216, 1, 20, 1, 0, FaFS1, 0, [0, 1], [nGC_14134, nGC_14129])

      call avCT(216, 2, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_14141, nGC_14140])

      allocate(vertices(1325)%branchCT(0:1))
      call avCT(1325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12880])

      call avCT(1325, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12879])

      allocate(vertices(218)%branchCT(0:1))
      call avCT(218, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12716])

      call avCT(218, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12712])

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(2770)%branchCT(0:0))
      call avCT(2770, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_14155])

      allocate(vertices(219)%branchCT(0:0))
      call avCT(219, 0, 8, 1, 0, UaVU0, 0, [0, 3], [nGC_14160])

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13236])

      allocate(vertices(2314)%branchCT(0:1))
      call avCT(2314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13106])

      call avCT(2314, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13101])

      allocate(vertices(2585)%branchCT(0:1))
      call avCT(2585, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_14179, nGC_14179])

      call avCT(2585, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_14180, nGC_14180])

      allocate(vertices(220)%branchCT(0:1))
      call avCT(220, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12904])

      call avCT(220, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12900])

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13577])

      allocate(vertices(221)%branchCT(0:1))
      call avCT(221, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13122])

      call avCT(221, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_13118])

      allocate(vertices(222)%branchCT(0:0))
      call avCT(222, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_13046])

      allocate(vertices(2608)%branchCT(0:0))
      call avCT(2608, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_12947, nGC_12946,     &
      nGC_12947])

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(223)%branchCT(0:1))
      call avCT(223, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_14211, nGC_14211])

      call avCT(223, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_14213, nGC_14213])

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12883])

      allocate(vertices(225)%branchCT(0:1))
      call avCT(225, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13068])

      call avCT(225, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13064])

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14224])

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12704])

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_13471])

      allocate(vertices(228)%branchCT(0:1))
      call avCT(228, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14237])

      call avCT(228, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14236])

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 8, 1, 0, SUUa0, 0, [0, 3], [nGC_13465])

      allocate(vertices(229)%branchCT(0:1))
      call avCT(229, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(229, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13700])

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12844])

      allocate(vertices(1333)%branchCT(0:1))
      call avCT(1333, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14255])

      call avCT(1333, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14252])

      allocate(vertices(2357)%branchCT(0:3))
      call avCT(2357, 0, 40, 2, 0, VFaF0, 0, [1, 2], [nGC_14256, nGC_14258])

      call avCT(2357, 1, 40, 2, 0, VFaF0, 0, [3, 0], [nGC_14262, nGC_14263])

      call avCT(2357, 2, 41, 3, 0, VFaF0, 0, [1, 2], [nGC_14256, nGC_14258])

      call avCT(2357, 3, 41, 3, 0, VFaF0, 0, [3, 0], [nGC_14262, nGC_14263])

      allocate(vertices(1720)%branchCT(0:1))
      call avCT(1720, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12742])

      call avCT(1720, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12738])

      allocate(vertices(232)%branchCT(0:1))
      call avCT(232, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13233])

      call avCT(232, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13229])

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12698])

      allocate(vertices(1446)%branchCT(0:1))
      call avCT(1446, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13122])

      call avCT(1446, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13118])

      allocate(vertices(234)%branchCT(0:1))
      call avCT(234, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_14302, nGC_14303])

      call avCT(234, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_14295, nGC_14298])

      allocate(vertices(235)%branchCT(0:1))
      call avCT(235, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12723])

      call avCT(235, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12719])

      allocate(vertices(236)%branchCT(0:1))
      call avCT(236, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14319, nGC_14320])

      call avCT(236, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14316, nGC_14312])

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12804])

      allocate(vertices(238)%branchCT(0:1))
      call avCT(238, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14329])

      call avCT(238, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14325])

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_12864])

      allocate(vertices(40)%branchCT(0:1))
      call avCT(40, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14336])

      call avCT(40, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14333])

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13717])

      allocate(vertices(241)%branchCT(0:1))
      call avCT(241, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_14347])

      call avCT(241, 1, 8, 1, 0, SVV0, 0, [0, 1], [nGC_14344])

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(245)%branchCT(0:1))
      call avCT(245, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12742])

      call avCT(245, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12738])

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_14365, nGC_14366])

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(248)%branchCT(0:1))
      call avCT(248, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13744])

      call avCT(248, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13741])

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_12932])

      allocate(vertices(250)%branchCT(0:1))
      call avCT(250, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12742])

      call avCT(250, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12738])

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 8, 1, 0, UaSU0, 0, [0, 3], [nGC_14386])

      allocate(vertices(2282)%branchCT(0:1))
      call avCT(2282, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14392])

      call avCT(2282, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14389])

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13020])

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12734])

      allocate(vertices(458)%branchCT(0:1))
      call avCT(458, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14029])

      call avCT(458, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14024])

      allocate(vertices(255)%branchCT(0:1))
      call avCT(255, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_13122])

      call avCT(255, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_13118])

      allocate(vertices(256)%branchCT(0:1))
      call avCT(256, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_14048])

      call avCT(256, 1, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_14046])

      allocate(vertices(257)%branchCT(0:1))
      call avCT(257, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13957])

      call avCT(257, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13956])

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12958])

      allocate(vertices(1594)%branchCT(0:1))
      call avCT(1594, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14426])

      call avCT(1594, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14425])

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(259)%branchCT(0:1))
      call avCT(259, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14440, nGC_14441])

      call avCT(259, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14435, nGC_14430])

      allocate(vertices(2635)%branchCT(0:1))
      call avCT(2635, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_13329, nGC_13330])

      call avCT(2635, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_13325, nGC_13326])

      allocate(vertices(469)%branchCT(0:1))
      call avCT(469, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14094])

      call avCT(469, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14093])

      allocate(vertices(1612)%branchCT(0:1))
      call avCT(1612, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12749])

      call avCT(1612, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12745])

      allocate(vertices(1034)%branchCT(0:0))
      call avCT(1034, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_14464])

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_14471, nGC_14465,      &
      nGC_14466])

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13574])

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12686])

      allocate(vertices(1657)%branchCT(0:0))
      call avCT(1657, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12704])

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12636])

      allocate(vertices(265)%branchCT(0:1))
      call avCT(265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12880])

      call avCT(265, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12879])

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_13017])

      allocate(vertices(1913)%branchCT(0:0))
      call avCT(1913, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12676])

      allocate(vertices(2020)%branchCT(0:2))
      call avCT(2020, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_13561, nGC_13560])

      call avCT(2020, 1, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_13557, nGC_13551])

      call avCT(2020, 2, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_13563, nGC_13562])

      allocate(vertices(267)%branchCT(0:0))
      call avCT(267, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12692])

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12897])

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_14529, nGC_14524])

      allocate(vertices(270)%branchCT(0:2))
      call avCT(270, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14542, nGC_14543])

      call avCT(270, 1, 21, 1, 0, FaSF0, 0, [0, 1], [nGC_14533, nGC_14539])

      call avCT(270, 2, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14544, nGC_14545])

      allocate(vertices(894)%branchCT(0:1))
      call avCT(894, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14426])

      call avCT(894, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14425])

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12897])

      allocate(vertices(273)%branchCT(0:1))
      call avCT(273, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14558])

      call avCT(273, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14555])

      allocate(vertices(1062)%branchCT(0:1))
      call avCT(1062, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_13828])

      call avCT(1062, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_13827])

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_14567, nGC_14562])

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_14568])

      allocate(vertices(274)%branchCT(0:1))
      call avCT(274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12663])

      call avCT(274, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12662])

      allocate(vertices(275)%branchCT(0:1))
      call avCT(275, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(275, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 8, 1, 0, UUaV0, 0, [0, 3], [nGC_14584])

      allocate(vertices(463)%branchCT(0:1))
      call avCT(463, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12723])

      call avCT(463, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12719])

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13236])

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_14593])

      allocate(vertices(192)%branchCT(0:1))
      call avCT(192, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_14601])

      call avCT(192, 1, 8, 1, 0, VSV0, 0, [0, 1], [nGC_14598])

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13236])

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_13464])

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12692])

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12818])

      allocate(vertices(279)%branchCT(0:1))
      call avCT(279, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14619])

      call avCT(279, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14615])

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13020])

      allocate(vertices(281)%branchCT(0:0))
      call avCT(281, 0, 8, 1, 0, UVUa0, 0, [0, 3], [nGC_14625])

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_14629])

      allocate(vertices(1825)%branchCT(0:1))
      call avCT(1825, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12749])

      call avCT(1825, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12745])

      allocate(vertices(284)%branchCT(0:1))
      call avCT(284, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_13329, nGC_13330])

      call avCT(284, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_13325, nGC_13326])

      allocate(vertices(1344)%branchCT(0:1))
      call avCT(1344, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12749])

      call avCT(1344, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_12745])

      allocate(vertices(286)%branchCT(0:1))
      call avCT(286, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13122])

      call avCT(286, 1, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_13118])

      allocate(vertices(287)%branchCT(0:2))
      call avCT(287, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_14670, nGC_14671])

      call avCT(287, 1, 19, 1, 0, SFFa1, 0, [0, 1], [nGC_14660, nGC_14665])

      call avCT(287, 2, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_14672, nGC_14673])

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12907])

      allocate(vertices(288)%branchCT(0:1))
      call avCT(288, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_14685, nGC_14686])

      call avCT(288, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_14678, nGC_14681])

      allocate(vertices(289)%branchCT(0:0))
      call avCT(289, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_12636])

      allocate(vertices(290)%branchCT(0:1))
      call avCT(290, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13957])

      call avCT(290, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13956])

      allocate(vertices(291)%branchCT(0:1))
      call avCT(291, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14705])

      call avCT(291, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_14701])

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13697])

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_14714])

      allocate(vertices(2801)%branchCT(0:1))
      call avCT(2801, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_14720, nGC_14721])

      call avCT(2801, 1, 13, 1, 0, VS1, 0, [0, 0], [nGC_14719])

      allocate(vertices(294)%branchCT(0:2))
      call avCT(294, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_14141, nGC_14140])

      call avCT(294, 1, 18, 1, 0, SFaF0, 0, [0, 1], [nGC_14134, nGC_14129])

      call avCT(294, 2, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_14138, nGC_14139])

      allocate(vertices(295)%branchCT(0:1))
      call avCT(295, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14255])

      call avCT(295, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14252])

      allocate(vertices(993)%branchCT(0:1))
      call avCT(993, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_14068, nGC_14069])

      call avCT(993, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_14065, nGC_14061])

      allocate(vertices(1345)%branchCT(0:1))
      call avCT(1345, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13106])

      call avCT(1345, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13101])

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12968])

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(298)%branchCT(0:1))
      call avCT(298, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12938])

      call avCT(298, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12935])

      allocate(vertices(299)%branchCT(0:1))
      call avCT(299, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14772, nGC_14773])

      call avCT(299, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14769, nGC_14765])

      allocate(vertices(160)%branchCT(0:1))
      call avCT(160, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12775])

      call avCT(160, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12772])

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13236])

      allocate(vertices(301)%branchCT(0:0))
      call avCT(301, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12692])

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12671])

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_12698])

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14799])

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13504])

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_12735])

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13134])

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 8, 1, 0, UaUS0, 0, [0, 3], [nGC_12750])

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_12680])

      allocate(vertices(2812)%branchCT(0:0))
      call avCT(2812, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13425])

      allocate(vertices(1987)%branchCT(0:1))
      call avCT(1987, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12880])

      call avCT(1987, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12879])

      allocate(vertices(307)%branchCT(0:1))
      call avCT(307, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_14823])

      call avCT(307, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_14819])

      allocate(vertices(308)%branchCT(0:1))
      call avCT(308, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_13828])

      call avCT(308, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_13827])

      allocate(vertices(31)%branchCT(0:0))
      call avCT(31, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_14365, nGC_14366])

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13020])

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_13051, nGC_13051,      &
      nGC_13052])

      allocate(vertices(310)%branchCT(0:0))
      call avCT(310, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_12695])

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12666])

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12704])

      allocate(vertices(1902)%branchCT(0:1))
      call avCT(1902, 0, 8, 1, 0, SUaU0, 0, [0, 3], [nGC_9528])

      call avCT(1902, 1, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_14847])

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_14851])

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13263])

      allocate(vertices(1877)%branchCT(0:1))
      call avCT(1877, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14392])

      call avCT(1877, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14389])

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13577])

      allocate(vertices(269)%branchCT(0:2))
      call avCT(269, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_14878, nGC_14877])

      call avCT(269, 1, 17, 1, 0, FSFa0, 0, [0, 1], [nGC_14874, nGC_14868])

      call avCT(269, 2, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_14880, nGC_14879])

      allocate(vertices(315)%branchCT(0:1))
      call avCT(315, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12757])

      call avCT(315, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12753])

      allocate(vertices(316)%branchCT(0:1))
      call avCT(316, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_13651])

      call avCT(316, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_13650])

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12830])

      allocate(vertices(318)%branchCT(0:1))
      call avCT(318, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_9522])

      call avCT(318, 1, 8, 1, 0, USUa0, 0, [0, 1], [nGC_14896])

      allocate(vertices(319)%branchCT(0:1))
      call avCT(319, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_14901])

      call avCT(319, 1, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_14899])

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12841])

      allocate(vertices(321)%branchCT(0:1))
      call avCT(321, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_13513, nGC_13513])

      call avCT(321, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_13515, nGC_13515])

      allocate(vertices(322)%branchCT(0:1))
      call avCT(322, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_14772, nGC_14773])

      call avCT(322, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_14769, nGC_14765])

      allocate(vertices(324)%branchCT(0:0))
      call avCT(324, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13154])

      allocate(vertices(325)%branchCT(0:1))
      call avCT(325, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12742])

      call avCT(325, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12738])

      allocate(vertices(326)%branchCT(0:1))
      call avCT(326, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13540])

      call avCT(326, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13537])

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13020])

      allocate(vertices(327)%branchCT(0:1))
      call avCT(327, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(327, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_14949])

      allocate(vertices(2530)%branchCT(0:0))
      call avCT(2530, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_12947, nGC_12947,     &
      nGC_12946])

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_14960, nGC_14961])

      allocate(vertices(1352)%branchCT(0:1))
      call avCT(1352, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13256])

      call avCT(1352, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13252])

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13236])

      allocate(vertices(332)%branchCT(0:1))
      call avCT(332, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12880])

      call avCT(332, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12879])

      allocate(vertices(1511)%branchCT(0:1))
      call avCT(1511, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14980])

      call avCT(1511, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14979])

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_14985])

      allocate(vertices(2569)%branchCT(0:1))
      call avCT(2569, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12904])

      call avCT(2569, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12900])

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13504])

      allocate(vertices(336)%branchCT(0:1))
      call avCT(336, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_14901])

      call avCT(336, 1, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_14899])

      allocate(vertices(61)%branchCT(0:1))
      call avCT(61, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_15003])

      call avCT(61, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_15000])

      allocate(vertices(338)%branchCT(0:1))
      call avCT(338, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13840])

      call avCT(338, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13838])

      allocate(vertices(339)%branchCT(0:1))
      call avCT(339, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13122])

      call avCT(339, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_13118])

      allocate(vertices(2230)%branchCT(0:1))
      call avCT(2230, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_15023])

      call avCT(2230, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_15021])

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12731])

      allocate(vertices(2236)%branchCT(0:1))
      call avCT(2236, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12742])

      call avCT(2236, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12738])

      allocate(vertices(342)%branchCT(0:1))
      call avCT(342, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_12657])

      call avCT(342, 1, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_12655])

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_15038])

      allocate(vertices(2611)%branchCT(0:1))
      call avCT(2611, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_12775])

      call avCT(2611, 1, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_12772])

      allocate(vertices(344)%branchCT(0:1))
      call avCT(344, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_15050])

      call avCT(344, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_15046])

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12958])

      allocate(vertices(345)%branchCT(0:1))
      call avCT(345, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_14601])

      call avCT(345, 1, 8, 1, 0, SVV0, 0, [0, 1], [nGC_14598])

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13154])

      allocate(vertices(346)%branchCT(0:1))
      call avCT(346, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13779])

      call avCT(346, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13776])

      allocate(vertices(347)%branchCT(0:0))
      call avCT(347, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_15072])

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13574])

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(349, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(350)%branchCT(0:1))
      call avCT(350, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_15091, nGC_15086])

      call avCT(350, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_15095, nGC_15096])

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_14365, nGC_14366])

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_15108, nGC_15106,     &
      nGC_15110, nGC_15110])

      allocate(vertices(352)%branchCT(0:1))
      call avCT(352, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12838])

      call avCT(352, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12833])

      allocate(vertices(353)%branchCT(0:3))
      call avCT(353, 0, 38, 2, 0, VFFa1, 0, [1, 2], [nGC_14256, nGC_14258])

      call avCT(353, 1, 38, 2, 0, VFFa1, 0, [3, 0], [nGC_14262, nGC_14263])

      call avCT(353, 2, 39, 3, 0, VFFa1, 0, [1, 2], [nGC_14256, nGC_14258])

      call avCT(353, 3, 39, 3, 0, VFFa1, 0, [3, 0], [nGC_14262, nGC_14263])

      allocate(vertices(2324)%branchCT(0:1))
      call avCT(2324, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_15003])

      call avCT(2324, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_15000])

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12686])

      allocate(vertices(356)%branchCT(0:1))
      call avCT(356, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_14336])

      call avCT(356, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14333])

      allocate(vertices(1540)%branchCT(0:1))
      call avCT(1540, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13011])

      call avCT(1540, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13008])

      allocate(vertices(358)%branchCT(0:1))
      call avCT(358, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_12742])

      call avCT(358, 1, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_12738])

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 8, 1, 0, USUa0, 0, [0, 3], [nGC_13465])

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13236])

      allocate(vertices(360)%branchCT(0:1))
      call avCT(360, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12728])

      call avCT(360, 1, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_12726])

      allocate(vertices(2826)%branchCT(0:0))
      call avCT(2826, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12698])

      allocate(vertices(2827)%branchCT(0:0))
      call avCT(2827, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_13802])

      allocate(vertices(479)%branchCT(0:1))
      call avCT(479, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12904])

      call avCT(479, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12900])

      allocate(vertices(363)%branchCT(0:1))
      call avCT(363, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13122])

      call avCT(363, 1, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_13118])

      allocate(vertices(364)%branchCT(0:1))
      call avCT(364, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_13792])

      call avCT(364, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_13790])

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_12704])

      allocate(vertices(2828)%branchCT(0:0))
      call avCT(2828, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_13354])

      allocate(vertices(1807)%branchCT(0:1))
      call avCT(1807, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_13068])

      call avCT(1807, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13064])

      allocate(vertices(367)%branchCT(0:1))
      call avCT(367, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14685, nGC_14686])

      call avCT(367, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14678, nGC_14681])

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_13154])

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_13303])

      allocate(vertices(370)%branchCT(0:1))
      call avCT(370, 0, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_15223, nGC_15224])

      call avCT(370, 1, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_15225, nGC_15226])

      allocate(vertices(482)%branchCT(0:1))
      call avCT(482, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_12757])

      call avCT(482, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_12753])

      allocate(vertices(2829)%branchCT(0:0))
      call avCT(2829, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_13134])

    end subroutine fill_vertices_mdl4
end module vertices_info4
