!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_41_Hh) = -coupl(nGC_41)*dtHh_QED1/cMHH**2d0
      coupl(nGC_15993) = coupl(nGC_1)*dZbL_QED2 + coupl(nGC_87)*dZZA_QED2/2d0
      coupl(nGC_15992) = coupl(nGC_1)*dZbR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_15990) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_12765) = coupl(nGC_17)*dZGMinus
      coupl(nGC_9360) = coupl(nGC_8573)*dZee_QED2
      coupl(nGC_9362) = coupl(nGC_8179)*dsw_QED2 + coupl(nGC_8180)*dZee_QED2
      coupl(nGC_9363) = coupl(nGC_8175)*dsw_QED2 + coupl(nGC_8176)*db_QED2 +   &
                        coupl(nGC_8177)*dZee_QED2 + coupl(nGC_8178)*da_QED2
      coupl(nGC_9364) = coupl(nGC_8138)*dsw_QED2 + coupl(nGC_8139)*db_QED2 +   &
                        coupl(nGC_8140)*dZee_QED2 + coupl(nGC_8141)*da_QED2
      coupl(nGC_9365) = coupl(nGC_8145)*dsw_QED2 + coupl(nGC_8146)*db_QED2 +   &
                        coupl(nGC_8147)*dZee_QED2 + coupl(nGC_8148)*da_QED2
      coupl(nGC_9366) = coupl(nGC_8517)*dvev2_QED1 + coupl(nGC_8518)*dsw_QED2  &
                         + coupl(nGC_8519)*db_QED2 + coupl(nGC_8520)*dvev1_QED1&
                         + coupl(nGC_8521)*dZee_QED2
      coupl(nGC_9367) = coupl(nGC_8512)*dvev2_QED1 + coupl(nGC_8513)*dsw_QED2  &
                         + coupl(nGC_8514)*db_QED2 + coupl(nGC_8515)*dvev1_QED1&
                         + coupl(nGC_8516)*dZee_QED2
      coupl(nGC_9368) = coupl(nGC_8171)*dsw_QED2 + coupl(nGC_8172)*dZee_QED2
      coupl(nGC_9369) = coupl(nGC_8154)*dsw_QED2 + coupl(nGC_8155)*db_QED2 +   &
                        coupl(nGC_8156)*dZee_QED2 + coupl(nGC_8157)*da_QED2
      coupl(nGC_8954) = coupl(nGC_171)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12655) = coupl(nGC_100)*dZGMinus
      coupl(nGC_28030) = coupl(nGC_28021) + coupl(nGC_9649)
      coupl(nGC_8957) = (-coupl(nGC_1331)*coupl(nGC_180)*coupl(nGC_88) - coupl(&
                        nGC_138)*coupl(nGC_143)*coupl(nGC_181) - coupl(nGC_142 &
                        )*coupl(nGC_143)*coupl(nGC_178) - coupl(nGC_177)**2d0* &
                        coupl(nGC_2019) - coupl(nGC_177)*coupl(nGC_817)*coupl( &
                        nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_94) - &
                        coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_867) - coupl(   &
                        nGC_179)**2d0*coupl(nGC_2019) + 8d0*coupl(nGC_179)*    &
                        coupl(nGC_2)**2d0 + 8d0*coupl(nGC_179)*coupl(nGC_85)*  &
                        coupl(nGC_88) - coupl(nGC_180)**2d0*coupl(nGC_2019) -  &
                        coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_92) - coupl(    &
                        nGC_183)**2d0*coupl(nGC_2019))/(32d0*pi**2d0)
      coupl(nGC_16372) = coupl(nGC_TS_GC_64_Hh) + coupl(nGC_TS_GC_68_Hl)
      coupl(nGC_16373) = -coupl(nGC_16372)
      coupl(nGC_16371) = coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_9219) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1191)*coupl&
                        (nGC_198) - coupl(nGC_132)*coupl(nGC_135) - coupl(     &
                        nGC_136)*coupl(nGC_695) - coupl(nGC_139)*coupl(nGC_143 &
                        ) - coupl(nGC_140)*coupl(nGC_144) - coupl(nGC_147)*    &
                        coupl(nGC_152) - coupl(nGC_148)*coupl(nGC_151) - coupl(&
                        nGC_171)*coupl(nGC_176) - coupl(nGC_172)*coupl(nGC_175 &
                        ) - coupl(nGC_179)*coupl(nGC_182) - coupl(nGC_183)*    &
                        coupl(nGC_2019) - coupl(nGC_194)*coupl(nGC_197))/(32d0*&
                        pi**2d0)
      coupl(nGC_9214) = (-16d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_198)*coupl(   &
                        nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_1191)*coupl(     &
                        nGC_198)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*   &
                        coupl(nGC_1191)*coupl(nGC_198)*coupl(nGC_88)**2d0 -    &
                        16d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_85&
                        )**2d0 + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_135)*   &
                        coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(      &
                        nGC_132)*coupl(nGC_135)*coupl(nGC_88)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_136)*coupl(nGC_695)*coupl(nGC_85)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_136)*coupl(nGC_695)*coupl(   &
                        nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_136)*   &
                        coupl(nGC_695)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_139)*coupl(nGC_143)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_139)*coupl(nGC_143)*coupl(nGC_84)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_139)*coupl(nGC_143)*  &
                        coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_140)*coupl(&
                        nGC_144)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_140)*coupl(nGC_144)*coupl(nGC_84)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_140)*coupl(nGC_144)*coupl(nGC_87&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_147)*coupl(nGC_152)*   &
                        coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_147)*coupl(&
                        nGC_152)*coupl(nGC_84)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_84)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*coupl(&
                        nGC_84)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_148)*   &
                        coupl(nGC_151)*coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_171)*coupl(nGC_176)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_171)*coupl(nGC_176)*coupl(nGC_84)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_171)*coupl(nGC_176)*  &
                        coupl(nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_172)*coupl(&
                        nGC_175)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_172)*coupl(nGC_175)*coupl(nGC_84)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_172)*coupl(nGC_175)*coupl(nGC_87&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_179)*coupl(nGC_182)*   &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_179)*coupl(&
                        nGC_182)*coupl(nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*   &
                        coupl(nGC_179)*coupl(nGC_182)*coupl(nGC_88)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_183)*coupl(nGC_2019)*coupl(nGC_85)**&
                        2d0 + 20d0*Nc*cima*coupl(nGC_183)*coupl(nGC_2019)*coupl&
                        (nGC_85)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_183)*  &
                        coupl(nGC_2019)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl&
                        (nGC_194)*coupl(nGC_197)*coupl(nGC_85)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_194)*coupl(nGC_197)*coupl(nGC_85)*coupl(&
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_194)*coupl(nGC_197)*  &
                        coupl(nGC_88)**2d0 + 4d0*cima*coupl(nGC_1331)*coupl(   &
                        nGC_817)*coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_1331)*&
                        coupl(nGC_817)*coupl(nGC_94)**2d0 - 16d0*cima*coupl(   &
                        nGC_155)*coupl(nGC_160)*coupl(nGC_86)**2d0 + 20d0*cima*&
                        coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_86)*coupl(     &
                        nGC_89) - 16d0*cima*coupl(nGC_155)*coupl(nGC_160)*coupl&
                        (nGC_89)**2d0 - 16d0*cima*coupl(nGC_156)*coupl(nGC_159 &
                        )*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_156)*coupl( &
                        nGC_159)*coupl(nGC_86)*coupl(nGC_89) - 16d0*cima*coupl(&
                        nGC_156)*coupl(nGC_159)*coupl(nGC_89)**2d0 - 16d0*cima*&
                        coupl(nGC_163)*coupl(nGC_168)*coupl(nGC_86)**2d0 + 20d0&
                        *cima*coupl(nGC_163)*coupl(nGC_168)*coupl(nGC_86)*coupl&
                        (nGC_89) - 16d0*cima*coupl(nGC_163)*coupl(nGC_168)*    &
                        coupl(nGC_89)**2d0 - 16d0*cima*coupl(nGC_164)*coupl(   &
                        nGC_167)*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_164)*&
                        coupl(nGC_167)*coupl(nGC_86)*coupl(nGC_89) - 16d0*cima*&
                        coupl(nGC_164)*coupl(nGC_167)*coupl(nGC_89)**2d0 - 16d0&
                        *cima*coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_86)**2d0 &
                         + 20d0*cima*coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_86&
                        )*coupl(nGC_89) - 16d0*cima*coupl(nGC_186)*coupl(      &
                        nGC_191)*coupl(nGC_89)**2d0 - 16d0*cima*coupl(nGC_187)*&
                        coupl(nGC_190)*coupl(nGC_86)**2d0 + 20d0*cima*coupl(   &
                        nGC_187)*coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_89) -  &
                        16d0*cima*coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_89)**&
                        2d0 + 4d0*cima*coupl(nGC_665)**2d0*coupl(nGC_91)*coupl(&
                        nGC_94) + 4d0*cima*coupl(nGC_665)**2d0*coupl(nGC_92)*  &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_665)*coupl(nGC_817)*&
                        coupl(nGC_92)**2d0 + 4d0*cima*coupl(nGC_665)*coupl(    &
                        nGC_817)*coupl(nGC_94)**2d0 + 4d0*cima*coupl(nGC_817)**&
                        2d0*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(      &
                        nGC_817)**2d0*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl( &
                        nGC_665)*coupl(nGC_94)*coupl(nGC_99) + 3d0*coupl(      &
                        nGC_817)*coupl(nGC_92)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_17370) = coupl(nGC_115)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_TS_GC_38_Hh) = -coupl(nGC_38)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_94_Hh) = -coupl(nGC_94)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_94_Hl) = -coupl(nGC_94)*dtHl_QED1/cMHL**2d0
      coupl(nGC_8820) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_80) +   &
                        coupl(nGC_1243)*coupl(nGC_1485)**2d0 + coupl(nGC_1243)*&
                        coupl(nGC_3011)**2d0 + coupl(nGC_1243)*coupl(nGC_72)** &
                        2d0 + coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_64) - 4d0&
                        *coupl(nGC_157)*coupl(nGC_158)*coupl(nGC_80) - 4d0*    &
                        coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_80) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_3)*coupl(nGC_68) - 4d0*coupl(nGC_188&
                        )*coupl(nGC_189)*coupl(nGC_80) + coupl(nGC_3011)*coupl(&
                        nGC_64)*coupl(nGC_69) - 6d0*coupl(nGC_68)*coupl(nGC_82 &
                        )*coupl(nGC_96) + coupl(nGC_817)*coupl(nGC_867)*coupl( &
                        nGC_975) - 6d0*coupl(nGC_833)*coupl(nGC_867)*coupl(    &
                        nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8790) = (coupl(nGC_1)*coupl(nGC_170)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_174)**2d0 + 4d0*coupl(nGC_1)*coupl(nGC_80)**2d0 +  &
                        coupl(nGC_130)**2d0*coupl(nGC_2) + coupl(nGC_132)*coupl&
                        (nGC_2)*coupl(nGC_695) + coupl(nGC_133)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_2) +  &
                        4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_88  &
                        )**2d0 + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_8791) = (coupl(nGC_1)*coupl(nGC_131)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_134)**2d0 + coupl(nGC_130)**2d0*coupl(nGC_2) +     &
                        coupl(nGC_132)*coupl(nGC_2)*coupl(nGC_695) + coupl(    &
                        nGC_133)**2d0*coupl(nGC_2) + coupl(nGC_135)*coupl(     &
                        nGC_136)*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + 4d0*   &
                        coupl(nGC_2)*coupl(nGC_85)**2d0)/(32d0*pi**2d0)
      coupl(nGC_15050) = coupl(nGC_25)*dZHh_QED2/2d0 + coupl(nGC_25)*dZHl_QED2/&
                         2d0 + coupl(nGC_33)*dZHhHl_QED2/2d0 + coupl(nGC_37)*  &
                         dZHaG0_QED2 + coupl(nGC_39)*dZHlHh_QED2/2d0 + coupl(  &
                         nGC_9322)
      coupl(nGC_8796) = (coupl(nGC_153)**2d0*coupl(nGC_4) + coupl(nGC_155)*    &
                        coupl(nGC_156)*coupl(nGC_4) + coupl(nGC_157)**2d0*coupl&
                        (nGC_4) + coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_8797) = coupl(nGC_4)*(coupl(nGC_161)**2d0 + coupl(nGC_163)*    &
                        coupl(nGC_164) + coupl(nGC_165)**2d0 + coupl(nGC_167)* &
                        coupl(nGC_168) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8794) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) +     &
                        coupl(nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_146)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_150)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_8795) = coupl(nGC_4)*(coupl(nGC_153)**2d0 + coupl(nGC_155)*    &
                        coupl(nGC_156) + coupl(nGC_157)**2d0 + coupl(nGC_159)* &
                        coupl(nGC_160) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_19203) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_19202) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_19201) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
      coupl(nGC_19200) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_19207) = coupl(nGC_19202) + coupl(nGC_9653)
      coupl(nGC_19205) = coupl(nGC_9652) + coupl(nGC_TS_GC_169_Hl) + coupl(    &
                         nGC_TS_GC_173_Hh)
      coupl(nGC_19204) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_TS_GC_110_Hl) = -coupl(nGC_110)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14129) = coupl(nGC_183)*dZG0/2d0
      coupl(nGC_19334) = coupl(nGC_109)*dZG0
      coupl(nGC_14301) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_88)*dZZA_QED2/2d0
      coupl(nGC_14300) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_85)*dZZA_QED2/2d0
      coupl(nGC_13465) = coupl(nGC_75)*dZG0Ha_QED2/2d0
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
