!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_12782) = coupl(nGC_132)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_9466) = coupl(nGC_8166)*dyd13x3_QED1_QCD2 + coupl(nGC_8167)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_8749) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_8748) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_8741) = cMB*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8740) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMB**&
                        2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMC**2d0*cima*    &
                        coupl(nGC_85)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_88 &
                        )**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(nGC_84)**2d0 + 2d0*&
                        Nc*cMD**2d0*cima*coupl(nGC_87)**2d0 + 2d0*Nc*cMS**2d0* &
                        cima*coupl(nGC_84)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(  &
                        nGC_87)**2d0 + 2d0*Nc*cMT**2d0*cima*coupl(nGC_85)**2d0 &
                         + 2d0*Nc*cMT**2d0*cima*coupl(nGC_88)**2d0 + 2d0*Nc*cMU&
                        **2d0*cima*coupl(nGC_85)**2d0 + 2d0*Nc*cMU**2d0*cima*  &
                        coupl(nGC_88)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_86)** &
                        2d0 + 2d0*cME**2d0*cima*coupl(nGC_89)**2d0 + 2d0*cMM** &
                        2d0*cima*coupl(nGC_86)**2d0 + 2d0*cMM**2d0*cima*coupl( &
                        nGC_89)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_86)**2d0 + &
                        2d0*cMTA**2d0*cima*coupl(nGC_89)**2d0 + 3d0*cMW**2d0*  &
                        cima*coupl(nGC_82)**2d0 + 3d0*cMW**2d0*cima*coupl(     &
                        nGC_833)**2d0 - 2d0*cMW**2d0*coupl(nGC_1047))/(16d0*pi &
                        **2d0)
      coupl(nGC_8743) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_87)**2d0)/(16d0*pi**2d0)
      coupl(nGC_8742) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                        pi**2d0*Nc)
      coupl(nGC_8745) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_8744) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_8747) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_80)**2d0 - coupl( &
                        nGC_88)**2d0)/(16d0*pi**2d0)
      coupl(nGC_8746) = cMC*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_37_Hh) = -coupl(nGC_37)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_37_Hl) = -coupl(nGC_37)*dtHl_QED1/cMHL**2d0
      coupl(nGC_13328) = coupl(nGC_179)*dZtL_QED2/2d0 + coupl(nGC_179)*        &
                         dZtR_QED2/2d0 + coupl(nGC_183)*dZG0Ha_QED2/2d0
      coupl(nGC_13326) = coupl(nGC_13322) + coupl(nGC_9519)
      coupl(nGC_13324) = coupl(nGC_182)*dZG0Ha_QED2/2d0
      coupl(nGC_13325) = -coupl(nGC_13322) - coupl(nGC_9519)
      coupl(nGC_9348) = coupl(nGC_8486)*dl4_QED4 + coupl(nGC_8487)*dl5_QED4 +  &
                        coupl(nGC_8488)*db_QED2 + coupl(nGC_8489)*dvev1_QED1 + &
                        coupl(nGC_8490)*dvev2_QED1
      coupl(nGC_9349) = coupl(nGC_8456)*dl3_QED4 + coupl(nGC_8457)*db_QED2 +   &
                        coupl(nGC_8458)*dl2_QED4 + coupl(nGC_8459)*dl5_QED4 +  &
                        coupl(nGC_8460)*dvev2_QED1 + coupl(nGC_8461)*dvev1_QED1&
                         + coupl(nGC_8462)*dl1_QED4 + coupl(nGC_8463)*dl4_QED4 &
                         + coupl(nGC_8464)*da_QED2
      coupl(nGC_9438) = coupl(nGC_8536)*dyd12x2_QED3 + coupl(nGC_8537)*        &
                        dys2_QED3 + coupl(nGC_8538)*db_QED2
      coupl(nGC_9434) = coupl(nGC_8429)*dydo2_QED3 + coupl(nGC_8430)*db_QED2 + &
                        coupl(nGC_8431)*dydo1_QED3
      coupl(nGC_9343) = coupl(nGC_8474)*dl3_QED4 + coupl(nGC_8475)*db_QED2 +   &
                        coupl(nGC_8476)*dl2_QED4 + coupl(nGC_8477)*dl5_QED4 +  &
                        coupl(nGC_8478)*dvev2_QED1 + coupl(nGC_8479)*dvev1_QED1&
                         + coupl(nGC_8480)*dl1_QED4 + coupl(nGC_8481)*dl4_QED4 &
                         + coupl(nGC_8482)*da_QED2
      coupl(nGC_9340) = coupl(nGC_8441)*dl3_QED4 + coupl(nGC_8442)*db_QED2 +   &
                        coupl(nGC_8443)*dl2_QED4 + coupl(nGC_8444)*dl5_QED4 +  &
                        coupl(nGC_8445)*dvev2_QED1 + coupl(nGC_8446)*dvev1_QED1&
                         + coupl(nGC_8447)*dl1_QED4 + coupl(nGC_8448)*dl4_QED4 &
                         + coupl(nGC_8449)*da_QED2
      coupl(nGC_9437) = coupl(nGC_8536)*dyd12x2_QED1_QCD2 + coupl(nGC_8537)*   &
                        dys2_QED1_QCD2
      coupl(nGC_9346) = coupl(nGC_8491)*dl4_QED4 + coupl(nGC_8492)*dl5_QED4 +  &
                        coupl(nGC_8493)*db_QED2 + coupl(nGC_8494)*dvev1_QED1 + &
                        coupl(nGC_8495)*dvev2_QED1
      coupl(nGC_9347) = coupl(nGC_8465)*dl3_QED4 + coupl(nGC_8466)*db_QED2 +   &
                        coupl(nGC_8467)*dl2_QED4 + coupl(nGC_8468)*dl5_QED4 +  &
                        coupl(nGC_8469)*dvev2_QED1 + coupl(nGC_8470)*dvev1_QED1&
                         + coupl(nGC_8471)*dl1_QED4 + coupl(nGC_8472)*dl4_QED4 &
                         + coupl(nGC_8473)*da_QED2
      coupl(nGC_9345) = coupl(nGC_323)*db_QED2 + coupl(nGC_325)*dl2_QED4 +     &
                        coupl(nGC_327)*dl3_QED4 + coupl(nGC_329)*dl5_QED4 +    &
                        coupl(nGC_331)*dl4_QED4 + coupl(nGC_333)*dl1_QED4 +    &
                        coupl(nGC_335)*dvev1_QED1 + coupl(nGC_337)*dvev2_QED1  &
                         + coupl(nGC_339)*da_QED2
      coupl(nGC_8900) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_80) +   &
                        coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_63) + coupl( &
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_69) + coupl(       &
                        nGC_1331)*coupl(nGC_867)*coupl(nGC_975) - 4d0*coupl(   &
                        nGC_154)*coupl(nGC_157)*coupl(nGC_80) - 4d0*coupl(     &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_17)*coupl(nGC_3)*coupl(nGC_3011) - 4d0*coupl(      &
                        nGC_185)*coupl(nGC_188)*coupl(nGC_80) - 6d0*coupl(     &
                        nGC_3011)*coupl(nGC_82)*coupl(nGC_96) + coupl(nGC_63)**&
                        2d0*coupl(nGC_64) + coupl(nGC_64)*coupl(nGC_69)**2d0 + &
                        coupl(nGC_64)*coupl(nGC_72)**2d0 - 6d0*coupl(nGC_833)* &
                        coupl(nGC_867)*coupl(nGC_92))/(96d0*pi**2d0)
      coupl(nGC_8906) = coupl(nGC_178)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8904) = coupl(nGC_142)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8908) = coupl(nGC_131)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_125_Hh) = -coupl(nGC_125)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9236) = (-32d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_194)*coupl(   &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_1191)*coupl(     &
                        nGC_194)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_1191)*coupl(nGC_194)*coupl(nGC_88)**2d0 -    &
                        32d0*Nc*cima*coupl(nGC_132)*coupl(nGC_695)*coupl(nGC_85&
                        )**2d0 + 40d0*Nc*cima*coupl(nGC_132)*coupl(nGC_695)*   &
                        coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(      &
                        nGC_132)*coupl(nGC_695)*coupl(nGC_88)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_84)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144)*coupl(   &
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_143)*   &
                        coupl(nGC_144)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_147)*coupl(nGC_148)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_147)*coupl(nGC_148)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_171)*coupl(&
                        nGC_172)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_171)*coupl(nGC_172)*coupl(nGC_84)*coupl(nGC_87) -  &
                        32d0*Nc*cima*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87&
                        )**2d0 - 32d0*Nc*cima*coupl(nGC_179)*coupl(nGC_2019)*  &
                        coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_179)*coupl(&
                        nGC_2019)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*  &
                        coupl(nGC_179)*coupl(nGC_2019)*coupl(nGC_88)**2d0 +    &
                        12d0*cima*coupl(nGC_1047)*coupl(nGC_62) + 4d0*cima*    &
                        coupl(nGC_1331)**2d0*coupl(nGC_92)**2d0 + 4d0*cima*    &
                        coupl(nGC_1331)**2d0*coupl(nGC_94)**2d0 + 4d0*cima*    &
                        coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_91)*coupl(    &
                        nGC_94) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl&
                        (nGC_92)*coupl(nGC_94) - 32d0*cima*coupl(nGC_155)*coupl&
                        (nGC_156)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_155 &
                        )*coupl(nGC_156)*coupl(nGC_86)*coupl(nGC_89) - 32d0*   &
                        cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_89)**2d0  &
                         - 32d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_86&
                        )**2d0 + 40d0*cima*coupl(nGC_163)*coupl(nGC_164)*coupl(&
                        nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(nGC_163)*coupl(&
                        nGC_164)*coupl(nGC_89)**2d0 - 32d0*cima*coupl(nGC_186)*&
                        coupl(nGC_187)*coupl(nGC_86)**2d0 + 40d0*cima*coupl(   &
                        nGC_186)*coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_89) -  &
                        32d0*cima*coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_89)**&
                        2d0 + 4d0*cima*coupl(nGC_665)*coupl(nGC_817)*coupl(    &
                        nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_665)*coupl( &
                        nGC_817)*coupl(nGC_92)*coupl(nGC_94) + 9d0*cima*coupl( &
                        nGC_72)*coupl(nGC_82)**2d0*coupl(nGC_867) + 9d0*cima*  &
                        coupl(nGC_72)*coupl(nGC_833)**2d0*coupl(nGC_867) + 4d0*&
                        cima*coupl(nGC_72)*coupl(nGC_867)*coupl(nGC_96)**2d0 + &
                        4d0*cima*coupl(nGC_72)*coupl(nGC_867)*coupl(nGC_975)** &
                        2d0 + 4d0*cima*coupl(nGC_817)**2d0*coupl(nGC_92)**2d0  &
                         + 4d0*cima*coupl(nGC_817)**2d0*coupl(nGC_94)**2d0 +   &
                        6d0*coupl(nGC_100)*coupl(nGC_72)*coupl(nGC_867) - 6d0* &
                        coupl(nGC_1047)*coupl(nGC_72)*coupl(nGC_867) + 3d0*    &
                        coupl(nGC_1331)*coupl(nGC_92)*coupl(nGC_99) - 6d0*coupl&
                        (nGC_19)*coupl(nGC_72)*coupl(nGC_833) - 6d0*coupl(     &
                        nGC_19)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl(nGC_20&
                        )*coupl(nGC_72)*coupl(nGC_82) - 6d0*coupl(nGC_20)*coupl&
                        (nGC_833)*coupl(nGC_867) + 18d0*coupl(nGC_62)*coupl(   &
                        nGC_82)**2d0 + 18d0*coupl(nGC_62)*coupl(nGC_833)**2d0  &
                         + 3d0*coupl(nGC_817)*coupl(nGC_94)*coupl(nGC_99))/(   &
                        96d0*pi**2d0)
      coupl(nGC_9231) = (20d0*Nc*cima*coupl(nGC_1191)**2d0*coupl(nGC_194)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_695)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_144)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_147)**2d0*coupl(nGC_148)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_171)**2d0*coupl(nGC_172)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_179)**2d0*coupl(nGC_2019)**  &
                        2d0 + 3d0*cima*coupl(nGC_101)**2d0 - 5d0*cima*coupl(   &
                        nGC_1331)**2d0*coupl(nGC_92)**2d0 - 10d0*cima*coupl(   &
                        nGC_1331)*coupl(nGC_817)*coupl(nGC_92)*coupl(nGC_94) + &
                        20d0*cima*coupl(nGC_155)**2d0*coupl(nGC_156)**2d0 +    &
                        20d0*cima*coupl(nGC_163)**2d0*coupl(nGC_164)**2d0 +    &
                        20d0*cima*coupl(nGC_186)**2d0*coupl(nGC_187)**2d0 + 6d0&
                        *cima*coupl(nGC_62)**2d0 - 10d0*cima*coupl(nGC_72)**2d0&
                        *coupl(nGC_867)**2d0 - 5d0*cima*coupl(nGC_817)**2d0*   &
                        coupl(nGC_94)**2d0 - 3d0*coupl(nGC_101)*coupl(nGC_1331 &
                        )*coupl(nGC_92) - 3d0*coupl(nGC_101)*coupl(nGC_817)*   &
                        coupl(nGC_94) + 3d0*coupl(nGC_1331)*coupl(nGC_26)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_1331)*coupl(nGC_38)*coupl(    &
                        nGC_92) + 3d0*coupl(nGC_26)*coupl(nGC_817)*coupl(nGC_92&
                        ) + 3d0*coupl(nGC_31)*coupl(nGC_817)*coupl(nGC_94) +   &
                        6d0*coupl(nGC_50)*coupl(nGC_72)*coupl(nGC_867) - 6d0*  &
                        coupl(nGC_62)*coupl(nGC_72)*coupl(nGC_867))/(16d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_14979) = coupl(nGC_35)*dZGMinus
      coupl(nGC_13344) = coupl(nGC_59)*dZG0
      coupl(nGC_9417) = coupl(nGC_7907)*db_QED2 + coupl(nGC_7908)*dyd13x3_QED3 &
                         + coupl(nGC_7909)*dyb2_QED3
      coupl(nGC_16049) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_133)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9506)
      coupl(nGC_16046) = coupl(nGC_133)*(dZcL_QED2 + dZcR_QED2)/2d0
      coupl(nGC_16047) = coupl(nGC_133)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_13662) = coupl(nGC_193)*dZHMinus_QED2/2d0 + coupl(nGC_193)*    &
                         dZdL_QED2/2d0 + coupl(nGC_193)*dZuR_QED2/2d0 + coupl( &
                         nGC_196)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_9421)
      coupl(nGC_13665) = coupl(nGC_146)*dZdR_QCD2/2d0 + coupl(nGC_146)*        &
                         dZuL_QCD2/2d0 + coupl(nGC_9419)
      coupl(nGC_13664) = coupl(nGC_193)*dZdL_QCD2/2d0 + coupl(nGC_193)*        &
                         dZuR_QCD2/2d0 + coupl(nGC_9422)
      coupl(nGC_14140) = coupl(nGC_183)*dZtL_QCD2/2d0 + coupl(nGC_183)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9501)
      coupl(nGC_13792) = coupl(nGC_115)*dZG0Ha_QED2/2d0 + coupl(nGC_122)*      &
                         dZHMinus_QED2/2d0 + coupl(nGC_122)*dZHa_QED2/2d0 +    &
                         coupl(nGC_9348) + coupl(nGC_TS_GC_40_Hl) + coupl(     &
                         nGC_TS_GC_48_Hh)
      coupl(nGC_13790) = coupl(nGC_122)*dZGMinus/2d0
      coupl(nGC_14562) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_13061) = coupl(nGC_109)*dZG0Ha_QED2/2d0 + coupl(nGC_112)*      &
                         dZHhHl_QED2/2d0 + coupl(nGC_113)*dZHaG0_QED2/2d0 +    &
                         coupl(nGC_120)*dZHa_QED2/2d0 + coupl(nGC_120)*        &
                         dZHl_QED2/2d0 + coupl(nGC_9349) + coupl(              &
                         nGC_TS_GC_28_Hl) + coupl(nGC_TS_GC_37_Hh)
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
