!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl15()
      coupl(nGC_9085) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_6)**3d0 - 48d0*coupl(&
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_9084) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_6)**3d0 + 48d0*coupl( &
                        nGC_7)**3d0)/(768d0*pi**2d0)
      coupl(nGC_9081) = coupl(nGC_7)*sq2*(-coupl(nGC_1191)*coupl(nGC_194) -    &
                        coupl(nGC_192)**2d0 - coupl(nGC_193)**2d0 - coupl(     &
                        nGC_195)**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_197)*  &
                        coupl(nGC_198) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(    &
                        nGC_85)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9080) = coupl(nGC_7)*sq2*(-coupl(nGC_1191)*coupl(nGC_194) -    &
                        coupl(nGC_146)**2d0 - coupl(nGC_150)**2d0 - coupl(     &
                        nGC_192)**2d0 - coupl(nGC_195)**2d0 - coupl(nGC_197)*  &
                        coupl(nGC_198) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(    &
                        nGC_80)**2d0 - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc&
                        )
      coupl(nGC_9083) = coupl(nGC_7)*sq2*(coupl(nGC_1191)*coupl(nGC_194) +     &
                        coupl(nGC_192)**2d0 + coupl(nGC_193)**2d0 + coupl(     &
                        nGC_195)**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_197)*  &
                        coupl(nGC_198) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                        nGC_85)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9082) = coupl(nGC_7)*sq2*(coupl(nGC_1191)*coupl(nGC_194) +     &
                        coupl(nGC_146)**2d0 + coupl(nGC_150)**2d0 + coupl(     &
                        nGC_192)**2d0 + coupl(nGC_195)**2d0 + coupl(nGC_197)*  &
                        coupl(nGC_198) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                        nGC_80)**2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9251) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_133)**2d0  &
                         - coupl(nGC_137)**2d0 - coupl(nGC_149)**2d0 - coupl(  &
                        nGC_173)**2d0 - coupl(nGC_180)**2d0 - coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_16235) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*           &
                         dZtauMinusL_QED2 + coupl(nGC_9405)
      coupl(nGC_16234) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZtauMinusR_QED2 + coupl(nGC_9406)
      coupl(nGC_TS_GC_124_Hl) = -coupl(nGC_124)*dtHl_QED1/cMHL**2d0
      coupl(nGC_9660) = coupl(nGC_601)*dMZ2_QED2
      coupl(nGC_14961) = coupl(nGC_155)*dZHa_QED2/2d0 + coupl(nGC_155)*        &
                         dZeMinusL_QED2/2d0 + coupl(nGC_155)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_159)*dZG0Ha_QED2/2d0 + coupl(nGC_9485)
      coupl(nGC_16434) = 2d0*coupl(nGC_44)*dZGMinusHMinus_QED2 + 2d0*coupl(    &
                         nGC_51)*dZHMinus_QED2 + coupl(nGC_9307)
      coupl(nGC_TS_GC_137_Hh) = -coupl(nGC_137)*dtHh_QED1/cMHH**2d0
      coupl(nGC_15021) = coupl(nGC_116)*dZGMinus
      coupl(nGC_16050) = coupl(nGC_16046) + coupl(nGC_16049)
      coupl(nGC_TS_GC_116_Hh) = -coupl(nGC_116)*dtHh_QED1/cMHH**2d0
      coupl(nGC_15793) = dZHMinusGMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/&
                         2d0
      coupl(nGC_19493) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_19494) = coupl(nGC_TS_GC_64_Hl) + coupl(nGC_TS_GC_69_Hh)
      coupl(nGC_19495) = coupl(nGC_9659) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_14684) = coupl(nGC_88)*dZZ_QED2/2d0 + coupl(nGC_88)*dZuL_QED2  &
                          + coupl(nGC_9400)
      coupl(nGC_14681) = coupl(nGC_88)*dZuL_QCD2
      coupl(nGC_TS_GC_149_Hh) = -coupl(nGC_149)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13651) = coupl(nGC_62)*dZWMinus_QED2 + coupl(nGC_9374)
      coupl(nGC_15480) = coupl(nGC_188)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_14770) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZbL_QED2  &
                          + coupl(nGC_9402)
      coupl(nGC_14771) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZbR_QED2  &
                          + coupl(nGC_9403)
      coupl(nGC_18205) = coupl(nGC_9642) + coupl(nGC_TS_GC_161_Hl) + coupl(    &
                         nGC_TS_GC_165_Hh)
      coupl(nGC_18206) = coupl(nGC_18203) + coupl(nGC_18205)
      coupl(nGC_14224) = -coupl(nGC_12847)
      coupl(nGC_9528) = coupl(nGC_8203)*dsw_QED2 + coupl(nGC_8204)*dMZ2_QED2 + &
                        coupl(nGC_8205)*dZee_QED2
      coupl(nGC_9529) = coupl(nGC_8316)*db_QED2 + coupl(nGC_8317)*dZee_QED2 +  &
                        coupl(nGC_8318)*dMZ2_QED2 + coupl(nGC_8319)*dsw_QED2 + &
                        coupl(nGC_8320)*dcw_QED2 + coupl(nGC_8321)*da_QED2
      coupl(nGC_13526) = coupl(nGC_194)*dZHaG0_QED2/2d0
      coupl(nGC_9522) = coupl(nGC_8192)*dsw_QED2 + coupl(nGC_8193)*dMW2_QED2 + &
                        coupl(nGC_8194)*dZee_QED2
      coupl(nGC_9523) = coupl(nGC_8181)*dsw_QED2 + coupl(nGC_8182)*db_QED2 +   &
                        coupl(nGC_8183)*dMW2_QED2 + coupl(nGC_8184)*dZee_QED2  &
                         + coupl(nGC_8185)*da_QED2
      coupl(nGC_9520) = coupl(nGC_431)*dyt2_QED3 + coupl(nGC_433)*db_QED2 +    &
                        coupl(nGC_435)*dyt1_QED3
      coupl(nGC_9521) = coupl(nGC_8259)*dMW2_QED2 + coupl(nGC_8260)*dZee_QED2
      coupl(nGC_9526) = coupl(nGC_8214)*dsw_QED2 + coupl(nGC_8215)*dcw_QED2 +  &
                        coupl(nGC_8216)*dZee_QED2
      coupl(nGC_9527) = coupl(nGC_8197)*dsw_QED2 + coupl(nGC_8198)*dMW2_QED2 + &
                        coupl(nGC_8199)*dZee_QED2
      coupl(nGC_9524) = coupl(nGC_8149)*dsw_QED2 + coupl(nGC_8150)*db_QED2 +   &
                        coupl(nGC_8151)*dMW2_QED2 + coupl(nGC_8152)*dZee_QED2  &
                         + coupl(nGC_8153)*da_QED2
      coupl(nGC_9525) = coupl(nGC_8056)*dcw_QED2 + coupl(nGC_8057)*dsw_QED2 +  &
                        coupl(nGC_8058)*dMW2_QED2 + coupl(nGC_8059)*dZee_QED2
      coupl(nGC_8723) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_139)*coupl(nGC_140) - &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_135)*coupl(nGC_136) -   &
                        8d0*Nc*cMD**2d0*cima*coupl(nGC_151)*coupl(nGC_152) -   &
                        8d0*Nc*cMS**2d0*cima*coupl(nGC_175)*coupl(nGC_176) -   &
                        8d0*Nc*cMT**2d0*cima*coupl(nGC_182)*coupl(nGC_183) -   &
                        8d0*Nc*cMU**2d0*cima*coupl(nGC_197)*coupl(nGC_198) -   &
                        8d0*cME**2d0*cima*coupl(nGC_159)*coupl(nGC_160) - cMHH &
                        **2d0*cima*coupl(nGC_817)*coupl(nGC_94) - cMHL**2d0*   &
                        cima*coupl(nGC_665)*coupl(nGC_91) - 8d0*cMM**2d0*cima* &
                        coupl(nGC_167)*coupl(nGC_168) - 8d0*cMTA**2d0*cima*    &
                        coupl(nGC_190)*coupl(nGC_191) - 4d0*cMW**2d0*cima*coupl&
                        (nGC_72)*coupl(nGC_867) - 4d0*cMW**2d0*coupl(nGC_62) - &
                        cMZ**2d0*cima*coupl(nGC_665)*coupl(nGC_91) - cMZ**2d0* &
                        cima*coupl(nGC_817)*coupl(nGC_94) - 2d0*cMZ**2d0*coupl(&
                        nGC_101))/(32d0*pi**2d0)
      coupl(nGC_8722) = cima*(4d0*Nc*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc*   &
                        coupl(nGC_139)*coupl(nGC_140) + 4d0*Nc*coupl(nGC_151)* &
                        coupl(nGC_152) + 4d0*Nc*coupl(nGC_175)*coupl(nGC_176   &
                        ) + 4d0*Nc*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*coupl&
                        (nGC_197)*coupl(nGC_198) + 4d0*coupl(nGC_159)*coupl(   &
                        nGC_160) + 4d0*coupl(nGC_167)*coupl(nGC_168) + 4d0*    &
                        coupl(nGC_190)*coupl(nGC_191) + coupl(nGC_665)*coupl(  &
                        nGC_91) + 2d0*coupl(nGC_72)*coupl(nGC_867) + coupl(    &
                        nGC_817)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8727) = cima*(4d0*Nc*coupl(nGC_1191)*coupl(nGC_194) + 4d0*Nc*  &
                        coupl(nGC_132)*coupl(nGC_695) + 4d0*Nc*coupl(nGC_143)* &
                        coupl(nGC_144) + 4d0*Nc*coupl(nGC_147)*coupl(nGC_148   &
                        ) + 4d0*Nc*coupl(nGC_171)*coupl(nGC_172) + 4d0*Nc*coupl&
                        (nGC_179)*coupl(nGC_2019) + coupl(nGC_1331)*coupl(     &
                        nGC_92) + 4d0*coupl(nGC_155)*coupl(nGC_156) + 4d0*coupl&
                        (nGC_163)*coupl(nGC_164) + 4d0*coupl(nGC_186)*coupl(   &
                        nGC_187) + 2d0*coupl(nGC_72)*coupl(nGC_867) + coupl(   &
                        nGC_817)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8728) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_143)*coupl(nGC_144) - &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_132)*coupl(nGC_695) -   &
                        8d0*Nc*cMD**2d0*cima*coupl(nGC_147)*coupl(nGC_148) -   &
                        8d0*Nc*cMS**2d0*cima*coupl(nGC_171)*coupl(nGC_172) -   &
                        8d0*Nc*cMT**2d0*cima*coupl(nGC_179)*coupl(nGC_2019) -  &
                        8d0*Nc*cMU**2d0*cima*coupl(nGC_1191)*coupl(nGC_194) -  &
                        8d0*cME**2d0*cima*coupl(nGC_155)*coupl(nGC_156) - 2d0* &
                        cMHC**2d0*cima*coupl(nGC_72)*coupl(nGC_867) - cMHH**2d0&
                        *cima*coupl(nGC_1331)*coupl(nGC_92) - cMHL**2d0*cima*  &
                        coupl(nGC_817)*coupl(nGC_94) - 8d0*cMM**2d0*cima*coupl(&
                        nGC_163)*coupl(nGC_164) - 8d0*cMTA**2d0*cima*coupl(    &
                        nGC_186)*coupl(nGC_187) - 2d0*cMW**2d0*cima*coupl(     &
                        nGC_72)*coupl(nGC_867) - 4d0*cMW**2d0*coupl(nGC_62) -  &
                        cMZ**2d0*cima*coupl(nGC_1331)*coupl(nGC_92) - cMZ**2d0*&
                        cima*coupl(nGC_817)*coupl(nGC_94) - 2d0*cMZ**2d0*coupl(&
                        nGC_101))/(32d0*pi**2d0)
      coupl(nGC_13430) = coupl(nGC_91)*dZG0Ha_QED2/2d0 + coupl(nGC_92)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9379) + coupl(nGC_94)*    &
                         dZHa_QED2/2d0 + coupl(nGC_94)*dZHl_QED2/2d0 + coupl(  &
                         nGC_94)*dZZ_QED2/2d0
      coupl(nGC_14426) = coupl(nGC_44)*dZHMinusGMinus_QED2 + coupl(nGC_45)*    &
                         dZGMinusHMinus_QED2 + coupl(nGC_60)*dZHMinus_QED2 +   &
                         coupl(nGC_9321)
      coupl(nGC_12742) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_65)*dZA_QED2/ &
                         2d0 + coupl(nGC_65)*dZHl_QED2/2d0 + coupl(nGC_65)*    &
                         dZWMinus_QED2/2d0 + coupl(nGC_70)*dZHMinusGMinus_QED2/&
                         2d0 + coupl(nGC_70)*dZHhHl_QED2/2d0 + coupl(nGC_9364)
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
