!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl18()
      coupl(nGC_9288) = coupl(nGC_8531)*dZgs_QCD2
      coupl(nGC_14985) = -coupl(nGC_13469) + coupl(nGC_13470)
      coupl(nGC_16107) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZcL_QED2/2d0 + coupl(nGC_80)*dZsL_QED2/2d0 + coupl(  &
                         nGC_9399)
      coupl(nGC_16451) = coupl(nGC_9392) + coupl(nGC_99)*dZHl_QED2 + coupl(    &
                         nGC_99)*dZZ_QED2
      coupl(nGC_9117) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_16929) = coupl(nGC_177)*dZHl_QED2/2d0 + coupl(nGC_180)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9514)
      coupl(nGC_9118) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_17774) = coupl(nGC_I)*dZG0
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13471) = coupl(nGC_13469) - coupl(nGC_13470)
      coupl(nGC_15003) = coupl(nGC_41)*dZHMinus_QED2/2d0 + coupl(nGC_41)*      &
                         dZHh_QED2/2d0 + coupl(nGC_48)*dZHlHh_QED2/2d0 + coupl(&
                         nGC_49)*dZHaG0_QED2/2d0 + coupl(nGC_9328)
      coupl(nGC_16070) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_82)*           &
                         dZWMinus_QED2 + coupl(nGC_82)*dZZ_QED2/2d0 + coupl(   &
                         nGC_9292)
      coupl(nGC_15755) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_89)*dZZA_QED2/&
                         2d0
      coupl(nGC_15754) = coupl(nGC_4)*dZeMinusR_QED2 + coupl(nGC_86)*dZZA_QED2/&
                         2d0
      coupl(nGC_9338) = coupl(nGC_7928)*dl3_QED4 + coupl(nGC_7929)*dl1_QED4 +  &
                        coupl(nGC_7930)*dl2_QED4 + coupl(nGC_7931)*dl5_QED4 +  &
                        coupl(nGC_7932)*dl4_QED4 + coupl(nGC_7933)*db_QED2
      coupl(nGC_9336) = coupl(nGC_7955)*dl3_QED4 + coupl(nGC_7956)*dl1_QED4 +  &
                        coupl(nGC_7957)*dl2_QED4 + coupl(nGC_7958)*dl5_QED4 +  &
                        coupl(nGC_7959)*dl4_QED4 + coupl(nGC_7960)*db_QED2
      coupl(nGC_TS_GC_26_Hl) = -coupl(nGC_26)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_26_Hh) = -coupl(nGC_26)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_109_Hl) = -coupl(nGC_109)*dtHl_QED1/cMHL**2d0
      coupl(nGC_12974) = coupl(nGC_7)*dZsR_QCD2
      coupl(nGC_12975) = coupl(nGC_7)*dZsL_QED2
      coupl(nGC_12976) = coupl(nGC_7)*dZsL_QCD2
      coupl(nGC_25898) = -coupl(nGC_19494)
      coupl(nGC_21888) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_21889) = coupl(nGC_TS_GC_91_Hl) + coupl(nGC_TS_GC_94_Hh)
      coupl(nGC_19057) = -coupl(nGC_18311) + coupl(nGC_18315)
      coupl(nGC_13292) = coupl(nGC_20)*dZWMinus_QED2/2d0 + coupl(nGC_20)*      &
                         dZZ_QED2/2d0 + coupl(nGC_74)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9383)
      coupl(nGC_13561) = coupl(nGC_152)*dZdL_QCD2/2d0 + coupl(nGC_152)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9433)
      coupl(nGC_13290) = coupl(nGC_20)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_13563) = coupl(nGC_148)*dZHaG0_QED2/2d0 + coupl(nGC_152)*      &
                         dZdL_QED2/2d0 + coupl(nGC_152)*dZdR_QED2/2d0 + coupl( &
                         nGC_9434)
      coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
      coupl(nGC_14001) = coupl(nGC_33)*dZG0
      coupl(nGC_12904) = coupl(nGC_42)*dZHMinus_QED2 + coupl(nGC_42)*dZHa_QED2/&
                         2d0 + coupl(nGC_50)*dZHaG0_QED2/2d0 + coupl(nGC_56)*  &
                         dZG0Ha_QED2/2d0 + coupl(nGC_58)*dZGMinusHMinus_QED2 + &
                         coupl(nGC_9338)
      coupl(nGC_14555) = coupl(nGC_46)*dZG0/2d0
      coupl(nGC_13182) = -coupl(nGC_13179)
      coupl(nGC_13180) = coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(nGC_9368)
      coupl(nGC_13181) = -coupl(nGC_13180)
      coupl(nGC_8895) = coupl(nGC_198)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8894) = (-coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_193) - coupl(&
                        nGC_150)*coupl(nGC_152)*coupl(nGC_196) - coupl(nGC_192 &
                        )**2d0*coupl(nGC_197) - coupl(nGC_192)*coupl(nGC_665)* &
                        coupl(nGC_88) - coupl(nGC_192)*coupl(nGC_85)*coupl(    &
                        nGC_91) - coupl(nGC_194)**2d0*coupl(nGC_197) - coupl(  &
                        nGC_195)**2d0*coupl(nGC_197) - coupl(nGC_195)*coupl(   &
                        nGC_817)*coupl(nGC_88) - coupl(nGC_195)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_80)*coupl(    &
                        nGC_867) - coupl(nGC_197)*coupl(nGC_198)**2d0 + 8d0*   &
                        coupl(nGC_198)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_198)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_8891) = (-coupl(nGC_184)**2d0*coupl(nGC_190) + coupl(nGC_184)* &
                        coupl(nGC_665)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_91) - coupl(nGC_187)**2d0*coupl(     &
                        nGC_190) - coupl(nGC_188)**2d0*coupl(nGC_190) + coupl( &
                        nGC_188)*coupl(nGC_817)*coupl(nGC_89) + coupl(nGC_188)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_80)*coupl(nGC_867) - coupl(nGC_190)*coupl(nGC_191  &
                        )**2d0 + 8d0*coupl(nGC_191)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_191)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_8890) = (-coupl(nGC_184)**2d0*coupl(nGC_191) + coupl(nGC_184)* &
                        coupl(nGC_665)*coupl(nGC_86) + coupl(nGC_184)*coupl(   &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_186)**2d0*coupl(     &
                        nGC_191) - coupl(nGC_188)**2d0*coupl(nGC_191) + coupl( &
                        nGC_188)*coupl(nGC_817)*coupl(nGC_86) + coupl(nGC_188)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_190)**2d0*coupl(     &
                        nGC_191) + 8d0*coupl(nGC_190)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_8893) = coupl(nGC_197)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8892) = (-coupl(nGC_1191)**2d0*coupl(nGC_198) - coupl(nGC_146)*&
                        coupl(nGC_151)*coupl(nGC_193) - coupl(nGC_150)*coupl(  &
                        nGC_151)*coupl(nGC_196) - coupl(nGC_192)**2d0*coupl(   &
                        nGC_198) - coupl(nGC_192)*coupl(nGC_665)*coupl(nGC_85  &
                        ) - coupl(nGC_192)*coupl(nGC_88)*coupl(nGC_91) - coupl(&
                        nGC_195)**2d0*coupl(nGC_198) - coupl(nGC_195)*coupl(   &
                        nGC_817)*coupl(nGC_85) - coupl(nGC_195)*coupl(nGC_88)* &
                        coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_72)*coupl(    &
                        nGC_80) - coupl(nGC_197)**2d0*coupl(nGC_198) + 8d0*    &
                        coupl(nGC_197)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_197)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_12769) = -coupl(nGC_12765)
      coupl(nGC_13363) = coupl(nGC_7)*dZtR_QED2
      coupl(nGC_13360) = coupl(nGC_7)*dZtL_QCD2
      coupl(nGC_8899) = (4d0*Nc*coupl(nGC_1191)*coupl(nGC_193)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_131)*coupl(nGC_695)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_2019)*coupl(nGC_80) -  &
                        6d0*coupl(nGC_1243)*coupl(nGC_817)*coupl(nGC_833) +    &
                        coupl(nGC_1243)*coupl(nGC_94)*coupl(nGC_975) - 6d0*    &
                        coupl(nGC_1331)*coupl(nGC_3011)*coupl(nGC_833) - 4d0*  &
                        coupl(nGC_154)*coupl(nGC_155)*coupl(nGC_80) - 4d0*coupl&
                        (nGC_162)*coupl(nGC_163)*coupl(nGC_80) - 6d0*coupl(    &
                        nGC_17)*coupl(nGC_3)*coupl(nGC_867) - 4d0*coupl(nGC_185&
                        )*coupl(nGC_186)*coupl(nGC_80) + coupl(nGC_3011)*coupl(&
                        nGC_92)*coupl(nGC_975) + coupl(nGC_63)**2d0*coupl(     &
                        nGC_72) + coupl(nGC_69)**2d0*coupl(nGC_72) + coupl(    &
                        nGC_72)**3d0 - 6d0*coupl(nGC_82)*coupl(nGC_867)*coupl( &
                        nGC_96))/(96d0*pi**2d0)
      coupl(nGC_13364) = coupl(nGC_7)*dZtR_QCD2
      coupl(nGC_9470) = coupl(nGC_8527)*db_QED2 + coupl(nGC_8528)*dye2_QED3 +  &
                        coupl(nGC_8529)*dye1_QED3
      coupl(nGC_9471) = coupl(nGC_8084)*db_QED2 + coupl(nGC_8085)*dym1_QED3 +  &
                        coupl(nGC_8086)*dym2_QED3
    end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
