!******************************************************************************!
!                                                                              !
!    fill_ctcouplings19.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings19.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings19
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl19()
      coupl(nGC_9472) = coupl(nGC_8142)*db_QED2 + coupl(nGC_8143)*dytau1_QED3  &
                         + coupl(nGC_8144)*dytau2_QED3
      coupl(nGC_9473) = coupl(nGC_7922)*db_QED2 + coupl(nGC_7923)*dye2_QED3 +  &
                        coupl(nGC_7924)*dye1_QED3
      coupl(nGC_9474) = coupl(nGC_7916)*db_QED2 + coupl(nGC_7917)*dye2_QED3 +  &
                        coupl(nGC_7918)*dye1_QED3
      coupl(nGC_9475) = coupl(nGC_8261)*db_QED2 + coupl(nGC_8262)*dym1_QED3 +  &
                        coupl(nGC_8263)*dym2_QED3
      coupl(nGC_9476) = coupl(nGC_8241)*db_QED2 + coupl(nGC_8242)*dym1_QED3 +  &
                        coupl(nGC_8243)*dym2_QED3
      coupl(nGC_9478) = coupl(nGC_7925)*db_QED2 + coupl(nGC_7926)*dytau1_QED3  &
                         + coupl(nGC_7927)*dytau2_QED3
      coupl(nGC_13379) = coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_13163) = coupl(nGC_187)*dZHaG0_QED2/2d0 + coupl(nGC_191)*      &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_191)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_9478)
      coupl(nGC_8884) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_175) - coupl(nGC_131)*&
                        coupl(nGC_135)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_135)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_176) - coupl(nGC_169)*coupl(nGC_665)*coupl(nGC_87  &
                        ) - coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_91) - coupl(&
                        nGC_171)**2d0*coupl(nGC_176) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_176) - coupl(nGC_173)*coupl(nGC_817)*coupl(  &
                        nGC_87) - coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_867) - coupl(   &
                        nGC_175)**2d0*coupl(nGC_176) + 8d0*coupl(nGC_175)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8961) = (-coupl(nGC_1191)**2d0*coupl(nGC_194) + 8d0*coupl(     &
                        nGC_1191)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1191)*coupl&
                        (nGC_85)*coupl(nGC_88) - coupl(nGC_1331)*coupl(nGC_195 &
                        )*coupl(nGC_85) - coupl(nGC_146)*coupl(nGC_147)*coupl( &
                        nGC_193) - coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_196 &
                        ) - coupl(nGC_192)**2d0*coupl(nGC_194) - coupl(nGC_192 &
                        )*coupl(nGC_817)*coupl(nGC_85) - coupl(nGC_192)*coupl( &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_193)*coupl(nGC_72)*  &
                        coupl(nGC_80) - coupl(nGC_194)*coupl(nGC_195)**2d0 -   &
                        coupl(nGC_194)*coupl(nGC_197)**2d0 - coupl(nGC_195)*   &
                        coupl(nGC_88)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8960) = (coupl(nGC_1331)*coupl(nGC_188)*coupl(nGC_89) - coupl( &
                        nGC_184)**2d0*coupl(nGC_186) + coupl(nGC_184)*coupl(   &
                        nGC_817)*coupl(nGC_89) + coupl(nGC_184)*coupl(nGC_86)* &
                        coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_80)*coupl(    &
                        nGC_867) - coupl(nGC_186)*coupl(nGC_187)**2d0 - coupl( &
                        nGC_186)*coupl(nGC_188)**2d0 - coupl(nGC_186)*coupl(   &
                        nGC_191)**2d0 + 8d0*coupl(nGC_187)*coupl(nGC_4)**2d0 + &
                        8d0*coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_89) + coupl(&
                        nGC_188)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8963) = (-coupl(nGC_1191)*coupl(nGC_192)**2d0 - coupl(nGC_1191 &
                        )*coupl(nGC_194)**2d0 - coupl(nGC_1191)*coupl(nGC_195  &
                        )**2d0 - coupl(nGC_1191)*coupl(nGC_198)**2d0 - coupl(  &
                        nGC_1331)*coupl(nGC_195)*coupl(nGC_88) - coupl(nGC_146 &
                        )*coupl(nGC_148)*coupl(nGC_193) - coupl(nGC_148)*coupl(&
                        nGC_150)*coupl(nGC_196) - coupl(nGC_192)*coupl(nGC_817 &
                        )*coupl(nGC_88) - coupl(nGC_192)*coupl(nGC_85)*coupl(  &
                        nGC_94) - coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_867   &
                        ) + 8d0*coupl(nGC_194)*coupl(nGC_2)**2d0 + 8d0*coupl(  &
                        nGC_194)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_195)* &
                        coupl(nGC_85)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_8962) = coupl(nGC_1191)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12897) = coupl(nGC_19)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_9270) = cima*coupl(nGC_7)**3d0*sq2**3d0*(coupl(nGC_84) + coupl(&
                        nGC_85) + coupl(nGC_87) + coupl(nGC_88))/(32d0*pi**2d0*&
                        Nc**2d0)
      coupl(nGC_9078) = coupl(nGC_7)*sq2*(coupl(nGC_138)**2d0 + coupl(nGC_142  &
                        )**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_179)*coupl(   &
                        nGC_2019) + coupl(nGC_180)**2d0 + coupl(nGC_182)*coupl(&
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)** &
                        2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9079) = coupl(nGC_7)*sq2*(coupl(nGC_177)**2d0 + coupl(nGC_178  &
                        )**2d0 + coupl(nGC_179)*coupl(nGC_2019) + coupl(nGC_180&
                        )**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_182)*coupl(   &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_9074) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_169&
                        )**2d0 + coupl(nGC_170)**2d0 + coupl(nGC_171)*coupl(   &
                        nGC_172) + coupl(nGC_173)**2d0 + coupl(nGC_174)**2d0 + &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_84)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_9075) = coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6  &
                        ) - coupl(nGC_7))/(64d0*pi**2d0*Nc)
      coupl(nGC_9076) = coupl(nGC_7)*sq2*(-coupl(nGC_138)**2d0 - coupl(nGC_142 &
                        )**2d0 - coupl(nGC_177)**2d0 - coupl(nGC_179)*coupl(   &
                        nGC_2019) - coupl(nGC_180)**2d0 - coupl(nGC_182)*coupl(&
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)** &
                        2d0 - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9077) = coupl(nGC_7)*sq2*(-coupl(nGC_177)**2d0 - coupl(nGC_178 &
                        )**2d0 - coupl(nGC_179)*coupl(nGC_2019) - coupl(nGC_180&
                        )**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_182)*coupl(   &
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9070) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_131)**2d0 - coupl(nGC_134)**2d0 - coupl(nGC_169)** &
                        2d0 - coupl(nGC_171)*coupl(nGC_172) - coupl(nGC_173)** &
                        2d0 - coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9071) = coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                        nGC_169)**2d0 - coupl(nGC_170)**2d0 - coupl(nGC_171)*  &
                        coupl(nGC_172) - coupl(nGC_173)**2d0 - coupl(nGC_174)**&
                        2d0 - coupl(nGC_175)*coupl(nGC_176) - 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9072) = coupl(nGC_7)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_6   &
                        ) + coupl(nGC_7))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_9073) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_131&
                        )**2d0 + coupl(nGC_134)**2d0 + coupl(nGC_169)**2d0 +   &
                        coupl(nGC_171)*coupl(nGC_172) + coupl(nGC_173)**2d0 +  &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_80)**2d0 &
                         + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_9295) = coupl(nGC_8206)*dsw_QED2 + coupl(nGC_8207)*dcw_QED2 +  &
                        coupl(nGC_8208)*dZee_QED2
      coupl(nGC_9297) = coupl(nGC_8060)*dl3_QED4 + coupl(nGC_8061)*dl1_QED4 +  &
                        coupl(nGC_8062)*dl2_QED4 + coupl(nGC_8063)*dl5_QED4 +  &
                        coupl(nGC_8064)*dl4_QED4 + coupl(nGC_8065)*db_QED2
      coupl(nGC_9290) = coupl(nGC_8525)*dZee_QED2
      coupl(nGC_9291) = coupl(nGC_8530)*dZee_QED2
      coupl(nGC_9293) = coupl(nGC_8195)*dsw_QED2 + coupl(nGC_8196)*dZee_QED2
      coupl(nGC_9298) = coupl(nGC_8066)*dl3_QED4 + coupl(nGC_8067)*dl1_QED4 +  &
                        coupl(nGC_8068)*dl2_QED4 + coupl(nGC_8069)*dl5_QED4 +  &
                        coupl(nGC_8070)*dl4_QED4 + coupl(nGC_8071)*db_QED2
      coupl(nGC_24627) = -coupl(nGC_24621)
      coupl(nGC_24626) = coupl(nGC_9656) + coupl(nGC_MZ)*dZZ_QED2 + coupl(     &
                         nGC_TS_GC_128_Hl) + coupl(nGC_TS_GC_129_Hh)
      coupl(nGC_TS_GC_10_Hl) = -coupl(nGC_10)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_10_Hh) = -coupl(nGC_10)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9104) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1191)*coupl(     &
                        nGC_196)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_134)*coupl(nGC_695)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_144)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_147)*coupl&
                        (nGC_150)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_2019)*coupl(&
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_196)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_134 &
                        )*coupl(nGC_2)*coupl(nGC_695)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*  &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_171&
                        )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_2019)*coupl(&
                        nGC_80) + 9d0*cima*coupl(nGC_1331)*coupl(nGC_3)*coupl( &
                        nGC_68)*coupl(nGC_833) + 4d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_63)*coupl(nGC_72)*coupl(nGC_793) + 4d0*cima*coupl(&
                        nGC_155)*coupl(nGC_158)*coupl(nGC_4)*coupl(nGC_80) +   &
                        4d0*cima*coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_4)*   &
                        coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(nGC_63)*  &
                        coupl(nGC_94)*coupl(nGC_975) + 4d0*cima*coupl(nGC_17)* &
                        coupl(nGC_68)*coupl(nGC_92)*coupl(nGC_975) + 4d0*cima* &
                        coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_817)*&
                        coupl(nGC_833) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_69 &
                        )*coupl(nGC_72)*coupl(nGC_793) - 6d0*coupl(nGC_1331)*  &
                        coupl(nGC_607)*coupl(nGC_68) - 6d0*coupl(nGC_1331)*    &
                        coupl(nGC_70)*coupl(nGC_833) + 6d0*coupl(nGC_1485)*    &
                        coupl(nGC_66)*coupl(nGC_72) + 6d0*coupl(nGC_3011)*coupl&
                        (nGC_70)*coupl(nGC_72) - 6d0*coupl(nGC_607)*coupl(     &
                        nGC_63)*coupl(nGC_817) - 6d0*coupl(nGC_65)*coupl(      &
                        nGC_817)*coupl(nGC_833) + 6d0*coupl(nGC_65)*coupl(     &
                        nGC_94)*coupl(nGC_975) + 6d0*coupl(nGC_70)*coupl(nGC_92&
                        )*coupl(nGC_975))/(192d0*pi**2d0)
      coupl(nGC_9105) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_133)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_137)*coupl(nGC_138)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_173)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_195)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_137&
                        )*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_180 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_68) + 9d0*cima*coupl(nGC_1103)*coupl( &
                        nGC_68)*coupl(nGC_82)*coupl(nGC_96) + 4d0*cima*coupl(  &
                        nGC_1243)*coupl(nGC_1485)**2d0*coupl(nGC_793) + 4d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_3011)**2d0*coupl(nGC_793&
                        ) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_72)**2d0*coupl( &
                        nGC_793) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl&
                        (nGC_64)*coupl(nGC_793) + 4d0*cima*coupl(nGC_157)*coupl&
                        (nGC_158)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl(&
                        nGC_16)*coupl(nGC_607) + 4d0*cima*coupl(nGC_165)*coupl(&
                        nGC_166)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(  &
                        nGC_17)*coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_975) + &
                        4d0*cima*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_4)*   &
                        coupl(nGC_80) + 9d0*cima*coupl(nGC_3)*coupl(nGC_833)*  &
                        coupl(nGC_867)*coupl(nGC_94) + 4d0*cima*coupl(nGC_3011 &
                        )*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_793) + 24d0*   &
                        cima*coupl(nGC_5)*coupl(nGC_70) + 36d0*coupl(nGC_1103)*&
                        coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(&
                        nGC_62)*coupl(nGC_68) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_70)*coupl(nGC_793) + 6d0*coupl(nGC_1243)*coupl(    &
                        nGC_1485)*coupl(nGC_70) + 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_3011)*coupl(nGC_65) + 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_72)*coupl(nGC_73) + 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_64)*coupl(nGC_66) + 36d0*coupl(nGC_16)*coupl(nGC_3 &
                        )*coupl(nGC_833) - 6d0*coupl(nGC_17)*coupl(nGC_5)*coupl&
                        (nGC_68) - 6d0*coupl(nGC_18)*coupl(nGC_3)*coupl(nGC_68 &
                        ) - 6d0*coupl(nGC_3)*coupl(nGC_61)*coupl(nGC_68) + 6d0*&
                        coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl&
                        (nGC_607)*coupl(nGC_68)*coupl(nGC_96) - 6d0*coupl(     &
                        nGC_607)*coupl(nGC_867)*coupl(nGC_94) - 6d0*coupl(     &
                        nGC_68)*coupl(nGC_82)*coupl(nGC_97) - 6d0*coupl(nGC_70 &
                        )*coupl(nGC_833)*coupl(nGC_975) + 6d0*coupl(nGC_73)*   &
                        coupl(nGC_817)*coupl(nGC_975) - 6d0*coupl(nGC_73)*coupl&
                        (nGC_833)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_9102) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)*coupl(      &
                        nGC_135)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_139)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_174)*coupl(     &
                        nGC_175)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_197)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_139)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_174)*coupl(nGC_175)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_181 &
                        )*coupl(nGC_182)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_196)*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_867) + 9d0*cima*coupl(nGC_1103)*coupl(&
                        nGC_82)*coupl(nGC_867)*coupl(nGC_96) + 4d0*cima*coupl( &
                        nGC_1485)**2d0*coupl(nGC_72)*coupl(nGC_793) + 4d0*cima*&
                        coupl(nGC_158)*coupl(nGC_159)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_4 &
                        )*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(nGC_63)*&
                        coupl(nGC_91)*coupl(nGC_975) + 4d0*cima*coupl(nGC_17)* &
                        coupl(nGC_68)*coupl(nGC_94)*coupl(nGC_975) + 4d0*cima* &
                        coupl(nGC_189)*coupl(nGC_190)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 24d0*cima*coupl(nGC_19)*coupl(nGC_607) + 9d0*cima* &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_665)*coupl(nGC_833&
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_817)*&
                        coupl(nGC_833) + 4d0*cima*coupl(nGC_3011)**2d0*coupl(  &
                        nGC_72)*coupl(nGC_793) + 24d0*cima*coupl(nGC_5)*coupl( &
                        nGC_73) + 4d0*cima*coupl(nGC_72)**3d0*coupl(nGC_793) + &
                        36d0*coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_73) - 6d0* &
                        coupl(nGC_1103)*coupl(nGC_62)*coupl(nGC_867) - 6d0*    &
                        coupl(nGC_1103)*coupl(nGC_73)*coupl(nGC_793) + 6d0*    &
                        coupl(nGC_1485)*coupl(nGC_70)*coupl(nGC_72) - 6d0*coupl&
                        (nGC_17)*coupl(nGC_5)*coupl(nGC_867) - 6d0*coupl(nGC_18&
                        )*coupl(nGC_3)*coupl(nGC_867) + 36d0*coupl(nGC_19)*    &
                        coupl(nGC_3)*coupl(nGC_833) - 6d0*coupl(nGC_3)*coupl(  &
                        nGC_62)*coupl(nGC_867) + 6d0*coupl(nGC_3011)*coupl(    &
                        nGC_65)*coupl(nGC_72) - 6d0*coupl(nGC_607)*coupl(nGC_63&
                        )*coupl(nGC_665) - 6d0*coupl(nGC_607)*coupl(nGC_68)*   &
                        coupl(nGC_817) - 6d0*coupl(nGC_607)*coupl(nGC_867)*    &
                        coupl(nGC_96) - 6d0*coupl(nGC_65)*coupl(nGC_665)*coupl(&
                        nGC_833) + 6d0*coupl(nGC_65)*coupl(nGC_91)*coupl(      &
                        nGC_975) - 6d0*coupl(nGC_70)*coupl(nGC_817)*coupl(     &
                        nGC_833) + 6d0*coupl(nGC_70)*coupl(nGC_94)*coupl(      &
                        nGC_975) + 6d0*coupl(nGC_72)**2d0*coupl(nGC_73) - 6d0* &
                        coupl(nGC_73)*coupl(nGC_833)*coupl(nGC_975) - 6d0*coupl&
                        (nGC_82)*coupl(nGC_867)*coupl(nGC_97))/(192d0*pi**2d0)
      coupl(nGC_9103) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84&
                        ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(    &
                        nGC_142)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) + 10d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl( &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*    &
                        coupl(nGC_174)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) + 10d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(&
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*    &
                        coupl(nGC_181)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*  &
                        coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_131&
                        )*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl( &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*  &
                        coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_146&
                        )*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170&
                        )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc* &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)*coupl( &
                        nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*  &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc* &
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_87) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_154)*coupl(&
                        nGC_158)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl( &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_86) +   &
                        10d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189 &
                        )*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_185 &
                        )*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*&
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82  &
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_68)* &
                        coupl(nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_3)*coupl(  &
                        nGC_68) - 3d0*coupl(nGC_1485)*coupl(nGC_66)*coupl(     &
                        nGC_833) - 3d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_68 &
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_63) - 3d0*&
                        coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(  &
                        nGC_3011)*coupl(nGC_70)*coupl(nGC_833) - 3d0*coupl(    &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64 &
                        )*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64)*coupl&
                        (nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_65)*coupl(nGC_68&
                        )*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_9108) = (6d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 + 6d0&
                        *Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_87)**2d0 + 6d0*Nc*&
                        cima*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 + 6d0*Nc*cima&
                        *coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 + 6d0*cima*coupl(&
                        nGC_1047)*coupl(nGC_1207) - 20d0*cima*coupl(nGC_1103)**&
                        2d0*coupl(nGC_833)**2d0 - 20d0*cima*coupl(nGC_3)**2d0* &
                        coupl(nGC_82)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl( &
                        nGC_86)**2d0 + 6d0*cima*coupl(nGC_4)**2d0*coupl(nGC_89 &
                        )**2d0 + 9d0*coupl(nGC_1047)*coupl(nGC_1103)**2d0 + 9d0&
                        *coupl(nGC_1047)*coupl(nGC_3)**2d0 + 6d0*coupl(nGC_1103&
                        )*coupl(nGC_607)*coupl(nGC_833) + 9d0*coupl(nGC_1207)* &
                        coupl(nGC_82)**2d0 + 9d0*coupl(nGC_1207)*coupl(nGC_833 &
                        )**2d0 + 6d0*coupl(nGC_3)*coupl(nGC_607)*coupl(nGC_82  &
                        ))/(48d0*pi**2d0)
      coupl(nGC_9109) = (12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_84)**2d0 +   &
                        12d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_87)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_85)**2d0 +    &
                        12d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_88)**2d0 -    &
                        40d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_833)**2d0 -   &
                        40d0*cima*coupl(nGC_3)**2d0*coupl(nGC_82)**2d0 + 12d0* &
                        cima*coupl(nGC_4)**2d0*coupl(nGC_86)**2d0 + 12d0*cima* &
                        coupl(nGC_4)**2d0*coupl(nGC_89)**2d0 + 12d0*cima*coupl(&
                        nGC_83)**2d0 + 3d0*coupl(nGC_1103)**2d0*coupl(nGC_79   &
                        ) + 6d0*coupl(nGC_1103)*coupl(nGC_607)*coupl(nGC_833   &
                        ) + 36d0*coupl(nGC_1103)*coupl(nGC_83)*coupl(nGC_833   &
                        ) + 3d0*coupl(nGC_3)**2d0*coupl(nGC_79) + 6d0*coupl(   &
                        nGC_3)*coupl(nGC_607)*coupl(nGC_82) + 36d0*coupl(nGC_3 &
                        )*coupl(nGC_82)*coupl(nGC_83) + 3d0*coupl(nGC_5)*coupl(&
                        nGC_82)**2d0 + 3d0*coupl(nGC_5)*coupl(nGC_833)**2d0)/( &
                        96d0*pi**2d0)
      coupl(nGC_8767) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(   &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_8766) = cMT*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8764) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_15109) = coupl(nGC_9643) + coupl(nGC_TS_GC_184_Hl) + coupl(    &
                         nGC_TS_GC_188_Hh)
      coupl(nGC_8763) = cMS*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_8761) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_18183) = coupl(nGC_18174) + coupl(nGC_9651)
      coupl(nGC_18181) = coupl(nGC_9650) + coupl(nGC_TS_GC_145_Hl) + coupl(    &
                         nGC_TS_GC_149_Hh)
      coupl(nGC_21094) = coupl(nGC_7)*dZbL_QCD2
    end subroutine fill_CTcouplings_mdl19
end module fill_ctcouplings19
