!******************************************************************************!
!                                                                              !
!    fill_ctcouplings20.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings20.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings20
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl20()
      coupl(nGC_21091) = coupl(nGC_7)*dZbR_QED2
      coupl(nGC_21093) = coupl(nGC_7)*dZbL_QED2
      coupl(nGC_21092) = coupl(nGC_7)*dZbR_QCD2
      coupl(nGC_15438) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZtR_QED2  &
                          + coupl(nGC_9401)
      coupl(nGC_15439) = coupl(nGC_13379) + coupl(nGC_15438)
      coupl(nGC_13756) = coupl(nGC_110)*dZHMinus_QED2 + coupl(nGC_110)*        &
                         dZHl_QED2/2d0 + coupl(nGC_118)*dZHhHl_QED2/2d0 + coupl&
                         (nGC_119)*dZGMinusHMinus_QED2 + coupl(nGC_9355) +     &
                         coupl(nGC_TS_GC_22_Hh) + coupl(nGC_TS_GC_30_Hl)
      coupl(nGC_TS_GC_39_Hl) = -coupl(nGC_39)*dtHl_QED1/cMHL**2d0
      coupl(nGC_21890) = coupl(nGC_9660) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
      coupl(nGC_14524) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_13994) = coupl(nGC_124)*dZHlHh_QED2/2d0 + coupl(nGC_125)*      &
                         dZHh_QED2/2d0 + coupl(nGC_125)*dZWMinus_QED2 + coupl( &
                         nGC_9376) + coupl(nGC_TS_GC_61_Hh)
      coupl(nGC_14257) = coupl(nGC_7)*dZdR_QCD2
      coupl(nGC_14256) = coupl(nGC_7)*dZdR_QED2
      coupl(nGC_13574) = coupl(nGC_14)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_15)*&
                         dZHhHl_QED2/2d0 + coupl(nGC_16)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_16)*dZHl_QED2/2d0 + coupl(nGC_16)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_16)*dZZ_QED2/2d0 + coupl&
                         (nGC_70)*dZAZ_QED2/2d0 + coupl(nGC_9384)
      coupl(nGC_14259) = coupl(nGC_7)*dZdL_QCD2
      coupl(nGC_14258) = coupl(nGC_7)*dZdL_QED2
      coupl(nGC_14021) = dZGMinusHMinus_QED2*(coupl(nGC_114) + coupl(nGC_115))/&
                         2d0
      coupl(nGC_8718) = cima*(4d0*Nc*coupl(nGC_1191)*coupl(nGC_198) + 4d0*Nc*  &
                        coupl(nGC_132)*coupl(nGC_135) + 4d0*Nc*coupl(nGC_136)* &
                        coupl(nGC_695) + 4d0*Nc*coupl(nGC_139)*coupl(nGC_143   &
                        ) + 4d0*Nc*coupl(nGC_140)*coupl(nGC_144) + 4d0*Nc*coupl&
                        (nGC_147)*coupl(nGC_152) + 4d0*Nc*coupl(nGC_148)*coupl(&
                        nGC_151) + 4d0*Nc*coupl(nGC_171)*coupl(nGC_176) + 4d0* &
                        Nc*coupl(nGC_172)*coupl(nGC_175) + 4d0*Nc*coupl(nGC_179&
                        )*coupl(nGC_182) + 4d0*Nc*coupl(nGC_183)*coupl(nGC_2019&
                        ) + 4d0*Nc*coupl(nGC_194)*coupl(nGC_197) + coupl(      &
                        nGC_1331)*coupl(nGC_94) + 4d0*coupl(nGC_155)*coupl(    &
                        nGC_160) + 4d0*coupl(nGC_156)*coupl(nGC_159) + 4d0*    &
                        coupl(nGC_163)*coupl(nGC_168) + 4d0*coupl(nGC_164)*    &
                        coupl(nGC_167) + 4d0*coupl(nGC_186)*coupl(nGC_191) +   &
                        4d0*coupl(nGC_187)*coupl(nGC_190) + coupl(nGC_665)*    &
                        coupl(nGC_94) + coupl(nGC_817)*coupl(nGC_91) + coupl(  &
                        nGC_817)*coupl(nGC_92))/(192d0*pi**2d0)
      coupl(nGC_8719) = cima*(-8d0*Nc*cMB**2d0*coupl(nGC_139)*coupl(nGC_143) - &
                        8d0*Nc*cMB**2d0*coupl(nGC_140)*coupl(nGC_144) - 8d0*Nc*&
                        cMC**2d0*coupl(nGC_132)*coupl(nGC_135) - 8d0*Nc*cMC**  &
                        2d0*coupl(nGC_136)*coupl(nGC_695) - 8d0*Nc*cMD**2d0*   &
                        coupl(nGC_147)*coupl(nGC_152) - 8d0*Nc*cMD**2d0*coupl( &
                        nGC_148)*coupl(nGC_151) - 8d0*Nc*cMS**2d0*coupl(nGC_171&
                        )*coupl(nGC_176) - 8d0*Nc*cMS**2d0*coupl(nGC_172)*coupl&
                        (nGC_175) - 8d0*Nc*cMT**2d0*coupl(nGC_179)*coupl(      &
                        nGC_182) - 8d0*Nc*cMT**2d0*coupl(nGC_183)*coupl(       &
                        nGC_2019) - 8d0*Nc*cMU**2d0*coupl(nGC_1191)*coupl(     &
                        nGC_198) - 8d0*Nc*cMU**2d0*coupl(nGC_194)*coupl(nGC_197&
                        ) - 8d0*cME**2d0*coupl(nGC_155)*coupl(nGC_160) - 8d0*  &
                        cME**2d0*coupl(nGC_156)*coupl(nGC_159) - cMHH**2d0*    &
                        coupl(nGC_1331)*coupl(nGC_94) - cMHH**2d0*coupl(nGC_817&
                        )*coupl(nGC_92) - cMHL**2d0*coupl(nGC_665)*coupl(nGC_94&
                        ) - cMHL**2d0*coupl(nGC_817)*coupl(nGC_91) - 8d0*cMM** &
                        2d0*coupl(nGC_163)*coupl(nGC_168) - 8d0*cMM**2d0*coupl(&
                        nGC_164)*coupl(nGC_167) - 8d0*cMTA**2d0*coupl(nGC_186)*&
                        coupl(nGC_191) - 8d0*cMTA**2d0*coupl(nGC_187)*coupl(   &
                        nGC_190) - cMZ**2d0*coupl(nGC_1331)*coupl(nGC_94) - cMZ&
                        **2d0*coupl(nGC_665)*coupl(nGC_94) - cMZ**2d0*coupl(   &
                        nGC_817)*coupl(nGC_91) - cMZ**2d0*coupl(nGC_817)*coupl(&
                        nGC_92))/(64d0*pi**2d0)
      coupl(nGC_12979) = coupl(nGC_7)*dZg_QCD2/2d0 + coupl(nGC_9398)
      coupl(nGC_8716) = cima*(coupl(nGC_1103)*coupl(nGC_833) + coupl(nGC_3)*   &
                        coupl(nGC_82))/(48d0*pi**2d0)
      coupl(nGC_8717) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_84) + 2d0*&
                        Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_87) + 2d0*Nc*  &
                        cMC**2d0*cima*coupl(nGC_2)*coupl(nGC_85) + 2d0*Nc*cMC**&
                        2d0*cima*coupl(nGC_2)*coupl(nGC_88) + 2d0*Nc*cMD**2d0* &
                        cima*coupl(nGC_1)*coupl(nGC_84) + 2d0*Nc*cMD**2d0*cima*&
                        coupl(nGC_1)*coupl(nGC_87) + 2d0*Nc*cMS**2d0*cima*coupl&
                        (nGC_1)*coupl(nGC_84) + 2d0*Nc*cMS**2d0*cima*coupl(    &
                        nGC_1)*coupl(nGC_87) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2&
                        )*coupl(nGC_85) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*   &
                        coupl(nGC_88) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl&
                        (nGC_85) + 2d0*Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(    &
                        nGC_88) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_86  &
                        ) + 2d0*cME**2d0*cima*coupl(nGC_4)*coupl(nGC_89) + 2d0*&
                        cMM**2d0*cima*coupl(nGC_4)*coupl(nGC_86) + 2d0*cMM**2d0&
                        *cima*coupl(nGC_4)*coupl(nGC_89) + 2d0*cMTA**2d0*cima* &
                        coupl(nGC_4)*coupl(nGC_86) + 2d0*cMTA**2d0*cima*coupl( &
                        nGC_4)*coupl(nGC_89) + 3d0*cMW**2d0*cima*coupl(nGC_1103&
                        )*coupl(nGC_833) + 3d0*cMW**2d0*cima*coupl(nGC_3)*coupl&
                        (nGC_82) - 2d0*cMW**2d0*coupl(nGC_83))/(16d0*pi**2d0)
      coupl(nGC_12973) = coupl(nGC_7)*dZsR_QED2
      coupl(nGC_22274) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_8882) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_176) - coupl(nGC_131)*&
                        coupl(nGC_136)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_136)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_175) - coupl(nGC_169)*coupl(nGC_665)*coupl(nGC_84  &
                        ) - coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_91) - coupl(&
                        nGC_172)**2d0*coupl(nGC_175) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_175) - coupl(nGC_173)*coupl(nGC_817)*coupl(  &
                        nGC_84) - coupl(nGC_173)*coupl(nGC_87)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_72)*coupl(nGC_80) - coupl(    &
                        nGC_175)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_176)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8883) = coupl(nGC_176)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8881) = (-coupl(nGC_161)**2d0*coupl(nGC_167) + coupl(nGC_161)* &
                        coupl(nGC_665)*coupl(nGC_89) + coupl(nGC_161)*coupl(   &
                        nGC_86)*coupl(nGC_91) - coupl(nGC_164)**2d0*coupl(     &
                        nGC_167) - coupl(nGC_165)**2d0*coupl(nGC_167) + coupl( &
                        nGC_165)*coupl(nGC_817)*coupl(nGC_89) + coupl(nGC_165)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_166)*coupl(    &
                        nGC_80)*coupl(nGC_867) - coupl(nGC_167)*coupl(nGC_168  &
                        )**2d0 + 8d0*coupl(nGC_168)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_168)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_8886) = (-coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_181) - coupl(&
                        nGC_139)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_183) - coupl(nGC_177)*coupl(nGC_665)* &
                        coupl(nGC_85) - coupl(nGC_177)*coupl(nGC_88)*coupl(    &
                        nGC_91) - coupl(nGC_180)**2d0*coupl(nGC_183) - coupl(  &
                        nGC_180)*coupl(nGC_817)*coupl(nGC_85) - coupl(nGC_180)*&
                        coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_181)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_182)**2d0*coupl(     &
                        nGC_183) + 8d0*coupl(nGC_182)*coupl(nGC_2)**2d0 + 8d0* &
                        coupl(nGC_182)*coupl(nGC_85)*coupl(nGC_88) - coupl(    &
                        nGC_183)*coupl(nGC_2019)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8887) = coupl(nGC_182)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_12712) = coupl(nGC_24)*dZGMinus/2d0
      coupl(nGC_8885) = coupl(nGC_175)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8888) = (-coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_181) - coupl(&
                        nGC_140)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_182) - coupl(nGC_177)*coupl(nGC_665)* &
                        coupl(nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(    &
                        nGC_91) - coupl(nGC_179)**2d0*coupl(nGC_182) - coupl(  &
                        nGC_180)**2d0*coupl(nGC_182) - coupl(nGC_180)*coupl(   &
                        nGC_817)*coupl(nGC_88) - coupl(nGC_180)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_181)*coupl(nGC_80)*coupl(    &
                        nGC_867) - coupl(nGC_182)*coupl(nGC_183)**2d0 + 8d0*   &
                        coupl(nGC_183)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_183)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_8889) = coupl(nGC_183)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9449) = coupl(nGC_8200)*dydo1_QED1_QCD2 + coupl(nGC_8201)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_9448) = coupl(nGC_8650)*dyd13x3_QED3 + coupl(nGC_8651)*da_QED2 &
                         + coupl(nGC_8652)*dyb2_QED3
      coupl(nGC_9444) = coupl(nGC_8278)*dydo1_QED3 + coupl(nGC_8279)*dydo2_QED3&
                         + coupl(nGC_8280)*da_QED2
      coupl(nGC_9446) = coupl(nGC_8483)*dys2_QED3 + coupl(nGC_8484)*           &
                        dyd12x2_QED3 + coupl(nGC_8485)*da_QED2
      coupl(nGC_9441) = coupl(nGC_7913)*db_QED2 + coupl(nGC_7914)*dyd13x3_QED3 &
                         + coupl(nGC_7915)*dyb2_QED3
      coupl(nGC_9443) = coupl(nGC_8278)*dydo1_QED1_QCD2 + coupl(nGC_8279)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_9442) = coupl(nGC_7914)*dyd13x3_QED1_QCD2 + coupl(nGC_7915)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9049) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_169)**&
                        2d0*coupl(nGC_87) + coupl(nGC_170)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_87) + coupl&
                        (nGC_173)**2d0*coupl(nGC_87) + coupl(nGC_174)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9048) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_131)**&
                        2d0*coupl(nGC_85) + coupl(nGC_134)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_169)**2d0*coupl(nGC_84) + coupl(nGC_171)*&
                        coupl(nGC_172)*coupl(nGC_84) + coupl(nGC_173)**2d0*    &
                        coupl(nGC_84) + coupl(nGC_175)*coupl(nGC_176)*coupl(   &
                        nGC_84) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_833) + 4d0* &
                        coupl(nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_9041) = (coupl(nGC_153)**2d0*coupl(nGC_89) + coupl(nGC_154)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_155)*coupl(nGC_156)*coupl&
                        (nGC_89) + coupl(nGC_157)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_158)**2d0*coupl(nGC_90) + coupl(nGC_159)*coupl(    &
                        nGC_160)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9040) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_145)**&
                        2d0*coupl(nGC_87) + coupl(nGC_146)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_87) + coupl&
                        (nGC_149)**2d0*coupl(nGC_87) + coupl(nGC_150)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_151)*coupl(nGC_152)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9043) = (coupl(nGC_161)**2d0*coupl(nGC_89) + coupl(nGC_162)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_163)*coupl(nGC_164)*coupl&
                        (nGC_89) + coupl(nGC_165)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_166)**2d0*coupl(nGC_90) + coupl(nGC_167)*coupl(    &
                        nGC_168)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9042) = (coupl(nGC_153)**2d0*coupl(nGC_86) + coupl(nGC_155)*   &
                        coupl(nGC_156)*coupl(nGC_86) + coupl(nGC_157)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_159)*coupl(nGC_160)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9044) = (coupl(nGC_161)**2d0*coupl(nGC_86) + coupl(nGC_163)*   &
                        coupl(nGC_164)*coupl(nGC_86) + coupl(nGC_165)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_167)*coupl(nGC_168)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_12651) = coupl(nGC_171)*dZHaG0_QED2/2d0 + coupl(nGC_175)*      &
                         dZsL_QED2/2d0 + coupl(nGC_175)*dZsR_QED2/2d0 + coupl( &
                         nGC_9438)
      coupl(nGC_9131) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(   &
                        nGC_87) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0* &
                        coupl(nGC_88) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80  &
                        )**2d0*coupl(nGC_87) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) - 8d0*cima*coupl(nGC_1103)**&
                        2d0*coupl(nGC_3)*coupl(nGC_82) - 8d0*cima*coupl(nGC_3)*&
                        coupl(nGC_82)*coupl(nGC_833)**2d0 - 4d0*cima*coupl(    &
                        nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_89) + 6d0*cima*    &
                        coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_90) + 4d0*   &
                        cima*coupl(nGC_5)*coupl(nGC_607) + 4d0*cima*coupl(     &
                        nGC_607)*coupl(nGC_79) + coupl(nGC_1047)*coupl(nGC_3)* &
                        coupl(nGC_833) + coupl(nGC_1103)**2d0*coupl(nGC_607) + &
                        coupl(nGC_1103)*coupl(nGC_2813)*coupl(nGC_833) + 6d0*  &
                        coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_607) + coupl(   &
                        nGC_1103)*coupl(nGC_3)*coupl(nGC_83) + 6d0*coupl(      &
                        nGC_1103)*coupl(nGC_5)*coupl(nGC_82) + coupl(nGC_1207)*&
                        coupl(nGC_3)*coupl(nGC_833) + coupl(nGC_3)*coupl(nGC_78&
                        )*coupl(nGC_82) + 6d0*coupl(nGC_3)*coupl(nGC_79)*coupl(&
                        nGC_833) + 6d0*coupl(nGC_607)*coupl(nGC_82)*coupl(     &
                        nGC_833) + coupl(nGC_607)*coupl(nGC_833)**2d0 + coupl( &
                        nGC_82)*coupl(nGC_83)*coupl(nGC_833))/(32d0*pi**2d0)
      coupl(nGC_9130) = (36d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(   &
                        nGC_87) - 30d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*&
                        coupl(nGC_88) - 30d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80 &
                        )**2d0*coupl(nGC_87) + 36d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_80)**2d0*coupl(nGC_88) - 32d0*cima*coupl(nGC_1103  &
                        )**2d0*coupl(nGC_3)*coupl(nGC_82) - 32d0*cima*coupl(   &
                        nGC_3)*coupl(nGC_82)*coupl(nGC_833)**2d0 + 36d0*cima*  &
                        coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_89) - 30d0*  &
                        cima*coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_90) +   &
                        12d0*cima*coupl(nGC_78)*coupl(nGC_83) + 18d0*coupl(    &
                        nGC_1103)**2d0*coupl(nGC_83) + 6d0*coupl(nGC_1103)*    &
                        coupl(nGC_3)*coupl(nGC_607) + 3d0*coupl(nGC_1103)*coupl&
                        (nGC_5)*coupl(nGC_82) + 18d0*coupl(nGC_1103)*coupl(    &
                        nGC_78)*coupl(nGC_833) + 3d0*coupl(nGC_3)*coupl(nGC_5)*&
                        coupl(nGC_833) + 18d0*coupl(nGC_3)*coupl(nGC_78)*coupl(&
                        nGC_82) + 6d0*coupl(nGC_3)*coupl(nGC_79)*coupl(nGC_833 &
                        ) + 6d0*coupl(nGC_607)*coupl(nGC_82)*coupl(nGC_833) +  &
                        18d0*coupl(nGC_83)*coupl(nGC_833)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9132) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0*coupl(   &
                        nGC_87) + 6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_80)**2d0* &
                        coupl(nGC_88) + 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_80  &
                        )**2d0*coupl(nGC_87) - 4d0*Nc*cima*coupl(nGC_2)*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) - 8d0*cima*coupl(nGC_1103)**&
                        2d0*coupl(nGC_3)*coupl(nGC_82) - 8d0*cima*coupl(nGC_3)*&
                        coupl(nGC_82)*coupl(nGC_833)**2d0 - 4d0*cima*coupl(    &
                        nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_89) + 6d0*cima*    &
                        coupl(nGC_4)*coupl(nGC_80)**2d0*coupl(nGC_90) + 4d0*   &
                        cima*coupl(nGC_5)*coupl(nGC_607) + 4d0*cima*coupl(     &
                        nGC_607)*coupl(nGC_79) + coupl(nGC_1047)*coupl(nGC_3)* &
                        coupl(nGC_833) + coupl(nGC_1103)**2d0*coupl(nGC_607) + &
                        coupl(nGC_1103)*coupl(nGC_1207)*coupl(nGC_82) + 6d0*   &
                        coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_607) + coupl(   &
                        nGC_1103)*coupl(nGC_3)*coupl(nGC_83) + coupl(nGC_1103)*&
                        coupl(nGC_78)*coupl(nGC_833) + coupl(nGC_2813)*coupl(  &
                        nGC_3)*coupl(nGC_82) + 6d0*coupl(nGC_3)*coupl(nGC_5)*  &
                        coupl(nGC_833) + 6d0*coupl(nGC_3)*coupl(nGC_79)*coupl( &
                        nGC_833) + 6d0*coupl(nGC_607)*coupl(nGC_82)*coupl(     &
                        nGC_833) + coupl(nGC_607)*coupl(nGC_833)**2d0 + coupl( &
                        nGC_82)*coupl(nGC_83)*coupl(nGC_833))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl20
end module fill_ctcouplings20
