!******************************************************************************!
!                                                                              !
!    fill_ctcouplings21.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings21.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings21
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl21()
      coupl(nGC_9137) = (6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_84)**3d0 + 6d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_87)**3d0 + 6d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_85)**3d0 + 6d0*Nc*cima*coupl(   &
                        nGC_2)*coupl(nGC_88)**3d0 + 6d0*cima*coupl(nGC_1047)*  &
                        coupl(nGC_83) - 20d0*cima*coupl(nGC_1103)*coupl(nGC_833&
                        )**3d0 - 20d0*cima*coupl(nGC_3)*coupl(nGC_82)**3d0 +   &
                        6d0*cima*coupl(nGC_4)*coupl(nGC_86)**3d0 + 6d0*cima*   &
                        coupl(nGC_4)*coupl(nGC_89)**3d0 + 9d0*coupl(nGC_1047)* &
                        coupl(nGC_1103)*coupl(nGC_833) + 9d0*coupl(nGC_1047)*  &
                        coupl(nGC_3)*coupl(nGC_82) + 3d0*coupl(nGC_1103)*coupl(&
                        nGC_79)*coupl(nGC_833) + 3d0*coupl(nGC_3)*coupl(nGC_79 &
                        )*coupl(nGC_82) + 3d0*coupl(nGC_607)*coupl(nGC_82)**2d0&
                         + 3d0*coupl(nGC_607)*coupl(nGC_833)**2d0 + 9d0*coupl( &
                        nGC_82)**2d0*coupl(nGC_83) + 9d0*coupl(nGC_83)*coupl(  &
                        nGC_833)**2d0)/(48d0*pi**2d0)
      coupl(nGC_16017) = coupl(nGC_I)*(dZGMinusHMinus_QED2 +                   &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_16873) = coupl(nGC_TS_GC_63_Hh) + coupl(nGC_TS_GC_69_Hl)
      coupl(nGC_16018) = coupl(nGC_MHC)*dZHMinusGMinus_QED2/2d0 + coupl(       &
                         nGC_TS_GC_111_Hh) + coupl(nGC_TS_GC_119_Hl)
      coupl(nGC_15110) = coupl(nGC_15107) + coupl(nGC_15109)
      coupl(nGC_13762) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_81)*dZZA_QED2/  &
                         2d0 + coupl(nGC_9395)
      coupl(nGC_13763) = -coupl(nGC_13762)
      coupl(nGC_15422) = coupl(nGC_128)*dZHlHh_QED2/2d0 + coupl(nGC_129)*      &
                         dZHh_QED2/2d0 + coupl(nGC_129)*dZZ_QED2 + coupl(      &
                         nGC_9393) + coupl(nGC_TS_GC_99_Hh)
      coupl(nGC_14086) = coupl(nGC_25)*dZHhHl_QED2 + coupl(nGC_28)*dZHaG0_QED2 &
                          + coupl(nGC_39)*dZHl_QED2 + coupl(nGC_9311)
      coupl(nGC_13966) = coupl(nGC_7)*dZcR_QED2
      coupl(nGC_13967) = coupl(nGC_7)*dZcR_QCD2
      coupl(nGC_13968) = coupl(nGC_7)*dZcL_QED2
      coupl(nGC_14062) = coupl(nGC_1)*dZAZ_QED2/2d0
      coupl(nGC_14066) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZdL_QED2  &
                          + coupl(nGC_9402)
      coupl(nGC_14067) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZdR_QED2  &
                          + coupl(nGC_9403)
      coupl(nGC_14464) = coupl(nGC_19)*dZZA_QED2/2d0 + coupl(nGC_73)*dZA_QED2/ &
                         2d0 + coupl(nGC_73)*dZHMinus_QED2/2d0 + coupl(nGC_73)*&
                         dZHa_QED2/2d0 + coupl(nGC_73)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9372)
      coupl(nGC_14465) = coupl(nGC_I)*dZHlHh_QED2/2d0
      coupl(nGC_14466) = coupl(nGC_I)*dZHhHl_QED2/2d0
      coupl(nGC_14392) = coupl(nGC_41)*dZG0Ha_QED2/2d0 + coupl(nGC_41)*        &
                         dZHlHh_QED2/2d0 + coupl(nGC_49)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_49)*dZHa_QED2/2d0 + coupl(nGC_49)*dZHh_QED2/&
                         2d0 + coupl(nGC_9317)
      coupl(nGC_21280) = coupl(nGC_21271) + coupl(nGC_9645)
      coupl(nGC_19149) = 3d0*coupl(nGC_10)*dZHh_QED2/2d0 + coupl(nGC_10)*      &
                         dZHl_QED2/2d0 + coupl(nGC_12)*dZHhHl_QED2/2d0 + 3d0*  &
                         coupl(nGC_13)*dZHlHh_QED2/2d0 + coupl(nGC_9324)
      coupl(nGC_8879) = (-coupl(nGC_153)**2d0*coupl(nGC_159) + coupl(nGC_153)* &
                        coupl(nGC_665)*coupl(nGC_89) + coupl(nGC_153)*coupl(   &
                        nGC_86)*coupl(nGC_91) - coupl(nGC_156)**2d0*coupl(     &
                        nGC_159) - coupl(nGC_157)**2d0*coupl(nGC_159) + coupl( &
                        nGC_157)*coupl(nGC_817)*coupl(nGC_89) + coupl(nGC_157)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_158)*coupl(    &
                        nGC_80)*coupl(nGC_867) - coupl(nGC_159)*coupl(nGC_160  &
                        )**2d0 + 8d0*coupl(nGC_160)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_160)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_8878) = (-coupl(nGC_153)**2d0*coupl(nGC_160) + coupl(nGC_153)* &
                        coupl(nGC_665)*coupl(nGC_86) + coupl(nGC_153)*coupl(   &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_155)**2d0*coupl(     &
                        nGC_160) - coupl(nGC_157)**2d0*coupl(nGC_160) + coupl( &
                        nGC_157)*coupl(nGC_817)*coupl(nGC_86) + coupl(nGC_157)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_158)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_159)**2d0*coupl(     &
                        nGC_160) + 8d0*coupl(nGC_159)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_159)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_8875) = coupl(nGC_152)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8874) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_152) - coupl(nGC_145  &
                        )**2d0*coupl(nGC_151) - coupl(nGC_145)*coupl(nGC_665)* &
                        coupl(nGC_84) - coupl(nGC_145)*coupl(nGC_87)*coupl(    &
                        nGC_91) - coupl(nGC_146)*coupl(nGC_193)*coupl(nGC_198  &
                        ) - coupl(nGC_148)**2d0*coupl(nGC_151) - coupl(nGC_149 &
                        )**2d0*coupl(nGC_151) - coupl(nGC_149)*coupl(nGC_817)* &
                        coupl(nGC_84) - coupl(nGC_149)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_150)*coupl(nGC_196)*coupl(nGC_198  &
                        ) - coupl(nGC_150)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_151)*coupl(nGC_152)**2d0 + 8d0*coupl(nGC_152)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_8873) = coupl(nGC_136)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8872) = (-coupl(nGC_130)**2d0*coupl(nGC_135) - coupl(nGC_130)* &
                        coupl(nGC_665)*coupl(nGC_88) - coupl(nGC_130)*coupl(   &
                        nGC_85)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_176) - coupl(nGC_132)**2d0*coupl(nGC_135) -  &
                        coupl(nGC_133)**2d0*coupl(nGC_135) - coupl(nGC_133)*   &
                        coupl(nGC_817)*coupl(nGC_88) - coupl(nGC_133)*coupl(   &
                        nGC_85)*coupl(nGC_94) - coupl(nGC_134)*coupl(nGC_174)* &
                        coupl(nGC_176) - coupl(nGC_134)*coupl(nGC_80)*coupl(   &
                        nGC_867) - coupl(nGC_135)*coupl(nGC_136)**2d0 + 8d0*   &
                        coupl(nGC_136)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_136)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_8871) = coupl(nGC_135)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8870) = (-coupl(nGC_130)**2d0*coupl(nGC_136) - coupl(nGC_130)* &
                        coupl(nGC_665)*coupl(nGC_85) - coupl(nGC_130)*coupl(   &
                        nGC_88)*coupl(nGC_91) - coupl(nGC_131)*coupl(nGC_170)* &
                        coupl(nGC_175) - coupl(nGC_133)**2d0*coupl(nGC_136) -  &
                        coupl(nGC_133)*coupl(nGC_817)*coupl(nGC_85) - coupl(   &
                        nGC_133)*coupl(nGC_88)*coupl(nGC_94) - coupl(nGC_134)* &
                        coupl(nGC_174)*coupl(nGC_175) - coupl(nGC_134)*coupl(  &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_135)**2d0*coupl(     &
                        nGC_136) + 8d0*coupl(nGC_135)*coupl(nGC_2)**2d0 + 8d0* &
                        coupl(nGC_135)*coupl(nGC_85)*coupl(nGC_88) - coupl(    &
                        nGC_136)*coupl(nGC_695)**2d0)/(32d0*pi**2d0)
      coupl(nGC_9452) = coupl(nGC_8274)*dys2_QED3 + coupl(nGC_8275)*           &
                        dyd12x2_QED3 + coupl(nGC_8276)*da_QED2
      coupl(nGC_9453) = coupl(nGC_8053)*dyd13x3_QED1_QCD2 + coupl(nGC_8055)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_9450) = coupl(nGC_8200)*dydo1_QED3 + coupl(nGC_8201)*dydo2_QED3&
                         + coupl(nGC_8202)*da_QED2
      coupl(nGC_9451) = coupl(nGC_8274)*dys2_QED1_QCD2 + coupl(nGC_8275)*      &
                        dyd12x2_QED1_QCD2
      coupl(nGC_9456) = coupl(nGC_8265)*dydo2_QED3 + coupl(nGC_8266)*db_QED2 + &
                        coupl(nGC_8267)*dydo1_QED3
      coupl(nGC_9454) = coupl(nGC_8053)*dyd13x3_QED3 + coupl(nGC_8054)*da_QED2 &
                         + coupl(nGC_8055)*dyb2_QED3
      coupl(nGC_9455) = coupl(nGC_8265)*dydo2_QED1_QCD2 + coupl(nGC_8267)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_14439) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_84)*dZZA_QED2/2d0
      coupl(nGC_12811) = coupl(nGC_28)*dZHa_QED2/2d0 + coupl(nGC_28)*dZHl_QED2 &
                          + coupl(nGC_31)*dZHaG0_QED2/2d0 + coupl(nGC_37)*     &
                         dZHhHl_QED2 + coupl(nGC_39)*dZG0Ha_QED2/2d0 + coupl(  &
                         nGC_9333)
      coupl(nGC_12817) = -coupl(nGC_12816)
      coupl(nGC_14263) = coupl(nGC_12979) + coupl(nGC_14259)
      coupl(nGC_13540) = coupl(nGC_108)*dZHl_QED2/2d0 + coupl(nGC_116)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_119)*dZHMinusGMinus_QED2  &
                          + coupl(nGC_9351) + coupl(nGC_TS_GC_23_Hh) + coupl(  &
                         nGC_TS_GC_35_Hl)
      coupl(nGC_12818) = coupl(nGC_101)*dZZA_QED2/2d0
      coupl(nGC_12636) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_65)*          &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_66)*dZHhHl_QED2/  &
                         2d0 + coupl(nGC_70)*dZA_QED2/2d0 + coupl(nGC_70)*     &
                         dZHMinus_QED2/2d0 + coupl(nGC_70)*dZHl_QED2/2d0 +     &
                         coupl(nGC_70)*dZWMinus_QED2/2d0 + coupl(nGC_9363)
      coupl(nGC_8983) = (coupl(nGC_1331)*coupl(nGC_163)*coupl(nGC_89) + coupl( &
                        nGC_1485)*coupl(nGC_166)*coupl(nGC_80) - coupl(nGC_161 &
                        )**2d0*coupl(nGC_165) + coupl(nGC_162)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_163)**2d0*coupl(nGC_165) +   &
                        coupl(nGC_163)*coupl(nGC_86)*coupl(nGC_92) - coupl(    &
                        nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_167)**2d0 +   &
                        8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_167)* &
                        coupl(nGC_817)*coupl(nGC_89) + coupl(nGC_167)*coupl(   &
                        nGC_86)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8982) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_137) + cMC*  &
                        coupl(nGC_133) + cMD*coupl(nGC_149) + cMS*coupl(nGC_173&
                        ) + cMT*coupl(nGC_180) + cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_8981) = coupl(nGC_7)**2d0*sq2**2d0*(-cMB*coupl(nGC_137) - cMC* &
                        coupl(nGC_133) - cMD*coupl(nGC_149) - cMS*coupl(nGC_173&
                        ) - cMT*coupl(nGC_180) - cMU*coupl(nGC_195))/(16d0*pi**&
                        2d0)
      coupl(nGC_8987) = coupl(nGC_173)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8986) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_131)*&
                        coupl(nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_1331)*coupl(nGC_171&
                        )*coupl(nGC_84) - coupl(nGC_169)**2d0*coupl(nGC_173) - &
                        coupl(nGC_170)*coupl(nGC_3011)*coupl(nGC_80) - coupl(  &
                        nGC_171)**2d0*coupl(nGC_173) - coupl(nGC_171)*coupl(   &
                        nGC_87)*coupl(nGC_92) - coupl(nGC_173)**3d0 - coupl(   &
                        nGC_173)*coupl(nGC_175)**2d0 + 8d0*coupl(nGC_173)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_174)*coupl(nGC_68)* &
                        coupl(nGC_80) - coupl(nGC_175)*coupl(nGC_817)*coupl(   &
                        nGC_84) - coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8985) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_1243 &
                        )*coupl(nGC_174)*coupl(nGC_80) - coupl(nGC_131)*coupl( &
                        nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(nGC_134 &
                        )*coupl(nGC_174) - coupl(nGC_1331)*coupl(nGC_172)*coupl&
                        (nGC_87) - coupl(nGC_169)**2d0*coupl(nGC_173) - coupl( &
                        nGC_170)*coupl(nGC_64)*coupl(nGC_80) - coupl(nGC_172)**&
                        2d0*coupl(nGC_173) - coupl(nGC_172)*coupl(nGC_84)*coupl&
                        (nGC_92) - coupl(nGC_173)**3d0 - coupl(nGC_173)*coupl( &
                        nGC_176)**2d0 + 8d0*coupl(nGC_173)*coupl(nGC_84)*coupl(&
                        nGC_87) - coupl(nGC_176)*coupl(nGC_817)*coupl(nGC_87   &
                        ) - coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_94))/(32d0* &
                        pi**2d0)
      coupl(nGC_9056) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_137)**2d0 + coupl(nGC_139)*coupl(nGC_140) + coupl( &
                        nGC_141)**2d0 + coupl(nGC_143)*coupl(nGC_144) + coupl( &
                        nGC_178)**2d0 + coupl(nGC_181)**2d0 + 4d0*coupl(nGC_80 &
                        )**2d0 + 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl21
end module fill_ctcouplings21
