!******************************************************************************!
!                                                                              !
!    fill_ctcouplings22.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings22.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings22
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl22()
      coupl(nGC_9057) = -coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6 &
                        ) - coupl(nGC_7))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_9054) = (coupl(nGC_1191)*coupl(nGC_194)*coupl(nGC_85) + coupl( &
                        nGC_146)**2d0*coupl(nGC_84) + coupl(nGC_150)**2d0*coupl&
                        (nGC_84) + coupl(nGC_192)**2d0*coupl(nGC_85) + coupl(  &
                        nGC_195)**2d0*coupl(nGC_85) + coupl(nGC_197)*coupl(    &
                        nGC_198)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*  &
                        coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88)** &
                        3d0)/(32d0*pi**2d0)
      coupl(nGC_9055) = (coupl(nGC_1191)*coupl(nGC_194)*coupl(nGC_88) + coupl( &
                        nGC_192)**2d0*coupl(nGC_88) + coupl(nGC_193)**2d0*coupl&
                        (nGC_87) + coupl(nGC_195)**2d0*coupl(nGC_88) + coupl(  &
                        nGC_196)**2d0*coupl(nGC_87) + coupl(nGC_197)*coupl(    &
                        nGC_198)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9052) = (coupl(nGC_184)**2d0*coupl(nGC_89) + coupl(nGC_185)**  &
                        2d0*coupl(nGC_90) + coupl(nGC_186)*coupl(nGC_187)*coupl&
                        (nGC_89) + coupl(nGC_188)**2d0*coupl(nGC_89) + coupl(  &
                        nGC_189)**2d0*coupl(nGC_90) + coupl(nGC_190)*coupl(    &
                        nGC_191)*coupl(nGC_89) + 4d0*coupl(nGC_4)**2d0*coupl(  &
                        nGC_86) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9053) = (coupl(nGC_184)**2d0*coupl(nGC_86) + coupl(nGC_186)*   &
                        coupl(nGC_187)*coupl(nGC_86) + coupl(nGC_188)**2d0*    &
                        coupl(nGC_86) + coupl(nGC_190)*coupl(nGC_191)*coupl(   &
                        nGC_86) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_89) - 4d0*   &
                        coupl(nGC_80)**2d0*coupl(nGC_82) + 4d0*coupl(nGC_80)** &
                        2d0*coupl(nGC_90) + 4d0*coupl(nGC_89)**3d0)/(32d0*pi** &
                        2d0)
      coupl(nGC_9050) = (coupl(nGC_138)**2d0*coupl(nGC_84) + coupl(nGC_142)**  &
                        2d0*coupl(nGC_84) + coupl(nGC_177)**2d0*coupl(nGC_85   &
                        ) + coupl(nGC_179)*coupl(nGC_2019)*coupl(nGC_85) +     &
                        coupl(nGC_180)**2d0*coupl(nGC_85) + coupl(nGC_182)*    &
                        coupl(nGC_183)*coupl(nGC_85) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + &
                        4d0*coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9051) = (coupl(nGC_177)**2d0*coupl(nGC_88) + coupl(nGC_178)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_179)*coupl(nGC_2019)*    &
                        coupl(nGC_88) + coupl(nGC_180)**2d0*coupl(nGC_88) +    &
                        coupl(nGC_181)**2d0*coupl(nGC_87) + coupl(nGC_182)*    &
                        coupl(nGC_183)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9058) = -coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_137)**2d0 + coupl(nGC_138)**2d0 + coupl(nGC_139)*  &
                        coupl(nGC_140) + coupl(nGC_141)**2d0 + coupl(nGC_142)**&
                        2d0 + coupl(nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_84 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9059) = -coupl(nGC_7)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_137)**2d0 - coupl(nGC_139)*coupl(nGC_140) - coupl( &
                        nGC_141)**2d0 - coupl(nGC_143)*coupl(nGC_144) - coupl( &
                        nGC_178)**2d0 - coupl(nGC_181)**2d0 - 4d0*coupl(nGC_80 &
                        )**2d0 - 4d0*coupl(nGC_87)**2d0)/(64d0*pi**2d0)
      coupl(nGC_14435) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_16241) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZbL_QED2/2d0 + coupl(nGC_80)*dZtL_QED2/2d0 + coupl(  &
                         nGC_9399)
      coupl(nGC_15931) = coupl(nGC_117)*dZG0
      coupl(nGC_15933) = coupl(nGC_109)*dZHlHh_QED2/2d0 + coupl(nGC_112)*      &
                         dZHaG0_QED2 + coupl(nGC_117)*dZHh_QED2/2d0 + coupl(   &
                         nGC_9340) + coupl(nGC_TS_GC_25_Hl) + coupl(           &
                         nGC_TS_GC_33_Hh)
      coupl(nGC_TS_GC_105_Hh) = -coupl(nGC_105)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9127) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_143)*coupl(      &
                        nGC_144)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_87) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148)*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_147)*    &
                        coupl(nGC_148)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_84) - 12d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172)*coupl(&
                        nGC_87) - 12d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_194)* &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(       &
                        nGC_1191)*coupl(nGC_194)*coupl(nGC_2)*coupl(nGC_88) -  &
                        12d0*Nc*cima*coupl(nGC_132)*coupl(nGC_2)*coupl(nGC_695 &
                        )*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_132)*coupl(   &
                        nGC_2)*coupl(nGC_695)*coupl(nGC_88) - 12d0*Nc*cima*    &
                        coupl(nGC_179)*coupl(nGC_2)*coupl(nGC_2019)*coupl(     &
                        nGC_85) - 12d0*Nc*cima*coupl(nGC_179)*coupl(nGC_2)*    &
                        coupl(nGC_2019)*coupl(nGC_88) + 9d0*cima*coupl(nGC_1103&
                        )*coupl(nGC_72)*coupl(nGC_833)*coupl(nGC_867) - 12d0*  &
                        cima*coupl(nGC_155)*coupl(nGC_156)*coupl(nGC_4)*coupl( &
                        nGC_86) - 12d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl&
                        (nGC_4)*coupl(nGC_89) - 12d0*cima*coupl(nGC_163)*coupl(&
                        nGC_164)*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl( &
                        nGC_163)*coupl(nGC_164)*coupl(nGC_4)*coupl(nGC_89) +   &
                        4d0*cima*coupl(nGC_17)*coupl(nGC_72)*coupl(nGC_867)*   &
                        coupl(nGC_96) - 12d0*cima*coupl(nGC_186)*coupl(nGC_187 &
                        )*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima*coupl(nGC_186 &
                        )*coupl(nGC_187)*coupl(nGC_4)*coupl(nGC_89) + 9d0*cima*&
                        coupl(nGC_3)*coupl(nGC_72)*coupl(nGC_82)*coupl(nGC_867 &
                        ) + 12d0*cima*coupl(nGC_62)*coupl(nGC_83) + 4d0*cima*  &
                        coupl(nGC_72)*coupl(nGC_793)*coupl(nGC_867)*coupl(     &
                        nGC_975) - 3d0*coupl(nGC_1103)*coupl(nGC_19)*coupl(    &
                        nGC_72) - 3d0*coupl(nGC_1103)*coupl(nGC_20)*coupl(     &
                        nGC_867) + 18d0*coupl(nGC_1103)*coupl(nGC_62)*coupl(   &
                        nGC_833) - 3d0*coupl(nGC_19)*coupl(nGC_3)*coupl(nGC_867&
                        ) - 3d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_72) + 18d0&
                        *coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_82) - 6d0*coupl( &
                        nGC_72)*coupl(nGC_83)*coupl(nGC_867) + 6d0*coupl(nGC_72&
                        )*coupl(nGC_867)*coupl(nGC_97) - 6d0*coupl(nGC_73)*    &
                        coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl(nGC_74)*coupl(&
                        nGC_833)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9122) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_143)*  &
                        coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(nGC_139)*coupl(  &
                        nGC_143)*coupl(nGC_87) - Nc*coupl(nGC_1)*coupl(nGC_140 &
                        )*coupl(nGC_144)*coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(&
                        nGC_140)*coupl(nGC_144)*coupl(nGC_87) - Nc*coupl(nGC_1 &
                        )*coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_84) - Nc*    &
                        coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_152)*coupl(nGC_87&
                        ) - Nc*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_151)*coupl&
                        (nGC_84) - Nc*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_151&
                        )*coupl(nGC_87) - Nc*coupl(nGC_1)*coupl(nGC_171)*coupl(&
                        nGC_176)*coupl(nGC_84) - Nc*coupl(nGC_1)*coupl(nGC_171 &
                        )*coupl(nGC_176)*coupl(nGC_87) - Nc*coupl(nGC_1)*coupl(&
                        nGC_172)*coupl(nGC_175)*coupl(nGC_84) - Nc*coupl(nGC_1 &
                        )*coupl(nGC_172)*coupl(nGC_175)*coupl(nGC_87) - Nc*    &
                        coupl(nGC_1191)*coupl(nGC_198)*coupl(nGC_2)*coupl(     &
                        nGC_85) - Nc*coupl(nGC_1191)*coupl(nGC_198)*coupl(nGC_2&
                        )*coupl(nGC_88) - Nc*coupl(nGC_132)*coupl(nGC_135)*    &
                        coupl(nGC_2)*coupl(nGC_85) - Nc*coupl(nGC_132)*coupl(  &
                        nGC_135)*coupl(nGC_2)*coupl(nGC_88) - Nc*coupl(nGC_136 &
                        )*coupl(nGC_2)*coupl(nGC_695)*coupl(nGC_85) - Nc*coupl(&
                        nGC_136)*coupl(nGC_2)*coupl(nGC_695)*coupl(nGC_88) - Nc&
                        *coupl(nGC_179)*coupl(nGC_182)*coupl(nGC_2)*coupl(     &
                        nGC_85) - Nc*coupl(nGC_179)*coupl(nGC_182)*coupl(nGC_2 &
                        )*coupl(nGC_88) - Nc*coupl(nGC_183)*coupl(nGC_2)*coupl(&
                        nGC_2019)*coupl(nGC_85) - Nc*coupl(nGC_183)*coupl(nGC_2&
                        )*coupl(nGC_2019)*coupl(nGC_88) - Nc*coupl(nGC_194)*   &
                        coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_85) - Nc*coupl(  &
                        nGC_194)*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_88) -   &
                        coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_86&
                        ) - coupl(nGC_155)*coupl(nGC_160)*coupl(nGC_4)*coupl(  &
                        nGC_89) - coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_4)*  &
                        coupl(nGC_86) - coupl(nGC_156)*coupl(nGC_159)*coupl(   &
                        nGC_4)*coupl(nGC_89) - coupl(nGC_163)*coupl(nGC_168)*  &
                        coupl(nGC_4)*coupl(nGC_86) - coupl(nGC_163)*coupl(     &
                        nGC_168)*coupl(nGC_4)*coupl(nGC_89) - coupl(nGC_164)*  &
                        coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_86) - coupl(     &
                        nGC_164)*coupl(nGC_167)*coupl(nGC_4)*coupl(nGC_89) -   &
                        coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_86&
                        ) - coupl(nGC_186)*coupl(nGC_191)*coupl(nGC_4)*coupl(  &
                        nGC_89) - coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_4)*  &
                        coupl(nGC_86) - coupl(nGC_187)*coupl(nGC_190)*coupl(   &
                        nGC_4)*coupl(nGC_89))/(16d0*pi**2d0)
      coupl(nGC_9120) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)**2d0*coupl(  &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)**2d0&
                        *coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_142)**2d0*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_142)**2d0*coupl(nGC_88) - 16d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_146)**2d0*coupl(nGC_84) + 10d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_146)**2d0*coupl(nGC_88  &
                        ) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)**2d0*coupl&
                        (nGC_84) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)**  &
                        2d0*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_1)*coupl(   &
                        nGC_178)**2d0*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_178)**2d0*coupl(nGC_87) + 10d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_85) - 16d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_87  &
                        ) - 16d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_2)*coupl&
                        (nGC_85) + 10d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_2&
                        )*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_142)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_142&
                        )**2d0*coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(&
                        nGC_146)**2d0*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima&
                        *coupl(nGC_146)**2d0*coupl(nGC_2)*coupl(nGC_88) + 10d0*&
                        Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_2)*coupl(nGC_84  &
                        ) - 16d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_2)*coupl&
                        (nGC_88) - 16d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_2&
                        )*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_178)**2d0*    &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )**2d0*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(&
                        nGC_193)**2d0*coupl(nGC_2)*coupl(nGC_87) + 9d0*cima*   &
                        coupl(nGC_1243)*coupl(nGC_3)*coupl(nGC_68)*coupl(nGC_82&
                        ) - 16d0*cima*coupl(nGC_154)**2d0*coupl(nGC_4)*coupl(  &
                        nGC_86) + 10d0*cima*coupl(nGC_154)**2d0*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_162)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_162)**2d0*  &
                        coupl(nGC_4)*coupl(nGC_90) + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_793)**2d0*coupl(nGC_96) + 4d0*cima*coupl(    &
                        nGC_17)*coupl(nGC_96)*coupl(nGC_975)**2d0 - 16d0*cima* &
                        coupl(nGC_185)**2d0*coupl(nGC_4)*coupl(nGC_86) + 10d0* &
                        cima*coupl(nGC_185)**2d0*coupl(nGC_4)*coupl(nGC_90) +  &
                        9d0*cima*coupl(nGC_3)*coupl(nGC_3011)*coupl(nGC_64)*   &
                        coupl(nGC_82) + 9d0*cima*coupl(nGC_3)*coupl(nGC_72)*   &
                        coupl(nGC_82)*coupl(nGC_867) + 12d0*cima*coupl(nGC_62)*&
                        coupl(nGC_83) + 18d0*coupl(nGC_1103)*coupl(nGC_62)*    &
                        coupl(nGC_833) - 3d0*coupl(nGC_1243)*coupl(nGC_16)*    &
                        coupl(nGC_3) - 3d0*coupl(nGC_1243)*coupl(nGC_68)*coupl(&
                        nGC_83) - 3d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_3011&
                        ) - 3d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_64) - 3d0*&
                        coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_68) - 3d0*coupl(  &
                        nGC_19)*coupl(nGC_3)*coupl(nGC_72) - 3d0*coupl(nGC_20)*&
                        coupl(nGC_3)*coupl(nGC_867) + 18d0*coupl(nGC_3)*coupl( &
                        nGC_62)*coupl(nGC_82) - 3d0*coupl(nGC_3011)*coupl(     &
                        nGC_64)*coupl(nGC_83) - 3d0*coupl(nGC_63)*coupl(nGC_66 &
                        )*coupl(nGC_833) - 3d0*coupl(nGC_64)*coupl(nGC_66)*    &
                        coupl(nGC_82) - 3d0*coupl(nGC_68)*coupl(nGC_70)*coupl( &
                        nGC_82) - 3d0*coupl(nGC_69)*coupl(nGC_70)*coupl(nGC_833&
                        ) - 3d0*coupl(nGC_72)*coupl(nGC_73)*coupl(nGC_82) - 3d0&
                        *coupl(nGC_72)*coupl(nGC_74)*coupl(nGC_833) - 3d0*coupl&
                        (nGC_72)*coupl(nGC_83)*coupl(nGC_867) + 3d0*coupl(     &
                        nGC_793)**2d0*coupl(nGC_97) + 3d0*coupl(nGC_97)*coupl( &
                        nGC_975)**2d0)/(96d0*pi**2d0)
      coupl(nGC_9121) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_133)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_137)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_173)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_195)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_195)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_3011) + 9d0*cima*coupl(nGC_1103)*coupl&
                        (nGC_3011)*coupl(nGC_82)*coupl(nGC_96) + 4d0*cima*coupl&
                        (nGC_1243)*coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_793 &
                        ) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_3011)*coupl(    &
                        nGC_69)*coupl(nGC_793) + 4d0*cima*coupl(nGC_1331)*coupl&
                        (nGC_17)*coupl(nGC_867)*coupl(nGC_975) + 24d0*cima*    &
                        coupl(nGC_15)*coupl(nGC_607) + 4d0*cima*coupl(nGC_154)*&
                        coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*  &
                        coupl(nGC_162)*coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_4 &
                        )*coupl(nGC_80) + 9d0*cima*coupl(nGC_3)*coupl(nGC_833)*&
                        coupl(nGC_867)*coupl(nGC_92) + 24d0*cima*coupl(nGC_5)* &
                        coupl(nGC_66) + 4d0*cima*coupl(nGC_63)**2d0*coupl(     &
                        nGC_64)*coupl(nGC_793) + 4d0*cima*coupl(nGC_64)*coupl( &
                        nGC_69)**2d0*coupl(nGC_793) + 4d0*cima*coupl(nGC_64)*  &
                        coupl(nGC_72)**2d0*coupl(nGC_793) + 36d0*coupl(nGC_1103&
                        )*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(nGC_1103)*    &
                        coupl(nGC_3011)*coupl(nGC_62) - 6d0*coupl(nGC_1103)*   &
                        coupl(nGC_66)*coupl(nGC_793) + 6d0*coupl(nGC_1243)*    &
                        coupl(nGC_63)*coupl(nGC_70) + 6d0*coupl(nGC_1243)*coupl&
                        (nGC_65)*coupl(nGC_69) + 6d0*coupl(nGC_1331)*coupl(    &
                        nGC_73)*coupl(nGC_975) + 36d0*coupl(nGC_15)*coupl(nGC_3&
                        )*coupl(nGC_833) - 6d0*coupl(nGC_17)*coupl(nGC_3011)*  &
                        coupl(nGC_5) - 6d0*coupl(nGC_18)*coupl(nGC_3)*coupl(   &
                        nGC_3011) - 6d0*coupl(nGC_3)*coupl(nGC_3011)*coupl(    &
                        nGC_61) - 6d0*coupl(nGC_3011)*coupl(nGC_607)*coupl(    &
                        nGC_96) - 6d0*coupl(nGC_3011)*coupl(nGC_82)*coupl(     &
                        nGC_97) - 6d0*coupl(nGC_607)*coupl(nGC_867)*coupl(     &
                        nGC_92) + 6d0*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_66 &
                        ) + 6d0*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_70) + 6d0&
                        *coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(&
                        nGC_66)*coupl(nGC_833)*coupl(nGC_975) - 6d0*coupl(     &
                        nGC_73)*coupl(nGC_833)*coupl(nGC_92))/(192d0*pi**2d0)
      coupl(nGC_29966) = -coupl(nGC_8899)
      coupl(nGC_9465) = coupl(nGC_8165)*db_QED2 + coupl(nGC_8166)*dyd13x3_QED3 &
                         + coupl(nGC_8167)*dyb2_QED3
      coupl(nGC_16677) = coupl(nGC_79)*dZWMinus_QED2 + coupl(nGC_79)*dZZ_QED2  &
                          + coupl(nGC_9295)
      coupl(nGC_21278) = coupl(nGC_9644) + coupl(nGC_TS_GC_192_Hl) + coupl(    &
                         nGC_TS_GC_195_Hh)
      coupl(nGC_21076) = -coupl(nGC_21075)
      coupl(nGC_8787) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_137)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_140) +     &
                        coupl(nGC_1)*coupl(nGC_141)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_143)*coupl(nGC_144) + 4d0*coupl(nGC_1)*coupl(nGC_87&
                        )**2d0 + 4d0*coupl(nGC_1103)*coupl(nGC_80)**2d0 + coupl&
                        (nGC_178)**2d0*coupl(nGC_2) + coupl(nGC_181)**2d0*coupl&
                        (nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_80)**2d0)/(32d0*pi&
                        **2d0)
      coupl(nGC_14720) = coupl(nGC_TS_GC_63_Hl) + coupl(nGC_TS_GC_68_Hh)
      coupl(nGC_8786) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_80)**2d0 - 12d0*Nc*    &
                        coupl(nGC_2)*coupl(nGC_80)**2d0 - 11d0*coupl(nGC_1103  &
                        )**2d0*coupl(nGC_3) - 11d0*coupl(nGC_3)*coupl(nGC_833  &
                        )**2d0 + 12d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(96d0*pi&
                        **2d0)
      coupl(nGC_8836) = (-coupl(nGC_161)*coupl(nGC_63)*coupl(nGC_80) - coupl(  &
                        nGC_165)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_166)* &
                        coupl(nGC_4)*coupl(nGC_793) + 8d0*coupl(nGC_166)*coupl(&
                        nGC_86)*coupl(nGC_90) - coupl(nGC_166)*coupl(nGC_86)*  &
                        coupl(nGC_975) - coupl(nGC_166)*coupl(nGC_90)*coupl(   &
                        nGC_96) - coupl(nGC_168)*coupl(nGC_80)*coupl(nGC_867   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8783) = (-6d0*coupl(nGC_1103)*coupl(nGC_1243)*coupl(nGC_72) -  &
                        6d0*coupl(nGC_1485)*coupl(nGC_3)*coupl(nGC_72) + coupl(&
                        nGC_17)*coupl(nGC_69)*coupl(nGC_867) + coupl(nGC_68)*  &
                        coupl(nGC_793)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_14094) = coupl(nGC_43)*dZHMinusGMinus_QED2 + coupl(nGC_43)*    &
                         dZHaG0_QED2 + coupl(nGC_9297)
      coupl(nGC_8936) = coupl(nGC_143)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_13607) = coupl(nGC_89)*dZZ_QED2/2d0 + coupl(nGC_89)*           &
                         dZmuMinusL_QED2 + coupl(nGC_9405)
      coupl(nGC_13606) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*           &
                         dZmuMinusR_QED2 + coupl(nGC_9406)
      coupl(nGC_13601) = coupl(nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_13600) = coupl(nGC_13593) + coupl(nGC_9507)
      coupl(nGC_13609) = coupl(nGC_13601) + coupl(nGC_13607)
      coupl(nGC_13608) = coupl(nGC_13601) + coupl(nGC_13606)
      coupl(nGC_12671) = coupl(nGC_100)*dZZA_QED2/2d0 + coupl(nGC_18)*dZAZ_QED2&
                         /2d0 + coupl(nGC_9378) + coupl(nGC_97)*dZA_QED2/2d0 + &
                         coupl(nGC_97)*dZHMinus_QED2 + coupl(nGC_97)*dZZ_QED2/ &
                         2d0
      coupl(nGC_14386) = coupl(nGC_67)*dZHl_QED2/2d0 + coupl(nGC_71)*          &
                         dZHhHl_QED2/2d0 + coupl(nGC_9524)
      coupl(nGC_13779) = coupl(nGC_40)*dZHaG0_QED2/2d0 + coupl(nGC_40)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_49)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_49)*dZHl_QED2/2d0 + coupl(nGC_9317)
      coupl(nGC_14665) = coupl(nGC_136)*dZG0/2d0
      coupl(nGC_13771) = coupl(nGC_64)*dZHl_QED2/2d0 + coupl(nGC_64)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_69)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_9370)
      coupl(nGC_13773) = -coupl(nGC_13768)
      coupl(nGC_13772) = coupl(nGC_13770) - coupl(nGC_13771)
      coupl(nGC_8868) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_139) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_140) - coupl(nGC_137)*coupl(nGC_817)* &
                        coupl(nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_182  &
                        ) - coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_867) - coupl&
                        (nGC_139)**2d0*coupl(nGC_140) + 8d0*coupl(nGC_139)*    &
                        coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_140)*coupl(    &
                        nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_144)**2d0 -   &
                        coupl(nGC_141)*coupl(nGC_665)*coupl(nGC_87) - coupl(   &
                        nGC_141)*coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_142)* &
                        coupl(nGC_178)*coupl(nGC_182))/(32d0*pi**2d0)
      coupl(nGC_8869) = coupl(nGC_139)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8864) = (4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_140)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_149)*coupl(nGC_152)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_175)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_173)*coupl(nGC_176)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_183)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_195)*coupl(nGC_198)*coupl(nGC_88) +   &
                        coupl(nGC_1243)*coupl(nGC_867)*coupl(nGC_975) + coupl( &
                        nGC_1331)**2d0*coupl(nGC_817) + coupl(nGC_1331)*coupl( &
                        nGC_665)*coupl(nGC_817) + coupl(nGC_1485)*coupl(nGC_867&
                        )*coupl(nGC_96) - 4d0*coupl(nGC_157)*coupl(nGC_159)*   &
                        coupl(nGC_86) + 4d0*coupl(nGC_157)*coupl(nGC_159)*coupl&
                        (nGC_89) + 4d0*coupl(nGC_157)*coupl(nGC_160)*coupl(    &
                        nGC_86) - 4d0*coupl(nGC_157)*coupl(nGC_160)*coupl(     &
                        nGC_89) - 4d0*coupl(nGC_165)*coupl(nGC_167)*coupl(     &
                        nGC_86) + 4d0*coupl(nGC_165)*coupl(nGC_167)*coupl(     &
                        nGC_89) + 4d0*coupl(nGC_165)*coupl(nGC_168)*coupl(     &
                        nGC_86) - 4d0*coupl(nGC_165)*coupl(nGC_168)*coupl(     &
                        nGC_89) - 4d0*coupl(nGC_188)*coupl(nGC_190)*coupl(     &
                        nGC_86) + 4d0*coupl(nGC_188)*coupl(nGC_190)*coupl(     &
                        nGC_89) + 4d0*coupl(nGC_188)*coupl(nGC_191)*coupl(     &
                        nGC_86) - 4d0*coupl(nGC_188)*coupl(nGC_191)*coupl(     &
                        nGC_89) + coupl(nGC_665)**2d0*coupl(nGC_817) - 6d0*    &
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_833) - 6d0*coupl(&
                        nGC_69)*coupl(nGC_72)*coupl(nGC_82) + coupl(nGC_817)** &
                        3d0)/(96d0*pi**2d0)
      coupl(nGC_8866) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_139) - coupl(nGC_137)*coupl(nGC_817)* &
                        coupl(nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_183  &
                        ) - coupl(nGC_138)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_139)*coupl(nGC_140)**2d0 - coupl(nGC_139)*coupl(   &
                        nGC_141)**2d0 - coupl(nGC_139)*coupl(nGC_143)**2d0 +   &
                        8d0*coupl(nGC_140)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_141)*coupl(nGC_665)*coupl(nGC_84) - coupl(nGC_141)*&
                        coupl(nGC_87)*coupl(nGC_91) - coupl(nGC_142)*coupl(    &
                        nGC_178)*coupl(nGC_183))/(32d0*pi**2d0)
      coupl(nGC_8867) = coupl(nGC_140)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8860) = (-4d0*Nc*coupl(nGC_131)*coupl(nGC_135)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_175)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_80) +   &
                        coupl(nGC_1243)*coupl(nGC_63)*coupl(nGC_867) + 4d0*    &
                        coupl(nGC_154)*coupl(nGC_159)*coupl(nGC_80) + 4d0*coupl&
                        (nGC_162)*coupl(nGC_167)*coupl(nGC_80) + 4d0*coupl(    &
                        nGC_185)*coupl(nGC_190)*coupl(nGC_80) + coupl(nGC_3011 &
                        )*coupl(nGC_68)*coupl(nGC_867) + coupl(nGC_63)*coupl(  &
                        nGC_817)*coupl(nGC_96) - 6d0*coupl(nGC_63)*coupl(nGC_82&
                        )*coupl(nGC_94) + coupl(nGC_665)*coupl(nGC_69)*coupl(  &
                        nGC_96) - 6d0*coupl(nGC_69)*coupl(nGC_82)*coupl(nGC_91 &
                        ))/(96d0*pi**2d0)
      coupl(nGC_13154) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_74)*dZA_QED2/ &
                         2d0 + coupl(nGC_74)*dZHMinus_QED2/2d0 + coupl(nGC_74)*&
                         dZHa_QED2/2d0 + coupl(nGC_74)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9362)
    end subroutine fill_CTcouplings_mdl22
end module fill_ctcouplings22
