!******************************************************************************!
!                                                                              !
!    fill_ctcouplings24.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings24.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings24
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl24()
      coupl(nGC_16811) = 2d0*coupl(nGC_78)*dZWMinus_QED2 + coupl(nGC_9293)
      coupl(nGC_16722) = coupl(nGC_184)*dZHl_QED2/2d0 + coupl(nGC_188)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9484)
      coupl(nGC_15399) = coupl(nGC_MHA)*dZHaG0_QED2/2d0 + coupl(               &
                         nGC_TS_GC_112_Hh) + coupl(nGC_TS_GC_120_Hl)
      coupl(nGC_15395) = coupl(nGC_I)*dZG0Ha_QED2/2d0
      coupl(nGC_15394) = coupl(nGC_I)*dZHaG0_QED2/2d0
      coupl(nGC_19541) = coupl(nGC_19540) + coupl(nGC_9443)
      coupl(nGC_19542) = coupl(nGC_145)*dZHlHh_QED2/2d0 + coupl(nGC_149)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9444)
      coupl(nGC_19543) = coupl(nGC_19539) + coupl(nGC_19542)
      coupl(nGC_14714) = coupl(nGC_112)*dZG0Ha_QED2 + coupl(nGC_113)*          &
                         dZHlHh_QED2/2d0 + coupl(nGC_121)*dZHa_QED2 + coupl(   &
                         nGC_121)*dZHh_QED2/2d0 + coupl(nGC_9343) + coupl(     &
                         nGC_TS_GC_26_Hl) + coupl(nGC_TS_GC_38_Hh)
      coupl(nGC_14868) = coupl(nGC_139)*dZG0/2d0
      coupl(nGC_TS_GC_9_Hl) = -coupl(nGC_9)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_9_Hh) = -coupl(nGC_9)*dtHh_QED1/cMHH**2d0
      coupl(nGC_14667) = coupl(nGC_132)*dZHaG0_QED2/2d0
      coupl(nGC_15718) = coupl(nGC_144)*dZbL_QCD2/2d0 + coupl(nGC_144)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9466)
      coupl(nGC_14660) = coupl(nGC_135)*dZG0/2d0
      coupl(nGC_14212) = coupl(nGC_130)*dZHl_QED2/2d0 + coupl(nGC_133)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9512)
      coupl(nGC_15716) = coupl(nGC_139)*dZG0Ha_QED2/2d0 + coupl(nGC_144)*      &
                         dZHa_QED2/2d0 + coupl(nGC_144)*dZbL_QED2/2d0 + coupl( &
                         nGC_144)*dZbR_QED2/2d0 + coupl(nGC_9465)
      coupl(nGC_15247) = coupl(nGC_63)*dZHl_QED2/2d0 + coupl(nGC_63)*          &
                         dZWMinus_QED2/2d0 + coupl(nGC_68)*dZHhHl_QED2/2d0 +   &
                         coupl(nGC_9373)
      coupl(nGC_14211) = coupl(nGC_14206) + coupl(nGC_9511)
      coupl(nGC_14669) = coupl(nGC_136)*dZcL_QED2/2d0 + coupl(nGC_136)*        &
                         dZcR_QED2/2d0 + coupl(nGC_9495)
      coupl(nGC_13011) = coupl(nGC_40)*dZHMinus_QED2/2d0 + coupl(nGC_40)*      &
                         dZHh_QED2/2d0 + coupl(nGC_48)*dZHaG0_QED2/2d0 + coupl(&
                         nGC_49)*dZHlHh_QED2/2d0 + coupl(nGC_9331)
      coupl(nGC_13016) = coupl(nGC_64)*dZHMinus_QED2/2d0 + coupl(nGC_64)*      &
                         dZHh_QED2/2d0 + coupl(nGC_64)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_68)*dZHlHh_QED2/2d0 + coupl(nGC_9370)
      coupl(nGC_13017) = -coupl(nGC_13015) + coupl(nGC_13016)
      coupl(nGC_12944) = coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(nGC_79)*dZZA_QED2/ &
                         2d0
      coupl(nGC_12947) = coupl(nGC_12944) - coupl(nGC_12945)/2d0
      coupl(nGC_12946) = -2d0*coupl(nGC_12944) + coupl(nGC_12945)
      coupl(nGC_14440) = coupl(nGC_14438) + coupl(nGC_14439)
      coupl(nGC_14441) = coupl(nGC_14437) + coupl(nGC_14438)
      coupl(nGC_12949) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_8859) = (4d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_141) + 16d0* &
                        Nc*cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_141) +  &
                        4d0*Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_141) + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_135)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_136)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_151)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_145)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_152)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_175)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_175)*coupl(nGC_176) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_176)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_177)*coupl(nGC_182)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_177)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_177)*coupl(nGC_183)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_192)*coupl(nGC_197)**2d0 + 16d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_197)*coupl(nGC_198) + 4d0*Nc*cMU*   &
                        coupl(nGC_192)*coupl(nGC_198)**2d0 + 4d0*cME*coupl(    &
                        nGC_153)*coupl(nGC_159)**2d0 + 16d0*cME*coupl(nGC_153)*&
                        coupl(nGC_159)*coupl(nGC_160) + 4d0*cME*coupl(nGC_153)*&
                        coupl(nGC_160)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(    &
                        nGC_167)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_167)*&
                        coupl(nGC_168) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_168  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_190)**2d0 + &
                        16d0*cMTA*coupl(nGC_184)*coupl(nGC_190)*coupl(nGC_191  &
                        ) + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_191)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_817)*&
                        coupl(nGC_94) + coupl(nGC_104)*coupl(nGC_665)*coupl(   &
                        nGC_91) + coupl(nGC_106)*coupl(nGC_665)*coupl(nGC_94   &
                        ) + coupl(nGC_106)*coupl(nGC_817)*coupl(nGC_91) + 2d0* &
                        coupl(nGC_108)*coupl(nGC_72)*coupl(nGC_867) + coupl(   &
                        nGC_109)*coupl(nGC_665)**2d0 + coupl(nGC_109)*coupl(   &
                        nGC_91)**2d0 + coupl(nGC_112)*coupl(nGC_817)**2d0 +    &
                        coupl(nGC_112)*coupl(nGC_94)**2d0 + coupl(nGC_114)*    &
                        coupl(nGC_1485)*coupl(nGC_72) + coupl(nGC_114)*coupl(  &
                        nGC_68)*coupl(nGC_867) + coupl(nGC_115)*coupl(nGC_1243 &
                        )*coupl(nGC_72) + coupl(nGC_115)*coupl(nGC_69)*coupl(  &
                        nGC_867) + coupl(nGC_117)*coupl(nGC_665)*coupl(nGC_817 &
                        ) + coupl(nGC_117)*coupl(nGC_91)*coupl(nGC_94) + coupl(&
                        nGC_120)*coupl(nGC_665)*coupl(nGC_817) + coupl(nGC_120 &
                        )*coupl(nGC_91)*coupl(nGC_94) - 2d0*coupl(nGC_124)*    &
                        coupl(nGC_72)*coupl(nGC_867) - coupl(nGC_128)*coupl(   &
                        nGC_665)*coupl(nGC_91) - coupl(nGC_128)*coupl(nGC_817)*&
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8850) = (8d0*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_134)*coupl(nGC_793) - coupl(nGC_130)* &
                        coupl(nGC_169)*coupl(nGC_174) - coupl(nGC_130)*coupl(  &
                        nGC_64)*coupl(nGC_80) - coupl(nGC_133)*coupl(nGC_173)* &
                        coupl(nGC_174) - coupl(nGC_133)*coupl(nGC_69)*coupl(   &
                        nGC_80) - coupl(nGC_134)*coupl(nGC_17)*coupl(nGC_2) +  &
                        8d0*coupl(nGC_134)*coupl(nGC_85)*coupl(nGC_87) - coupl(&
                        nGC_134)*coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_134)* &
                        coupl(nGC_87)*coupl(nGC_975) - coupl(nGC_135)*coupl(   &
                        nGC_174)*coupl(nGC_176) - coupl(nGC_135)*coupl(nGC_80)*&
                        coupl(nGC_867) - coupl(nGC_172)*coupl(nGC_174)*coupl(  &
                        nGC_695))/(32d0*pi**2d0)
      coupl(nGC_8852) = (coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_150)*coupl(nGC_2) - coupl(nGC_145)*   &
                        coupl(nGC_192)*coupl(nGC_196) + coupl(nGC_145)*coupl(  &
                        nGC_64)*coupl(nGC_80) - coupl(nGC_147)*coupl(nGC_194)* &
                        coupl(nGC_196) - coupl(nGC_149)*coupl(nGC_195)*coupl(  &
                        nGC_196) + coupl(nGC_149)*coupl(nGC_69)*coupl(nGC_80   &
                        ) + coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_793) + 8d0*  &
                        coupl(nGC_150)*coupl(nGC_84)*coupl(nGC_88) + coupl(    &
                        nGC_150)*coupl(nGC_84)*coupl(nGC_96) + coupl(nGC_150)* &
                        coupl(nGC_88)*coupl(nGC_975) - coupl(nGC_151)*coupl(   &
                        nGC_196)*coupl(nGC_198) + coupl(nGC_151)*coupl(nGC_80)*&
                        coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_8855) = (coupl(nGC_161)*coupl(nGC_64)*coupl(nGC_80) + coupl(   &
                        nGC_165)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_166)* &
                        coupl(nGC_17)*coupl(nGC_4) + 8d0*coupl(nGC_166)*coupl( &
                        nGC_86)*coupl(nGC_90) + coupl(nGC_166)*coupl(nGC_86)*  &
                        coupl(nGC_96) + coupl(nGC_166)*coupl(nGC_90)*coupl(    &
                        nGC_975) + coupl(nGC_167)*coupl(nGC_80)*coupl(nGC_867  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8854) = (coupl(nGC_153)*coupl(nGC_64)*coupl(nGC_80) + coupl(   &
                        nGC_157)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_158)* &
                        coupl(nGC_17)*coupl(nGC_4) + 8d0*coupl(nGC_158)*coupl( &
                        nGC_86)*coupl(nGC_90) + coupl(nGC_158)*coupl(nGC_86)*  &
                        coupl(nGC_96) + coupl(nGC_158)*coupl(nGC_90)*coupl(    &
                        nGC_975) + coupl(nGC_159)*coupl(nGC_80)*coupl(nGC_867  &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8857) = (2d0*Nc*cMB*coupl(nGC_139)**2d0*coupl(nGC_143) + 4d0*Nc&
                        *cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_143) + 4d0&
                        *Nc*cMB*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_144) + &
                        2d0*Nc*cMB*coupl(nGC_140)**2d0*coupl(nGC_144) + 2d0*Nc*&
                        cMC*coupl(nGC_132)*coupl(nGC_135)**2d0 + 4d0*Nc*cMC*   &
                        coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc* &
                        cMC*coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_695) + 2d0*&
                        Nc*cMC*coupl(nGC_136)**2d0*coupl(nGC_695) + 4d0*Nc*cMD*&
                        coupl(nGC_147)*coupl(nGC_151)*coupl(nGC_152) + 2d0*Nc* &
                        cMD*coupl(nGC_147)*coupl(nGC_152)**2d0 + 2d0*Nc*cMD*   &
                        coupl(nGC_148)*coupl(nGC_151)**2d0 + 4d0*Nc*cMD*coupl( &
                        nGC_148)*coupl(nGC_151)*coupl(nGC_152) + 4d0*Nc*cMS*   &
                        coupl(nGC_171)*coupl(nGC_175)*coupl(nGC_176) + 2d0*Nc* &
                        cMS*coupl(nGC_171)*coupl(nGC_176)**2d0 + 2d0*Nc*cMS*   &
                        coupl(nGC_172)*coupl(nGC_175)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_172)*coupl(nGC_175)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_179)*coupl(nGC_182)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_179)*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*cMT*   &
                        coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2019) + 2d0*Nc*&
                        cMT*coupl(nGC_183)**2d0*coupl(nGC_2019) + 4d0*Nc*cMU*  &
                        coupl(nGC_1191)*coupl(nGC_197)*coupl(nGC_198) + 2d0*Nc*&
                        cMU*coupl(nGC_1191)*coupl(nGC_198)**2d0 + 2d0*Nc*cMU*  &
                        coupl(nGC_194)*coupl(nGC_197)**2d0 + 4d0*Nc*cMU*coupl( &
                        nGC_194)*coupl(nGC_197)*coupl(nGC_198) + 4d0*cME*coupl(&
                        nGC_155)*coupl(nGC_159)*coupl(nGC_160) + 2d0*cME*coupl(&
                        nGC_155)*coupl(nGC_160)**2d0 + 2d0*cME*coupl(nGC_156)* &
                        coupl(nGC_159)**2d0 + 4d0*cME*coupl(nGC_156)*coupl(    &
                        nGC_159)*coupl(nGC_160) + 4d0*cMM*coupl(nGC_163)*coupl(&
                        nGC_167)*coupl(nGC_168) + 2d0*cMM*coupl(nGC_163)*coupl(&
                        nGC_168)**2d0 + 2d0*cMM*coupl(nGC_164)*coupl(nGC_167)**&
                        2d0 + 4d0*cMM*coupl(nGC_164)*coupl(nGC_167)*coupl(     &
                        nGC_168) + 4d0*cMTA*coupl(nGC_186)*coupl(nGC_190)*coupl&
                        (nGC_191) + 2d0*cMTA*coupl(nGC_186)*coupl(nGC_191)**2d0&
                         + 2d0*cMTA*coupl(nGC_187)*coupl(nGC_190)**2d0 + 4d0*  &
                        cMTA*coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_191) +    &
                        coupl(nGC_114)*coupl(nGC_72)*coupl(nGC_867) + coupl(   &
                        nGC_115)*coupl(nGC_72)*coupl(nGC_867))/(16d0*pi**2d0)
      coupl(nGC_13125) = coupl(nGC_72)*dZHMinus_QED2/2d0 + coupl(nGC_72)*      &
                         dZHa_QED2/2d0 + coupl(nGC_72)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9368)
      coupl(nGC_13126) = -coupl(nGC_13125)
      coupl(nGC_13122) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_65)*          &
                         dZHlHh_QED2/2d0 + coupl(nGC_66)*dZHMinusGMinus_QED2/  &
                         2d0 + coupl(nGC_70)*dZA_QED2/2d0 + coupl(nGC_70)*     &
                         dZHh_QED2/2d0 + coupl(nGC_70)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_9363)
      coupl(nGC_12830) = coupl(nGC_26)*dZHa_QED2 + coupl(nGC_26)*dZHh_QED2/2d0 &
                          + coupl(nGC_26)*dZHl_QED2/2d0 + coupl(nGC_31)*       &
                         dZHlHh_QED2/2d0 + coupl(nGC_37)*dZG0Ha_QED2 + coupl(  &
                         nGC_38)*dZHhHl_QED2/2d0 + coupl(nGC_9325)
      coupl(nGC_TS_GC_106_Hh) = -coupl(nGC_106)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_106_Hl) = -coupl(nGC_106)*dtHl_QED1/cMHL**2d0
      coupl(nGC_17060) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_81)*dZZ_QED2/  &
                         2d0 + coupl(nGC_9526)
      coupl(nGC_13233) = coupl(nGC_111)*dZHMinus_QED2/2d0 + coupl(nGC_111)*    &
                         dZHh_QED2/2d0 + coupl(nGC_116)*dZGMinusHMinus_QED2/2d0&
                          + coupl(nGC_118)*dZHMinusGMinus_QED2/2d0 + coupl(    &
                         nGC_119)*dZHlHh_QED2/2d0 + coupl(nGC_9356) + coupl(   &
                         nGC_TS_GC_27_Hh) + coupl(nGC_TS_GC_36_Hl)
      coupl(nGC_9030) = coupl(nGC_80)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(     &
                        nGC_82)*coupl(nGC_89) - coupl(nGC_833)*coupl(nGC_90) + &
                        coupl(nGC_89)*coupl(nGC_90))/(8d0*pi**2d0)
      coupl(nGC_9031) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_137)**&
                        2d0*coupl(nGC_84) + coupl(nGC_139)*coupl(nGC_140)*coupl&
                        (nGC_84) + coupl(nGC_141)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_84) + coupl(nGC_178  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_181)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_833) + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_9032) = coupl(nGC_7)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_9033) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_137)**&
                        2d0*coupl(nGC_87) + coupl(nGC_138)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_87) + coupl&
                        (nGC_141)**2d0*coupl(nGC_87) + coupl(nGC_142)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_143)*coupl(nGC_144)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9035) = (coupl(nGC_130)**2d0*coupl(nGC_85) + coupl(nGC_132)*   &
                        coupl(nGC_695)*coupl(nGC_85) + coupl(nGC_133)**2d0*    &
                        coupl(nGC_85) + coupl(nGC_135)*coupl(nGC_136)*coupl(   &
                        nGC_85) + coupl(nGC_170)**2d0*coupl(nGC_84) + coupl(   &
                        nGC_174)**2d0*coupl(nGC_84) + 4d0*coupl(nGC_2)**2d0*   &
                        coupl(nGC_88) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_82) + &
                        4d0*coupl(nGC_80)**2d0*coupl(nGC_87) + 4d0*coupl(nGC_88&
                        )**3d0)/(32d0*pi**2d0)
      coupl(nGC_9037) = (coupl(nGC_130)**2d0*coupl(nGC_88) + coupl(nGC_131)**  &
                        2d0*coupl(nGC_87) + coupl(nGC_132)*coupl(nGC_695)*coupl&
                        (nGC_88) + coupl(nGC_133)**2d0*coupl(nGC_88) + coupl(  &
                        nGC_134)**2d0*coupl(nGC_87) + coupl(nGC_135)*coupl(    &
                        nGC_136)*coupl(nGC_88) + 4d0*coupl(nGC_2)**2d0*coupl(  &
                        nGC_85) + 4d0*coupl(nGC_85)**3d0)/(32d0*pi**2d0)
      coupl(nGC_9039) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_87) + coupl(nGC_145)**&
                        2d0*coupl(nGC_84) + coupl(nGC_147)*coupl(nGC_148)*coupl&
                        (nGC_84) + coupl(nGC_149)**2d0*coupl(nGC_84) + coupl(  &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84) + coupl(nGC_193  &
                        )**2d0*coupl(nGC_85) + coupl(nGC_196)**2d0*coupl(nGC_85&
                        ) + 4d0*coupl(nGC_80)**2d0*coupl(nGC_833) + 4d0*coupl( &
                        nGC_80)**2d0*coupl(nGC_88) + 4d0*coupl(nGC_87)**3d0)/( &
                        32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl24
end module fill_ctcouplings24
