!******************************************************************************!
!                                                                              !
!    fill_ctcouplings27.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings27.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings27
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl27()
      coupl(nGC_9016) = coupl(nGC_169)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9017) = (-coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_181) - coupl(&
                        nGC_141)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**3d0 - coupl(nGC_177)*coupl(nGC_180)**2d0 - coupl(   &
                        nGC_177)*coupl(nGC_182)**2d0 + 8d0*coupl(nGC_177)*coupl&
                        (nGC_2)**2d0 - coupl(nGC_177)*coupl(nGC_2019)**2d0 +   &
                        8d0*coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) - coupl(&
                        nGC_178)*coupl(nGC_69)*coupl(nGC_80) - coupl(nGC_181)* &
                        coupl(nGC_3011)*coupl(nGC_80) - coupl(nGC_182)*coupl(  &
                        nGC_665)*coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)* &
                        coupl(nGC_91) - coupl(nGC_2019)*coupl(nGC_817)*coupl(  &
                        nGC_88) - coupl(nGC_2019)*coupl(nGC_85)*coupl(nGC_94   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_9015) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_1243 &
                        )*coupl(nGC_170)*coupl(nGC_80) - coupl(nGC_130)*coupl( &
                        nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(nGC_134 &
                        )*coupl(nGC_174) - coupl(nGC_169)**3d0 - coupl(nGC_169 &
                        )*coupl(nGC_171)**2d0 - coupl(nGC_169)*coupl(nGC_173)**&
                        2d0 - coupl(nGC_169)*coupl(nGC_175)**2d0 + 8d0*coupl(  &
                        nGC_169)*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_171)* &
                        coupl(nGC_817)*coupl(nGC_84) - coupl(nGC_171)*coupl(   &
                        nGC_87)*coupl(nGC_94) - coupl(nGC_174)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_175)*coupl(nGC_665)*coupl(   &
                        nGC_84) - coupl(nGC_175)*coupl(nGC_87)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_8833) = (8d0*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_196)*coupl(nGC_793) - coupl(nGC_145)* &
                        coupl(nGC_150)*coupl(nGC_192) - coupl(nGC_147)*coupl(  &
                        nGC_150)*coupl(nGC_194) - coupl(nGC_1485)*coupl(nGC_195&
                        )*coupl(nGC_80) - coupl(nGC_149)*coupl(nGC_150)*coupl( &
                        nGC_195) - coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_198 &
                        ) - coupl(nGC_17)*coupl(nGC_196)*coupl(nGC_2) - coupl( &
                        nGC_192)*coupl(nGC_3011)*coupl(nGC_80) + 8d0*coupl(    &
                        nGC_196)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_196)* &
                        coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_196)*coupl(    &
                        nGC_87)*coupl(nGC_975) - coupl(nGC_198)*coupl(nGC_72)* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8832) = coupl(nGC_150)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8831) = (8d0*coupl(nGC_1)*coupl(nGC_150)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_150)*coupl(nGC_793) - coupl(nGC_1191)*&
                        coupl(nGC_148)*coupl(nGC_196) - coupl(nGC_145)*coupl(  &
                        nGC_192)*coupl(nGC_196) - coupl(nGC_145)*coupl(nGC_63)*&
                        coupl(nGC_80) - coupl(nGC_149)*coupl(nGC_195)*coupl(   &
                        nGC_196) - coupl(nGC_149)*coupl(nGC_68)*coupl(nGC_80   &
                        ) - coupl(nGC_150)*coupl(nGC_17)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_150)*coupl(nGC_84)*coupl(nGC_88) - coupl(    &
                        nGC_150)*coupl(nGC_84)*coupl(nGC_975) - coupl(nGC_150)*&
                        coupl(nGC_88)*coupl(nGC_96) - coupl(nGC_152)*coupl(    &
                        nGC_196)*coupl(nGC_197) - coupl(nGC_152)*coupl(nGC_80)*&
                        coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_8830) = coupl(nGC_174)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8837) = (coupl(nGC_1485)*coupl(nGC_188)*coupl(nGC_80) + coupl( &
                        nGC_17)*coupl(nGC_189)*coupl(nGC_4) + coupl(nGC_184)*  &
                        coupl(nGC_3011)*coupl(nGC_80) + 8d0*coupl(nGC_189)*    &
                        coupl(nGC_86)*coupl(nGC_90) + coupl(nGC_189)*coupl(    &
                        nGC_86)*coupl(nGC_96) + coupl(nGC_189)*coupl(nGC_90)*  &
                        coupl(nGC_975) + coupl(nGC_191)*coupl(nGC_72)*coupl(   &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8780) = (-2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80  &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_80&
                        ) - 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_80&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_607) + 4d0*cima* &
                        coupl(nGC_126)*coupl(nGC_5) + 6d0*coupl(nGC_102)*coupl(&
                        nGC_3)*coupl(nGC_833) + 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_126)*coupl(nGC_3) - coupl(nGC_1103)*coupl(nGC_126)*&
                        coupl(nGC_793) - coupl(nGC_124)*coupl(nGC_1243)*coupl( &
                        nGC_3) - coupl(nGC_125)*coupl(nGC_3)*coupl(nGC_3011) - &
                        coupl(nGC_126)*coupl(nGC_833)*coupl(nGC_975))/(32d0*pi &
                        **2d0)
      coupl(nGC_8835) = (-coupl(nGC_153)*coupl(nGC_63)*coupl(nGC_80) - coupl(  &
                        nGC_157)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_158)* &
                        coupl(nGC_4)*coupl(nGC_793) + 8d0*coupl(nGC_158)*coupl(&
                        nGC_86)*coupl(nGC_90) - coupl(nGC_158)*coupl(nGC_86)*  &
                        coupl(nGC_975) - coupl(nGC_158)*coupl(nGC_90)*coupl(   &
                        nGC_96) - coupl(nGC_160)*coupl(nGC_80)*coupl(nGC_867   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8834) = coupl(nGC_196)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9304) = coupl(nGC_8574)*dl3_QED4 + coupl(nGC_8575)*dl1_QED4 +  &
                        coupl(nGC_8576)*dl2_QED4 + coupl(nGC_8577)*dl5_QED4 +  &
                        coupl(nGC_8578)*dl4_QED4 + coupl(nGC_8579)*da_QED2
      coupl(nGC_9305) = coupl(nGC_8024)*dl3_QED4 + coupl(nGC_8025)*dl1_QED4 +  &
                        coupl(nGC_8026)*dl2_QED4 + coupl(nGC_8027)*dl5_QED4 +  &
                        coupl(nGC_8028)*dl4_QED4 + coupl(nGC_8029)*db_QED2
      coupl(nGC_29836) = -coupl(nGC_8860)
      coupl(nGC_17649) = coupl(nGC_172)*dZsL_QCD2/2d0 + coupl(nGC_172)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9459)
      coupl(nGC_9309) = coupl(nGC_8078)*dl3_QED4 + coupl(nGC_8079)*dl1_QED4 +  &
                        coupl(nGC_8080)*dl2_QED4 + coupl(nGC_8081)*dl5_QED4 +  &
                        coupl(nGC_8082)*dl4_QED4 + coupl(nGC_8083)*db_QED2
      coupl(nGC_13140) = -coupl(nGC_13139)
      coupl(nGC_9162) = (10d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_145)*coupl(    &
                        nGC_146)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_1191)*&
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192) + 10d0*Nc*&
                        cima*coupl(nGC_1191)*coupl(nGC_192)*coupl(nGC_193)*    &
                        coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_130)*coupl(    &
                        nGC_131)*coupl(nGC_132)*coupl(nGC_134) + 10d0*Nc*cima* &
                        coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_695) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)* &
                        coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_130)*coupl(nGC_132)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_172) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_695) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_169)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_169)*coupl(nGC_171) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_172   &
                        ) + 10d0*Nc*cima*coupl(nGC_134)*coupl(nGC_169)*coupl(  &
                        nGC_170)*coupl(nGC_695) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142)*coupl&
                        (nGC_144) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*&
                        coupl(nGC_178)*coupl(nGC_179) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_179   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_2019) + 10d0*Nc*cima*coupl(nGC_138)*&
                        coupl(nGC_144)*coupl(nGC_177)*coupl(nGC_178) + 10d0*Nc*&
                        cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_181)*coupl&
                        (nGC_2019) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_143 &
                        )*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(  &
                        nGC_141)*coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(  &
                        nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_150) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_148)*coupl&
                        (nGC_150) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_147)*&
                        coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_148)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*coupl(  &
                        nGC_193)*coupl(nGC_194) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_148)*coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_194) + 10d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*&
                        coupl(nGC_192)*coupl(nGC_193) + 10d0*Nc*cima*coupl(    &
                        nGC_169)*coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(  &
                        nGC_172)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_177)* &
                        coupl(nGC_178)*coupl(nGC_179)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl&
                        (nGC_2019) + 10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193 &
                        )*coupl(nGC_194)*coupl(nGC_196) - 5d0*cima*coupl(      &
                        nGC_1331)*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_96   &
                        ) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_2391)*coupl(    &
                        nGC_665)*coupl(nGC_72) + 12d0*cima*coupl(nGC_14)*coupl(&
                        nGC_20) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl(&
                        nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_63)*coupl(nGC_817)*coupl(nGC_96) - 5d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_72) -  &
                        5d0*cima*coupl(nGC_1485)*coupl(nGC_665)*coupl(nGC_72)* &
                        coupl(nGC_817) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_68 &
                        )*coupl(nGC_92)*coupl(nGC_96) - 5d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_867)*coupl(nGC_92)*coupl(nGC_94) + 10d0*   &
                        cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_155)*coupl&
                        (nGC_158) + 10d0*cima*coupl(nGC_153)*coupl(nGC_154)*   &
                        coupl(nGC_156)*coupl(nGC_158) + 10d0*cima*coupl(nGC_161&
                        )*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_166) + 10d0* &
                        cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_164)*coupl&
                        (nGC_166) + 10d0*cima*coupl(nGC_184)*coupl(nGC_185)*   &
                        coupl(nGC_186)*coupl(nGC_189) + 10d0*cima*coupl(nGC_184&
                        )*coupl(nGC_185)*coupl(nGC_187)*coupl(nGC_189) - 5d0*  &
                        cima*coupl(nGC_3011)*coupl(nGC_68)*coupl(nGC_94)*coupl(&
                        nGC_96) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_793)**2d0*&
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_867&
                        )*coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_3011)*coupl( &
                        nGC_867)*coupl(nGC_975)**2d0 - 5d0*cima*coupl(nGC_63)* &
                        coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_867) - 5d0*cima* &
                        coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_867&
                        ) + 12d0*cima*coupl(nGC_65)*coupl(nGC_74) - 5d0*cima*  &
                        coupl(nGC_867)**2d0*coupl(nGC_91)*coupl(nGC_975) - 3d0*&
                        coupl(nGC_1331)*coupl(nGC_14)*coupl(nGC_2391) + 3d0*   &
                        coupl(nGC_1331)*coupl(nGC_36)*coupl(nGC_96) + 3d0*coupl&
                        (nGC_1331)*coupl(nGC_40)*coupl(nGC_665) + 3d0*coupl(   &
                        nGC_1331)*coupl(nGC_48)*coupl(nGC_817) - 3d0*coupl(    &
                        nGC_14)*coupl(nGC_1485)*coupl(nGC_817) - 3d0*coupl(    &
                        nGC_14)*coupl(nGC_867)*coupl(nGC_975) - 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_16)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_26)*coupl(nGC_867) + 3d0*coupl(    &
                        nGC_1485)*coupl(nGC_28)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_42)*coupl(nGC_867) - 3d0*coupl(    &
                        nGC_16)*coupl(nGC_3011)*coupl(nGC_94) - 3d0*coupl(     &
                        nGC_20)*coupl(nGC_3011)*coupl(nGC_975) - 3d0*coupl(    &
                        nGC_20)*coupl(nGC_665)*coupl(nGC_72) + 3d0*coupl(nGC_22&
                        )*coupl(nGC_68)*coupl(nGC_867) + 3d0*coupl(nGC_2391)*  &
                        coupl(nGC_37)*coupl(nGC_72) + 3d0*coupl(nGC_2391)*coupl&
                        (nGC_60)*coupl(nGC_867) + 3d0*coupl(nGC_24)*coupl(     &
                        nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_24)*coupl(nGC_817&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_24)*coupl(nGC_94)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_30)*coupl(nGC_63)*coupl(      &
                        nGC_867) + 3d0*coupl(nGC_3011)*coupl(nGC_31)*coupl(    &
                        nGC_867) + 3d0*coupl(nGC_3011)*coupl(nGC_56)*coupl(    &
                        nGC_72) + 3d0*coupl(nGC_3011)*coupl(nGC_57)*coupl(     &
                        nGC_867) - 3d0*coupl(nGC_3011)*coupl(nGC_74)*coupl(    &
                        nGC_793) + 3d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_36)*coupl(nGC_92)*coupl(nGC_96) + 3d0&
                        *coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_40)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_40 &
                        )*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_793 &
                        )**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_817)**2d0 + 3d0*  &
                        coupl(nGC_40)*coupl(nGC_975)**2d0 + 3d0*coupl(nGC_42)* &
                        coupl(nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_42)*coupl( &
                        nGC_817)*coupl(nGC_96) + 3d0*coupl(nGC_42)*coupl(nGC_94&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_44)*coupl(nGC_68)*coupl&
                        (nGC_867) + 3d0*coupl(nGC_44)*coupl(nGC_69)*coupl(     &
                        nGC_867) + 3d0*coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_49)*coupl(nGC_665)*coupl(nGC_817) + 3d0*    &
                        coupl(nGC_58)*coupl(nGC_64)*coupl(nGC_867) + 3d0*coupl(&
                        nGC_58)*coupl(nGC_665)*coupl(nGC_96) + 3d0*coupl(nGC_58&
                        )*coupl(nGC_91)*coupl(nGC_96) - 3d0*coupl(nGC_65)*coupl&
                        (nGC_793)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9163) = (10d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_146)*coupl(    &
                        nGC_149)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_1191)*&
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_195) + 10d0*Nc*&
                        cima*coupl(nGC_1191)*coupl(nGC_193)*coupl(nGC_195)*    &
                        coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                        nGC_132)*coupl(nGC_133)*coupl(nGC_134) + 10d0*Nc*cima* &
                        coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_173)*coupl(    &
                        nGC_174) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_695) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_133)*coupl(nGC_171)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_171)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_172)*coupl(nGC_173) + 10d0*Nc*&
                        cima*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_172) + 10d0*Nc*cima*coupl(    &
                        nGC_133)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_695   &
                        ) + 10d0*Nc*cima*coupl(nGC_134)*coupl(nGC_170)*coupl(  &
                        nGC_173)*coupl(nGC_695) + 10d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_142)*coupl&
                        (nGC_144) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_178)*coupl(nGC_179) + 10d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_2019  &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_143)*coupl(  &
                        nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_179)*coupl&
                        (nGC_180) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_2019) + 10d0*Nc*cima*coupl(   &
                        nGC_138)*coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_180   &
                        ) + 10d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(  &
                        nGC_180)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_150) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_149)*coupl&
                        (nGC_150) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*&
                        coupl(nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_194)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_147)*coupl(nGC_149)*coupl(  &
                        nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_195) + 10d0*Nc*&
                        cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_194) + 10d0*Nc*cima*coupl(    &
                        nGC_170)*coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*coupl(  &
                        nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl&
                        (nGC_2019) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194 &
                        )*coupl(nGC_195)*coupl(nGC_196) - 5d0*cima*coupl(      &
                        nGC_1331)*coupl(nGC_2391)*coupl(nGC_68)*coupl(nGC_96   &
                        ) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_2391)*coupl(    &
                        nGC_72)*coupl(nGC_817) - 5d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_64)*coupl(nGC_92)*coupl(nGC_96) - 5d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_68)*coupl(nGC_817)*coupl(nGC_96) - &
                        5d0*cima*coupl(nGC_1485)*coupl(nGC_72)*coupl(nGC_817)**&
                        2d0 - 5d0*cima*coupl(nGC_1485)*coupl(nGC_793)**2d0*    &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_867&
                        )*coupl(nGC_92)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_867)*coupl(nGC_975)**2d0 + 10d0*cima*coupl(nGC_154 &
                        )*coupl(nGC_155)*coupl(nGC_157)*coupl(nGC_158) + 10d0* &
                        cima*coupl(nGC_154)*coupl(nGC_156)*coupl(nGC_157)*coupl&
                        (nGC_158) + 12d0*cima*coupl(nGC_16)*coupl(nGC_20) +    &
                        10d0*cima*coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_165)*&
                        coupl(nGC_166) + 10d0*cima*coupl(nGC_162)*coupl(nGC_164&
                        )*coupl(nGC_165)*coupl(nGC_166) + 10d0*cima*coupl(     &
                        nGC_185)*coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_189   &
                        ) + 10d0*cima*coupl(nGC_185)*coupl(nGC_187)*coupl(     &
                        nGC_188)*coupl(nGC_189) - 5d0*cima*coupl(nGC_2391)*    &
                        coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*  &
                        coupl(nGC_2391)*coupl(nGC_64)*coupl(nGC_68)*coupl(     &
                        nGC_72) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(&
                        nGC_94)*coupl(nGC_96) - 5d0*cima*coupl(nGC_3011)*coupl(&
                        nGC_867)*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_63)**2d0*coupl(nGC_68)*coupl(nGC_867) - 5d0*cima*  &
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_867&
                        ) + 12d0*cima*coupl(nGC_70)*coupl(nGC_74) - 5d0*cima*  &
                        coupl(nGC_867)**2d0*coupl(nGC_94)*coupl(nGC_975) + 3d0*&
                        coupl(nGC_1243)*coupl(nGC_60)*coupl(nGC_867) + 3d0*    &
                        coupl(nGC_1331)**2d0*coupl(nGC_48) - 3d0*coupl(nGC_1331&
                        )*coupl(nGC_16)*coupl(nGC_2391) + 3d0*coupl(nGC_1331)* &
                        coupl(nGC_27)*coupl(nGC_96) + 6d0*coupl(nGC_1331)*coupl&
                        (nGC_40)*coupl(nGC_817) + 3d0*coupl(nGC_1331)*coupl(   &
                        nGC_42)*coupl(nGC_96) - 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_15)*coupl(nGC_92) - 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_16)*coupl(nGC_817) - 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_20)*coupl(nGC_975) + 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_37)*coupl(nGC_72) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_38)*coupl(nGC_867) + 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_56)*coupl(nGC_72) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_57)*coupl(nGC_867) - 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_74)*coupl(nGC_793) - 3d0*coupl(nGC_15)*coupl(      &
                        nGC_3011)*coupl(nGC_94) - 3d0*coupl(nGC_16)*coupl(     &
                        nGC_867)*coupl(nGC_975) - 3d0*coupl(nGC_20)*coupl(     &
                        nGC_72)*coupl(nGC_817) + 3d0*coupl(nGC_22)*coupl(nGC_63&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_2391)*coupl(nGC_29)*  &
                        coupl(nGC_72) + 3d0*coupl(nGC_2391)*coupl(nGC_42)*coupl&
                        (nGC_867) + 3d0*coupl(nGC_26)*coupl(nGC_3011)*coupl(   &
                        nGC_867) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_27)*coupl(nGC_92)*coupl(nGC_96) + 3d0&
                        *coupl(nGC_34)*coupl(nGC_68)*coupl(nGC_867) + 3d0*coupl&
                        (nGC_36)*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(nGC_36&
                        )*coupl(nGC_817)*coupl(nGC_96) + 3d0*coupl(nGC_36)*    &
                        coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_40)*coupl( &
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_40)*coupl(nGC_63 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_42)*coupl(nGC_63)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_42)*coupl(nGC_92)*coupl(nGC_96&
                        ) + 3d0*coupl(nGC_44)*coupl(nGC_63)*coupl(nGC_867) +   &
                        3d0*coupl(nGC_44)*coupl(nGC_64)*coupl(nGC_867) + 3d0*  &
                        coupl(nGC_48)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl( &
                        nGC_48)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_48 &
                        )*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_48)*coupl(nGC_793 &
                        )**2d0 + 3d0*coupl(nGC_48)*coupl(nGC_975)**2d0 + 3d0*  &
                        coupl(nGC_49)*coupl(nGC_817)**2d0 + 3d0*coupl(nGC_58)* &
                        coupl(nGC_69)*coupl(nGC_867) + 3d0*coupl(nGC_58)*coupl(&
                        nGC_817)*coupl(nGC_96) + 3d0*coupl(nGC_58)*coupl(nGC_94&
                        )*coupl(nGC_96) - 3d0*coupl(nGC_70)*coupl(nGC_793)*    &
                        coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_16352) = coupl(nGC_101)*dZHa_QED2 + coupl(nGC_101)*dZZ_QED2 +  &
                         coupl(nGC_9390)
      coupl(nGC_9161) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_146)*coupl(    &
                        nGC_148)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_1191)*&
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_194) + 20d0*Nc*&
                        cima*coupl(nGC_1191)*coupl(nGC_193)*coupl(nGC_194)*    &
                        coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_131)*coupl(    &
                        nGC_132)*coupl(nGC_134)*coupl(nGC_695) + 20d0*Nc*cima* &
                        coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_171)*coupl(    &
                        nGC_174) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)* &
                        coupl(nGC_171)*coupl(nGC_172) + 20d0*Nc*cima*coupl(    &
                        nGC_132)*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_695   &
                        ) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_170)*coupl(  &
                        nGC_172)*coupl(nGC_695) + 20d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_144) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_179)*coupl&
                        (nGC_2019) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144 &
                        )*coupl(nGC_178)*coupl(nGC_179) + 20d0*Nc*cima*coupl(  &
                        nGC_142)*coupl(nGC_143)*coupl(nGC_181)*coupl(nGC_2019  &
                        ) + 20d0*Nc*cima*coupl(nGC_143)*coupl(nGC_144)*coupl(  &
                        nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_150) + 20d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_193)*coupl&
                        (nGC_196) + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_194) + 20d0*Nc*cima*coupl(    &
                        nGC_170)*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_178)*coupl(nGC_179)*coupl(  &
                        nGC_181)*coupl(nGC_2019) - 10d0*cima*coupl(nGC_1331)*  &
                        coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_92) - 10d0*  &
                        cima*coupl(nGC_1331)*coupl(nGC_2391)*coupl(nGC_3011)*  &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_68)*&
                        coupl(nGC_867)*coupl(nGC_975) - 10d0*cima*coupl(       &
                        nGC_1485)**2d0*coupl(nGC_817)*coupl(nGC_92) - 10d0*cima&
                        *coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_817)*coupl( &
                        nGC_94) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_72)*coupl(&
                        nGC_92)*coupl(nGC_96) + 20d0*cima*coupl(nGC_154)*coupl(&
                        nGC_155)*coupl(nGC_156)*coupl(nGC_158) + 20d0*cima*    &
                        coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_164)*coupl(    &
                        nGC_166) + 20d0*cima*coupl(nGC_185)*coupl(nGC_186)*    &
                        coupl(nGC_187)*coupl(nGC_189) - 5d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_72)*coupl(nGC_94)*coupl(nGC_96) - 10d0*cima&
                        *coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(      &
                        nGC_867) - 5d0*cima*coupl(nGC_63)*coupl(nGC_817)*coupl(&
                        nGC_867)*coupl(nGC_975) - 10d0*cima*coupl(nGC_64)*coupl&
                        (nGC_68)*coupl(nGC_72)*coupl(nGC_867) + 3d0*coupl(     &
                        nGC_1331)*coupl(nGC_27)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_1331)*coupl(nGC_36)*coupl(nGC_94) + 6d0*coupl(     &
                        nGC_1331)*coupl(nGC_48)*coupl(nGC_96) + 3d0*coupl(     &
                        nGC_1485)**2d0*coupl(nGC_26) - 6d0*coupl(nGC_1485)*    &
                        coupl(nGC_20)*coupl(nGC_92) + 3d0*coupl(nGC_1485)*coupl&
                        (nGC_2391)*coupl(nGC_38) + 3d0*coupl(nGC_1485)*coupl(  &
                        nGC_3011)*coupl(nGC_31) - 6d0*coupl(nGC_20)*coupl(     &
                        nGC_3011)*coupl(nGC_94) + 3d0*coupl(nGC_2391)*coupl(   &
                        nGC_26)*coupl(nGC_3011) + 3d0*coupl(nGC_24)*coupl(     &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_36)*coupl(      &
                        nGC_817)*coupl(nGC_92) + 6d0*coupl(nGC_40)*coupl(nGC_68&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_40)*coupl(nGC_817)*    &
                        coupl(nGC_96) + 6d0*coupl(nGC_40)*coupl(nGC_94)*coupl( &
                        nGC_96) + 6d0*coupl(nGC_42)*coupl(nGC_72)**2d0 + 3d0*  &
                        coupl(nGC_42)*coupl(nGC_793)**2d0 + 6d0*coupl(nGC_42)* &
                        coupl(nGC_867)**2d0 + 3d0*coupl(nGC_42)*coupl(nGC_975  &
                        )**2d0 + 6d0*coupl(nGC_44)*coupl(nGC_72)*coupl(nGC_867 &
                        ) + 3d0*coupl(nGC_46)*coupl(nGC_72)*coupl(nGC_867) +   &
                        6d0*coupl(nGC_48)*coupl(nGC_64)*coupl(nGC_72) + 6d0*   &
                        coupl(nGC_48)*coupl(nGC_92)*coupl(nGC_96) - 3d0*coupl( &
                        nGC_62)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_62 &
                        )*coupl(nGC_64)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_9166) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_131)*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(     &
                        nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_170) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl&
                        (nGC_141)**2d0*coupl(nGC_142) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)**2d0 + 20d0*Nc*cima*coupl(nGC_141)**2d0*coupl(&
                        nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_141)* &
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_146)*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_193)*   &
                        coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)*coupl(    &
                        nGC_146)*coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima* &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl(    &
                        nGC_193) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)* &
                        coupl(nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*&
                        coupl(nGC_170)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_177)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_192)**2d0*coupl(nGC_193)*coupl(nGC_196  &
                        ) + 24d0*cima*coupl(nGC_14)*coupl(nGC_16) - 10d0*cima* &
                        coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_793)**2d0 -  &
                        10d0*cima*coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_975&
                        )**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl(&
                        nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_64)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_867)*coupl(nGC_91)*coupl(nGC_975   &
                        ) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_154)*coupl(&
                        nGC_158) + 20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_162 &
                        )*coupl(nGC_166) + 20d0*cima*coupl(nGC_184)**2d0*coupl(&
                        nGC_185)*coupl(nGC_189) - 10d0*cima*coupl(nGC_3011)*   &
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68) - 10d0*cima* &
                        coupl(nGC_3011)*coupl(nGC_64)**2d0*coupl(nGC_68) - 5d0*&
                        cima*coupl(nGC_3011)*coupl(nGC_72)*coupl(nGC_817)*coupl&
                        (nGC_975) - 5d0*cima*coupl(nGC_63)*coupl(nGC_867)*coupl&
                        (nGC_94)*coupl(nGC_96) + 24d0*cima*coupl(nGC_65)*coupl(&
                        nGC_70) - 5d0*cima*coupl(nGC_665)*coupl(nGC_68)*coupl( &
                        nGC_72)*coupl(nGC_96) - 10d0*cima*coupl(nGC_665)*coupl(&
                        nGC_72)*coupl(nGC_867)*coupl(nGC_94) + 3d0*coupl(nGC_11&
                        )*coupl(nGC_1485)*coupl(nGC_3011) + 3d0*coupl(nGC_1243 &
                        )*coupl(nGC_2391)*coupl(nGC_60) + 3d0*coupl(nGC_1243)* &
                        coupl(nGC_44)*coupl(nGC_68) + 3d0*coupl(nGC_13)*coupl( &
                        nGC_1485)*coupl(nGC_2391) - 6d0*coupl(nGC_14)*coupl(   &
                        nGC_1485)*coupl(nGC_975) - 6d0*coupl(nGC_14)*coupl(    &
                        nGC_867)*coupl(nGC_94) + 3d0*coupl(nGC_1485)**2d0*coupl&
                        (nGC_9) + 6d0*coupl(nGC_1485)*coupl(nGC_22)*coupl(     &
                        nGC_68) + 6d0*coupl(nGC_1485)*coupl(nGC_30)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_1485)*coupl(nGC_3011)*coupl(   &
                        nGC_57) + 3d0*coupl(nGC_1485)*coupl(nGC_44)*coupl(     &
                        nGC_69) - 6d0*coupl(nGC_1485)*coupl(nGC_65)*coupl(     &
                        nGC_793) - 6d0*coupl(nGC_16)*coupl(nGC_3011)*coupl(    &
                        nGC_975) - 6d0*coupl(nGC_16)*coupl(nGC_665)*coupl(     &
                        nGC_72) + 6d0*coupl(nGC_23)*coupl(nGC_3011)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_2391)*coupl(nGC_3011)*coupl(   &
                        nGC_9) + 3d0*coupl(nGC_2391)*coupl(nGC_45)*coupl(nGC_63&
                        ) + 6d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_64) + 6d0&
                        *coupl(nGC_24)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_24)*coupl(nGC_793)**2d0 + 3d0*coupl(nGC_24)*coupl( &
                        nGC_975)**2d0 + 3d0*coupl(nGC_28)*coupl(nGC_72)*coupl( &
                        nGC_867) + 6d0*coupl(nGC_3011)*coupl(nGC_35)*coupl(    &
                        nGC_68) + 3d0*coupl(nGC_3011)*coupl(nGC_45)*coupl(     &
                        nGC_64) - 6d0*coupl(nGC_3011)*coupl(nGC_70)*coupl(     &
                        nGC_793) + 6d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_68&
                        ) + 6d0*coupl(nGC_36)*coupl(nGC_64)*coupl(nGC_69) + 6d0&
                        *coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_72) + 6d0*coupl(&
                        nGC_40)*coupl(nGC_817)*coupl(nGC_96) + 6d0*coupl(nGC_40&
                        )*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_42)*coupl&
                        (nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_43)*coupl(     &
                        nGC_665)*coupl(nGC_91) + 6d0*coupl(nGC_49)*coupl(nGC_64&
                        )*coupl(nGC_867) + 6d0*coupl(nGC_49)*coupl(nGC_665)*   &
                        coupl(nGC_96) + 6d0*coupl(nGC_49)*coupl(nGC_91)*coupl( &
                        nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_63)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_58)*coupl(nGC_665)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_58)*coupl(nGC_817)*coupl(nGC_91) + 3d0*  &
                        coupl(nGC_60)*coupl(nGC_64)*coupl(nGC_69) - 3d0*coupl( &
                        nGC_61)*coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_61 &
                        )*coupl(nGC_64)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_9167) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_138)*coupl(      &
                        nGC_142)*coupl(nGC_80)**2d0 - 16d0*Nc*cima*coupl(      &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_80)**2d0 - 16d0*Nc*  &
                        cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*coupl(   &
                        nGC_80)**2d0 - 16d0*Nc*cima*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_80)**2d0 + 9d0*cima*coupl(nGC_1103  &
                        )**2d0*coupl(nGC_63)*coupl(nGC_68) + 9d0*cima*coupl(   &
                        nGC_1103)**2d0*coupl(nGC_64)*coupl(nGC_68) + 4d0*cima* &
                        coupl(nGC_1243)*coupl(nGC_1485)**2d0*coupl(nGC_63) +   &
                        4d0*cima*coupl(nGC_1243)*coupl(nGC_1485)**2d0*coupl(   &
                        nGC_64) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*    &
                        coupl(nGC_2391)*coupl(nGC_68) + 4d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_68) + 4d0* &
                        cima*coupl(nGC_1485)**3d0*coupl(nGC_63) + 4d0*cima*    &
                        coupl(nGC_1485)**3d0*coupl(nGC_64) + 4d0*cima*coupl(   &
                        nGC_1485)**2d0*coupl(nGC_2391)*coupl(nGC_69) + 4d0*cima&
                        *coupl(nGC_1485)**2d0*coupl(nGC_3011)*coupl(nGC_69) +  &
                        4d0*cima*coupl(nGC_1485)*coupl(nGC_2391)**2d0*coupl(   &
                        nGC_63) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*    &
                        coupl(nGC_3011)*coupl(nGC_63) + 4d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_64) + 4d0* &
                        cima*coupl(nGC_1485)*coupl(nGC_3011)**2d0*coupl(nGC_64 &
                        ) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_72&
                        )**2d0 + 4d0*cima*coupl(nGC_1485)*coupl(nGC_63)*coupl( &
                        nGC_867)**2d0 + 4d0*cima*coupl(nGC_1485)*coupl(nGC_64)*&
                        coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_1485)*coupl(   &
                        nGC_64)*coupl(nGC_867)**2d0 - 16d0*cima*coupl(nGC_154)*&
                        coupl(nGC_158)*coupl(nGC_80)**2d0 - 16d0*cima*coupl(   &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_80)**2d0 - 16d0*cima*&
                        coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_80)**2d0 + 4d0*&
                        cima*coupl(nGC_2391)**2d0*coupl(nGC_3011)*coupl(nGC_68 &
                        ) + 4d0*cima*coupl(nGC_2391)**2d0*coupl(nGC_3011)*coupl&
                        (nGC_69) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)**  &
                        2d0*coupl(nGC_68) + 4d0*cima*coupl(nGC_2391)*coupl(    &
                        nGC_3011)**2d0*coupl(nGC_69) + 4d0*cima*coupl(nGC_2391 &
                        )*coupl(nGC_68)*coupl(nGC_72)**2d0 + 4d0*cima*coupl(   &
                        nGC_2391)*coupl(nGC_69)*coupl(nGC_72)**2d0 + 4d0*cima* &
                        coupl(nGC_3011)*coupl(nGC_68)*coupl(nGC_867)**2d0 + 4d0&
                        *cima*coupl(nGC_3011)*coupl(nGC_69)*coupl(nGC_867)**2d0&
                         + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_793  &
                        )**2d0 + 9d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(   &
                        nGC_833)**2d0 + 4d0*cima*coupl(nGC_63)*coupl(nGC_68)*  &
                        coupl(nGC_975)**2d0 + 4d0*cima*coupl(nGC_64)*coupl(    &
                        nGC_68)*coupl(nGC_793)**2d0 + 9d0*cima*coupl(nGC_64)*  &
                        coupl(nGC_68)*coupl(nGC_833)**2d0 + 4d0*cima*coupl(    &
                        nGC_64)*coupl(nGC_68)*coupl(nGC_975)**2d0 - 6d0*coupl( &
                        nGC_1103)*coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_65)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_66)*coupl(nGC_68) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_68)*coupl(nGC_833) + 6d0*coupl(      &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_61) + 6d0*coupl(   &
                        nGC_1485)*coupl(nGC_3011)*coupl(nGC_61) - 6d0*coupl(   &
                        nGC_15)*coupl(nGC_68)*coupl(nGC_833) - 6d0*coupl(nGC_16&
                        )*coupl(nGC_63)*coupl(nGC_833) - 6d0*coupl(nGC_16)*    &
                        coupl(nGC_64)*coupl(nGC_833) - 6d0*coupl(nGC_63)*coupl(&
                        nGC_68)*coupl(nGC_78) - 6d0*coupl(nGC_64)*coupl(nGC_68 &
                        )*coupl(nGC_78))/(192d0*pi**2d0)
      coupl(nGC_9164) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)**2d0*coupl(&
                        nGC_134) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)* &
                        coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_133)**2d0*coupl(nGC_170)*coupl(nGC_174  &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_170)*coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)*coupl(nGC_142) + 20d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_180) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_180)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_149)**2d0*coupl(nGC_150  &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_195)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_149)**2d0*coupl(nGC_193)*coupl(nGC_196) + 20d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173  &
                        )**2d0*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_178)*   &
                        coupl(nGC_180)**2d0*coupl(nGC_181) + 20d0*Nc*cima*coupl&
                        (nGC_193)*coupl(nGC_195)**2d0*coupl(nGC_196) - 5d0*cima&
                        *coupl(nGC_1331)*coupl(nGC_1485)*coupl(nGC_72)*coupl(  &
                        nGC_975) - 10d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*  &
                        coupl(nGC_793)**2d0 - 10d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_2391)*coupl(nGC_975)**2d0 - 10d0*cima*coupl(       &
                        nGC_1485)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69) -  &
                        10d0*cima*coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_68)* &
                        coupl(nGC_69) + 24d0*cima*coupl(nGC_15)*coupl(nGC_16   &
                        ) + 20d0*cima*coupl(nGC_154)*coupl(nGC_157)**2d0*coupl(&
                        nGC_158) + 20d0*cima*coupl(nGC_162)*coupl(nGC_165)**2d0&
                        *coupl(nGC_166) + 20d0*cima*coupl(nGC_185)*coupl(      &
                        nGC_188)**2d0*coupl(nGC_189) - 10d0*cima*coupl(nGC_2391&
                        )*coupl(nGC_63)**2d0*coupl(nGC_68) - 10d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68) -  &
                        5d0*cima*coupl(nGC_2391)*coupl(nGC_867)*coupl(nGC_94)* &
                        coupl(nGC_975) - 5d0*cima*coupl(nGC_64)*coupl(nGC_72)* &
                        coupl(nGC_817)*coupl(nGC_96) + 24d0*cima*coupl(nGC_66)*&
                        coupl(nGC_70) - 5d0*cima*coupl(nGC_68)*coupl(nGC_867)* &
                        coupl(nGC_92)*coupl(nGC_96) - 10d0*cima*coupl(nGC_72)* &
                        coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_10)*coupl(nGC_1485)**2d0 + 3d0*coupl(nGC_10)*coupl&
                        (nGC_2391)*coupl(nGC_3011) + 3d0*coupl(nGC_12)*coupl(  &
                        nGC_1485)*coupl(nGC_2391) + 3d0*coupl(nGC_1243)*coupl( &
                        nGC_3011)*coupl(nGC_60) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_45)*coupl(nGC_68) + 3d0*coupl(nGC_13)*coupl(       &
                        nGC_1485)*coupl(nGC_3011) + 3d0*coupl(nGC_1331)*coupl( &
                        nGC_42)*coupl(nGC_92) + 6d0*coupl(nGC_1331)*coupl(     &
                        nGC_48)*coupl(nGC_96) + 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_58)*coupl(nGC_94) - 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_15)*coupl(nGC_975) + 6d0*coupl(nGC_1485)*coupl(    &
                        nGC_23)*coupl(nGC_68) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_2391)*coupl(nGC_57) + 6d0*coupl(nGC_1485)*coupl(   &
                        nGC_32)*coupl(nGC_64) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_45)*coupl(nGC_69) - 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_66)*coupl(nGC_793) - 6d0*coupl(nGC_15)*coupl(nGC_72&
                        )*coupl(nGC_817) - 6d0*coupl(nGC_16)*coupl(nGC_2391)*  &
                        coupl(nGC_975) - 6d0*coupl(nGC_16)*coupl(nGC_867)*coupl&
                        (nGC_92) + 6d0*coupl(nGC_22)*coupl(nGC_2391)*coupl(    &
                        nGC_63) + 6d0*coupl(nGC_2391)*coupl(nGC_34)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_2391)*coupl(nGC_44)*coupl(     &
                        nGC_63) - 6d0*coupl(nGC_2391)*coupl(nGC_70)*coupl(     &
                        nGC_793) + 6d0*coupl(nGC_27)*coupl(nGC_63)*coupl(nGC_64&
                        ) + 6d0*coupl(nGC_27)*coupl(nGC_68)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_27)*coupl(nGC_793)**2d0 + 3d0*coupl(nGC_27)*&
                        coupl(nGC_975)**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_72)* &
                        coupl(nGC_867) + 3d0*coupl(nGC_3011)*coupl(nGC_44)*    &
                        coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl( &
                        nGC_68) + 6d0*coupl(nGC_36)*coupl(nGC_63)*coupl(nGC_69 &
                        ) + 6d0*coupl(nGC_40)*coupl(nGC_69)*coupl(nGC_867) +   &
                        6d0*coupl(nGC_40)*coupl(nGC_817)*coupl(nGC_96) + 6d0*  &
                        coupl(nGC_40)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl( &
                        nGC_43)*coupl(nGC_817)*coupl(nGC_94) + 6d0*coupl(nGC_48&
                        )*coupl(nGC_63)*coupl(nGC_72) + 6d0*coupl(nGC_48)*coupl&
                        (nGC_92)*coupl(nGC_96) + 3d0*coupl(nGC_57)*coupl(nGC_64&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_58)*coupl(nGC_817)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_60)*coupl(nGC_63)*coupl( &
                        nGC_69) - 3d0*coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_68 &
                        ) - 3d0*coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_68))/(   &
                        96d0*pi**2d0)
      coupl(nGC_9165) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_133)*coupl(nGC_134) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_173) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_133)*coupl(nGC_169)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_173) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 20d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*&
                        coupl(nGC_177)*coupl(nGC_178) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_180) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl&
                        (nGC_180) + 10d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_150   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_193)*coupl&
                        (nGC_195) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*&
                        coupl(nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_193) + 20d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_173)*coupl(nGC_174) + 20d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_180)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*&
                        coupl(nGC_195)*coupl(nGC_196) + 12d0*cima*coupl(nGC_14 &
                        )*coupl(nGC_15) - 5d0*cima*coupl(nGC_1485)**2d0*coupl( &
                        nGC_793)**2d0 - 5d0*cima*coupl(nGC_1485)**2d0*coupl(   &
                        nGC_975)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl(nGC_63  &
                        )**2d0*coupl(nGC_68) - 10d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_63)*coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(  &
                        nGC_1485)*coupl(nGC_64)**2d0*coupl(nGC_68) - 5d0*cima* &
                        coupl(nGC_1485)*coupl(nGC_72)*coupl(nGC_817)*coupl(    &
                        nGC_975) + 20d0*cima*coupl(nGC_153)*coupl(nGC_154)*    &
                        coupl(nGC_157)*coupl(nGC_158) + 12d0*cima*coupl(nGC_16 &
                        )**2d0 + 20d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(&
                        nGC_165)*coupl(nGC_166) + 20d0*cima*coupl(nGC_184)*    &
                        coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189) - 5d0*cima&
                        *coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_793)**2d0 - &
                        5d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_975 &
                        )**2d0 - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl( &
                        nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_2391)*coupl(&
                        nGC_64)*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_867)*coupl(nGC_91)*coupl(nGC_975   &
                        ) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_68&
                        )*coupl(nGC_69) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_64&
                        )*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_63)*&
                        coupl(nGC_867)*coupl(nGC_92)*coupl(nGC_96) + 12d0*cima*&
                        coupl(nGC_65)*coupl(nGC_66) - 5d0*cima*coupl(nGC_665)* &
                        coupl(nGC_72)*coupl(nGC_867)*coupl(nGC_92) - 5d0*cima* &
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_817)*coupl(nGC_96&
                        ) + 12d0*cima*coupl(nGC_70)**2d0 - 5d0*cima*coupl(     &
                        nGC_72)*coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_94) +  &
                        3d0*coupl(nGC_10)*coupl(nGC_1485)*coupl(nGC_2391) + 3d0&
                        *coupl(nGC_13)*coupl(nGC_1485)**2d0 + 3d0*coupl(nGC_13 &
                        )*coupl(nGC_2391)*coupl(nGC_3011) + 3d0*coupl(nGC_1331 &
                        )*coupl(nGC_40)*coupl(nGC_96) - 3d0*coupl(nGC_14)*coupl&
                        (nGC_2391)*coupl(nGC_975) - 3d0*coupl(nGC_14)*coupl(   &
                        nGC_867)*coupl(nGC_92) - 6d0*coupl(nGC_1485)*coupl(    &
                        nGC_16)*coupl(nGC_975) + 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_22)*coupl(nGC_63) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_23)*coupl(nGC_64) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_3011)*coupl(nGC_9) + 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_34)*coupl(nGC_68) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_35)*coupl(nGC_68) - 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_70)*coupl(nGC_793) - 3d0*coupl(nGC_15)*coupl(      &
                        nGC_3011)*coupl(nGC_975) - 3d0*coupl(nGC_15)*coupl(    &
                        nGC_665)*coupl(nGC_72) - 3d0*coupl(nGC_16)*coupl(nGC_72&
                        )*coupl(nGC_817) - 3d0*coupl(nGC_16)*coupl(nGC_867)*   &
                        coupl(nGC_94) + 3d0*coupl(nGC_22)*coupl(nGC_2391)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_23)*coupl(nGC_3011)*coupl(    &
                        nGC_68) + 3d0*coupl(nGC_2391)*coupl(nGC_30)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_2391)*coupl(nGC_3011)*coupl(   &
                        nGC_57) + 3d0*coupl(nGC_2391)*coupl(nGC_3011)*coupl(   &
                        nGC_60) + 3d0*coupl(nGC_2391)*coupl(nGC_44)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_2391)*coupl(nGC_45)*coupl(     &
                        nGC_68) - 3d0*coupl(nGC_2391)*coupl(nGC_65)*coupl(     &
                        nGC_793) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(&
                        nGC_27)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(       &
                        nGC_3011)*coupl(nGC_32)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_44)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_45)*coupl(nGC_69) - 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_66)*coupl(nGC_793) + 6d0*coupl(    &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36 &
                        )*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_36)*coupl&
                        (nGC_793)**2d0 + 3d0*coupl(nGC_36)*coupl(nGC_975)**2d0 &
                         + 3d0*coupl(nGC_37)*coupl(nGC_72)*coupl(nGC_867) + 3d0&
                        *coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(&
                        nGC_40)*coupl(nGC_64)*coupl(nGC_867) + 3d0*coupl(nGC_40&
                        )*coupl(nGC_665)*coupl(nGC_96) + 3d0*coupl(nGC_40)*    &
                        coupl(nGC_91)*coupl(nGC_96) + 3d0*coupl(nGC_40)*coupl( &
                        nGC_92)*coupl(nGC_96) + 3d0*coupl(nGC_42)*coupl(nGC_817&
                        )*coupl(nGC_92) + 3d0*coupl(nGC_43)*coupl(nGC_665)*    &
                        coupl(nGC_94) + 3d0*coupl(nGC_48)*coupl(nGC_69)*coupl( &
                        nGC_72) + 3d0*coupl(nGC_48)*coupl(nGC_817)*coupl(nGC_96&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_94)*coupl(nGC_96) + 3d0&
                        *coupl(nGC_49)*coupl(nGC_69)*coupl(nGC_867) + 3d0*coupl&
                        (nGC_49)*coupl(nGC_817)*coupl(nGC_96) + 3d0*coupl(     &
                        nGC_49)*coupl(nGC_94)*coupl(nGC_96) + 3d0*coupl(nGC_57 &
                        )*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_58)*coupl(nGC_665 &
                        )*coupl(nGC_92) + 3d0*coupl(nGC_58)*coupl(nGC_817)*    &
                        coupl(nGC_94) + 3d0*coupl(nGC_60)*coupl(nGC_69)**2d0)/(&
                        96d0*pi**2d0)
      coupl(nGC_9168) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_131)*coupl(      &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(&
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)*   &
                        coupl(nGC_142)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_146)*coupl(nGC_150)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84)*coupl(&
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*  &
                        coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_170)*coupl(&
                        nGC_174)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_84)*coupl(nGC_88) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178)*coupl(&
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193)*   &
                        coupl(nGC_196)*coupl(nGC_87)**2d0 + 4d0*cima*coupl(    &
                        nGC_1331)*coupl(nGC_1485)**2d0*coupl(nGC_94) + 4d0*cima&
                        *coupl(nGC_1331)*coupl(nGC_1485)*coupl(nGC_2391)*coupl(&
                        nGC_92) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_72)*coupl(&
                        nGC_867)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1485)**2d0*&
                        coupl(nGC_817)*coupl(nGC_91) + 4d0*cima*coupl(nGC_1485 &
                        )*coupl(nGC_2391)*coupl(nGC_817)*coupl(nGC_94) + 4d0*  &
                        cima*coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_665)*   &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_3011&
                        )*coupl(nGC_817)*coupl(nGC_94) - 16d0*cima*coupl(      &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_86)**2d0 + 20d0*cima*&
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86)*coupl(     &
                        nGC_90) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_90)**2d0 - 16d0*cima*coupl(nGC_162)*coupl(nGC_166 &
                        )*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)*coupl( &
                        nGC_166)*coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(&
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90)**2d0 - 16d0*cima*&
                        coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)**2d0 + 20d0&
                        *cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)*coupl&
                        (nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*    &
                        coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_2391)*coupl(   &
                        nGC_3011)*coupl(nGC_665)*coupl(nGC_94) + 4d0*cima*coupl&
                        (nGC_2391)*coupl(nGC_3011)*coupl(nGC_817)*coupl(nGC_92 &
                        ) + 9d0*cima*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82  &
                        )**2d0 + 9d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(   &
                        nGC_82)**2d0 + 4d0*cima*coupl(nGC_72)*coupl(nGC_817)*  &
                        coupl(nGC_867)*coupl(nGC_91) - 3d0*coupl(nGC_1047)*    &
                        coupl(nGC_63)*coupl(nGC_68) - 3d0*coupl(nGC_1047)*coupl&
                        (nGC_64)*coupl(nGC_68) - 6d0*coupl(nGC_14)*coupl(nGC_68&
                        )*coupl(nGC_82) + 3d0*coupl(nGC_1485)*coupl(nGC_2391)* &
                        coupl(nGC_99) + 3d0*coupl(nGC_1485)*coupl(nGC_3011)*   &
                        coupl(nGC_99) - 6d0*coupl(nGC_15)*coupl(nGC_68)*coupl( &
                        nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_82))/(   &
                        96d0*pi**2d0)
      coupl(nGC_9169) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_196)*coupl(    &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1191)*  &
                        coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_1191)*coupl(nGC_196)*coupl(nGC_80)*coupl&
                        (nGC_88) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_695)* &
                        coupl(nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(      &
                        nGC_134)*coupl(nGC_695)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_134)*coupl(nGC_695)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(   &
                        nGC_144)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_147)*coupl(nGC_150)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_147)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_80)*coupl(     &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_171)*coupl(nGC_174)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_171)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_181)*coupl(nGC_2019)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*   &
                        coupl(nGC_2019)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc* &
                        cima*coupl(nGC_181)*coupl(nGC_2019)*coupl(nGC_80)*coupl&
                        (nGC_88) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_1485)*   &
                        coupl(nGC_72)**2d0 + 9d0*cima*coupl(nGC_1331)*coupl(   &
                        nGC_68)*coupl(nGC_82)*coupl(nGC_833) + 4d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_975) + &
                        20d0*cima*coupl(nGC_155)*coupl(nGC_158)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_155)*coupl(nGC_158 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_155&
                        )*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_163)*coupl(nGC_166)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_163)*coupl&
                        (nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 20d0*cima*coupl&
                        (nGC_186)*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86) - &
                        16d0*cima*coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_80)* &
                        coupl(nGC_89) - 16d0*cima*coupl(nGC_186)*coupl(nGC_189 &
                        )*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_975) + 4d0*cima&
                        *coupl(nGC_3011)*coupl(nGC_72)**2d0*coupl(nGC_817) +   &
                        4d0*cima*coupl(nGC_63)*coupl(nGC_72)**2d0*coupl(nGC_94 &
                        ) + 9d0*cima*coupl(nGC_63)*coupl(nGC_817)*coupl(nGC_82 &
                        )*coupl(nGC_833) + 4d0*cima*coupl(nGC_63)*coupl(nGC_94 &
                        )*coupl(nGC_96)*coupl(nGC_975) + 4d0*cima*coupl(nGC_68 &
                        )*coupl(nGC_92)*coupl(nGC_96)*coupl(nGC_975) + 4d0*cima&
                        *coupl(nGC_69)*coupl(nGC_72)**2d0*coupl(nGC_91) + 4d0* &
                        cima*coupl(nGC_867)*coupl(nGC_91)*coupl(nGC_94)*coupl( &
                        nGC_975) + 4d0*cima*coupl(nGC_867)*coupl(nGC_92)*coupl(&
                        nGC_94)*coupl(nGC_975) - 6d0*coupl(nGC_1331)*coupl(    &
                        nGC_16)*coupl(nGC_833) - 6d0*coupl(nGC_1331)*coupl(    &
                        nGC_68)*coupl(nGC_79) - 6d0*coupl(nGC_14)*coupl(nGC_817&
                        )*coupl(nGC_833) + 6d0*coupl(nGC_14)*coupl(nGC_94)*    &
                        coupl(nGC_975) + 6d0*coupl(nGC_1485)*coupl(nGC_15)*    &
                        coupl(nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_3011)*coupl&
                        (nGC_72) + 6d0*coupl(nGC_16)*coupl(nGC_92)*coupl(      &
                        nGC_975) - 6d0*coupl(nGC_63)*coupl(nGC_79)*coupl(      &
                        nGC_817))/(192d0*pi**2d0)
      coupl(nGC_23555) = -coupl(nGC_16444) + coupl(nGC_16445)
      coupl(nGC_14262) = coupl(nGC_12979) + coupl(nGC_14257)
      coupl(nGC_8775) = (-6d0*coupl(nGC_1103)*coupl(nGC_68)*coupl(nGC_72) +    &
                        coupl(nGC_1243)*coupl(nGC_793)*coupl(nGC_867) + coupl( &
                        nGC_1485)*coupl(nGC_17)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_3)*coupl(nGC_69)*coupl(nGC_72))/(96d0*pi**2d0)
      coupl(nGC_8776) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_137) - 8d0*Nc*&
                        cMC*coupl(nGC_133)*coupl(nGC_2)**2d0 - 8d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_149) - 8d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_173) - 8d0*Nc*cMT*coupl(nGC_180)*coupl(  &
                        nGC_2)**2d0 - 8d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)** &
                        2d0 - 8d0*cME*coupl(nGC_157)*coupl(nGC_4)**2d0 - 8d0*  &
                        cMM*coupl(nGC_165)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl( &
                        nGC_188)*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_1207)* &
                        coupl(nGC_125) + 6d0*coupl(nGC_1103)**2d0*coupl(nGC_125&
                        ) - coupl(nGC_1103)*coupl(nGC_1243)*coupl(nGC_127) -   &
                        coupl(nGC_1103)*coupl(nGC_126)*coupl(nGC_3011) - coupl(&
                        nGC_1103)*coupl(nGC_126)*coupl(nGC_64) - coupl(nGC_1103&
                        )*coupl(nGC_127)*coupl(nGC_68) + 6d0*coupl(nGC_125)*   &
                        coupl(nGC_3)**2d0 - coupl(nGC_126)*coupl(nGC_2391)*    &
                        coupl(nGC_3) - coupl(nGC_126)*coupl(nGC_3)*coupl(nGC_63&
                        ) - coupl(nGC_127)*coupl(nGC_1485)*coupl(nGC_3) - coupl&
                        (nGC_127)*coupl(nGC_3)*coupl(nGC_69))/(32d0*pi**2d0)
      coupl(nGC_8777) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_141) - 8d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_2)**2d0 - 8d0*Nc*cMD*coupl&
                        (nGC_1)**2d0*coupl(nGC_145) - 8d0*Nc*cMS*coupl(nGC_1)**&
                        2d0*coupl(nGC_169) - 8d0*Nc*cMT*coupl(nGC_177)*coupl(  &
                        nGC_2)**2d0 - 8d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)** &
                        2d0 - 8d0*cME*coupl(nGC_153)*coupl(nGC_4)**2d0 - 8d0*  &
                        cMM*coupl(nGC_161)*coupl(nGC_4)**2d0 - 8d0*cMTA*coupl( &
                        nGC_184)*coupl(nGC_4)**2d0 + 4d0*cima*coupl(nGC_1207)* &
                        coupl(nGC_124) + 6d0*coupl(nGC_1103)**2d0*coupl(nGC_124&
                        ) - coupl(nGC_1103)*coupl(nGC_1243)*coupl(nGC_126) -   &
                        coupl(nGC_1103)*coupl(nGC_126)*coupl(nGC_68) - coupl(  &
                        nGC_1103)*coupl(nGC_127)*coupl(nGC_2391) - coupl(      &
                        nGC_1103)*coupl(nGC_127)*coupl(nGC_63) + 6d0*coupl(    &
                        nGC_124)*coupl(nGC_3)**2d0 - coupl(nGC_126)*coupl(     &
                        nGC_1485)*coupl(nGC_3) - coupl(nGC_126)*coupl(nGC_3)*  &
                        coupl(nGC_69) - coupl(nGC_127)*coupl(nGC_3)*coupl(     &
                        nGC_3011) - coupl(nGC_127)*coupl(nGC_3)*coupl(nGC_64   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_8771) = (-2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80  &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_80&
                        ) - 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMS*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_80&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_196)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_607) + 4d0*cima* &
                        coupl(nGC_127)*coupl(nGC_5) + 6d0*coupl(nGC_107)*coupl(&
                        nGC_3)*coupl(nGC_833) + 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_127)*coupl(nGC_3) - coupl(nGC_1103)*coupl(nGC_127)*&
                        coupl(nGC_793) - coupl(nGC_124)*coupl(nGC_3)*coupl(    &
                        nGC_63) - coupl(nGC_125)*coupl(nGC_3)*coupl(nGC_68) -  &
                        coupl(nGC_127)*coupl(nGC_833)*coupl(nGC_975))/(32d0*pi &
                        **2d0)
      coupl(nGC_9354) = coupl(nGC_8339)*dl3_QED4 + coupl(nGC_8340)*dl1_QED4 +  &
                        coupl(nGC_8341)*dl2_QED4 + coupl(nGC_8342)*dl5_QED4 +  &
                        coupl(nGC_8343)*dl4_QED4 + coupl(nGC_8344)*dvev1_QED1  &
                         + coupl(nGC_8345)*dvev2_QED1 + coupl(nGC_8346)*da_QED2
      coupl(nGC_14851) = coupl(nGC_154)*dZHMinus_QED2/2d0 + coupl(nGC_154)*    &
                         dZeMinusR_QED2/2d0 + coupl(nGC_154)*dZnu_eL_QED2/2d0  &
                          + coupl(nGC_158)*dZGMinusHMinus_QED2/2d0 + coupl(    &
                         nGC_9470)
      coupl(nGC_13091) = coupl(nGC_178)*dZbL_QCD2/2d0 + coupl(nGC_178)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9428)
      coupl(nGC_15072) = -coupl(nGC_13430)
      coupl(nGC_18299) = coupl(nGC_138)*dZbR_QCD2/2d0 + coupl(nGC_138)*        &
                         dZtL_QCD2/2d0 + coupl(nGC_9418)
      coupl(nGC_18298) = coupl(nGC_181)*dZbL_QCD2/2d0 + coupl(nGC_181)*        &
                         dZtR_QCD2/2d0 + coupl(nGC_9416)
      coupl(nGC_18297) = coupl(nGC_138)*dZbR_QED2/2d0 + coupl(nGC_138)*        &
                         dZtL_QED2/2d0 + coupl(nGC_142)*dZHMinusGMinus_QED2/2d0&
                          + coupl(nGC_9417)
      coupl(nGC_18296) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_181&
                         )*dZbL_QED2/2d0 + coupl(nGC_181)*dZtR_QED2/2d0 + coupl&
                         (nGC_9415)
      coupl(nGC_14583) = coupl(nGC_4)*dZWMinus_QED2/2d0 + coupl(nGC_9395)
      coupl(nGC_14619) = coupl(nGC_108)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_110&
                         )*dZHMinusGMinus_QED2/2d0 + coupl(nGC_111)*dZHhHl_QED2&
                         /2d0 + coupl(nGC_119)*dZHMinus_QED2/2d0 + coupl(      &
                         nGC_119)*dZHl_QED2/2d0 + coupl(nGC_9347) + coupl(     &
                         nGC_TS_GC_24_Hl) + coupl(nGC_TS_GC_36_Hh)
      coupl(nGC_14615) = coupl(nGC_119)*dZGMinus/2d0
      coupl(nGC_9350) = coupl(nGC_8386)*dl3_QED4 + coupl(nGC_8387)*db_QED2 +   &
                        coupl(nGC_8388)*dl2_QED4 + coupl(nGC_8389)*dl5_QED4 +  &
                        coupl(nGC_8390)*dvev2_QED1 + coupl(nGC_8391)*dvev1_QED1&
                         + coupl(nGC_8392)*dl1_QED4 + coupl(nGC_8393)*dl4_QED4 &
                         + coupl(nGC_8394)*da_QED2
      coupl(nGC_8711) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)* &
                        coupl(nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 4d0*Nc*coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl&
                        (nGC_193)*coupl(nGC_196) + coupl(nGC_1485)*coupl(      &
                        nGC_2391) + coupl(nGC_1485)*coupl(nGC_3011) + 4d0*coupl&
                        (nGC_154)*coupl(nGC_158) + 4d0*coupl(nGC_162)*coupl(   &
                        nGC_166) + 4d0*coupl(nGC_185)*coupl(nGC_189) + coupl(  &
                        nGC_63)*coupl(nGC_68) + coupl(nGC_64)*coupl(nGC_68))/( &
                        192d0*pi**2d0)
      coupl(nGC_13744) = coupl(nGC_41)*dZHaG0_QED2/2d0 + coupl(nGC_41)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_48)*dZHMinus_QED2/2d0 +   &
                         coupl(nGC_48)*dZHl_QED2/2d0 + coupl(nGC_9318)
      coupl(nGC_14032) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*           &
                         dZnu_muL_QED2 + coupl(nGC_9404)
      coupl(nGC_9149) = (-16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_85)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_85)*coupl&
                        (nGC_87) - 16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(     &
                        nGC_87)**2d0 - 16d0*Nc*cima*coupl(nGC_138)**2d0*coupl( &
                        nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl( &
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)**  &
                        2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_150)** &
                        2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(nGC_150)** &
                        2d0*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(  &
                        nGC_150)**2d0*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl( &
                        nGC_174)**2d0*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl( &
                        nGC_174)**2d0*coupl(nGC_84)*coupl(nGC_88) - 16d0*Nc*   &
                        cima*coupl(nGC_174)**2d0*coupl(nGC_88)**2d0 - 16d0*Nc* &
                        cima*coupl(nGC_181)**2d0*coupl(nGC_85)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_181)**2d0*coupl(nGC_85)*coupl(nGC_87) - &
                        16d0*Nc*cima*coupl(nGC_181)**2d0*coupl(nGC_87)**2d0 -  &
                        16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_85)**2d0 +  &
                        20d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_87&
                        )**2d0 + 12d0*cima*coupl(nGC_1047)*coupl(nGC_62) + 9d0*&
                        cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_82)**2d0  &
                         + 4d0*cima*coupl(nGC_1331)*coupl(nGC_1485)*coupl(     &
                        nGC_64)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1331)*coupl(&
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_92) + 4d0*cima*coupl(&
                        nGC_1485)*coupl(nGC_64)*coupl(nGC_817)*coupl(nGC_91) + &
                        4d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_817)* &
                        coupl(nGC_94) - 16d0*cima*coupl(nGC_158)**2d0*coupl(   &
                        nGC_86)**2d0 + 20d0*cima*coupl(nGC_158)**2d0*coupl(    &
                        nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_158)**2d0* &
                        coupl(nGC_90)**2d0 - 16d0*cima*coupl(nGC_166)**2d0*    &
                        coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_166)**2d0*    &
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_166  &
                        )**2d0*coupl(nGC_90)**2d0 - 16d0*cima*coupl(nGC_189)** &
                        2d0*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_189)**2d0*&
                        coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(nGC_189  &
                        )**2d0*coupl(nGC_90)**2d0 + 9d0*cima*coupl(nGC_2391)*  &
                        coupl(nGC_63)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(     &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_91) + &
                        4d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_817)* &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_665 &
                        )*coupl(nGC_69)*coupl(nGC_94) + 4d0*cima*coupl(nGC_3011&
                        )*coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_92) + 4d0*cima&
                        *coupl(nGC_665)*coupl(nGC_72)*coupl(nGC_867)*coupl(    &
                        nGC_91) + 4d0*cima*coupl(nGC_72)*coupl(nGC_817)*coupl( &
                        nGC_867)*coupl(nGC_94) + 9d0*cima*coupl(nGC_72)*coupl( &
                        nGC_82)**2d0*coupl(nGC_867) + 4d0*cima*coupl(nGC_793)**&
                        2d0*coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_96)**2d0*  &
                        coupl(nGC_975)**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_793 &
                        )**2d0 + 3d0*coupl(nGC_100)*coupl(nGC_975)**2d0 + 3d0* &
                        coupl(nGC_101)*coupl(nGC_72)*coupl(nGC_867) - 3d0*coupl&
                        (nGC_1047)*coupl(nGC_1243)*coupl(nGC_68) - 3d0*coupl(  &
                        nGC_1047)*coupl(nGC_2391)*coupl(nGC_63) - 3d0*coupl(   &
                        nGC_1047)*coupl(nGC_72)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_1243)*coupl(nGC_16)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_2391)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_63)*coupl(nGC_82) + 3d0*coupl(       &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_99) - 6d0*coupl(     &
                        nGC_16)*coupl(nGC_68)*coupl(nGC_82) - 6d0*coupl(nGC_19 &
                        )*coupl(nGC_72)*coupl(nGC_82) - 6d0*coupl(nGC_20)*coupl&
                        (nGC_82)*coupl(nGC_867) + 3d0*coupl(nGC_3011)*coupl(   &
                        nGC_64)*coupl(nGC_99) + 18d0*coupl(nGC_62)*coupl(nGC_82&
                        )**2d0 + 18d0*coupl(nGC_62)*coupl(nGC_833)**2d0)/(96d0*&
                        pi**2d0)
      coupl(nGC_20174) = -coupl(nGC_12998) + coupl(nGC_13003)
    end subroutine fill_CTcouplings_mdl27
end module fill_ctcouplings27
