!******************************************************************************!
!                                                                              !
!    fill_ctcouplings28.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings28.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings28
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl28()
      coupl(nGC_16226) = coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_90)*           &
                         dZnu_eL_QED2 + coupl(nGC_9404)
      coupl(nGC_9151) = (10d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_146)*coupl(    &
                        nGC_150)*coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_1191)*&
                        coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_1191)*coupl(nGC_193)*coupl(nGC_196)*    &
                        coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_131)*coupl(    &
                        nGC_132)*coupl(nGC_134)*coupl(nGC_135) + 10d0*Nc*cima* &
                        coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_174)*coupl(    &
                        nGC_175) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)* &
                        coupl(nGC_136)*coupl(nGC_695) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_171)*coupl(nGC_176   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_172)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_136)*coupl(nGC_171)*coupl(nGC_174) + 10d0*Nc*&
                        cima*coupl(nGC_132)*coupl(nGC_135)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*&
                        coupl(nGC_170)*coupl(nGC_172) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_170)*coupl(nGC_176)*coupl(nGC_695   &
                        ) + 10d0*Nc*cima*coupl(nGC_136)*coupl(nGC_170)*coupl(  &
                        nGC_174)*coupl(nGC_695) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_143) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_178)*coupl&
                        (nGC_179) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)*&
                        coupl(nGC_142)*coupl(nGC_144) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_179)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_183)*coupl(nGC_2019) + 10d0*Nc*cima*coupl(nGC_138)*&
                        coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_183) + 10d0*Nc*&
                        cima*coupl(nGC_139)*coupl(nGC_143)*coupl(nGC_178)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*&
                        coupl(nGC_181)*coupl(nGC_2019) + 10d0*Nc*cima*coupl(   &
                        nGC_140)*coupl(nGC_144)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(  &
                        nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_150)*coupl&
                        (nGC_151) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_148)*&
                        coupl(nGC_196)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_194)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*coupl(  &
                        nGC_193)*coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*&
                        cima*coupl(nGC_148)*coupl(nGC_151)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*&
                        coupl(nGC_193)*coupl(nGC_194) + 10d0*Nc*cima*coupl(    &
                        nGC_170)*coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_176   &
                        ) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_172)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_179)*coupl(nGC_181)*coupl(nGC_182) + 10d0*Nc*&
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_183)*coupl&
                        (nGC_2019) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_194 &
                        )*coupl(nGC_196)*coupl(nGC_197) - 5d0*cima*coupl(      &
                        nGC_1331)*coupl(nGC_2391)*coupl(nGC_867)*coupl(nGC_96  &
                        ) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_64)*coupl(nGC_68&
                        )*coupl(nGC_94) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_68&
                        )**2d0*coupl(nGC_91) - 5d0*cima*coupl(nGC_1485)*coupl( &
                        nGC_817)*coupl(nGC_867)*coupl(nGC_96) + 10d0*cima*coupl&
                        (nGC_154)*coupl(nGC_155)*coupl(nGC_158)*coupl(nGC_160  &
                        ) + 10d0*cima*coupl(nGC_154)*coupl(nGC_156)*coupl(     &
                        nGC_158)*coupl(nGC_159) + 10d0*cima*coupl(nGC_162)*    &
                        coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_168) + 10d0*   &
                        cima*coupl(nGC_162)*coupl(nGC_164)*coupl(nGC_166)*coupl&
                        (nGC_167) - 5d0*cima*coupl(nGC_17)**2d0*coupl(nGC_72)* &
                        coupl(nGC_867) + 10d0*cima*coupl(nGC_185)*coupl(nGC_186&
                        )*coupl(nGC_189)*coupl(nGC_191) + 10d0*cima*coupl(     &
                        nGC_185)*coupl(nGC_187)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 12d0*cima*coupl(nGC_19)*coupl(nGC_20) - 5d0*cima*  &
                        coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_92&
                        ) - 5d0*cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_817 &
                        )*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*coupl(nGC_665 &
                        )*coupl(nGC_68)*coupl(nGC_94) - 5d0*cima*coupl(nGC_63)*&
                        coupl(nGC_665)*coupl(nGC_867)*coupl(nGC_975) - 5d0*cima&
                        *coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_817)*coupl(     &
                        nGC_91) - 5d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(  &
                        nGC_817)*coupl(nGC_92) - 5d0*cima*coupl(nGC_68)**2d0*  &
                        coupl(nGC_817)*coupl(nGC_94) - 5d0*cima*coupl(nGC_68)* &
                        coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_975) - 5d0*cima&
                        *coupl(nGC_72)*coupl(nGC_867)*coupl(nGC_96)**2d0 + 12d0&
                        *cima*coupl(nGC_73)*coupl(nGC_74) - 3d0*coupl(nGC_1331 &
                        )*coupl(nGC_19)*coupl(nGC_2391) + 3d0*coupl(nGC_1331)* &
                        coupl(nGC_40)*coupl(nGC_96) - 3d0*coupl(nGC_1485)*coupl&
                        (nGC_19)*coupl(nGC_817) + 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_48)*coupl(nGC_72) + 3d0*coupl(nGC_17)**2d0*coupl(  &
                        nGC_58) - 3d0*coupl(nGC_17)*coupl(nGC_74)*coupl(nGC_867&
                        ) - 3d0*coupl(nGC_19)*coupl(nGC_867)*coupl(nGC_975) -  &
                        3d0*coupl(nGC_20)*coupl(nGC_63)*coupl(nGC_665) - 3d0*  &
                        coupl(nGC_20)*coupl(nGC_68)*coupl(nGC_817) - 3d0*coupl(&
                        nGC_20)*coupl(nGC_867)*coupl(nGC_96) + 3d0*coupl(nGC_24&
                        )*coupl(nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_27)*    &
                        coupl(nGC_817)*coupl(nGC_92) + 3d0*coupl(nGC_28)*coupl(&
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_29)*coupl(nGC_64 &
                        )*coupl(nGC_68) + 3d0*coupl(nGC_3011)*coupl(nGC_40)*   &
                        coupl(nGC_72) + 3d0*coupl(nGC_36)*coupl(nGC_665)*coupl(&
                        nGC_92) + 3d0*coupl(nGC_36)*coupl(nGC_817)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_37)*coupl(nGC_63)*coupl(nGC_64) + 3d0&
                        *coupl(nGC_37)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_40)* &
                        coupl(nGC_64)*coupl(nGC_72) + 3d0*coupl(nGC_40)*coupl( &
                        nGC_665)*coupl(nGC_975) + 3d0*coupl(nGC_40)*coupl(     &
                        nGC_91)*coupl(nGC_975) + 3d0*coupl(nGC_40)*coupl(nGC_92&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_48)*coupl(nGC_817)*    &
                        coupl(nGC_975) + 3d0*coupl(nGC_48)*coupl(nGC_94)*coupl(&
                        nGC_975) + 3d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_49)*coupl(nGC_817)*coupl(nGC_96) +   &
                        3d0*coupl(nGC_49)*coupl(nGC_94)*coupl(nGC_96) + 6d0*   &
                        coupl(nGC_56)*coupl(nGC_867)**2d0 + 3d0*coupl(nGC_57)* &
                        coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_58)*coupl(&
                        nGC_72)**2d0 + 3d0*coupl(nGC_58)*coupl(nGC_96)**2d0 +  &
                        3d0*coupl(nGC_59)*coupl(nGC_72)*coupl(nGC_867) + 3d0*  &
                        coupl(nGC_60)*coupl(nGC_72)*coupl(nGC_867) - 3d0*coupl(&
                        nGC_73)*coupl(nGC_793)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9150) = (20d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(     &
                        nGC_135)*coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_136)*coupl(nGC_174)*coupl&
                        (nGC_175) + 20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_135)*&
                        coupl(nGC_170)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_135)*coupl(nGC_136)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_140)*coupl(nGC_142) + 20d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182)*coupl&
                        (nGC_183) + 20d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*&
                        coupl(nGC_178)*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_182   &
                        ) + 20d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*coupl(  &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_197)*coupl(nGC_198) + 20d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_196)*coupl&
                        (nGC_197) + 20d0*Nc*cima*coupl(nGC_150)*coupl(nGC_151)*&
                        coupl(nGC_193)*coupl(nGC_198) + 20d0*Nc*cima*coupl(    &
                        nGC_151)*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(  &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_178)* &
                        coupl(nGC_181)*coupl(nGC_182)*coupl(nGC_183) + 20d0*Nc*&
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197)*coupl&
                        (nGC_198) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_665&
                        )*coupl(nGC_94) - 5d0*cima*coupl(nGC_1485)*coupl(      &
                        nGC_2391)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl&
                        (nGC_1485)*coupl(nGC_2391)*coupl(nGC_817)*coupl(nGC_94 &
                        ) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_3011)*coupl(    &
                        nGC_665)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_3011)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*    &
                        coupl(nGC_1485)*coupl(nGC_665)*coupl(nGC_867)*coupl(   &
                        nGC_96) + 20d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_162)*   &
                        coupl(nGC_166)*coupl(nGC_167)*coupl(nGC_168) + 20d0*   &
                        cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*  &
                        coupl(nGC_817)*coupl(nGC_91) - 5d0*cima*coupl(nGC_2391 &
                        )*coupl(nGC_817)*coupl(nGC_867)*coupl(nGC_96) - 5d0*   &
                        cima*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_665)*coupl( &
                        nGC_94) - 5d0*cima*coupl(nGC_63)*coupl(nGC_665)*coupl( &
                        nGC_68)*coupl(nGC_91) - 5d0*cima*coupl(nGC_63)*coupl(  &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl( &
                        nGC_64)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) -   &
                        5d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(nGC_817)*   &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_64)*coupl(nGC_72)*  &
                        coupl(nGC_94)*coupl(nGC_975) - 5d0*cima*coupl(nGC_68)**&
                        2d0*coupl(nGC_817)*coupl(nGC_91) - 5d0*cima*coupl(     &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_91)*coupl(nGC_975) -   &
                        3d0*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_62) - 3d0&
                        *coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_62) + 3d0*  &
                        coupl(nGC_1485)*coupl(nGC_40)*coupl(nGC_72) + 3d0*coupl&
                        (nGC_17)**2d0*coupl(nGC_43) - 6d0*coupl(nGC_19)*coupl( &
                        nGC_64)*coupl(nGC_94) - 6d0*coupl(nGC_19)*coupl(nGC_68 &
                        )*coupl(nGC_91) + 3d0*coupl(nGC_24)*coupl(nGC_665)*    &
                        coupl(nGC_91) + 3d0*coupl(nGC_25)*coupl(nGC_63)*coupl( &
                        nGC_64) + 3d0*coupl(nGC_25)*coupl(nGC_68)**2d0 + 3d0*  &
                        coupl(nGC_27)*coupl(nGC_817)*coupl(nGC_94) + 3d0*coupl(&
                        nGC_3011)*coupl(nGC_49)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_33)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_36 &
                        )*coupl(nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_36)*    &
                        coupl(nGC_817)*coupl(nGC_91) + 3d0*coupl(nGC_39)*coupl(&
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_40)*coupl(nGC_68 &
                        )*coupl(nGC_867) + 3d0*coupl(nGC_40)*coupl(nGC_817)*   &
                        coupl(nGC_96) + 6d0*coupl(nGC_40)*coupl(nGC_817)*coupl(&
                        nGC_975) + 3d0*coupl(nGC_40)*coupl(nGC_94)*coupl(      &
                        nGC_975) + 3d0*coupl(nGC_43)*coupl(nGC_72)**2d0 + 9d0* &
                        coupl(nGC_43)*coupl(nGC_867)**2d0 + 3d0*coupl(nGC_43)* &
                        coupl(nGC_96)**2d0 + 6d0*coupl(nGC_45)*coupl(nGC_72)*  &
                        coupl(nGC_867) + 3d0*coupl(nGC_47)*coupl(nGC_72)*coupl(&
                        nGC_867) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(      &
                        nGC_867) + 3d0*coupl(nGC_49)*coupl(nGC_665)*coupl(     &
                        nGC_96) + 6d0*coupl(nGC_49)*coupl(nGC_665)*coupl(      &
                        nGC_975) + 3d0*coupl(nGC_49)*coupl(nGC_91)*coupl(      &
                        nGC_975))/(96d0*pi**2d0)
      coupl(nGC_9157) = (20d0*Nc*cima*coupl(nGC_131)**3d0*coupl(nGC_134) + 20d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)**3d0 + 20d0*Nc* &
                        cima*coupl(nGC_146)**3d0*coupl(nGC_150) + 20d0*Nc*cima*&
                        coupl(nGC_170)**3d0*coupl(nGC_174) + 20d0*Nc*cima*coupl&
                        (nGC_178)**3d0*coupl(nGC_181) + 20d0*Nc*cima*coupl(    &
                        nGC_193)**3d0*coupl(nGC_196) - 5d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_63)*coupl(nGC_68)**2d0 - 5d0*cima*coupl(   &
                        nGC_1243)*coupl(nGC_64)*coupl(nGC_68)**2d0 - 5d0*cima* &
                        coupl(nGC_1485)**2d0*coupl(nGC_2391)*coupl(nGC_69) -   &
                        5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_3011)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_2391)**2d0&
                        *coupl(nGC_63) - 5d0*cima*coupl(nGC_1485)*coupl(       &
                        nGC_2391)*coupl(nGC_3011)*coupl(nGC_63) - 5d0*cima*    &
                        coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_72)*coupl(   &
                        nGC_867) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_3011)*   &
                        coupl(nGC_72)*coupl(nGC_867) - 10d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_63)*coupl(nGC_68)**2d0 - 10d0*cima*coupl(  &
                        nGC_1485)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_69) +  &
                        20d0*cima*coupl(nGC_154)**3d0*coupl(nGC_158) + 20d0*   &
                        cima*coupl(nGC_162)**3d0*coupl(nGC_166) + 20d0*cima*   &
                        coupl(nGC_185)**3d0*coupl(nGC_189) - 10d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_68) -  &
                        10d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_64)* &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_63)*&
                        coupl(nGC_64)*coupl(nGC_68) - 5d0*cima*coupl(nGC_3011)*&
                        coupl(nGC_64)**2d0*coupl(nGC_68) - 15d0*cima*coupl(    &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) -   &
                        10d0*cima*coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_72)*   &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_64)*coupl(nGC_68)* &
                        coupl(nGC_72)*coupl(nGC_867) - 6d0*coupl(nGC_1485)*    &
                        coupl(nGC_2391)*coupl(nGC_62) + 6d0*coupl(nGC_1485)*   &
                        coupl(nGC_24)*coupl(nGC_69) - 6d0*coupl(nGC_1485)*coupl&
                        (nGC_3011)*coupl(nGC_62) + 6d0*coupl(nGC_1485)*coupl(  &
                        nGC_36)*coupl(nGC_63) + 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_40)*coupl(nGC_72) + 6d0*coupl(nGC_17)**2d0*coupl(  &
                        nGC_44) + 6d0*coupl(nGC_17)*coupl(nGC_44)*coupl(nGC_793&
                        ) + 6d0*coupl(nGC_22)*coupl(nGC_63)*coupl(nGC_64) + 6d0&
                        *coupl(nGC_22)*coupl(nGC_68)**2d0 + 6d0*coupl(nGC_2391 &
                        )*coupl(nGC_27)*coupl(nGC_63) + 6d0*coupl(nGC_2391)*   &
                        coupl(nGC_36)*coupl(nGC_69) + 6d0*coupl(nGC_2391)*coupl&
                        (nGC_48)*coupl(nGC_72) + 6d0*coupl(nGC_30)*coupl(nGC_63&
                        )*coupl(nGC_68) + 6d0*coupl(nGC_34)*coupl(nGC_64)*coupl&
                        (nGC_68) + 6d0*coupl(nGC_40)*coupl(nGC_69)*coupl(      &
                        nGC_867) + 12d0*coupl(nGC_42)*coupl(nGC_72)*coupl(     &
                        nGC_867) + 6d0*coupl(nGC_44)*coupl(nGC_793)**2d0 + 6d0*&
                        coupl(nGC_44)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_44)*  &
                        coupl(nGC_96)*coupl(nGC_975) + 6d0*coupl(nGC_44)*coupl(&
                        nGC_975)**2d0 + 6d0*coupl(nGC_48)*coupl(nGC_63)*coupl( &
                        nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9155) = (10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_130)* &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_174)*coupl&
                        (nGC_175) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*&
                        coupl(nGC_170)*coupl(nGC_176) + 10d0*Nc*cima*coupl(    &
                        nGC_130)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 10d0*Nc*cima*coupl(nGC_130)*coupl(nGC_136)*coupl(  &
                        nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_175) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_169)*coupl&
                        (nGC_176) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*&
                        coupl(nGC_169)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_135)*coupl(nGC_169)*coupl(nGC_170   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_139)*coupl(  &
                        nGC_141)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_177)*coupl(nGC_178) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_141)*coupl&
                        (nGC_142) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*&
                        coupl(nGC_178)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_141)*coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*&
                        cima*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_178)*coupl&
                        (nGC_181) + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_142)*&
                        coupl(nGC_177)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_181)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_196)*coupl&
                        (nGC_197) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*&
                        coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*cima*coupl(    &
                        nGC_145)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_145)*coupl(nGC_152)*coupl(  &
                        nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_150)*coupl(nGC_192)*coupl(nGC_197) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*&
                        coupl(nGC_192)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_151)*coupl(nGC_192)*coupl(nGC_193   &
                        ) + 10d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_169)* &
                        coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(  &
                        nGC_196)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1485)*    &
                        coupl(nGC_2391)**2d0*coupl(nGC_867) - 5d0*cima*coupl(  &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_867&
                        ) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(    &
                        nGC_63)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_3011)*coupl(nGC_63)*coupl(nGC_72) - 5d0*cima*coupl(&
                        nGC_1485)*coupl(nGC_63)*coupl(nGC_665)*coupl(nGC_975   &
                        ) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_68)*coupl(      &
                        nGC_817)*coupl(nGC_975) + 10d0*cima*coupl(nGC_153)*    &
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + 10d0*   &
                        cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_160) + 12d0*cima*coupl(nGC_16)*coupl(nGC_19) +    &
                        10d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl(nGC_166)*&
                        coupl(nGC_167) + 10d0*cima*coupl(nGC_161)*coupl(nGC_162&
                        )*coupl(nGC_166)*coupl(nGC_168) - 5d0*cima*coupl(nGC_17&
                        )**2d0*coupl(nGC_68)*coupl(nGC_867) + 10d0*cima*coupl( &
                        nGC_184)*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 10d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(     &
                        nGC_189)*coupl(nGC_191) - 5d0*cima*coupl(nGC_3011)*    &
                        coupl(nGC_64)*coupl(nGC_94)*coupl(nGC_975) - 5d0*cima* &
                        coupl(nGC_3011)*coupl(nGC_68)*coupl(nGC_91)*coupl(     &
                        nGC_975) - 5d0*cima*coupl(nGC_63)*coupl(nGC_665)*coupl(&
                        nGC_72)*coupl(nGC_817) - 5d0*cima*coupl(nGC_64)*coupl( &
                        nGC_867)*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_817)**2d0 - 5d0*cima*  &
                        coupl(nGC_68)*coupl(nGC_867)*coupl(nGC_91)**2d0 - 5d0* &
                        cima*coupl(nGC_68)*coupl(nGC_867)*coupl(nGC_96)**2d0 + &
                        12d0*cima*coupl(nGC_70)*coupl(nGC_73) - 5d0*cima*coupl(&
                        nGC_867)**2d0*coupl(nGC_94)*coupl(nGC_96) - 3d0*coupl( &
                        nGC_14)*coupl(nGC_64)*coupl(nGC_94) - 3d0*coupl(nGC_14 &
                        )*coupl(nGC_68)*coupl(nGC_91) - 3d0*coupl(nGC_1485)*   &
                        coupl(nGC_19)*coupl(nGC_975) + 3d0*coupl(nGC_1485)*    &
                        coupl(nGC_35)*coupl(nGC_867) + 3d0*coupl(nGC_1485)*    &
                        coupl(nGC_36)*coupl(nGC_72) + 3d0*coupl(nGC_1485)*coupl&
                        (nGC_56)*coupl(nGC_867) - 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_73)*coupl(nGC_793) - 3d0*coupl(nGC_16)*coupl(nGC_63&
                        )*coupl(nGC_665) - 3d0*coupl(nGC_16)*coupl(nGC_68)*    &
                        coupl(nGC_817) - 3d0*coupl(nGC_16)*coupl(nGC_867)*coupl&
                        (nGC_96) + 3d0*coupl(nGC_17)**2d0*coupl(nGC_49) - 3d0* &
                        coupl(nGC_17)*coupl(nGC_70)*coupl(nGC_867) - 3d0*coupl(&
                        nGC_19)*coupl(nGC_867)*coupl(nGC_94) + 3d0*coupl(nGC_23&
                        )*coupl(nGC_2391)*coupl(nGC_867) + 3d0*coupl(nGC_2391)*&
                        coupl(nGC_45)*coupl(nGC_867) + 3d0*coupl(nGC_24)*coupl(&
                        nGC_3011)*coupl(nGC_72) + 3d0*coupl(nGC_24)*coupl(     &
                        nGC_665)*coupl(nGC_975) + 3d0*coupl(nGC_24)*coupl(     &
                        nGC_91)*coupl(nGC_975) + 3d0*coupl(nGC_25)*coupl(nGC_64&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_28)*coupl(nGC_63)*    &
                        coupl(nGC_72) + 3d0*coupl(nGC_3011)*coupl(nGC_43)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_3011)*coupl(nGC_45)*coupl(    &
                        nGC_867) + 3d0*coupl(nGC_36)*coupl(nGC_817)*coupl(     &
                        nGC_975) + 3d0*coupl(nGC_36)*coupl(nGC_94)*coupl(      &
                        nGC_975) + 3d0*coupl(nGC_37)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_39)*coupl(nGC_68)*coupl(nGC_867) +   &
                        3d0*coupl(nGC_40)*coupl(nGC_64)*coupl(nGC_68) + 3d0*   &
                        coupl(nGC_40)*coupl(nGC_64)*coupl(nGC_69) + 6d0*coupl( &
                        nGC_40)*coupl(nGC_665)*coupl(nGC_817) + 3d0*coupl(     &
                        nGC_43)*coupl(nGC_64)*coupl(nGC_867) + 3d0*coupl(nGC_43&
                        )*coupl(nGC_665)*coupl(nGC_96) + 3d0*coupl(nGC_43)*    &
                        coupl(nGC_91)*coupl(nGC_96) + 3d0*coupl(nGC_48)*coupl( &
                        nGC_817)**2d0 + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl( &
                        nGC_64) + 3d0*coupl(nGC_49)*coupl(nGC_665)**2d0 + 3d0* &
                        coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl( &
                        nGC_49)*coupl(nGC_72)**2d0 + 3d0*coupl(nGC_49)*coupl(  &
                        nGC_96)**2d0 + 3d0*coupl(nGC_57)*coupl(nGC_68)*coupl(  &
                        nGC_867) + 3d0*coupl(nGC_58)*coupl(nGC_69)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_58)*coupl(nGC_817)*coupl(nGC_96) +   &
                        3d0*coupl(nGC_58)*coupl(nGC_94)*coupl(nGC_96) + 3d0*   &
                        coupl(nGC_60)*coupl(nGC_69)*coupl(nGC_867))/(96d0*pi** &
                        2d0)
      coupl(nGC_9154) = (10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_133)*coupl(     &
                        nGC_134)*coupl(nGC_135) + 10d0*Nc*cima*coupl(nGC_131)* &
                        coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_136) + 10d0*Nc*&
                        cima*coupl(nGC_131)*coupl(nGC_133)*coupl(nGC_174)*coupl&
                        (nGC_175) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*&
                        coupl(nGC_173)*coupl(nGC_175) + 10d0*Nc*cima*coupl(    &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_176   &
                        ) + 10d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*coupl(  &
                        nGC_173)*coupl(nGC_174) + 10d0*Nc*cima*coupl(nGC_133)* &
                        coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_170)*coupl&
                        (nGC_174) + 10d0*Nc*cima*coupl(nGC_133)*coupl(nGC_136)*&
                        coupl(nGC_170)*coupl(nGC_174) + 10d0*Nc*cima*coupl(    &
                        nGC_134)*coupl(nGC_135)*coupl(nGC_170)*coupl(nGC_173   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_138)*coupl(  &
                        nGC_139)*coupl(nGC_142) + 10d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_142) + 10d0*Nc*&
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_178)*coupl&
                        (nGC_183) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)*&
                        coupl(nGC_178)*coupl(nGC_181) + 10d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)*coupl(nGC_178)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_137)*coupl(nGC_142)*coupl(  &
                        nGC_181)*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_139)*coupl(nGC_178)*coupl(nGC_180) + 10d0*Nc*&
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_180)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*&
                        coupl(nGC_180)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_140)*coupl(nGC_142)*coupl(nGC_180)*coupl(nGC_181   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_149)*coupl(  &
                        nGC_150)*coupl(nGC_151) + 10d0*Nc*cima*coupl(nGC_146)* &
                        coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_152) + 10d0*Nc*&
                        cima*coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_196)*coupl&
                        (nGC_197) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*&
                        coupl(nGC_195)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_146)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_198   &
                        ) + 10d0*Nc*cima*coupl(nGC_146)*coupl(nGC_152)*coupl(  &
                        nGC_195)*coupl(nGC_196) + 10d0*Nc*cima*coupl(nGC_149)* &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 10d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_151)*coupl(nGC_193)*coupl&
                        (nGC_196) + 10d0*Nc*cima*coupl(nGC_149)*coupl(nGC_152)*&
                        coupl(nGC_193)*coupl(nGC_196) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_195   &
                        ) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_173)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_170)* &
                        coupl(nGC_173)*coupl(nGC_174)*coupl(nGC_176) + 10d0*Nc*&
                        cima*coupl(nGC_178)*coupl(nGC_180)*coupl(nGC_181)*coupl&
                        (nGC_182) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_180)*&
                        coupl(nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(    &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_197   &
                        ) + 10d0*Nc*cima*coupl(nGC_193)*coupl(nGC_195)*coupl(  &
                        nGC_196)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_867) - 5d0*  &
                        cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_3011)*  &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_63 &
                        )*coupl(nGC_665)*coupl(nGC_72) - 5d0*cima*coupl(       &
                        nGC_1331)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_817) - &
                        5d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_68)*&
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_3011&
                        )*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_64)*coupl(nGC_94)*coupl(nGC_975) - 5d0*cima&
                        *coupl(nGC_1485)*coupl(nGC_68)*coupl(nGC_91)*coupl(    &
                        nGC_975) + 12d0*cima*coupl(nGC_15)*coupl(nGC_19) + 10d0&
                        *cima*coupl(nGC_154)*coupl(nGC_157)*coupl(nGC_158)*    &
                        coupl(nGC_159) + 10d0*cima*coupl(nGC_154)*coupl(nGC_157&
                        )*coupl(nGC_158)*coupl(nGC_160) + 10d0*cima*coupl(     &
                        nGC_162)*coupl(nGC_165)*coupl(nGC_166)*coupl(nGC_167   &
                        ) + 10d0*cima*coupl(nGC_162)*coupl(nGC_165)*coupl(     &
                        nGC_166)*coupl(nGC_168) - 5d0*cima*coupl(nGC_17)**2d0* &
                        coupl(nGC_64)*coupl(nGC_867) + 10d0*cima*coupl(nGC_185 &
                        )*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_190) + 10d0* &
                        cima*coupl(nGC_185)*coupl(nGC_188)*coupl(nGC_189)*coupl&
                        (nGC_191) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63)*    &
                        coupl(nGC_665)*coupl(nGC_975) - 5d0*cima*coupl(nGC_2391&
                        )*coupl(nGC_68)*coupl(nGC_817)*coupl(nGC_975) - 5d0*   &
                        cima*coupl(nGC_64)*coupl(nGC_867)*coupl(nGC_94)**2d0 - &
                        5d0*cima*coupl(nGC_64)*coupl(nGC_867)*coupl(nGC_96)**  &
                        2d0 + 12d0*cima*coupl(nGC_66)*coupl(nGC_73) - 5d0*cima*&
                        coupl(nGC_68)*coupl(nGC_867)*coupl(nGC_91)*coupl(nGC_94&
                        ) - 5d0*cima*coupl(nGC_867)**2d0*coupl(nGC_92)*coupl(  &
                        nGC_96) + 3d0*coupl(nGC_1243)*coupl(nGC_45)*coupl(     &
                        nGC_867) + 3d0*coupl(nGC_1331)*coupl(nGC_40)*coupl(    &
                        nGC_665) + 3d0*coupl(nGC_1331)*coupl(nGC_48)*coupl(    &
                        nGC_817) + 3d0*coupl(nGC_1331)*coupl(nGC_58)*coupl(    &
                        nGC_96) + 3d0*coupl(nGC_1485)*coupl(nGC_23)*coupl(     &
                        nGC_867) + 3d0*coupl(nGC_1485)*coupl(nGC_27)*coupl(    &
                        nGC_72) + 3d0*coupl(nGC_1485)*coupl(nGC_43)*coupl(     &
                        nGC_72) + 3d0*coupl(nGC_1485)*coupl(nGC_45)*coupl(     &
                        nGC_867) - 3d0*coupl(nGC_15)*coupl(nGC_63)*coupl(      &
                        nGC_665) - 3d0*coupl(nGC_15)*coupl(nGC_68)*coupl(      &
                        nGC_817) - 3d0*coupl(nGC_15)*coupl(nGC_867)*coupl(     &
                        nGC_96) - 3d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_94 &
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_68)*coupl(nGC_91) + 3d0&
                        *coupl(nGC_17)**2d0*coupl(nGC_40) - 3d0*coupl(nGC_17)* &
                        coupl(nGC_66)*coupl(nGC_867) - 3d0*coupl(nGC_19)*coupl(&
                        nGC_2391)*coupl(nGC_975) - 3d0*coupl(nGC_19)*coupl(    &
                        nGC_867)*coupl(nGC_92) + 3d0*coupl(nGC_2391)*coupl(    &
                        nGC_32)*coupl(nGC_867) + 3d0*coupl(nGC_2391)*coupl(    &
                        nGC_56)*coupl(nGC_867) - 3d0*coupl(nGC_2391)*coupl(    &
                        nGC_73)*coupl(nGC_793) + 3d0*coupl(nGC_25)*coupl(nGC_68&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_27)*coupl(nGC_817)*   &
                        coupl(nGC_975) + 3d0*coupl(nGC_27)*coupl(nGC_94)*coupl(&
                        nGC_975) + 3d0*coupl(nGC_29)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_3011)*coupl(nGC_36)*coupl(nGC_72) +  &
                        3d0*coupl(nGC_33)*coupl(nGC_64)*coupl(nGC_867) + 3d0*  &
                        coupl(nGC_36)*coupl(nGC_665)*coupl(nGC_975) + 3d0*coupl&
                        (nGC_36)*coupl(nGC_91)*coupl(nGC_975) + 3d0*coupl(     &
                        nGC_37)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_40 &
                        )*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_40)*coupl&
                        (nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_40)*coupl(nGC_72&
                        )**2d0 + 3d0*coupl(nGC_40)*coupl(nGC_817)**2d0 + 3d0*  &
                        coupl(nGC_40)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_43)*  &
                        coupl(nGC_69)*coupl(nGC_867) + 3d0*coupl(nGC_43)*coupl(&
                        nGC_817)*coupl(nGC_96) + 3d0*coupl(nGC_43)*coupl(nGC_94&
                        )*coupl(nGC_96) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_69&
                        ) + 3d0*coupl(nGC_49)*coupl(nGC_665)*coupl(nGC_817) +  &
                        3d0*coupl(nGC_57)*coupl(nGC_64)*coupl(nGC_867) + 3d0*  &
                        coupl(nGC_58)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl( &
                        nGC_58)*coupl(nGC_92)*coupl(nGC_96) + 3d0*coupl(nGC_60 &
                        )*coupl(nGC_63)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_14329) = coupl(nGC_23)*dZHh_QED2/2d0 + coupl(nGC_23)*dZHl_QED2/&
                         2d0 + coupl(nGC_32)*dZHhHl_QED2/2d0 + coupl(nGC_35)*  &
                         dZHlHh_QED2/2d0 + coupl(nGC_36)*dZHMinusGMinus_QED2 + &
                         coupl(nGC_9323)
      coupl(nGC_13445) = coupl(nGC_192)*dZHl_QED2/2d0 + coupl(nGC_195)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9510)
      coupl(nGC_13444) = coupl(nGC_13443) + coupl(nGC_9509)
      coupl(nGC_12863) = coupl(nGC_42)*dZHMinus_QED2/2d0 + coupl(nGC_42)*      &
                         dZHa_QED2 + coupl(nGC_50)*dZHMinusGMinus_QED2/2d0 +   &
                         coupl(nGC_56)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_58)*&
                         dZG0Ha_QED2 + coupl(nGC_9338)
      coupl(nGC_8709) = cima*(4d0*Nc*coupl(nGC_131)**2d0 + 4d0*Nc*coupl(nGC_142&
                        )**2d0 + 4d0*Nc*coupl(nGC_146)**2d0 + 4d0*Nc*coupl(    &
                        nGC_170)**2d0 + 4d0*Nc*coupl(nGC_178)**2d0 + 4d0*Nc*   &
                        coupl(nGC_193)**2d0 + coupl(nGC_1243)*coupl(nGC_68) +  &
                        coupl(nGC_1485)*coupl(nGC_69) + 4d0*coupl(nGC_154)**2d0&
                         + 4d0*coupl(nGC_162)**2d0 + coupl(nGC_17)**2d0 + 4d0* &
                        coupl(nGC_185)**2d0 + coupl(nGC_2391)*coupl(nGC_63) +  &
                        coupl(nGC_3011)*coupl(nGC_64) + 2d0*coupl(nGC_72)*coupl&
                        (nGC_867) + coupl(nGC_793)**2d0 + coupl(nGC_96)**2d0 + &
                        coupl(nGC_975)**2d0)/(192d0*pi**2d0)
      coupl(nGC_27169) = 2d0*coupl(nGC_10)*dZHlHh_QED2 + 2d0*coupl(nGC_12)*    &
                         dZHh_QED2 + coupl(nGC_9301)
      coupl(nGC_16131) = coupl(nGC_186)*dZHa_QED2/2d0 + coupl(nGC_186)*        &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_186)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_190)*dZG0Ha_QED2/2d0 + coupl(nGC_9490&
                         )
      coupl(nGC_16132) = coupl(nGC_187)*dZHa_QED2/2d0 + coupl(nGC_187)*        &
                         dZtauMinusL_QED2/2d0 + coupl(nGC_187)*dZtauMinusR_QED2&
                         /2d0 + coupl(nGC_191)*dZG0Ha_QED2/2d0 + coupl(nGC_9489&
                         )
      coupl(nGC_13840) = coupl(nGC_114)*dZG0Ha_QED2/2d0 + coupl(nGC_123)*      &
                         dZHMinus_QED2/2d0 + coupl(nGC_123)*dZHa_QED2/2d0 +    &
                         coupl(nGC_9346) + coupl(nGC_TS_GC_41_Hl) + coupl(     &
                         nGC_TS_GC_49_Hh)
      coupl(nGC_16812) = -2d0*coupl(nGC_16811)
      coupl(nGC_8897) = (4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_142)**2d0 + 4d0*Nc&
                        *cMB*coupl(nGC_141)*coupl(nGC_178)**2d0 + 4d0*Nc*cMB*  &
                        coupl(nGC_142)*coupl(nGC_177)*coupl(nGC_178) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_131)**2d0 + 4d0*Nc*cMC*   &
                        coupl(nGC_130)*coupl(nGC_170)**2d0 + 4d0*Nc*cMC*coupl( &
                        nGC_131)*coupl(nGC_169)*coupl(nGC_170) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_146)**2d0 + 4d0*Nc*cMD*coupl( &
                        nGC_145)*coupl(nGC_193)**2d0 + 4d0*Nc*cMD*coupl(nGC_146&
                        )*coupl(nGC_192)*coupl(nGC_193) + 4d0*Nc*cMS*coupl(    &
                        nGC_130)*coupl(nGC_131)*coupl(nGC_170) + 4d0*Nc*cMS*   &
                        coupl(nGC_131)**2d0*coupl(nGC_169) + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_170)**2d0 + 4d0*Nc*cMT*coupl(nGC_141&
                        )*coupl(nGC_142)*coupl(nGC_178) + 4d0*Nc*cMT*coupl(    &
                        nGC_142)**2d0*coupl(nGC_177) + 4d0*Nc*cMT*coupl(nGC_177&
                        )*coupl(nGC_178)**2d0 + 4d0*Nc*cMU*coupl(nGC_145)*coupl&
                        (nGC_146)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)** &
                        2d0*coupl(nGC_192) + 4d0*Nc*cMU*coupl(nGC_192)*coupl(  &
                        nGC_193)**2d0 + 4d0*cME*coupl(nGC_153)*coupl(nGC_154)**&
                        2d0 + 4d0*cMM*coupl(nGC_161)*coupl(nGC_162)**2d0 + 4d0*&
                        cMTA*coupl(nGC_184)*coupl(nGC_185)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_128) + 8d0*cima*coupl(nGC_102 &
                        )*coupl(nGC_16) + 4d0*cima*coupl(nGC_124)*coupl(nGC_62 &
                        ) + 8d0*cima*coupl(nGC_126)*coupl(nGC_70) - coupl(     &
                        nGC_102)*coupl(nGC_1485)*coupl(nGC_975) - coupl(nGC_102&
                        )*coupl(nGC_69)*coupl(nGC_975) - coupl(nGC_102)*coupl( &
                        nGC_72)*coupl(nGC_817) - coupl(nGC_102)*coupl(nGC_867)*&
                        coupl(nGC_94) + coupl(nGC_103)*coupl(nGC_2391)*coupl(  &
                        nGC_63) + coupl(nGC_104)*coupl(nGC_1485)*coupl(nGC_69  &
                        ) + coupl(nGC_106)*coupl(nGC_1485)*coupl(nGC_63) +     &
                        coupl(nGC_106)*coupl(nGC_2391)*coupl(nGC_69) + coupl(  &
                        nGC_110)*coupl(nGC_1243)*coupl(nGC_1485) + coupl(      &
                        nGC_110)*coupl(nGC_68)*coupl(nGC_69) + coupl(nGC_110)* &
                        coupl(nGC_793)**2d0 + coupl(nGC_110)*coupl(nGC_975)**  &
                        2d0 + 2d0*coupl(nGC_111)*coupl(nGC_3011)*coupl(nGC_64  &
                        ) + coupl(nGC_113)*coupl(nGC_72)*coupl(nGC_867) + coupl&
                        (nGC_118)*coupl(nGC_1485)*coupl(nGC_3011) + coupl(     &
                        nGC_118)*coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_119)* &
                        coupl(nGC_1243)*coupl(nGC_64) + coupl(nGC_119)*coupl(  &
                        nGC_3011)*coupl(nGC_68) + coupl(nGC_122)*coupl(nGC_64)*&
                        coupl(nGC_867) + coupl(nGC_123)*coupl(nGC_3011)*coupl( &
                        nGC_72) - coupl(nGC_124)*coupl(nGC_1243)*coupl(nGC_68  &
                        ) - coupl(nGC_124)*coupl(nGC_3011)*coupl(nGC_64) -     &
                        coupl(nGC_124)*coupl(nGC_72)*coupl(nGC_867) - coupl(   &
                        nGC_126)*coupl(nGC_1485)*coupl(nGC_793) - coupl(nGC_126&
                        )*coupl(nGC_69)*coupl(nGC_793) - coupl(nGC_128)*coupl( &
                        nGC_96)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8896) = (4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_142)**2d0 + 4d0*Nc&
                        *cMB*coupl(nGC_137)*coupl(nGC_178)**2d0 + 4d0*Nc*cMB*  &
                        coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_180) + 4d0*Nc* &
                        cMC*coupl(nGC_131)**2d0*coupl(nGC_133) + 4d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_170)*coupl(nGC_173) + 4d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_170)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_146)**2d0*coupl(nGC_149) + 4d0*Nc*cMD*coupl( &
                        nGC_146)*coupl(nGC_193)*coupl(nGC_195) + 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_193)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_131)**2d0*coupl(nGC_173) + 4d0*Nc*cMS*coupl(nGC_131&
                        )*coupl(nGC_133)*coupl(nGC_170) + 4d0*Nc*cMS*coupl(    &
                        nGC_170)**2d0*coupl(nGC_173) + 4d0*Nc*cMT*coupl(nGC_137&
                        )*coupl(nGC_142)*coupl(nGC_178) + 4d0*Nc*cMT*coupl(    &
                        nGC_142)**2d0*coupl(nGC_180) + 4d0*Nc*cMT*coupl(nGC_178&
                        )**2d0*coupl(nGC_180) + 4d0*Nc*cMU*coupl(nGC_146)**2d0*&
                        coupl(nGC_195) + 4d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_149)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_193)**  &
                        2d0*coupl(nGC_195) + 4d0*cME*coupl(nGC_154)**2d0*coupl(&
                        nGC_157) + 4d0*cMM*coupl(nGC_162)**2d0*coupl(nGC_165   &
                        ) + 4d0*cMTA*coupl(nGC_185)**2d0*coupl(nGC_188) + 2d0* &
                        cima*coupl(nGC_100)*coupl(nGC_129) + 8d0*cima*coupl(   &
                        nGC_102)*coupl(nGC_15) + 4d0*cima*coupl(nGC_125)*coupl(&
                        nGC_62) + 8d0*cima*coupl(nGC_126)*coupl(nGC_66) - coupl&
                        (nGC_102)*coupl(nGC_1331)*coupl(nGC_72) - coupl(nGC_102&
                        )*coupl(nGC_2391)*coupl(nGC_975) - coupl(nGC_102)*coupl&
                        (nGC_63)*coupl(nGC_975) - coupl(nGC_102)*coupl(nGC_867 &
                        )*coupl(nGC_92) + coupl(nGC_103)*coupl(nGC_1485)*coupl(&
                        nGC_63) + coupl(nGC_103)*coupl(nGC_2391)*coupl(nGC_69  &
                        ) + coupl(nGC_105)*coupl(nGC_2391)*coupl(nGC_63) +     &
                        coupl(nGC_106)*coupl(nGC_1485)*coupl(nGC_69) + coupl(  &
                        nGC_110)*coupl(nGC_1243)*coupl(nGC_2391) + coupl(      &
                        nGC_110)*coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_111)* &
                        coupl(nGC_1485)*coupl(nGC_64) + coupl(nGC_111)*coupl(  &
                        nGC_3011)*coupl(nGC_69) + coupl(nGC_118)*coupl(nGC_2391&
                        )*coupl(nGC_3011) + coupl(nGC_118)*coupl(nGC_63)*coupl(&
                        nGC_64) + coupl(nGC_118)*coupl(nGC_793)**2d0 + coupl(  &
                        nGC_118)*coupl(nGC_975)**2d0 + coupl(nGC_119)*coupl(   &
                        nGC_1243)*coupl(nGC_69) + coupl(nGC_119)*coupl(nGC_1485&
                        )*coupl(nGC_68) + coupl(nGC_121)*coupl(nGC_72)*coupl(  &
                        nGC_867) + coupl(nGC_122)*coupl(nGC_69)*coupl(nGC_867  &
                        ) + coupl(nGC_123)*coupl(nGC_1485)*coupl(nGC_72) -     &
                        coupl(nGC_1243)*coupl(nGC_125)*coupl(nGC_68) - coupl(  &
                        nGC_125)*coupl(nGC_3011)*coupl(nGC_64) - coupl(nGC_125 &
                        )*coupl(nGC_72)*coupl(nGC_867) - coupl(nGC_126)*coupl( &
                        nGC_2391)*coupl(nGC_793) - coupl(nGC_126)*coupl(nGC_63 &
                        )*coupl(nGC_793) - coupl(nGC_129)*coupl(nGC_96)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_12880) = coupl(nGC_44)*dZHMinusGMinus_QED2 + coupl(nGC_45)*    &
                         dZGMinusHMinus_QED2 + coupl(nGC_57)*dZHMinus_QED2 +   &
                         coupl(nGC_9314)
      coupl(nGC_12883) = coupl(nGC_61)*dZHh_QED2 + coupl(nGC_61)*dZWMinus_QED2 &
                          + coupl(nGC_9375)
      coupl(nGC_13366) = coupl(nGC_12979) + coupl(nGC_13360)
      coupl(nGC_8898) = (-4d0*Nc*coupl(nGC_131)**2d0*coupl(nGC_85) + 4d0*Nc*   &
                        coupl(nGC_131)**2d0*coupl(nGC_87) + 4d0*Nc*coupl(      &
                        nGC_142)**2d0*coupl(nGC_84) - 4d0*Nc*coupl(nGC_142)**  &
                        2d0*coupl(nGC_88) + 4d0*Nc*coupl(nGC_146)**2d0*coupl(  &
                        nGC_84) - 4d0*Nc*coupl(nGC_146)**2d0*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_170)**2d0*coupl(nGC_84) - 4d0*Nc*coupl&
                        (nGC_170)**2d0*coupl(nGC_88) - 4d0*Nc*coupl(nGC_178)** &
                        2d0*coupl(nGC_85) + 4d0*Nc*coupl(nGC_178)**2d0*coupl(  &
                        nGC_87) - 4d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_193)**2d0*coupl(nGC_87) - 6d0*coupl(  &
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_82) + coupl(nGC_1331 &
                        )*coupl(nGC_63)*coupl(nGC_867) + coupl(nGC_1485)*coupl(&
                        nGC_72)*coupl(nGC_94) + 4d0*coupl(nGC_154)**2d0*coupl( &
                        nGC_86) - 4d0*coupl(nGC_154)**2d0*coupl(nGC_90) + 4d0* &
                        coupl(nGC_162)**2d0*coupl(nGC_86) - 4d0*coupl(nGC_162  &
                        )**2d0*coupl(nGC_90) + 4d0*coupl(nGC_185)**2d0*coupl(  &
                        nGC_86) - 4d0*coupl(nGC_185)**2d0*coupl(nGC_90) + coupl&
                        (nGC_2391)*coupl(nGC_72)*coupl(nGC_92) - 6d0*coupl(    &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_82) + coupl(nGC_69)* &
                        coupl(nGC_817)*coupl(nGC_867) - 6d0*coupl(nGC_72)*coupl&
                        (nGC_82)*coupl(nGC_867) + coupl(nGC_793)**2d0*coupl(   &
                        nGC_96) + coupl(nGC_96)*coupl(nGC_975)**2d0)/(96d0*pi**&
                        2d0)
      coupl(nGC_13365) = coupl(nGC_12979) + coupl(nGC_13364)
      coupl(nGC_21096) = coupl(nGC_12979) + coupl(nGC_21094)
      coupl(nGC_15038) = coupl(nGC_80)*dZWMinus_QED2/2d0 + coupl(nGC_80)*      &
                         dZmuMinusL_QED2/2d0 + coupl(nGC_80)*dZnu_muL_QED2/2d0 &
                          + coupl(nGC_9399)
      coupl(nGC_23007) = -coupl(nGC_15242) + coupl(nGC_15247)
      coupl(nGC_16048) = coupl(nGC_16047) + coupl(nGC_9505)
      coupl(nGC_8821) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80) +   &
                        coupl(nGC_1485)**2d0*coupl(nGC_2391) + coupl(nGC_1485)*&
                        coupl(nGC_63)*coupl(nGC_68) - 4d0*coupl(nGC_153)*coupl(&
                        nGC_158)*coupl(nGC_80) - 4d0*coupl(nGC_161)*coupl(     &
                        nGC_166)*coupl(nGC_80) - 6d0*coupl(nGC_17)*coupl(nGC_3 &
                        )*coupl(nGC_63) - 4d0*coupl(nGC_184)*coupl(nGC_189)*   &
                        coupl(nGC_80) + coupl(nGC_2391)*coupl(nGC_3011)**2d0 + &
                        coupl(nGC_2391)*coupl(nGC_72)**2d0 + coupl(nGC_3011)*  &
                        coupl(nGC_68)*coupl(nGC_69) - 6d0*coupl(nGC_63)*coupl( &
                        nGC_82)*coupl(nGC_96) + coupl(nGC_665)*coupl(nGC_867)* &
                        coupl(nGC_975) - 6d0*coupl(nGC_833)*coupl(nGC_867)*    &
                        coupl(nGC_91))/(96d0*pi**2d0)
      coupl(nGC_8822) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_150)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_150)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_150 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_174)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_196)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_189)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_107)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_127)*coupl(nGC_607) - coupl(nGC_107)*coupl(  &
                        nGC_1103)*coupl(nGC_793) + 6d0*coupl(nGC_107)*coupl(   &
                        nGC_82)*coupl(nGC_833) - coupl(nGC_107)*coupl(nGC_833)*&
                        coupl(nGC_975) + 6d0*coupl(nGC_1103)*coupl(nGC_127)*   &
                        coupl(nGC_82) - coupl(nGC_124)*coupl(nGC_63)*coupl(    &
                        nGC_82) - coupl(nGC_125)*coupl(nGC_68)*coupl(nGC_82) - &
                        coupl(nGC_128)*coupl(nGC_3011)*coupl(nGC_82) - coupl(  &
                        nGC_129)*coupl(nGC_1485)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_8823) = (8d0*coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_138)*coupl(nGC_793) - coupl(nGC_137)* &
                        coupl(nGC_180)*coupl(nGC_181) - coupl(nGC_137)*coupl(  &
                        nGC_68)*coupl(nGC_80) - coupl(nGC_138)*coupl(nGC_17)*  &
                        coupl(nGC_2) + 8d0*coupl(nGC_138)*coupl(nGC_84)*coupl( &
                        nGC_88) - coupl(nGC_138)*coupl(nGC_84)*coupl(nGC_975   &
                        ) - coupl(nGC_138)*coupl(nGC_88)*coupl(nGC_96) - coupl(&
                        nGC_140)*coupl(nGC_181)*coupl(nGC_182) - coupl(nGC_140 &
                        )*coupl(nGC_80)*coupl(nGC_867) - coupl(nGC_141)*coupl( &
                        nGC_177)*coupl(nGC_181) - coupl(nGC_141)*coupl(nGC_63)*&
                        coupl(nGC_80) - coupl(nGC_143)*coupl(nGC_181)*coupl(   &
                        nGC_2019))/(32d0*pi**2d0)
      coupl(nGC_8825) = (8d0*coupl(nGC_1)*coupl(nGC_181)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_181)*coupl(nGC_793) - coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_180) - coupl(nGC_138)*coupl(  &
                        nGC_139)*coupl(nGC_183) - coupl(nGC_138)*coupl(nGC_141 &
                        )*coupl(nGC_177) - coupl(nGC_138)*coupl(nGC_144)*coupl(&
                        nGC_179) - coupl(nGC_1485)*coupl(nGC_180)*coupl(nGC_80 &
                        ) - coupl(nGC_17)*coupl(nGC_181)*coupl(nGC_2) - coupl( &
                        nGC_177)*coupl(nGC_3011)*coupl(nGC_80) + 8d0*coupl(    &
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_181)* &
                        coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_181)*coupl(    &
                        nGC_87)*coupl(nGC_975) - coupl(nGC_183)*coupl(nGC_72)* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8827) = (coupl(nGC_1)*coupl(nGC_134)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_134)*coupl(nGC_2) - coupl(nGC_130)*   &
                        coupl(nGC_169)*coupl(nGC_174) + coupl(nGC_130)*coupl(  &
                        nGC_63)*coupl(nGC_80) - coupl(nGC_132)*coupl(nGC_171)* &
                        coupl(nGC_174) - coupl(nGC_133)*coupl(nGC_173)*coupl(  &
                        nGC_174) + coupl(nGC_133)*coupl(nGC_68)*coupl(nGC_80   &
                        ) + coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_793) + 8d0*  &
                        coupl(nGC_134)*coupl(nGC_85)*coupl(nGC_87) + coupl(    &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_975) + coupl(nGC_134)*&
                        coupl(nGC_87)*coupl(nGC_96) - coupl(nGC_136)*coupl(    &
                        nGC_174)*coupl(nGC_175) + coupl(nGC_136)*coupl(nGC_80)*&
                        coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_8829) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_174) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_174)*coupl(nGC_2) - coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_169) - coupl(nGC_133)*coupl(  &
                        nGC_134)*coupl(nGC_173) - coupl(nGC_134)*coupl(nGC_135 &
                        )*coupl(nGC_176) - coupl(nGC_134)*coupl(nGC_172)*coupl(&
                        nGC_695) + coupl(nGC_1485)*coupl(nGC_173)*coupl(nGC_80 &
                        ) + coupl(nGC_169)*coupl(nGC_3011)*coupl(nGC_80) +     &
                        coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_793) + 8d0*coupl(&
                        nGC_174)*coupl(nGC_84)*coupl(nGC_88) + coupl(nGC_174)* &
                        coupl(nGC_84)*coupl(nGC_96) + coupl(nGC_174)*coupl(    &
                        nGC_88)*coupl(nGC_975) + coupl(nGC_176)*coupl(nGC_72)* &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_18982) = 2d0*coupl(nGC_11)*dZHl_QED2 + 2d0*coupl(nGC_9)*       &
                         dZHhHl_QED2 + coupl(nGC_9304)
      coupl(nGC_9278) = (6d0*cima*coupl(nGC_5067)**2d0 - 10d0*cima*coupl(nGC_6 &
                        )**4d0*sq2**4d0 + 3d0*coupl(nGC_5065)*coupl(nGC_6)**2d0&
                        *sq2**2d0 + 15d0*coupl(nGC_5067)*coupl(nGC_6)**2d0*sq2 &
                        **2d0 + 3d0*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0)/( &
                        192d0*pi**2d0)
      coupl(nGC_9279) = (6d0*cima*coupl(nGC_5067)**2d0 - 10d0*cima*coupl(nGC_6 &
                        )**4d0*sq2**4d0 + 3d0*coupl(nGC_5061)*coupl(nGC_6)**2d0&
                        *sq2**2d0 + 18d0*coupl(nGC_5067)*coupl(nGC_6)**2d0*sq2 &
                        **2d0)/(192d0*pi**2d0)
      coupl(nGC_9272) = (12d0*Nc*cima*coupl(nGC_5065)**2d0 - 8d0*Nc*cima*coupl(&
                        nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0  &
                         - 21d0*Nc*coupl(nGC_5065)*coupl(nGC_6)**2d0*sq2**2d0  &
                         + 21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 +   &
                        36d0*cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9273) = (12d0*Nc*cima*coupl(nGC_5065)*coupl(nGC_5067) - 12d0*Nc&
                        *cima*coupl(nGC_5067)*coupl(nGC_8) + 20d0*Nc*cima*coupl&
                        (nGC_6)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_5061)*coupl(  &
                        nGC_6)**2d0*sq2**2d0 + 15d0*Nc*coupl(nGC_5065)*coupl(  &
                        nGC_6)**2d0*sq2**2d0 - 15d0*Nc*coupl(nGC_5067)*coupl(  &
                        nGC_6)**2d0*sq2**2d0 - 21d0*Nc*coupl(nGC_6)**2d0*coupl(&
                        nGC_8)*sq2**2d0 - 12d0*cima*coupl(nGC_7)**4d0*sq2**4d0 &
                        )/(768d0*pi**2d0*Nc)
      coupl(nGC_9271) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0&
                        *Nc*coupl(nGC_5061)*coupl(nGC_6)**2d0 - 3d0*Nc*coupl(  &
                        nGC_5067)*coupl(nGC_6)**2d0 - 30d0*cima*coupl(nGC_7)** &
                        4d0*sq2**2d0)/(384d0*pi**2d0)
      coupl(nGC_9276) = (3d0*cima*coupl(nGC_5065)**2d0 - 6d0*cima*coupl(       &
                        nGC_5065)*coupl(nGC_8) - 5d0*cima*coupl(nGC_6)**4d0*sq2&
                        **4d0 + 3d0*cima*coupl(nGC_8)**2d0 - 6d0*coupl(nGC_5065&
                        )*coupl(nGC_6)**2d0*sq2**2d0 + 9d0*coupl(nGC_6)**2d0*  &
                        coupl(nGC_8)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_9277) = (12d0*cima*coupl(nGC_5067)**2d0 - 20d0*cima*coupl(nGC_6&
                        )**4d0*sq2**4d0 + 3d0*coupl(nGC_5061)*coupl(nGC_6)**2d0&
                        *sq2**2d0 + 3d0*coupl(nGC_5065)*coupl(nGC_6)**2d0*sq2**&
                        2d0 + 33d0*coupl(nGC_5067)*coupl(nGC_6)**2d0*sq2**2d0  &
                         + 3d0*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0)/(384d0*&
                        pi**2d0)
      coupl(nGC_9274) = (3d0*Nc*cima*coupl(nGC_5065)*coupl(nGC_5067) - 3d0*Nc* &
                        cima*coupl(nGC_5067)*coupl(nGC_8) + 5d0*Nc*cima*coupl( &
                        nGC_6)**4d0*sq2**4d0 + 3d0*Nc*coupl(nGC_5065)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_5067)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 - 6d0*Nc*coupl(nGC_6)**2d0*coupl( &
                        nGC_8)*sq2**2d0 - 3d0*cima*coupl(nGC_7)**4d0*sq2**4d0  &
                        )/(192d0*pi**2d0*Nc)
      coupl(nGC_9275) = (6d0*Nc*cima*coupl(nGC_5065)*coupl(nGC_5067) - 6d0*Nc* &
                        cima*coupl(nGC_5067)*coupl(nGC_8) + 10d0*Nc*cima*coupl(&
                        nGC_6)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_5061)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 + 9d0*Nc*coupl(nGC_5065)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 - 9d0*Nc*coupl(nGC_5067)*coupl(   &
                        nGC_6)**2d0*sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl( &
                        nGC_8)*sq2**2d0 - 6d0*cima*coupl(nGC_7)**4d0*sq2**4d0  &
                        )/(384d0*pi**2d0*Nc)
      coupl(nGC_12649) = coupl(nGC_175)*dZsL_QCD2/2d0 + coupl(nGC_175)*        &
                         dZsR_QCD2/2d0 + coupl(nGC_9437)
      coupl(nGC_8842) = (4d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_177)*coupl(    &
                        nGC_178) + 4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_178)*   &
                        coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_142)*coupl(      &
                        nGC_177)*coupl(nGC_181) + 4d0*Nc*cMC*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*cMC*coupl(      &
                        nGC_130)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_169)*coupl(nGC_174) + 2d0*Nc* &
                        cMC*coupl(nGC_134)*coupl(nGC_169)*coupl(nGC_170) + 4d0*&
                        Nc*cMD*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_150) +  &
                        4d0*Nc*cMD*coupl(nGC_145)*coupl(nGC_193)*coupl(nGC_196 &
                        ) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_192)*coupl(    &
                        nGC_196) + 2d0*Nc*cMD*coupl(nGC_150)*coupl(nGC_192)*   &
                        coupl(nGC_193) + 2d0*Nc*cMS*coupl(nGC_130)*coupl(      &
                        nGC_131)*coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_170) + 4d0*Nc*cMS*coupl(      &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_169) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_174) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_178) + 4d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_177) +  &
                        2d0*Nc*cMT*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_178)*coupl(    &
                        nGC_181) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(nGC_146)*   &
                        coupl(nGC_196) + 2d0*Nc*cMU*coupl(nGC_145)*coupl(      &
                        nGC_150)*coupl(nGC_193) + 4d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_192) + 4d0*Nc*cMU*coupl(      &
                        nGC_192)*coupl(nGC_193)*coupl(nGC_196) + 4d0*cME*coupl(&
                        nGC_153)*coupl(nGC_154)*coupl(nGC_158) + 4d0*cMM*coupl(&
                        nGC_161)*coupl(nGC_162)*coupl(nGC_166) + 4d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_185)*coupl(nGC_189) + 4d0*cima*    &
                        coupl(nGC_102)*coupl(nGC_14) + 4d0*cima*coupl(nGC_107)*&
                        coupl(nGC_16) + 4d0*cima*coupl(nGC_126)*coupl(nGC_65   &
                        ) + 4d0*cima*coupl(nGC_127)*coupl(nGC_70) - coupl(     &
                        nGC_102)*coupl(nGC_2391)*coupl(nGC_96) - coupl(nGC_102 &
                        )*coupl(nGC_665)*coupl(nGC_72) + coupl(nGC_103)*coupl( &
                        nGC_1243)*coupl(nGC_3011) + coupl(nGC_104)*coupl(      &
                        nGC_1243)*coupl(nGC_2391) + coupl(nGC_106)*coupl(      &
                        nGC_1243)**2d0 + coupl(nGC_106)*coupl(nGC_2391)*coupl( &
                        nGC_3011) - coupl(nGC_107)*coupl(nGC_1243)*coupl(nGC_96&
                        ) - coupl(nGC_107)*coupl(nGC_867)*coupl(nGC_94) + coupl&
                        (nGC_108)*coupl(nGC_2391)*coupl(nGC_69) + coupl(nGC_110&
                        )*coupl(nGC_1243)*coupl(nGC_64) + coupl(nGC_111)*coupl(&
                        nGC_63)*coupl(nGC_68) + coupl(nGC_111)*coupl(nGC_63)*  &
                        coupl(nGC_69) + coupl(nGC_114)*coupl(nGC_63)*coupl(    &
                        nGC_867) + coupl(nGC_114)*coupl(nGC_665)*coupl(nGC_975 &
                        ) + coupl(nGC_114)*coupl(nGC_91)*coupl(nGC_975) + coupl&
                        (nGC_116)*coupl(nGC_2391)*coupl(nGC_63) + coupl(nGC_118&
                        )*coupl(nGC_1243)*coupl(nGC_69) + coupl(nGC_119)*coupl(&
                        nGC_17)**2d0 + coupl(nGC_119)*coupl(nGC_63)*coupl(     &
                        nGC_64) + coupl(nGC_119)*coupl(nGC_68)*coupl(nGC_69) + &
                        coupl(nGC_119)*coupl(nGC_96)**2d0 + coupl(nGC_120)*    &
                        coupl(nGC_72)*coupl(nGC_867) + coupl(nGC_123)*coupl(   &
                        nGC_68)*coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_817)* &
                        coupl(nGC_975) + coupl(nGC_123)*coupl(nGC_94)*coupl(   &
                        nGC_975) - coupl(nGC_124)*coupl(nGC_63)*coupl(nGC_69   &
                        ) - coupl(nGC_124)*coupl(nGC_64)*coupl(nGC_69) - coupl(&
                        nGC_1243)*coupl(nGC_127)*coupl(nGC_17) - coupl(nGC_126 &
                        )*coupl(nGC_17)*coupl(nGC_2391))/(32d0*pi**2d0)
      coupl(nGC_16266) = coupl(nGC_13015) - coupl(nGC_13016)
      coupl(nGC_8843) = (4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_87) +   &
                        coupl(nGC_1243)*coupl(nGC_1331)*coupl(nGC_867) + coupl(&
                        nGC_1243)*coupl(nGC_72)*coupl(nGC_91) - 4d0*coupl(     &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_90) - 4d0*coupl(     &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90) - 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_86) + 4d0*coupl(     &
                        nGC_185)*coupl(nGC_189)*coupl(nGC_90) + coupl(nGC_2391 &
                        )*coupl(nGC_817)*coupl(nGC_867) + coupl(nGC_3011)*coupl&
                        (nGC_72)*coupl(nGC_94) - 6d0*coupl(nGC_63)*coupl(nGC_69&
                        )*coupl(nGC_833) - 6d0*coupl(nGC_64)*coupl(nGC_69)*    &
                        coupl(nGC_833))/(96d0*pi**2d0)
      coupl(nGC_9199) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_135)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_135)*    &
                        coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl&
                        (nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_139)**2d0*coupl&
                        (nGC_141)**2d0 + 80d0*Nc*cima*coupl(nGC_139)*coupl(    &
                        nGC_140)*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_140)**2d0*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_145)**2d0*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_145)**2d0*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc* &
                        cima*coupl(nGC_145)**2d0*coupl(nGC_152)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_169)**2d0*coupl(nGC_175)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_169)**2d0*coupl(nGC_175)*coupl(nGC_176  &
                        ) + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_176)**  &
                        2d0 + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_182)**&
                        2d0 + 80d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_182)* &
                        coupl(nGC_183) + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl&
                        (nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_192)**2d0*coupl&
                        (nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_192  &
                        )**2d0*coupl(nGC_198)**2d0 + 6d0*cima*coupl(nGC_101)*  &
                        coupl(nGC_99) - 10d0*cima*coupl(nGC_1243)*coupl(nGC_68 &
                        )*coupl(nGC_72)*coupl(nGC_867) - 10d0*cima*coupl(      &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) + &
                        20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_159)**2d0 +    &
                        80d0*cima*coupl(nGC_153)**2d0*coupl(nGC_159)*coupl(    &
                        nGC_160) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_160 &
                        )**2d0 + 20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_167)**&
                        2d0 + 80d0*cima*coupl(nGC_161)**2d0*coupl(nGC_167)*    &
                        coupl(nGC_168) + 20d0*cima*coupl(nGC_161)**2d0*coupl(  &
                        nGC_168)**2d0 + 20d0*cima*coupl(nGC_184)**2d0*coupl(   &
                        nGC_190)**2d0 + 80d0*cima*coupl(nGC_184)**2d0*coupl(   &
                        nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(nGC_184)**2d0&
                        *coupl(nGC_191)**2d0 - 5d0*cima*coupl(nGC_2391)**2d0*  &
                        coupl(nGC_867)**2d0 - 20d0*cima*coupl(nGC_2391)*coupl( &
                        nGC_63)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl( &
                        nGC_3011)**2d0*coupl(nGC_867)**2d0 - 20d0*cima*coupl(  &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867) + &
                        12d0*cima*coupl(nGC_61)*coupl(nGC_62) - 5d0*cima*coupl(&
                        nGC_63)**2d0*coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_64&
                        )**2d0*coupl(nGC_72)**2d0 - 10d0*cima*coupl(nGC_665)** &
                        2d0*coupl(nGC_91)**2d0 - 20d0*cima*coupl(nGC_665)*coupl&
                        (nGC_817)*coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl&
                        (nGC_817)**2d0*coupl(nGC_94)**2d0 - 3d0*coupl(nGC_101)*&
                        coupl(nGC_665)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl&
                        (nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_11)*coupl(     &
                        nGC_665)*coupl(nGC_91) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_2391)*coupl(nGC_43) + 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_49)*coupl(nGC_72) + 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_56)*coupl(nGC_68) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_62)*coupl(nGC_68) + 3d0*coupl(nGC_13)*coupl(nGC_817&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_1485)*coupl(nGC_3011)* &
                        coupl(nGC_43) + 6d0*coupl(nGC_1485)*coupl(nGC_48)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_1485)*coupl(nGC_56)*coupl(    &
                        nGC_69) - 3d0*coupl(nGC_1485)*coupl(nGC_62)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_2391)*coupl(nGC_53)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_2391)*coupl(nGC_62)*coupl(     &
                        nGC_63) + 6d0*coupl(nGC_25)*coupl(nGC_665)*coupl(      &
                        nGC_817) + 6d0*coupl(nGC_25)*coupl(nGC_91)*coupl(nGC_94&
                        ) + 6d0*coupl(nGC_28)*coupl(nGC_665)*coupl(nGC_817) +  &
                        6d0*coupl(nGC_28)*coupl(nGC_91)*coupl(nGC_94) + 3d0*   &
                        coupl(nGC_3011)*coupl(nGC_53)*coupl(nGC_64) - 3d0*coupl&
                        (nGC_3011)*coupl(nGC_62)*coupl(nGC_64) + 6d0*coupl(    &
                        nGC_35)*coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_37&
                        )*coupl(nGC_817)**2d0 + 6d0*coupl(nGC_37)*coupl(nGC_94 &
                        )**2d0 + 6d0*coupl(nGC_39)*coupl(nGC_665)**2d0 + 6d0*  &
                        coupl(nGC_39)*coupl(nGC_91)**2d0 + 3d0*coupl(nGC_43)*  &
                        coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_43)*coupl( &
                        nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_47)*coupl(nGC_665&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_47)*coupl(nGC_817)*    &
                        coupl(nGC_91) + 6d0*coupl(nGC_48)*coupl(nGC_68)*coupl( &
                        nGC_867) + 6d0*coupl(nGC_49)*coupl(nGC_69)*coupl(      &
                        nGC_867) + 3d0*coupl(nGC_55)*coupl(nGC_665)*coupl(     &
                        nGC_91) + 3d0*coupl(nGC_59)*coupl(nGC_817)*coupl(nGC_94&
                        ) - 6d0*coupl(nGC_61)*coupl(nGC_72)*coupl(nGC_867) +   &
                        3d0*coupl(nGC_665)*coupl(nGC_9)*coupl(nGC_94) - 3d0*   &
                        coupl(nGC_665)*coupl(nGC_91)*coupl(nGC_99) + 3d0*coupl(&
                        nGC_817)*coupl(nGC_9)*coupl(nGC_91) - 3d0*coupl(nGC_817&
                        )*coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9198) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)*    &
                        coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl&
                        (nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(nGC_137  &
                        )**2d0*coupl(nGC_140)**2d0 + 20d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*   &
                        coupl(nGC_149)**2d0*coupl(nGC_152)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)*coupl(nGC_176) +    &
                        20d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_176)**2d0 + &
                        20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)**2d0 + &
                        80d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)*coupl( &
                        nGC_183) + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(     &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_195)**&
                        2d0*coupl(nGC_198)**2d0 + 6d0*cima*coupl(nGC_101)*coupl&
                        (nGC_99) - 5d0*cima*coupl(nGC_1243)**2d0*coupl(nGC_867 &
                        )**2d0 - 20d0*cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(&
                        nGC_72)*coupl(nGC_867) - 10d0*cima*coupl(nGC_1331)*    &
                        coupl(nGC_665)*coupl(nGC_91)*coupl(nGC_92) - 10d0*cima*&
                        coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_92)*coupl(    &
                        nGC_94) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_867  &
                        )**2d0 - 20d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(&
                        nGC_72)*coupl(nGC_867) + 20d0*cima*coupl(nGC_157)**2d0*&
                        coupl(nGC_159)**2d0 + 80d0*cima*coupl(nGC_157)**2d0*   &
                        coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*coupl(nGC_157&
                        )**2d0*coupl(nGC_160)**2d0 + 20d0*cima*coupl(nGC_165)**&
                        2d0*coupl(nGC_167)**2d0 + 80d0*cima*coupl(nGC_165)**2d0&
                        *coupl(nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(      &
                        nGC_165)**2d0*coupl(nGC_168)**2d0 + 20d0*cima*coupl(   &
                        nGC_188)**2d0*coupl(nGC_190)**2d0 + 80d0*cima*coupl(   &
                        nGC_188)**2d0*coupl(nGC_190)*coupl(nGC_191) + 20d0*cima&
                        *coupl(nGC_188)**2d0*coupl(nGC_191)**2d0 - 10d0*cima*  &
                        coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72)*coupl(     &
                        nGC_867) - 10d0*cima*coupl(nGC_3011)*coupl(nGC_64)*    &
                        coupl(nGC_72)*coupl(nGC_867) + 12d0*cima*coupl(nGC_61)*&
                        coupl(nGC_62) - 10d0*cima*coupl(nGC_665)*coupl(nGC_817 &
                        )*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_68  &
                        )**2d0*coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_69)**2d0&
                        *coupl(nGC_72)**2d0 - 10d0*cima*coupl(nGC_817)**2d0*   &
                        coupl(nGC_94)**2d0 + 3d0*coupl(nGC_10)*coupl(nGC_665)* &
                        coupl(nGC_94) + 3d0*coupl(nGC_10)*coupl(nGC_817)*coupl(&
                        nGC_91) - 3d0*coupl(nGC_101)*coupl(nGC_1331)*coupl(    &
                        nGC_92) - 3d0*coupl(nGC_101)*coupl(nGC_817)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_12)*coupl(nGC_817)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_1243)*coupl(nGC_3011)*coupl(nGC_43   &
                        ) + 3d0*coupl(nGC_1243)*coupl(nGC_53)*coupl(nGC_68) -  &
                        3d0*coupl(nGC_1243)*coupl(nGC_62)*coupl(nGC_68) + 3d0* &
                        coupl(nGC_13)*coupl(nGC_665)*coupl(nGC_91) + 6d0*coupl(&
                        nGC_1331)*coupl(nGC_29)*coupl(nGC_817) + 6d0*coupl(    &
                        nGC_1331)*coupl(nGC_37)*coupl(nGC_665) + 3d0*coupl(    &
                        nGC_1331)*coupl(nGC_47)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_1331)*coupl(nGC_59)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_43) + 3d0*coupl(   &
                        nGC_1485)*coupl(nGC_53)*coupl(nGC_69) - 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_62)*coupl(nGC_69) + 6d0*coupl(     &
                        nGC_2391)*coupl(nGC_41)*coupl(nGC_72) + 3d0*coupl(     &
                        nGC_2391)*coupl(nGC_56)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_2391)*coupl(nGC_62)*coupl(nGC_63) + 6d0*coupl(     &
                        nGC_25)*coupl(nGC_665)*coupl(nGC_817) + 6d0*coupl(     &
                        nGC_25)*coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_29 &
                        )*coupl(nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_3011)*   &
                        coupl(nGC_40)*coupl(nGC_72) + 3d0*coupl(nGC_3011)*coupl&
                        (nGC_56)*coupl(nGC_64) - 3d0*coupl(nGC_3011)*coupl(    &
                        nGC_62)*coupl(nGC_64) + 6d0*coupl(nGC_32)*coupl(nGC_72 &
                        )*coupl(nGC_867) + 6d0*coupl(nGC_33)*coupl(nGC_817)**  &
                        2d0 + 6d0*coupl(nGC_33)*coupl(nGC_94)**2d0 + 6d0*coupl(&
                        nGC_37)*coupl(nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_40 &
                        )*coupl(nGC_63)*coupl(nGC_867) + 6d0*coupl(nGC_41)*    &
                        coupl(nGC_64)*coupl(nGC_867) + 3d0*coupl(nGC_43)*coupl(&
                        nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_43)*coupl(nGC_64 &
                        )*coupl(nGC_68) + 3d0*coupl(nGC_47)*coupl(nGC_817)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_55)*coupl(nGC_817)*coupl(&
                        nGC_94) - 6d0*coupl(nGC_61)*coupl(nGC_72)*coupl(nGC_867&
                        ) - 3d0*coupl(nGC_665)*coupl(nGC_91)*coupl(nGC_99) -   &
                        3d0*coupl(nGC_817)*coupl(nGC_94)*coupl(nGC_99))/(96d0* &
                        pi**2d0)
      coupl(nGC_9197) = (40d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_192)*coupl(    &
                        nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_1191)*&
                        coupl(nGC_192)*coupl(nGC_198)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_130)*coupl(nGC_132)*coupl(nGC_135)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_135)*coupl&
                        (nGC_136) + 40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_135)*&
                        coupl(nGC_136)*coupl(nGC_695) + 20d0*Nc*cima*coupl(    &
                        nGC_130)*coupl(nGC_136)**2d0*coupl(nGC_695) + 20d0*Nc* &
                        cima*coupl(nGC_139)**2d0*coupl(nGC_141)*coupl(nGC_143  &
                        ) + 40d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(  &
                        nGC_141)*coupl(nGC_143) + 40d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_144) + 20d0*Nc*&
                        cima*coupl(nGC_140)**2d0*coupl(nGC_141)*coupl(nGC_144  &
                        ) + 40d0*Nc*cima*coupl(nGC_145)*coupl(nGC_147)*coupl(  &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_147)*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_145)*coupl(nGC_148)*coupl(nGC_151)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_148)*coupl(nGC_151)*coupl&
                        (nGC_152) + 40d0*Nc*cima*coupl(nGC_169)*coupl(nGC_171)*&
                        coupl(nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(    &
                        nGC_169)*coupl(nGC_171)*coupl(nGC_176)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_169)*coupl(nGC_172)*coupl(nGC_175)**2d0 &
                         + 40d0*Nc*cima*coupl(nGC_169)*coupl(nGC_172)*coupl(   &
                        nGC_175)*coupl(nGC_176) + 20d0*Nc*cima*coupl(nGC_177)* &
                        coupl(nGC_179)*coupl(nGC_182)**2d0 + 40d0*Nc*cima*coupl&
                        (nGC_177)*coupl(nGC_179)*coupl(nGC_182)*coupl(nGC_183  &
                        ) + 40d0*Nc*cima*coupl(nGC_177)*coupl(nGC_182)*coupl(  &
                        nGC_183)*coupl(nGC_2019) + 20d0*Nc*cima*coupl(nGC_177)*&
                        coupl(nGC_183)**2d0*coupl(nGC_2019) + 20d0*Nc*cima*    &
                        coupl(nGC_192)*coupl(nGC_194)*coupl(nGC_197)**2d0 +    &
                        40d0*Nc*cima*coupl(nGC_192)*coupl(nGC_194)*coupl(      &
                        nGC_197)*coupl(nGC_198) - 5d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_72)**2d0*coupl(nGC_867) - 5d0*cima*coupl(    &
                        nGC_1485)*coupl(nGC_72)**2d0*coupl(nGC_867) + 40d0*cima&
                        *coupl(nGC_153)*coupl(nGC_155)*coupl(nGC_159)*coupl(   &
                        nGC_160) + 20d0*cima*coupl(nGC_153)*coupl(nGC_155)*    &
                        coupl(nGC_160)**2d0 + 20d0*cima*coupl(nGC_153)*coupl(  &
                        nGC_156)*coupl(nGC_159)**2d0 + 40d0*cima*coupl(nGC_153 &
                        )*coupl(nGC_156)*coupl(nGC_159)*coupl(nGC_160) + 40d0* &
                        cima*coupl(nGC_161)*coupl(nGC_163)*coupl(nGC_167)*coupl&
                        (nGC_168) + 20d0*cima*coupl(nGC_161)*coupl(nGC_163)*   &
                        coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_161)*coupl(  &
                        nGC_164)*coupl(nGC_167)**2d0 + 40d0*cima*coupl(nGC_161 &
                        )*coupl(nGC_164)*coupl(nGC_167)*coupl(nGC_168) + 40d0* &
                        cima*coupl(nGC_184)*coupl(nGC_186)*coupl(nGC_190)*coupl&
                        (nGC_191) + 20d0*cima*coupl(nGC_184)*coupl(nGC_186)*   &
                        coupl(nGC_191)**2d0 + 20d0*cima*coupl(nGC_184)*coupl(  &
                        nGC_187)*coupl(nGC_190)**2d0 + 40d0*cima*coupl(nGC_184 &
                        )*coupl(nGC_187)*coupl(nGC_190)*coupl(nGC_191) - 5d0*  &
                        cima*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867)**2d0 - &
                        5d0*cima*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867)**  &
                        2d0 + 3d0*coupl(nGC_1243)*coupl(nGC_58)*coupl(nGC_72   &
                        ) - 3d0*coupl(nGC_1243)*coupl(nGC_62)*coupl(nGC_72) +  &
                        3d0*coupl(nGC_1485)*coupl(nGC_58)*coupl(nGC_72) - 3d0* &
                        coupl(nGC_1485)*coupl(nGC_62)*coupl(nGC_72) + 6d0*coupl&
                        (nGC_2391)*coupl(nGC_43)*coupl(nGC_867) + 6d0*coupl(   &
                        nGC_3011)*coupl(nGC_43)*coupl(nGC_867) + 3d0*coupl(    &
                        nGC_43)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl(nGC_43 &
                        )*coupl(nGC_64)*coupl(nGC_72) + 6d0*coupl(nGC_48)*coupl&
                        (nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_49)*coupl(     &
                        nGC_72)*coupl(nGC_867) + 3d0*coupl(nGC_56)*coupl(nGC_68&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_56)*coupl(nGC_69)*    &
                        coupl(nGC_867) + 3d0*coupl(nGC_58)*coupl(nGC_68)*coupl(&
                        nGC_867) + 3d0*coupl(nGC_58)*coupl(nGC_69)*coupl(      &
                        nGC_867))/(96d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl28
end module fill_ctcouplings28
