!******************************************************************************!
!                                                                              !
!    fill_ctcouplings30.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings30.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings30
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl30()
      coupl(nGC_9249) = (20d0*Nc*cima*coupl(nGC_130)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_141)**4d0 + 20d0*Nc*cima*coupl(nGC_145)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_169)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_177)**4d0 + 20d0*Nc*cima*coupl(nGC_192)**4d0 - 5d0*&
                        cima*coupl(nGC_1243)**2d0*coupl(nGC_68)**2d0 - 10d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_63)*    &
                        coupl(nGC_68) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(   &
                        nGC_69)**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(nGC_3011&
                        )*coupl(nGC_64)*coupl(nGC_69) + 20d0*cima*coupl(nGC_153&
                        )**4d0 + 20d0*cima*coupl(nGC_161)**4d0 + 20d0*cima*    &
                        coupl(nGC_184)**4d0 - 5d0*cima*coupl(nGC_2391)**2d0*   &
                        coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_3011)**2d0*    &
                        coupl(nGC_64)**2d0 + 6d0*cima*coupl(nGC_61)**2d0 - 5d0*&
                        cima*coupl(nGC_665)**2d0*coupl(nGC_91)**2d0 - 10d0*cima&
                        *coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_91)*coupl(    &
                        nGC_94) - 5d0*cima*coupl(nGC_817)**2d0*coupl(nGC_94)** &
                        2d0 + 3d0*cima*coupl(nGC_99)**2d0 + 3d0*coupl(nGC_1243 &
                        )*coupl(nGC_2391)*coupl(nGC_24) + 3d0*coupl(nGC_1243)* &
                        coupl(nGC_30)*coupl(nGC_68) - 3d0*coupl(nGC_1243)*coupl&
                        (nGC_61)*coupl(nGC_68) + 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_24)*coupl(nGC_3011) + 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_30)*coupl(nGC_69) - 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_61)*coupl(nGC_69) + 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_35)*coupl(nGC_63) - 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_61)*coupl(nGC_63) + 3d0*coupl(nGC_24)*coupl(nGC_63 &
                        )*coupl(nGC_68) + 3d0*coupl(nGC_24)*coupl(nGC_64)*coupl&
                        (nGC_69) + 3d0*coupl(nGC_28)*coupl(nGC_665)*coupl(     &
                        nGC_94) + 3d0*coupl(nGC_28)*coupl(nGC_817)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_3011)*coupl(nGC_35)*coupl(nGC_64) -  &
                        3d0*coupl(nGC_3011)*coupl(nGC_61)*coupl(nGC_64) + 3d0* &
                        coupl(nGC_31)*coupl(nGC_817)*coupl(nGC_94) + 3d0*coupl(&
                        nGC_39)*coupl(nGC_665)*coupl(nGC_91) - 3d0*coupl(      &
                        nGC_665)*coupl(nGC_91)*coupl(nGC_99) - 3d0*coupl(      &
                        nGC_817)*coupl(nGC_94)*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_14629) = coupl(nGC_93)*dZHlHh_QED2/2d0 + coupl(nGC_95)*        &
                         dZHh_QED2/2d0 + coupl(nGC_9529)
      coupl(nGC_9087) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*coupl( &
                        nGC_134) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138&
                        )*coupl(nGC_142) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_146)*coupl(nGC_150) - 32d0*Nc*cima*coupl(nGC_1)** &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 32d0*Nc*cima*coupl(&
                        nGC_1)**2d0*coupl(nGC_178)*coupl(nGC_181) - 32d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_193)*coupl(nGC_196) + &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134 &
                        )*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_2) + 40d0*Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2 &
                        ) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(    &
                        nGC_174)*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_178)*coupl(nGC_181)*coupl(nGC_2) + 40d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2 &
                        ) - 32d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142&
                        )*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_146)*coupl&
                        (nGC_150)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_2)**2d0 - 32d0*Nc*   &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2 &
                        )**2d0 + 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_63)*  &
                        coupl(nGC_69) + 9d0*cima*coupl(nGC_1103)**2d0*coupl(   &
                        nGC_64)*coupl(nGC_69) + 9d0*cima*coupl(nGC_1243)*coupl(&
                        nGC_2391)*coupl(nGC_3)**2d0 + 9d0*cima*coupl(nGC_1243)*&
                        coupl(nGC_3)**2d0*coupl(nGC_3011) - 32d0*cima*coupl(   &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_4)**2d0 - 32d0*cima* &
                        coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)**2d0 - 32d0*&
                        cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_4)**2d0 - &
                        6d0*coupl(nGC_1103)*coupl(nGC_63)*coupl(nGC_70) - 6d0* &
                        coupl(nGC_1103)*coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl&
                        (nGC_1103)*coupl(nGC_65)*coupl(nGC_69) - 6d0*coupl(    &
                        nGC_1103)*coupl(nGC_66)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1207)*coupl(nGC_63)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1207)*coupl(nGC_64)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_3)*coupl(nGC_65) - 6d0*coupl(      &
                        nGC_1243)*coupl(nGC_3)*coupl(nGC_66) - 6d0*coupl(      &
                        nGC_2391)*coupl(nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_3 &
                        )*coupl(nGC_3011)*coupl(nGC_70))/(192d0*pi**2d0)
      coupl(nGC_9086) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)*coupl( &
                        nGC_134) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138&
                        )*coupl(nGC_142) - 32d0*Nc*cima*coupl(nGC_1)**2d0*coupl&
                        (nGC_146)*coupl(nGC_150) - 32d0*Nc*cima*coupl(nGC_1)** &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 32d0*Nc*cima*coupl(&
                        nGC_1)**2d0*coupl(nGC_178)*coupl(nGC_181) - 32d0*Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_193)*coupl(nGC_196) + &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134 &
                        )*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_138)*coupl(nGC_142)*coupl(nGC_2) + 40d0*Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2 &
                        ) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(    &
                        nGC_174)*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_178)*coupl(nGC_181)*coupl(nGC_2) + 40d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2 &
                        ) - 32d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(  &
                        nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142&
                        )*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(nGC_146)*coupl&
                        (nGC_150)*coupl(nGC_2)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_2)**2d0 - 32d0*Nc*   &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2 &
                        )**2d0 + 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_1485)*&
                        coupl(nGC_2391) + 9d0*cima*coupl(nGC_1103)**2d0*coupl( &
                        nGC_1485)*coupl(nGC_3011) - 32d0*cima*coupl(nGC_154)*  &
                        coupl(nGC_158)*coupl(nGC_4)**2d0 - 32d0*cima*coupl(    &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4)**2d0 - 32d0*cima* &
                        coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_4)**2d0 + 9d0* &
                        cima*coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(nGC_68) +   &
                        9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_64)*coupl(nGC_68  &
                        ) - 6d0*coupl(nGC_1103)*coupl(nGC_1485)*coupl(nGC_65   &
                        ) - 6d0*coupl(nGC_1103)*coupl(nGC_1485)*coupl(nGC_66   &
                        ) - 6d0*coupl(nGC_1103)*coupl(nGC_2391)*coupl(nGC_70   &
                        ) - 6d0*coupl(nGC_1103)*coupl(nGC_3011)*coupl(nGC_70   &
                        ) - 6d0*coupl(nGC_1207)*coupl(nGC_63)*coupl(nGC_68) -  &
                        6d0*coupl(nGC_1207)*coupl(nGC_64)*coupl(nGC_68) - 6d0* &
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_70) - 6d0*coupl(  &
                        nGC_3)*coupl(nGC_64)*coupl(nGC_70) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_65)*coupl(nGC_68) - 6d0*coupl(nGC_3)*coupl(  &
                        nGC_66)*coupl(nGC_68))/(192d0*pi**2d0)
      coupl(nGC_8784) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_137)*coupl(nGC_84  &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_137)*coupl(nGC_87&
                        ) - 4d0*Nc*cMC*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMC*coupl(nGC_133)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_84&
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_87&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_173)*coupl(nGC_84&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_173)*coupl(nGC_87&
                        ) - 4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMU*coupl(nGC_195)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*cME*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 4d0*cME*coupl(nGC_157)*coupl(nGC_4)*coupl(nGC_89   &
                        ) - 4d0*cMM*coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 4d0*cMM*coupl(nGC_165)*coupl(nGC_4)*coupl(nGC_89   &
                        ) - 4d0*cMTA*coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_86  &
                        ) - 4d0*cMTA*coupl(nGC_188)*coupl(nGC_4)*coupl(nGC_89  &
                        ) + 4d0*cima*coupl(nGC_125)*coupl(nGC_83) - coupl(     &
                        nGC_102)*coupl(nGC_1103)*coupl(nGC_64) - coupl(nGC_102 &
                        )*coupl(nGC_3)*coupl(nGC_63) - coupl(nGC_107)*coupl(   &
                        nGC_1103)*coupl(nGC_1243) - coupl(nGC_107)*coupl(      &
                        nGC_1485)*coupl(nGC_3) + 6d0*coupl(nGC_1103)*coupl(    &
                        nGC_125)*coupl(nGC_833) + 6d0*coupl(nGC_125)*coupl(    &
                        nGC_3)*coupl(nGC_82) - coupl(nGC_126)*coupl(nGC_2391)* &
                        coupl(nGC_82) - coupl(nGC_126)*coupl(nGC_3011)*coupl(  &
                        nGC_833) - coupl(nGC_127)*coupl(nGC_68)*coupl(nGC_833  &
                        ) - coupl(nGC_127)*coupl(nGC_69)*coupl(nGC_82))/(32d0* &
                        pi**2d0)
      coupl(nGC_9089) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_134)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_138)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_150)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_174)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_181)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_196)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_134)**2d0*coupl(   &
                        nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)**2d0*&
                        coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_150 &
                        )**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_174)**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_181)**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_196)**2d0*coupl(nGC_2) - 32d0*Nc*cima*&
                        coupl(nGC_134)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_138)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_150)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_174)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_181)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_196)**2d0*coupl(nGC_2)**2d0 + 9d0*cima*coupl(&
                        nGC_1103)**2d0*coupl(nGC_1485)*coupl(nGC_69) + 9d0*cima&
                        *coupl(nGC_1103)**2d0*coupl(nGC_3011)*coupl(nGC_64) +  &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_72)*coupl(     &
                        nGC_867) + 24d0*cima*coupl(nGC_1207)*coupl(nGC_62) +   &
                        9d0*cima*coupl(nGC_1243)*coupl(nGC_3)**2d0*coupl(nGC_68&
                        ) - 32d0*cima*coupl(nGC_158)**2d0*coupl(nGC_4)**2d0 -  &
                        32d0*cima*coupl(nGC_166)**2d0*coupl(nGC_4)**2d0 + 8d0* &
                        cima*coupl(nGC_17)**2d0*coupl(nGC_793)**2d0 + 4d0*cima*&
                        coupl(nGC_17)**2d0*coupl(nGC_975)**2d0 - 32d0*cima*    &
                        coupl(nGC_189)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(&
                        nGC_2391)*coupl(nGC_3)**2d0*coupl(nGC_63) + 9d0*cima*  &
                        coupl(nGC_3)**2d0*coupl(nGC_72)*coupl(nGC_867) + 4d0*  &
                        cima*coupl(nGC_793)**2d0*coupl(nGC_96)**2d0 + 36d0*    &
                        coupl(nGC_1103)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_1103&
                        )*coupl(nGC_1485)*coupl(nGC_70) - 6d0*coupl(nGC_1103)* &
                        coupl(nGC_3011)*coupl(nGC_65) - 6d0*coupl(nGC_1103)*   &
                        coupl(nGC_64)*coupl(nGC_65) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_69)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(    &
                        nGC_72)*coupl(nGC_74) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_73)*coupl(nGC_867) - 6d0*coupl(nGC_1207)*coupl(    &
                        nGC_1243)*coupl(nGC_68) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_2391)*coupl(nGC_63) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_72)*coupl(nGC_867) - 6d0*coupl(nGC_1243)*coupl(    &
                        nGC_3)*coupl(nGC_70) + 6d0*coupl(nGC_18)*coupl(nGC_793 &
                        )**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_975)**2d0 - 6d0*  &
                        coupl(nGC_2391)*coupl(nGC_3)*coupl(nGC_65) + 36d0*coupl&
                        (nGC_3)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_3)*coupl(   &
                        nGC_63)*coupl(nGC_65) - 6d0*coupl(nGC_3)*coupl(nGC_68)*&
                        coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(  &
                        nGC_73) - 6d0*coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_867 &
                        ))/(192d0*pi**2d0)
      coupl(nGC_9088) = (-32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_131)**2d0 - &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_142)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_146)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_170)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_178)**2d0 -   &
                        32d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_193)**2d0 +   &
                        40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)**2d0*coupl(   &
                        nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*&
                        coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl(nGC_146 &
                        )**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*coupl( &
                        nGC_170)**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl(nGC_1)*&
                        coupl(nGC_178)**2d0*coupl(nGC_2) + 40d0*Nc*cima*coupl( &
                        nGC_1)*coupl(nGC_193)**2d0*coupl(nGC_2) - 32d0*Nc*cima*&
                        coupl(nGC_131)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_142)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_146)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_170)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_178)**2d0*coupl(nGC_2)**2d0 - 32d0*Nc*cima*  &
                        coupl(nGC_193)**2d0*coupl(nGC_2)**2d0 + 9d0*cima*coupl(&
                        nGC_1103)**2d0*coupl(nGC_1485)*coupl(nGC_69) + 9d0*cima&
                        *coupl(nGC_1103)**2d0*coupl(nGC_2391)*coupl(nGC_63) +  &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_72)*coupl(     &
                        nGC_867) + 24d0*cima*coupl(nGC_1207)*coupl(nGC_62) +   &
                        9d0*cima*coupl(nGC_1243)*coupl(nGC_3)**2d0*coupl(nGC_68&
                        ) - 32d0*cima*coupl(nGC_154)**2d0*coupl(nGC_4)**2d0 -  &
                        32d0*cima*coupl(nGC_162)**2d0*coupl(nGC_4)**2d0 + 8d0* &
                        cima*coupl(nGC_17)**2d0*coupl(nGC_793)**2d0 + 4d0*cima*&
                        coupl(nGC_17)**2d0*coupl(nGC_975)**2d0 - 32d0*cima*    &
                        coupl(nGC_185)**2d0*coupl(nGC_4)**2d0 + 9d0*cima*coupl(&
                        nGC_3)**2d0*coupl(nGC_3011)*coupl(nGC_64) + 9d0*cima*  &
                        coupl(nGC_3)**2d0*coupl(nGC_72)*coupl(nGC_867) + 4d0*  &
                        cima*coupl(nGC_793)**2d0*coupl(nGC_96)**2d0 + 36d0*    &
                        coupl(nGC_1103)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_1103&
                        )*coupl(nGC_1485)*coupl(nGC_70) - 6d0*coupl(nGC_1103)* &
                        coupl(nGC_2391)*coupl(nGC_66) - 6d0*coupl(nGC_1103)*   &
                        coupl(nGC_63)*coupl(nGC_66) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_69)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(    &
                        nGC_72)*coupl(nGC_74) - 6d0*coupl(nGC_1103)*coupl(     &
                        nGC_73)*coupl(nGC_867) - 6d0*coupl(nGC_1207)*coupl(    &
                        nGC_1243)*coupl(nGC_68) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_3011)*coupl(nGC_64) - 6d0*coupl(nGC_1207)*coupl(   &
                        nGC_72)*coupl(nGC_867) - 6d0*coupl(nGC_1243)*coupl(    &
                        nGC_3)*coupl(nGC_70) + 6d0*coupl(nGC_18)*coupl(nGC_793 &
                        )**2d0 + 6d0*coupl(nGC_18)*coupl(nGC_975)**2d0 + 36d0* &
                        coupl(nGC_3)**2d0*coupl(nGC_62) - 6d0*coupl(nGC_3)*    &
                        coupl(nGC_3011)*coupl(nGC_66) - 6d0*coupl(nGC_3)*coupl(&
                        nGC_64)*coupl(nGC_66) - 6d0*coupl(nGC_3)*coupl(nGC_68)*&
                        coupl(nGC_70) - 6d0*coupl(nGC_3)*coupl(nGC_72)*coupl(  &
                        nGC_73) - 6d0*coupl(nGC_3)*coupl(nGC_74)*coupl(nGC_867 &
                        ))/(192d0*pi**2d0)
      coupl(nGC_17559) = -coupl(nGC_17558)
      coupl(nGC_13598) = coupl(nGC_177)*dZHlHh_QED2/2d0 + coupl(nGC_180)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9508)
      coupl(nGC_13692) = coupl(nGC_13691) + coupl(nGC_9449)
      coupl(nGC_13693) = coupl(nGC_145)*dZHl_QED2/2d0 + coupl(nGC_149)*        &
                         dZHhHl_QED2/2d0 + coupl(nGC_9450)
      coupl(nGC_13694) = coupl(nGC_13690) + coupl(nGC_13693)
      coupl(nGC_9255) = (-32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_85)**2d0  &
                         + 40d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_85)*coupl&
                        (nGC_88) - 32d0*Nc*cima*coupl(nGC_130)**2d0*coupl(     &
                        nGC_88)**2d0 - 32d0*Nc*cima*coupl(nGC_141)**2d0*coupl( &
                        nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_141)**2d0*coupl( &
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_141)**  &
                        2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_145)** &
                        2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(nGC_145)** &
                        2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(  &
                        nGC_145)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl( &
                        nGC_169)**2d0*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl( &
                        nGC_169)**2d0*coupl(nGC_84)*coupl(nGC_87) - 32d0*Nc*   &
                        cima*coupl(nGC_169)**2d0*coupl(nGC_87)**2d0 - 32d0*Nc* &
                        cima*coupl(nGC_177)**2d0*coupl(nGC_85)**2d0 + 40d0*Nc* &
                        cima*coupl(nGC_177)**2d0*coupl(nGC_85)*coupl(nGC_88) - &
                        32d0*Nc*cima*coupl(nGC_177)**2d0*coupl(nGC_88)**2d0 -  &
                        32d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_85)**2d0 +  &
                        40d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_85)*coupl(  &
                        nGC_88) - 32d0*Nc*cima*coupl(nGC_192)**2d0*coupl(nGC_88&
                        )**2d0 + 12d0*cima*coupl(nGC_1047)*coupl(nGC_61) + 9d0*&
                        cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_833)**2d0 &
                         + 4d0*cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_975&
                        )**2d0 + 4d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(&
                        nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1331)*coupl(&
                        nGC_817)*coupl(nGC_92)*coupl(nGC_94) + 9d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_82)**2d0 + 4d0*cima* &
                        coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_96)**2d0 - 32d0&
                        *cima*coupl(nGC_153)**2d0*coupl(nGC_86)**2d0 + 40d0*   &
                        cima*coupl(nGC_153)**2d0*coupl(nGC_86)*coupl(nGC_89) - &
                        32d0*cima*coupl(nGC_153)**2d0*coupl(nGC_89)**2d0 - 32d0&
                        *cima*coupl(nGC_161)**2d0*coupl(nGC_86)**2d0 + 40d0*   &
                        cima*coupl(nGC_161)**2d0*coupl(nGC_86)*coupl(nGC_89) - &
                        32d0*cima*coupl(nGC_161)**2d0*coupl(nGC_89)**2d0 - 32d0&
                        *cima*coupl(nGC_184)**2d0*coupl(nGC_86)**2d0 + 40d0*   &
                        cima*coupl(nGC_184)**2d0*coupl(nGC_86)*coupl(nGC_89) - &
                        32d0*cima*coupl(nGC_184)**2d0*coupl(nGC_89)**2d0 + 9d0*&
                        cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_833)**2d0 &
                         + 4d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_975&
                        )**2d0 + 9d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl( &
                        nGC_82)**2d0 + 4d0*cima*coupl(nGC_3011)*coupl(nGC_64)* &
                        coupl(nGC_96)**2d0 + 4d0*cima*coupl(nGC_665)**2d0*coupl&
                        (nGC_91)**2d0 + 4d0*cima*coupl(nGC_665)**2d0*coupl(    &
                        nGC_94)**2d0 + 4d0*cima*coupl(nGC_665)*coupl(nGC_817)* &
                        coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_665)* &
                        coupl(nGC_817)*coupl(nGC_92)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_817)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*coupl&
                        (nGC_817)**2d0*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_100)*&
                        coupl(nGC_1243)*coupl(nGC_68) + 3d0*coupl(nGC_100)*    &
                        coupl(nGC_1485)*coupl(nGC_69) + 3d0*coupl(nGC_100)*    &
                        coupl(nGC_2391)*coupl(nGC_63) + 3d0*coupl(nGC_100)*    &
                        coupl(nGC_3011)*coupl(nGC_64) + 3d0*coupl(nGC_101)*    &
                        coupl(nGC_665)*coupl(nGC_91) + 3d0*coupl(nGC_101)*coupl&
                        (nGC_817)*coupl(nGC_94) - 3d0*coupl(nGC_1047)*coupl(   &
                        nGC_1243)*coupl(nGC_68) - 3d0*coupl(nGC_1047)*coupl(   &
                        nGC_1485)*coupl(nGC_69) - 3d0*coupl(nGC_1047)*coupl(   &
                        nGC_2391)*coupl(nGC_63) - 3d0*coupl(nGC_1047)*coupl(   &
                        nGC_3011)*coupl(nGC_64) - 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_16)*coupl(nGC_833) - 6d0*coupl(nGC_14)*coupl(      &
                        nGC_2391)*coupl(nGC_833) - 6d0*coupl(nGC_14)*coupl(    &
                        nGC_3011)*coupl(nGC_82) - 6d0*coupl(nGC_14)*coupl(     &
                        nGC_63)*coupl(nGC_833) - 6d0*coupl(nGC_14)*coupl(nGC_64&
                        )*coupl(nGC_82) - 6d0*coupl(nGC_1485)*coupl(nGC_16)*   &
                        coupl(nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_68)*coupl( &
                        nGC_833) - 6d0*coupl(nGC_16)*coupl(nGC_69)*coupl(nGC_82&
                        ) + 18d0*coupl(nGC_61)*coupl(nGC_82)**2d0 + 18d0*coupl(&
                        nGC_61)*coupl(nGC_833)**2d0)/(96d0*pi**2d0)
      coupl(nGC_29878) = -coupl(nGC_8864)
      coupl(nGC_16237) = coupl(nGC_13601) + coupl(nGC_16235)
      coupl(nGC_16236) = coupl(nGC_13601) + coupl(nGC_16234)
      coupl(nGC_20109) = -coupl(nGC_15264) + coupl(nGC_15265)
      coupl(nGC_14136) = coupl(nGC_183)*dZtL_QED2/2d0 + coupl(nGC_183)*        &
                         dZtR_QED2/2d0 + coupl(nGC_9502)
      coupl(nGC_14137) = coupl(nGC_182)*dZtL_QED2/2d0 + coupl(nGC_182)*        &
                         dZtR_QED2/2d0 + coupl(nGC_9500)
      coupl(nGC_15338) = coupl(nGC_124)*dZHl_QED2/2d0 + coupl(nGC_124)*        &
                         dZWMinus_QED2 + coupl(nGC_125)*dZHhHl_QED2/2d0 + coupl&
                         (nGC_9377) + coupl(nGC_TS_GC_61_Hl)
      coupl(nGC_9140) = (10d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_150)**2d0*coupl&
                        (nGC_198) + 10d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_150 &
                        )*coupl(nGC_152)*coupl(nGC_196) + 10d0*Nc*cima*coupl(  &
                        nGC_1191)*coupl(nGC_196)**2d0*coupl(nGC_198) + 10d0*Nc*&
                        cima*coupl(nGC_132)*coupl(nGC_134)**2d0*coupl(nGC_135  &
                        ) + 10d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(  &
                        nGC_174)*coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_132)* &
                        coupl(nGC_135)*coupl(nGC_174)**2d0 + 10d0*Nc*cima*coupl&
                        (nGC_134)**2d0*coupl(nGC_136)*coupl(nGC_695) + 10d0*Nc*&
                        cima*coupl(nGC_134)**2d0*coupl(nGC_171)*coupl(nGC_176  &
                        ) + 10d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_172)*   &
                        coupl(nGC_175) + 10d0*Nc*cima*coupl(nGC_134)*coupl(    &
                        nGC_135)*coupl(nGC_172)*coupl(nGC_174) + 10d0*Nc*cima* &
                        coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_171)*coupl(    &
                        nGC_174) + 10d0*Nc*cima*coupl(nGC_134)*coupl(nGC_174)* &
                        coupl(nGC_176)*coupl(nGC_695) + 10d0*Nc*cima*coupl(    &
                        nGC_136)*coupl(nGC_174)**2d0*coupl(nGC_695) + 10d0*Nc* &
                        cima*coupl(nGC_138)**2d0*coupl(nGC_139)*coupl(nGC_143  &
                        ) + 10d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_140)*   &
                        coupl(nGC_144) + 10d0*Nc*cima*coupl(nGC_138)**2d0*coupl&
                        (nGC_179)*coupl(nGC_182) + 10d0*Nc*cima*coupl(nGC_138  &
                        )**2d0*coupl(nGC_183)*coupl(nGC_2019) + 10d0*Nc*cima*  &
                        coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_179)*coupl(    &
                        nGC_181) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_140)* &
                        coupl(nGC_181)*coupl(nGC_2019) + 10d0*Nc*cima*coupl(   &
                        nGC_138)*coupl(nGC_143)*coupl(nGC_181)*coupl(nGC_182   &
                        ) + 10d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(  &
                        nGC_181)*coupl(nGC_183) + 10d0*Nc*cima*coupl(nGC_139)* &
                        coupl(nGC_143)*coupl(nGC_181)**2d0 + 10d0*Nc*cima*coupl&
                        (nGC_140)*coupl(nGC_144)*coupl(nGC_181)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_150)**2d0*coupl(nGC_152  &
                        ) + 10d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*coupl(  &
                        nGC_196)*coupl(nGC_198) + 10d0*Nc*cima*coupl(nGC_147)* &
                        coupl(nGC_152)*coupl(nGC_196)**2d0 + 10d0*Nc*cima*coupl&
                        (nGC_148)*coupl(nGC_150)**2d0*coupl(nGC_151) + 10d0*Nc*&
                        cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_196)*coupl&
                        (nGC_197) + 10d0*Nc*cima*coupl(nGC_148)*coupl(nGC_151)*&
                        coupl(nGC_196)**2d0 + 10d0*Nc*cima*coupl(nGC_150)**2d0*&
                        coupl(nGC_194)*coupl(nGC_197) + 10d0*Nc*cima*coupl(    &
                        nGC_150)*coupl(nGC_151)*coupl(nGC_194)*coupl(nGC_196   &
                        ) + 10d0*Nc*cima*coupl(nGC_171)*coupl(nGC_174)**2d0*   &
                        coupl(nGC_176) + 10d0*Nc*cima*coupl(nGC_172)*coupl(    &
                        nGC_174)**2d0*coupl(nGC_175) + 10d0*Nc*cima*coupl(     &
                        nGC_179)*coupl(nGC_181)**2d0*coupl(nGC_182) + 10d0*Nc* &
                        cima*coupl(nGC_181)**2d0*coupl(nGC_183)*coupl(nGC_2019 &
                        ) + 10d0*Nc*cima*coupl(nGC_194)*coupl(nGC_196)**2d0*   &
                        coupl(nGC_197) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_72 &
                        )*coupl(nGC_92)*coupl(nGC_975) - 5d0*cima*coupl(       &
                        nGC_1331)*coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_94   &
                        ) - 5d0*cima*coupl(nGC_1331)*coupl(nGC_3011)*coupl(    &
                        nGC_69)*coupl(nGC_91) - 5d0*cima*coupl(nGC_1331)*coupl(&
                        nGC_68)*coupl(nGC_867)*coupl(nGC_975) - 5d0*cima*coupl(&
                        nGC_1331)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0*cima* &
                        coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_665)*coupl(    &
                        nGC_92) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_64)*coupl(&
                        nGC_817)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1485)*coupl&
                        (nGC_69)*coupl(nGC_817)*coupl(nGC_92) + 10d0*cima*coupl&
                        (nGC_155)*coupl(nGC_158)**2d0*coupl(nGC_160) + 10d0*   &
                        cima*coupl(nGC_156)*coupl(nGC_158)**2d0*coupl(nGC_159  &
                        ) + 10d0*cima*coupl(nGC_163)*coupl(nGC_166)**2d0*coupl(&
                        nGC_168) + 10d0*cima*coupl(nGC_164)*coupl(nGC_166)**2d0&
                        *coupl(nGC_167) + 10d0*cima*coupl(nGC_186)*coupl(      &
                        nGC_189)**2d0*coupl(nGC_191) + 10d0*cima*coupl(nGC_187 &
                        )*coupl(nGC_189)**2d0*coupl(nGC_190) - 5d0*cima*coupl( &
                        nGC_2391)*coupl(nGC_72)*coupl(nGC_94)*coupl(nGC_975) - &
                        5d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_665)* &
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_64)*&
                        coupl(nGC_817)*coupl(nGC_91) - 5d0*cima*coupl(nGC_3011 &
                        )*coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_94) - 5d0*cima&
                        *coupl(nGC_63)*coupl(nGC_817)*coupl(nGC_867)*coupl(    &
                        nGC_975) - 5d0*cima*coupl(nGC_665)*coupl(nGC_94)*coupl(&
                        nGC_96)**2d0 - 5d0*cima*coupl(nGC_817)*coupl(nGC_91)*  &
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_817)*coupl(    &
                        nGC_92)*coupl(nGC_96)**2d0 - 3d0*coupl(nGC_100)*coupl( &
                        nGC_1331)*coupl(nGC_94) - 3d0*coupl(nGC_100)*coupl(    &
                        nGC_817)*coupl(nGC_91) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_40)*coupl(nGC_72) - 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_19)*coupl(nGC_69) - 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_20)*coupl(nGC_92) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_29)*coupl(nGC_69) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_37)*coupl(nGC_64) - 3d0*coupl(nGC_19)*coupl(nGC_64 &
                        )*coupl(nGC_817) - 3d0*coupl(nGC_20)*coupl(nGC_3011)*  &
                        coupl(nGC_94) + 3d0*coupl(nGC_23)*coupl(nGC_665)*coupl(&
                        nGC_92) + 3d0*coupl(nGC_23)*coupl(nGC_817)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_2391)*coupl(nGC_49)*coupl(nGC_72) +  &
                        3d0*coupl(nGC_28)*coupl(nGC_3011)*coupl(nGC_64) + 3d0* &
                        coupl(nGC_3011)*coupl(nGC_37)*coupl(nGC_69) + 3d0*coupl&
                        (nGC_32)*coupl(nGC_817)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_35)*coupl(nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_41&
                        )*coupl(nGC_68)*coupl(nGC_867) + 6d0*coupl(nGC_43)*    &
                        coupl(nGC_72)**2d0 + 3d0*coupl(nGC_43)*coupl(nGC_793)**&
                        2d0 + 6d0*coupl(nGC_43)*coupl(nGC_867)**2d0 + 3d0*coupl&
                        (nGC_43)*coupl(nGC_975)**2d0 + 6d0*coupl(nGC_45)*coupl(&
                        nGC_72)*coupl(nGC_867) + 3d0*coupl(nGC_47)*coupl(nGC_72&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_48)*coupl(nGC_63)*    &
                        coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9141) = (20d0*Nc*cima*coupl(nGC_131)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_142)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_146)**2d0*coupl(nGC_150)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_170)**2d0*coupl(nGC_174)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_178)**2d0*coupl(nGC_181)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_193)**2d0*coupl(nGC_196)**2d0&
                         + 6d0*cima*coupl(nGC_100)**2d0 - 5d0*cima*coupl(      &
                        nGC_1243)**2d0*coupl(nGC_2391)*coupl(nGC_3011) - 5d0*  &
                        cima*coupl(nGC_1243)**2d0*coupl(nGC_68)**2d0 - 10d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_2391)*  &
                        coupl(nGC_3011) - 5d0*cima*coupl(nGC_1243)*coupl(      &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_68) - 10d0*cima*coupl&
                        (nGC_1243)*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_68  &
                        ) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_3011)*coupl(    &
                        nGC_64)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1243)*coupl&
                        (nGC_68)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(&
                        nGC_1485)**2d0*coupl(nGC_2391)*coupl(nGC_3011) - 5d0*  &
                        cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_63)*    &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_2391&
                        )*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_69) - 5d0*   &
                        cima*coupl(nGC_1485)*coupl(nGC_3011)*coupl(nGC_64)*    &
                        coupl(nGC_68) - 10d0*cima*coupl(nGC_1485)*coupl(       &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_69) + 20d0*cima*coupl&
                        (nGC_154)**2d0*coupl(nGC_158)**2d0 + 20d0*cima*coupl(  &
                        nGC_162)**2d0*coupl(nGC_166)**2d0 - 5d0*cima*coupl(    &
                        nGC_17)**4d0 - 5d0*cima*coupl(nGC_17)**2d0*coupl(      &
                        nGC_793)**2d0 - 10d0*cima*coupl(nGC_17)**2d0*coupl(    &
                        nGC_96)**2d0 - 10d0*cima*coupl(nGC_17)*coupl(nGC_793)* &
                        coupl(nGC_96)*coupl(nGC_975) + 6d0*cima*coupl(nGC_18)**&
                        2d0 + 20d0*cima*coupl(nGC_185)**2d0*coupl(nGC_189)**2d0&
                         - 5d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*coupl(     &
                        nGC_63)*coupl(nGC_64) - 5d0*cima*coupl(nGC_2391)*coupl(&
                        nGC_63)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl( &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867) + &
                        12d0*cima*coupl(nGC_62)**2d0 - 5d0*cima*coupl(nGC_72)**&
                        2d0*coupl(nGC_867)**2d0 - 5d0*cima*coupl(nGC_96)**4d0  &
                         - 5d0*cima*coupl(nGC_96)**2d0*coupl(nGC_975)**2d0 +   &
                        12d0*cima*coupl(nGC_97)**2d0 - 6d0*coupl(nGC_100)*coupl&
                        (nGC_96)**2d0 + 3d0*coupl(nGC_1243)**2d0*coupl(nGC_36  &
                        ) + 3d0*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_24   &
                        ) + 3d0*coupl(nGC_1243)*coupl(nGC_27)*coupl(nGC_3011   &
                        ) + 3d0*coupl(nGC_1243)*coupl(nGC_48)*coupl(nGC_867) + &
                        3d0*coupl(nGC_1243)*coupl(nGC_49)*coupl(nGC_72) - 6d0* &
                        coupl(nGC_1243)*coupl(nGC_62)*coupl(nGC_68) + 3d0*coupl&
                        (nGC_1485)*coupl(nGC_22)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_1485)*coupl(nGC_23)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_34)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1485)*coupl(nGC_35)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_17)**2d0*coupl(nGC_18) + 6d0*coupl(nGC_17)**2d0*   &
                        coupl(nGC_57) + 6d0*coupl(nGC_17)*coupl(nGC_57)*coupl( &
                        nGC_793) - 12d0*coupl(nGC_17)*coupl(nGC_96)*coupl(     &
                        nGC_97) + 3d0*coupl(nGC_22)*coupl(nGC_3011)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_23)*coupl(nGC_2391)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_2391)*coupl(nGC_3011)*coupl(   &
                        nGC_36) + 3d0*coupl(nGC_2391)*coupl(nGC_32)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_2391)*coupl(nGC_40)*coupl(     &
                        nGC_867) - 3d0*coupl(nGC_2391)*coupl(nGC_62)*coupl(    &
                        nGC_63) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl(nGC_68) + 3d0&
                        *coupl(nGC_30)*coupl(nGC_3011)*coupl(nGC_64) + 3d0*    &
                        coupl(nGC_3011)*coupl(nGC_40)*coupl(nGC_72) - 3d0*coupl&
                        (nGC_3011)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(    &
                        nGC_36)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_36 &
                        )*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_41)*coupl(nGC_63)*&
                        coupl(nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_64)*coupl( &
                        nGC_867) + 3d0*coupl(nGC_48)*coupl(nGC_68)*coupl(      &
                        nGC_867) + 3d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 6d0*coupl(nGC_56)*coupl(nGC_72)*coupl(nGC_867) +   &
                        6d0*coupl(nGC_57)*coupl(nGC_793)**2d0 + 6d0*coupl(     &
                        nGC_57)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_57)*coupl(  &
                        nGC_96)*coupl(nGC_975) + 6d0*coupl(nGC_57)*coupl(      &
                        nGC_975)**2d0 + 6d0*coupl(nGC_58)*coupl(nGC_72)*coupl( &
                        nGC_867) - 6d0*coupl(nGC_62)*coupl(nGC_72)*coupl(      &
                        nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9142) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_148)*coupl(    &
                        nGC_150)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_1191)*&
                        coupl(nGC_150)**2d0*coupl(nGC_194) + 20d0*Nc*cima*coupl&
                        (nGC_1191)*coupl(nGC_194)*coupl(nGC_196)**2d0 + 20d0*Nc&
                        *cima*coupl(nGC_132)*coupl(nGC_134)**2d0*coupl(nGC_695 &
                        ) + 20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_134)*coupl(  &
                        nGC_171)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_132)* &
                        coupl(nGC_174)**2d0*coupl(nGC_695) + 20d0*Nc*cima*coupl&
                        (nGC_134)**2d0*coupl(nGC_171)*coupl(nGC_172) + 20d0*Nc*&
                        cima*coupl(nGC_134)*coupl(nGC_172)*coupl(nGC_174)*coupl&
                        (nGC_695) + 20d0*Nc*cima*coupl(nGC_138)**2d0*coupl(    &
                        nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*coupl(nGC_138)**&
                        2d0*coupl(nGC_179)*coupl(nGC_2019) + 20d0*Nc*cima*coupl&
                        (nGC_138)*coupl(nGC_143)*coupl(nGC_181)*coupl(nGC_2019 &
                        ) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(  &
                        nGC_179)*coupl(nGC_181) + 20d0*Nc*cima*coupl(nGC_143)* &
                        coupl(nGC_144)*coupl(nGC_181)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_147)*coupl(nGC_148)*coupl(nGC_150)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_196)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*coupl(   &
                        nGC_194)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_171)* &
                        coupl(nGC_172)*coupl(nGC_174)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_179)*coupl(nGC_181)**2d0*coupl(nGC_2019) + 6d0*   &
                        cima*coupl(nGC_100)*coupl(nGC_101) - 10d0*cima*coupl(  &
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) - &
                        10d0*cima*coupl(nGC_1331)*coupl(nGC_1485)*coupl(nGC_69 &
                        )*coupl(nGC_92) - 10d0*cima*coupl(nGC_1331)*coupl(     &
                        nGC_3011)*coupl(nGC_69)*coupl(nGC_94) - 10d0*cima*coupl&
                        (nGC_1331)*coupl(nGC_92)*coupl(nGC_96)**2d0 - 10d0*cima&
                        *coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_817)*coupl(   &
                        nGC_92) + 20d0*cima*coupl(nGC_155)*coupl(nGC_156)*coupl&
                        (nGC_158)**2d0 + 20d0*cima*coupl(nGC_163)*coupl(nGC_164&
                        )*coupl(nGC_166)**2d0 + 20d0*cima*coupl(nGC_186)*coupl(&
                        nGC_187)*coupl(nGC_189)**2d0 - 10d0*cima*coupl(nGC_2391&
                        )*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_867) - 10d0*   &
                        cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_817)*coupl&
                        (nGC_94) + 12d0*cima*coupl(nGC_62)**2d0 - 10d0*cima*   &
                        coupl(nGC_72)**2d0*coupl(nGC_867)**2d0 - 10d0*cima*    &
                        coupl(nGC_817)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 3d0* &
                        coupl(nGC_100)*coupl(nGC_1331)*coupl(nGC_92) - 3d0*    &
                        coupl(nGC_100)*coupl(nGC_817)*coupl(nGC_94) - 3d0*coupl&
                        (nGC_101)*coupl(nGC_96)**2d0 + 6d0*coupl(nGC_1243)*    &
                        coupl(nGC_48)*coupl(nGC_72) - 3d0*coupl(nGC_1243)*coupl&
                        (nGC_62)*coupl(nGC_68) + 3d0*coupl(nGC_1331)*coupl(    &
                        nGC_23)*coupl(nGC_94) + 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_32)*coupl(nGC_92) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_26)*coupl(nGC_64) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_38)*coupl(nGC_69) + 3d0*coupl(nGC_23)*coupl(nGC_817&
                        )*coupl(nGC_92) + 6d0*coupl(nGC_2391)*coupl(nGC_40)*   &
                        coupl(nGC_72) - 3d0*coupl(nGC_2391)*coupl(nGC_62)*coupl&
                        (nGC_63) + 3d0*coupl(nGC_26)*coupl(nGC_3011)*coupl(    &
                        nGC_69) + 3d0*coupl(nGC_3011)*coupl(nGC_31)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_35)*coupl(nGC_817)*coupl(nGC_94&
                        ) + 6d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_867) +   &
                        6d0*coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_867) + 3d0*  &
                        coupl(nGC_56)*coupl(nGC_793)**2d0 + 3d0*coupl(nGC_56)* &
                        coupl(nGC_975)**2d0 + 6d0*coupl(nGC_57)*coupl(nGC_72)* &
                        coupl(nGC_867) + 6d0*coupl(nGC_58)*coupl(nGC_72)**2d0  &
                         + 6d0*coupl(nGC_58)*coupl(nGC_867)**2d0 + 3d0*coupl(  &
                        nGC_59)*coupl(nGC_72)*coupl(nGC_867) - 9d0*coupl(nGC_62&
                        )*coupl(nGC_72)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9143) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_174)**2d0&
                         + 40d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(   &
                        nGC_173)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**&
                        2d0*coupl(nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_138)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**&
                        2d0*coupl(nGC_181)**2d0 + 40d0*Nc*cima*coupl(nGC_137)* &
                        coupl(nGC_138)*coupl(nGC_180)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_138)**2d0*coupl(nGC_180)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_149)**2d0*coupl(nGC_150)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_149)**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_195)*coupl&
                        (nGC_196) + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(    &
                        nGC_195)**2d0 + 20d0*Nc*cima*coupl(nGC_173)**2d0*coupl(&
                        nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(&
                        nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_196)**2d0 + 6d0*cima*coupl(nGC_100)*coupl(nGC_99   &
                        ) - 10d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(   &
                        nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1243)*coupl&
                        (nGC_2391)*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl&
                        (nGC_1243)*coupl(nGC_72)*coupl(nGC_817)*coupl(nGC_96   &
                        ) - 10d0*cima*coupl(nGC_1331)*coupl(nGC_92)*coupl(     &
                        nGC_96)**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(nGC_2391&
                        )*coupl(nGC_63)*coupl(nGC_69) - 10d0*cima*coupl(       &
                        nGC_1485)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) - &
                        10d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_793  &
                        )**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(&
                        nGC_975)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl(nGC_72)*&
                        coupl(nGC_817)*coupl(nGC_975) + 20d0*cima*coupl(nGC_157&
                        )**2d0*coupl(nGC_158)**2d0 + 24d0*cima*coupl(nGC_16)** &
                        2d0 + 20d0*cima*coupl(nGC_165)**2d0*coupl(nGC_166)**2d0&
                         + 20d0*cima*coupl(nGC_188)**2d0*coupl(nGC_189)**2d0 - &
                        10d0*cima*coupl(nGC_2391)**2d0*coupl(nGC_63)**2d0 -    &
                        10d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72)* &
                        coupl(nGC_867) + 12d0*cima*coupl(nGC_61)*coupl(nGC_62  &
                        ) - 5d0*cima*coupl(nGC_68)*coupl(nGC_867)*coupl(nGC_94 &
                        )*coupl(nGC_96) - 5d0*cima*coupl(nGC_69)*coupl(nGC_867 &
                        )*coupl(nGC_94)*coupl(nGC_975) + 24d0*cima*coupl(nGC_70&
                        )**2d0 - 10d0*cima*coupl(nGC_72)*coupl(nGC_817)*coupl( &
                        nGC_867)*coupl(nGC_94) - 10d0*cima*coupl(nGC_817)*coupl&
                        (nGC_94)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_10)*coupl( &
                        nGC_1485)*coupl(nGC_64) + 3d0*coupl(nGC_10)*coupl(     &
                        nGC_3011)*coupl(nGC_69) - 3d0*coupl(nGC_100)*coupl(    &
                        nGC_1331)*coupl(nGC_92) - 3d0*coupl(nGC_100)*coupl(    &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_12)*coupl(      &
                        nGC_1485)*coupl(nGC_69) + 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_1485)*coupl(nGC_32) + 6d0*coupl(nGC_1243)*coupl(   &
                        nGC_27)*coupl(nGC_63) + 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_3011)*coupl(nGC_45) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_54)*coupl(nGC_68) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_61)*coupl(nGC_68) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_62)*coupl(nGC_68) + 3d0*coupl(nGC_13)*coupl(       &
                        nGC_3011)*coupl(nGC_64) + 3d0*coupl(nGC_1331)*coupl(   &
                        nGC_43)*coupl(nGC_94) + 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_56)*coupl(nGC_92) - 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_16)*coupl(nGC_975) + 6d0*coupl(nGC_1485)*coupl(    &
                        nGC_23)*coupl(nGC_2391) + 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_2391)*coupl(nGC_45) + 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_54)*coupl(nGC_69) - 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_62)*coupl(nGC_69) - 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_70)*coupl(nGC_793) - 6d0*coupl(nGC_16)*coupl(nGC_69&
                        )*coupl(nGC_975) - 6d0*coupl(nGC_16)*coupl(nGC_72)*    &
                        coupl(nGC_817) - 6d0*coupl(nGC_16)*coupl(nGC_867)*coupl&
                        (nGC_94) + 6d0*coupl(nGC_23)*coupl(nGC_63)*coupl(nGC_69&
                        ) + 6d0*coupl(nGC_2391)*coupl(nGC_27)*coupl(nGC_68) +  &
                        12d0*coupl(nGC_2391)*coupl(nGC_36)*coupl(nGC_63) + 6d0*&
                        coupl(nGC_2391)*coupl(nGC_41)*coupl(nGC_867) + 3d0*    &
                        coupl(nGC_2391)*coupl(nGC_57)*coupl(nGC_63) - 3d0*coupl&
                        (nGC_2391)*coupl(nGC_61)*coupl(nGC_63) - 3d0*coupl(    &
                        nGC_2391)*coupl(nGC_62)*coupl(nGC_63) + 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_57)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_62)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_32)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(nGC_32 &
                        )*coupl(nGC_793)**2d0 + 3d0*coupl(nGC_32)*coupl(nGC_975&
                        )**2d0 + 3d0*coupl(nGC_33)*coupl(nGC_72)*coupl(nGC_867 &
                        ) + 6d0*coupl(nGC_40)*coupl(nGC_63)*coupl(nGC_72) + 3d0&
                        *coupl(nGC_43)*coupl(nGC_817)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_45)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_45&
                        )*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_53)*coupl&
                        (nGC_817)*coupl(nGC_94) - 3d0*coupl(nGC_61)*coupl(     &
                        nGC_72)*coupl(nGC_867) - 6d0*coupl(nGC_69)*coupl(nGC_70&
                        )*coupl(nGC_793) - 3d0*coupl(nGC_96)**2d0*coupl(nGC_99 &
                        ))/(96d0*pi**2d0)
      coupl(nGC_15440) = coupl(nGC_13379) + coupl(nGC_15437)
      coupl(nGC_14138) = -coupl(nGC_14125) + coupl(nGC_14137)
      coupl(nGC_14139) = coupl(nGC_14125) + coupl(nGC_14136)
      coupl(nGC_14255) = coupl(nGC_40)*dZHMinus_QED2/2d0 + coupl(nGC_40)*      &
                         dZHa_QED2/2d0 + coupl(nGC_40)*dZHl_QED2/2d0 + coupl(  &
                         nGC_48)*dZHhHl_QED2/2d0 + coupl(nGC_49)*dZG0Ha_QED2/  &
                         2d0 + coupl(nGC_9331)
      coupl(nGC_14318) = coupl(nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZsR_QED2  &
                          + coupl(nGC_9403)
      coupl(nGC_14319) = coupl(nGC_14062) + coupl(nGC_14318)
      coupl(nGC_14317) = coupl(nGC_87)*dZZ_QED2/2d0 + coupl(nGC_87)*dZsL_QED2  &
                          + coupl(nGC_9402)
      coupl(nGC_21877) = coupl(nGC_103)*dZHhHl_QED2 + coupl(nGC_104)*          &
                         dZHlHh_QED2/2d0 + coupl(nGC_106)*dZHh_QED2/2d0 + coupl&
                         (nGC_106)*dZHl_QED2 + coupl(nGC_9344) + coupl(        &
                         nGC_TS_GC_13_Hh) + coupl(nGC_TS_GC_9_Hl)
      coupl(nGC_14960) = coupl(nGC_156)*dZHa_QED2/2d0 + coupl(nGC_156)*        &
                         dZeMinusL_QED2/2d0 + coupl(nGC_156)*dZeMinusR_QED2/2d0&
                          + coupl(nGC_160)*dZG0Ha_QED2/2d0 + coupl(nGC_9486)
      coupl(nGC_22472) = coupl(nGC_161)*dZHlHh_QED2/2d0 + coupl(nGC_165)*      &
                         dZHh_QED2/2d0 + coupl(nGC_9480)
      coupl(nGC_22473) = coupl(nGC_22471) + coupl(nGC_22472)
      coupl(nGC_8712) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142) - &
                        4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*&
                        cMC**2d0*coupl(nGC_131)*coupl(nGC_134) - 4d0*Nc*cMC**  &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 4d0*Nc*cMD**2d0*   &
                        coupl(nGC_146)*coupl(nGC_150) - 4d0*Nc*cMD**2d0*coupl( &
                        nGC_193)*coupl(nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131&
                        )*coupl(nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl&
                        (nGC_174) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(      &
                        nGC_142) - 4d0*Nc*cMT**2d0*coupl(nGC_178)*coupl(nGC_181&
                        ) - 4d0*Nc*cMU**2d0*coupl(nGC_146)*coupl(nGC_150) - 4d0&
                        *Nc*cMU**2d0*coupl(nGC_193)*coupl(nGC_196) - 4d0*cME** &
                        2d0*coupl(nGC_154)*coupl(nGC_158) - cMHH**2d0*coupl(   &
                        nGC_1485)*coupl(nGC_2391) - cMHH**2d0*coupl(nGC_64)*   &
                        coupl(nGC_68) - cMHL**2d0*coupl(nGC_1485)*coupl(       &
                        nGC_3011) - cMHL**2d0*coupl(nGC_63)*coupl(nGC_68) - 4d0&
                        *cMM**2d0*coupl(nGC_162)*coupl(nGC_166) - 4d0*cMTA**2d0&
                        *coupl(nGC_185)*coupl(nGC_189) - cMW**2d0*coupl(       &
                        nGC_1485)*coupl(nGC_2391) - cMW**2d0*coupl(nGC_1485)*  &
                        coupl(nGC_3011) - cMW**2d0*coupl(nGC_63)*coupl(nGC_68  &
                        ) - cMW**2d0*coupl(nGC_64)*coupl(nGC_68) + 8d0*coupl(  &
                        nGC_102)*coupl(nGC_107) + 8d0*coupl(nGC_126)*coupl(    &
                        nGC_127))/(64d0*pi**2d0)
      coupl(nGC_8713) = cima*(4d0*Nc*coupl(nGC_131)*coupl(nGC_134) + 4d0*Nc*   &
                        coupl(nGC_138)*coupl(nGC_142) + 4d0*Nc*coupl(nGC_146)* &
                        coupl(nGC_150) + 4d0*Nc*coupl(nGC_170)*coupl(nGC_174   &
                        ) + 4d0*Nc*coupl(nGC_178)*coupl(nGC_181) + 4d0*Nc*coupl&
                        (nGC_193)*coupl(nGC_196) + coupl(nGC_1243)*coupl(      &
                        nGC_2391) + coupl(nGC_1243)*coupl(nGC_3011) + 4d0*coupl&
                        (nGC_154)*coupl(nGC_158) + 4d0*coupl(nGC_162)*coupl(   &
                        nGC_166) + 4d0*coupl(nGC_185)*coupl(nGC_189) + coupl(  &
                        nGC_63)*coupl(nGC_69) + coupl(nGC_64)*coupl(nGC_69))/( &
                        192d0*pi**2d0)
      coupl(nGC_8710) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_142)**2d0 - 4d0*Nc*cMB&
                        **2d0*cima*coupl(nGC_178)**2d0 - 4d0*Nc*cMC**2d0*cima* &
                        coupl(nGC_131)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(      &
                        nGC_170)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_146)**  &
                        2d0 - 4d0*Nc*cMD**2d0*cima*coupl(nGC_193)**2d0 - 4d0*Nc&
                        *cMS**2d0*cima*coupl(nGC_131)**2d0 - 4d0*Nc*cMS**2d0*  &
                        cima*coupl(nGC_170)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl( &
                        nGC_142)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_178)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_146)**2d0 - 4d0*Nc&
                        *cMU**2d0*cima*coupl(nGC_193)**2d0 - 4d0*cME**2d0*cima*&
                        coupl(nGC_154)**2d0 - 2d0*cMHA**2d0*cima*coupl(nGC_72)*&
                        coupl(nGC_867) - cMHC**2d0*cima*coupl(nGC_17)**2d0 -   &
                        cMHC**2d0*cima*coupl(nGC_793)**2d0 - cMHC**2d0*cima*   &
                        coupl(nGC_96)**2d0 - cMHC**2d0*cima*coupl(nGC_975)**2d0&
                         - cMHH**2d0*cima*coupl(nGC_2391)*coupl(nGC_63) - cMHH &
                        **2d0*cima*coupl(nGC_3011)*coupl(nGC_64) - cMHL**2d0*  &
                        cima*coupl(nGC_1243)*coupl(nGC_68) - cMHL**2d0*cima*   &
                        coupl(nGC_1485)*coupl(nGC_69) - 4d0*cMM**2d0*cima*coupl&
                        (nGC_162)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_185)**2d0&
                         - cMW**2d0*cima*coupl(nGC_1243)*coupl(nGC_68) - cMW** &
                        2d0*cima*coupl(nGC_1485)*coupl(nGC_69) - cMW**2d0*cima*&
                        coupl(nGC_2391)*coupl(nGC_63) - cMW**2d0*cima*coupl(   &
                        nGC_3011)*coupl(nGC_64) - 2d0*cMW**2d0*cima*coupl(     &
                        nGC_72)*coupl(nGC_867) - 8d0*cMW**2d0*coupl(nGC_62) -  &
                        cMZ**2d0*cima*coupl(nGC_96)**2d0 - cMZ**2d0*cima*coupl(&
                        nGC_975)**2d0 - 4d0*cMZ**2d0*coupl(nGC_100) + 8d0*cima*&
                        coupl(nGC_102)**2d0 + 8d0*cima*coupl(nGC_126)**2d0)/(  &
                        64d0*pi**2d0)
      coupl(nGC_22479) = -coupl(nGC_21889)
      coupl(nGC_8714) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_138)*coupl(nGC_142) - &
                        4d0*Nc*cMB**2d0*coupl(nGC_178)*coupl(nGC_181) - 4d0*Nc*&
                        cMC**2d0*coupl(nGC_131)*coupl(nGC_134) - 4d0*Nc*cMC**  &
                        2d0*coupl(nGC_170)*coupl(nGC_174) - 4d0*Nc*cMD**2d0*   &
                        coupl(nGC_146)*coupl(nGC_150) - 4d0*Nc*cMD**2d0*coupl( &
                        nGC_193)*coupl(nGC_196) - 4d0*Nc*cMS**2d0*coupl(nGC_131&
                        )*coupl(nGC_134) - 4d0*Nc*cMS**2d0*coupl(nGC_170)*coupl&
                        (nGC_174) - 4d0*Nc*cMT**2d0*coupl(nGC_138)*coupl(      &
                        nGC_142) - 4d0*Nc*cMT**2d0*coupl(nGC_178)*coupl(nGC_181&
                        ) - 4d0*Nc*cMU**2d0*coupl(nGC_146)*coupl(nGC_150) - 4d0&
                        *Nc*cMU**2d0*coupl(nGC_193)*coupl(nGC_196) - 4d0*cME** &
                        2d0*coupl(nGC_154)*coupl(nGC_158) - cMHH**2d0*coupl(   &
                        nGC_1243)*coupl(nGC_3011) - cMHH**2d0*coupl(nGC_63)*   &
                        coupl(nGC_69) - cMHL**2d0*coupl(nGC_1243)*coupl(       &
                        nGC_2391) - cMHL**2d0*coupl(nGC_64)*coupl(nGC_69) - 4d0&
                        *cMM**2d0*coupl(nGC_162)*coupl(nGC_166) - 4d0*cMTA**2d0&
                        *coupl(nGC_185)*coupl(nGC_189) - cMW**2d0*coupl(       &
                        nGC_1243)*coupl(nGC_2391) - cMW**2d0*coupl(nGC_1243)*  &
                        coupl(nGC_3011) - cMW**2d0*coupl(nGC_63)*coupl(nGC_69  &
                        ) - cMW**2d0*coupl(nGC_64)*coupl(nGC_69) + 8d0*coupl(  &
                        nGC_102)*coupl(nGC_107) + 8d0*coupl(nGC_126)*coupl(    &
                        nGC_127))/(64d0*pi**2d0)
      coupl(nGC_8715) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_84) - 2d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_87) - 2d0*Nc*coupl(nGC_2)*coupl(     &
                        nGC_85) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_88) - coupl(   &
                        nGC_1103)*coupl(nGC_833) - coupl(nGC_3)*coupl(nGC_82   &
                        ) - 2d0*coupl(nGC_4)*coupl(nGC_86) - 2d0*coupl(nGC_4)* &
                        coupl(nGC_89))/(32d0*pi**2d0)
      coupl(nGC_26309) = coupl(nGC_TS_GC_108_Hl) + coupl(nGC_TS_GC_116_Hh)
      coupl(nGC_13050) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +  &
                         coupl(nGC_9291)
      coupl(nGC_13051) = -coupl(nGC_13049)/2d0 + coupl(nGC_13050)
      coupl(nGC_13052) = coupl(nGC_13049) - 2d0*coupl(nGC_13050)
      coupl(nGC_8969) = (-8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_84)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_137)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                        Nc*cMB*coupl(nGC_137)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC* &
                        coupl(nGC_133)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(  &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl&
                        (nGC_133)*coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_149&
                        )*coupl(nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_149)*coupl(&
                        nGC_84)*coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_149)*coupl&
                        (nGC_87)**2d0 - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84 &
                        )**2d0 + 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_84)*coupl(&
                        nGC_87) - 8d0*Nc*cMS*coupl(nGC_173)*coupl(nGC_87)**2d0 &
                         - 8d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_85)**2d0 + 8d0* &
                        Nc*cMT*coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 8d0&
                        *Nc*cMT*coupl(nGC_180)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*&
                        coupl(nGC_195)*coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(  &
                        nGC_195)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl&
                        (nGC_195)*coupl(nGC_88)**2d0 - 8d0*cME*coupl(nGC_157)* &
                        coupl(nGC_86)**2d0 + 8d0*cME*coupl(nGC_157)*coupl(     &
                        nGC_86)*coupl(nGC_89) - 8d0*cME*coupl(nGC_157)*coupl(  &
                        nGC_89)**2d0 - 8d0*cMM*coupl(nGC_165)*coupl(nGC_86)**  &
                        2d0 + 8d0*cMM*coupl(nGC_165)*coupl(nGC_86)*coupl(nGC_89&
                        ) - 8d0*cMM*coupl(nGC_165)*coupl(nGC_89)**2d0 - 8d0*   &
                        cMTA*coupl(nGC_188)*coupl(nGC_86)**2d0 + 8d0*cMTA*coupl&
                        (nGC_188)*coupl(nGC_86)*coupl(nGC_89) - 8d0*cMTA*coupl(&
                        nGC_188)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_1047)*&
                        coupl(nGC_125) - coupl(nGC_102)*coupl(nGC_2391)*coupl( &
                        nGC_82) - coupl(nGC_102)*coupl(nGC_3011)*coupl(nGC_833 &
                        ) - coupl(nGC_102)*coupl(nGC_63)*coupl(nGC_82) - coupl(&
                        nGC_102)*coupl(nGC_64)*coupl(nGC_833) - coupl(nGC_107)*&
                        coupl(nGC_1243)*coupl(nGC_833) - coupl(nGC_107)*coupl( &
                        nGC_1485)*coupl(nGC_82) - coupl(nGC_107)*coupl(nGC_68)*&
                        coupl(nGC_833) - coupl(nGC_107)*coupl(nGC_69)*coupl(   &
                        nGC_82) + 6d0*coupl(nGC_125)*coupl(nGC_82)**2d0 + 6d0* &
                        coupl(nGC_125)*coupl(nGC_833)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8968) = (-4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_80)**2d0 - 4d0*Nc&
                        *cMC*coupl(nGC_133)*coupl(nGC_80)**2d0 - 4d0*Nc*cMD*   &
                        coupl(nGC_149)*coupl(nGC_80)**2d0 - 4d0*Nc*cMS*coupl(  &
                        nGC_173)*coupl(nGC_80)**2d0 - 4d0*Nc*cMT*coupl(nGC_180 &
                        )*coupl(nGC_80)**2d0 - 4d0*Nc*cMU*coupl(nGC_195)*coupl(&
                        nGC_80)**2d0 - 4d0*cME*coupl(nGC_157)*coupl(nGC_80)**  &
                        2d0 - 4d0*cMM*coupl(nGC_165)*coupl(nGC_80)**2d0 - 4d0* &
                        cMTA*coupl(nGC_188)*coupl(nGC_80)**2d0 + 2d0*cima*coupl&
                        (nGC_1047)*coupl(nGC_129) + 4d0*cima*coupl(nGC_125)*   &
                        coupl(nGC_78) - coupl(nGC_102)*coupl(nGC_2391)*coupl(  &
                        nGC_833) - coupl(nGC_102)*coupl(nGC_63)*coupl(nGC_833  &
                        ) - coupl(nGC_107)*coupl(nGC_1485)*coupl(nGC_833) -    &
                        coupl(nGC_107)*coupl(nGC_69)*coupl(nGC_833) + 6d0*coupl&
                        (nGC_1103)**2d0*coupl(nGC_125) - coupl(nGC_1103)*coupl(&
                        nGC_126)*coupl(nGC_2391) - coupl(nGC_1103)*coupl(      &
                        nGC_126)*coupl(nGC_63) - coupl(nGC_1103)*coupl(nGC_127 &
                        )*coupl(nGC_1485) - coupl(nGC_1103)*coupl(nGC_127)*    &
                        coupl(nGC_69) + 6d0*coupl(nGC_125)*coupl(nGC_833)**2d0 &
                         + 6d0*coupl(nGC_129)*coupl(nGC_82)**2d0)/(32d0*pi**2d0&
                        )
      coupl(nGC_12716) = coupl(nGC_24)*dZHMinus_QED2/2d0 + coupl(nGC_24)*      &
                         dZHl_QED2 + coupl(nGC_30)*dZHMinusGMinus_QED2/2d0 +   &
                         coupl(nGC_35)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_36)*&
                         dZHhHl_QED2 + coupl(nGC_9330)
      coupl(nGC_12891) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_9395)
      coupl(nGC_8965) = 3d0*(8d0*Nc*cMB*coupl(nGC_137)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_133)**3d0 + 8d0*Nc*cMD*coupl(nGC_149)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_173)**3d0 + 8d0*Nc*cMT*coupl(nGC_180)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_195)**3d0 + 8d0*cME*coupl(  &
                        nGC_157)**3d0 + 8d0*cMM*coupl(nGC_165)**3d0 + 8d0*cMTA*&
                        coupl(nGC_188)**3d0 + 4d0*cima*coupl(nGC_125)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_129)*coupl(nGC_99) + coupl&
                        (nGC_111)*coupl(nGC_1243)*coupl(nGC_3011) + coupl(     &
                        nGC_111)*coupl(nGC_1485)*coupl(nGC_2391) + coupl(      &
                        nGC_111)*coupl(nGC_63)*coupl(nGC_69) + coupl(nGC_111)* &
                        coupl(nGC_64)*coupl(nGC_68) + coupl(nGC_112)*coupl(    &
                        nGC_1331)*coupl(nGC_94) + coupl(nGC_112)*coupl(nGC_817 &
                        )*coupl(nGC_92) + coupl(nGC_116)*coupl(nGC_1243)*coupl(&
                        nGC_68) + coupl(nGC_116)*coupl(nGC_1485)*coupl(nGC_69  &
                        ) + coupl(nGC_117)*coupl(nGC_817)*coupl(nGC_94) + coupl&
                        (nGC_118)*coupl(nGC_2391)*coupl(nGC_63) + coupl(nGC_118&
                        )*coupl(nGC_3011)*coupl(nGC_64) + coupl(nGC_121)*coupl(&
                        nGC_1331)*coupl(nGC_92) - coupl(nGC_1243)*coupl(nGC_125&
                        )*coupl(nGC_68) - coupl(nGC_125)*coupl(nGC_1485)*coupl(&
                        nGC_69) - coupl(nGC_125)*coupl(nGC_2391)*coupl(nGC_63  &
                        ) - coupl(nGC_125)*coupl(nGC_3011)*coupl(nGC_64) -     &
                        coupl(nGC_129)*coupl(nGC_1331)*coupl(nGC_92) - coupl(  &
                        nGC_129)*coupl(nGC_817)*coupl(nGC_94))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl30
end module fill_ctcouplings30
