!******************************************************************************!
!                                                                              !
!    fill_ctcouplings35.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings35.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings35
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl35()
      coupl(nGC_12914) = coupl(nGC_29)*dZHa_QED2/2d0 + coupl(nGC_29)*dZHh_QED2 &
                          + coupl(nGC_33)*dZG0Ha_QED2/2d0 + coupl(nGC_37)*     &
                         dZHlHh_QED2 + coupl(nGC_38)*dZHaG0_QED2/2d0 + coupl(  &
                         nGC_9332)
      coupl(nGC_16148) = coupl(nGC_9654) + coupl(nGC_TS_GC_137_Hh) + coupl(    &
                         nGC_TS_GC_141_Hl)
      coupl(nGC_13422) = coupl(nGC_154)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_158&
                         )*dZeMinusR_QED2/2d0 + coupl(nGC_158)*dZnu_eL_QED2/2d0&
                          + coupl(nGC_9467)
      coupl(nGC_12676) = coupl(nGC_42)*dZG0Ha_QED2 + coupl(nGC_42)*            &
                         dZGMinusHMinus_QED2 + coupl(nGC_50)*dZHMinus_QED2 +   &
                         coupl(nGC_50)*dZHa_QED2 + coupl(nGC_9305)
      coupl(nGC_20344) = coupl(nGC_12979) + coupl(nGC_20341)
      coupl(nGC_20345) = coupl(nGC_12979) + coupl(nGC_20343)
      coupl(nGC_13352) = -coupl(nGC_13351)
      coupl(nGC_19372) = coupl(nGC_19368) + coupl(nGC_19371)
      coupl(nGC_14529) = coupl(nGC_9637) + coupl(nGC_MHL)*dZHl_QED2 + coupl(   &
                         nGC_TS_GC_104_Hl) + coupl(nGC_TS_GC_106_Hh)
      coupl(nGC_17002) = coupl(nGC_16996) + coupl(nGC_17001)
      coupl(nGC_9014) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_169) - coupl(nGC_130)*&
                        coupl(nGC_131)*coupl(nGC_170) - coupl(nGC_130)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**3d0 - coupl( &
                        nGC_169)*coupl(nGC_172)**2d0 - coupl(nGC_169)*coupl(   &
                        nGC_173)**2d0 - coupl(nGC_169)*coupl(nGC_176)**2d0 +   &
                        8d0*coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_170)*coupl(nGC_68)*coupl(nGC_80) - coupl(nGC_172)* &
                        coupl(nGC_817)*coupl(nGC_87) - coupl(nGC_172)*coupl(   &
                        nGC_84)*coupl(nGC_94) - coupl(nGC_174)*coupl(nGC_2391)*&
                        coupl(nGC_80) - coupl(nGC_176)*coupl(nGC_665)*coupl(   &
                        nGC_87) - coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_8785) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_84  &
                        ) - 4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_141)*coupl(nGC_87&
                        ) - 4d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMC*coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_84&
                        ) - 4d0*Nc*cMD*coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_87&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_84&
                        ) - 4d0*Nc*cMS*coupl(nGC_1)*coupl(nGC_169)*coupl(nGC_87&
                        ) - 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)*coupl(nGC_85&
                        ) - 4d0*Nc*cMU*coupl(nGC_192)*coupl(nGC_2)*coupl(nGC_88&
                        ) - 4d0*cME*coupl(nGC_153)*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 4d0*cME*coupl(nGC_153)*coupl(nGC_4)*coupl(nGC_89   &
                        ) - 4d0*cMM*coupl(nGC_161)*coupl(nGC_4)*coupl(nGC_86   &
                        ) - 4d0*cMM*coupl(nGC_161)*coupl(nGC_4)*coupl(nGC_89   &
                        ) - 4d0*cMTA*coupl(nGC_184)*coupl(nGC_4)*coupl(nGC_86  &
                        ) - 4d0*cMTA*coupl(nGC_184)*coupl(nGC_4)*coupl(nGC_89  &
                        ) + 4d0*cima*coupl(nGC_124)*coupl(nGC_83) - coupl(     &
                        nGC_102)*coupl(nGC_1103)*coupl(nGC_68) - coupl(nGC_102 &
                        )*coupl(nGC_3)*coupl(nGC_69) - coupl(nGC_107)*coupl(   &
                        nGC_1103)*coupl(nGC_2391) - coupl(nGC_107)*coupl(nGC_3 &
                        )*coupl(nGC_3011) + 6d0*coupl(nGC_1103)*coupl(nGC_124)*&
                        coupl(nGC_833) + 6d0*coupl(nGC_124)*coupl(nGC_3)*coupl(&
                        nGC_82) - coupl(nGC_1243)*coupl(nGC_126)*coupl(nGC_833 &
                        ) - coupl(nGC_126)*coupl(nGC_1485)*coupl(nGC_82) -     &
                        coupl(nGC_127)*coupl(nGC_63)*coupl(nGC_833) - coupl(   &
                        nGC_127)*coupl(nGC_64)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_31129) = -coupl(nGC_9025)
      coupl(nGC_8781) = (-2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80  &
                        ) - 2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_80&
                        ) - 2d0*Nc*cMD*coupl(nGC_146)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMS*coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_80&
                        ) - 2d0*Nc*cMT*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_80&
                        ) - 2d0*Nc*cMU*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_607) + 4d0*cima* &
                        coupl(nGC_126)*coupl(nGC_5) + 6d0*coupl(nGC_102)*coupl(&
                        nGC_1103)*coupl(nGC_82) - coupl(nGC_1103)*coupl(nGC_124&
                        )*coupl(nGC_1485) - coupl(nGC_1103)*coupl(nGC_125)*    &
                        coupl(nGC_2391) + 6d0*coupl(nGC_1103)*coupl(nGC_126)*  &
                        coupl(nGC_3) - coupl(nGC_126)*coupl(nGC_17)*coupl(nGC_3&
                        ) - coupl(nGC_126)*coupl(nGC_82)*coupl(nGC_96))/(32d0* &
                        pi**2d0)
      coupl(nGC_8782) = (-6d0*coupl(nGC_1103)*coupl(nGC_3011)*coupl(nGC_72) +  &
                        coupl(nGC_17)*coupl(nGC_63)*coupl(nGC_867) - 6d0*coupl(&
                        nGC_2391)*coupl(nGC_3)*coupl(nGC_72) + coupl(nGC_64)*  &
                        coupl(nGC_793)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_8932) = (4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_143)**2d0 + 16d0* &
                        Nc*cMB*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_144) +  &
                        4d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_144)**2d0 + 4d0*Nc*&
                        cMC*coupl(nGC_130)*coupl(nGC_132)**2d0 + 16d0*Nc*cMC*  &
                        coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_695) + 4d0*Nc* &
                        cMC*coupl(nGC_130)*coupl(nGC_695)**2d0 + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_147)**2d0 + 16d0*Nc*cMD*coupl(&
                        nGC_145)*coupl(nGC_147)*coupl(nGC_148) + 4d0*Nc*cMD*   &
                        coupl(nGC_145)*coupl(nGC_148)**2d0 + 4d0*Nc*cMS*coupl( &
                        nGC_169)*coupl(nGC_171)**2d0 + 16d0*Nc*cMS*coupl(      &
                        nGC_169)*coupl(nGC_171)*coupl(nGC_172) + 4d0*Nc*cMS*   &
                        coupl(nGC_169)*coupl(nGC_172)**2d0 + 4d0*Nc*cMT*coupl( &
                        nGC_177)*coupl(nGC_179)**2d0 + 16d0*Nc*cMT*coupl(      &
                        nGC_177)*coupl(nGC_179)*coupl(nGC_2019) + 4d0*Nc*cMT*  &
                        coupl(nGC_177)*coupl(nGC_2019)**2d0 + 4d0*Nc*cMU*coupl(&
                        nGC_1191)**2d0*coupl(nGC_192) + 16d0*Nc*cMU*coupl(     &
                        nGC_1191)*coupl(nGC_192)*coupl(nGC_194) + 4d0*Nc*cMU*  &
                        coupl(nGC_192)*coupl(nGC_194)**2d0 + 4d0*cME*coupl(    &
                        nGC_153)*coupl(nGC_155)**2d0 + 16d0*cME*coupl(nGC_153)*&
                        coupl(nGC_155)*coupl(nGC_156) + 4d0*cME*coupl(nGC_153)*&
                        coupl(nGC_156)**2d0 + 4d0*cMM*coupl(nGC_161)*coupl(    &
                        nGC_163)**2d0 + 16d0*cMM*coupl(nGC_161)*coupl(nGC_163)*&
                        coupl(nGC_164) + 4d0*cMM*coupl(nGC_161)*coupl(nGC_164  &
                        )**2d0 + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_186)**2d0 + &
                        16d0*cMTA*coupl(nGC_184)*coupl(nGC_186)*coupl(nGC_187  &
                        ) + 4d0*cMTA*coupl(nGC_184)*coupl(nGC_187)**2d0 + 2d0* &
                        cima*coupl(nGC_101)*coupl(nGC_128) + 4d0*cima*coupl(   &
                        nGC_124)*coupl(nGC_62) + coupl(nGC_103)*coupl(nGC_1331 &
                        )*coupl(nGC_92) + coupl(nGC_104)*coupl(nGC_817)*coupl( &
                        nGC_94) + coupl(nGC_106)*coupl(nGC_1331)*coupl(nGC_94  &
                        ) + coupl(nGC_106)*coupl(nGC_817)*coupl(nGC_92) + 2d0* &
                        coupl(nGC_110)*coupl(nGC_72)*coupl(nGC_867) + coupl(   &
                        nGC_112)*coupl(nGC_1331)*coupl(nGC_665) + coupl(nGC_112&
                        )*coupl(nGC_91)*coupl(nGC_92) + coupl(nGC_113)*coupl(  &
                        nGC_817)**2d0 + coupl(nGC_113)*coupl(nGC_94)**2d0 +    &
                        coupl(nGC_120)*coupl(nGC_665)*coupl(nGC_817) + coupl(  &
                        nGC_120)*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_121)* &
                        coupl(nGC_1331)*coupl(nGC_817) + coupl(nGC_121)*coupl( &
                        nGC_92)*coupl(nGC_94) + coupl(nGC_122)*coupl(nGC_2391)*&
                        coupl(nGC_867) + coupl(nGC_122)*coupl(nGC_64)*coupl(   &
                        nGC_72) + coupl(nGC_123)*coupl(nGC_3011)*coupl(nGC_867 &
                        ) + coupl(nGC_123)*coupl(nGC_63)*coupl(nGC_72) - 2d0*  &
                        coupl(nGC_124)*coupl(nGC_72)*coupl(nGC_867) - coupl(   &
                        nGC_128)*coupl(nGC_1331)*coupl(nGC_92) - coupl(nGC_128 &
                        )*coupl(nGC_817)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8933) = (4d0*Nc*coupl(nGC_1191)*coupl(nGC_195)*coupl(nGC_85) - &
                        4d0*Nc*coupl(nGC_1191)*coupl(nGC_195)*coupl(nGC_88) -  &
                        4d0*Nc*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_132)*coupl(nGC_133)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_695)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_133)*coupl(nGC_695)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_143)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_144)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_137)*coupl(nGC_144)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_171)*coupl(nGC_173)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_2019)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_180)*coupl(nGC_2019)*coupl(nGC_88) -  &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_88) +   &
                        coupl(nGC_1331)**3d0 + 2d0*coupl(nGC_1331)*coupl(      &
                        nGC_817)**2d0 - 4d0*coupl(nGC_155)*coupl(nGC_157)*coupl&
                        (nGC_86) + 4d0*coupl(nGC_155)*coupl(nGC_157)*coupl(    &
                        nGC_89) + 4d0*coupl(nGC_156)*coupl(nGC_157)*coupl(     &
                        nGC_86) - 4d0*coupl(nGC_156)*coupl(nGC_157)*coupl(     &
                        nGC_89) - 4d0*coupl(nGC_163)*coupl(nGC_165)*coupl(     &
                        nGC_86) + 4d0*coupl(nGC_163)*coupl(nGC_165)*coupl(     &
                        nGC_89) + 4d0*coupl(nGC_164)*coupl(nGC_165)*coupl(     &
                        nGC_86) - 4d0*coupl(nGC_164)*coupl(nGC_165)*coupl(     &
                        nGC_89) - 4d0*coupl(nGC_186)*coupl(nGC_188)*coupl(     &
                        nGC_86) + 4d0*coupl(nGC_186)*coupl(nGC_188)*coupl(     &
                        nGC_89) + 4d0*coupl(nGC_187)*coupl(nGC_188)*coupl(     &
                        nGC_86) - 4d0*coupl(nGC_187)*coupl(nGC_188)*coupl(     &
                        nGC_89) - 6d0*coupl(nGC_2391)*coupl(nGC_72)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_3011)*coupl(nGC_72)*coupl(     &
                        nGC_833) + coupl(nGC_63)*coupl(nGC_867)*coupl(nGC_96   &
                        ) + coupl(nGC_64)*coupl(nGC_867)*coupl(nGC_975) + coupl&
                        (nGC_665)*coupl(nGC_817)**2d0)/(96d0*pi**2d0)
      coupl(nGC_8839) = (-4d0*Nc*coupl(nGC_134)*coupl(nGC_136)*coupl(nGC_80) + &
                        4d0*Nc*coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_174)*coupl(nGC_176)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_181)*coupl(nGC_183)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_196)*coupl(nGC_198)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1103)*coupl(nGC_793)*coupl(nGC_867) +    &
                        coupl(nGC_1243)**2d0*coupl(nGC_72) + 4d0*coupl(nGC_158 &
                        )*coupl(nGC_160)*coupl(nGC_80) + 4d0*coupl(nGC_166)*   &
                        coupl(nGC_168)*coupl(nGC_80) + 4d0*coupl(nGC_189)*coupl&
                        (nGC_191)*coupl(nGC_80) + coupl(nGC_2391)**2d0*coupl(  &
                        nGC_72) - 6d0*coupl(nGC_64)*coupl(nGC_665)*coupl(nGC_82&
                        ) + coupl(nGC_64)*coupl(nGC_91)*coupl(nGC_96) - 6d0*   &
                        coupl(nGC_69)*coupl(nGC_817)*coupl(nGC_82) + coupl(    &
                        nGC_69)*coupl(nGC_94)*coupl(nGC_96) + coupl(nGC_72)**  &
                        3d0 - 6d0*coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_975  &
                        ))/(96d0*pi**2d0)
      coupl(nGC_8838) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(    &
                        nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_182) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(      &
                        nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_142)*coupl(nGC_181)*coupl(nGC_183) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_176) +  &
                        2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMC*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_136)*coupl(nGC_170)*   &
                        coupl(nGC_174) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_151) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_198) + 2d0*Nc*cMD*   &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_197) + 2d0*Nc* &
                        cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_135)*   &
                        coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(      &
                        nGC_136)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_178) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182) + 2d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183) +  &
                        2d0*Nc*cMT*coupl(nGC_139)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                        nGC_182) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_183) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_197) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_198) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_151)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_150)*coupl(nGC_152)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                        nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_20) + 4d0*&
                        cima*coupl(nGC_126)*coupl(nGC_74) - coupl(nGC_102)*    &
                        coupl(nGC_64)*coupl(nGC_665) - coupl(nGC_102)*coupl(   &
                        nGC_69)*coupl(nGC_817) - coupl(nGC_102)*coupl(nGC_867)*&
                        coupl(nGC_975) - coupl(nGC_107)*coupl(nGC_63)*coupl(   &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_69)*coupl(nGC_91) + &
                        coupl(nGC_108)*coupl(nGC_1243)*coupl(nGC_867) + coupl( &
                        nGC_109)*coupl(nGC_69)*coupl(nGC_867) + coupl(nGC_111)*&
                        coupl(nGC_1243)*coupl(nGC_72) + coupl(nGC_111)*coupl(  &
                        nGC_817)*coupl(nGC_96) + coupl(nGC_111)*coupl(nGC_94)* &
                        coupl(nGC_96) + coupl(nGC_112)*coupl(nGC_69)*coupl(    &
                        nGC_72) + coupl(nGC_114)*coupl(nGC_72)**2d0 + coupl(   &
                        nGC_114)*coupl(nGC_793)**2d0 + coupl(nGC_114)*coupl(   &
                        nGC_975)**2d0 + coupl(nGC_116)*coupl(nGC_3011)*coupl(  &
                        nGC_867) + coupl(nGC_117)*coupl(nGC_63)*coupl(nGC_867  &
                        ) + coupl(nGC_119)*coupl(nGC_2391)*coupl(nGC_72) +     &
                        coupl(nGC_119)*coupl(nGC_665)*coupl(nGC_96) + coupl(   &
                        nGC_119)*coupl(nGC_91)*coupl(nGC_96) + coupl(nGC_120)* &
                        coupl(nGC_64)*coupl(nGC_72) - coupl(nGC_126)*coupl(    &
                        nGC_793)*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_21279) = coupl(nGC_21270) + coupl(nGC_21278)
      coupl(nGC_9148) = (-16d0*Nc*cima*coupl(nGC_134)**2d0*coupl(nGC_80)**2d0  &
                         - 16d0*Nc*cima*coupl(nGC_138)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_150)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_174)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_181)**2d0*coupl(nGC_80)**2d0 &
                         - 16d0*Nc*cima*coupl(nGC_196)**2d0*coupl(nGC_80)**2d0 &
                         + 12d0*cima*coupl(nGC_100)*coupl(nGC_1047) + 9d0*cima*&
                        coupl(nGC_1103)**2d0*coupl(nGC_1243)*coupl(nGC_68) +   &
                        9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_17)**2d0 + 9d0*&
                        cima*coupl(nGC_1103)**2d0*coupl(nGC_2391)*coupl(nGC_63 &
                        ) + 9d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_72)*coupl( &
                        nGC_867) + 18d0*cima*coupl(nGC_1103)*coupl(nGC_17)*    &
                        coupl(nGC_833)*coupl(nGC_96) + 12d0*cima*coupl(nGC_1207&
                        )*coupl(nGC_18) + 4d0*cima*coupl(nGC_1243)*coupl(      &
                        nGC_1485)*coupl(nGC_63)*coupl(nGC_64) + 4d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_1485)*coupl(nGC_64)**2d0 + 4d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_1485)*coupl(nGC_68)*coupl(  &
                        nGC_69) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*    &
                        coupl(nGC_867)**2d0 + 4d0*cima*coupl(nGC_1243)*coupl(  &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_68) + 4d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_68)*coupl(nGC_793)**2d0 + 9d0*cima*&
                        coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_833)**2d0 + 4d0&
                        *cima*coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_975)**2d0&
                         + 4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_63)*coupl(  &
                        nGC_64) + 4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_64)**&
                        2d0 + 4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_69)**2d0 &
                         + 4d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_867)**2d0 + &
                        4d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*coupl(nGC_63)*&
                        coupl(nGC_69) + 8d0*cima*coupl(nGC_1485)*coupl(nGC_3011&
                        )*coupl(nGC_64)*coupl(nGC_69) - 16d0*cima*coupl(nGC_158&
                        )**2d0*coupl(nGC_80)**2d0 - 16d0*cima*coupl(nGC_166)** &
                        2d0*coupl(nGC_80)**2d0 + 9d0*cima*coupl(nGC_17)**2d0*  &
                        coupl(nGC_3)**2d0 + 18d0*cima*coupl(nGC_17)*coupl(nGC_3&
                        )*coupl(nGC_82)*coupl(nGC_96) - 16d0*cima*coupl(nGC_189&
                        )**2d0*coupl(nGC_80)**2d0 + 4d0*cima*coupl(nGC_2391)*  &
                        coupl(nGC_3011)*coupl(nGC_63)*coupl(nGC_64) + 4d0*cima*&
                        coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_68)*coupl(   &
                        nGC_69) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*    &
                        coupl(nGC_69)**2d0 + 4d0*cima*coupl(nGC_2391)*coupl(   &
                        nGC_3011)*coupl(nGC_867)**2d0 + 4d0*cima*coupl(nGC_2391&
                        )*coupl(nGC_63)*coupl(nGC_793)**2d0 + 9d0*cima*coupl(  &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_833)**2d0 + 4d0*cima*&
                        coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_975)**2d0 + 4d0&
                        *cima*coupl(nGC_3011)**2d0*coupl(nGC_64)**2d0 + 4d0*   &
                        cima*coupl(nGC_3011)**2d0*coupl(nGC_68)*coupl(nGC_69   &
                        ) + 4d0*cima*coupl(nGC_3011)**2d0*coupl(nGC_69)**2d0 + &
                        4d0*cima*coupl(nGC_3011)**2d0*coupl(nGC_867)**2d0 +    &
                        24d0*cima*coupl(nGC_62)*coupl(nGC_78) + 4d0*cima*coupl(&
                        nGC_63)*coupl(nGC_64)*coupl(nGC_72)**2d0 + 4d0*cima*   &
                        coupl(nGC_64)**2d0*coupl(nGC_72)**2d0 + 4d0*cima*coupl(&
                        nGC_68)*coupl(nGC_69)*coupl(nGC_72)**2d0 + 4d0*cima*   &
                        coupl(nGC_69)**2d0*coupl(nGC_72)**2d0 + 8d0*cima*coupl(&
                        nGC_72)**2d0*coupl(nGC_867)**2d0 + 4d0*cima*coupl(     &
                        nGC_72)*coupl(nGC_793)**2d0*coupl(nGC_867) + 9d0*cima* &
                        coupl(nGC_72)*coupl(nGC_833)**2d0*coupl(nGC_867) + 4d0*&
                        cima*coupl(nGC_72)*coupl(nGC_867)*coupl(nGC_975)**2d0  &
                         + 9d0*cima*coupl(nGC_82)**2d0*coupl(nGC_96)**2d0 +    &
                        24d0*cima*coupl(nGC_83)*coupl(nGC_97) + 9d0*cima*coupl(&
                        nGC_833)**2d0*coupl(nGC_96)**2d0 + 36d0*coupl(nGC_100)*&
                        coupl(nGC_82)**2d0 - 6d0*coupl(nGC_1047)*coupl(nGC_96  &
                        )**2d0 + 36d0*coupl(nGC_1103)**2d0*coupl(nGC_62) - 6d0*&
                        coupl(nGC_1103)*coupl(nGC_1243)*coupl(nGC_70) - 12d0*  &
                        coupl(nGC_1103)*coupl(nGC_17)*coupl(nGC_62) - 6d0*coupl&
                        (nGC_1103)*coupl(nGC_2391)*coupl(nGC_65) - 6d0*coupl(  &
                        nGC_1103)*coupl(nGC_63)*coupl(nGC_65) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_68)*coupl(nGC_70) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(     &
                        nGC_1103)*coupl(nGC_74)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_1207)*coupl(nGC_17)**2d0 - 6d0*coupl(nGC_1243)*    &
                        coupl(nGC_16)*coupl(nGC_833) - 6d0*coupl(nGC_1243)*    &
                        coupl(nGC_68)*coupl(nGC_78) - 6d0*coupl(nGC_14)*coupl( &
                        nGC_2391)*coupl(nGC_833) - 6d0*coupl(nGC_14)*coupl(    &
                        nGC_63)*coupl(nGC_833) + 6d0*coupl(nGC_1485)*coupl(    &
                        nGC_61)*coupl(nGC_69) - 6d0*coupl(nGC_16)*coupl(nGC_68 &
                        )*coupl(nGC_833) - 12d0*coupl(nGC_17)*coupl(nGC_3)*    &
                        coupl(nGC_62) - 12d0*coupl(nGC_17)*coupl(nGC_83)*coupl(&
                        nGC_96) + 36d0*coupl(nGC_18)*coupl(nGC_3)**2d0 - 6d0*  &
                        coupl(nGC_19)*coupl(nGC_72)*coupl(nGC_833) - 6d0*coupl(&
                        nGC_20)*coupl(nGC_833)*coupl(nGC_867) - 6d0*coupl(     &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_78) + 72d0*coupl(    &
                        nGC_3)*coupl(nGC_82)*coupl(nGC_97) + 6d0*coupl(nGC_3011&
                        )*coupl(nGC_61)*coupl(nGC_64) + 6d0*coupl(nGC_62)*coupl&
                        (nGC_72)*coupl(nGC_867) + 6d0*coupl(nGC_62)*coupl(     &
                        nGC_793)**2d0 - 12d0*coupl(nGC_62)*coupl(nGC_82)*coupl(&
                        nGC_96) + 36d0*coupl(nGC_62)*coupl(nGC_833)**2d0 - 12d0&
                        *coupl(nGC_62)*coupl(nGC_833)*coupl(nGC_96) + 6d0*coupl&
                        (nGC_62)*coupl(nGC_975)**2d0 - 6d0*coupl(nGC_72)*coupl(&
                        nGC_78)*coupl(nGC_867))/(192d0*pi**2d0)
      coupl(nGC_9261) = (-30d0*Nc*cima*coupl(nGC_80)**4d0 - 4d0*cima*coupl(    &
                        nGC_1103)**4d0 - 16d0*cima*coupl(nGC_1103)**2d0*coupl( &
                        nGC_3)**2d0 - 8d0*cima*coupl(nGC_1103)**2d0*coupl(     &
                        nGC_833)**2d0 - 32d0*cima*coupl(nGC_1103)*coupl(nGC_3)*&
                        coupl(nGC_82)*coupl(nGC_833) + 3d0*cima*coupl(nGC_2813 &
                        )**2d0 - 4d0*cima*coupl(nGC_3)**4d0 - 8d0*cima*coupl(  &
                        nGC_3)**2d0*coupl(nGC_82)**2d0 - 30d0*cima*coupl(nGC_80&
                        )**4d0 - 4d0*cima*coupl(nGC_82)**4d0 - 16d0*cima*coupl(&
                        nGC_82)**2d0*coupl(nGC_833)**2d0 - 4d0*cima*coupl(     &
                        nGC_833)**4d0 + 3d0*coupl(nGC_1103)**2d0*coupl(nGC_2813&
                        ) + 3d0*coupl(nGC_1103)**2d0*coupl(nGC_5) + 18d0*coupl(&
                        nGC_1103)*coupl(nGC_2813)*coupl(nGC_3) + 6d0*coupl(    &
                        nGC_1103)*coupl(nGC_607)*coupl(nGC_833) + 3d0*coupl(   &
                        nGC_2813)*coupl(nGC_3)**2d0 + 3d0*coupl(nGC_2813)*coupl&
                        (nGC_82)**2d0 + 18d0*coupl(nGC_2813)*coupl(nGC_82)*    &
                        coupl(nGC_833) + 3d0*coupl(nGC_2813)*coupl(nGC_833)**  &
                        2d0 + 3d0*coupl(nGC_3)**2d0*coupl(nGC_5) + 6d0*coupl(  &
                        nGC_3)*coupl(nGC_607)*coupl(nGC_82) + 3d0*coupl(nGC_79 &
                        )*coupl(nGC_82)**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_833 &
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_9260) = (-4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)**2d0 +  &
                        12d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_87)*coupl(   &
                        nGC_88) - 4d0*Nc*cima*coupl(nGC_80)**2d0*coupl(nGC_88  &
                        )**2d0 - 8d0*cima*coupl(nGC_1103)**2d0*coupl(nGC_82)** &
                        2d0 + 4d0*cima*coupl(nGC_607)**2d0 + 4d0*cima*coupl(   &
                        nGC_79)**2d0 - 4d0*cima*coupl(nGC_80)**2d0*coupl(nGC_89&
                        )**2d0 + 12d0*cima*coupl(nGC_80)**2d0*coupl(nGC_89)*   &
                        coupl(nGC_90) - 4d0*cima*coupl(nGC_80)**2d0*coupl(     &
                        nGC_90)**2d0 - 8d0*cima*coupl(nGC_82)**2d0*coupl(      &
                        nGC_833)**2d0 + 2d0*coupl(nGC_1047)*coupl(nGC_82)*coupl&
                        (nGC_833) + coupl(nGC_1103)**2d0*coupl(nGC_79) + 12d0* &
                        coupl(nGC_1103)*coupl(nGC_607)*coupl(nGC_82) + 2d0*    &
                        coupl(nGC_1103)*coupl(nGC_82)*coupl(nGC_83) + coupl(   &
                        nGC_2813)*coupl(nGC_82)**2d0 + coupl(nGC_78)*coupl(    &
                        nGC_833)**2d0 + 12d0*coupl(nGC_79)*coupl(nGC_82)*coupl(&
                        nGC_833) + coupl(nGC_79)*coupl(nGC_833)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_9262) = (36d0*Nc*cima*coupl(nGC_80)**4d0 + 6d0*cima*coupl(     &
                        nGC_1047)**2d0 - 16d0*cima*coupl(nGC_1103)**4d0 - 24d0*&
                        cima*coupl(nGC_1103)**2d0*coupl(nGC_3)**2d0 - 32d0*cima&
                        *coupl(nGC_1103)**2d0*coupl(nGC_833)**2d0 - 48d0*cima* &
                        coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_82)*coupl(      &
                        nGC_833) + 6d0*cima*coupl(nGC_1207)**2d0 - 16d0*cima*  &
                        coupl(nGC_3)**4d0 - 32d0*cima*coupl(nGC_3)**2d0*coupl( &
                        nGC_82)**2d0 + 12d0*cima*coupl(nGC_78)**2d0 + 36d0*cima&
                        *coupl(nGC_80)**4d0 - 16d0*cima*coupl(nGC_82)**4d0 -   &
                        24d0*cima*coupl(nGC_82)**2d0*coupl(nGC_833)**2d0 + 12d0&
                        *cima*coupl(nGC_83)**2d0 - 16d0*cima*coupl(nGC_833)**  &
                        4d0 + 18d0*coupl(nGC_1047)*coupl(nGC_82)**2d0 + 18d0*  &
                        coupl(nGC_1047)*coupl(nGC_833)**2d0 + 18d0*coupl(      &
                        nGC_1103)**2d0*coupl(nGC_1207) + 3d0*coupl(nGC_1103)** &
                        2d0*coupl(nGC_5) + 21d0*coupl(nGC_1103)**2d0*coupl(    &
                        nGC_78) + 6d0*coupl(nGC_1103)*coupl(nGC_3)*coupl(nGC_78&
                        ) + 6d0*coupl(nGC_1103)*coupl(nGC_607)*coupl(nGC_833   &
                        ) + 36d0*coupl(nGC_1103)*coupl(nGC_83)*coupl(nGC_833   &
                        ) + 18d0*coupl(nGC_1207)*coupl(nGC_3)**2d0 + 3d0*coupl(&
                        nGC_3)**2d0*coupl(nGC_5) + 21d0*coupl(nGC_3)**2d0*coupl&
                        (nGC_78) + 6d0*coupl(nGC_3)*coupl(nGC_607)*coupl(nGC_82&
                        ) + 36d0*coupl(nGC_3)*coupl(nGC_82)*coupl(nGC_83) +    &
                        21d0*coupl(nGC_78)*coupl(nGC_82)**2d0 + 6d0*coupl(     &
                        nGC_78)*coupl(nGC_82)*coupl(nGC_833) + 21d0*coupl(     &
                        nGC_78)*coupl(nGC_833)**2d0 + 3d0*coupl(nGC_79)*coupl( &
                        nGC_82)**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_833)**2d0)/(&
                        96d0*pi**2d0)
      coupl(nGC_30209) = -coupl(nGC_8812)
      coupl(nGC_9285) = (-12d0*Nc*cima*coupl(nGC_5065)*coupl(nGC_8) - 4d0*Nc*  &
                        cima*coupl(nGC_6)**4d0*sq2**4d0 - 12d0*Nc*coupl(       &
                        nGC_5065)*coupl(nGC_6)**2d0*sq2**2d0 + 9d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 18d0*cima*coupl(   &
                        nGC_7)**4d0*sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_9284) = (-24d0*Nc*cima*coupl(nGC_5065)*coupl(nGC_8) - 8d0*Nc*  &
                        cima*coupl(nGC_6)**4d0*sq2**4d0 - 39d0*Nc*coupl(       &
                        nGC_5065)*coupl(nGC_6)**2d0*sq2**2d0 + 3d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*cima*coupl(   &
                        nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9283) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 3d0&
                        *Nc*coupl(nGC_5061)*coupl(nGC_6)**2d0 - 9d0*Nc*coupl(  &
                        nGC_5067)*coupl(nGC_6)**2d0 - 60d0*cima*coupl(nGC_7)** &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9282) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 9d0&
                        *Nc*coupl(nGC_5061)*coupl(nGC_6)**2d0 - 3d0*Nc*coupl(  &
                        nGC_5067)*coupl(nGC_6)**2d0 - 60d0*cima*coupl(nGC_7)** &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_9281) = (12d0*Nc*cima*coupl(nGC_5065)**2d0 - 8d0*Nc*cima*coupl(&
                        nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0  &
                         - 3d0*Nc*coupl(nGC_5065)*coupl(nGC_6)**2d0*sq2**2d0 + &
                        39d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*&
                        cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_9280) = (-12d0*Nc*cima*coupl(nGC_5065)*coupl(nGC_8) - 4d0*Nc*  &
                        cima*coupl(nGC_6)**4d0*sq2**4d0 - 9d0*Nc*coupl(nGC_5065&
                        )*coupl(nGC_6)**2d0*sq2**2d0 + 12d0*Nc*coupl(nGC_6)**  &
                        2d0*coupl(nGC_8)*sq2**2d0 + 18d0*cima*coupl(nGC_7)**4d0&
                        *sq2**4d0)/(384d0*pi**2d0)
      coupl(nGC_22077) = coupl(nGC_9639) + coupl(nGC_MHA)*dZHa_QED2 + coupl(   &
                         nGC_TS_GC_113_Hl) + coupl(nGC_TS_GC_121_Hh)
      coupl(nGC_18316) = coupl(nGC_18311) - coupl(nGC_18315)
      coupl(nGC_19305) = -coupl(nGC_16325)
      coupl(nGC_13971) = coupl(nGC_12979) + coupl(nGC_13969)
      coupl(nGC_13970) = coupl(nGC_12979) + coupl(nGC_13967)
      coupl(nGC_9146) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(     &
                        nGC_134)**2d0 + 20d0*Nc*cima*coupl(nGC_130)*coupl(     &
                        nGC_133)*coupl(nGC_174)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_130)*coupl(nGC_134)*coupl(nGC_173)*coupl(nGC_174   &
                        ) + 20d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(  &
                        nGC_169)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**&
                        2d0*coupl(nGC_169)*coupl(nGC_173) + 20d0*Nc*cima*coupl(&
                        nGC_137)*coupl(nGC_138)**2d0*coupl(nGC_141) + 20d0*Nc* &
                        cima*coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_177)*coupl&
                        (nGC_181) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*&
                        coupl(nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**2d0*&
                        coupl(nGC_177)*coupl(nGC_180) + 20d0*Nc*cima*coupl(    &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_180)*coupl(nGC_181   &
                        ) + 20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*coupl(  &
                        nGC_150)**2d0 + 20d0*Nc*cima*coupl(nGC_145)*coupl(     &
                        nGC_149)*coupl(nGC_196)**2d0 + 20d0*Nc*cima*coupl(     &
                        nGC_145)*coupl(nGC_150)*coupl(nGC_195)*coupl(nGC_196   &
                        ) + 20d0*Nc*cima*coupl(nGC_149)*coupl(nGC_150)*coupl(  &
                        nGC_192)*coupl(nGC_196) + 20d0*Nc*cima*coupl(nGC_150)**&
                        2d0*coupl(nGC_192)*coupl(nGC_195) + 20d0*Nc*cima*coupl(&
                        nGC_169)*coupl(nGC_173)*coupl(nGC_174)**2d0 + 20d0*Nc* &
                        cima*coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_181)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(   &
                        nGC_196)**2d0 - 5d0*cima*coupl(nGC_1243)*coupl(nGC_1485&
                        )*coupl(nGC_63)*coupl(nGC_68) - 5d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_68) - 5d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_2391)*coupl(nGC_68)*    &
                        coupl(nGC_69) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_3011&
                        )*coupl(nGC_68)*coupl(nGC_69) - 5d0*cima*coupl(nGC_1331&
                        )*coupl(nGC_94)*coupl(nGC_96)**2d0 + 24d0*cima*coupl(  &
                        nGC_14)*coupl(nGC_16) - 5d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_2391)*coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_1485 &
                        )*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_64) - 5d0*   &
                        cima*coupl(nGC_1485)*coupl(nGC_63)*coupl(nGC_72)*coupl(&
                        nGC_867) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_64)*coupl&
                        (nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_1485)*    &
                        coupl(nGC_64)*coupl(nGC_793)**2d0 - 5d0*cima*coupl(    &
                        nGC_1485)*coupl(nGC_64)*coupl(nGC_975)**2d0 - 5d0*cima*&
                        coupl(nGC_1485)*coupl(nGC_665)*coupl(nGC_72)*coupl(    &
                        nGC_975) + 20d0*cima*coupl(nGC_153)*coupl(nGC_157)*    &
                        coupl(nGC_158)**2d0 + 20d0*cima*coupl(nGC_161)*coupl(  &
                        nGC_165)*coupl(nGC_166)**2d0 + 20d0*cima*coupl(nGC_184 &
                        )*coupl(nGC_188)*coupl(nGC_189)**2d0 - 5d0*cima*coupl( &
                        nGC_2391)**2d0*coupl(nGC_63)*coupl(nGC_69) - 5d0*cima* &
                        coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_63)*coupl(   &
                        nGC_69) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_69)*coupl(&
                        nGC_72)*coupl(nGC_867) - 5d0*cima*coupl(nGC_2391)*coupl&
                        (nGC_72)*coupl(nGC_817)*coupl(nGC_96) - 5d0*cima*coupl(&
                        nGC_3011)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867) - &
                        5d0*cima*coupl(nGC_3011)*coupl(nGC_69)*coupl(nGC_793)**&
                        2d0 - 5d0*cima*coupl(nGC_3011)*coupl(nGC_69)*coupl(    &
                        nGC_975)**2d0 - 5d0*cima*coupl(nGC_63)*coupl(nGC_867)* &
                        coupl(nGC_94)*coupl(nGC_96) + 24d0*cima*coupl(nGC_65)* &
                        coupl(nGC_70) - 5d0*cima*coupl(nGC_665)*coupl(nGC_72)* &
                        coupl(nGC_867)*coupl(nGC_94) - 5d0*cima*coupl(nGC_665)*&
                        coupl(nGC_94)*coupl(nGC_96)**2d0 - 5d0*cima*coupl(     &
                        nGC_69)*coupl(nGC_867)*coupl(nGC_91)*coupl(nGC_975) -  &
                        5d0*cima*coupl(nGC_72)*coupl(nGC_817)*coupl(nGC_867)*  &
                        coupl(nGC_91) - 5d0*cima*coupl(nGC_817)*coupl(nGC_91)* &
                        coupl(nGC_96)**2d0 - 5d0*cima*coupl(nGC_817)*coupl(    &
                        nGC_92)*coupl(nGC_96)**2d0 + 3d0*coupl(nGC_10)*coupl(  &
                        nGC_1485)*coupl(nGC_69) - 3d0*coupl(nGC_100)*coupl(    &
                        nGC_1331)*coupl(nGC_94) - 3d0*coupl(nGC_100)*coupl(    &
                        nGC_817)*coupl(nGC_91) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_1485)*coupl(nGC_23) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_27)*coupl(nGC_69) + 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_3011)*coupl(nGC_32) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_36)*coupl(nGC_63) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_62)*coupl(nGC_64) + 3d0*coupl(nGC_13)*coupl(       &
                        nGC_1485)*coupl(nGC_64) + 3d0*coupl(nGC_13)*coupl(     &
                        nGC_3011)*coupl(nGC_69) - 3d0*coupl(nGC_14)*coupl(     &
                        nGC_1485)*coupl(nGC_975) - 3d0*coupl(nGC_14)*coupl(    &
                        nGC_69)*coupl(nGC_975) - 3d0*coupl(nGC_14)*coupl(nGC_72&
                        )*coupl(nGC_817) - 3d0*coupl(nGC_14)*coupl(nGC_867)*   &
                        coupl(nGC_94) + 3d0*coupl(nGC_1485)*coupl(nGC_2391)*   &
                        coupl(nGC_35) + 3d0*coupl(nGC_1485)*coupl(nGC_27)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_1485)*coupl(nGC_36)*coupl(    &
                        nGC_63) + 3d0*coupl(nGC_1485)*coupl(nGC_41)*coupl(     &
                        nGC_867) - 3d0*coupl(nGC_1485)*coupl(nGC_62)*coupl(    &
                        nGC_63) - 3d0*coupl(nGC_1485)*coupl(nGC_62)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_1485)*coupl(nGC_65)*coupl(     &
                        nGC_793) - 3d0*coupl(nGC_16)*coupl(nGC_3011)*coupl(    &
                        nGC_975) - 3d0*coupl(nGC_16)*coupl(nGC_64)*coupl(      &
                        nGC_975) - 3d0*coupl(nGC_16)*coupl(nGC_665)*coupl(     &
                        nGC_72) - 3d0*coupl(nGC_16)*coupl(nGC_867)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_23)*coupl(nGC_2391)*coupl(nGC_3011   &
                        ) + 3d0*coupl(nGC_23)*coupl(nGC_63)*coupl(nGC_64) + 3d0&
                        *coupl(nGC_23)*coupl(nGC_68)*coupl(nGC_69) + 3d0*coupl(&
                        nGC_23)*coupl(nGC_793)**2d0 + 3d0*coupl(nGC_23)*coupl( &
                        nGC_975)**2d0 + 6d0*coupl(nGC_2391)*coupl(nGC_24)*coupl&
                        (nGC_63) + 6d0*coupl(nGC_2391)*coupl(nGC_3011)*coupl(  &
                        nGC_45) + 3d0*coupl(nGC_2391)*coupl(nGC_36)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_2391)*coupl(nGC_36)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_2391)*coupl(nGC_48)*coupl(     &
                        nGC_867) + 3d0*coupl(nGC_2391)*coupl(nGC_54)*coupl(    &
                        nGC_68) + 3d0*coupl(nGC_2391)*coupl(nGC_57)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_25)*coupl(nGC_72)*coupl(nGC_867&
                        ) + 3d0*coupl(nGC_3011)*coupl(nGC_54)*coupl(nGC_69) +  &
                        3d0*coupl(nGC_3011)*coupl(nGC_57)*coupl(nGC_68) + 3d0* &
                        coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_9) - 3d0*coupl(&
                        nGC_3011)*coupl(nGC_70)*coupl(nGC_793) + 3d0*coupl(    &
                        nGC_32)*coupl(nGC_64)*coupl(nGC_68) + 3d0*coupl(nGC_35 &
                        )*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_40)*coupl&
                        (nGC_69)*coupl(nGC_72) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_665)*coupl(nGC_92) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_45)*coupl(nGC_68&
                        )**2d0 + 3d0*coupl(nGC_45)*coupl(nGC_69)**2d0 + 3d0*   &
                        coupl(nGC_49)*coupl(nGC_63)*coupl(nGC_72) + 3d0*coupl( &
                        nGC_53)*coupl(nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_56&
                        )*coupl(nGC_817)*coupl(nGC_92) - 3d0*coupl(nGC_64)*    &
                        coupl(nGC_70)*coupl(nGC_793) - 3d0*coupl(nGC_65)*coupl(&
                        nGC_69)*coupl(nGC_793))/(96d0*pi**2d0)
      coupl(nGC_9147) = (20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_134)**2d0  &
                         + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_174)**2d0&
                         + 40d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(   &
                        nGC_169)*coupl(nGC_174) + 20d0*Nc*cima*coupl(nGC_134)**&
                        2d0*coupl(nGC_169)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**&
                        2d0*coupl(nGC_141)**2d0 + 20d0*Nc*cima*coupl(nGC_138)**&
                        2d0*coupl(nGC_177)**2d0 + 40d0*Nc*cima*coupl(nGC_138)* &
                        coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_181) + 20d0*Nc*&
                        cima*coupl(nGC_141)**2d0*coupl(nGC_181)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_150)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_145)**2d0*coupl(nGC_196)**2d0 + 40d0*Nc*&
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_192)*coupl&
                        (nGC_196) + 20d0*Nc*cima*coupl(nGC_150)**2d0*coupl(    &
                        nGC_192)**2d0 + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(&
                        nGC_174)**2d0 + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(&
                        nGC_181)**2d0 + 20d0*Nc*cima*coupl(nGC_192)**2d0*coupl(&
                        nGC_196)**2d0 + 6d0*cima*coupl(nGC_100)*coupl(nGC_99   &
                        ) - 10d0*cima*coupl(nGC_1243)*coupl(nGC_1485)*coupl(   &
                        nGC_68)*coupl(nGC_69) - 10d0*cima*coupl(nGC_1243)*coupl&
                        (nGC_3011)*coupl(nGC_64)*coupl(nGC_68) + 24d0*cima*    &
                        coupl(nGC_14)**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(  &
                        nGC_2391)*coupl(nGC_63)*coupl(nGC_69) - 10d0*cima*coupl&
                        (nGC_1485)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_867   &
                        ) + 20d0*cima*coupl(nGC_153)**2d0*coupl(nGC_158)**2d0  &
                         + 20d0*cima*coupl(nGC_161)**2d0*coupl(nGC_166)**2d0 + &
                        20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_189)**2d0 -    &
                        10d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_63 &
                        )*coupl(nGC_64) - 5d0*cima*coupl(nGC_2391)*coupl(      &
                        nGC_665)*coupl(nGC_72)*coupl(nGC_96) - 10d0*cima*coupl(&
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867) - &
                        10d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_793  &
                        )**2d0 - 10d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(&
                        nGC_975)**2d0 - 5d0*cima*coupl(nGC_3011)*coupl(nGC_665 &
                        )*coupl(nGC_72)*coupl(nGC_975) + 12d0*cima*coupl(nGC_61&
                        )*coupl(nGC_62) - 5d0*cima*coupl(nGC_63)*coupl(nGC_867 &
                        )*coupl(nGC_91)*coupl(nGC_96) - 5d0*cima*coupl(nGC_64)*&
                        coupl(nGC_867)*coupl(nGC_91)*coupl(nGC_975) + 24d0*cima&
                        *coupl(nGC_65)**2d0 - 10d0*cima*coupl(nGC_665)*coupl(  &
                        nGC_72)*coupl(nGC_867)*coupl(nGC_91) - 10d0*cima*coupl(&
                        nGC_665)*coupl(nGC_91)*coupl(nGC_96)**2d0 - 10d0*cima* &
                        coupl(nGC_817)*coupl(nGC_94)*coupl(nGC_96)**2d0 - 3d0* &
                        coupl(nGC_100)*coupl(nGC_665)*coupl(nGC_91) - 3d0*coupl&
                        (nGC_100)*coupl(nGC_817)*coupl(nGC_94) + 3d0*coupl(    &
                        nGC_11)*coupl(nGC_3011)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_1243)*coupl(nGC_23)*coupl(nGC_3011) + 3d0*coupl(   &
                        nGC_1243)*coupl(nGC_2391)*coupl(nGC_45) + 6d0*coupl(   &
                        nGC_1243)*coupl(nGC_36)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_57)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_61)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_1485)*coupl(nGC_69) - 6d0*coupl(     &
                        nGC_14)*coupl(nGC_3011)*coupl(nGC_975) - 6d0*coupl(    &
                        nGC_14)*coupl(nGC_64)*coupl(nGC_975) - 6d0*coupl(nGC_14&
                        )*coupl(nGC_665)*coupl(nGC_72) - 6d0*coupl(nGC_14)*    &
                        coupl(nGC_867)*coupl(nGC_91) + 6d0*coupl(nGC_1485)*    &
                        coupl(nGC_24)*coupl(nGC_63) + 3d0*coupl(nGC_1485)*coupl&
                        (nGC_3011)*coupl(nGC_45) + 6d0*coupl(nGC_1485)*coupl(  &
                        nGC_36)*coupl(nGC_68) + 6d0*coupl(nGC_1485)*coupl(     &
                        nGC_48)*coupl(nGC_867) + 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_57)*coupl(nGC_69) - 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_62)*coupl(nGC_69) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_64)*coupl(nGC_9) + 6d0*coupl(nGC_23)*coupl(nGC_64)*&
                        coupl(nGC_68) + 6d0*coupl(nGC_2391)*coupl(nGC_24)*coupl&
                        (nGC_69) + 6d0*coupl(nGC_2391)*coupl(nGC_3011)*coupl(  &
                        nGC_35) + 3d0*coupl(nGC_2391)*coupl(nGC_54)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_2391)*coupl(nGC_61)*coupl(     &
                        nGC_63) - 3d0*coupl(nGC_2391)*coupl(nGC_62)*coupl(     &
                        nGC_63) + 3d0*coupl(nGC_3011)*coupl(nGC_54)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_3011)*coupl(nGC_62)*coupl(     &
                        nGC_64) - 6d0*coupl(nGC_3011)*coupl(nGC_65)*coupl(     &
                        nGC_793) + 3d0*coupl(nGC_3011)*coupl(nGC_69)*coupl(    &
                        nGC_9) + 6d0*coupl(nGC_35)*coupl(nGC_63)*coupl(nGC_64  &
                        ) + 3d0*coupl(nGC_35)*coupl(nGC_793)**2d0 + 3d0*coupl( &
                        nGC_35)*coupl(nGC_975)**2d0 + 3d0*coupl(nGC_39)*coupl( &
                        nGC_72)*coupl(nGC_867) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_817)*coupl(nGC_91) + 3d0*coupl(nGC_45)*coupl(nGC_63&
                        )*coupl(nGC_68) + 3d0*coupl(nGC_45)*coupl(nGC_64)*coupl&
                        (nGC_69) + 6d0*coupl(nGC_49)*coupl(nGC_69)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_53)*coupl(nGC_665)*coupl(nGC_91) +   &
                        3d0*coupl(nGC_56)*coupl(nGC_817)*coupl(nGC_94) - 3d0*  &
                        coupl(nGC_61)*coupl(nGC_72)*coupl(nGC_867) - 6d0*coupl(&
                        nGC_64)*coupl(nGC_65)*coupl(nGC_793) - 3d0*coupl(nGC_96&
                        )**2d0*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_21851) = coupl(nGC_9646) + coupl(nGC_TS_GC_130_Hl) + coupl(    &
                         nGC_TS_GC_133_Hh)
      coupl(nGC_29395) = -coupl(nGC_8918)
      coupl(nGC_14980) = coupl(nGC_23)*dZHhHl_QED2 + coupl(nGC_24)*            &
                         dZHMinusGMinus_QED2 + coupl(nGC_35)*dZHl_QED2 + coupl(&
                         nGC_9312)
      coupl(nGC_9191) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*   &
                        coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_130)*coupl(nGC_134)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_141)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_141)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_145)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_169)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_181)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_177)*coupl(nGC_181)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_196)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_64)*coupl(&
                        nGC_793)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1243)**2d0*&
                        coupl(nGC_3011)*coupl(nGC_96) + 4d0*cima*coupl(nGC_1243&
                        )*coupl(nGC_1331)*coupl(nGC_69)*coupl(nGC_72) + 4d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_3011)*coupl(nGC_72)*    &
                        coupl(nGC_817) + 4d0*cima*coupl(nGC_1243)*coupl(       &
                        nGC_3011)*coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1243)*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_96) +  &
                        4d0*cima*coupl(nGC_1331)*coupl(nGC_69)*coupl(nGC_817)* &
                        coupl(nGC_96) + 24d0*cima*coupl(nGC_14)*coupl(nGC_79   &
                        ) + 20d0*cima*coupl(nGC_153)*coupl(nGC_158)*coupl(     &
                        nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_153)*coupl(&
                        nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(&
                        nGC_153)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) +  &
                        20d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_161)*coupl(nGC_166 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_161&
                        )*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_184)*coupl(nGC_189)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_184)*coupl(nGC_189)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_184)*coupl&
                        (nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_2391)**2d0*coupl(nGC_3011)*coupl(nGC_96) + 4d0*cima&
                        *coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_665)*coupl( &
                        nGC_72) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*    &
                        coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(nGC_2391)*&
                        coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_96) + 4d0*cima*  &
                        coupl(nGC_2391)*coupl(nGC_69)*coupl(nGC_72)*coupl(     &
                        nGC_817) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_72)**2d0*&
                        coupl(nGC_96) + 24d0*cima*coupl(nGC_607)*coupl(nGC_65  &
                        ) + 4d0*cima*coupl(nGC_64)*coupl(nGC_665)**2d0*coupl(  &
                        nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl(  &
                        nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_64)*coupl(  &
                        nGC_817)**2d0*coupl(nGC_96) + 9d0*cima*coupl(nGC_64)*  &
                        coupl(nGC_82)*coupl(nGC_833)*coupl(nGC_975) + 4d0*cima*&
                        coupl(nGC_665)*coupl(nGC_69)*coupl(nGC_817)*coupl(     &
                        nGC_96) + 4d0*cima*coupl(nGC_665)*coupl(nGC_867)*coupl(&
                        nGC_96)*coupl(nGC_975) + 4d0*cima*coupl(nGC_68)*coupl( &
                        nGC_69)*coupl(nGC_72)*coupl(nGC_91) + 9d0*cima*coupl(  &
                        nGC_82)*coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_91) -  &
                        6d0*coupl(nGC_100)*coupl(nGC_64)*coupl(nGC_833) - 6d0* &
                        coupl(nGC_1103)*coupl(nGC_14)*coupl(nGC_793) - 6d0*    &
                        coupl(nGC_1103)*coupl(nGC_64)*coupl(nGC_97) + 6d0*coupl&
                        (nGC_1243)*coupl(nGC_15)*coupl(nGC_69) + 6d0*coupl(    &
                        nGC_1243)*coupl(nGC_16)*coupl(nGC_3011) + 6d0*coupl(   &
                        nGC_14)*coupl(nGC_2391)*coupl(nGC_3011) + 36d0*coupl(  &
                        nGC_14)*coupl(nGC_82)*coupl(nGC_833) - 6d0*coupl(nGC_14&
                        )*coupl(nGC_833)*coupl(nGC_975) + 6d0*coupl(nGC_16)*   &
                        coupl(nGC_2391)*coupl(nGC_69) + 6d0*coupl(nGC_20)*coupl&
                        (nGC_3011)*coupl(nGC_72) + 6d0*coupl(nGC_20)*coupl(    &
                        nGC_665)*coupl(nGC_96) - 6d0*coupl(nGC_20)*coupl(nGC_82&
                        )*coupl(nGC_91) + 36d0*coupl(nGC_3)*coupl(nGC_65)*coupl&
                        (nGC_833) - 6d0*coupl(nGC_607)*coupl(nGC_64)*coupl(    &
                        nGC_793) - 6d0*coupl(nGC_61)*coupl(nGC_64)*coupl(      &
                        nGC_833) - 6d0*coupl(nGC_62)*coupl(nGC_64)*coupl(nGC_82&
                        ) - 6d0*coupl(nGC_64)*coupl(nGC_79)*coupl(nGC_975) -   &
                        6d0*coupl(nGC_64)*coupl(nGC_82)*coupl(nGC_99) - 6d0*   &
                        coupl(nGC_79)*coupl(nGC_867)*coupl(nGC_91))/(192d0*pi**&
                        2d0)
      coupl(nGC_9116) = (-12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_139)*coupl(      &
                        nGC_140)*coupl(nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_87) - 12d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_151)*coupl(nGC_152)*coupl( &
                        nGC_84) - 12d0*Nc*cima*coupl(nGC_1)*coupl(nGC_151)*    &
                        coupl(nGC_152)*coupl(nGC_87) - 12d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_84) - 12d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_175)*coupl(nGC_176)*coupl(&
                        nGC_87) - 12d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*  &
                        coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc*cima*coupl(nGC_135&
                        )*coupl(nGC_136)*coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc* &
                        cima*coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_2)*coupl( &
                        nGC_85) - 12d0*Nc*cima*coupl(nGC_182)*coupl(nGC_183)*  &
                        coupl(nGC_2)*coupl(nGC_88) - 12d0*Nc*cima*coupl(nGC_197&
                        )*coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_85) - 12d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_2)*coupl( &
                        nGC_88) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_72)*coupl(&
                        nGC_833)*coupl(nGC_867) - 12d0*cima*coupl(nGC_159)*    &
                        coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_86) - 12d0*cima* &
                        coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4)*coupl(nGC_89&
                        ) - 12d0*cima*coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4&
                        )*coupl(nGC_86) - 12d0*cima*coupl(nGC_167)*coupl(      &
                        nGC_168)*coupl(nGC_4)*coupl(nGC_89) + 4d0*cima*coupl(  &
                        nGC_17)*coupl(nGC_72)*coupl(nGC_867)*coupl(nGC_96) -   &
                        12d0*cima*coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_4)*  &
                        coupl(nGC_86) - 12d0*cima*coupl(nGC_190)*coupl(nGC_191 &
                        )*coupl(nGC_4)*coupl(nGC_89) + 9d0*cima*coupl(nGC_3)*  &
                        coupl(nGC_72)*coupl(nGC_82)*coupl(nGC_867) + 12d0*cima*&
                        coupl(nGC_62)*coupl(nGC_83) + 4d0*cima*coupl(nGC_72)*  &
                        coupl(nGC_793)*coupl(nGC_867)*coupl(nGC_975) - 3d0*    &
                        coupl(nGC_1103)*coupl(nGC_19)*coupl(nGC_72) - 3d0*coupl&
                        (nGC_1103)*coupl(nGC_20)*coupl(nGC_867) + 18d0*coupl(  &
                        nGC_1103)*coupl(nGC_62)*coupl(nGC_833) - 3d0*coupl(    &
                        nGC_19)*coupl(nGC_3)*coupl(nGC_867) - 3d0*coupl(nGC_20 &
                        )*coupl(nGC_3)*coupl(nGC_72) + 18d0*coupl(nGC_3)*coupl(&
                        nGC_62)*coupl(nGC_82) - 6d0*coupl(nGC_72)*coupl(nGC_83 &
                        )*coupl(nGC_867) + 6d0*coupl(nGC_72)*coupl(nGC_867)*   &
                        coupl(nGC_97) - 6d0*coupl(nGC_73)*coupl(nGC_82)*coupl( &
                        nGC_867) - 6d0*coupl(nGC_74)*coupl(nGC_833)*coupl(     &
                        nGC_867))/(96d0*pi**2d0)
      coupl(nGC_9115) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_136)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_140)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_176)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_183)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_198)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_136)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_140&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_152)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_176)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_183)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_198)*coupl(nGC_2)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_64)*coupl(&
                        nGC_793)*coupl(nGC_867) + 4d0*cima*coupl(nGC_154)*coupl&
                        (nGC_160)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl( &
                        nGC_162)*coupl(nGC_168)*coupl(nGC_4)*coupl(nGC_80) +   &
                        4d0*cima*coupl(nGC_17)*coupl(nGC_64)*coupl(nGC_817)*   &
                        coupl(nGC_975) + 4d0*cima*coupl(nGC_17)*coupl(nGC_665)*&
                        coupl(nGC_68)*coupl(nGC_975) + 4d0*cima*coupl(nGC_185)*&
                        coupl(nGC_191)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*  &
                        coupl(nGC_2391)*coupl(nGC_69)*coupl(nGC_793)*coupl(    &
                        nGC_867) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)*coupl(  &
                        nGC_833)*coupl(nGC_94) + 9d0*cima*coupl(nGC_3)*coupl(  &
                        nGC_68)*coupl(nGC_833)*coupl(nGC_91) + 6d0*coupl(      &
                        nGC_1485)*coupl(nGC_65)*coupl(nGC_867) + 6d0*coupl(    &
                        nGC_2391)*coupl(nGC_70)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_607)*coupl(nGC_64)*coupl(nGC_94) - 6d0*coupl(      &
                        nGC_607)*coupl(nGC_68)*coupl(nGC_91) - 6d0*coupl(nGC_66&
                        )*coupl(nGC_817)*coupl(nGC_82) + 6d0*coupl(nGC_66)*    &
                        coupl(nGC_817)*coupl(nGC_975) - 6d0*coupl(nGC_665)*    &
                        coupl(nGC_70)*coupl(nGC_82) + 6d0*coupl(nGC_665)*coupl(&
                        nGC_70)*coupl(nGC_975))/(192d0*pi**2d0)
      coupl(nGC_9114) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(      &
                        nGC_135)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_139)*coupl(nGC_142)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*coupl(     &
                        nGC_175)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_178)*coupl(nGC_182)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_197)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_131)*coupl(nGC_135)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_139&
                        )*coupl(nGC_142)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_151)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_175)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_178 &
                        )*coupl(nGC_182)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_193)*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_63)*coupl(&
                        nGC_82)*coupl(nGC_94) + 9d0*cima*coupl(nGC_1103)*coupl(&
                        nGC_69)*coupl(nGC_82)*coupl(nGC_91) + 4d0*cima*coupl(  &
                        nGC_1243)*coupl(nGC_17)*coupl(nGC_63)*coupl(nGC_867) + &
                        4d0*cima*coupl(nGC_154)*coupl(nGC_159)*coupl(nGC_4)*   &
                        coupl(nGC_80) + 4d0*cima*coupl(nGC_162)*coupl(nGC_167)*&
                        coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*   &
                        coupl(nGC_3011)*coupl(nGC_68)*coupl(nGC_867) + 4d0*cima&
                        *coupl(nGC_185)*coupl(nGC_190)*coupl(nGC_4)*coupl(     &
                        nGC_80) + 4d0*cima*coupl(nGC_63)*coupl(nGC_793)*coupl( &
                        nGC_817)*coupl(nGC_96) + 4d0*cima*coupl(nGC_665)*coupl(&
                        nGC_69)*coupl(nGC_793)*coupl(nGC_96) + 6d0*coupl(      &
                        nGC_1243)*coupl(nGC_65)*coupl(nGC_867) + 6d0*coupl(    &
                        nGC_3011)*coupl(nGC_70)*coupl(nGC_867) - 6d0*coupl(    &
                        nGC_607)*coupl(nGC_63)*coupl(nGC_94) - 6d0*coupl(      &
                        nGC_607)*coupl(nGC_69)*coupl(nGC_91) - 6d0*coupl(nGC_66&
                        )*coupl(nGC_817)*coupl(nGC_833) + 6d0*coupl(nGC_66)*   &
                        coupl(nGC_817)*coupl(nGC_96) - 6d0*coupl(nGC_665)*coupl&
                        (nGC_70)*coupl(nGC_833) + 6d0*coupl(nGC_665)*coupl(    &
                        nGC_70)*coupl(nGC_96))/(192d0*pi**2d0)
      coupl(nGC_9113) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_130)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_138)*coupl(nGC_141)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_169)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_177)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_192)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_138&
                        )*coupl(nGC_141)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_177 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_192)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_3)*coupl( &
                        nGC_64)*coupl(nGC_793) + 9d0*cima*coupl(nGC_1103)*coupl&
                        (nGC_82)*coupl(nGC_867)*coupl(nGC_91) + 4d0*cima*coupl(&
                        nGC_1243)**2d0*coupl(nGC_17)*coupl(nGC_3011) + 4d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_17)*coupl(nGC_64)*coupl(    &
                        nGC_69) + 24d0*cima*coupl(nGC_14)*coupl(nGC_607) + 4d0*&
                        cima*coupl(nGC_153)*coupl(nGC_158)*coupl(nGC_4)*coupl( &
                        nGC_80) + 4d0*cima*coupl(nGC_161)*coupl(nGC_166)*coupl(&
                        nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(nGC_17)*coupl(   &
                        nGC_2391)**2d0*coupl(nGC_3011) + 4d0*cima*coupl(nGC_17 &
                        )*coupl(nGC_2391)*coupl(nGC_68)*coupl(nGC_69) + 4d0*   &
                        cima*coupl(nGC_17)*coupl(nGC_3011)*coupl(nGC_72)**2d0  &
                         + 4d0*cima*coupl(nGC_184)*coupl(nGC_189)*coupl(nGC_4)*&
                        coupl(nGC_80) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)*   &
                        coupl(nGC_833)*coupl(nGC_975) + 24d0*cima*coupl(nGC_5)*&
                        coupl(nGC_65) + 4d0*cima*coupl(nGC_665)*coupl(nGC_793)*&
                        coupl(nGC_867)*coupl(nGC_96) + 36d0*coupl(nGC_1103)*   &
                        coupl(nGC_14)*coupl(nGC_82) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_18)*coupl(nGC_64) + 36d0*coupl(nGC_1103)*coupl(   &
                        nGC_3)*coupl(nGC_65) - 6d0*coupl(nGC_1103)*coupl(nGC_61&
                        )*coupl(nGC_64) + 6d0*coupl(nGC_1243)*coupl(nGC_3011)* &
                        coupl(nGC_70) + 6d0*coupl(nGC_1243)*coupl(nGC_66)*coupl&
                        (nGC_69) - 6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_65 &
                        ) + 6d0*coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_65   &
                        ) + 6d0*coupl(nGC_2391)*coupl(nGC_69)*coupl(nGC_70) -  &
                        6d0*coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_64) + 6d0*    &
                        coupl(nGC_3011)*coupl(nGC_72)*coupl(nGC_74) - 6d0*coupl&
                        (nGC_5)*coupl(nGC_64)*coupl(nGC_793) - 6d0*coupl(      &
                        nGC_607)*coupl(nGC_64)*coupl(nGC_975) - 6d0*coupl(     &
                        nGC_607)*coupl(nGC_867)*coupl(nGC_91) - 6d0*coupl(     &
                        nGC_64)*coupl(nGC_833)*coupl(nGC_97) - 6d0*coupl(nGC_65&
                        )*coupl(nGC_82)*coupl(nGC_96) + 6d0*coupl(nGC_665)*    &
                        coupl(nGC_74)*coupl(nGC_96) - 6d0*coupl(nGC_74)*coupl( &
                        nGC_82)*coupl(nGC_91))/(192d0*pi**2d0)
      coupl(nGC_9112) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_133)*coupl(      &
                        nGC_134)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl&
                        (nGC_137)*coupl(nGC_138)*coupl(nGC_80) + 4d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_80&
                        ) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_173)*coupl(     &
                        nGC_174)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_180)*coupl(nGC_181)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_195)*coupl(nGC_196)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_133)*coupl(nGC_134)*   &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_137&
                        )*coupl(nGC_138)*coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_149)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_173)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_180 &
                        )*coupl(nGC_181)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_195)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_3)*coupl( &
                        nGC_69)*coupl(nGC_793) + 9d0*cima*coupl(nGC_1103)*coupl&
                        (nGC_82)*coupl(nGC_867)*coupl(nGC_94) + 4d0*cima*coupl(&
                        nGC_1243)**2d0*coupl(nGC_1485)*coupl(nGC_17) + 4d0*cima&
                        *coupl(nGC_1243)*coupl(nGC_17)*coupl(nGC_63)*coupl(    &
                        nGC_64) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_17)*coupl(&
                        nGC_2391)**2d0 + 4d0*cima*coupl(nGC_1485)*coupl(nGC_17 &
                        )*coupl(nGC_72)**2d0 + 4d0*cima*coupl(nGC_157)*coupl(  &
                        nGC_158)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl( &
                        nGC_16)*coupl(nGC_607) + 4d0*cima*coupl(nGC_165)*coupl(&
                        nGC_166)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*coupl(  &
                        nGC_17)*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_68) +  &
                        4d0*cima*coupl(nGC_188)*coupl(nGC_189)*coupl(nGC_4)*   &
                        coupl(nGC_80) + 9d0*cima*coupl(nGC_3)*coupl(nGC_69)*   &
                        coupl(nGC_833)*coupl(nGC_975) + 24d0*cima*coupl(nGC_5)*&
                        coupl(nGC_70) + 4d0*cima*coupl(nGC_793)*coupl(nGC_817)*&
                        coupl(nGC_867)*coupl(nGC_96) + 36d0*coupl(nGC_1103)*   &
                        coupl(nGC_16)*coupl(nGC_82) - 6d0*coupl(nGC_1103)*coupl&
                        (nGC_18)*coupl(nGC_69) + 36d0*coupl(nGC_1103)*coupl(   &
                        nGC_3)*coupl(nGC_70) - 6d0*coupl(nGC_1103)*coupl(nGC_61&
                        )*coupl(nGC_69) + 6d0*coupl(nGC_1243)*coupl(nGC_1485)* &
                        coupl(nGC_70) + 6d0*coupl(nGC_1243)*coupl(nGC_63)*coupl&
                        (nGC_66) + 6d0*coupl(nGC_1485)*coupl(nGC_2391)*coupl(  &
                        nGC_65) + 6d0*coupl(nGC_1485)*coupl(nGC_72)*coupl(     &
                        nGC_74) - 6d0*coupl(nGC_17)*coupl(nGC_3)*coupl(nGC_70  &
                        ) + 6d0*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_70) -  &
                        6d0*coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_69) - 6d0*    &
                        coupl(nGC_5)*coupl(nGC_69)*coupl(nGC_793) - 6d0*coupl( &
                        nGC_607)*coupl(nGC_69)*coupl(nGC_975) - 6d0*coupl(     &
                        nGC_607)*coupl(nGC_867)*coupl(nGC_94) - 6d0*coupl(     &
                        nGC_69)*coupl(nGC_833)*coupl(nGC_97) - 6d0*coupl(nGC_70&
                        )*coupl(nGC_82)*coupl(nGC_96) + 6d0*coupl(nGC_74)*coupl&
                        (nGC_817)*coupl(nGC_96) - 6d0*coupl(nGC_74)*coupl(     &
                        nGC_82)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_14471) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*      &
                         dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_103_Hh) + coupl(    &
                         nGC_TS_GC_106_Hl)
      coupl(nGC_9110) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84&
                        ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(    &
                        nGC_142)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) + 10d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl( &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*    &
                        coupl(nGC_174)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) + 10d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(&
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*    &
                        coupl(nGC_181)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*  &
                        coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_131&
                        )*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl( &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*  &
                        coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_146&
                        )*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170&
                        )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc* &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)*coupl( &
                        nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*  &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc* &
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_87) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_63)*coupl(&
                        nGC_69)*coupl(nGC_833) + 9d0*cima*coupl(nGC_1103)*coupl&
                        (nGC_64)*coupl(nGC_69)*coupl(nGC_833) - 16d0*cima*coupl&
                        (nGC_154)*coupl(nGC_158)*coupl(nGC_4)*coupl(nGC_86) +  &
                        10d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_162)*coupl(nGC_166 &
                        )*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima&
                        *coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_4)*coupl(     &
                        nGC_86) + 10d0*cima*coupl(nGC_185)*coupl(nGC_189)*coupl&
                        (nGC_4)*coupl(nGC_90) - 3d0*coupl(nGC_1103)*coupl(     &
                        nGC_14)*coupl(nGC_69) - 3d0*coupl(nGC_1103)*coupl(     &
                        nGC_15)*coupl(nGC_69) - 3d0*coupl(nGC_1103)*coupl(     &
                        nGC_16)*coupl(nGC_63) - 3d0*coupl(nGC_1103)*coupl(     &
                        nGC_16)*coupl(nGC_64) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_66)*coupl(nGC_82) - 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_63)*coupl(nGC_69 &
                        )*coupl(nGC_83) - 3d0*coupl(nGC_63)*coupl(nGC_70)*coupl&
                        (nGC_833) - 3d0*coupl(nGC_64)*coupl(nGC_69)*coupl(     &
                        nGC_83) - 3d0*coupl(nGC_65)*coupl(nGC_69)*coupl(nGC_833&
                        ))/(96d0*pi**2d0)
      coupl(nGC_9119) = (-16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1191)*coupl(     &
                        nGC_193)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_131)*coupl(nGC_695)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_144)*coupl( &
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_146)*coupl&
                        (nGC_147)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_170)*coupl(nGC_171)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_2019)*coupl(&
                        nGC_80) + 4d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_193)*  &
                        coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*cima*coupl(nGC_131 &
                        )*coupl(nGC_2)*coupl(nGC_695)*coupl(nGC_80) - 16d0*Nc* &
                        cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_2)*coupl( &
                        nGC_80) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_147)*  &
                        coupl(nGC_2)*coupl(nGC_80) - 16d0*Nc*cima*coupl(nGC_170&
                        )*coupl(nGC_171)*coupl(nGC_2)*coupl(nGC_80) + 4d0*Nc*  &
                        cima*coupl(nGC_178)*coupl(nGC_2)*coupl(nGC_2019)*coupl(&
                        nGC_80) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_17)*coupl(&
                        nGC_3)*coupl(nGC_867) + 9d0*cima*coupl(nGC_1103)*coupl(&
                        nGC_82)*coupl(nGC_867)*coupl(nGC_96) + 4d0*cima*coupl( &
                        nGC_1243)*coupl(nGC_17)*coupl(nGC_94)*coupl(nGC_975) + &
                        9d0*cima*coupl(nGC_1243)*coupl(nGC_3)*coupl(nGC_817)*  &
                        coupl(nGC_833) + 9d0*cima*coupl(nGC_1331)*coupl(nGC_3)*&
                        coupl(nGC_3011)*coupl(nGC_833) + 4d0*cima*coupl(nGC_154&
                        )*coupl(nGC_155)*coupl(nGC_4)*coupl(nGC_80) + 4d0*cima*&
                        coupl(nGC_162)*coupl(nGC_163)*coupl(nGC_4)*coupl(nGC_80&
                        ) + 4d0*cima*coupl(nGC_17)*coupl(nGC_3011)*coupl(nGC_92&
                        )*coupl(nGC_975) + 4d0*cima*coupl(nGC_185)*coupl(      &
                        nGC_186)*coupl(nGC_4)*coupl(nGC_80) + 24d0*cima*coupl( &
                        nGC_19)*coupl(nGC_607) + 24d0*cima*coupl(nGC_5)*coupl( &
                        nGC_73) + 4d0*cima*coupl(nGC_63)**2d0*coupl(nGC_72)*   &
                        coupl(nGC_793) + 4d0*cima*coupl(nGC_69)**2d0*coupl(    &
                        nGC_72)*coupl(nGC_793) + 4d0*cima*coupl(nGC_72)**3d0*  &
                        coupl(nGC_793) + 36d0*coupl(nGC_1103)*coupl(nGC_3)*    &
                        coupl(nGC_73) - 6d0*coupl(nGC_1103)*coupl(nGC_62)*coupl&
                        (nGC_867) - 6d0*coupl(nGC_1103)*coupl(nGC_73)*coupl(   &
                        nGC_793) - 6d0*coupl(nGC_1243)*coupl(nGC_607)*coupl(   &
                        nGC_817) - 6d0*coupl(nGC_1331)*coupl(nGC_3011)*coupl(  &
                        nGC_607) - 6d0*coupl(nGC_1331)*coupl(nGC_66)*coupl(    &
                        nGC_833) - 6d0*coupl(nGC_17)*coupl(nGC_5)*coupl(nGC_867&
                        ) - 6d0*coupl(nGC_18)*coupl(nGC_3)*coupl(nGC_867) +    &
                        36d0*coupl(nGC_19)*coupl(nGC_3)*coupl(nGC_833) - 6d0*  &
                        coupl(nGC_3)*coupl(nGC_62)*coupl(nGC_867) - 6d0*coupl( &
                        nGC_607)*coupl(nGC_867)*coupl(nGC_96) + 6d0*coupl(     &
                        nGC_63)*coupl(nGC_66)*coupl(nGC_72) + 6d0*coupl(nGC_66 &
                        )*coupl(nGC_92)*coupl(nGC_975) + 6d0*coupl(nGC_69)*    &
                        coupl(nGC_70)*coupl(nGC_72) - 6d0*coupl(nGC_70)*coupl( &
                        nGC_817)*coupl(nGC_833) + 6d0*coupl(nGC_70)*coupl(     &
                        nGC_94)*coupl(nGC_975) + 6d0*coupl(nGC_72)**2d0*coupl( &
                        nGC_73) - 6d0*coupl(nGC_73)*coupl(nGC_833)*coupl(      &
                        nGC_975) - 6d0*coupl(nGC_82)*coupl(nGC_867)*coupl(     &
                        nGC_97))/(192d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl35
end module fill_ctcouplings35
