!******************************************************************************!
!                                                                              !
!    fill_ctcouplings36.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings36.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings36
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl36()
      coupl(nGC_8865) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_85) -  &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_135)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_130)*coupl(nGC_136)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_140)*coupl(nGC_141)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_151)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_151)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_152)*coupl(nGC_87) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_175)*coupl(nGC_84) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_175)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_176)*coupl(nGC_84) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_176)*coupl(nGC_87) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_182)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_183)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_183)*coupl(nGC_88) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_197)*coupl(nGC_85) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_197)*coupl(nGC_88) -   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_198)*coupl(nGC_85) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_198)*coupl(nGC_88) +   &
                        coupl(nGC_1331)*coupl(nGC_817)**2d0 - 4d0*coupl(nGC_153&
                        )*coupl(nGC_159)*coupl(nGC_86) + 4d0*coupl(nGC_153)*   &
                        coupl(nGC_159)*coupl(nGC_89) + 4d0*coupl(nGC_153)*coupl&
                        (nGC_160)*coupl(nGC_86) - 4d0*coupl(nGC_153)*coupl(    &
                        nGC_160)*coupl(nGC_89) - 4d0*coupl(nGC_161)*coupl(     &
                        nGC_167)*coupl(nGC_86) + 4d0*coupl(nGC_161)*coupl(     &
                        nGC_167)*coupl(nGC_89) + 4d0*coupl(nGC_161)*coupl(     &
                        nGC_168)*coupl(nGC_86) - 4d0*coupl(nGC_161)*coupl(     &
                        nGC_168)*coupl(nGC_89) - 4d0*coupl(nGC_184)*coupl(     &
                        nGC_190)*coupl(nGC_86) + 4d0*coupl(nGC_184)*coupl(     &
                        nGC_190)*coupl(nGC_89) + 4d0*coupl(nGC_184)*coupl(     &
                        nGC_191)*coupl(nGC_86) - 4d0*coupl(nGC_184)*coupl(     &
                        nGC_191)*coupl(nGC_89) + coupl(nGC_2391)*coupl(nGC_867 &
                        )*coupl(nGC_975) + coupl(nGC_3011)*coupl(nGC_867)*coupl&
                        (nGC_96) - 6d0*coupl(nGC_63)*coupl(nGC_72)*coupl(      &
                        nGC_833) - 6d0*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_82&
                        ) + coupl(nGC_665)**3d0 + 2d0*coupl(nGC_665)*coupl(    &
                        nGC_817)**2d0)/(96d0*pi**2d0)
      coupl(nGC_13256) = 3d0*coupl(nGC_44)*dZHMinus_QED2/2d0 + coupl(nGC_51)*  &
                         dZHMinusGMinus_QED2/2d0 + coupl(nGC_57)*              &
                         dZGMinusHMinus_QED2 + coupl(nGC_60)*                  &
                         dZGMinusHMinus_QED2/2d0 + coupl(nGC_9339)
      coupl(nGC_9234) = (20d0*Nc*cima*coupl(nGC_1191)**2d0*coupl(nGC_192)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_192)**2d0*   &
                        coupl(nGC_194) + 20d0*Nc*cima*coupl(nGC_130)**2d0*coupl&
                        (nGC_132)**2d0 + 80d0*Nc*cima*coupl(nGC_130)**2d0*coupl&
                        (nGC_132)*coupl(nGC_695) + 20d0*Nc*cima*coupl(nGC_130  &
                        )**2d0*coupl(nGC_695)**2d0 + 20d0*Nc*cima*coupl(nGC_141&
                        )**2d0*coupl(nGC_143)**2d0 + 80d0*Nc*cima*coupl(nGC_141&
                        )**2d0*coupl(nGC_143)*coupl(nGC_144) + 20d0*Nc*cima*   &
                        coupl(nGC_141)**2d0*coupl(nGC_144)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_145)**2d0*coupl(nGC_147)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_145)**2d0*coupl(nGC_147)*coupl(nGC_148) +    &
                        20d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_148)**2d0 + &
                        20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_171)**2d0 + &
                        80d0*Nc*cima*coupl(nGC_169)**2d0*coupl(nGC_171)*coupl( &
                        nGC_172) + 20d0*Nc*cima*coupl(nGC_169)**2d0*coupl(     &
                        nGC_172)**2d0 + 20d0*Nc*cima*coupl(nGC_177)**2d0*coupl(&
                        nGC_179)**2d0 + 80d0*Nc*cima*coupl(nGC_177)**2d0*coupl(&
                        nGC_179)*coupl(nGC_2019) + 20d0*Nc*cima*coupl(nGC_177  &
                        )**2d0*coupl(nGC_2019)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_192)**2d0*coupl(nGC_194)**2d0 + 6d0*cima*coupl(    &
                        nGC_101)*coupl(nGC_99) - 5d0*cima*coupl(nGC_1243)**2d0*&
                        coupl(nGC_72)**2d0 - 20d0*cima*coupl(nGC_1243)*coupl(  &
                        nGC_68)*coupl(nGC_72)*coupl(nGC_867) - 10d0*cima*coupl(&
                        nGC_1331)*coupl(nGC_665)*coupl(nGC_91)*coupl(nGC_92) - &
                        10d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_92)*&
                        coupl(nGC_94) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(   &
                        nGC_72)**2d0 - 20d0*cima*coupl(nGC_1485)*coupl(nGC_69)*&
                        coupl(nGC_72)*coupl(nGC_867) + 20d0*cima*coupl(nGC_153 &
                        )**2d0*coupl(nGC_155)**2d0 + 80d0*cima*coupl(nGC_153)**&
                        2d0*coupl(nGC_155)*coupl(nGC_156) + 20d0*cima*coupl(   &
                        nGC_153)**2d0*coupl(nGC_156)**2d0 + 20d0*cima*coupl(   &
                        nGC_161)**2d0*coupl(nGC_163)**2d0 + 80d0*cima*coupl(   &
                        nGC_161)**2d0*coupl(nGC_163)*coupl(nGC_164) + 20d0*cima&
                        *coupl(nGC_161)**2d0*coupl(nGC_164)**2d0 + 20d0*cima*  &
                        coupl(nGC_184)**2d0*coupl(nGC_186)**2d0 + 80d0*cima*   &
                        coupl(nGC_184)**2d0*coupl(nGC_186)*coupl(nGC_187) +    &
                        20d0*cima*coupl(nGC_184)**2d0*coupl(nGC_187)**2d0 -    &
                        10d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72)* &
                        coupl(nGC_867) - 10d0*cima*coupl(nGC_3011)*coupl(nGC_64&
                        )*coupl(nGC_72)*coupl(nGC_867) + 12d0*cima*coupl(nGC_61&
                        )*coupl(nGC_62) - 10d0*cima*coupl(nGC_665)*coupl(      &
                        nGC_817)*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_68)**2d0*coupl(nGC_867)**2d0 - 5d0*cima*coupl(     &
                        nGC_69)**2d0*coupl(nGC_867)**2d0 - 10d0*cima*coupl(    &
                        nGC_817)**2d0*coupl(nGC_94)**2d0 - 3d0*coupl(nGC_101)* &
                        coupl(nGC_665)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl&
                        (nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_11)*coupl(     &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_2391)*coupl(nGC_42) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_50)*coupl(nGC_68) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_62)*coupl(nGC_68) + 3d0*coupl(nGC_13)*coupl(       &
                        nGC_1331)*coupl(nGC_92) + 6d0*coupl(nGC_1331)*coupl(   &
                        nGC_26)*coupl(nGC_817) + 6d0*coupl(nGC_1331)*coupl(    &
                        nGC_37)*coupl(nGC_665) + 3d0*coupl(nGC_1331)*coupl(    &
                        nGC_9)*coupl(nGC_94) - 3d0*coupl(nGC_1331)*coupl(nGC_92&
                        )*coupl(nGC_99) + 3d0*coupl(nGC_1485)*coupl(nGC_3011)* &
                        coupl(nGC_42) + 3d0*coupl(nGC_1485)*coupl(nGC_50)*coupl&
                        (nGC_69) - 3d0*coupl(nGC_1485)*coupl(nGC_62)*coupl(    &
                        nGC_69) + 6d0*coupl(nGC_2391)*coupl(nGC_40)*coupl(     &
                        nGC_867) + 3d0*coupl(nGC_2391)*coupl(nGC_56)*coupl(    &
                        nGC_63) - 3d0*coupl(nGC_2391)*coupl(nGC_62)*coupl(     &
                        nGC_63) + 6d0*coupl(nGC_26)*coupl(nGC_92)*coupl(nGC_94 &
                        ) + 6d0*coupl(nGC_28)*coupl(nGC_665)*coupl(nGC_817) +  &
                        6d0*coupl(nGC_28)*coupl(nGC_91)*coupl(nGC_94) + 6d0*   &
                        coupl(nGC_30)*coupl(nGC_72)*coupl(nGC_867) + 6d0*coupl(&
                        nGC_3011)*coupl(nGC_41)*coupl(nGC_867) + 3d0*coupl(    &
                        nGC_3011)*coupl(nGC_56)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_62)*coupl(nGC_64) + 6d0*coupl(     &
                        nGC_31)*coupl(nGC_817)**2d0 + 6d0*coupl(nGC_31)*coupl( &
                        nGC_94)**2d0 + 6d0*coupl(nGC_37)*coupl(nGC_91)*coupl(  &
                        nGC_92) + 6d0*coupl(nGC_40)*coupl(nGC_64)*coupl(nGC_72 &
                        ) + 6d0*coupl(nGC_41)*coupl(nGC_63)*coupl(nGC_72) + 3d0&
                        *coupl(nGC_42)*coupl(nGC_63)*coupl(nGC_68) + 3d0*coupl(&
                        nGC_42)*coupl(nGC_64)*coupl(nGC_69) + 3d0*coupl(nGC_46 &
                        )*coupl(nGC_665)*coupl(nGC_94) + 3d0*coupl(nGC_46)*    &
                        coupl(nGC_817)*coupl(nGC_91) + 3d0*coupl(nGC_52)*coupl(&
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_59)*coupl(      &
                        nGC_665)*coupl(nGC_91) - 6d0*coupl(nGC_61)*coupl(nGC_72&
                        )*coupl(nGC_867) + 3d0*coupl(nGC_817)*coupl(nGC_9)*    &
                        coupl(nGC_92) - 3d0*coupl(nGC_817)*coupl(nGC_94)*coupl(&
                        nGC_99))/(96d0*pi**2d0)
      coupl(nGC_8862) = (8d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(nGC_143&
                        ) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_139)*coupl(    &
                        nGC_144) + 4d0*Nc*cMB*coupl(nGC_137)*coupl(nGC_140)*   &
                        coupl(nGC_143) + 8d0*Nc*cMB*coupl(nGC_137)*coupl(      &
                        nGC_140)*coupl(nGC_144) + 8d0*Nc*cMC*coupl(nGC_132)*   &
                        coupl(nGC_133)*coupl(nGC_135) + 4d0*Nc*cMC*coupl(      &
                        nGC_132)*coupl(nGC_133)*coupl(nGC_136) + 4d0*Nc*cMC*   &
                        coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_695) + 8d0*Nc* &
                        cMC*coupl(nGC_133)*coupl(nGC_136)*coupl(nGC_695) + 4d0*&
                        Nc*cMD*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_151) +  &
                        8d0*Nc*cMD*coupl(nGC_147)*coupl(nGC_149)*coupl(nGC_152 &
                        ) + 8d0*Nc*cMD*coupl(nGC_148)*coupl(nGC_149)*coupl(    &
                        nGC_151) + 4d0*Nc*cMD*coupl(nGC_148)*coupl(nGC_149)*   &
                        coupl(nGC_152) + 4d0*Nc*cMS*coupl(nGC_171)*coupl(      &
                        nGC_173)*coupl(nGC_175) + 8d0*Nc*cMS*coupl(nGC_171)*   &
                        coupl(nGC_173)*coupl(nGC_176) + 8d0*Nc*cMS*coupl(      &
                        nGC_172)*coupl(nGC_173)*coupl(nGC_175) + 4d0*Nc*cMS*   &
                        coupl(nGC_172)*coupl(nGC_173)*coupl(nGC_176) + 8d0*Nc* &
                        cMT*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_182) + 4d0*&
                        Nc*cMT*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_183) +  &
                        4d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_2019&
                        ) + 8d0*Nc*cMT*coupl(nGC_180)*coupl(nGC_183)*coupl(    &
                        nGC_2019) + 4d0*Nc*cMU*coupl(nGC_1191)*coupl(nGC_195)* &
                        coupl(nGC_197) + 8d0*Nc*cMU*coupl(nGC_1191)*coupl(     &
                        nGC_195)*coupl(nGC_198) + 8d0*Nc*cMU*coupl(nGC_194)*   &
                        coupl(nGC_195)*coupl(nGC_197) + 4d0*Nc*cMU*coupl(      &
                        nGC_194)*coupl(nGC_195)*coupl(nGC_198) + 4d0*cME*coupl(&
                        nGC_155)*coupl(nGC_157)*coupl(nGC_159) + 8d0*cME*coupl(&
                        nGC_155)*coupl(nGC_157)*coupl(nGC_160) + 8d0*cME*coupl(&
                        nGC_156)*coupl(nGC_157)*coupl(nGC_159) + 4d0*cME*coupl(&
                        nGC_156)*coupl(nGC_157)*coupl(nGC_160) + 4d0*cMM*coupl(&
                        nGC_163)*coupl(nGC_165)*coupl(nGC_167) + 8d0*cMM*coupl(&
                        nGC_163)*coupl(nGC_165)*coupl(nGC_168) + 8d0*cMM*coupl(&
                        nGC_164)*coupl(nGC_165)*coupl(nGC_167) + 4d0*cMM*coupl(&
                        nGC_164)*coupl(nGC_165)*coupl(nGC_168) + 4d0*cMTA*coupl&
                        (nGC_186)*coupl(nGC_188)*coupl(nGC_190) + 8d0*cMTA*    &
                        coupl(nGC_186)*coupl(nGC_188)*coupl(nGC_191) + 8d0*cMTA&
                        *coupl(nGC_187)*coupl(nGC_188)*coupl(nGC_190) + 4d0*   &
                        cMTA*coupl(nGC_187)*coupl(nGC_188)*coupl(nGC_191) +    &
                        coupl(nGC_103)*coupl(nGC_665)*coupl(nGC_92) + coupl(   &
                        nGC_103)*coupl(nGC_817)*coupl(nGC_94) + coupl(nGC_105)*&
                        coupl(nGC_817)*coupl(nGC_92) + coupl(nGC_106)*coupl(   &
                        nGC_665)*coupl(nGC_94) + coupl(nGC_109)*coupl(nGC_817  &
                        )**2d0 + 2d0*coupl(nGC_111)*coupl(nGC_72)*coupl(nGC_867&
                        ) + coupl(nGC_112)*coupl(nGC_1331)**2d0 + coupl(nGC_112&
                        )*coupl(nGC_94)**2d0 + coupl(nGC_113)*coupl(nGC_91)*   &
                        coupl(nGC_92) + coupl(nGC_114)*coupl(nGC_1485)*coupl(  &
                        nGC_867) + coupl(nGC_115)*coupl(nGC_1243)*coupl(nGC_867&
                        ) + coupl(nGC_117)*coupl(nGC_1331)*coupl(nGC_817) +    &
                        coupl(nGC_120)*coupl(nGC_1331)*coupl(nGC_817) + coupl( &
                        nGC_120)*coupl(nGC_91)*coupl(nGC_94) + coupl(nGC_121)* &
                        coupl(nGC_92)*coupl(nGC_94) + coupl(nGC_122)*coupl(    &
                        nGC_3011)*coupl(nGC_72) + coupl(nGC_123)*coupl(nGC_2391&
                        )*coupl(nGC_72) - coupl(nGC_129)*coupl(nGC_1331)*coupl(&
                        nGC_94) - coupl(nGC_129)*coupl(nGC_817)*coupl(nGC_91   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_13527) = coupl(nGC_197)*dZuL_QED2/2d0 + coupl(nGC_197)*        &
                         dZuR_QED2/2d0 + coupl(nGC_9493)
      coupl(nGC_8774) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_134)**2d0 + 4d0*Nc*coupl&
                        (nGC_1)*coupl(nGC_138)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl&
                        (nGC_150)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_174)**  &
                        2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_181)**2d0 + 4d0*Nc*&
                        coupl(nGC_1)*coupl(nGC_196)**2d0 - 4d0*Nc*coupl(nGC_134&
                        )**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_138)**2d0*coupl(&
                        nGC_2) - 4d0*Nc*coupl(nGC_150)**2d0*coupl(nGC_2) - 4d0*&
                        Nc*coupl(nGC_174)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(    &
                        nGC_181)**2d0*coupl(nGC_2) - 4d0*Nc*coupl(nGC_196)**2d0&
                        *coupl(nGC_2) - 6d0*coupl(nGC_1243)*coupl(nGC_3)*coupl(&
                        nGC_68) + 4d0*coupl(nGC_158)**2d0*coupl(nGC_4) + 4d0*  &
                        coupl(nGC_166)**2d0*coupl(nGC_4) + coupl(nGC_17)*coupl(&
                        nGC_793)**2d0 + coupl(nGC_17)*coupl(nGC_975)**2d0 + 4d0&
                        *coupl(nGC_189)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_2391 &
                        )*coupl(nGC_3)*coupl(nGC_63) - 6d0*coupl(nGC_3)*coupl( &
                        nGC_72)*coupl(nGC_867))/(96d0*pi**2d0)
      coupl(nGC_12789) = -coupl(nGC_12783) - coupl(nGC_9518)
      coupl(nGC_12788) = coupl(nGC_12785) + coupl(nGC_12786)
      coupl(nGC_12787) = coupl(nGC_12776) - coupl(nGC_12782) - coupl(nGC_12786)
      coupl(nGC_16071) = -coupl(nGC_16070)
      coupl(nGC_22407) = coupl(nGC_103)*dZHh_QED2 + coupl(nGC_103)*dZHl_QED2/  &
                         2d0 + coupl(nGC_105)*dZHhHl_QED2/2d0 + coupl(nGC_106)*&
                         dZHlHh_QED2 + coupl(nGC_9352) + coupl(nGC_TS_GC_10_Hh &
                         ) + coupl(nGC_TS_GC_13_Hl)
      coupl(nGC_14668) = coupl(nGC_135)*dZcL_QED2/2d0 + coupl(nGC_135)*        &
                         dZcR_QED2/2d0 + coupl(nGC_9497)
      coupl(nGC_30566) = -coupl(nGC_8919)
      coupl(nGC_8998) = (-8d0*Nc*cMB*coupl(nGC_141)*coupl(nGC_84)**2d0 + 8d0*Nc&
                        *cMB*coupl(nGC_141)*coupl(nGC_84)*coupl(nGC_87) - 8d0* &
                        Nc*cMB*coupl(nGC_141)*coupl(nGC_87)**2d0 - 8d0*Nc*cMC* &
                        coupl(nGC_130)*coupl(nGC_85)**2d0 + 8d0*Nc*cMC*coupl(  &
                        nGC_130)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMC*coupl&
                        (nGC_130)*coupl(nGC_88)**2d0 - 8d0*Nc*cMD*coupl(nGC_145&
                        )*coupl(nGC_84)**2d0 + 8d0*Nc*cMD*coupl(nGC_145)*coupl(&
                        nGC_84)*coupl(nGC_87) - 8d0*Nc*cMD*coupl(nGC_145)*coupl&
                        (nGC_87)**2d0 - 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_84 &
                        )**2d0 + 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_84)*coupl(&
                        nGC_87) - 8d0*Nc*cMS*coupl(nGC_169)*coupl(nGC_87)**2d0 &
                         - 8d0*Nc*cMT*coupl(nGC_177)*coupl(nGC_85)**2d0 + 8d0* &
                        Nc*cMT*coupl(nGC_177)*coupl(nGC_85)*coupl(nGC_88) - 8d0&
                        *Nc*cMT*coupl(nGC_177)*coupl(nGC_88)**2d0 - 8d0*Nc*cMU*&
                        coupl(nGC_192)*coupl(nGC_85)**2d0 + 8d0*Nc*cMU*coupl(  &
                        nGC_192)*coupl(nGC_85)*coupl(nGC_88) - 8d0*Nc*cMU*coupl&
                        (nGC_192)*coupl(nGC_88)**2d0 - 8d0*cME*coupl(nGC_153)* &
                        coupl(nGC_86)**2d0 + 8d0*cME*coupl(nGC_153)*coupl(     &
                        nGC_86)*coupl(nGC_89) - 8d0*cME*coupl(nGC_153)*coupl(  &
                        nGC_89)**2d0 - 8d0*cMM*coupl(nGC_161)*coupl(nGC_86)**  &
                        2d0 + 8d0*cMM*coupl(nGC_161)*coupl(nGC_86)*coupl(nGC_89&
                        ) - 8d0*cMM*coupl(nGC_161)*coupl(nGC_89)**2d0 - 8d0*   &
                        cMTA*coupl(nGC_184)*coupl(nGC_86)**2d0 + 8d0*cMTA*coupl&
                        (nGC_184)*coupl(nGC_86)*coupl(nGC_89) - 8d0*cMTA*coupl(&
                        nGC_184)*coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_1047)*&
                        coupl(nGC_124) - coupl(nGC_102)*coupl(nGC_1243)*coupl( &
                        nGC_833) - coupl(nGC_102)*coupl(nGC_1485)*coupl(nGC_82 &
                        ) - coupl(nGC_102)*coupl(nGC_68)*coupl(nGC_833) - coupl&
                        (nGC_102)*coupl(nGC_69)*coupl(nGC_82) - coupl(nGC_107)*&
                        coupl(nGC_2391)*coupl(nGC_833) - coupl(nGC_107)*coupl( &
                        nGC_3011)*coupl(nGC_82) - coupl(nGC_107)*coupl(nGC_63)*&
                        coupl(nGC_833) - coupl(nGC_107)*coupl(nGC_64)*coupl(   &
                        nGC_82) + 6d0*coupl(nGC_124)*coupl(nGC_82)**2d0 + 6d0* &
                        coupl(nGC_124)*coupl(nGC_833)**2d0)/(32d0*pi**2d0)
      coupl(nGC_8999) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_141) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_141) - coupl(nGC_138)*coupl(nGC_177)* &
                        coupl(nGC_181) - coupl(nGC_138)*coupl(nGC_2391)*coupl( &
                        nGC_80) - coupl(nGC_140)**2d0*coupl(nGC_141) - coupl(  &
                        nGC_140)*coupl(nGC_665)*coupl(nGC_87) - coupl(nGC_140)*&
                        coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_141)**3d0 -    &
                        coupl(nGC_141)*coupl(nGC_143)**2d0 + 8d0*coupl(nGC_141 &
                        )*coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_142)*coupl(  &
                        nGC_177)*coupl(nGC_178) - coupl(nGC_142)*coupl(nGC_68)*&
                        coupl(nGC_80) - coupl(nGC_143)*coupl(nGC_817)*coupl(   &
                        nGC_87) - coupl(nGC_143)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_13327) = coupl(nGC_179)*dZHa_QED2/2d0 + coupl(nGC_9520)
      coupl(nGC_8992) = (coupl(nGC_1331)*coupl(nGC_187)*coupl(nGC_86) - coupl( &
                        nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)*coupl(   &
                        nGC_2391)*coupl(nGC_80) - coupl(nGC_187)**2d0*coupl(   &
                        nGC_188) + coupl(nGC_187)*coupl(nGC_89)*coupl(nGC_92   &
                        ) - coupl(nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_191 &
                        )**2d0 + 8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(    &
                        nGC_189)*coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_191)* &
                        coupl(nGC_817)*coupl(nGC_86) + coupl(nGC_191)*coupl(   &
                        nGC_89)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_8994) = (-coupl(nGC_1331)*coupl(nGC_194)*coupl(nGC_85) - coupl(&
                        nGC_146)*coupl(nGC_149)*coupl(nGC_193) - coupl(nGC_149 &
                        )*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192)**2d0* &
                        coupl(nGC_195) - coupl(nGC_193)*coupl(nGC_2391)*coupl( &
                        nGC_80) - coupl(nGC_194)**2d0*coupl(nGC_195) - coupl(  &
                        nGC_194)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_195)**&
                        3d0 - coupl(nGC_195)*coupl(nGC_198)**2d0 + 8d0*coupl(  &
                        nGC_195)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_195)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_196)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_817)*coupl(   &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_8996) = 3d0*(8d0*Nc*cMB*coupl(nGC_141)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_130)**3d0 + 8d0*Nc*cMD*coupl(nGC_145)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_169)**3d0 + 8d0*Nc*cMT*coupl(nGC_177)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_192)**3d0 + 8d0*cME*coupl(  &
                        nGC_153)**3d0 + 8d0*cMM*coupl(nGC_161)**3d0 + 8d0*cMTA*&
                        coupl(nGC_184)**3d0 + 4d0*cima*coupl(nGC_124)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_128)*coupl(nGC_99) + coupl&
                        (nGC_108)*coupl(nGC_2391)*coupl(nGC_63) + coupl(nGC_108&
                        )*coupl(nGC_3011)*coupl(nGC_64) + coupl(nGC_109)*coupl(&
                        nGC_665)*coupl(nGC_91) + coupl(nGC_110)*coupl(nGC_1243 &
                        )*coupl(nGC_68) + coupl(nGC_110)*coupl(nGC_1485)*coupl(&
                        nGC_69) + coupl(nGC_113)*coupl(nGC_817)*coupl(nGC_94   &
                        ) + coupl(nGC_119)*coupl(nGC_1243)*coupl(nGC_2391) +   &
                        coupl(nGC_119)*coupl(nGC_1485)*coupl(nGC_3011) + coupl(&
                        nGC_119)*coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_119)* &
                        coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_120)*coupl(    &
                        nGC_665)*coupl(nGC_94) + coupl(nGC_120)*coupl(nGC_817)*&
                        coupl(nGC_91) - coupl(nGC_124)*coupl(nGC_1243)*coupl(  &
                        nGC_68) - coupl(nGC_124)*coupl(nGC_1485)*coupl(nGC_69  &
                        ) - coupl(nGC_124)*coupl(nGC_2391)*coupl(nGC_63) -     &
                        coupl(nGC_124)*coupl(nGC_3011)*coupl(nGC_64) - coupl(  &
                        nGC_128)*coupl(nGC_665)*coupl(nGC_91) - coupl(nGC_128)*&
                        coupl(nGC_817)*coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_9026) = coupl(nGC_80)*(coupl(nGC_1)*coupl(nGC_1103) + coupl(   &
                        nGC_1)*coupl(nGC_2) + coupl(nGC_2)*coupl(nGC_3) + coupl&
                        (nGC_82)*coupl(nGC_88) + coupl(nGC_833)*coupl(nGC_87   &
                        ) + coupl(nGC_87)*coupl(nGC_88))/(8d0*pi**2d0)
      coupl(nGC_8903) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_142)*coupl(nGC_793) - coupl(nGC_1243)*&
                        coupl(nGC_141)*coupl(nGC_80) - coupl(nGC_137)*coupl(   &
                        nGC_178)*coupl(nGC_180) - coupl(nGC_137)*coupl(nGC_3011&
                        )*coupl(nGC_80) - coupl(nGC_140)*coupl(nGC_178)*coupl( &
                        nGC_182) - coupl(nGC_141)*coupl(nGC_177)*coupl(nGC_178 &
                        ) - coupl(nGC_142)*coupl(nGC_17)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_142)*coupl(nGC_84)*coupl(nGC_88) - coupl(    &
                        nGC_142)*coupl(nGC_84)*coupl(nGC_975) - coupl(nGC_142)*&
                        coupl(nGC_88)*coupl(nGC_96) - coupl(nGC_143)*coupl(    &
                        nGC_178)*coupl(nGC_2019) - coupl(nGC_143)*coupl(nGC_80 &
                        )*coupl(nGC_867))/(32d0*pi**2d0)
      coupl(nGC_8902) = (2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_84  &
                        ) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 2d0*Nc*cMB*coupl(nGC_142)*coupl(nGC_80)*coupl&
                        (nGC_88) + 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80)*    &
                        coupl(nGC_85) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(nGC_80 &
                        )*coupl(nGC_87) - 2d0*Nc*cMC*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_88) + 2d0*Nc*cMD*coupl(nGC_146)*coupl&
                        (nGC_80)*coupl(nGC_84) - 2d0*Nc*cMD*coupl(nGC_146)*    &
                        coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMD*coupl(nGC_146 &
                        )*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_84) - 2d0*Nc*cMS*coupl&
                        (nGC_170)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc*cMS*    &
                        coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 2d0*Nc*cMT&
                        *coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_85) - 2d0*Nc*  &
                        cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_87) - 2d0*Nc&
                        *cMT*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) + 2d0* &
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_85) - 2d0&
                        *Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_87) -   &
                        2d0*Nc*cMU*coupl(nGC_193)*coupl(nGC_80)*coupl(nGC_88   &
                        ) + 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cME*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_86  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_89  &
                        ) - 2d0*cMM*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90  &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_86 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_89 &
                        ) - 2d0*cMTA*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90 &
                        ) + 4d0*cima*coupl(nGC_102)*coupl(nGC_79) + 4d0*cima*  &
                        coupl(nGC_126)*coupl(nGC_607) - coupl(nGC_102)*coupl(  &
                        nGC_1103)*coupl(nGC_793) + 6d0*coupl(nGC_102)*coupl(   &
                        nGC_82)*coupl(nGC_833) - coupl(nGC_102)*coupl(nGC_833)*&
                        coupl(nGC_975) + 6d0*coupl(nGC_1103)*coupl(nGC_126)*   &
                        coupl(nGC_82) - coupl(nGC_124)*coupl(nGC_1243)*coupl(  &
                        nGC_82) - coupl(nGC_125)*coupl(nGC_3011)*coupl(nGC_82  &
                        ) - coupl(nGC_128)*coupl(nGC_69)*coupl(nGC_82) - coupl(&
                        nGC_129)*coupl(nGC_63)*coupl(nGC_82))/(32d0*pi**2d0)
      coupl(nGC_8901) = (4d0*Nc*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80) -  &
                        4d0*Nc*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80) -   &
                        4d0*Nc*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80) +   &
                        4d0*Nc*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80) -   &
                        6d0*coupl(nGC_1243)*coupl(nGC_17)*coupl(nGC_3) - 6d0*  &
                        coupl(nGC_1243)*coupl(nGC_82)*coupl(nGC_96) + coupl(   &
                        nGC_1485)*coupl(nGC_2391)*coupl(nGC_63) - 4d0*coupl(   &
                        nGC_153)*coupl(nGC_154)*coupl(nGC_80) - 4d0*coupl(     &
                        nGC_161)*coupl(nGC_162)*coupl(nGC_80) - 4d0*coupl(     &
                        nGC_184)*coupl(nGC_185)*coupl(nGC_80) + coupl(nGC_2391 &
                        )*coupl(nGC_3011)*coupl(nGC_69) + coupl(nGC_63)**2d0*  &
                        coupl(nGC_68) + coupl(nGC_68)*coupl(nGC_69)**2d0 +     &
                        coupl(nGC_68)*coupl(nGC_72)**2d0 + coupl(nGC_817)*coupl&
                        (nGC_867)*coupl(nGC_975) - 6d0*coupl(nGC_833)*coupl(   &
                        nGC_867)*coupl(nGC_94))/(96d0*pi**2d0)
      coupl(nGC_8907) = (coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_17) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_131)*coupl(nGC_2) + coupl(nGC_1243)*  &
                        coupl(nGC_130)*coupl(nGC_80) - coupl(nGC_130)*coupl(   &
                        nGC_169)*coupl(nGC_170) + coupl(nGC_131)*coupl(nGC_2)* &
                        coupl(nGC_793) + 8d0*coupl(nGC_131)*coupl(nGC_85)*coupl&
                        (nGC_87) + coupl(nGC_131)*coupl(nGC_85)*coupl(nGC_975  &
                        ) + coupl(nGC_131)*coupl(nGC_87)*coupl(nGC_96) - coupl(&
                        nGC_132)*coupl(nGC_170)*coupl(nGC_171) + coupl(nGC_132 &
                        )*coupl(nGC_80)*coupl(nGC_867) - coupl(nGC_133)*coupl( &
                        nGC_170)*coupl(nGC_173) + coupl(nGC_133)*coupl(nGC_3011&
                        )*coupl(nGC_80) - coupl(nGC_136)*coupl(nGC_170)*coupl( &
                        nGC_175))/(32d0*pi**2d0)
      coupl(nGC_8905) = (8d0*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_178)*coupl(nGC_793) - coupl(nGC_137)* &
                        coupl(nGC_142)*coupl(nGC_180) - coupl(nGC_139)*coupl(  &
                        nGC_142)*coupl(nGC_183) - coupl(nGC_141)*coupl(nGC_142 &
                        )*coupl(nGC_177) - coupl(nGC_142)*coupl(nGC_144)*coupl(&
                        nGC_179) - coupl(nGC_17)*coupl(nGC_178)*coupl(nGC_2) - &
                        coupl(nGC_177)*coupl(nGC_69)*coupl(nGC_80) + 8d0*coupl(&
                        nGC_178)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_178)* &
                        coupl(nGC_85)*coupl(nGC_96) - coupl(nGC_178)*coupl(    &
                        nGC_87)*coupl(nGC_975) - coupl(nGC_179)*coupl(nGC_72)* &
                        coupl(nGC_80) - coupl(nGC_180)*coupl(nGC_63)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_8909) = (coupl(nGC_1)*coupl(nGC_17)*coupl(nGC_170) + 8d0*coupl(&
                        nGC_1)*coupl(nGC_170)*coupl(nGC_2) - coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_169) - coupl(nGC_131)*coupl(  &
                        nGC_133)*coupl(nGC_173) - coupl(nGC_131)*coupl(nGC_135 &
                        )*coupl(nGC_176) - coupl(nGC_131)*coupl(nGC_172)*coupl(&
                        nGC_695) + coupl(nGC_169)*coupl(nGC_69)*coupl(nGC_80   &
                        ) + coupl(nGC_170)*coupl(nGC_2)*coupl(nGC_793) + 8d0*  &
                        coupl(nGC_170)*coupl(nGC_84)*coupl(nGC_88) + coupl(    &
                        nGC_170)*coupl(nGC_84)*coupl(nGC_96) + coupl(nGC_170)* &
                        coupl(nGC_88)*coupl(nGC_975) + coupl(nGC_172)*coupl(   &
                        nGC_72)*coupl(nGC_80) + coupl(nGC_173)*coupl(nGC_63)*  &
                        coupl(nGC_80))/(32d0*pi**2d0)
      coupl(nGC_15757) = coupl(nGC_12891) + coupl(nGC_15755)
      coupl(nGC_15756) = coupl(nGC_12891) + coupl(nGC_15754)
      coupl(nGC_17388) = -coupl(nGC_17384)
      coupl(nGC_17389) = 2d0*coupl(nGC_17384)
      coupl(nGC_14584) = -coupl(nGC_14583)
      coupl(nGC_9237) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_195)**3d0 +    &
                        20d0*Nc*cima*coupl(nGC_132)*coupl(nGC_133)**3d0 + 20d0*&
                        Nc*cima*coupl(nGC_133)**3d0*coupl(nGC_695) + 20d0*Nc*  &
                        cima*coupl(nGC_137)**3d0*coupl(nGC_143) + 20d0*Nc*cima*&
                        coupl(nGC_137)**3d0*coupl(nGC_144) + 20d0*Nc*cima*coupl&
                        (nGC_147)*coupl(nGC_149)**3d0 + 20d0*Nc*cima*coupl(    &
                        nGC_148)*coupl(nGC_149)**3d0 + 20d0*Nc*cima*coupl(     &
                        nGC_171)*coupl(nGC_173)**3d0 + 20d0*Nc*cima*coupl(     &
                        nGC_172)*coupl(nGC_173)**3d0 + 20d0*Nc*cima*coupl(     &
                        nGC_179)*coupl(nGC_180)**3d0 + 20d0*Nc*cima*coupl(     &
                        nGC_180)**3d0*coupl(nGC_2019) + 20d0*Nc*cima*coupl(    &
                        nGC_194)*coupl(nGC_195)**3d0 - 5d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_3011)*coupl(nGC_68)*coupl(nGC_72) - 5d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_68)*coupl(&
                        nGC_867) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_2391)*   &
                        coupl(nGC_69)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1485)*&
                        coupl(nGC_63)*coupl(nGC_69)*coupl(nGC_867) + 20d0*cima*&
                        coupl(nGC_155)*coupl(nGC_157)**3d0 + 20d0*cima*coupl(  &
                        nGC_156)*coupl(nGC_157)**3d0 + 20d0*cima*coupl(nGC_163 &
                        )*coupl(nGC_165)**3d0 + 20d0*cima*coupl(nGC_164)*coupl(&
                        nGC_165)**3d0 + 20d0*cima*coupl(nGC_186)*coupl(nGC_188 &
                        )**3d0 + 20d0*cima*coupl(nGC_187)*coupl(nGC_188)**3d0  &
                         - 5d0*cima*coupl(nGC_2391)**2d0*coupl(nGC_63)*coupl(  &
                        nGC_72) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_63)**2d0* &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_3011)**2d0*coupl(  &
                        nGC_64)*coupl(nGC_72) - 5d0*cima*coupl(nGC_3011)*coupl(&
                        nGC_64)**2d0*coupl(nGC_867) + coupl(nGC_1243)*coupl(   &
                        nGC_27)*coupl(nGC_867) + 3d0*coupl(nGC_1243)*coupl(    &
                        nGC_3011)*coupl(nGC_48) + 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_2391)*coupl(nGC_49) + coupl(nGC_1485)*coupl(nGC_27 &
                        )*coupl(nGC_867) + 2d0*coupl(nGC_2391)*coupl(nGC_34)*  &
                        coupl(nGC_72) - coupl(nGC_2391)*coupl(nGC_61)*coupl(   &
                        nGC_72) + 2d0*coupl(nGC_27)*coupl(nGC_68)*coupl(nGC_72 &
                        ) + 2d0*coupl(nGC_27)*coupl(nGC_69)*coupl(nGC_72) + 2d0&
                        *coupl(nGC_3011)*coupl(nGC_34)*coupl(nGC_72) - coupl(  &
                        nGC_3011)*coupl(nGC_61)*coupl(nGC_72) + coupl(nGC_34)* &
                        coupl(nGC_63)*coupl(nGC_867) + coupl(nGC_34)*coupl(    &
                        nGC_64)*coupl(nGC_867) + 3d0*coupl(nGC_48)*coupl(nGC_63&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_49)*coupl(nGC_64)*coupl&
                        (nGC_68) - 2d0*coupl(nGC_61)*coupl(nGC_63)*coupl(      &
                        nGC_867) - 2d0*coupl(nGC_61)*coupl(nGC_64)*coupl(      &
                        nGC_867))/(32d0*pi**2d0)
      coupl(nGC_17777) = coupl(nGC_TS_GC_109_Hl) + coupl(nGC_TS_GC_117_Hh)
      coupl(nGC_9235) = (-32d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_194)*coupl(   &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_132)*coupl(      &
                        nGC_695)*coupl(nGC_80)**2d0 - 32d0*Nc*cima*coupl(      &
                        nGC_143)*coupl(nGC_144)*coupl(nGC_80)**2d0 - 32d0*Nc*  &
                        cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_80)**2d0  &
                         - 32d0*Nc*cima*coupl(nGC_171)*coupl(nGC_172)*coupl(   &
                        nGC_80)**2d0 - 32d0*Nc*cima*coupl(nGC_179)*coupl(      &
                        nGC_2019)*coupl(nGC_80)**2d0 + 12d0*cima*coupl(nGC_101 &
                        )*coupl(nGC_1047) + 9d0*cima*coupl(nGC_1103)**2d0*coupl&
                        (nGC_72)*coupl(nGC_867) + 4d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_1331)*coupl(nGC_63)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_1243)*coupl(nGC_1331)*coupl(nGC_64)*coupl(   &
                        nGC_94) + 4d0*cima*coupl(nGC_1243)*coupl(nGC_1331)*    &
                        coupl(nGC_68)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1243)*&
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) + 4d0*cima* &
                        coupl(nGC_1243)*coupl(nGC_68)*coupl(nGC_817)*coupl(    &
                        nGC_94) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_1485)*    &
                        coupl(nGC_63)*coupl(nGC_94) + 4d0*cima*coupl(nGC_1331)*&
                        coupl(nGC_1485)*coupl(nGC_64)*coupl(nGC_94) + 4d0*cima*&
                        coupl(nGC_1331)*coupl(nGC_1485)*coupl(nGC_69)*coupl(   &
                        nGC_92) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_2391)*    &
                        coupl(nGC_63)*coupl(nGC_92) + 4d0*cima*coupl(nGC_1331)*&
                        coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_92) + 9d0*cima*&
                        coupl(nGC_1331)*coupl(nGC_82)**2d0*coupl(nGC_92) + 9d0*&
                        cima*coupl(nGC_1331)*coupl(nGC_833)**2d0*coupl(nGC_92  &
                        ) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl(nGC_72&
                        )*coupl(nGC_867) + 4d0*cima*coupl(nGC_1485)*coupl(     &
                        nGC_69)*coupl(nGC_817)*coupl(nGC_94) - 32d0*cima*coupl(&
                        nGC_155)*coupl(nGC_156)*coupl(nGC_80)**2d0 - 32d0*cima*&
                        coupl(nGC_163)*coupl(nGC_164)*coupl(nGC_80)**2d0 - 32d0&
                        *cima*coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_80)**2d0 &
                         + 4d0*cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72 &
                        )*coupl(nGC_867) + 4d0*cima*coupl(nGC_2391)*coupl(     &
                        nGC_63)*coupl(nGC_817)*coupl(nGC_94) + 4d0*cima*coupl( &
                        nGC_2391)*coupl(nGC_68)*coupl(nGC_817)*coupl(nGC_92) + &
                        4d0*cima*coupl(nGC_2391)*coupl(nGC_69)*coupl(nGC_817)* &
                        coupl(nGC_92) + 9d0*cima*coupl(nGC_3)**2d0*coupl(nGC_72&
                        )*coupl(nGC_867) + 4d0*cima*coupl(nGC_3011)*coupl(     &
                        nGC_64)*coupl(nGC_72)*coupl(nGC_867) + 4d0*cima*coupl( &
                        nGC_3011)*coupl(nGC_64)*coupl(nGC_817)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_3011)*coupl(nGC_68)*coupl(nGC_817)* &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_69)*&
                        coupl(nGC_817)*coupl(nGC_92) + 24d0*cima*coupl(nGC_62)*&
                        coupl(nGC_78) + 8d0*cima*coupl(nGC_72)**2d0*coupl(     &
                        nGC_867)**2d0 + 9d0*cima*coupl(nGC_72)*coupl(nGC_82)** &
                        2d0*coupl(nGC_867) + 9d0*cima*coupl(nGC_72)*coupl(     &
                        nGC_833)**2d0*coupl(nGC_867) + 9d0*cima*coupl(nGC_817)*&
                        coupl(nGC_82)**2d0*coupl(nGC_94) + 9d0*cima*coupl(     &
                        nGC_817)*coupl(nGC_833)**2d0*coupl(nGC_94) + 36d0*coupl&
                        (nGC_101)*coupl(nGC_82)**2d0 - 6d0*coupl(nGC_1047)*    &
                        coupl(nGC_1331)*coupl(nGC_92) - 6d0*coupl(nGC_1047)*   &
                        coupl(nGC_817)*coupl(nGC_94) + 36d0*coupl(nGC_1103)**  &
                        2d0*coupl(nGC_62) - 6d0*coupl(nGC_1103)*coupl(nGC_72)* &
                        coupl(nGC_74) - 6d0*coupl(nGC_1103)*coupl(nGC_73)*coupl&
                        (nGC_867) + 6d0*coupl(nGC_1331)*coupl(nGC_61)*coupl(   &
                        nGC_92) - 6d0*coupl(nGC_19)*coupl(nGC_72)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_19)*coupl(nGC_833)*coupl(nGC_867) -  &
                        6d0*coupl(nGC_20)*coupl(nGC_72)*coupl(nGC_833) - 6d0*  &
                        coupl(nGC_20)*coupl(nGC_82)*coupl(nGC_867) - 6d0*coupl(&
                        nGC_3)*coupl(nGC_72)*coupl(nGC_73) - 6d0*coupl(nGC_3)* &
                        coupl(nGC_74)*coupl(nGC_867) + 6d0*coupl(nGC_61)*coupl(&
                        nGC_817)*coupl(nGC_94) + 12d0*coupl(nGC_62)*coupl(     &
                        nGC_72)*coupl(nGC_867) + 36d0*coupl(nGC_62)*coupl(     &
                        nGC_833)**2d0 - 12d0*coupl(nGC_72)*coupl(nGC_78)*coupl(&
                        nGC_867))/(192d0*pi**2d0)
      coupl(nGC_9232) = (20d0*Nc*cima*coupl(nGC_1191)**2d0*coupl(nGC_195)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_194)*coupl(  &
                        nGC_195)**2d0 + 20d0*Nc*cima*coupl(nGC_132)**2d0*coupl(&
                        nGC_133)**2d0 + 80d0*Nc*cima*coupl(nGC_132)*coupl(     &
                        nGC_133)**2d0*coupl(nGC_695) + 20d0*Nc*cima*coupl(     &
                        nGC_133)**2d0*coupl(nGC_695)**2d0 + 20d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_143)**2d0 + 80d0*Nc*cima*coupl(&
                        nGC_137)**2d0*coupl(nGC_143)*coupl(nGC_144) + 20d0*Nc* &
                        cima*coupl(nGC_137)**2d0*coupl(nGC_144)**2d0 + 20d0*Nc*&
                        cima*coupl(nGC_147)**2d0*coupl(nGC_149)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_149)**2d0 &
                         + 20d0*Nc*cima*coupl(nGC_148)**2d0*coupl(nGC_149)**2d0&
                         + 20d0*Nc*cima*coupl(nGC_171)**2d0*coupl(nGC_173)**2d0&
                         + 80d0*Nc*cima*coupl(nGC_171)*coupl(nGC_172)*coupl(   &
                        nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_172)**2d0*coupl(&
                        nGC_173)**2d0 + 20d0*Nc*cima*coupl(nGC_179)**2d0*coupl(&
                        nGC_180)**2d0 + 80d0*Nc*cima*coupl(nGC_179)*coupl(     &
                        nGC_180)**2d0*coupl(nGC_2019) + 20d0*Nc*cima*coupl(    &
                        nGC_180)**2d0*coupl(nGC_2019)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_194)**2d0*coupl(nGC_195)**2d0 + 6d0*cima*coupl(   &
                        nGC_101)*coupl(nGC_99) - 10d0*cima*coupl(nGC_1243)*    &
                        coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) - 10d0*cima*&
                        coupl(nGC_1331)**2d0*coupl(nGC_92)**2d0 - 20d0*cima*   &
                        coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_92)*coupl(    &
                        nGC_94) - 10d0*cima*coupl(nGC_1485)*coupl(nGC_69)*coupl&
                        (nGC_72)*coupl(nGC_867) + 20d0*cima*coupl(nGC_155)**2d0&
                        *coupl(nGC_157)**2d0 + 80d0*cima*coupl(nGC_155)*coupl( &
                        nGC_156)*coupl(nGC_157)**2d0 + 20d0*cima*coupl(nGC_156 &
                        )**2d0*coupl(nGC_157)**2d0 + 20d0*cima*coupl(nGC_163)**&
                        2d0*coupl(nGC_165)**2d0 + 80d0*cima*coupl(nGC_163)*    &
                        coupl(nGC_164)*coupl(nGC_165)**2d0 + 20d0*cima*coupl(  &
                        nGC_164)**2d0*coupl(nGC_165)**2d0 + 20d0*cima*coupl(   &
                        nGC_186)**2d0*coupl(nGC_188)**2d0 + 80d0*cima*coupl(   &
                        nGC_186)*coupl(nGC_187)*coupl(nGC_188)**2d0 + 20d0*cima&
                        *coupl(nGC_187)**2d0*coupl(nGC_188)**2d0 - 5d0*cima*   &
                        coupl(nGC_2391)**2d0*coupl(nGC_72)**2d0 - 20d0*cima*   &
                        coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72)*coupl(     &
                        nGC_867) - 5d0*cima*coupl(nGC_3011)**2d0*coupl(nGC_72  &
                        )**2d0 - 20d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl(&
                        nGC_72)*coupl(nGC_867) + 12d0*cima*coupl(nGC_61)*coupl(&
                        nGC_62) - 5d0*cima*coupl(nGC_63)**2d0*coupl(nGC_867)** &
                        2d0 - 5d0*cima*coupl(nGC_64)**2d0*coupl(nGC_867)**2d0  &
                         - 10d0*cima*coupl(nGC_817)**2d0*coupl(nGC_94)**2d0 +  &
                        3d0*coupl(nGC_10)*coupl(nGC_1331)*coupl(nGC_94) + 3d0* &
                        coupl(nGC_10)*coupl(nGC_817)*coupl(nGC_92) - 3d0*coupl(&
                        nGC_101)*coupl(nGC_1331)*coupl(nGC_92) - 3d0*coupl(    &
                        nGC_101)*coupl(nGC_817)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_12)*coupl(nGC_1331)*coupl(nGC_92) + 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_3011)*coupl(nGC_42) + 6d0*coupl(   &
                        nGC_1243)*coupl(nGC_48)*coupl(nGC_867) + 3d0*coupl(    &
                        nGC_1243)*coupl(nGC_56)*coupl(nGC_68) - 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_817)*coupl(nGC_94) + 6d0*coupl(      &
                        nGC_1331)**2d0*coupl(nGC_38) + 6d0*coupl(nGC_1331)*    &
                        coupl(nGC_26)*coupl(nGC_817) + 6d0*coupl(nGC_1331)*    &
                        coupl(nGC_29)*coupl(nGC_817) + 3d0*coupl(nGC_1331)*    &
                        coupl(nGC_46)*coupl(nGC_94) + 3d0*coupl(nGC_1331)*coupl&
                        (nGC_52)*coupl(nGC_92) - 3d0*coupl(nGC_1331)*coupl(    &
                        nGC_92)*coupl(nGC_99) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_2391)*coupl(nGC_42) + 6d0*coupl(nGC_1485)*coupl(   &
                        nGC_49)*coupl(nGC_867) + 3d0*coupl(nGC_1485)*coupl(    &
                        nGC_56)*coupl(nGC_69) - 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_62)*coupl(nGC_69) + 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_50)*coupl(nGC_63) - 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_62)*coupl(nGC_63) + 6d0*coupl(nGC_26)*coupl(nGC_92 &
                        )*coupl(nGC_94) + 6d0*coupl(nGC_29)*coupl(nGC_92)*coupl&
                        (nGC_94) + 3d0*coupl(nGC_3011)*coupl(nGC_50)*coupl(    &
                        nGC_64) - 3d0*coupl(nGC_3011)*coupl(nGC_62)*coupl(     &
                        nGC_64) + 6d0*coupl(nGC_34)*coupl(nGC_72)*coupl(nGC_867&
                        ) + 6d0*coupl(nGC_37)*coupl(nGC_817)**2d0 + 6d0*coupl( &
                        nGC_37)*coupl(nGC_94)**2d0 + 6d0*coupl(nGC_38)*coupl(  &
                        nGC_92)**2d0 + 3d0*coupl(nGC_42)*coupl(nGC_63)*coupl(  &
                        nGC_69) + 3d0*coupl(nGC_42)*coupl(nGC_64)*coupl(nGC_68 &
                        ) + 3d0*coupl(nGC_46)*coupl(nGC_817)*coupl(nGC_92) +   &
                        6d0*coupl(nGC_48)*coupl(nGC_69)*coupl(nGC_72) + 6d0*   &
                        coupl(nGC_49)*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl( &
                        nGC_59)*coupl(nGC_817)*coupl(nGC_94) - 6d0*coupl(nGC_61&
                        )*coupl(nGC_72)*coupl(nGC_867) - 3d0*coupl(nGC_817)*   &
                        coupl(nGC_94)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_9233) = (20d0*Nc*cima*coupl(nGC_1191)**2d0*coupl(nGC_192)*coupl&
                        (nGC_195) + 80d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_192 &
                        )*coupl(nGC_194)*coupl(nGC_195) + 20d0*Nc*cima*coupl(  &
                        nGC_130)*coupl(nGC_132)**2d0*coupl(nGC_133) + 80d0*Nc* &
                        cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_133)*coupl&
                        (nGC_695) + 20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*&
                        coupl(nGC_695)**2d0 + 20d0*Nc*cima*coupl(nGC_137)*coupl&
                        (nGC_141)*coupl(nGC_143)**2d0 + 80d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_141)*coupl(nGC_143)*coupl(nGC_144   &
                        ) + 20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(  &
                        nGC_144)**2d0 + 20d0*Nc*cima*coupl(nGC_145)*coupl(     &
                        nGC_147)**2d0*coupl(nGC_149) + 80d0*Nc*cima*coupl(     &
                        nGC_145)*coupl(nGC_147)*coupl(nGC_148)*coupl(nGC_149   &
                        ) + 20d0*Nc*cima*coupl(nGC_145)*coupl(nGC_148)**2d0*   &
                        coupl(nGC_149) + 20d0*Nc*cima*coupl(nGC_169)*coupl(    &
                        nGC_171)**2d0*coupl(nGC_173) + 80d0*Nc*cima*coupl(     &
                        nGC_169)*coupl(nGC_171)*coupl(nGC_172)*coupl(nGC_173   &
                        ) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_172)**2d0*   &
                        coupl(nGC_173) + 20d0*Nc*cima*coupl(nGC_177)*coupl(    &
                        nGC_179)**2d0*coupl(nGC_180) + 80d0*Nc*cima*coupl(     &
                        nGC_177)*coupl(nGC_179)*coupl(nGC_180)*coupl(nGC_2019  &
                        ) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(  &
                        nGC_2019)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(    &
                        nGC_194)**2d0*coupl(nGC_195) - 5d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_3011)*coupl(nGC_72)**2d0 - 5d0*cima*coupl( &
                        nGC_1243)*coupl(nGC_63)*coupl(nGC_72)*coupl(nGC_867) - &
                        10d0*cima*coupl(nGC_1243)*coupl(nGC_64)*coupl(nGC_72)* &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_1331)**2d0*coupl(  &
                        nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1331)*coupl(&
                        nGC_665)*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl( &
                        nGC_1331)*coupl(nGC_817)*coupl(nGC_91)*coupl(nGC_92) - &
                        5d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(nGC_92)**&
                        2d0 - 5d0*cima*coupl(nGC_1331)*coupl(nGC_817)*coupl(   &
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_1485)*coupl(nGC_2391 &
                        )*coupl(nGC_72)**2d0 - 10d0*cima*coupl(nGC_1485)*coupl(&
                        nGC_63)*coupl(nGC_72)*coupl(nGC_867) - 5d0*cima*coupl( &
                        nGC_1485)*coupl(nGC_64)*coupl(nGC_72)*coupl(nGC_867) + &
                        20d0*cima*coupl(nGC_153)*coupl(nGC_155)**2d0*coupl(    &
                        nGC_157) + 80d0*cima*coupl(nGC_153)*coupl(nGC_155)*    &
                        coupl(nGC_156)*coupl(nGC_157) + 20d0*cima*coupl(nGC_153&
                        )*coupl(nGC_156)**2d0*coupl(nGC_157) + 20d0*cima*coupl(&
                        nGC_161)*coupl(nGC_163)**2d0*coupl(nGC_165) + 80d0*cima&
                        *coupl(nGC_161)*coupl(nGC_163)*coupl(nGC_164)*coupl(   &
                        nGC_165) + 20d0*cima*coupl(nGC_161)*coupl(nGC_164)**2d0&
                        *coupl(nGC_165) + 20d0*cima*coupl(nGC_184)*coupl(      &
                        nGC_186)**2d0*coupl(nGC_188) + 80d0*cima*coupl(nGC_184 &
                        )*coupl(nGC_186)*coupl(nGC_187)*coupl(nGC_188) + 20d0* &
                        cima*coupl(nGC_184)*coupl(nGC_187)**2d0*coupl(nGC_188  &
                        ) - 5d0*cima*coupl(nGC_2391)*coupl(nGC_68)*coupl(nGC_72&
                        )*coupl(nGC_867) - 10d0*cima*coupl(nGC_2391)*coupl(    &
                        nGC_69)*coupl(nGC_72)*coupl(nGC_867) - 10d0*cima*coupl(&
                        nGC_3011)*coupl(nGC_68)*coupl(nGC_72)*coupl(nGC_867) - &
                        5d0*cima*coupl(nGC_3011)*coupl(nGC_69)*coupl(nGC_72)*  &
                        coupl(nGC_867) - 5d0*cima*coupl(nGC_63)*coupl(nGC_69)* &
                        coupl(nGC_867)**2d0 - 5d0*cima*coupl(nGC_64)*coupl(    &
                        nGC_68)*coupl(nGC_867)**2d0 - 5d0*cima*coupl(nGC_665)* &
                        coupl(nGC_817)*coupl(nGC_94)**2d0 - 5d0*cima*coupl(    &
                        nGC_817)**2d0*coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*  &
                        coupl(nGC_817)**2d0*coupl(nGC_92)*coupl(nGC_94) + 3d0* &
                        coupl(nGC_10)*coupl(nGC_1331)*coupl(nGC_92) - 3d0*coupl&
                        (nGC_101)*coupl(nGC_1331)*coupl(nGC_94) - 3d0*coupl(   &
                        nGC_101)*coupl(nGC_817)*coupl(nGC_91) + 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_40)*coupl(nGC_867) - 3d0*coupl(    &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(     &
                        nGC_1243)*coupl(nGC_62)*coupl(nGC_64) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_1331)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_817)*coupl(nGC_92) + 3d0*coupl(      &
                        nGC_1331)**2d0*coupl(nGC_26) + 3d0*coupl(nGC_1331)*    &
                        coupl(nGC_29)*coupl(nGC_665) + 3d0*coupl(nGC_1331)*    &
                        coupl(nGC_31)*coupl(nGC_817) + 3d0*coupl(nGC_1331)*    &
                        coupl(nGC_37)*coupl(nGC_817) + 3d0*coupl(nGC_1331)*    &
                        coupl(nGC_38)*coupl(nGC_817) + 3d0*coupl(nGC_1485)*    &
                        coupl(nGC_41)*coupl(nGC_867) - 3d0*coupl(nGC_1485)*    &
                        coupl(nGC_62)*coupl(nGC_63) - 3d0*coupl(nGC_1485)*coupl&
                        (nGC_62)*coupl(nGC_64) + 6d0*coupl(nGC_22)*coupl(nGC_72&
                        )*coupl(nGC_867) + 6d0*coupl(nGC_2391)*coupl(nGC_3011)*&
                        coupl(nGC_42) + 3d0*coupl(nGC_2391)*coupl(nGC_48)*coupl&
                        (nGC_867) + 3d0*coupl(nGC_2391)*coupl(nGC_50)*coupl(   &
                        nGC_69) + 3d0*coupl(nGC_2391)*coupl(nGC_56)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_26)*coupl(nGC_817)**2d0 + 3d0* &
                        coupl(nGC_26)*coupl(nGC_92)**2d0 + 3d0*coupl(nGC_26)*  &
                        coupl(nGC_94)**2d0 + 3d0*coupl(nGC_28)*coupl(nGC_817)**&
                        2d0 + 3d0*coupl(nGC_28)*coupl(nGC_94)**2d0 + 3d0*coupl(&
                        nGC_29)*coupl(nGC_91)*coupl(nGC_92) + 3d0*coupl(       &
                        nGC_3011)*coupl(nGC_49)*coupl(nGC_867) + 3d0*coupl(    &
                        nGC_3011)*coupl(nGC_50)*coupl(nGC_68) + 3d0*coupl(     &
                        nGC_3011)*coupl(nGC_56)*coupl(nGC_69) + 3d0*coupl(     &
                        nGC_31)*coupl(nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_37 &
                        )*coupl(nGC_665)*coupl(nGC_817) + 3d0*coupl(nGC_37)*   &
                        coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl( &
                        nGC_92)*coupl(nGC_94) + 3d0*coupl(nGC_38)*coupl(nGC_92 &
                        )*coupl(nGC_94) + 3d0*coupl(nGC_40)*coupl(nGC_69)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_41)*coupl(nGC_68)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_42)*coupl(nGC_68)**2d0 + 3d0*coupl(  &
                        nGC_42)*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_46)*coupl(  &
                        nGC_665)*coupl(nGC_92) + 3d0*coupl(nGC_46)*coupl(      &
                        nGC_817)*coupl(nGC_94) + 3d0*coupl(nGC_48)*coupl(nGC_64&
                        )*coupl(nGC_72) + 3d0*coupl(nGC_49)*coupl(nGC_63)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_52)*coupl(nGC_817)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_59)*coupl(nGC_665)*coupl(nGC_94&
                        ) + 3d0*coupl(nGC_817)*coupl(nGC_9)*coupl(nGC_94))/(   &
                        96d0*pi**2d0)
      coupl(nGC_9230) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_130)*   &
                        coupl(nGC_131)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_141)*coupl(nGC_142)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_141)*coupl(nGC_142)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_145)*coupl(   &
                        nGC_146)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_145)*coupl(nGC_146)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_170)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_169)*coupl(nGC_170)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_169)*coupl(   &
                        nGC_170)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_177)*coupl(nGC_178)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_177)*coupl(nGC_178)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_192)*coupl(   &
                        nGC_193)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_192)*coupl(nGC_193)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 9d0*cima*coupl(nGC_1103)*coupl(nGC_1485)*    &
                        coupl(nGC_793)*coupl(nGC_82) + 4d0*cima*coupl(nGC_1243 &
                        )*coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_96) + 4d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_3011)*coupl(nGC_72)*    &
                        coupl(nGC_92) + 4d0*cima*coupl(nGC_1331)*coupl(nGC_2391&
                        )*coupl(nGC_817)*coupl(nGC_96) + 4d0*cima*coupl(       &
                        nGC_1331)*coupl(nGC_64)*coupl(nGC_69)*coupl(nGC_72) +  &
                        4d0*cima*coupl(nGC_1485)*coupl(nGC_665)**2d0*coupl(    &
                        nGC_96) + 4d0*cima*coupl(nGC_1485)*coupl(nGC_817)**2d0*&
                        coupl(nGC_96) + 9d0*cima*coupl(nGC_1485)*coupl(nGC_82)*&
                        coupl(nGC_833)*coupl(nGC_975) + 20d0*cima*coupl(nGC_153&
                        )*coupl(nGC_154)*coupl(nGC_80)*coupl(nGC_86) - 16d0*   &
                        cima*coupl(nGC_153)*coupl(nGC_154)*coupl(nGC_80)*coupl(&
                        nGC_89) - 16d0*cima*coupl(nGC_153)*coupl(nGC_154)*coupl&
                        (nGC_80)*coupl(nGC_90) + 24d0*cima*coupl(nGC_16)*coupl(&
                        nGC_79) + 20d0*cima*coupl(nGC_161)*coupl(nGC_162)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_161)*coupl&
                        (nGC_162)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_161)*coupl(nGC_162)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_184)*coupl(nGC_185)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_184)*coupl(nGC_185 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_184&
                        )*coupl(nGC_185)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima&
                        *coupl(nGC_2391)*coupl(nGC_3011)*coupl(nGC_68)*coupl(  &
                        nGC_96) + 4d0*cima*coupl(nGC_2391)*coupl(nGC_3011)*    &
                        coupl(nGC_72)*coupl(nGC_94) + 4d0*cima*coupl(nGC_2391)*&
                        coupl(nGC_665)*coupl(nGC_817)*coupl(nGC_96) + 4d0*cima*&
                        coupl(nGC_3011)*coupl(nGC_64)*coupl(nGC_72)*coupl(     &
                        nGC_817) + 4d0*cima*coupl(nGC_3011)*coupl(nGC_665)*    &
                        coupl(nGC_68)*coupl(nGC_72) + 24d0*cima*coupl(nGC_607)*&
                        coupl(nGC_70) + 4d0*cima*coupl(nGC_64)**2d0*coupl(     &
                        nGC_69)*coupl(nGC_96) + 4d0*cima*coupl(nGC_64)*coupl(  &
                        nGC_69)*coupl(nGC_72)*coupl(nGC_92) + 4d0*cima*coupl(  &
                        nGC_68)**2d0*coupl(nGC_69)*coupl(nGC_96) + 4d0*cima*   &
                        coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72)*coupl(nGC_817&
                        ) + 4d0*cima*coupl(nGC_68)*coupl(nGC_69)*coupl(nGC_72)*&
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_69)*coupl(nGC_72)** &
                        2d0*coupl(nGC_96) + 4d0*cima*coupl(nGC_817)*coupl(     &
                        nGC_867)*coupl(nGC_96)*coupl(nGC_975) + 9d0*cima*coupl(&
                        nGC_82)*coupl(nGC_833)*coupl(nGC_867)*coupl(nGC_94) -  &
                        6d0*coupl(nGC_100)*coupl(nGC_1485)*coupl(nGC_833) - 6d0&
                        *coupl(nGC_1103)*coupl(nGC_1485)*coupl(nGC_97) - 6d0*  &
                        coupl(nGC_1103)*coupl(nGC_16)*coupl(nGC_793) + 6d0*    &
                        coupl(nGC_14)*coupl(nGC_3011)*coupl(nGC_68) - 6d0*coupl&
                        (nGC_1485)*coupl(nGC_607)*coupl(nGC_793) - 6d0*coupl(  &
                        nGC_1485)*coupl(nGC_61)*coupl(nGC_833) - 6d0*coupl(    &
                        nGC_1485)*coupl(nGC_62)*coupl(nGC_82) - 6d0*coupl(     &
                        nGC_1485)*coupl(nGC_79)*coupl(nGC_975) - 6d0*coupl(    &
                        nGC_1485)*coupl(nGC_82)*coupl(nGC_99) + 6d0*coupl(     &
                        nGC_15)*coupl(nGC_64)*coupl(nGC_69) + 6d0*coupl(nGC_16 &
                        )*coupl(nGC_3011)*coupl(nGC_64) + 6d0*coupl(nGC_16)*   &
                        coupl(nGC_68)*coupl(nGC_69) + 36d0*coupl(nGC_16)*coupl(&
                        nGC_82)*coupl(nGC_833) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_833)*coupl(nGC_975) + 6d0*coupl(nGC_20)*coupl(     &
                        nGC_69)*coupl(nGC_72) + 6d0*coupl(nGC_20)*coupl(nGC_817&
                        )*coupl(nGC_96) - 6d0*coupl(nGC_20)*coupl(nGC_82)*coupl&
                        (nGC_94) + 36d0*coupl(nGC_3)*coupl(nGC_70)*coupl(      &
                        nGC_833) - 6d0*coupl(nGC_79)*coupl(nGC_867)*coupl(     &
                        nGC_94))/(192d0*pi**2d0)
      coupl(nGC_9238) = (20d0*Nc*cima*coupl(nGC_1191)*coupl(nGC_192)**3d0 +    &
                        20d0*Nc*cima*coupl(nGC_130)**3d0*coupl(nGC_132) + 20d0*&
                        Nc*cima*coupl(nGC_130)**3d0*coupl(nGC_695) + 20d0*Nc*  &
                        cima*coupl(nGC_141)**3d0*coupl(nGC_143) + 20d0*Nc*cima*&
                        coupl(nGC_141)**3d0*coupl(nGC_144) + 20d0*Nc*cima*coupl&
                        (nGC_145)**3d0*coupl(nGC_147) + 20d0*Nc*cima*coupl(    &
                        nGC_145)**3d0*coupl(nGC_148) + 20d0*Nc*cima*coupl(     &
                        nGC_169)**3d0*coupl(nGC_171) + 20d0*Nc*cima*coupl(     &
                        nGC_169)**3d0*coupl(nGC_172) + 20d0*Nc*cima*coupl(     &
                        nGC_177)**3d0*coupl(nGC_179) + 20d0*Nc*cima*coupl(     &
                        nGC_177)**3d0*coupl(nGC_2019) + 20d0*Nc*cima*coupl(    &
                        nGC_192)**3d0*coupl(nGC_194) - 5d0*cima*coupl(nGC_1243 &
                        )**2d0*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(   &
                        nGC_1243)*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_72   &
                        ) - 5d0*cima*coupl(nGC_1243)*coupl(nGC_68)**2d0*coupl( &
                        nGC_867) - 5d0*cima*coupl(nGC_1485)**2d0*coupl(nGC_69)*&
                        coupl(nGC_72) - 5d0*cima*coupl(nGC_1485)*coupl(nGC_3011&
                        )*coupl(nGC_64)*coupl(nGC_72) - 5d0*cima*coupl(nGC_1485&
                        )*coupl(nGC_69)**2d0*coupl(nGC_867) + 20d0*cima*coupl( &
                        nGC_153)**3d0*coupl(nGC_155) + 20d0*cima*coupl(nGC_153 &
                        )**3d0*coupl(nGC_156) + 20d0*cima*coupl(nGC_161)**3d0* &
                        coupl(nGC_163) + 20d0*cima*coupl(nGC_161)**3d0*coupl(  &
                        nGC_164) + 20d0*cima*coupl(nGC_184)**3d0*coupl(nGC_186 &
                        ) + 20d0*cima*coupl(nGC_184)**3d0*coupl(nGC_187) - 5d0*&
                        cima*coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_68)*coupl(&
                        nGC_867) - 5d0*cima*coupl(nGC_3011)*coupl(nGC_64)*coupl&
                        (nGC_69)*coupl(nGC_867) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_2391)*coupl(nGC_40) + 2d0*coupl(nGC_1243)*coupl(   &
                        nGC_30)*coupl(nGC_72) - coupl(nGC_1243)*coupl(nGC_61)* &
                        coupl(nGC_72) + 2d0*coupl(nGC_1485)*coupl(nGC_30)*coupl&
                        (nGC_72) + 3d0*coupl(nGC_1485)*coupl(nGC_3011)*coupl(  &
                        nGC_41) - coupl(nGC_1485)*coupl(nGC_61)*coupl(nGC_72   &
                        ) + coupl(nGC_2391)*coupl(nGC_24)*coupl(nGC_867) +     &
                        coupl(nGC_24)*coupl(nGC_3011)*coupl(nGC_867) + 2d0*    &
                        coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_72) + 2d0*coupl( &
                        nGC_24)*coupl(nGC_64)*coupl(nGC_72) + coupl(nGC_30)*   &
                        coupl(nGC_68)*coupl(nGC_867) + coupl(nGC_30)*coupl(    &
                        nGC_69)*coupl(nGC_867) + 3d0*coupl(nGC_40)*coupl(nGC_64&
                        )*coupl(nGC_69) + 3d0*coupl(nGC_41)*coupl(nGC_63)*coupl&
                        (nGC_68) - 2d0*coupl(nGC_61)*coupl(nGC_68)*coupl(      &
                        nGC_867) - 2d0*coupl(nGC_61)*coupl(nGC_69)*coupl(      &
                        nGC_867))/(32d0*pi**2d0)
      coupl(nGC_9239) = (20d0*Nc*cima*coupl(nGC_133)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_137)**4d0 + 20d0*Nc*cima*coupl(nGC_149)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_173)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_180)**4d0 + 20d0*Nc*cima*coupl(nGC_195)**4d0 - 5d0*&
                        cima*coupl(nGC_1243)**2d0*coupl(nGC_68)**2d0 - 10d0*   &
                        cima*coupl(nGC_1243)*coupl(nGC_3011)*coupl(nGC_64)*    &
                        coupl(nGC_68) - 5d0*cima*coupl(nGC_1331)**2d0*coupl(   &
                        nGC_92)**2d0 - 10d0*cima*coupl(nGC_1331)*coupl(nGC_817 &
                        )*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(nGC_1485&
                        )**2d0*coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_1485)* &
                        coupl(nGC_2391)*coupl(nGC_63)*coupl(nGC_69) + 20d0*cima&
                        *coupl(nGC_157)**4d0 + 20d0*cima*coupl(nGC_165)**4d0 + &
                        20d0*cima*coupl(nGC_188)**4d0 - 5d0*cima*coupl(nGC_2391&
                        )**2d0*coupl(nGC_63)**2d0 - 5d0*cima*coupl(nGC_3011)** &
                        2d0*coupl(nGC_64)**2d0 + 6d0*cima*coupl(nGC_61)**2d0 - &
                        5d0*cima*coupl(nGC_817)**2d0*coupl(nGC_94)**2d0 + 3d0* &
                        cima*coupl(nGC_99)**2d0 + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_27)*coupl(nGC_3011) + 3d0*coupl(nGC_1243)*coupl(   &
                        nGC_32)*coupl(nGC_68) - 3d0*coupl(nGC_1243)*coupl(     &
                        nGC_61)*coupl(nGC_68) + 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_29)*coupl(nGC_94) + 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_38)*coupl(nGC_92) - 3d0*coupl(nGC_1331)*coupl(     &
                        nGC_92)*coupl(nGC_99) + 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_2391)*coupl(nGC_27) + 3d0*coupl(nGC_1485)*coupl(   &
                        nGC_32)*coupl(nGC_69) - 3d0*coupl(nGC_1485)*coupl(     &
                        nGC_61)*coupl(nGC_69) + 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_34)*coupl(nGC_63) - 3d0*coupl(nGC_2391)*coupl(     &
                        nGC_61)*coupl(nGC_63) + 3d0*coupl(nGC_27)*coupl(nGC_63 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_27)*coupl(nGC_64)*coupl&
                        (nGC_68) + 3d0*coupl(nGC_29)*coupl(nGC_817)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_3011)*coupl(nGC_34)*coupl(     &
                        nGC_64) - 3d0*coupl(nGC_3011)*coupl(nGC_61)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_33)*coupl(nGC_817)*coupl(nGC_94&
                        ) - 3d0*coupl(nGC_817)*coupl(nGC_94)*coupl(nGC_99))/(  &
                        16d0*pi**2d0)
      coupl(nGC_29563) = -coupl(nGC_8901)
      coupl(nGC_21852) = coupl(nGC_21847) + coupl(nGC_21851)
      coupl(nGC_13515) = coupl(nGC_13511) + coupl(nGC_13514)
      coupl(nGC_14366) = coupl(nGC_13601) + coupl(nGC_14364)
      coupl(nGC_13861) = coupl(nGC_13855) - coupl(nGC_13856) - coupl(nGC_13860)
      coupl(nGC_13329) = -coupl(nGC_13321) + coupl(nGC_13324) - coupl(nGC_13327)
      coupl(nGC_29403) = -coupl(nGC_8845)
      coupl(nGC_29233) = -coupl(nGC_8819)
      coupl(nGC_30502) = -coupl(nGC_8844)
      coupl(nGC_29236) = -coupl(nGC_8821)
      coupl(nGC_20540) = -coupl(nGC_14949)
    end subroutine fill_CTcouplings_mdl36
end module fill_ctcouplings36
