!******************************************************************************!
!                                                                              !
!    fill_ctcouplings37.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings37.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings37
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl37()
      coupl(nGC_30031) = -coupl(nGC_8846)
      coupl(nGC_30852) = -coupl(nGC_8779)
      coupl(nGC_30506) = -coupl(nGC_8861)
      coupl(nGC_29961) = -coupl(nGC_8772)
      coupl(nGC_18365) = coupl(nGC_18361) + coupl(nGC_18364)
      coupl(nGC_29705) = -coupl(nGC_8933)
      coupl(nGC_16149) = coupl(nGC_16144) + coupl(nGC_16148)
      coupl(nGC_29906) = -coupl(nGC_8839)
      coupl(nGC_15782) = -coupl(nGC_15781)
      coupl(nGC_14365) = coupl(nGC_13601) + coupl(nGC_14363)
      coupl(nGC_14320) = coupl(nGC_14062) + coupl(nGC_14317)
      coupl(nGC_12893) = coupl(nGC_12890) + coupl(nGC_12891)
      coupl(nGC_29575) = -coupl(nGC_8782)
      coupl(nGC_13446) = coupl(nGC_13442) + coupl(nGC_13445)
      coupl(nGC_12894) = coupl(nGC_12891) + coupl(nGC_12892)
      coupl(nGC_13330) = coupl(nGC_13327) + coupl(nGC_13328)
      coupl(nGC_13529) = -coupl(nGC_13526) + coupl(nGC_13527)
      coupl(nGC_13599) = coupl(nGC_13592) + coupl(nGC_13598)
      coupl(nGC_14670) = -coupl(nGC_14667) + coupl(nGC_14668)
      coupl(nGC_14179) = coupl(nGC_14172) + coupl(nGC_14178)
      coupl(nGC_13490) = coupl(nGC_13488) + coupl(nGC_13489)
      coupl(nGC_29977) = -coupl(nGC_8778)
      coupl(nGC_30146) = -coupl(nGC_8898)
      coupl(nGC_31257) = -coupl(nGC_8774)
      coupl(nGC_31519) = -coupl(nGC_8865)
      coupl(nGC_29665) = -coupl(nGC_8920)
      coupl(nGC_14685) = coupl(nGC_13379) + coupl(nGC_14683)
    end subroutine fill_CTcouplings_mdl37
end module fill_ctcouplings37
