!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_13776) = coupl(nGC_49)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_9439) = coupl(nGC_7974)*db_QED2 + coupl(nGC_7975)*dyd13x3_QED3 &
                         + coupl(nGC_7976)*dyb2_QED3
      coupl(nGC_15245) = coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_13802) = coupl(nGC_74)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_13557) = coupl(nGC_152)*dZG0/2d0
      coupl(nGC_13551) = coupl(nGC_151)*dZG0/2d0
      coupl(nGC_22743) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_22749) = -coupl(nGC_22743)
      coupl(nGC_12738) = coupl(nGC_65)*dZGMinus/2d0
      coupl(nGC_12900) = coupl(nGC_42)*dZG0/2d0
      coupl(nGC_9485) = coupl(nGC_8542)*db_QED2 + coupl(nGC_8543)*dye2_QED3 +  &
                        coupl(nGC_8544)*dye1_QED3
      coupl(nGC_9487) = coupl(nGC_8124)*db_QED2 + coupl(nGC_8125)*dym1_QED3 +  &
                        coupl(nGC_8126)*dym2_QED3
      coupl(nGC_9333) = coupl(nGC_8681)*dl3_QED4 + coupl(nGC_8682)*db_QED2 +   &
                        coupl(nGC_8683)*dl2_QED4 + coupl(nGC_8684)*dl5_QED4 +  &
                        coupl(nGC_8685)*dl4_QED4 + coupl(nGC_8686)*dl1_QED4 +  &
                        coupl(nGC_8687)*da_QED2
      coupl(nGC_TS_GC_91_Hl) = -coupl(nGC_91)*dtHl_QED1/cMHL**2d0
      coupl(nGC_17496) = coupl(nGC_147)*dZdL_QCD2/2d0 + coupl(nGC_147)*        &
                         dZdR_QCD2/2d0 + coupl(nGC_9457)
      coupl(nGC_TS_GC_24_Hl) = -coupl(nGC_24)*dtHl_QED1/cMHL**2d0
      coupl(nGC_20713) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_12907) = coupl(nGC_62)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_16721) = coupl(nGC_184)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/ &
                         2d0
      coupl(nGC_19540) = coupl(nGC_149)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_15249) = -coupl(nGC_15245)
      coupl(nGC_13941) = coupl(nGC_18)*(dZGMinusHMinus_QED2 +                  &
                         dZHMinusGMinus_QED2)/2d0
      coupl(nGC_15715) = coupl(nGC_140)*dZG0Ha_QED2/2d0 + coupl(nGC_143)*      &
                         dZHa_QED2/2d0 + coupl(nGC_143)*dZbL_QED2/2d0 + coupl( &
                         nGC_143)*dZbR_QED2/2d0 + coupl(nGC_9463)
      coupl(nGC_15242) = coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_15717) = coupl(nGC_143)*dZbL_QCD2/2d0 + coupl(nGC_143)*        &
                         dZbR_QCD2/2d0 + coupl(nGC_9464)
      coupl(nGC_13015) = coupl(nGC_69)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_14046) = coupl(nGC_189)*dZGMinus/2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_12945) = coupl(nGC_83)*dZA_QED2/2d0 + coupl(nGC_83)*           &
                         dZWMinus_QED2 + coupl(nGC_83)*dZZ_QED2/2d0 + coupl(   &
                         nGC_9294)
      coupl(nGC_13495) = coupl(nGC_20)*dZHMinus_QED2/2d0 + coupl(nGC_20)*      &
                         dZHa_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/2d0 +     &
                         coupl(nGC_20)*dZZ_QED2/2d0 + coupl(nGC_74)*dZAZ_QED2/ &
                         2d0 + coupl(nGC_9383)
      coupl(nGC_19368) = coupl(nGC_141)*(dZbL_QED2 + dZbR_QED2)/2d0
      coupl(nGC_19369) = coupl(nGC_141)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_13707) = coupl(nGC_20)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_13700) = coupl(nGC_20)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_13838) = coupl(nGC_123)*dZGMinus/2d0
      coupl(nGC_TS_GC_129_Hh) = -coupl(nGC_129)*dtHh_QED1/cMHH**2d0
      coupl(nGC_13145) = coupl(nGC_19)*dZWMinus_QED2/2d0 + coupl(nGC_19)*      &
                         dZZ_QED2/2d0 + coupl(nGC_73)*dZAZ_QED2/2d0 + coupl(   &
                         nGC_9389)
      coupl(nGC_13236) = dZHMinusGMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_9038) = coupl(nGC_7)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_9328) = coupl(nGC_7947)*db_QED2 + coupl(nGC_7948)*dl5_QED4 +   &
                        coupl(nGC_7949)*dl4_QED4 + coupl(nGC_7950)*da_QED2
      coupl(nGC_9329) = coupl(nGC_8667)*dl3_QED4 + coupl(nGC_8668)*db_QED2 +   &
                        coupl(nGC_8669)*dl2_QED4 + coupl(nGC_8670)*dl5_QED4 +  &
                        coupl(nGC_8671)*dl4_QED4 + coupl(nGC_8672)*dl1_QED4 +  &
                        coupl(nGC_8673)*da_QED2
      coupl(nGC_9324) = coupl(nGC_8557)*dl3_QED4 + coupl(nGC_8558)*dl1_QED4 +  &
                        coupl(nGC_8559)*dl2_QED4 + coupl(nGC_8560)*dl5_QED4 +  &
                        coupl(nGC_8561)*dl4_QED4 + coupl(nGC_8562)*da_QED2
      coupl(nGC_9320) = coupl(nGC_7977)*dl3_QED4 + coupl(nGC_7978)*db_QED2 +   &
                        coupl(nGC_7979)*dl2_QED4 + coupl(nGC_7980)*dl5_QED4 +  &
                        coupl(nGC_7981)*dl4_QED4 + coupl(nGC_7982)*dl1_QED4 +  &
                        coupl(nGC_7983)*da_QED2
      coupl(nGC_9321) = coupl(nGC_8108)*dl3_QED4 + coupl(nGC_8109)*dl1_QED4 +  &
                        coupl(nGC_8110)*dl2_QED4 + coupl(nGC_8111)*dl5_QED4 +  &
                        coupl(nGC_8112)*dl4_QED4 + coupl(nGC_8113)*db_QED2
      coupl(nGC_16621) = coupl(nGC_93)*dZHl_QED2/2d0 + coupl(nGC_95)*          &
                         dZHhHl_QED2/2d0 + coupl(nGC_9530)
      coupl(nGC_9144) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                        nGC_84) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_2)*   &
                        coupl(nGC_85) + coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0)
      coupl(nGC_9145) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                        nGC_84) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_2)*   &
                        coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
