!******************************************************************************!
!                                                                              !
!    ctparameter101.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter101.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter101
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter101()
  if (dZuR_QED2_scheme .eq. 2) then
    dZuR_QED2 = (Ten556*coupl(nGC_2)**2d0 + Ten614*coupl(nGC_196)**2d0 + Ten615&
                *coupl(nGC_196)**2d0 - Ten616*coupl(nGC_193)**2d0 + Ten617*(-  &
                coupl(nGC_197)*coupl(nGC_198) - 2d0*coupl(nGC_85)**2d0) +      &
                Ten618*coupl(nGC_194)**2d0 - Ten619*coupl(nGC_195)**2d0 -      &
                Ten620*coupl(nGC_192)**2d0 - coupl(nGC_85)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZuR_QED2 = cone*real(dZuR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter101
end module ctparameter101
