!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl12()
      allocate(vertices(1594)%branchR2(0:0))
      call avR2(1594, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9174])

      allocate(vertices(2105)%branchR2(0:0))
      call avR2(2105, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8928])

      allocate(vertices(224)%branchR2(0:0))
      call avR2(224, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9243])

      allocate(vertices(2146)%branchR2(0:0))
      call avR2(2146, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8806, nGC_8807])

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3411)%branchR2(0:0))
      call avR2(3411, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(97)%branchR2(0:0))
      call avR2(97, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8998])

      allocate(vertices(1985)%branchR2(0:0))
      call avR2(1985, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8835])

      allocate(vertices(1909)%branchR2(0:1))
      call avR2(1909, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_9007, nGC_9007])

      call avR2(1909, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_9005, nGC_9006])

      allocate(vertices(2636)%branchR2(0:0))
      call avR2(2636, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3142)%branchR2(0:0))
      call avR2(3142, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9248])

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9250])

      allocate(vertices(2270)%branchR2(0:0))
      call avR2(2270, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2780)%branchR2(0:0))
      call avR2(2780, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9127])

      allocate(vertices(919)%branchR2(0:0))
      call avR2(919, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(1203)%branchR2(0:0))
      call avR2(1203, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8879, nGC_8878])

      allocate(vertices(1677)%branchR2(0:0))
      call avR2(1677, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2829)%branchR2(0:0))
      call avR2(2829, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2026)%branchR2(0:0))
      call avR2(2026, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2907)%branchR2(0:0))
      call avR2(2907, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2538)%branchR2(0:0))
      call avR2(2538, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(1725)%branchR2(0:0))
      call avR2(1725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2516)%branchR2(0:0))
      call avR2(2516, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_8916])

      allocate(vertices(3097)%branchR2(0:0))
      call avR2(3097, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3792)%branchR2(0:0))
      call avR2(3792, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(1152)%branchR2(0:0))
      call avR2(1152, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30852])

      allocate(vertices(3793)%branchR2(0:0))
      call avR2(3793, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9109, nGC_9109,       &
      nGC_9108])

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(1868)%branchR2(0:1))
      call avR2(1868, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(1868, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(2325)%branchR2(0:0))
      call avR2(2325, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29878])

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(2010)%branchR2(0:0))
      call avR2(2010, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9255])

      allocate(vertices(2173)%branchR2(0:0))
      call avR2(2173, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9130,       &
      nGC_9131])

      allocate(vertices(1746)%branchR2(0:0))
      call avR2(1746, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(1822)%branchR2(0:1))
      call avR2(1822, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(1822, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(896)%branchR2(0:0))
      call avR2(896, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

      allocate(vertices(1622)%branchR2(0:0))
      call avR2(1622, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3794)%branchR2(0:0))
      call avR2(3794, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9092])

      allocate(vertices(3795)%branchR2(0:0))
      call avR2(3795, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2747)%branchR2(0:0))
      call avR2(2747, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1423)%branchR2(0:0))
      call avR2(1423, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2447)%branchR2(0:0))
      call avR2(2447, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(2320)%branchR2(0:0))
      call avR2(2320, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(540)%branchR2(0:0))
      call avR2(540, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(2208)%branchR2(0:0))
      call avR2(2208, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1630)%branchR2(0:0))
      call avR2(1630, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9089])

      allocate(vertices(2810)%branchR2(0:0))
      call avR2(2810, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9149])

      allocate(vertices(79)%branchR2(0:0))
      call avR2(79, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(2165)%branchR2(0:0))
      call avR2(2165, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(3796)%branchR2(0:0))
      call avR2(3796, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(3573)%branchR2(0:0))
      call avR2(3573, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9087])

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(2302)%branchR2(0:0))
      call avR2(2302, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(1779)%branchR2(0:0))
      call avR2(1779, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

      allocate(vertices(850)%branchR2(0:0))
      call avR2(850, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(3300)%branchR2(0:0))
      call avR2(3300, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_8716, nGC_8715,        &
      nGC_8717])

      allocate(vertices(2307)%branchR2(0:0))
      call avR2(2307, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(688)%branchR2(0:0))
      call avR2(688, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(818)%branchR2(0:0))
      call avR2(818, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8915])

      allocate(vertices(2116)%branchR2(0:1))
      call avR2(2116, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8834, nGC_8832])

      call avR2(2116, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8853, nGC_8852])

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8950, nGC_8949])

      allocate(vertices(1563)%branchR2(0:3))
      call avR2(1563, 0, 37, 1, 0, FaFV1, 0, [1, 2], [nGC_9081, nGC_9080])

      call avR2(1563, 1, 37, 1, 0, FaFV1, 0, [3, 0], [nGC_9072, nGC_9072])

      call avR2(1563, 2, 36, 1, 0, FaFV1, 0, [1, 2], [nGC_9083, nGC_9082])

      call avR2(1563, 3, 36, 1, 0, FaFV1, 0, [3, 0], [nGC_9075, nGC_9075])

      allocate(vertices(3797)%branchR2(0:1))
      call avR2(3797, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9153])

      call avR2(3797, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9152])

      allocate(vertices(2485)%branchR2(0:0))
      call avR2(2485, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9132,       &
      nGC_9131])

      allocate(vertices(223)%branchR2(0:1))
      call avR2(223, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_9002, nGC_9003])

      call avR2(223, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_9004, nGC_9004])

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_9009, nGC_9008])

      allocate(vertices(1823)%branchR2(0:0))
      call avR2(1823, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8780])

      allocate(vertices(1913)%branchR2(0:0))
      call avR2(1913, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2738)%branchR2(0:0))
      call avR2(2738, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(3798)%branchR2(0:0))
      call avR2(3798, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(3799)%branchR2(0:0))
      call avR2(3799, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(107)%branchR2(0:0))
      call avR2(107, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(3032)%branchR2(0:0))
      call avR2(3032, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2276)%branchR2(0:0))
      call avR2(2276, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(269)%branchR2(0:1))
      call avR2(269, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(269, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(1624)%branchR2(0:0))
      call avR2(1624, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8771])

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(3800)%branchR2(0:1))
      call avR2(3800, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9220])

      call avR2(3800, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9219])

      allocate(vertices(3208)%branchR2(0:0))
      call avR2(3208, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(2711)%branchR2(0:0))
      call avR2(2711, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9248])

      allocate(vertices(123)%branchR2(0:0))
      call avR2(123, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8781])

      allocate(vertices(2941)%branchR2(0:0))
      call avR2(2941, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(2488)%branchR2(0:1))
      call avR2(2488, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(2488, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8849, nGC_8848])

      allocate(vertices(2776)%branchR2(0:0))
      call avR2(2776, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(1950)%branchR2(0:0))
      call avR2(1950, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_9021, nGC_9020])

      allocate(vertices(2716)%branchR2(0:0))
      call avR2(2716, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8775])

      allocate(vertices(206)%branchR2(0:0))
      call avR2(206, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(179)%branchR2(0:1))
      call avR2(179, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9027])

      call avR2(179, 1, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_9028])

      allocate(vertices(3273)%branchR2(0:0))
      call avR2(3273, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(316)%branchR2(0:0))
      call avR2(316, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(3429)%branchR2(0:0))
      call avR2(3429, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2521)%branchR2(0:0))
      call avR2(2521, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3220)%branchR2(0:0))
      call avR2(3220, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

      allocate(vertices(3530)%branchR2(0:0))
      call avR2(3530, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_8800])

      allocate(vertices(2420)%branchR2(0:0))
      call avR2(2420, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9096,        &
      nGC_9095])

      allocate(vertices(509)%branchR2(0:1))
      call avR2(509, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8975, nGC_8975])

      call avR2(509, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8973, nGC_8974])

      allocate(vertices(3233)%branchR2(0:0))
      call avR2(3233, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9116])

      allocate(vertices(3801)%branchR2(0:0))
      call avR2(3801, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9100])

      allocate(vertices(2898)%branchR2(0:0))
      call avR2(2898, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9127])

      allocate(vertices(2616)%branchR2(0:0))
      call avR2(2616, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8854])

      allocate(vertices(3280)%branchR2(0:0))
      call avR2(3280, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_8799])

      allocate(vertices(2905)%branchR2(0:0))
      call avR2(2905, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(3146)%branchR2(0:0))
      call avR2(3146, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(2683)%branchR2(0:1))
      call avR2(2683, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_9014, nGC_9015])

      call avR2(2683, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_9016, nGC_9016])

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(3802)%branchR2(0:0))
      call avR2(3802, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(248)%branchR2(0:0))
      call avR2(248, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(2926)%branchR2(0:0))
      call avR2(2926, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8795, nGC_8796])

      allocate(vertices(3803)%branchR2(0:0))
      call avR2(3803, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(278)%branchR2(0:0))
      call avR2(278, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8856])

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_32106])

      allocate(vertices(1637)%branchR2(0:0))
      call avR2(1637, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8900])

      allocate(vertices(2628)%branchR2(0:0))
      call avR2(2628, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2029)%branchR2(0:3))
      call avR2(2029, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9083, nGC_9082])

      call avR2(2029, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(2029, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9081, nGC_9080])

      call avR2(2029, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(1945)%branchR2(0:0))
      call avR2(1945, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(3804)%branchR2(0:1))
      call avR2(3804, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9253])

      call avR2(3804, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9254])

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9131,       &
      nGC_9132])

      allocate(vertices(1619)%branchR2(0:3))
      call avR2(1619, 0, 37, 1, 0, FaFV1, 0, [1, 2], [nGC_9058, nGC_9056])

      call avR2(1619, 1, 37, 1, 0, FaFV1, 0, [3, 0], [nGC_9057, nGC_9057])

      call avR2(1619, 2, 36, 1, 0, FaFV1, 0, [1, 2], [nGC_9061, nGC_9059])

      call avR2(1619, 3, 36, 1, 0, FaFV1, 0, [3, 0], [nGC_9060, nGC_9060])

      allocate(vertices(2772)%branchR2(0:0))
      call avR2(2772, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(2470)%branchR2(0:0))
      call avR2(2470, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3805)%branchR2(0:0))
      call avR2(3805, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_31257])

      allocate(vertices(1977)%branchR2(0:0))
      call avR2(1977, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_33070])

      allocate(vertices(3048)%branchR2(0:0))
      call avR2(3048, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9108, nGC_9109,       &
      nGC_9109])

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(3318)%branchR2(0:0))
      call avR2(3318, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9214])

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8840])

      allocate(vertices(809)%branchR2(0:1))
      call avR2(809, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8961, nGC_8963])

      call avR2(809, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8962, nGC_8964])

      allocate(vertices(3807)%branchR2(0:1))
      call avR2(3807, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9219])

      call avR2(3807, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9220])

      allocate(vertices(2210)%branchR2(0:0))
      call avR2(2210, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1984)%branchR2(0:0))
      call avR2(1984, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(544)%branchR2(0:0))
      call avR2(544, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3808)%branchR2(0:1))
      call avR2(3808, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9117, nGC_9117,      &
      nGC_9117])

      call avR2(3808, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9118, nGC_9118,      &
      nGC_9118])

      allocate(vertices(3809)%branchR2(0:0))
      call avR2(3809, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

      allocate(vertices(1883)%branchR2(0:0))
      call avR2(1883, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2912)%branchR2(0:0))
      call avR2(2912, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1773)%branchR2(0:0))
      call avR2(1773, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2088)%branchR2(0:0))
      call avR2(2088, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(3810)%branchR2(0:1))
      call avR2(3810, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9253])

      call avR2(3810, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9254])

      allocate(vertices(3409)%branchR2(0:0))
      call avR2(3409, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1952)%branchR2(0:0))
      call avR2(1952, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8921])

      allocate(vertices(216)%branchR2(0:1))
      call avR2(216, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8886, nGC_8888])

      call avR2(216, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8887, nGC_8889])

      allocate(vertices(3341)%branchR2(0:0))
      call avR2(3341, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(20)%branchR2(0:1))
      call avR2(20, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8939, nGC_8941])

      call avR2(20, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8940, nGC_8942])

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(1461)%branchR2(0:1))
      call avR2(1461, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8914, nGC_8912])

      call avR2(1461, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8927, nGC_8926])

      allocate(vertices(1158)%branchR2(0:0))
      call avR2(1158, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(2448)%branchR2(0:0))
      call avR2(2448, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2842)%branchR2(0:0))
      call avR2(2842, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_8719, nGC_8718])

      allocate(vertices(1106)%branchR2(0:1))
      call avR2(1106, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(1106, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(3811)%branchR2(0:0))
      call avR2(3811, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2103)%branchR2(0:0))
      call avR2(2103, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8856])

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

      allocate(vertices(1565)%branchR2(0:0))
      call avR2(1565, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_33132])

      allocate(vertices(2334)%branchR2(0:0))
      call avR2(2334, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3812)%branchR2(0:1))
      call avR2(3812, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9153])

      call avR2(3812, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9152])

      allocate(vertices(2241)%branchR2(0:0))
      call avR2(2241, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_9052, nGC_9053])

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(1313)%branchR2(0:0))
      call avR2(1313, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(3813)%branchR2(0:0))
      call avR2(3813, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(3529)%branchR2(0:0))
      call avR2(3529, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9043, nGC_9044])

      allocate(vertices(3814)%branchR2(0:5))
      call avR2(3814, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_9158, nGC_9158,      &
      nGC_9158])

      call avR2(3814, 1, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_9160, nGC_9160,      &
      nGC_9160])

      call avR2(3814, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3814, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3814, 4, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3814, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_9158, nGC_9158,      &
      nGC_9158])

      allocate(vertices(1190)%branchR2(0:0))
      call avR2(1190, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(3374)%branchR2(0:0))
      call avR2(3374, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9248])

      allocate(vertices(3815)%branchR2(0:0))
      call avR2(3815, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9265, nGC_9265,       &
      nGC_9265])

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(287)%branchR2(0:1))
      call avR2(287, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8870, nGC_8872])

      call avR2(287, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8871, nGC_8873])

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8980, nGC_8979])

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(3816)%branchR2(0:5))
      call avR2(3816, 0, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_9158, nGC_9158,      &
      nGC_9158])

      call avR2(3816, 1, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3816, 2, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9158, nGC_9158,      &
      nGC_9158])

      call avR2(3816, 3, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      call avR2(3816, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_9160, nGC_9160,      &
      nGC_9160])

      call avR2(3816, 5, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_9159, nGC_9159,      &
      nGC_9159])

      allocate(vertices(3817)%branchR2(0:0))
      call avR2(3817, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(737)%branchR2(0:1))
      call avR2(737, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(737, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(1438)%branchR2(0:1))
      call avR2(1438, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_9017, nGC_9018])

      call avR2(1438, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_9019, nGC_9019])

      allocate(vertices(2151)%branchR2(0:0))
      call avR2(2151, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2456)%branchR2(0:1))
      call avR2(2456, 0, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(2456, 1, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_9055, nGC_9054])

      allocate(vertices(3053)%branchR2(0:0))
      call avR2(3053, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(3085)%branchR2(0:0))
      call avR2(3085, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2544)%branchR2(0:0))
      call avR2(2544, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(620)%branchR2(0:1))
      call avR2(620, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_9033, nGC_9031])

      call avR2(620, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_9034, nGC_9032])

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(2377)%branchR2(0:0))
      call avR2(2377, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(3818)%branchR2(0:1))
      call avR2(3818, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9171])

      call avR2(3818, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(234)%branchR2(0:1))
      call avR2(234, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(234, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_8805, nGC_8804])

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(2415)%branchR2(0:1))
      call avR2(2415, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8939, nGC_8941])

      call avR2(2415, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8940, nGC_8942])

      allocate(vertices(3039)%branchR2(0:0))
      call avR2(3039, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1839)%branchR2(0:1))
      call avR2(1839, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8829, nGC_8827])

      call avR2(1839, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8830, nGC_8828])

      allocate(vertices(2265)%branchR2(0:0))
      call avR2(2265, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2031)%branchR2(0:0))
      call avR2(2031, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

      allocate(vertices(2326)%branchR2(0:0))
      call avR2(2326, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(29)%branchR2(0:0))
      call avR2(29, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30502])

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(526)%branchR2(0:1))
      call avR2(526, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(526, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(2181)%branchR2(0:0))
      call avR2(2181, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9244])

      allocate(vertices(1854)%branchR2(0:0))
      call avR2(1854, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(609)%branchR2(0:0))
      call avR2(609, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(1567)%branchR2(0:0))
      call avR2(1567, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9259, nGC_9260,        &
      nGC_9258])

      allocate(vertices(785)%branchR2(0:0))
      call avR2(785, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8950, nGC_8949])

      allocate(vertices(2523)%branchR2(0:0))
      call avR2(2523, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8891, nGC_8890])

      allocate(vertices(3819)%branchR2(0:1))
      call avR2(3819, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9171])

      call avR2(3819, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9170])

      allocate(vertices(851)%branchR2(0:0))
      call avR2(851, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8928])

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(2932)%branchR2(0:0))
      call avR2(2932, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1222)%branchR2(0:0))
      call avR2(1222, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8771])

      allocate(vertices(1541)%branchR2(0:0))
      call avR2(1541, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8856])

      allocate(vertices(648)%branchR2(0:0))
      call avR2(648, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(2254)%branchR2(0:0))
      call avR2(2254, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(920)%branchR2(0:1))
      call avR2(920, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(920, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_8791, nGC_8790])

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3113)%branchR2(0:0))
      call avR2(3113, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30506])

      allocate(vertices(3820)%branchR2(0:1))
      call avR2(3820, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9267, nGC_9267,      &
      nGC_9267])

      call avR2(3820, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9266, nGC_9266,      &
      nGC_9266])

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

      allocate(vertices(2750)%branchR2(0:0))
      call avR2(2750, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(1718)%branchR2(0:0))
      call avR2(1718, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(3821)%branchR2(0:1))
      call avR2(3821, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9263])

      call avR2(3821, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9264])

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(1788)%branchR2(0:0))
      call avR2(1788, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_33070])

      allocate(vertices(3822)%branchR2(0:1))
      call avR2(3822, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      call avR2(3822, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      allocate(vertices(2343)%branchR2(0:0))
      call avR2(2343, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9045])

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3823)%branchR2(0:1))
      call avR2(3823, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9220])

      call avR2(3823, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9219])

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3065)%branchR2(0:0))
      call avR2(3065, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29961])

      allocate(vertices(3824)%branchR2(0:1))
      call avR2(3824, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_9010])

      call avR2(3824, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_9011])

      allocate(vertices(2586)%branchR2(0:0))
      call avR2(2586, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9130,       &
      nGC_9131])

      allocate(vertices(299)%branchR2(0:1))
      call avR2(299, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9033, nGC_9031])

      call avR2(299, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

      allocate(vertices(3825)%branchR2(0:1))
      call avR2(3825, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      call avR2(3825, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      allocate(vertices(2110)%branchR2(0:0))
      call avR2(2110, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1810)%branchR2(0:0))
      call avR2(1810, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8806, nGC_8807])

      allocate(vertices(2348)%branchR2(0:0))
      call avR2(2348, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1627)%branchR2(0:0))
      call avR2(1627, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(125)%branchR2(0:0))
      call avR2(125, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30209])

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3423)%branchR2(0:0))
      call avR2(3423, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1345)%branchR2(0:0))
      call avR2(1345, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(367)%branchR2(0:1))
      call avR2(367, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(367, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9055, nGC_9054])

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2981)%branchR2(0:0))
      call avR2(2981, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3826)%branchR2(0:0))
      call avR2(3826, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9098,       &
      nGC_9098])

      allocate(vertices(253)%branchR2(0:1))
      call avR2(253, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(253, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8849, nGC_8848])

      allocate(vertices(1933)%branchR2(0:0))
      call avR2(1933, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(3372)%branchR2(0:1))
      call avR2(3372, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8745, nGC_8743,       &
      nGC_8751, nGC_8751])

      call avR2(3372, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8750, nGC_8750])

      allocate(vertices(2367)%branchR2(0:0))
      call avR2(2367, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8929])

      allocate(vertices(1721)%branchR2(0:0))
      call avR2(1721, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(3496)%branchR2(0:0))
      call avR2(3496, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(288)%branchR2(0:1))
      call avR2(288, 0, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(288, 1, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_9055, nGC_9054])

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(2049)%branchR2(0:1))
      call avR2(2049, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8829, nGC_8827])

      call avR2(2049, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8830, nGC_8828])

      allocate(vertices(3827)%branchR2(0:0))
      call avR2(3827, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(2442)%branchR2(0:0))
      call avR2(2442, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3074)%branchR2(0:0))
      call avR2(3074, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(3828)%branchR2(0:0))
      call avR2(3828, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9100])

      allocate(vertices(3829)%branchR2(0:1))
      call avR2(3829, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      call avR2(3829, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      allocate(vertices(1111)%branchR2(0:0))
      call avR2(1111, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(3830)%branchR2(0:1))
      call avR2(3830, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9170])

      call avR2(3830, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9171])

      allocate(vertices(3831)%branchR2(0:0))
      call avR2(3831, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(233)%branchR2(0:0))
      call avR2(233, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9260, nGC_9259,        &
      nGC_9258])

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

      allocate(vertices(1832)%branchR2(0:0))
      call avR2(1832, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2358)%branchR2(0:0))
      call avR2(2358, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8821])

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(2272)%branchR2(0:0))
      call avR2(2272, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8836])

      allocate(vertices(2957)%branchR2(0:0))
      call avR2(2957, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1378)%branchR2(0:0))
      call avR2(1378, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8879, nGC_8878])

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(3832)%branchR2(0:1))
      call avR2(3832, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9219])

      call avR2(3832, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9220])

      allocate(vertices(2642)%branchR2(0:0))
      call avR2(2642, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2283)%branchR2(0:1))
      call avR2(2283, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_8791, nGC_8790])

      call avR2(2283, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(3038)%branchR2(0:0))
      call avR2(3038, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9188])

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8916])

      allocate(vertices(2985)%branchR2(0:0))
      call avR2(2985, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_8753, nGC_8754,       &
      nGC_8752, nGC_8752])

      allocate(vertices(3119)%branchR2(0:0))
      call avR2(3119, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(3833)%branchR2(0:1))
      call avR2(3833, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9240])

      call avR2(3833, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9241])

      allocate(vertices(3834)%branchR2(0:1))
      call avR2(3834, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9219])

      call avR2(3834, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9220])

      allocate(vertices(156)%branchR2(0:0))
      call avR2(156, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(2509)%branchR2(0:0))
      call avR2(2509, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3483)%branchR2(0:0))
      call avR2(3483, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(780)%branchR2(0:0))
      call avR2(780, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1873)%branchR2(0:0))
      call avR2(1873, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(3572)%branchR2(0:0))
      call avR2(3572, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8819])

      allocate(vertices(1357)%branchR2(0:1))
      call avR2(1357, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8831, nGC_8833])

      call avR2(1357, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8832, nGC_8834])

      allocate(vertices(999)%branchR2(0:0))
      call avR2(999, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9249])

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2849)%branchR2(0:0))
      call avR2(2849, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8784])

      allocate(vertices(2548)%branchR2(0:0))
      call avR2(2548, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(3545)%branchR2(0:0))
      call avR2(3545, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(284)%branchR2(0:1))
      call avR2(284, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8955, nGC_8957])

      call avR2(284, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8956, nGC_8958])

      allocate(vertices(1474)%branchR2(0:3))
      call avR2(1474, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9061, nGC_9059])

      call avR2(1474, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(1474, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9058, nGC_9056])

      call avR2(1474, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(3835)%branchR2(0:1))
      call avR2(3835, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9170])

      call avR2(3835, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9171])

      allocate(vertices(3836)%branchR2(0:0))
      call avR2(3836, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9097])

      allocate(vertices(2246)%branchR2(0:0))
      call avR2(2246, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(199)%branchR2(0:0))
      call avR2(199, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9149])

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9243])

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8901])

      allocate(vertices(3110)%branchR2(0:0))
      call avR2(3110, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3837)%branchR2(0:0))
      call avR2(3837, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9091])

      allocate(vertices(1532)%branchR2(0:0))
      call avR2(1532, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(1412)%branchR2(0:0))
      call avR2(1412, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8917])

      allocate(vertices(817)%branchR2(0:1))
      call avR2(817, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8886, nGC_8888])

      call avR2(817, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8887, nGC_8889])

      allocate(vertices(997)%branchR2(0:0))
      call avR2(997, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(1273)%branchR2(0:0))
      call avR2(1273, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2125)%branchR2(0:0))
      call avR2(2125, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8835])

      allocate(vertices(781)%branchR2(0:0))
      call avR2(781, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(2601)%branchR2(0:0))
      call avR2(2601, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1969)%branchR2(0:0))
      call avR2(1969, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_32106])

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(2038)%branchR2(0:0))
      call avR2(2038, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8902])

      allocate(vertices(2920)%branchR2(0:0))
      call avR2(2920, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1687)%branchR2(0:1))
      call avR2(1687, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_8791, nGC_8790])

      call avR2(1687, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(1733)%branchR2(0:0))
      call avR2(1733, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9030])

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(567)%branchR2(0:1))
      call avR2(567, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

      call avR2(567, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8948, nGC_8947])

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1609)%branchR2(0:0))
      call avR2(1609, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2625)%branchR2(0:0))
      call avR2(2625, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(3838)%branchR2(0:1))
      call avR2(3838, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_9010])

      call avR2(3838, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_9011])

      allocate(vertices(1430)%branchR2(0:0))
      call avR2(1430, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2393)%branchR2(0:0))
      call avR2(2393, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8932])

      allocate(vertices(3499)%branchR2(0:0))
      call avR2(3499, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2532)%branchR2(0:0))
      call avR2(2532, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9029])

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(3839)%branchR2(0:0))
      call avR2(3839, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

      allocate(vertices(1724)%branchR2(0:1))
      call avR2(1724, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(1724, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_8794, nGC_8793])

      allocate(vertices(1023)%branchR2(0:0))
      call avR2(1023, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(3548)%branchR2(0:0))
      call avR2(3548, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9245])

      allocate(vertices(2433)%branchR2(0:0))
      call avR2(2433, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9047])

      allocate(vertices(1792)%branchR2(0:0))
      call avR2(1792, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(83)%branchR2(0:0))
      call avR2(83, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3096)%branchR2(0:0))
      call avR2(3096, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1440)%branchR2(0:0))
      call avR2(1440, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2589)%branchR2(0:0))
      call avR2(2589, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(2406)%branchR2(0:0))
      call avR2(2406, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(2067)%branchR2(0:0))
      call avR2(2067, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8919])

      allocate(vertices(1974)%branchR2(0:0))
      call avR2(1974, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(2153)%branchR2(0:1))
      call avR2(2153, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8988, nGC_8989])

      call avR2(2153, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8990, nGC_8990])

      allocate(vertices(3225)%branchR2(0:0))
      call avR2(3225, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(3840)%branchR2(0:1))
      call avR2(3840, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9267, nGC_9267,      &
      nGC_9267])

      call avR2(3840, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9266, nGC_9266,      &
      nGC_9266])

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2698)%branchR2(0:3))
      call avR2(2698, 0, 35, 1, 0, FaVF1, 0, [1, 2], [nGC_9067, nGC_9066])

      call avR2(2698, 1, 35, 1, 0, FaVF1, 0, [3, 0], [nGC_9057, nGC_9057])

      call avR2(2698, 2, 34, 1, 0, FaVF1, 0, [1, 2], [nGC_9069, nGC_9068])

      call avR2(2698, 3, 34, 1, 0, FaVF1, 0, [3, 0], [nGC_9060, nGC_9060])

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(1520)%branchR2(0:1))
      call avR2(1520, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8829, nGC_8827])

      call avR2(1520, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8830, nGC_8828])

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2834)%branchR2(0:0))
      call avR2(2834, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9030])

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2128)%branchR2(0:0))
      call avR2(2128, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2467)%branchR2(0:1))
      call avR2(2467, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8943, nGC_8945])

      call avR2(2467, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8944, nGC_8946])

      allocate(vertices(2686)%branchR2(0:0))
      call avR2(2686, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1991)%branchR2(0:0))
      call avR2(1991, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(1853)%branchR2(0:0))
      call avR2(1853, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2370)%branchR2(0:1))
      call avR2(2370, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(2370, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(2416)%branchR2(0:0))
      call avR2(2416, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8902])

      allocate(vertices(1758)%branchR2(0:0))
      call avR2(1758, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8864])

      allocate(vertices(2598)%branchR2(0:0))
      call avR2(2598, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9132,       &
      nGC_9131])

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1167)%branchR2(0:0))
      call avR2(1167, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2231)%branchR2(0:0))
      call avR2(2231, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9201])

      allocate(vertices(519)%branchR2(0:1))
      call avR2(519, 0, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

      call avR2(519, 1, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_9028])

      allocate(vertices(3171)%branchR2(0:0))
      call avR2(3171, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2539)%branchR2(0:0))
      call avR2(2539, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

      allocate(vertices(525)%branchR2(0:0))
      call avR2(525, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3842)%branchR2(0:1))
      call avR2(3842, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9170])

      call avR2(3842, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9171])

      allocate(vertices(3087)%branchR2(0:0))
      call avR2(3087, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(2853)%branchR2(0:0))
      call avR2(2853, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9188])

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3843)%branchR2(0:1))
      call avR2(3843, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9226])

      call avR2(3843, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9225])

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(127)%branchR2(0:0))
      call avR2(127, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8854])

      allocate(vertices(2216)%branchR2(0:0))
      call avR2(2216, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3370)%branchR2(0:0))
      call avR2(3370, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1049)%branchR2(0:1))
      call avR2(1049, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_8788, nGC_8787])

      call avR2(1049, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(2395)%branchR2(0:0))
      call avR2(2395, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9246])

      allocate(vertices(3334)%branchR2(0:0))
      call avR2(3334, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8801])

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1142)%branchR2(0:1))
      call avR2(1142, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(1142, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_9055, nGC_9054])

      allocate(vertices(346)%branchR2(0:0))
      call avR2(346, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3304)%branchR2(0:0))
      call avR2(3304, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30135])

      allocate(vertices(1072)%branchR2(0:0))
      call avR2(1072, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9204])

      allocate(vertices(3844)%branchR2(0:0))
      call avR2(3844, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(492)%branchR2(0:0))
      call avR2(492, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(471)%branchR2(0:0))
      call avR2(471, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(5)%branchR2(0:0))
      call avR2(5, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(3586)%branchR2(0:0))
      call avR2(3586, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29575])

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(2162)%branchR2(0:0))
      call avR2(2162, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9094,       &
      nGC_9096])

      allocate(vertices(1590)%branchR2(0:0))
      call avR2(1590, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8836])

      allocate(vertices(2723)%branchR2(0:0))
      call avR2(2723, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1801)%branchR2(0:0))
      call avR2(1801, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8845])

      allocate(vertices(215)%branchR2(0:0))
      call avR2(215, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(2846)%branchR2(0:0))
      call avR2(2846, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8770])

      allocate(vertices(3449)%branchR2(0:0))
      call avR2(3449, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(1625)%branchR2(0:0))
      call avR2(1625, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(3127)%branchR2(0:0))
      call avR2(3127, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_8714, nGC_8713])

      allocate(vertices(1538)%branchR2(0:0))
      call avR2(1538, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(873)%branchR2(0:0))
      call avR2(873, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3133)%branchR2(0:0))
      call avR2(3133, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(2310)%branchR2(0:0))
      call avR2(2310, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9089])

      allocate(vertices(2558)%branchR2(0:0))
      call avR2(2558, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2657)%branchR2(0:0))
      call avR2(2657, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8929])

      allocate(vertices(2808)%branchR2(0:0))
      call avR2(2808, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1249)%branchR2(0:0))
      call avR2(1249, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(3184)%branchR2(0:0))
      call avR2(3184, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(3845)%branchR2(0:0))
      call avR2(3845, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9197])

      allocate(vertices(3011)%branchR2(0:0))
      call avR2(3011, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(3324)%branchR2(0:0))
      call avR2(3324, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(698)%branchR2(0:0))
      call avR2(698, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_8930])

      allocate(vertices(3178)%branchR2(0:0))
      call avR2(3178, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9127])

      allocate(vertices(1427)%branchR2(0:0))
      call avR2(1427, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8916])

      allocate(vertices(2556)%branchR2(0:0))
      call avR2(2556, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(1941)%branchR2(0:0))
      call avR2(1941, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3846)%branchR2(0:0))
      call avR2(3846, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9090])

      allocate(vertices(1694)%branchR2(0:0))
      call avR2(1694, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(3847)%branchR2(0:1))
      call avR2(3847, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_8981])

      call avR2(3847, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_8982])

      allocate(vertices(36)%branchR2(0:0))
      call avR2(36, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1972)%branchR2(0:0))
      call avR2(1972, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(2594)%branchR2(0:1))
      call avR2(2594, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_9037, nGC_9035])

      call avR2(2594, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_9038, nGC_9036])

      allocate(vertices(1285)%branchR2(0:0))
      call avR2(1285, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(1143)%branchR2(0:0))
      call avR2(1143, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8847])

      allocate(vertices(3117)%branchR2(0:0))
      call avR2(3117, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1908)%branchR2(0:0))
      call avR2(1908, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9232])

      allocate(vertices(580)%branchR2(0:0))
      call avR2(580, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8780])

      allocate(vertices(3198)%branchR2(0:0))
      call avR2(3198, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(3419)%branchR2(0:0))
      call avR2(3419, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_33132])

      allocate(vertices(2098)%branchR2(0:0))
      call avR2(2098, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2092)%branchR2(0:0))
      call avR2(2092, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(151)%branchR2(0:1))
      call avR2(151, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8874, nGC_8876])

      call avR2(151, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8875, nGC_8877])

      allocate(vertices(3848)%branchR2(0:5))
      call avR2(3848, 0, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,      &
      nGC_9268])

      call avR2(3848, 1, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3848, 2, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3848, 3, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9269, nGC_9269,      &
      nGC_9269])

      call avR2(3848, 4, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9270, nGC_9270,      &
      nGC_9270])

      call avR2(3848, 5, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_9268, nGC_9268,      &
      nGC_9268])

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9052, nGC_9053])

      allocate(vertices(833)%branchR2(0:0))
      call avR2(833, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(128)%branchR2(0:0))
      call avR2(128, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8934])

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1421)%branchR2(0:1))
      call avR2(1421, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8908, nGC_8910])

      call avR2(1421, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8924, nGC_8925])

      allocate(vertices(2859)%branchR2(0:0))
      call avR2(2859, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1915)%branchR2(0:0))
      call avR2(1915, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(2064)%branchR2(0:0))
      call avR2(2064, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9201])

      allocate(vertices(3464)%branchR2(0:0))
      call avR2(3464, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(2495)%branchR2(0:0))
      call avR2(2495, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2196)%branchR2(0:0))
      call avR2(2196, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1326)%branchR2(0:0))
      call avR2(1326, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1648)%branchR2(0:0))
      call avR2(1648, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29563])

      allocate(vertices(1540)%branchR2(0:0))
      call avR2(1540, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2561)%branchR2(0:0))
      call avR2(2561, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3849)%branchR2(0:1))
      call avR2(3849, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9153])

      call avR2(3849, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9152])

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9052, nGC_9053])

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3551)%branchR2(0:0))
      call avR2(3551, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8950, nGC_8949])

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2637)%branchR2(0:0))
      call avR2(2637, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

      allocate(vertices(508)%branchR2(0:0))
      call avR2(508, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2099)%branchR2(0:0))
      call avR2(2099, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(2017)%branchR2(0:0))
      call avR2(2017, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

      allocate(vertices(1663)%branchR2(0:0))
      call avR2(1663, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(3351)%branchR2(0:0))
      call avR2(3351, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_8800])

      allocate(vertices(3209)%branchR2(0:0))
      call avR2(3209, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(2423)%branchR2(0:0))
      call avR2(2423, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3850)%branchR2(0:0))
      call avR2(3850, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9098,       &
      nGC_9098])

      allocate(vertices(1796)%branchR2(0:0))
      call avR2(1796, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8771])

      allocate(vertices(2364)%branchR2(0:1))
      call avR2(2364, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8987, nGC_8987])

      call avR2(2364, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8985, nGC_8986])

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9229])

      allocate(vertices(1809)%branchR2(0:0))
      call avR2(1809, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8881, nGC_8880])

      allocate(vertices(2604)%branchR2(0:0))
      call avR2(2604, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9255])

      allocate(vertices(2693)%branchR2(0:0))
      call avR2(2693, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

      allocate(vertices(1851)%branchR2(0:0))
      call avR2(1851, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(3851)%branchR2(0:1))
      call avR2(3851, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9253])

      call avR2(3851, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9254])

      allocate(vertices(3003)%branchR2(0:0))
      call avR2(3003, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(321)%branchR2(0:1))
      call avR2(321, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8972, nGC_8972])

      call avR2(321, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8970, nGC_8971])

      allocate(vertices(2189)%branchR2(0:0))
      call avR2(2189, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(3852)%branchR2(0:1))
      call avR2(3852, 0, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      call avR2(3852, 1, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      allocate(vertices(1920)%branchR2(0:1))
      call avR2(1920, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8882, nGC_8884])

      call avR2(1920, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8883, nGC_8885])

      allocate(vertices(1667)%branchR2(0:0))
      call avR2(1667, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(487)%branchR2(0:1))
      call avR2(487, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(487, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_8788, nGC_8787])

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9029])

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(1041)%branchR2(0:0))
      call avR2(1041, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8855])

      allocate(vertices(915)%branchR2(0:0))
      call avR2(915, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(384)%branchR2(0:0))
      call avR2(384, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(1900)%branchR2(0:0))
      call avR2(1900, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9030])

      allocate(vertices(3090)%branchR2(0:0))
      call avR2(3090, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1712)%branchR2(0:0))
      call avR2(1712, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9250])

      allocate(vertices(890)%branchR2(0:0))
      call avR2(890, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9096, nGC_9094,        &
      nGC_9095])

      allocate(vertices(1863)%branchR2(0:0))
      call avR2(1863, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(521)%branchR2(0:0))
      call avR2(521, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(328)%branchR2(0:0))
      call avR2(328, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_33070])

      allocate(vertices(2840)%branchR2(0:0))
      call avR2(2840, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8762])

      allocate(vertices(2066)%branchR2(0:0))
      call avR2(2066, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1263)%branchR2(0:0))
      call avR2(1263, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8920])

      allocate(vertices(2190)%branchR2(0:0))
      call avR2(2190, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

      allocate(vertices(3853)%branchR2(0:0))
      call avR2(3853, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2788)%branchR2(0:0))
      call avR2(2788, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1549)%branchR2(0:0))
      call avR2(1549, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9213])

      allocate(vertices(6)%branchR2(0:0))
      call avR2(6, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(3132)%branchR2(0:0))
      call avR2(3132, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8819])

      allocate(vertices(1486)%branchR2(0:0))
      call avR2(1486, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_8795, nGC_8796])

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1528)%branchR2(0:0))
      call avR2(1528, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3049)%branchR2(0:0))
      call avR2(3049, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(2877)%branchR2(0:0))
      call avR2(2877, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9116])

      allocate(vertices(1943)%branchR2(0:3))
      call avR2(1943, 0, 37, 1, 0, FaFV1, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(1943, 1, 37, 1, 0, FaFV1, 0, [3, 0], [nGC_9072, nGC_9072])

      call avR2(1943, 2, 36, 1, 0, FaFV1, 0, [1, 2], [nGC_9074, nGC_9073])

      call avR2(1943, 3, 36, 1, 0, FaFV1, 0, [3, 0], [nGC_9075, nGC_9075])

      allocate(vertices(3532)%branchR2(0:0))
      call avR2(3532, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8770])

      allocate(vertices(459)%branchR2(0:0))
      call avR2(459, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(3854)%branchR2(0:0))
      call avR2(3854, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(574)%branchR2(0:0))
      call avR2(574, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8841])

      allocate(vertices(3012)%branchR2(0:0))
      call avR2(3012, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(3855)%branchR2(0:1))
      call avR2(3855, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9219])

      call avR2(3855, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9220])

      allocate(vertices(1322)%branchR2(0:0))
      call avR2(1322, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2096)%branchR2(0:1))
      call avR2(2096, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9024, nGC_9024])

      call avR2(2096, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_9022, nGC_9023])

      allocate(vertices(1504)%branchR2(0:1))
      call avR2(1504, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_8803, nGC_8802])

      call avR2(1504, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(2705)%branchR2(0:0))
      call avR2(2705, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8960, nGC_8959])

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(2114)%branchR2(0:0))
      call avR2(2114, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1595)%branchR2(0:0))
      call avR2(1595, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(391)%branchR2(0:0))
      call avR2(391, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_8915])

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(3261)%branchR2(0:0))
      call avR2(3261, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9133])

      allocate(vertices(1860)%branchR2(0:0))
      call avR2(1860, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8915])

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2187)%branchR2(0:0))
      call avR2(2187, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1507)%branchR2(0:1))
      call avR2(1507, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8908, nGC_8910])

      call avR2(1507, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8924, nGC_8925])

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(3236)%branchR2(0:0))
      call avR2(3236, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9168])

      allocate(vertices(3539)%branchR2(0:0))
      call avR2(3539, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8772])

      allocate(vertices(2192)%branchR2(0:0))
      call avR2(2192, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1695)%branchR2(0:0))
      call avR2(1695, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8917])

      allocate(vertices(3376)%branchR2(0:0))
      call avR2(3376, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9127])

      allocate(vertices(2828)%branchR2(0:0))
      call avR2(2828, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(3274)%branchR2(0:0))
      call avR2(3274, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30956])

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1751)%branchR2(0:0))
      call avR2(1751, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(558)%branchR2(0:0))
      call avR2(558, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8928])

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9250])

      allocate(vertices(189)%branchR2(0:1))
      call avR2(189, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_9022, nGC_9023])

      call avR2(189, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_9024, nGC_9024])

      allocate(vertices(3525)%branchR2(0:1))
      call avR2(3525, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8749, nGC_8747,       &
      nGC_8765, nGC_8765])

      call avR2(3525, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8766, nGC_8766])

      allocate(vertices(3345)%branchR2(0:0))
      call avR2(3345, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_8739, nGC_8738,        &
      nGC_8740])

      allocate(vertices(1491)%branchR2(0:0))
      call avR2(1491, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3856)%branchR2(0:1))
      call avR2(3856, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_8981])

      call avR2(3856, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_8982])

      allocate(vertices(1850)%branchR2(0:0))
      call avR2(1850, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8847])

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(1692)%branchR2(0:0))
      call avR2(1692, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(879)%branchR2(0:1))
      call avR2(879, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8951, nGC_8953])

      call avR2(879, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8952, nGC_8954])

      allocate(vertices(2876)%branchR2(0:0))
      call avR2(2876, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8819])

      allocate(vertices(1665)%branchR2(0:1))
      call avR2(1665, 0, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_9027])

      call avR2(1665, 1, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_9028])

      allocate(vertices(2785)%branchR2(0:0))
      call avR2(2785, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1531)%branchR2(0:0))
      call avR2(1531, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8915])

      allocate(vertices(3857)%branchR2(0:1))
      call avR2(3857, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9251])

      call avR2(3857, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9252])

      allocate(vertices(1174)%branchR2(0:0))
      call avR2(1174, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(3177)%branchR2(0:0))
      call avR2(3177, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(666)%branchR2(0:0))
      call avR2(666, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9259, nGC_9260,        &
      nGC_9258])

      allocate(vertices(852)%branchR2(0:0))
      call avR2(852, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2493)%branchR2(0:3))
      call avR2(2493, 0, 37, 1, 0, FaFV1, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(2493, 1, 37, 1, 0, FaFV1, 0, [3, 0], [nGC_9072, nGC_9072])

      call avR2(2493, 2, 36, 1, 0, FaFV1, 0, [1, 2], [nGC_9079, nGC_9078])

      call avR2(2493, 3, 36, 1, 0, FaFV1, 0, [3, 0], [nGC_9075, nGC_9075])

      allocate(vertices(1077)%branchR2(0:0))
      call avR2(1077, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(401)%branchR2(0:0))
      call avR2(401, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(3555)%branchR2(0:0))
      call avR2(3555, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8785])

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9029])

      allocate(vertices(3858)%branchR2(0:0))
      call avR2(3858, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

      allocate(vertices(1944)%branchR2(0:1))
      call avR2(1944, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_8788, nGC_8787])

      call avR2(1944, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(3224)%branchR2(0:0))
      call avR2(3224, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1411)%branchR2(0:1))
      call avR2(1411, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(1411, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_8794, nGC_8793])

      allocate(vertices(1189)%branchR2(0:0))
      call avR2(1189, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(2372)%branchR2(0:0))
      call avR2(2372, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(3461)%branchR2(0:0))
      call avR2(3461, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1489)%branchR2(0:1))
      call avR2(1489, 0, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(1489, 1, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_9051, nGC_9050])

      allocate(vertices(3859)%branchR2(0:1))
      call avR2(3859, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9170])

      call avR2(3859, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9171])

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9095, nGC_9096&
      ])

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8855])

      allocate(vertices(2661)%branchR2(0:0))
      call avR2(2661, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2884)%branchR2(0:0))
      call avR2(2884, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(1102)%branchR2(0:1))
      call avR2(1102, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8831, nGC_8833])

      call avR2(1102, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8832, nGC_8834])

      allocate(vertices(1845)%branchR2(0:0))
      call avR2(1845, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2340)%branchR2(0:0))
      call avR2(2340, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1377)%branchR2(0:0))
      call avR2(1377, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(3860)%branchR2(0:0))
      call avR2(3860, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9090])

      allocate(vertices(3861)%branchR2(0:0))
      call avR2(3861, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9098,       &
      nGC_9098])

      allocate(vertices(211)%branchR2(0:0))
      call avR2(211, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(1879)%branchR2(0:3))
      call avR2(1879, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9074, nGC_9073])

      call avR2(1879, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(1879, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(1879, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9243])

      allocate(vertices(2357)%branchR2(0:3))
      call avR2(2357, 0, 40, 1, 0, VFaF0, 0, [1, 2], [nGC_9069, nGC_9068])

      call avR2(2357, 1, 40, 1, 0, VFaF0, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(2357, 2, 41, 1, 0, VFaF0, 0, [1, 2], [nGC_9067, nGC_9066])

      call avR2(2357, 3, 41, 1, 0, VFaF0, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(783)%branchR2(0:1))
      call avR2(783, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(783, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_9051, nGC_9050])

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(345)%branchR2(0:0))
      call avR2(345, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8822])

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(1831)%branchR2(0:0))
      call avR2(1831, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2405)%branchR2(0:0))
      call avR2(2405, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2449)%branchR2(0:0))
      call avR2(2449, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30566])

      allocate(vertices(259)%branchR2(0:1))
      call avR2(259, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_8803, nGC_8802])

      call avR2(259, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(1696)%branchR2(0:1))
      call avR2(1696, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8973, nGC_8974])

      call avR2(1696, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8975, nGC_8975])

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(2428)%branchR2(0:0))
      call avR2(2428, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1013)%branchR2(0:0))
      call avR2(1013, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(3082)%branchR2(0:0))
      call avR2(3082, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1896)%branchR2(0:0))
      call avR2(1896, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9089])

      allocate(vertices(3862)%branchR2(0:1))
      call avR2(3862, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9152])

      call avR2(3862, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9153])

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(3863)%branchR2(0:1))
      call avR2(3863, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9251])

      call avR2(3863, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9252])

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9030])

      allocate(vertices(2387)%branchR2(0:0))
      call avR2(2387, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8865])

      allocate(vertices(1791)%branchR2(0:0))
      call avR2(1791, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_8797, nGC_8798])

      allocate(vertices(3305)%branchR2(0:0))
      call avR2(3305, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1488)%branchR2(0:1))
      call avR2(1488, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8976, nGC_8977])

      call avR2(1488, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8978, nGC_8978])

      allocate(vertices(1775)%branchR2(0:0))
      call avR2(1775, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2453)%branchR2(0:0))
      call avR2(2453, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8898])

      allocate(vertices(1105)%branchR2(0:0))
      call avR2(1105, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9250])

      allocate(vertices(2602)%branchR2(0:0))
      call avR2(2602, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(3864)%branchR2(0:1))
      call avR2(3864, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9153])

      call avR2(3864, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9152])

      allocate(vertices(2675)%branchR2(0:0))
      call avR2(2675, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_8837])

      allocate(vertices(891)%branchR2(0:0))
      call avR2(891, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(3413)%branchR2(0:0))
      call avR2(3413, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(3865)%branchR2(0:0))
      call avR2(3865, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(1983)%branchR2(0:0))
      call avR2(1983, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8948, nGC_8947])

      allocate(vertices(3505)%branchR2(0:0))
      call avR2(3505, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8778])

      allocate(vertices(2700)%branchR2(0:1))
      call avR2(2700, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8914, nGC_8912])

      call avR2(2700, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8927, nGC_8926])

      allocate(vertices(2386)%branchR2(0:0))
      call avR2(2386, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30508])

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(2104)%branchR2(0:0))
      call avR2(2104, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(1356)%branchR2(0:0))
      call avR2(1356, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(1524)%branchR2(0:1))
      call avR2(1524, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_9037, nGC_9035])

      call avR2(1524, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_9038, nGC_9036])

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(1794)%branchR2(0:1))
      call avR2(1794, 0, 0, 1, 0, VVV0, 0, [3, 0], [nGC_33915])

      call avR2(1794, 1, 1, 1, 0, VVV0, 0, [3, 0], [nGC_33917])

      allocate(vertices(2559)%branchR2(0:0))
      call avR2(2559, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(428)%branchR2(0:0))
      call avR2(428, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8920])

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1629)%branchR2(0:0))
      call avR2(1629, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30508])

      allocate(vertices(2016)%branchR2(0:0))
      call avR2(2016, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2890)%branchR2(0:0))
      call avR2(2890, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_30956])

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9130, nGC_9131&
      ])

      allocate(vertices(3560)%branchR2(0:0))
      call avR2(3560, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9188])

      allocate(vertices(1937)%branchR2(0:0))
      call avR2(1937, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8812])

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(2385)%branchR2(0:0))
      call avR2(2385, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(2850)%branchR2(0:0))
      call avR2(2850, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(1993)%branchR2(0:0))
      call avR2(1993, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9029])

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2209)%branchR2(0:1))
      call avR2(2209, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8906, nGC_8904])

      call avR2(2209, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8923, nGC_8922])

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2263)%branchR2(0:0))
      call avR2(2263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3154)%branchR2(0:0))
      call avR2(3154, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(2122)%branchR2(0:1))
      call avR2(2122, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(2122, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_9049, nGC_9048])

      allocate(vertices(3866)%branchR2(0:1))
      call avR2(3866, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9208])

      call avR2(3866, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9209])

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9242])

      allocate(vertices(3439)%branchR2(0:0))
      call avR2(3439, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(92)%branchR2(0:0))
      call avR2(92, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2411)%branchR2(0:0))
      call avR2(2411, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8862])

      allocate(vertices(907)%branchR2(0:0))
      call avR2(907, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29906])

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(659)%branchR2(0:0))
      call avR2(659, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8856])

      allocate(vertices(964)%branchR2(0:0))
      call avR2(964, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8997])

      allocate(vertices(3061)%branchR2(0:0))
      call avR2(3061, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(2679)%branchR2(0:0))
      call avR2(2679, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9102])

      allocate(vertices(2211)%branchR2(0:0))
      call avR2(2211, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8855])

      allocate(vertices(1940)%branchR2(0:0))
      call avR2(1940, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1125)%branchR2(0:0))
      call avR2(1125, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2540)%branchR2(0:0))
      call avR2(2540, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9029])

      allocate(vertices(3868)%branchR2(0:1))
      call avR2(3868, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9117, nGC_9117,      &
      nGC_9117])

      call avR2(3868, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9118, nGC_9118,      &
      nGC_9118])

      allocate(vertices(81)%branchR2(0:0))
      call avR2(81, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_9046])

      allocate(vertices(374)%branchR2(0:0))
      call avR2(374, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1904)%branchR2(0:0))
      call avR2(1904, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9130,       &
      nGC_9132])

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(271)%branchR2(0:0))
      call avR2(271, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(410)%branchR2(0:0))
      call avR2(410, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(1658)%branchR2(0:0))
      call avR2(1658, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8948, nGC_8947])

      allocate(vertices(2843)%branchR2(0:0))
      call avR2(2843, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(2278)%branchR2(0:0))
      call avR2(2278, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(2491)%branchR2(0:0))
      call avR2(2491, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(2774)%branchR2(0:0))
      call avR2(2774, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8844])

      allocate(vertices(2097)%branchR2(0:0))
      call avR2(2097, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(2458)%branchR2(0:0))
      call avR2(2458, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1818)%branchR2(0:1))
      call avR2(1818, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_9022, nGC_9023])

      call avR2(1818, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_9024, nGC_9024])

      allocate(vertices(3265)%branchR2(0:0))
      call avR2(3265, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(3223)%branchR2(0:0))
      call avR2(3223, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_8710, nGC_8709])

      allocate(vertices(1987)%branchR2(0:0))
      call avR2(1987, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(2953)%branchR2(0:0))
      call avR2(2953, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8929])

      allocate(vertices(3869)%branchR2(0:1))
      call avR2(3869, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9171])

      call avR2(3869, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(1497)%branchR2(0:0))
      call avR2(1497, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(3331)%branchR2(0:0))
      call avR2(3331, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(2121)%branchR2(0:1))
      call avR2(2121, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_8809, nGC_8808])

      call avR2(2121, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(2068)%branchR2(0:0))
      call avR2(2068, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9262, nGC_9261,       &
      nGC_9262])

      allocate(vertices(1615)%branchR2(0:1))
      call avR2(1615, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(1615, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8849, nGC_8848])

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1280)%branchR2(0:0))
      call avR2(1280, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1343)%branchR2(0:0))
      call avR2(1343, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8773])

      allocate(vertices(1053)%branchR2(0:0))
      call avR2(1053, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(604)%branchR2(0:1))
      call avR2(604, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(604, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_8788, nGC_8787])

      allocate(vertices(2176)%branchR2(0:0))
      call avR2(2176, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(1500)%branchR2(0:0))
      call avR2(1500, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9236])

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8783])

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

    end subroutine fill_vertices_mdl12
end module vertices_info12
