!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-11-30 19:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(1441)%branchR2(0:0))
      call avR2(1441, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9235])

      allocate(vertices(1408)%branchR2(0:0))
      call avR2(1408, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9204])

      allocate(vertices(2773)%branchR2(0:0))
      call avR2(2773, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3457)%branchR2(0:0))
      call avR2(3457, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(1432)%branchR2(0:0))
      call avR2(1432, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29395])

      allocate(vertices(1605)%branchR2(0:0))
      call avR2(1605, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2893)%branchR2(0:0))
      call avR2(2893, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9168])

      allocate(vertices(2468)%branchR2(0:0))
      call avR2(2468, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(3603)%branchR2(0:1))
      call avR2(3603, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9266, nGC_9266,      &
      nGC_9266])

      call avR2(3603, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9267, nGC_9267,      &
      nGC_9267])

      allocate(vertices(966)%branchR2(0:0))
      call avR2(966, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29403])

      allocate(vertices(3604)%branchR2(0:1))
      call avR2(3604, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9208])

      call avR2(3604, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9209])

      allocate(vertices(2004)%branchR2(0:0))
      call avR2(2004, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2065)%branchR2(0:0))
      call avR2(2065, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8839])

      allocate(vertices(2424)%branchR2(0:0))
      call avR2(2424, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8797, nGC_8798])

      allocate(vertices(2951)%branchR2(0:0))
      call avR2(2951, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(884)%branchR2(0:1))
      call avR2(884, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8995, nGC_8995])

      call avR2(884, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8993, nGC_8994])

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(3605)%branchR2(0:1))
      call avR2(3605, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9254])

      call avR2(3605, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9253])

      allocate(vertices(2707)%branchR2(0:0))
      call avR2(2707, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2581)%branchR2(0:0))
      call avR2(2581, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_8916])

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(723)%branchR2(0:23))
      call avR2(723, 0, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_9277, nGC_9276,       &
      nGC_9277])

      call avR2(723, 1, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_9276, nGC_9277,       &
      nGC_9277])

      call avR2(723, 2, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_9286, nGC_9286,      &
      nGC_9286])

      call avR2(723, 3, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_9272, nGC_9272,        &
      nGC_9271])

      call avR2(723, 4, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_9280, nGC_9282,        &
      nGC_9281])

      call avR2(723, 5, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_9286, nGC_9286,      &
      nGC_9286])

      call avR2(723, 6, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_9274, nGC_9275,       &
      nGC_9273])

      call avR2(723, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_9274, nGC_9273,       &
      nGC_9275])

      call avR2(723, 8, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_9287, nGC_9287,      &
      nGC_9287])

      call avR2(723, 9, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_9278, nGC_9279,       &
      nGC_9276])

      call avR2(723, 10, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_9286, nGC_9286,     &
      nGC_9286])

      call avR2(723, 11, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_9283, nGC_9285,       &
      nGC_9284])

      call avR2(723, 12, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_9273, nGC_9275,      &
      nGC_9274])

      call avR2(723, 13, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_9280, nGC_9282,       &
      nGC_9281])

      call avR2(723, 14, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_9286, nGC_9286,     &
      nGC_9286])

      call avR2(723, 15, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_9273, nGC_9273,      &
      nGC_9273])

      call avR2(723, 16, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_9274, nGC_9275,      &
      nGC_9273])

      call avR2(723, 17, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_9273, nGC_9273,      &
      nGC_9273])

      call avR2(723, 18, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_9273, nGC_9275,      &
      nGC_9274])

      call avR2(723, 19, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_9286, nGC_9286,     &
      nGC_9286])

      call avR2(723, 20, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_9283, nGC_9285,       &
      nGC_9284])

      call avR2(723, 21, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_9272, nGC_9272,       &
      nGC_9271])

      call avR2(723, 22, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_9274, nGC_9273,      &
      nGC_9275])

      call avR2(723, 23, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_9286, nGC_9286,     &
      nGC_9286])

      allocate(vertices(1579)%branchR2(0:0))
      call avR2(1579, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8779])

      allocate(vertices(738)%branchR2(0:0))
      call avR2(738, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2552)%branchR2(0:0))
      call avR2(2552, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(101)%branchR2(0:0))
      call avR2(101, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8930])

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2457)%branchR2(0:0))
      call avR2(2457, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2610)%branchR2(0:0))
      call avR2(2610, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1587)%branchR2(0:1))
      call avR2(1587, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8909, nGC_8907])

      call avR2(1587, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8910, nGC_8908])

      allocate(vertices(312)%branchR2(0:0))
      call avR2(312, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8928])

      allocate(vertices(3606)%branchR2(0:1))
      call avR2(3606, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9171])

      call avR2(3606, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(49)%branchR2(0:1))
      call avR2(49, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8973, nGC_8974])

      call avR2(49, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8975, nGC_8975])

      allocate(vertices(3607)%branchR2(0:0))
      call avR2(3607, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9093])

      allocate(vertices(2565)%branchR2(0:1))
      call avR2(2565, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8993, nGC_8994])

      call avR2(2565, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8995, nGC_8995])

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1652)%branchR2(0:0))
      call avR2(1652, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8846])

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2391)%branchR2(0:0))
      call avR2(2391, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(2562)%branchR2(0:0))
      call avR2(2562, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9231])

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

      allocate(vertices(2755)%branchR2(0:0))
      call avR2(2755, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1789)%branchR2(0:0))
      call avR2(1789, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(3360)%branchR2(0:0))
      call avR2(3360, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2178)%branchR2(0:0))
      call avR2(2178, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(3608)%branchR2(0:0))
      call avR2(3608, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(2729)%branchR2(0:0))
      call avR2(2729, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(3513)%branchR2(0:0))
      call avR2(3513, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(362)%branchR2(0:0))
      call avR2(362, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9148])

      allocate(vertices(644)%branchR2(0:1))
      call avR2(644, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8955, nGC_8957])

      call avR2(644, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8956, nGC_8958])

      allocate(vertices(3112)%branchR2(0:0))
      call avR2(3112, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1723)%branchR2(0:0))
      call avR2(1723, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(3609)%branchR2(0:1))
      call avR2(3609, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9208])

      call avR2(3609, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9209])

      allocate(vertices(2012)%branchR2(0:0))
      call avR2(2012, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9120])

      allocate(vertices(2486)%branchR2(0:0))
      call avR2(2486, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29519])

      allocate(vertices(2697)%branchR2(0:0))
      call avR2(2697, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_8835])

      allocate(vertices(2090)%branchR2(0:3))
      call avR2(2090, 0, 38, 1, 0, VFFa1, 0, [1, 2], [nGC_9083, nGC_9082])

      call avR2(2090, 1, 38, 1, 0, VFFa1, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(2090, 2, 39, 1, 0, VFFa1, 0, [1, 2], [nGC_9081, nGC_9080])

      call avR2(2090, 3, 39, 1, 0, VFFa1, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(3610)%branchR2(0:0))
      call avR2(3610, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9097])

      allocate(vertices(14)%branchR2(0:0))
      call avR2(14, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(43)%branchR2(0:0))
      call avR2(43, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1835)%branchR2(0:0))
      call avR2(1835, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2844)%branchR2(0:0))
      call avR2(2844, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_8716, nGC_8715,        &
      nGC_8717])

      allocate(vertices(2537)%branchR2(0:0))
      call avR2(2537, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8817])

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8816])

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(650)%branchR2(0:0))
      call avR2(650, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8931])

      allocate(vertices(365)%branchR2(0:0))
      call avR2(365, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(3393)%branchR2(0:0))
      call avR2(3393, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(333)%branchR2(0:0))
      call avR2(333, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(2308)%branchR2(0:1))
      call avR2(2308, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8970, nGC_8971])

      call avR2(2308, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8972, nGC_8972])

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(308)%branchR2(0:1))
      call avR2(308, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_9026])

      call avR2(308, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_9027])

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2239)%branchR2(0:0))
      call avR2(2239, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(1955)%branchR2(0:1))
      call avR2(1955, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(1955, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_8803, nGC_8802])

      allocate(vertices(1938)%branchR2(0:0))
      call avR2(1938, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1535)%branchR2(0:1))
      call avR2(1535, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_9005, nGC_9006])

      call avR2(1535, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_9007, nGC_9007])

      allocate(vertices(2728)%branchR2(0:0))
      call avR2(2728, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2297)%branchR2(0:0))
      call avR2(2297, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29563])

      allocate(vertices(1050)%branchR2(0:0))
      call avR2(1050, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(3611)%branchR2(0:0))
      call avR2(3611, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(1711)%branchR2(0:1))
      call avR2(1711, 0, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8828, nGC_8830])

      call avR2(1711, 1, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8850, nGC_8851])

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2730)%branchR2(0:0))
      call avR2(2730, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_8762])

      allocate(vertices(3207)%branchR2(0:0))
      call avR2(3207, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29575])

      allocate(vertices(1833)%branchR2(0:0))
      call avR2(1833, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(3485)%branchR2(0:0))
      call avR2(3485, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1722)%branchR2(0:0))
      call avR2(1722, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9195])

      allocate(vertices(1349)%branchR2(0:0))
      call avR2(1349, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(122)%branchR2(0:1))
      call avR2(122, 0, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_9037, nGC_9035])

      call avR2(122, 1, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9038, nGC_9036])

      allocate(vertices(2346)%branchR2(0:0))
      call avR2(2346, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(3612)%branchR2(0:1))
      call avR2(3612, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9219])

      call avR2(3612, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9220])

      allocate(vertices(2256)%branchR2(0:0))
      call avR2(2256, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1632)%branchR2(0:1))
      call avR2(1632, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_8794, nGC_8793])

      call avR2(1632, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(1628)%branchR2(0:0))
      call avR2(1628, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(3447)%branchR2(0:0))
      call avR2(3447, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8919])

      allocate(vertices(2436)%branchR2(0:0))
      call avR2(2436, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(845)%branchR2(0:0))
      call avR2(845, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(197)%branchR2(0:0))
      call avR2(197, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8968])

      allocate(vertices(2758)%branchR2(0:0))
      call avR2(2758, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(2887)%branchR2(0:0))
      call avR2(2887, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8896])

      allocate(vertices(1840)%branchR2(0:0))
      call avR2(1840, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(870)%branchR2(0:0))
      call avR2(870, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(3613)%branchR2(0:0))
      call avR2(3613, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9097])

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(2069)%branchR2(0:0))
      call avR2(2069, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(1350)%branchR2(0:3))
      call avR2(1350, 0, 35, 1, 0, FaVF1, 0, [1, 2], [nGC_9058, nGC_9056])

      call avR2(1350, 1, 35, 1, 0, FaVF1, 0, [3, 0], [nGC_9057, nGC_9057])

      call avR2(1350, 2, 34, 1, 0, FaVF1, 0, [1, 2], [nGC_9061, nGC_9059])

      call avR2(1350, 3, 34, 1, 0, FaVF1, 0, [3, 0], [nGC_9060, nGC_9060])

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(3191)%branchR2(0:1))
      call avR2(3191, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_8749, nGC_8747,       &
      nGC_8748, nGC_8748])

      call avR2(3191, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8746, nGC_8746])

      allocate(vertices(2499)%branchR2(0:1))
      call avR2(2499, 0, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

      call avR2(2499, 1, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_9028])

      allocate(vertices(2044)%branchR2(0:0))
      call avR2(2044, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(2576)%branchR2(0:3))
      call avR2(2576, 0, 35, 1, 0, FaVF1, 0, [1, 2], [nGC_9071, nGC_9070])

      call avR2(2576, 1, 35, 1, 0, FaVF1, 0, [3, 0], [nGC_9072, nGC_9072])

      call avR2(2576, 2, 34, 1, 0, FaVF1, 0, [1, 2], [nGC_9074, nGC_9073])

      call avR2(2576, 3, 34, 1, 0, FaVF1, 0, [3, 0], [nGC_9075, nGC_9075])

      allocate(vertices(2240)%branchR2(0:0))
      call avR2(2240, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(2005)%branchR2(0:0))
      call avR2(2005, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8821])

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1869)%branchR2(0:0))
      call avR2(1869, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(1926)%branchR2(0:1))
      call avR2(1926, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8978, nGC_8978])

      call avR2(1926, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8976, nGC_8977])

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(1870)%branchR2(0:0))
      call avR2(1870, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8997])

      allocate(vertices(2362)%branchR2(0:0))
      call avR2(2362, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(2408)%branchR2(0:0))
      call avR2(2408, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8966])

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(2992)%branchR2(0:0))
      call avR2(2992, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9086])

      allocate(vertices(1360)%branchR2(0:1))
      call avR2(1360, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(1360, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_8791, nGC_8790])

      allocate(vertices(2942)%branchR2(0:0))
      call avR2(2942, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(3614)%branchR2(0:0))
      call avR2(3614, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9021, nGC_9020])

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(3615)%branchR2(0:0))
      call avR2(3615, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(1739)%branchR2(0:1))
      call avR2(1739, 0, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

      call avR2(1739, 1, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_9028])

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9030])

      allocate(vertices(3073)%branchR2(0:0))
      call avR2(3073, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(300)%branchR2(0:0))
      call avR2(300, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1266)%branchR2(0:0))
      call avR2(1266, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

      allocate(vertices(2444)%branchR2(0:0))
      call avR2(2444, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(1089)%branchR2(0:0))
      call avR2(1089, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_9030])

      allocate(vertices(1997)%branchR2(0:0))
      call avR2(1997, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3312)%branchR2(0:0))
      call avR2(3312, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(2627)%branchR2(0:0))
      call avR2(2627, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9132,       &
      nGC_9131])

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29665])

      allocate(vertices(1633)%branchR2(0:1))
      call avR2(1633, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8911, nGC_8913])

      call avR2(1633, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8912, nGC_8914])

      allocate(vertices(3293)%branchR2(0:0))
      call avR2(3293, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1752)%branchR2(0:0))
      call avR2(1752, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2605)%branchR2(0:0))
      call avR2(2605, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2666)%branchR2(0:1))
      call avR2(2666, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_9016, nGC_9016])

      call avR2(2666, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_9014, nGC_9015])

      allocate(vertices(161)%branchR2(0:0))
      call avR2(161, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(2188)%branchR2(0:0))
      call avR2(2188, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8838])

      allocate(vertices(1872)%branchR2(0:1))
      call avR2(1872, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8961, nGC_8963])

      call avR2(1872, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8962, nGC_8964])

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(3616)%branchR2(0:1))
      call avR2(3616, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9254])

      call avR2(3616, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9253])

      allocate(vertices(1533)%branchR2(0:0))
      call avR2(1533, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9192])

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9255])

      allocate(vertices(2560)%branchR2(0:0))
      call avR2(2560, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8998])

      allocate(vertices(1444)%branchR2(0:1))
      call avR2(1444, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8993, nGC_8994])

      call avR2(1444, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8995, nGC_8995])

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9224])

      allocate(vertices(2086)%branchR2(0:3))
      call avR2(2086, 0, 32, 1, 0, FVFa0, 0, [1, 2], [nGC_9061, nGC_9059])

      call avR2(2086, 1, 32, 1, 0, FVFa0, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(2086, 2, 33, 1, 0, FVFa0, 0, [1, 2], [nGC_9058, nGC_9056])

      call avR2(2086, 3, 33, 1, 0, FVFa0, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(2143)%branchR2(0:0))
      call avR2(2143, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3017)%branchR2(0:0))
      call avR2(3017, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3617)%branchR2(0:1))
      call avR2(3617, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9253])

      call avR2(3617, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9254])

      allocate(vertices(1164)%branchR2(0:0))
      call avR2(1164, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(2141)%branchR2(0:0))
      call avR2(2141, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29705])

      allocate(vertices(2224)%branchR2(0:0))
      call avR2(2224, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(2285)%branchR2(0:0))
      call avR2(2285, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(3618)%branchR2(0:0))
      call avR2(3618, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(3619)%branchR2(0:0))
      call avR2(3619, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9122])

      allocate(vertices(3008)%branchR2(0:0))
      call avR2(3008, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2461)%branchR2(0:0))
      call avR2(2461, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(905)%branchR2(0:1))
      call avR2(905, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8955, nGC_8957])

      call avR2(905, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8956, nGC_8958])

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1302)%branchR2(0:1))
      call avR2(1302, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(1302, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(2084)%branchR2(0:0))
      call avR2(2084, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(1268)%branchR2(0:0))
      call avR2(1268, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9222])

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9125])

      allocate(vertices(76)%branchR2(0:0))
      call avR2(76, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(2381)%branchR2(0:0))
      call avR2(2381, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(3045)%branchR2(0:0))
      call avR2(3045, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(3366)%branchR2(0:0))
      call avR2(3366, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9248])

      allocate(vertices(120)%branchR2(0:3))
      call avR2(120, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_9079, nGC_9078])

      call avR2(120, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(120, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(120, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(3210)%branchR2(0:0))
      call avR2(3210, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_8801])

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9156])

      allocate(vertices(2183)%branchR2(0:1))
      call avR2(2183, 0, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_9027])

      call avR2(2183, 1, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_9028])

      allocate(vertices(3620)%branchR2(0:0))
      call avR2(3620, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8777])

      allocate(vertices(2873)%branchR2(0:0))
      call avR2(2873, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9115])

      allocate(vertices(1574)%branchR2(0:0))
      call avR2(1574, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9233])

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8948, nGC_8947])

      allocate(vertices(2072)%branchR2(0:1))
      call avR2(2072, 0, 17, 1, 0, FVFa1, 0, [2, 1], [nGC_9027])

      call avR2(2072, 1, 17, 1, 0, FVFa1, 0, [0, 3], [nGC_9028])

      allocate(vertices(2101)%branchR2(0:0))
      call avR2(2101, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8992, nGC_8991])

      allocate(vertices(1925)%branchR2(0:0))
      call avR2(1925, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9120])

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(1880)%branchR2(0:3))
      call avR2(1880, 0, 37, 1, 0, FaFV1, 0, [1, 2], [nGC_9063, nGC_9062])

      call avR2(1880, 1, 37, 1, 0, FaFV1, 0, [3, 0], [nGC_9057, nGC_9057])

      call avR2(1880, 2, 36, 1, 0, FaFV1, 0, [1, 2], [nGC_9065, nGC_9064])

      call avR2(1880, 3, 36, 1, 0, FaFV1, 0, [3, 0], [nGC_9060, nGC_9060])

      allocate(vertices(2033)%branchR2(0:1))
      call avR2(2033, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(2033, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(2497)%branchR2(0:0))
      call avR2(2497, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_9043, nGC_9044])

      allocate(vertices(1990)%branchR2(0:0))
      call avR2(1990, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1539)%branchR2(0:0))
      call avR2(1539, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1597)%branchR2(0:0))
      call avR2(1597, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9243])

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8820])

      allocate(vertices(1702)%branchR2(0:0))
      call avR2(1702, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1994)%branchR2(0:0))
      call avR2(1994, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(1071)%branchR2(0:1))
      call avR2(1071, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(1071, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(2242)%branchR2(0:0))
      call avR2(2242, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_8837])

      allocate(vertices(3621)%branchR2(0:1))
      call avR2(3621, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3621, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(2831)%branchR2(0:0))
      call avR2(2831, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(3622)%branchR2(0:1))
      call avR2(3622, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3622, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(981)%branchR2(0:1))
      call avR2(981, 0, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

      call avR2(981, 1, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_9028])

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(322)%branchR2(0:1))
      call avR2(322, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_9033, nGC_9031])

      call avR2(322, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_9034, nGC_9032])

      allocate(vertices(2019)%branchR2(0:0))
      call avR2(2019, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(2166)%branchR2(0:0))
      call avR2(2166, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9250])

      allocate(vertices(889)%branchR2(0:0))
      call avR2(889, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8812])

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(454)%branchR2(0:1))
      call avR2(454, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(454, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(2546)%branchR2(0:0))
      call avR2(2546, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(74)%branchR2(0:0))
      call avR2(74, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1529)%branchR2(0:1))
      call avR2(1529, 0, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_9026])

      call avR2(1529, 1, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_9027])

      allocate(vertices(2861)%branchR2(0:0))
      call avR2(2861, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(3623)%branchR2(0:0))
      call avR2(3623, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9092])

      allocate(vertices(1561)%branchR2(0:0))
      call avR2(1561, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9131,       &
      nGC_9130])

      allocate(vertices(1729)%branchR2(0:0))
      call avR2(1729, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8984, nGC_8983])

      allocate(vertices(2435)%branchR2(0:0))
      call avR2(2435, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(86)%branchR2(0:0))
      call avR2(86, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(1428)%branchR2(0:0))
      call avR2(1428, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9173])

      allocate(vertices(1653)%branchR2(0:0))
      call avR2(1653, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(1127)%branchR2(0:0))
      call avR2(1127, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8960, nGC_8959])

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9198])

      allocate(vertices(463)%branchR2(0:0))
      call avR2(463, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(1548)%branchR2(0:0))
      call avR2(1548, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29823])

      allocate(vertices(3453)%branchR2(0:0))
      call avR2(3453, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(643)%branchR2(0:0))
      call avR2(643, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(2202)%branchR2(0:3))
      call avR2(2202, 0, 32, 1, 0, FVFa0, 0, [1, 2], [nGC_9079, nGC_9078])

      call avR2(2202, 1, 32, 1, 0, FVFa0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(2202, 2, 33, 1, 0, FVFa0, 0, [1, 2], [nGC_9077, nGC_9076])

      call avR2(2202, 3, 33, 1, 0, FVFa0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(3189)%branchR2(0:0))
      call avR2(3189, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9128])

      allocate(vertices(3519)%branchR2(0:0))
      call avR2(3519, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3624)%branchR2(0:0))
      call avR2(3624, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9238])

      allocate(vertices(2958)%branchR2(0:0))
      call avR2(2958, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29836])

      allocate(vertices(1321)%branchR2(0:0))
      call avR2(1321, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(2574)%branchR2(0:0))
      call avR2(2574, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_8795, nGC_8796])

      allocate(vertices(1797)%branchR2(0:0))
      call avR2(1797, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(2955)%branchR2(0:0))
      call avR2(2955, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(1226)%branchR2(0:0))
      call avR2(1226, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9029])

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1393)%branchR2(0:1))
      call avR2(1393, 0, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(1393, 1, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_9049, nGC_9048])

      allocate(vertices(427)%branchR2(0:0))
      call avR2(427, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(3129)%branchR2(0:0))
      call avR2(3129, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2339)%branchR2(0:0))
      call avR2(2339, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1534)%branchR2(0:0))
      call avR2(1534, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8806, nGC_8807])

      allocate(vertices(2002)%branchR2(0:0))
      call avR2(2002, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(3625)%branchR2(0:1))
      call avR2(3625, 0, 48, 1, 0, VSV0, 0, [2, 1], [nGC_8982])

      call avR2(3625, 1, 47, 1, 0, VSV0, 0, [2, 1], [nGC_8981])

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(68)%branchR2(0:0))
      call avR2(68, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(2350)%branchR2(0:0))
      call avR2(2350, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(3626)%branchR2(0:1))
      call avR2(3626, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9171])

      call avR2(3626, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9170])

      allocate(vertices(2311)%branchR2(0:0))
      call avR2(2311, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8918])

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1225)%branchR2(0:0))
      call avR2(1225, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(3627)%branchR2(0:1))
      call avR2(3627, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9241])

      call avR2(3627, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9240])

      allocate(vertices(3628)%branchR2(0:1))
      call avR2(3628, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_9208])

      call avR2(3628, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_9209])

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(2169)%branchR2(0:0))
      call avR2(2169, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(713)%branchR2(0:1))
      call avR2(713, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8970, nGC_8971])

      call avR2(713, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8972, nGC_8972])

      allocate(vertices(155)%branchR2(0:0))
      call avR2(155, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29878])

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(3000)%branchR2(0:0))
      call avR2(3000, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(993)%branchR2(0:1))
      call avR2(993, 0, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(993, 1, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_9040, nGC_9039])

      allocate(vertices(193)%branchR2(0:0))
      call avR2(193, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2148)%branchR2(0:0))
      call avR2(2148, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(1165)%branchR2(0:1))
      call avR2(1165, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8976, nGC_8977])

      call avR2(1165, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8978, nGC_8978])

      allocate(vertices(87)%branchR2(0:0))
      call avR2(87, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29665])

      allocate(vertices(3549)%branchR2(0:0))
      call avR2(3549, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_8928])

      allocate(vertices(3630)%branchR2(0:0))
      call avR2(3630, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(3313)%branchR2(0:0))
      call avR2(3313, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9167])

      allocate(vertices(1680)%branchR2(0:0))
      call avR2(1680, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

      allocate(vertices(1243)%branchR2(0:0))
      call avR2(1243, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8960, nGC_8959])

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(2157)%branchR2(0:0))
      call avR2(2157, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1117)%branchR2(0:0))
      call avR2(1117, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(692)%branchR2(0:0))
      call avR2(692, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29906])

      allocate(vertices(378)%branchR2(0:0))
      call avR2(378, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(1376)%branchR2(0:1))
      call avR2(1376, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8951, nGC_8953])

      call avR2(1376, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8952, nGC_8954])

      allocate(vertices(2399)%branchR2(0:0))
      call avR2(2399, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(625)%branchR2(0:0))
      call avR2(625, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(749)%branchR2(0:0))
      call avR2(749, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(2160)%branchR2(0:0))
      call avR2(2160, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(725)%branchR2(0:0))
      call avR2(725, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9243])

      allocate(vertices(3510)%branchR2(0:0))
      call avR2(3510, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(371)%branchR2(0:0))
      call avR2(371, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(2127)%branchR2(0:1))
      call avR2(2127, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8828, nGC_8830])

      call avR2(2127, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8850, nGC_8851])

      allocate(vertices(3290)%branchR2(0:0))
      call avR2(3290, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9128])

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9090])

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8847])

      allocate(vertices(3373)%branchR2(0:0))
      call avR2(3373, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(2759)%branchR2(0:0))
      call avR2(2759, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3632)%branchR2(0:0))
      call avR2(3632, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9237])

      allocate(vertices(3315)%branchR2(0:0))
      call avR2(3315, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2869)%branchR2(0:0))
      call avR2(2869, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_9009, nGC_9008])

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9165])

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2761)%branchR2(0:0))
      call avR2(2761, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8860])

      allocate(vertices(2570)%branchR2(0:0))
      call avR2(2570, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(496)%branchR2(0:1))
      call avR2(496, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_8794, nGC_8793])

      call avR2(496, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_8789, nGC_8789])

      allocate(vertices(3120)%branchR2(0:0))
      call avR2(3120, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(3633)%branchR2(0:1))
      call avR2(3633, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      call avR2(3633, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(1108)%branchR2(0:0))
      call avR2(1108, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9262, nGC_9262,       &
      nGC_9261])

      allocate(vertices(3436)%branchR2(0:0))
      call avR2(3436, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(330)%branchR2(0:0))
      call avR2(330, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8773])

      allocate(vertices(1267)%branchR2(0:0))
      call avR2(1267, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(917)%branchR2(0:1))
      call avR2(917, 0, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(917, 1, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8849, nGC_8848])

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(283)%branchR2(0:0))
      call avR2(283, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2970)%branchR2(0:0))
      call avR2(2970, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_29961])

      allocate(vertices(1514)%branchR2(0:0))
      call avR2(1514, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(2878)%branchR2(0:0))
      call avR2(2878, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8712, nGC_8711])

      allocate(vertices(1821)%branchR2(0:0))
      call avR2(1821, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29966])

      allocate(vertices(1802)%branchR2(0:0))
      call avR2(1802, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9149])

      allocate(vertices(1701)%branchR2(0:0))
      call avR2(1701, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9112])

      allocate(vertices(2268)%branchR2(0:0))
      call avR2(2268, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(1958)%branchR2(0:0))
      call avR2(1958, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_9046])

      allocate(vertices(2939)%branchR2(0:0))
      call avR2(2939, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(3068)%branchR2(0:0))
      call avR2(3068, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29977])

      allocate(vertices(2632)%branchR2(0:0))
      call avR2(2632, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(2124)%branchR2(0:0))
      call avR2(2124, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(3162)%branchR2(0:1))
      call avR2(3162, 0, 14, 1, 0, FFa1, 0, [0, 2], [nGC_8749, nGC_8747,       &
      nGC_8769, nGC_8769])

      call avR2(3162, 1, 14, 1, 0, FFa1, 0, [2, 0], [nGC_8742, nGC_8742,       &
      nGC_8768, nGC_8768])

      allocate(vertices(1919)%branchR2(0:1))
      call avR2(1919, 0, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(1919, 1, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_9051, nGC_9050])

      allocate(vertices(1144)%branchR2(0:0))
      call avR2(1144, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9255])

      allocate(vertices(2634)%branchR2(0:0))
      call avR2(2634, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(1603)%branchR2(0:0))
      call avR2(1603, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8901])

      allocate(vertices(502)%branchR2(0:0))
      call avR2(502, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(1518)%branchR2(0:1))
      call avR2(1518, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8826, nGC_8824])

      call avR2(1518, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8849, nGC_8848])

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_8806, nGC_8807])

      allocate(vertices(2107)%branchR2(0:0))
      call avR2(2107, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9041, nGC_9042])

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9230])

      allocate(vertices(1055)%branchR2(0:0))
      call avR2(1055, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(441)%branchR2(0:0))
      call avR2(441, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(1400)%branchR2(0:0))
      call avR2(1400, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8968])

      allocate(vertices(2446)%branchR2(0:0))
      call avR2(2446, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(2996)%branchR2(0:0))
      call avR2(2996, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(3174)%branchR2(0:0))
      call avR2(3174, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(2095)%branchR2(0:0))
      call avR2(2095, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_9009, nGC_9008])

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2870)%branchR2(0:0))
      call avR2(2870, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(2371)%branchR2(0:1))
      call avR2(2371, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8882, nGC_8884])

      call avR2(2371, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8883, nGC_8885])

      allocate(vertices(2144)%branchR2(0:3))
      call avR2(2144, 0, 38, 1, 0, VFFa1, 0, [1, 2], [nGC_9061, nGC_9059])

      call avR2(2144, 1, 38, 1, 0, VFFa1, 0, [3, 0], [nGC_9060, nGC_9060])

      call avR2(2144, 2, 39, 1, 0, VFFa1, 0, [1, 2], [nGC_9058, nGC_9056])

      call avR2(2144, 3, 39, 1, 0, VFFa1, 0, [3, 0], [nGC_9057, nGC_9057])

      allocate(vertices(2349)%branchR2(0:0))
      call avR2(2349, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(1798)%branchR2(0:0))
      call avR2(1798, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(3388)%branchR2(0:0))
      call avR2(3388, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2261)%branchR2(0:0))
      call avR2(2261, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30031])

      allocate(vertices(225)%branchR2(0:0))
      call avR2(225, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9164])

      allocate(vertices(1198)%branchR2(0:0))
      call avR2(1198, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(2659)%branchR2(0:1))
      call avR2(2659, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(2659, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_8803, nGC_8802])

      allocate(vertices(1502)%branchR2(0:0))
      call avR2(1502, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(366)%branchR2(0:0))
      call avR2(366, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9234])

      allocate(vertices(1709)%branchR2(0:0))
      call avR2(1709, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1330)%branchR2(0:1))
      call avR2(1330, 0, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_9033, nGC_9031])

      call avR2(1330, 1, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_9034, nGC_9032])

      allocate(vertices(3542)%branchR2(0:0))
      call avR2(3542, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9221])

      allocate(vertices(2633)%branchR2(0:0))
      call avR2(2633, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(1227)%branchR2(0:0))
      call avR2(1227, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9260, nGC_9259,       &
      nGC_9258])

      allocate(vertices(647)%branchR2(0:1))
      call avR2(647, 0, 19, 1, 0, VFFa0, 0, [2, 1], [nGC_9027])

      call avR2(647, 1, 19, 1, 0, VFFa0, 0, [0, 3], [nGC_9028])

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2913)%branchR2(0:0))
      call avR2(2913, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8839])

      allocate(vertices(424)%branchR2(0:0))
      call avR2(424, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9107])

      allocate(vertices(2609)%branchR2(0:3))
      call avR2(2609, 0, 32, 1, 0, FVFa0, 0, [1, 2], [nGC_9083, nGC_9082])

      call avR2(2609, 1, 32, 1, 0, FVFa0, 0, [3, 0], [nGC_9075, nGC_9075])

      call avR2(2609, 2, 33, 1, 0, FVFa0, 0, [1, 2], [nGC_9081, nGC_9080])

      call avR2(2609, 3, 33, 1, 0, FVFa0, 0, [3, 0], [nGC_9072, nGC_9072])

      allocate(vertices(1509)%branchR2(0:0))
      call avR2(1509, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1949)%branchR2(0:0))
      call avR2(1949, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(3634)%branchR2(0:0))
      call avR2(3634, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9109, nGC_9108,       &
      nGC_9109])

      allocate(vertices(3635)%branchR2(0:1))
      call avR2(3635, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9225])

      call avR2(3635, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9226])

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8980, nGC_8979])

      allocate(vertices(2622)%branchR2(0:0))
      call avR2(2622, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(3047)%branchR2(0:0))
      call avR2(3047, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9128])

      allocate(vertices(2733)%branchR2(0:0))
      call avR2(2733, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(2644)%branchR2(0:0))
      call avR2(2644, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8771])

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9151])

      allocate(vertices(1754)%branchR2(0:0))
      call avR2(1754, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2967)%branchR2(0:0))
      call avR2(2967, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(1207)%branchR2(0:0))
      call avR2(1207, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8858])

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9243])

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9148])

      allocate(vertices(3636)%branchR2(0:0))
      call avR2(3636, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(133)%branchR2(0:0))
      call avR2(133, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(2649)%branchR2(0:0))
      call avR2(2649, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_8797, nGC_8798])

      allocate(vertices(3637)%branchR2(0:0))
      call avR2(3637, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9091])

      allocate(vertices(3368)%branchR2(0:0))
      call avR2(3368, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3577)%branchR2(0:0))
      call avR2(3577, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9189])

      allocate(vertices(3638)%branchR2(0:0))
      call avR2(3638, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9196])

      allocate(vertices(3639)%branchR2(0:1))
      call avR2(3639, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9225])

      call avR2(3639, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9226])

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(790)%branchR2(0:0))
      call avR2(790, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1662)%branchR2(0:0))
      call avR2(1662, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9113])

      allocate(vertices(1472)%branchR2(0:0))
      call avR2(1472, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9045])

      allocate(vertices(2087)%branchR2(0:0))
      call avR2(2087, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(912)%branchR2(0:0))
      call avR2(912, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(847)%branchR2(0:1))
      call avR2(847, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8831, nGC_8833])

      call avR2(847, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8832, nGC_8834])

      allocate(vertices(1634)%branchR2(0:0))
      call avR2(1634, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3640)%branchR2(0:1))
      call avR2(3640, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9170])

      call avR2(3640, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9171])

      allocate(vertices(473)%branchR2(0:0))
      call avR2(473, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(3015)%branchR2(0:0))
      call avR2(3015, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(416)%branchR2(0:0))
      call avR2(416, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(3084)%branchR2(0:0))
      call avR2(3084, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9110])

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2478)%branchR2(0:1))
      call avR2(2478, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8914, nGC_8912])

      call avR2(2478, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8927, nGC_8926])

      allocate(vertices(2100)%branchR2(0:0))
      call avR2(2100, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9166])

      allocate(vertices(2510)%branchR2(0:1))
      call avR2(2510, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8828, nGC_8830])

      call avR2(2510, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8850, nGC_8851])

      allocate(vertices(1806)%branchR2(0:0))
      call avR2(1806, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9134])

      allocate(vertices(1891)%branchR2(0:0))
      call avR2(1891, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(1429)%branchR2(0:0))
      call avR2(1429, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_9021, nGC_9020])

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(148)%branchR2(0:1))
      call avR2(148, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_9037, nGC_9035])

      call avR2(148, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_9038, nGC_9036])

      allocate(vertices(2894)%branchR2(0:0))
      call avR2(2894, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30135])

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(1271)%branchR2(0:1))
      call avR2(1271, 0, 18, 1, 0, VFaF1, 0, [2, 1], [nGC_9027])

      call avR2(1271, 1, 18, 1, 0, VFaF1, 0, [0, 3], [nGC_9028])

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8728, nGC_8727])

      allocate(vertices(2654)%branchR2(0:0))
      call avR2(2654, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(2533)%branchR2(0:0))
      call avR2(2533, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9107])

      allocate(vertices(1757)%branchR2(0:0))
      call avR2(1757, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30146])

      allocate(vertices(2917)%branchR2(0:0))
      call avR2(2917, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9110])

      allocate(vertices(2535)%branchR2(0:0))
      call avR2(2535, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3134)%branchR2(0:0))
      call avR2(3134, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8753, nGC_8754,       &
      nGC_8767, nGC_8767])

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9029])

      allocate(vertices(2660)%branchR2(0:0))
      call avR2(2660, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9236])

      allocate(vertices(758)%branchR2(0:0))
      call avR2(758, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(2583)%branchR2(0:0))
      call avR2(2583, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(3641)%branchR2(0:1))
      call avR2(3641, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9171])

      call avR2(3641, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9170])

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(2476)%branchR2(0:0))
      call avR2(2476, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(2517)%branchR2(0:0))
      call avR2(2517, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9135])

      allocate(vertices(1763)%branchR2(0:0))
      call avR2(1763, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_8855])

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9176])

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1316)%branchR2(0:1))
      call avR2(1316, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8892, nGC_8894])

      call avR2(1316, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8893, nGC_8895])

      allocate(vertices(2765)%branchR2(0:0))
      call avR2(2765, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3642)%branchR2(0:0))
      call avR2(3642, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9129])

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3322)%branchR2(0:0))
      call avR2(3322, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9103])

      allocate(vertices(302)%branchR2(0:0))
      call avR2(302, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9119])

      allocate(vertices(498)%branchR2(0:0))
      call avR2(498, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9149])

      allocate(vertices(2409)%branchR2(0:0))
      call avR2(2409, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2934)%branchR2(0:0))
      call avR2(2934, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8753, nGC_8754,       &
      nGC_8752, nGC_8752])

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_9052, nGC_9053])

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9191])

      allocate(vertices(1324)%branchR2(0:0))
      call avR2(1324, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(1547)%branchR2(0:0))
      call avR2(1547, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8891, nGC_8890])

      allocate(vertices(2753)%branchR2(0:0))
      call avR2(2753, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9111])

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29395])

      allocate(vertices(1811)%branchR2(0:0))
      call avR2(1811, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(1443)%branchR2(0:0))
      call avR2(1443, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9096, nGC_9094,       &
      nGC_9095])

      allocate(vertices(3235)%branchR2(0:0))
      call avR2(3235, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(3643)%branchR2(0:1))
      call avR2(3643, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9117, nGC_9117,      &
      nGC_9117])

      call avR2(3643, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9118, nGC_9118,      &
      nGC_9118])

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9125])

      allocate(vertices(2490)%branchR2(0:0))
      call avR2(2490, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9201])

      allocate(vertices(2238)%branchR2(0:0))
      call avR2(2238, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(539)%branchR2(0:1))
      call avR2(539, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(539, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(3363)%branchR2(0:0))
      call avR2(3363, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9086])

      allocate(vertices(2919)%branchR2(0:0))
      call avR2(2919, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(202)%branchR2(0:0))
      call avR2(202, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(2078)%branchR2(0:0))
      call avR2(2078, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1591)%branchR2(0:0))
      call avR2(1591, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30209])

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(3533)%branchR2(0:0))
      call avR2(3533, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(3279)%branchR2(0:0))
      call avR2(3279, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29906])

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_29823])

      allocate(vertices(1672)%branchR2(0:0))
      call avR2(1672, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3644)%branchR2(0:1))
      call avR2(3644, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      call avR2(3644, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      allocate(vertices(2464)%branchR2(0:1))
      call avR2(2464, 0, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8892, nGC_8894])

      call avR2(2464, 1, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8893, nGC_8895])

      allocate(vertices(2264)%branchR2(0:0))
      call avR2(2264, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9143])

      allocate(vertices(2389)%branchR2(0:0))
      call avR2(2389, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(244)%branchR2(0:0))
      call avR2(244, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3166)%branchR2(0:0))
      call avR2(3166, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9111])

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

      allocate(vertices(1305)%branchR2(0:0))
      call avR2(1305, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(2551)%branchR2(0:1))
      call avR2(2551, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(2551, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9207])

      allocate(vertices(7)%branchR2(0:0))
      call avR2(7, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_8930])

      allocate(vertices(2021)%branchR2(0:0))
      call avR2(2021, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9228])

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(1935)%branchR2(0:0))
      call avR2(1935, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_8786])

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_8980, nGC_8979])

      allocate(vertices(3252)%branchR2(0:0))
      call avR2(3252, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9169])

      allocate(vertices(91)%branchR2(0:0))
      call avR2(91, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8814])

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9130, nGC_9132, nGC_9131&
      ])

      allocate(vertices(3321)%branchR2(0:0))
      call avR2(3321, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9127])

      allocate(vertices(2621)%branchR2(0:0))
      call avR2(2621, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(2756)%branchR2(0:0))
      call avR2(2756, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9087])

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9126])

      allocate(vertices(3574)%branchR2(0:0))
      call avR2(3574, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_9043, nGC_9044])

      allocate(vertices(2368)%branchR2(0:0))
      call avR2(2368, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(3287)%branchR2(0:0))
      call avR2(3287, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_9009, nGC_9008])

      allocate(vertices(2439)%branchR2(0:0))
      call avR2(2439, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9126])

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9201])

      allocate(vertices(2450)%branchR2(0:1))
      call avR2(2450, 0, 18, 1, 0, VFaF0, 0, [0, 3], [nGC_9033, nGC_9031])

      call avR2(2450, 1, 18, 1, 0, VFaF0, 0, [2, 1], [nGC_9034, nGC_9032])

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9130,        &
      nGC_9132])

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(980)%branchR2(0:0))
      call avR2(980, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9194])

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9215])

      allocate(vertices(2257)%branchR2(0:1))
      call avR2(2257, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8988, nGC_8989])

      call avR2(2257, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8990, nGC_8990])

      allocate(vertices(2944)%branchR2(0:0))
      call avR2(2944, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_29836])

      allocate(vertices(2760)%branchR2(0:0))
      call avR2(2760, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9205])

      allocate(vertices(2013)%branchR2(0:0))
      call avR2(2013, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9139])

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9218])

      allocate(vertices(1295)%branchR2(0:1))
      call avR2(1295, 0, 19, 1, 0, VFFa1, 0, [0, 3], [nGC_8809, nGC_8808])

      call avR2(1295, 1, 19, 1, 0, VFFa1, 0, [2, 1], [nGC_8792, nGC_8792])

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(3645)%branchR2(0:1))
      call avR2(3645, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9144, nGC_9144,      &
      nGC_9144])

      call avR2(3645, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9145, nGC_9145,      &
      nGC_9145])

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8863])

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9250])

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(3179)%branchR2(0:0))
      call avR2(3179, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(3646)%branchR2(0:0))
      call avR2(3646, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9098, nGC_9098,       &
      nGC_9098])

      allocate(vertices(2608)%branchR2(0:0))
      call avR2(2608, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9132, nGC_9130,       &
      nGC_9131])

      allocate(vertices(2800)%branchR2(0:0))
      call avR2(2800, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

      allocate(vertices(3647)%branchR2(0:0))
      call avR2(3647, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9137, nGC_9137,       &
      nGC_9137])

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9146])

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8902])

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9200])

      allocate(vertices(2245)%branchR2(0:0))
      call avR2(2245, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_9030])

      allocate(vertices(2422)%branchR2(0:0))
      call avR2(2422, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(207)%branchR2(0:1))
      call avR2(207, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(207, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9040, nGC_9039])

      allocate(vertices(1901)%branchR2(0:0))
      call avR2(1901, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(485)%branchR2(0:0))
      call avR2(485, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8881, nGC_8880])

      allocate(vertices(100)%branchR2(0:0))
      call avR2(100, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9222])

      allocate(vertices(414)%branchR2(0:0))
      call avR2(414, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8856])

      allocate(vertices(3268)%branchR2(0:0))
      call avR2(3268, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9214])

      allocate(vertices(1385)%branchR2(0:1))
      call avR2(1385, 0, 20, 1, 0, FaFV1, 0, [2, 1], [nGC_8789, nGC_8789])

      call avR2(1385, 1, 20, 1, 0, FaFV1, 0, [0, 3], [nGC_8803, nGC_8802])

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(590)%branchR2(0:0))
      call avR2(590, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9094, nGC_9096,        &
      nGC_9095])

      allocate(vertices(1479)%branchR2(0:0))
      call avR2(1479, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8813])

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9147])

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8965])

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9236])

      allocate(vertices(3009)%branchR2(0:0))
      call avR2(3009, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9127])

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8822])

      allocate(vertices(1172)%branchR2(0:0))
      call avR2(1172, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9217])

      allocate(vertices(2054)%branchR2(0:0))
      call avR2(2054, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(2580)%branchR2(0:0))
      call avR2(2580, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2930)%branchR2(0:0))
      call avR2(2930, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_8800])

      allocate(vertices(2129)%branchR2(0:0))
      call avR2(2129, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9121])

      allocate(vertices(2645)%branchR2(0:0))
      call avR2(2645, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(1927)%branchR2(0:0))
      call avR2(1927, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(2126)%branchR2(0:0))
      call avR2(2126, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9161])

      allocate(vertices(3575)%branchR2(0:0))
      call avR2(3575, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(1573)%branchR2(0:0))
      call avR2(1573, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(2018)%branchR2(0:1))
      call avR2(2018, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_9037, nGC_9035])

      call avR2(2018, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_9038, nGC_9036])

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(2648)%branchR2(0:0))
      call avR2(2648, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(3422)%branchR2(0:0))
      call avR2(3422, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2508)%branchR2(0:0))
      call avR2(2508, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_8879, nGC_8878])

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(1716)%branchR2(0:0))
      call avR2(1716, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2976)%branchR2(0:0))
      call avR2(2976, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_8710, nGC_8709])

      allocate(vertices(2140)%branchR2(0:1))
      call avR2(2140, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_9001, nGC_9001])

      call avR2(2140, 1, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8999, nGC_9000])

      allocate(vertices(1936)%branchR2(0:0))
      call avR2(1936, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(2431)%branchR2(0:1))
      call avR2(2431, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8987, nGC_8987])

      call avR2(2431, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8985, nGC_8986])

      allocate(vertices(2536)%branchR2(0:0))
      call avR2(2536, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9212])

      allocate(vertices(2175)%branchR2(0:1))
      call avR2(2175, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_9034, nGC_9032])

      call avR2(2175, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_9049, nGC_9048])

      allocate(vertices(2221)%branchR2(0:0))
      call avR2(2221, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(2251)%branchR2(0:0))
      call avR2(2251, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9131, nGC_9132,       &
      nGC_9130])

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(1649)%branchR2(0:0))
      call avR2(1649, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9180])

      allocate(vertices(1583)%branchR2(0:0))
      call avR2(1583, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2752)%branchR2(0:0))
      call avR2(2752, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9103])

      allocate(vertices(1079)%branchR2(0:1))
      call avR2(1079, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8935, nGC_8937])

      call avR2(1079, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8936, nGC_8938])

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_8930])

      allocate(vertices(3425)%branchR2(0:0))
      call avR2(3425, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9168])

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9030])

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9183])

      allocate(vertices(3006)%branchR2(0:0))
      call avR2(3006, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_8762])

      allocate(vertices(1456)%branchR2(0:0))
      call avR2(1456, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8902])

      allocate(vertices(2575)%branchR2(0:0))
      call avR2(2575, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9142])

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8897])

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(1276)%branchR2(0:1))
      call avR2(1276, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(1276, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(1871)%branchR2(0:0))
      call avR2(1871, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9123])

      allocate(vertices(3648)%branchR2(0:0))
      call avR2(3648, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9129])

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8811])

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9123])

      allocate(vertices(794)%branchR2(0:1))
      call avR2(794, 0, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_8792, nGC_8792])

      call avR2(794, 1, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_8791, nGC_8790])

      allocate(vertices(273)%branchR2(0:0))
      call avR2(273, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9206])

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9199])

      allocate(vertices(1830)%branchR2(0:0))
      call avR2(1830, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8921])

      allocate(vertices(1996)%branchR2(0:0))
      call avR2(1996, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9101])

      allocate(vertices(343)%branchR2(0:0))
      call avR2(343, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_9030])

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9210])

      allocate(vertices(301)%branchR2(0:0))
      call avR2(301, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1435)%branchR2(0:0))
      call avR2(1435, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9102])

      allocate(vertices(3559)%branchR2(0:0))
      call avR2(3559, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9167])

      allocate(vertices(887)%branchR2(0:1))
      call avR2(887, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8823, nGC_8825])

      call avR2(887, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8824, nGC_8826])

      allocate(vertices(3649)%branchR2(0:1))
      call avR2(3649, 0, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_9252])

      call avR2(3649, 1, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_9251])

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9230])

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2704)%branchR2(0:0))
      call avR2(2704, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3650)%branchR2(0:1))
      call avR2(3650, 0, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_9256, nGC_9256,      &
      nGC_9256])

      call avR2(3650, 1, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_9257, nGC_9257,      &
      nGC_9257])

      allocate(vertices(2475)%branchR2(0:1))
      call avR2(2475, 0, 20, 1, 0, FaFV0, 0, [0, 3], [nGC_9026])

      call avR2(2475, 1, 20, 1, 0, FaFV0, 0, [2, 1], [nGC_9027])

      allocate(vertices(2494)%branchR2(0:0))
      call avR2(2494, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8933])

      allocate(vertices(2249)%branchR2(0:0))
      call avR2(2249, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_8881, nGC_8880])

      allocate(vertices(3651)%branchR2(0:1))
      call avR2(3651, 0, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_9252])

      call avR2(3651, 1, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_9251])

      allocate(vertices(2047)%branchR2(0:1))
      call avR2(2047, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9026])

      call avR2(2047, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9027])

      allocate(vertices(2582)%branchR2(0:0))
      call avR2(2582, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9163])

      allocate(vertices(1006)%branchR2(0:0))
      call avR2(1006, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_9041, nGC_9042])

      allocate(vertices(324)%branchR2(0:0))
      call avR2(324, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9124])

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(1506)%branchR2(0:0))
      call avR2(1506, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1759)%branchR2(0:0))
      call avR2(1759, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9172])

      allocate(vertices(2695)%branchR2(0:0))
      call avR2(2695, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9224])

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(1895)%branchR2(0:0))
      call avR2(1895, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9157])

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9025])

      allocate(vertices(2281)%branchR2(0:0))
      call avR2(2281, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(2247)%branchR2(0:0))
      call avR2(2247, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9243])

      allocate(vertices(2542)%branchR2(0:0))
      call avR2(2542, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9088])

      allocate(vertices(3493)%branchR2(0:0))
      call avR2(3493, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8785])

      allocate(vertices(1903)%branchR2(0:0))
      call avR2(1903, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9172])

      allocate(vertices(1911)%branchR2(0:0))
      call avR2(1911, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9223])

      allocate(vertices(3196)%branchR2(0:0))
      call avR2(3196, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9133])

      allocate(vertices(2081)%branchR2(0:0))
      call avR2(2081, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9173])

      allocate(vertices(2228)%branchR2(0:1))
      call avR2(2228, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_9001, nGC_9001])

      call avR2(2228, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8999, nGC_9000])

      allocate(vertices(2398)%branchR2(0:0))
      call avR2(2398, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9227])

      allocate(vertices(3652)%branchR2(0:1))
      call avR2(3652, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_9266, nGC_9266,      &
      nGC_9266])

      call avR2(3652, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_9267, nGC_9267,      &
      nGC_9267])

      allocate(vertices(581)%branchR2(0:1))
      call avR2(581, 0, 17, 1, 0, FSFa0, 0, [0, 3], [nGC_8903, nGC_8905])

      call avR2(581, 1, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_8904, nGC_8906])

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9227])

      allocate(vertices(1452)%branchR2(0:1))
      call avR2(1452, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_8866, nGC_8868])

      call avR2(1452, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_8867, nGC_8869])

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9177])

      allocate(vertices(530)%branchR2(0:0))
      call avR2(530, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9193])

      allocate(vertices(2964)%branchR2(0:0))
      call avR2(2964, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9114])

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_9013, nGC_9012])

      allocate(vertices(3232)%branchR2(0:0))
      call avR2(3232, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9245])

      allocate(vertices(1848)%branchR2(0:0))
      call avR2(1848, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9156])

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8980, nGC_8979])

      allocate(vertices(2806)%branchR2(0:0))
      call avR2(2806, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(2618)%branchR2(0:0))
      call avR2(2618, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8931])

      allocate(vertices(2174)%branchR2(0:0))
      call avR2(2174, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9216])

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9185])

      allocate(vertices(2168)%branchR2(0:0))
      call avR2(2168, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9179])

      allocate(vertices(3234)%branchR2(0:0))
      call avR2(3234, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9087])

      allocate(vertices(1700)%branchR2(0:0))
      call avR2(1700, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9105])

      allocate(vertices(1706)%branchR2(0:0))
      call avR2(1706, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9155])

      allocate(vertices(2613)%branchR2(0:0))
      call avR2(2613, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9228])

      allocate(vertices(628)%branchR2(0:0))
      call avR2(628, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8842])

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3653)%branchR2(0:1))
      call avR2(3653, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_9253])

      call avR2(3653, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_9254])

      allocate(vertices(296)%branchR2(0:1))
      call avR2(296, 0, 19, 1, 0, SFFa1, 0, [0, 3], [nGC_9022, nGC_9023])

      call avR2(296, 1, 19, 1, 0, SFFa1, 0, [2, 1], [nGC_9024, nGC_9024])

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9184])

      allocate(vertices(2764)%branchR2(0:0))
      call avR2(2764, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1157)%branchR2(0:0))
      call avR2(1157, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9124])

      allocate(vertices(2301)%branchR2(0:0))
      call avR2(2301, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8932])

      allocate(vertices(1732)%branchR2(0:0))
      call avR2(1732, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9182])

      allocate(vertices(2607)%branchR2(0:0))
      call avR2(2607, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9140])

      allocate(vertices(3588)%branchR2(0:0))
      call avR2(3588, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9203])

      allocate(vertices(1982)%branchR2(0:0))
      call avR2(1982, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(2946)%branchR2(0:0))
      call avR2(2946, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9128])

      allocate(vertices(3654)%branchR2(0:0))
      call avR2(3654, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9122])

      allocate(vertices(340)%branchR2(0:1))
      call avR2(340, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_9026])

      call avR2(340, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_9027])

      allocate(vertices(1097)%branchR2(0:0))
      call avR2(1097, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9149])

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_8969])

      allocate(vertices(2550)%branchR2(0:0))
      call avR2(2550, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9201])

      allocate(vertices(1931)%branchR2(0:0))
      call avR2(1931, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9154])

      allocate(vertices(3655)%branchR2(0:1))
      call avR2(3655, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_9251])

      call avR2(3655, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_9252])

      allocate(vertices(2715)%branchR2(0:0))
      call avR2(2715, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30502])

      allocate(vertices(3566)%branchR2(0:0))
      call avR2(3566, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9168])

      allocate(vertices(2522)%branchR2(0:0))
      call avR2(2522, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(2809)%branchR2(0:0))
      call avR2(2809, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30506])

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30508])

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9136])

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8815])

      allocate(vertices(2587)%branchR2(0:0))
      call avR2(2587, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9088])

      allocate(vertices(1981)%branchR2(0:1))
      call avR2(1981, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8976, nGC_8977])

      call avR2(1981, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8978, nGC_8978])

      allocate(vertices(2133)%branchR2(0:0))
      call avR2(2133, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9089])

      allocate(vertices(2083)%branchR2(0:0))
      call avR2(2083, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9112])

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8932])

      allocate(vertices(3561)%branchR2(0:0))
      call avR2(3561, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9187])

      allocate(vertices(2452)%branchR2(0:0))
      call avR2(2452, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_8992, nGC_8991])

      allocate(vertices(2568)%branchR2(0:0))
      call avR2(2568, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_9052, nGC_9053])

      allocate(vertices(482)%branchR2(0:0))
      call avR2(482, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9138])

      allocate(vertices(1886)%branchR2(0:0))
      call avR2(1886, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9229])

      allocate(vertices(3160)%branchR2(0:0))
      call avR2(3160, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9188])

      allocate(vertices(2684)%branchR2(0:0))
      call avR2(2684, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9191])

      allocate(vertices(2412)%branchR2(0:0))
      call avR2(2412, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_8854])

      allocate(vertices(2252)%branchR2(0:0))
      call avR2(2252, 0, 9, 1, 0, VVVV0, 0, [0, 4], [nGC_9095, nGC_9096,       &
      nGC_9094])

      allocate(vertices(2111)%branchR2(0:0))
      call avR2(2111, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_8948, nGC_8947])

      allocate(vertices(2388)%branchR2(0:0))
      call avR2(2388, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9101])

      allocate(vertices(957)%branchR2(0:0))
      call avR2(957, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9179])

      allocate(vertices(1516)%branchR2(0:0))
      call avR2(1516, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9121])

      allocate(vertices(1970)%branchR2(0:0))
      call avR2(1970, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9223])

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_8781])

      allocate(vertices(3104)%branchR2(0:0))
      call avR2(3104, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30540])

      allocate(vertices(989)%branchR2(0:0))
      call avR2(989, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9175])

      allocate(vertices(2921)%branchR2(0:0))
      call avR2(2921, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_8782])

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_8960, nGC_8959])

      allocate(vertices(3394)%branchR2(0:0))
      call avR2(3394, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9248])

      allocate(vertices(3412)%branchR2(0:0))
      call avR2(3412, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_8785])

      allocate(vertices(3462)%branchR2(0:0))
      call avR2(3462, 0, 9, 1, 0, SVSV0, 0, [0, 4], [nGC_9205])

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9189])

      allocate(vertices(452)%branchR2(0:1))
      call avR2(452, 0, 18, 1, 0, SFaF0, 0, [0, 3], [nGC_8882, nGC_8884])

      call avR2(452, 1, 18, 1, 0, SFaF0, 0, [2, 1], [nGC_8883, nGC_8885])

      allocate(vertices(254)%branchR2(0:0))
      call avR2(254, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9202])

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8810])

      allocate(vertices(1771)%branchR2(0:0))
      call avR2(1771, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9178])

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(3083)%branchR2(0:0))
      call avR2(3083, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3656)%branchR2(0:1))
      call avR2(3656, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_9153])

      call avR2(3656, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_9152])

      allocate(vertices(3140)%branchR2(0:0))
      call avR2(3140, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_8753, nGC_8754,       &
      nGC_8761, nGC_8761])

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_8996])

      allocate(vertices(497)%branchR2(0:0))
      call avR2(497, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9150])

      allocate(vertices(1462)%branchR2(0:0))
      call avR2(1462, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_30566])

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(341)%branchR2(0:1))
      call avR2(341, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_9038, nGC_9036])

      call avR2(341, 1, 17, 1, 0, FVFa0, 0, [0, 3], [nGC_9055, nGC_9054])

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9089])

      allocate(vertices(3238)%branchR2(0:0))
      call avR2(3238, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9115])

      allocate(vertices(706)%branchR2(0:1))
      call avR2(706, 0, 20, 1, 0, FaFS1, 0, [2, 1], [nGC_8834, nGC_8832])

      call avR2(706, 1, 20, 1, 0, FaFS1, 0, [0, 3], [nGC_8853, nGC_8852])

      allocate(vertices(3258)%branchR2(0:0))
      call avR2(3258, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9211])

      allocate(vertices(3567)%branchR2(0:0))
      call avR2(3567, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_8772])

      allocate(vertices(3107)%branchR2(0:0))
      call avR2(3107, 0, 9, 1, 0, SSVV0, 0, [0, 4], [nGC_9169])

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9181])

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_9029])

      allocate(vertices(2973)%branchR2(0:0))
      call avR2(2973, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9104])

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9141])

      allocate(vertices(2319)%branchR2(0:0))
      call avR2(2319, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9119])

      allocate(vertices(559)%branchR2(0:0))
      call avR2(559, 0, 9, 1, 0, VSVS0, 0, [0, 4], [nGC_9246])

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 9, 1, 0, SVVS0, 0, [0, 4], [nGC_9106])

      allocate(vertices(3570)%branchR2(0:0))
      call avR2(3570, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_30589])

      allocate(vertices(3386)%branchR2(0:0))
      call avR2(3386, 0, 9, 1, 0, VVSS0, 0, [0, 4], [nGC_9187])

      allocate(vertices(1530)%branchR2(0:0))
      call avR2(1530, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9186])

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 9, 1, 0, SSSS0, 0, [0, 4], [nGC_9162])

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 9, 1, 0, VSSV0, 0, [0, 4], [nGC_9190])

      allocate(vertices(2784)%branchR2(0:0))
      call avR2(2784, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_8860])

    end subroutine fill_vertices_mdl9
end module vertices_info9
